# frozen_string_literal: true

class FinalizeHkBackfillCiSecureFileStatesProjectId < Gitlab::Database::Migration[2.2]
  milestone '17.10'

  disable_ddl_transaction!

  restrict_gitlab_migration gitlab_schema: :gitlab_ci

  def up
    ensure_batched_background_migration_is_finished(
      job_class_name: 'BackfillCiSecureFileStatesProjectId',
      table_name: :ci_secure_file_states,
      column_name: :ci_secure_file_id,
      job_arguments: [:project_id, :ci_secure_files, :project_id, :ci_secure_file_id],
      finalize: true
    )
  end

  def down; end
end
