# frozen_string_literal: true

class FinalizeDeleteOrphanedGroups < Gitlab::Database::Migration[2.3]
  milestone '18.0'

  disable_ddl_transaction!

  restrict_gitlab_migration gitlab_schema: :gitlab_main

  MIGRATION = "DeleteOrphanedGroups"

  def up
    return unless Gitlab.com_except_jh? && !Gitlab.staging?

    ensure_batched_background_migration_is_finished(
      job_class_name: MIGRATION,
      table_name: :namespaces,
      column_name: :id,
      job_arguments: [],
      finalize: true
    )
  end

  def down; end
end
