---
stage: Foundations
group: Import and Integrate
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
title: Extend with GitLab
---

Connect GitLab to your tools and workflows to build a customized development environment.
Integrate directly with your existing systems, set up automated responses to events,
and build custom applications on top of GitLab.
Whether you want to automate processes or build integrations, these extensibility
features give you control over your development processes.

{{< cards >}}

- [Integrate with GitLab](../integration/_index.md)
- [Webhooks](../user/project/integrations/webhooks.md)
- [REST API](rest/_index.md)
- [GraphQL API](graphql/_index.md)
- [OAuth 2.0 identity provider API](oauth2.md)
- [Editor and IDE extensions](../editor_extensions/_index.md)

{{< /cards >}}
