# frozen_string_literal: true

require 'spec_helper'
require_migration!

RSpec.describe QueueFixStringConfigHashesInstanceStreamingDestinations, migration: :gitlab_main, feature_category: :audit_events do
  let!(:batched_migration) { described_class::MIGRATION }

  it 'schedules a new batched migration' do
    reversible_migration do |migration|
      migration.before -> {
        expect(batched_migration).not_to have_scheduled_batched_migration
      }

      migration.after -> {
        expect(batched_migration).to have_scheduled_batched_migration(
          gitlab_schema: :gitlab_main,
          table_name: :audit_events_instance_external_streaming_destinations,
          column_name: :id,
          batch_size: described_class::BATCH_SIZE,
          sub_batch_size: described_class::SUB_BATCH_SIZE
        )
      }
    end
  end
end
