---
stage: Foundations
group: Import and Integrate
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
title: GraphQL APIのリソース
---

<!--
  This documentation is auto generated by a script.
  Please do not edit this file directly.

  To edit the introductory text, modify `tooling/graphql/docs/templates/default.md.haml`.

  Run `bundle exec rake gitlab:graphql:compile_docs`
  or check the `compile_docs` task in `lib/tasks/gitlab/graphql.rake`.
-->

このドキュメントは、GitLabの現在のGraphQLスキーマに基づいて自動生成されたものです。

APIについて調べるには、[インタラクティブGraphQLエクスプローラー](../_index.md#interactive-graphql-explorer)を使用することができます。デベロッパーは、[マシン読み取り可能GraphQLスキーマをIDL形式とJSON形式で生成](../../../development/rake_tasks.md#update-machine-readable-schema-files)することもできます。

以下の各表は、それぞれ1つのGraphQL型について記述しています。型は大まかに言ってモデルに対応していますが、モデルのすべてのフィールドとメソッドがGraphQL経由で利用できるわけではありません。

{{< alert type="warning" >}}

非推奨のフィールドには、{{< icon name="warning-solid" >}}が付いています。当社の[廃止プロセス](../_index.md#deprecation-and-removal-process)に従って削除された項目（フィールドやenumなど）は、[削除された項目](../removed_items.md)に記載されています。

{{< /alert >}}

<!-- vale off -->
<!-- Vale linting disabled after this line. -->
<!-- See https://docs.gitlab.com/ee/development/documentation/testing/vale.html#disable-vale-tests -->

<!-- markdownlint-disable MD044 -->
<!-- MD044/proper-names test disabled after this line to make page compatible with markdownlint-cli 0.29.0. -->
<!-- See https://docs.gitlab.com/ee/development/documentation/testing/markdownlint.html#disable-markdownlint-tests -->

## `Query`型

`Query`型には、すべての実行可能クエリに対するAPIのトップレベルのエントリポイントが含まれています。

### `Query.abuseReport`

不正行為レポートを検索します。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

[`AbuseReport`](#abusereport)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryabusereportid"></a>`id` | [`AbuseReportID!`](#abusereportid) | 不正行為レポートのID。 |

### `Query.abuseReportLabels`

不正行為レポートのラベル。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

[`AbuseReportLabelConnection`](#abusereportlabelconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryabusereportlabelssearchterm"></a>`searchTerm` | [`String`](#string) | ラベルを検索するための検索語句。 |

### `Query.addOnPurchase`

アクティブなアドオン購入を取得します。このクエリは、GitLab SaaS環境およびSelf-Managed環境で使用できます。

{{< details >}}GitLab 17.4で**非推奨**になりました。代わりに[addOnPurchases](#queryaddonpurchases)を使用してください。{{< /details >}}

[`AddOnPurchase`](#addonpurchase)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaddonpurchaseaddontype"></a>`addOnType` | [`GitlabSubscriptionsAddOnType!`](#gitlabsubscriptionsaddontype) | アドオン購入のアドオンのタイプ。 |
| <a id="queryaddonpurchasenamespaceid"></a>`namespaceId` | [`NamespaceID`](#namespaceid) | アドオンが購入されたネームスペースのID。 |

### `Query.addOnPurchases`

アクティブなアドオン購入をすべて取得します。このクエリは、GitLab.com環境およびSelf-Managed環境で使用できます。

[`[AddOnPurchase!]`](#addonpurchase)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaddonpurchasesnamespaceid"></a>`namespaceId` | [`NamespaceID`](#namespaceid) | アドオン購入の対象となるネームスペースのID。 |

### `Query.adminMemberRole`

インスタンスの単一の管理者カスタムロールを検索します。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`AdminMemberRole`](#adminmemberrole)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryadminmemberroleid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="queryadminmemberroleids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="queryadminmemberroleorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="queryadminmemberrolesort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

### `Query.adminMemberRolePermissions`

カスタマイズ可能な管理者権限すべてのリスト。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`CustomizableAdminPermissionConnection`](#customizableadminpermissionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.adminMemberRoles`

インスタンスで使用可能な管理者カスタムロール。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`AdminMemberRoleConnection`](#adminmemberroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryadminmemberrolesid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="queryadminmemberrolesids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="queryadminmemberrolesorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="queryadminmemberrolessort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

### `Query.aiConversationThreads`

AI機能の会話スレッドのリスト。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`AiConversationsThreadConnection!`](#aiconversationsthreadconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaiconversationthreadsconversationtype"></a>`conversationType` | [`AiConversationsThreadsConversationType`](#aiconversationsthreadsconversationtype) | スレッドの会話タイプ。 |
| <a id="queryaiconversationthreadsid"></a>`id` | [`AiConversationThreadID`](#aiconversationthreadid) | スレッドのID。 |

### `Query.aiFeatureSettings`

設定可能なAI機能のリスト。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`AiFeatureSettingConnection`](#aifeaturesettingconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaifeaturesettingsselfhostedmodelid"></a>`selfHostedModelId` | [`AiSelfHostedModelID`](#aiselfhostedmodelid) | セルフホストモデル.モデルのグローバルID。 |

### `Query.aiMessages`

GitLab Duo Chatのメッセージを検索します。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

[`AiMessageConnection!`](#aimessageconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaimessagesagentversionid"></a>`agentVersionId` | [`AiAgentVersionID`](#aiagentversionid) | チャットに応答するエージェントのグローバルID。 |
| <a id="queryaimessagesconversationtype"></a>`conversationType` | [`AiConversationsThreadsConversationType`](#aiconversationsthreadsconversationtype) | スレッドの会話タイプ。 |
| <a id="queryaimessagesrequestids"></a>`requestIds` | [`[ID!]`](#id) | フェッチするリクエストIDの配列。 |
| <a id="queryaimessagesroles"></a>`roles` | [`[AiMessageRole!]`](#aimessagerole) | フェッチするロールの配列。 |
| <a id="queryaimessagesthreadid"></a>`threadId` | [`AiConversationThreadID`](#aiconversationthreadid) | 既存スレッドのグローバルID。指定されていない場合、指定されたconversation_typeの最後のスレッドを取得します。 |

### `Query.aiSelfHostedModels`

IDが指定されている場合はセルフホストモデルモデルを返し、それ以外の場合はすべてのモデルを返します。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

[`AiSelfHostedModelConnection`](#aiselfhostedmodelconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaiselfhostedmodelsid"></a>`id` | [`AiSelfHostedModelID`](#aiselfhostedmodelid) | セルフホストモデルのグローバルID。 |

### `Query.aiSlashCommands`

特定のURLについて現在のユーザーが使用できるGitLab Duo Chatスラッシュ(/)コマンドを取得します。

[`[SlashCommand!]`](#slashcommand)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryaislashcommandsurl"></a>`url` | [`String!`](#string) | ユーザーが現在アクセスしているページのURL。 |

### `Query.auditEventDefinitions`

インスタンスで使用可能なすべての監査イベントの定義。

[`AuditEventDefinitionConnection!`](#auditeventdefinitionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.auditEventsInstanceAmazonS3Configurations`

監査イベントのインスタンスレベルのAmazon S3設定。

[`InstanceAmazonS3ConfigurationTypeConnection`](#instanceamazons3configurationtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.auditEventsInstanceStreamingDestinations`

インスタンスレベルの外部監査イベントストリーミングの宛先。

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

[`InstanceAuditEventStreamingDestinationConnection`](#instanceauditeventstreamingdestinationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.blobSearch`

現在のユーザーに表示可能なコードを検索します。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`BlobSearch`](#blobsearch)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryblobsearchchunkcount"></a>`chunkCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。ファイルごとの最大チャンク数。 |
| <a id="queryblobsearchgroupid"></a>`groupId` {{< icon name="warning-solid" >}} | [`GroupID`](#groupid) | GitLab 17.2で**導入**。**状態**: 実験。検索するグループ。 |
| <a id="queryblobsearchincludearchived"></a>`includeArchived` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.7で**導入**。**状態**: 実験。アーカイブされたプロジェクトを検索に含めます。プロジェクト検索では常にtrue。デフォルトはfalseです。 |
| <a id="queryblobsearchincludeforked"></a>`includeForked` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.7で**導入**。**状態**: 実験。フォークしたプロジェクトを検索に含めます。プロジェクト検索では常にtrue。グローバル検索では利用不可。デフォルトはfalseです。 |
| <a id="queryblobsearchpage"></a>`page` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。結果をフェッチするページ番号。 |
| <a id="queryblobsearchperpage"></a>`perPage` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。ページあたりの結果数。 |
| <a id="queryblobsearchprojectid"></a>`projectId` {{< icon name="warning-solid" >}} | [`ProjectID`](#projectid) | GitLab 17.2で**導入**。**状態**: 実験。検索するプロジェクト。 |
| <a id="queryblobsearchregex"></a>`regex` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.3で**導入**。**状態**: 実験。正規表現検索モードを使用します。デフォルトはfalseです。 |
| <a id="queryblobsearchrepositoryref"></a>`repositoryRef` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。検索するリポジトリ参照。 |
| <a id="queryblobsearchsearch"></a>`search` | [`String!`](#string) | 検索語句。 |

### `Query.boardList`

イシューボードリストを検索します。

[`BoardList`](#boardlist)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryboardlistid"></a>`id` | [`ListID!`](#listid) | リストのグローバルID。 |
| <a id="queryboardlistissuefilters"></a>`issueFilters` | [`BoardIssueInput`](#boardissueinput) | ボードリストでイシューメタデータを取得する際に適用されるフィルター。 |

### `Query.ciApplicationSettings`

インスタンス全体に適用されるCI関連の設定。

[`CiApplicationSettings`](#ciapplicationsettings)を返します。

### `Query.ciCatalogResource`

認証済みユーザーに表示可能な単一のCI/CDカタログリソース。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

[`CiCatalogResource`](#cicatalogresource)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycicatalogresourcefullpath"></a>`fullPath` | [`ID`](#id) | CI/CDカタログリソースのフルパス。 |
| <a id="querycicatalogresourceid"></a>`id` | [`CiCatalogResourceID`](#cicatalogresourceid) | CI/CDカタログリソースのグローバルID。 |

### `Query.ciCatalogResources`

認証済みユーザーに表示可能な、共通のネームスペース下のすべてのCI/CDカタログリソース。

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

[`CiCatalogResourceConnection`](#cicatalogresourceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycicatalogresourcesscope"></a>`scope` | [`CiCatalogResourceScope`](#cicatalogresourcescope) | 返されるカタログリソースのスコープ。 |
| <a id="querycicatalogresourcessearch"></a>`search` | [`String`](#string) | カタログリソースを名前または説明でフィルタリングするための検索語句。 |
| <a id="querycicatalogresourcessort"></a>`sort` | [`CiCatalogResourceSort`](#cicatalogresourcesort) | 指定された基準でカタログリソースをソートします。 |
| <a id="querycicatalogresourcesverificationlevel"></a>`verificationLevel` | [`CiCatalogResourceVerificationLevel`](#cicatalogresourceverificationlevel) | 検証レベルでカタログリソースをフィルタリングします。 |

### `Query.ciConfig`

lintおよび処理されたCI設定内容。1回のリクエストで複数のリクエストはしないでください。

[`CiConfig`](#ciconfig)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryciconfigcontent"></a>`content` | [`String!`](#string) | `.gitlab-ci.yml`の内容。 |
| <a id="queryciconfigdryrun"></a>`dryRun` | [`Boolean`](#boolean) | パイプライン作成シミュレーションを実行するか、または静的チェックのみ実行します。 |
| <a id="queryciconfigprojectpath"></a>`projectPath` | [`ID!`](#id) | CI設定のプロジェクト。 |
| <a id="queryciconfigsha"></a>`sha` | [`String`](#string) | パイプラインのSHA。 |
| <a id="queryciconfigskipverifyprojectsha"></a>`skipVerifyProjectSha` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.5で**導入**。**状態**: 実験。指定された`sha`はプロジェクトのリポジトリに見つかったが、それがGit参照（デタッチされたコミット）に関連付けられていない場合、検証は失敗し、検証エラーが返されます。それ以外の場合、`sha`が無効であっても検証は成功します。`true`に設定すると、この検証処理をスキップします。 |

### `Query.ciDedicatedHostedRunnerFilters`

GitLab Dedicated Runnerの使用状況データに使用可能なフィルターを返します。

[`CiDedicatedHostedRunnerFilters`](#cidedicatedhostedrunnerfilters)を返します。

### `Query.ciDedicatedHostedRunnerUsage`

GitLab Dedicatedにおいてさまざまなネームスペースに関するRunnerのコンピューティング使用状況データ。年または請求月が指定されていない場合のデフォルトは、現在の年。Ultimateのみ。

[`CiDedicatedHostedRunnerUsageConnection`](#cidedicatedhostedrunnerusageconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycidedicatedhostedrunnerusagebillingmonth"></a>`billingMonth` | [`Date`](#date) | データを取得する対象月の最初の日。 |
| <a id="querycidedicatedhostedrunnerusagegrouping"></a>`grouping` | [`GroupingEnum`](#groupingenum) | インスタンスの集計またはルートネームスペースによって使用状況データをグループ化します。 |
| <a id="querycidedicatedhostedrunnerusagerunnerid"></a>`runnerId` | [`CiRunnerID`](#cirunnerid) | データ取得対象のRunner ID。 |
| <a id="querycidedicatedhostedrunnerusageyear"></a>`year` | [`Int`](#int) | データ取得対象の年。 |

### `Query.ciMinutesUsage`

ネームスペースのコンピューティング使用状況データ。

[`CiMinutesNamespaceMonthlyUsageConnection`](#ciminutesnamespacemonthlyusageconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryciminutesusagedate"></a>`date` | [`Date`](#date) | 使用状況データを取得する対象の日付。月の最初の日でなければなりません。 |
| <a id="queryciminutesusagenamespaceid"></a>`namespaceId` | [`NamespaceID`](#namespaceid) | 月間コンピューティング使用状況のネームスペースのグローバルID。 |

### `Query.ciPipelineStage`

CIパイプラインに属するステージ。

[`CiStage`](#cistage)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycipipelinestageid"></a>`id` | [`CiStageID!`](#cistageid) | CIステージのグローバルID。 |

### `Query.ciQueueingHistory`

RunnerがCIジョブを百分位で選択するのにかかる時間。このクエリを使用するには、ClickHouseデータベースバックエンドを有効にしてください。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`QueueingDelayHistory`](#queueingdelayhistory)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryciqueueinghistoryfromtime"></a>`fromTime` | [`Time`](#time) | リクエスト対象時間の開始時刻。デフォルトは3時間前です。 |
| <a id="queryciqueueinghistoryrunnertype"></a>`runnerType` | [`CiRunnerType`](#cirunnertype) | ジョブを実行したRunnerのタイプでジョブをフィルタリングします。 |
| <a id="queryciqueueinghistorytotime"></a>`toTime` | [`Time`](#time) | リクエスト対象時間の終了時刻。デフォルトは現在の時刻です。 |

### `Query.ciVariables`

インスタンスのCI/CD変数のリスト。

[`CiInstanceVariableConnection`](#ciinstancevariableconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycivariablessort"></a>`sort` | [`CiVariableSort`](#civariablesort) | 結果のソート順。 |

### `Query.cloudConnectorStatus`

Cloud Connector機能についての一連の状態チェックを実行します。

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

[`CloudConnectorStatus`](#cloudconnectorstatus)を返します。

### `Query.complianceRequirementControls`

コンプライアンス要件コントロールすべてのリストを取得します。

[`ComplianceRequirementControl`](#compliancerequirementcontrol)を返します。

### `Query.containerRepository`

コンテナリポジトリを検索します。

[`ContainerRepositoryDetails`](#containerrepositorydetails)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycontainerrepositoryid"></a>`id` | [`ContainerRepositoryID!`](#containerrepositoryid) | コンテナリポジトリのグローバルID。 |

### `Query.currentLicense`

現在のライセンスに関連するフィールド。

[`CurrentLicense`](#currentlicense)を返します。

### `Query.currentUser`

現在のユーザーに関する情報を取得します。

[`CurrentUser`](#currentuser)を返します。

### `Query.customField`

カスタムフィールドをIDで検索します。機能フラグ`custom_fields_feature`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`CustomField`](#customfield)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycustomfieldid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |

### `Query.designManagement`

設計監理に関連するフィールド。

[`DesignManagement!`](#designmanagement)を返します。

### `Query.devopsAdoptionEnabledNamespaces`

設定されているDevOpsアドプションネームスペースを取得します。**状態: **ベータ版。このエンドポイントは、予告なしに変更される場合があります。

[`DevopsAdoptionEnabledNamespaceConnection`](#devopsadoptionenablednamespaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querydevopsadoptionenablednamespacesdisplaynamespaceid"></a>`displayNamespaceId` | [`NamespaceID`](#namespaceid) | 表示ネームスペースでフィルタリングします。 |

### `Query.duoSettings`

GitLab Duoの設定を取得します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`DuoSettings`](#duosettings)を返します。

### `Query.duoWorkflowEvents`

GitLab Duo Workflowのイベントを一覧表示します。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`DuoWorkflowEventConnection!`](#duoworkfloweventconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryduoworkfloweventsworkflowid"></a>`workflowId` | [`AiDuoWorkflowsWorkflowID!`](#aiduoworkflowsworkflowid) | フェッチするリクエストIDの配列。 |

### `Query.duoWorkflowWorkflows`

現在のユーザーがオーナーであるワークフローを一覧表示します。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`DuoWorkflowConnection!`](#duoworkflowconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryduoworkflowworkflowsprojectpath"></a>`projectPath` | [`ID`](#id) | ワークフローを含むプロジェクトのフルパス。 |

### `Query.echo`

APIの検証に使用するテストエンドポイント。

[`String!`](#string)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryechotext"></a>`text` | [`String!`](#string) | エコーバックするテキスト。 |

### `Query.epicBoardList`

[`EpicList`](#epiclist)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryepicboardlistepicfilters"></a>`epicFilters` | [`EpicFilters`](#epicfilters) | エピックボードリストでエピックメタデータを取得する際に適用されるフィルター。 |
| <a id="queryepicboardlistid"></a>`id` | [`BoardsEpicListID!`](#boardsepiclistid) | リストのグローバルID。 |

### `Query.featureFlagEnabled`

機能フラグが有効になっているかどうかを確認します。

{{< details >}}GitLab 17.4で**非推奨**になりました。metadata.featureFlagsに置き換えられました。{{< /details >}}

[`Boolean!`](#boolean)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryfeatureflagenabledname"></a>`name` | [`String!`](#string) | 機能フラグの名前。 |

### `Query.frecentGroups`

ユーザーが最近アクセスしたグループ。

[`[Group!]`](#group)を返します。

### `Query.frecentProjects`

ユーザーが最近アクセスしたプロジェクト。

[`[Project!]`](#project)を返します。

### `Query.geoNode`

Geoノードを検索します。

[`GeoNode`](#geonode)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querygeonodename"></a>`name` | [`String`](#string) | Geoノードの名前。デフォルトは現在のGeoノードの名前です。 |

### `Query.gitpodEnabled`

アプリケーション設定でGitpodが有効になっているかどうか。

[`Boolean`](#boolean)を返します。

### `Query.googleCloudArtifactRegistryRepositoryArtifact`

Google Artifact Registryに含まれるアーティファクトに関する詳細。

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

[`GoogleCloudArtifactRegistryArtifactDetails`](#googlecloudartifactregistryartifactdetails)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querygooglecloudartifactregistryrepositoryartifactgooglecloudprojectid"></a>`googleCloudProjectId` | [`String!`](#string) | Google CloudプロジェクトのID。 |
| <a id="querygooglecloudartifactregistryrepositoryartifactimage"></a>`image` | [`String!`](#string) | Google Artifact Registryのイメージの名前。 |
| <a id="querygooglecloudartifactregistryrepositoryartifactlocation"></a>`location` | [`String!`](#string) | Artifact Registryリポジトリの場所。 |
| <a id="querygooglecloudartifactregistryrepositoryartifactprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="querygooglecloudartifactregistryrepositoryartifactrepository"></a>`repository` | [`String!`](#string) | Google Artifact Registryのリポジトリ。 |

### `Query.group`

グループを検索します。

[`Group`](#group)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querygroupfullpath"></a>`fullPath` | [`ID!`](#id) | グループのフルパス。例：`gitlab-org/gitlab-foss`。 |

### `Query.groups`

グループを検索します。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querygroupsallavailable"></a>`allAvailable` | [`Boolean`](#boolean) | `true`の場合、アクセス可能なすべてのグループを返します。`false`の場合、ユーザーがメンバーであるグループのみを返します。非認証のリクエストでは、常に全パブリックグループが返されます。`owned_only`引数が優先されます。 |
| <a id="querygroupsids"></a>`ids` | [`[ID!]`](#id) | グループをIDでフィルタリングします。 |
| <a id="querygroupsmarkedfordeletionon"></a>`markedForDeletionOn` | [`Date`](#date) | グループが削除対象としてマークされた日付。 |
| <a id="querygroupsownedonly"></a>`ownedOnly` | [`Boolean`](#boolean) | 現在のユーザーがオーナーロールを付与されているグループのみを含めます。 |
| <a id="querygroupsparentpath"></a>`parentPath` | [`ID`](#id) | 親グループのフルパス。 |
| <a id="querygroupssearch"></a>`search` | [`String`](#string) | グループ名またはグループのフルパスの検索クエリ。 |
| <a id="querygroupssort"></a>`sort` | [`String`](#string) | 結果のソート順。形式：`<field_name>_<sort_direction>`（`id_desc`や`name_asc`など）。 |
| <a id="querygroupstoplevelonly"></a>`topLevelOnly` | [`Boolean`](#boolean) | トップレベルグループのみを含めます。 |

### `Query.instanceExternalAuditEventDestinations`

インスタンスレベルの外部監査イベントの宛先。

[`InstanceExternalAuditEventDestinationConnection`](#instanceexternalauditeventdestinationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.instanceGoogleCloudLoggingConfigurations`

インスタンスレベルでのGoogle Cloudログの生成の設定。

[`InstanceGoogleCloudLoggingConfigurationTypeConnection`](#instancegooglecloudloggingconfigurationtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.instanceSecurityDashboard`

インスタンスセキュリティダッシュボードに関連するフィールド。

[`InstanceSecurityDashboard`](#instancesecuritydashboard)を返します。

### `Query.integrationExclusions`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

[`IntegrationExclusionConnection`](#integrationexclusionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryintegrationexclusionsintegrationname"></a>`integrationName` | [`IntegrationType!`](#integrationtype) | インテグレーションのタイプ。 |

### `Query.issue`

イシューを検索します。

[`Issue`](#issue)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryissueid"></a>`id` | [`IssueID!`](#issueid) | イシューのグローバルID。 |

### `Query.issues`

現在のユーザーに表示可能なイシューを検索します。少なくとも1つのフィルターを指定する必要があります。

{{< details >}}GitLab 15.6で**導入**。**状態**: 実験。{{< /details >}}

[`IssueConnection`](#issueconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryissuesassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられているユーザーのID。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="queryissuesassigneeusername"></a>`assigneeUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.11で**非推奨**になりました。`assigneeUsernames`を使用してください。 |
| <a id="queryissuesassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="queryissuesassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先ユーザーのワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="queryissuesauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="queryissuesclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日付より後に完了したイシュー。 |
| <a id="queryissuesclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日付より前に完了したイシュー。 |
| <a id="queryissuesconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報イシューについてフィルタリングします。「false」の場合、機密情報イシューを除外します。「true」の場合、機密情報イシューのみを返します。 |
| <a id="queryissuescreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたイシュー。 |
| <a id="queryissuescreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたイシュー。 |
| <a id="queryissuescrmcontactid"></a>`crmContactId` | [`String`](#string) | イシューに割り当てられている連絡先のID。 |
| <a id="queryissuescrmorganizationid"></a>`crmOrganizationId` | [`String`](#string) | イシューに割り当てられている組織のID。 |
| <a id="queryissuescustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="queryissuesdueafter"></a>`dueAfter` | [`Time`](#time) | 指定時刻以降に期限が切れるイシューを返します。 |
| <a id="queryissuesduebefore"></a>`dueBefore` | [`Time`](#time) | 指定時刻以前に期限が切れるイシューを返します。 |
| <a id="queryissuesepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられているエピックのID。「none」と「any」の値がサポートされています。 |
| <a id="queryissuesepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="queryissueshealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="queryissuesiid"></a>`iid` | [`String`](#string) | イシューのIID。例：「1」。 |
| <a id="queryissuesiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例：`["1", "2"]`。 |
| <a id="queryissuesin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="queryissuesincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのイシューを含めるかどうか。デフォルトは`false`です。 |
| <a id="queryissuesincludesubepics"></a>`includeSubepics` | [`Boolean`](#boolean) | epicIdでイシューをフィルタリングする際にサブエピックを含めるかどうか。 |
| <a id="queryissuesiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="queryissuesiterationid"></a>`iterationId` | [`[ID]`](#id) | イシューに適用されるイテレーショングローバルIDのリスト。 |
| <a id="queryissuesiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="queryissuesiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="queryissueslabelname"></a>`labelName` | [`[String]`](#string) | イシューに適用されるラベル。 |
| <a id="queryissuesmilestonetitle"></a>`milestoneTitle` | [`[String]`](#string) | イシューに適用されるマイルストーン。 |
| <a id="queryissuesmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="queryissuesmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="queryissuesnot"></a>`not` | [`NegatedIssueFilterInput`](#negatedissuefilterinput) | 否定条件となる引数。 |
| <a id="queryissuesor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="queryissuessearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="queryissuessort"></a>`sort` | [`IssueSort`](#issuesort) | 基準でイシューをソートします。 |
| <a id="queryissuesstate"></a>`state` | [`IssuableState`](#issuablestate) | イシューの現在の状態。 |
| <a id="queryissuessubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているイシュー。 |
| <a id="queryissuestypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューをフィルタリングします。 |
| <a id="queryissuesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたイシュー。 |
| <a id="queryissuesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたイシュー。 |
| <a id="queryissuesweight"></a>`weight` | [`String`](#string) | イシューに適用されるウェイト。「none」と「any」の値がサポートされています。 |
| <a id="queryissuesweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

### `Query.iteration`

イテレーションを検索します。

[`Iteration`](#iteration)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryiterationid"></a>`id` | [`IterationID!`](#iterationid) | イテレーションをIDで検索します。 |

### `Query.jobs`

このGitLabインスタンス上のすべてのジョブ。管理者アクセス権のないユーザーには空の結果が返されます。

[`CiJobConnection`](#cijobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryjobsfailurereason"></a>`failureReason` {{< icon name="warning-solid" >}} | [`CiJobFailureReason`](#cijobfailurereason) | GitLab 16.4で**導入**。**状態**: 実験。失敗理由でジョブをフィルタリングします。現在、`RUNNER_SYSTEM_FAILURE`と`runnerTypes: INSTANCE_TYPE`の組み合わせのみサポートされています。 |
| <a id="queryjobsrunnertypes"></a>`runnerTypes` {{< icon name="warning-solid" >}} | [`[CiRunnerType!]`](#cirunnertype) | GitLab 16.4で**導入**。**状態**: 実験。機能フラグ`:admin_jobs_filter_runner_type`が有効になっている場合に、Runnerのタイプでジョブをフィルタリングします。 |
| <a id="queryjobsstatuses"></a>`statuses` | [`[CiJobStatus!]`](#cijobstatus) | ジョブを状態でフィルタリングします。 |

### `Query.ldapAdminRoleLinks`

LDAP管理者リンク。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 17.11で**導入**。**状態**: 実験。{{< /details >}}

[`LdapAdminRoleLinkConnection`](#ldapadminrolelinkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.licenseHistoryEntries`

ライセンス履歴のエントリに関連するフィールド。

[`LicenseHistoryEntryConnection`](#licensehistoryentryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.memberRole`

インスタンスの単一のカスタムロールを検索します。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`MemberRole`](#memberrole)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymemberroleid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="querymemberroleids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="querymemberroleorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="querymemberrolesort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

### `Query.memberRolePermissions`

標準のカスタマイズ可能権限すべてのリスト。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`CustomizableStandardPermissionConnection`](#customizablestandardpermissionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.memberRoles`

インスタンスで使用可能なカスタムロール。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`MemberRoleConnection`](#memberroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymemberrolesid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="querymemberrolesids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="querymemberrolesorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="querymemberrolessort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

### `Query.mergeRequest`

マージリクエストを検索します。

[`MergeRequest`](#mergerequest)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymergerequestid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

### `Query.metadata`

GitLabに関するメタデータ。

[`Metadata`](#metadata)を返します。

### `Query.milestone`

マイルストーンを検索します。

[`Milestone`](#milestone)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymilestoneid"></a>`id` | [`MilestoneID!`](#milestoneid) | マイルストーンをIDで検索します。 |

### `Query.mlExperiment`

機械学習の実験を検索します。

[`MlExperiment`](#mlexperiment)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymlexperimentid"></a>`id` | [`MlExperimentID!`](#mlexperimentid) | 実験のID。 |

### `Query.mlModel`

機械学習モデルを検索します。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`MlModel`](#mlmodel)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querymlmodelid"></a>`id` | [`MlModelID!`](#mlmodelid) | モデルのID。 |

### `Query.namespace`

ネームスペースを検索します。

[`Namespace`](#namespace)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querynamespacefullpath"></a>`fullPath` | [`ID!`](#id) | ネームスペースのフルパス。例：`gitlab-org/gitlab-foss`。 |

### `Query.note`

ノートを検索します。

{{< details >}}GitLab 15.9で**導入**。**状態**: 実験。{{< /details >}}

[`Note`](#note)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querynoteid"></a>`id` | [`NoteID!`](#noteid) | ノートのグローバルID。 |

### `Query.organization`

組織を検索します。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`Organization`](#organization)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryorganizationid"></a>`id` | [`OrganizationsOrganizationID!`](#organizationsorganizationid) | 組織のID。 |

### `Query.organizations`

組織を一覧表示します。

{{< details >}}GitLab 16.8で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.package`

パッケージを検索します。このフィールドは、1回のリクエストにつき1つのクエリに対してのみ解決できます。パッケージに`default`の状態がない場合、`null`を返します。

[`PackageDetailsType`](#packagedetailstype)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querypackageid"></a>`id` | [`PackagesPackageID!`](#packagespackageid) | パッケージのグローバルID。 |

### `Query.project`

プロジェクトを検索します。

[`Project`](#project)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryprojectfullpath"></a>`fullPath` | [`ID!`](#id) | プロジェクトのフルパス。例：`gitlab-org/gitlab-foss`。 |

### `Query.projectSecret`

特定のプロジェクトシークレットを表示します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectSecret`](#projectsecret)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryprojectsecretname"></a>`name` | [`String!`](#string) | 表示するプロジェクトシークレットの名前。 |
| <a id="queryprojectsecretprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットが属するプロジェクト。 |

### `Query.projectSecrets`

プロジェクトシークレットを一覧表示します。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectSecretConnection`](#projectsecretconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryprojectsecretsprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットが属するプロジェクト。 |

### `Query.projectSecretsManager`

プロジェクトシークレットマネージャーを検索します。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectSecretsManager`](#projectsecretsmanager)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryprojectsecretsmanagerprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットマネージャーのプロジェクト。 |

### `Query.projects`

現在のユーザーに表示可能なプロジェクトを検索します。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryprojectsaimedfordeletion"></a>`aimedForDeletion` | [`Boolean`](#boolean) | 削除対象としてマークされているプロジェクトのみを返します。 |
| <a id="queryprojectsarchived"></a>`archived` | [`ProjectArchived`](#projectarchived) | アーカイブされた状態によりプロジェクトをフィルタリングします。 |
| <a id="queryprojectsfullpaths"></a>`fullPaths` | [`[String!]`](#string) | プロジェクトをフルパスでフィルタリングします。50を超えるフルパスを指定することはできません。 |
| <a id="queryprojectsids"></a>`ids` | [`[ID!]`](#id) | プロジェクトをIDでフィルタリングします。 |
| <a id="queryprojectsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | 非表示のプロジェクトを含めます。 |
| <a id="queryprojectsmarkedfordeletionon"></a>`markedForDeletionOn` | [`Date`](#date) | プロジェクトが削除対象としてマークされた日付。 |
| <a id="queryprojectsmembership"></a>`membership` | [`Boolean`](#boolean) | 現在のユーザーをメンバーするプロジェクトのみを返します。 |
| <a id="queryprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="queryprojectsnotaimedfordeletion"></a>`notAimedForDeletion` | [`Boolean`](#boolean) | 削除対象としてマークされているプロジェクトを除外します。 |
| <a id="queryprojectspersonal"></a>`personal` | [`Boolean`](#boolean) | 個人用プロジェクトのみを返します。 |
| <a id="queryprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="queryprojectssearch"></a>`search` | [`String`](#string) | プロジェクト名、パス、または説明の検索クエリ。 |
| <a id="queryprojectssearchnamespaces"></a>`searchNamespaces` | [`Boolean`](#boolean) | プロジェクト検索にネームスペースを含めます。 |
| <a id="queryprojectssort"></a>`sort` | [`String`](#string) | 結果のソート順。形式：`<field_name>_<sort_direction>`（`id_desc`や`name_asc`など）。 |
| <a id="queryprojectstopics"></a>`topics` | [`[String!]`](#string) | プロジェクトをトピックでフィルタリングします。 |
| <a id="queryprojectstrending"></a>`trending` | [`Boolean`](#boolean) | トレンド中のプロジェクトのみを返します。 |
| <a id="queryprojectswithissuesenabled"></a>`withIssuesEnabled` | [`Boolean`](#boolean) | イシューが有効になっているプロジェクトのみを返します。 |
| <a id="queryprojectswithmergerequestsenabled"></a>`withMergeRequestsEnabled` | [`Boolean`](#boolean) | マージリクエストが有効になっているプロジェクトのみを返します。 |

### `Query.queryComplexity`

GraphQLクエリの複雑さに関する情報。

[`QueryComplexity`](#querycomplexity)を返します。

### `Query.runner`

Runnerを検索します。

[`CiRunner`](#cirunner)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryrunnerid"></a>`id` | [`CiRunnerID!`](#cirunnerid) | RunnerのID。 |

### `Query.runnerPlatforms`

サポートされているRunnerプラットフォーム。

{{< details >}}GitLab 15.9で**非推奨**になりました。使用されなくなりました。サポートされているプラットフォームについては、gitlab-Runnerのドキュメントを参照してください。{{< /details >}}

[`RunnerPlatformConnection`](#runnerplatformconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.runnerSetup`

Runnerの設定手順。

{{< details >}}GitLab 15.9で**非推奨**になりました。使用されなくなりました。Runnerの登録コマンドについては、gitlab-Runnerのドキュメントを参照してください。{{< /details >}}

[`RunnerSetup`](#runnersetup)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryrunnersetuparchitecture"></a>`architecture` | [`String!`](#string) | 手順を生成する対象のアーキテクチャ。 |
| <a id="queryrunnersetupgroupid"></a>`groupId` {{< icon name="warning-solid" >}} | [`GroupID`](#groupid) | GitLab 13.11で**非推奨**になりました。使用されなくなりました。 |
| <a id="queryrunnersetupplatform"></a>`platform` | [`String!`](#string) | 手順を生成する対象のプラットフォーム。 |
| <a id="queryrunnersetupprojectid"></a>`projectId` {{< icon name="warning-solid" >}} | [`ProjectID`](#projectid) | GitLab 13.11で**非推奨**になりました。使用されなくなりました。 |

### `Query.runnerUsage`

RunnerごとのRunner使用状況。このクエリを使用するには、ClickHouseデータベースバックエンドを有効にしてください。

[`[CiRunnerUsage!]`](#cirunnerusage)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryrunnerusagefromdate"></a>`fromDate` | [`Date`](#date) | リクエストされた日付フレームの開始日。デフォルトは、カレンダー前月の開始日です。 |
| <a id="queryrunnerusagefullpath"></a>`fullPath` | [`ID`](#id) | ジョブを、その属するグループまたはプロジェクトのフルパスでフィルタリングします。例: `gitlab-org`や`gitlab-org/gitlab`など。これを使用できるのは、管理者と、グループ（グループが指定されている場合）またはプロジェクト（プロジェクトが指定されている場合）のメンテナーロールを付与されているユーザーだけです。最大5000個の子プロジェクトからのRunnerという制限があります。 |
| <a id="queryrunnerusagerunnertype"></a>`runnerType` | [`CiRunnerType`](#cirunnertype) | Runnerをタイプでフィルタリングします。 |
| <a id="queryrunnerusagerunnerslimit"></a>`runnersLimit` | [`Int`](#int) | 返すRunnerの最大数。その他のRunnerは`runner: null`エントリに集約されます。指定されていない場合のデフォルトは5です。最大500。 |
| <a id="queryrunnerusagetodate"></a>`toDate` | [`Date`](#date) | リクエストされた日付フレームの終了日。デフォルトは、カレンダー前月の終了日です。 |

### `Query.runnerUsageByProject`

プロジェクトごとのRunnerの使用状況。このクエリを使用するには、ClickHouseデータベースバックエンドを有効にしてください。

[`[CiRunnerUsageByProject!]`](#cirunnerusagebyproject)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryrunnerusagebyprojectfromdate"></a>`fromDate` | [`Date`](#date) | リクエストされた日付フレームの開始日。デフォルトは、カレンダー前月の開始日です。 |
| <a id="queryrunnerusagebyprojectfullpath"></a>`fullPath` | [`ID`](#id) | ジョブを、その属するグループまたはプロジェクトのフルパスに基づいてフィルタリングします。例: `gitlab-org`や`gitlab-org/gitlab`など。これを使用できるのは、管理者と、グループ（グループが指定されている場合）またはプロジェクト（プロジェクトが指定されている場合）のメンテナーロールを付与されているユーザーだけです。最大5000個の子プロジェクトからのRunnerという制限があります。 |
| <a id="queryrunnerusagebyprojectprojectslimit"></a>`projectsLimit` | [`Int`](#int) | 返すプロジェクトの最大数。その他のプロジェクトは`project: null`エントリに集約されます。指定されていない場合のデフォルトは5です。最大500。 |
| <a id="queryrunnerusagebyprojectrunnertype"></a>`runnerType` | [`CiRunnerType`](#cirunnertype) | ジョブを実行したRunnerのタイプでジョブをフィルタリングします。 |
| <a id="queryrunnerusagebyprojecttodate"></a>`toDate` | [`Date`](#date) | リクエストされた日付フレームの終了日。デフォルトは、カレンダー前月の終了日です。 |

### `Query.runners`

GitLabインスタンス（プロジェクトおよび共有）内のすべてのRunnerを取得します。アクセスは、管理者アクセス権を持つユーザーに制限されています。

[`CiRunnerConnection`](#cirunnerconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryrunnersactive"></a>`active` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 14.8で**非推奨**になりました。名前が変更されました。`paused`を使用してください。 |
| <a id="queryrunnerscreatorid"></a>`creatorId` | [`UserID`](#userid) | Runnerを作成者IDでフィルタリングします。 |
| <a id="queryrunnerscreatorusername"></a>`creatorUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。Runnerを作成者のユーザー名でフィルタリングします。 |
| <a id="queryrunnersownerfullpath"></a>`ownerFullPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。Runnerを、それを所有するプロジェクトまたはグループでフィルタリングします。 |
| <a id="queryrunnersownerwildcard"></a>`ownerWildcard` {{< icon name="warning-solid" >}} | [`CiRunnerOwnerWildcard`](#cirunnerownerwildcard) | GitLab 17.8で**導入**。**状態**: 実験。Runnerをオーナーのワイルドカードでフィルタリングします。 |
| <a id="queryrunnerspaused"></a>`paused` | [`Boolean`](#boolean) | runnerを`paused`（true）または`active`（false）の状態によりフィルタリングします。 |
| <a id="queryrunnerssearch"></a>`search` | [`String`](#string) | description（説明）フィールドのフルトークンまたは部分テキストでフィルタリングします。 |
| <a id="queryrunnerssort"></a>`sort` | [`CiRunnerSort`](#cirunnersort) | 結果のソート順。 |
| <a id="queryrunnersstatus"></a>`status` | [`CiRunnerStatus`](#cirunnerstatus) | Runnerを状態でフィルタリングします。 |
| <a id="queryrunnerstaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連するタグでフィルタリングします（カンマ区切りまたは配列）。 |
| <a id="queryrunnerstype"></a>`type` | [`CiRunnerType`](#cirunnertype) | Runnerをタイプでフィルタリングします。 |
| <a id="queryrunnersupgradestatus"></a>`upgradeStatus` | [`CiRunnerUpgradeStatus`](#cirunnerupgradestatus) | アップグレード状態でフィルタリングします。 |
| <a id="queryrunnersversionprefix"></a>`versionPrefix` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.6で**導入**されました。**状態**: 実験。Runnerをバージョンでフィルタリングします。検索語の先頭がバージョンであるRunnerマネージャーを含むRunnerが返されます。たとえば、検索語「14.」は、バージョン「14.11.1」と「14.2.3」のRunnerマネージャーを返します。 |

### `Query.selfManagedAddOnEligibleUsers`

アドオンの対象となるSelf-Managedインスタンス内のユーザー。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`AddOnUserConnection`](#addonuserconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryselfmanagedaddoneligibleusersaddonpurchaseids"></a>`addOnPurchaseIds` | [`[GitlabSubscriptionsAddOnPurchaseID!]!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当てを検索する対象のアドオン購入のグローバルID。 |
| <a id="queryselfmanagedaddoneligibleusersaddontype"></a>`addOnType` | [`GitlabSubscriptionsAddOnType!`](#gitlabsubscriptionsaddontype) | 対象ユーザーのフィルタリングの基準となるアドオンのタイプ。 |
| <a id="queryselfmanagedaddoneligibleusersfilterbyassignedseat"></a>`filterByAssignedSeat` | [`String`](#string) | ユーザーリストを、割り当てられたシートでフィルタリングします。 |
| <a id="queryselfmanagedaddoneligibleuserssearch"></a>`search` | [`String`](#string) | ユーザーリストを検索します。 |
| <a id="queryselfmanagedaddoneligibleuserssort"></a>`sort` | [`GitlabSubscriptionsUserSort`](#gitlabsubscriptionsusersort) | ユーザーリストをソートします。 |

### `Query.selfManagedUsersQueuedForRolePromotion`

Self-Managedインスタンス内でロールプロモーション承認保留中のユーザーに関連するフィールド。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

[`UsersQueuedForRolePromotionConnection`](#usersqueuedforrolepromotionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.snippets`

現在のユーザーに表示可能なスニペットを検索します。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querysnippetsauthorid"></a>`authorId` | [`UserID`](#userid) | 作成者のID。 |
| <a id="querysnippetsexplore"></a>`explore` | [`Boolean`](#boolean) | 個人用スニペットを調べます。 |
| <a id="querysnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例：`gid://gitlab/ProjectSnippet/1`。 |
| <a id="querysnippetsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのID。 |
| <a id="querysnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="querysnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

### `Query.standardRole`

インスタンスの単一のデフォルトロールを検索します。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`StandardRole`](#standardrole)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querystandardroleaccesslevel"></a>`accessLevel` | [`[MemberAccessLevel!]`](#memberaccesslevel) | フィルタリングの基準となるアクセスレベル。 |

### `Query.standardRoles`

インスタンスで利用可能なデフォルトロール。GitLab Self-Managedでのみ利用可能。

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

[`StandardRoleConnection`](#standardroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querystandardrolesaccesslevel"></a>`accessLevel` | [`[MemberAccessLevel!]`](#memberaccesslevel) | フィルタリングの基準となるアクセスレベル。 |

### `Query.subscriptionFutureEntries`

将来のサブスクリプションのエントリに関連するフィールド。

[`SubscriptionFutureEntryConnection`](#subscriptionfutureentryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

### `Query.syntheticNote`

合成ノートを検索します。

{{< details >}}GitLab 15.9で**導入**。**状態**: 実験。{{< /details >}}

[`Note`](#note)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querysyntheticnotenoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | 合成ノートを検索するリソースのグローバルID。 |
| <a id="querysyntheticnotesha"></a>`sha` | [`String!`](#string) | ノートのグローバルID。 |

### `Query.timelogs`

現在のユーザーに表示可能なタイムログを検索します。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querytimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="querytimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="querytimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="querytimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="querytimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="querytimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="querytimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="querytimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

### `Query.todo`

単一のTo Doアイテムを取得します。

[`Todo`](#todo)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querytodoid"></a>`id` | [`TodoID!`](#todoid) | To DoアイテムのID。 |

### `Query.topics`

プロジェクトのトピックを検索します。

[`TopicConnection`](#topicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querytopicsorganizationid"></a>`organizationId` {{< icon name="warning-solid" >}} | [`OrganizationsOrganizationID`](#organizationsorganizationid) | GitLab 17.7で**導入**。**状態**: 実験。組織のグローバルID。 |
| <a id="querytopicssearch"></a>`search` | [`String`](#string) | トピック名を検索するクエリ。 |

### `Query.usageTrendsMeasurements`

インスタンスの統計を取得します。

[`UsageTrendsMeasurementConnection`](#usagetrendsmeasurementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryusagetrendsmeasurementsidentifier"></a>`identifier` | [`MeasurementIdentifier!`](#measurementidentifier) | 取得する測定または統計のタイプ。 |
| <a id="queryusagetrendsmeasurementsrecordedafter"></a>`recordedAfter` | [`Time`](#time) | この日付より後に記録された測定。 |
| <a id="queryusagetrendsmeasurementsrecordedbefore"></a>`recordedBefore` | [`Time`](#time) | この日付より前に記録された測定。 |

### `Query.user`

ユーザーを検索します。

[`UserCore`](#usercore)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryuserid"></a>`id` | [`UserID`](#userid) | ユーザーのID。 |
| <a id="queryuserusername"></a>`username` | [`String`](#string) | ユーザーのユーザー名。 |

### `Query.users`

ユーザーを検索します。

[`UserCoreConnection`](#usercoreconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryusersactive"></a>`active` | [`Boolean`](#boolean) | アクティブユーザーでフィルタリングします。trueの場合、アクティブユーザーを返します。falseの場合、非アクティブユーザーを返します。 |
| <a id="queryusersadmins"></a>`admins` | [`Boolean`](#boolean) | 管理者ユーザーのみを返します。 |
| <a id="queryusersgroupid"></a>`groupId` | [`GroupID`](#groupid) | 特定のグループのメンバーであるユーザーを返します。 |
| <a id="queryusershumans"></a>`humans` | [`Boolean`](#boolean) | 標準ユーザーでフィルタリングします。trueの場合、ボットでも内部ユーザーでもないユーザーのみを返します。falseの場合、ボットまたは内部ユーザーであるユーザーのみを返します。 |
| <a id="queryusersids"></a>`ids` | [`[ID!]`](#id) | ユーザーのグローバルIDのリスト。 |
| <a id="queryuserssearch"></a>`search` | [`String`](#string) | 名前、ユーザー名、またはプライマリーメールでユーザーを検索するクエリ。 |
| <a id="queryuserssort"></a>`sort` | [`Sort`](#sort) | 条件でユーザーをソートします。 |
| <a id="queryusersusernames"></a>`usernames` | [`[String!]`](#string) | ユーザー名のリスト。 |

### `Query.vulnerabilities`

現在のユーザーのインスタンスセキュリティダッシュボードのプロジェクトで報告された脆弱性。

[`VulnerabilityConnection`](#vulnerabilityconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryvulnerabilitiesclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="queryvulnerabilitiesclusterid"></a>`clusterId` | [`[ClustersClusterID!]`](#clustersclusterid) | 脆弱性を`cluster_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="queryvulnerabilitiesdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。このフィルターで含められるのは、却下された脆弱性だけです。 |
| <a id="queryvulnerabilitieshasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**されました。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる可能性が高い脆弱性のみを返します。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="queryvulnerabilitieshasissues"></a>`hasIssues` | [`Boolean`](#boolean) | リンクされたイシューがある脆弱性のみを返します。 |
| <a id="queryvulnerabilitieshasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | リンクされているマージリクエストがある脆弱性のみを返します。 |
| <a id="queryvulnerabilitieshasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性のみを返します。 |
| <a id="queryvulnerabilitieshasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | デフォルトブランチで解決された脆弱性のみを返します。 |
| <a id="queryvulnerabilitiesidentifiername"></a>`identifierName` | [`String`](#string) | 脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="queryvulnerabilitiesimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="queryvulnerabilitiesowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="queryvulnerabilitiesprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="queryvulnerabilitiesreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="queryvulnerabilitiesscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をVulnerabilityScanner.externalIdでフィルタリングします。 |
| <a id="queryvulnerabilitiesscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="queryvulnerabilitiesseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="queryvulnerabilitiessort"></a>`sort` | [`VulnerabilitySort`](#vulnerabilitysort) | 脆弱性をソート順で一覧表示します。 |
| <a id="queryvulnerabilitiesstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

### `Query.vulnerabilitiesCountByDay`

現在のユーザーのインスタンスセキュリティダッシュボードのプロジェクトに対する1日あたりの脆弱性履歴数。

[`VulnerabilitiesCountByDayConnection`](#vulnerabilitiescountbydayconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryvulnerabilitiescountbydayenddate"></a>`endDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最後の日付。 |
| <a id="queryvulnerabilitiescountbydaystartdate"></a>`startDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最初の日付。 |

### `Query.vulnerability`

脆弱性を検索します。

[`Vulnerability`](#vulnerability)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryvulnerabilityid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 脆弱性のグローバルID。 |

### `Query.wikiPage`

Wikiページを検索します。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`WikiPage`](#wikipage)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querywikipagenamespaceid"></a>`namespaceId` | [`NamespaceID`](#namespaceid) | WikiページのネームスペースID。 |
| <a id="querywikipageprojectid"></a>`projectId` | [`ProjectID`](#projectid) | WikiページのプロジェクトID。 |
| <a id="querywikipageslug"></a>`slug` | [`String`](#string) | Wikiページのslug。 |

### `Query.workItem`

作業アイテムを検索します。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItem`](#workitem)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryworkitemid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |

### `Query.workItemDescriptionTemplateContent`

作業アイテムの説明テンプレートを検索します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemDescriptionTemplate`](#workitemdescriptiontemplate)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryworkitemdescriptiontemplatecontenttemplatecontentinput"></a>`templateContentInput` | [`WorkItemDescriptionTemplateContentInput!`](#workitemdescriptiontemplatecontentinput) | 特定の説明テンプレートをフェッチするためのインプット。 |

### `Query.workItemsByReference`

作業アイテムを参照によって検索します。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemConnection`](#workitemconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryworkitemsbyreferencecontextnamespacepath"></a>`contextNamespacePath` | [`ID`](#id) | コンテキストネームスペース（プロジェクトまたはグループ）のフルパス。 |
| <a id="queryworkitemsbyreferencerefs"></a>`refs` | [`[String!]!`](#string) | 作業アイテムの参照。短い参照またはURLのいずれかを指定できます。 |

### `Query.workspace`

ワークスペースを検索します。

[`Workspace`](#workspace)を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryworkspaceid"></a>`id` | [`RemoteDevelopmentWorkspaceID!`](#remotedevelopmentworkspaceid) | ワークスペースをIDで検索します。 |

### `Query.workspaces`

インスタンス全体でワークスペースを検索します。このフィールドはインスタンス管理者のみが使用できます。管理者以外のすべてのユーザーには空の結果が返されます。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queryworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="queryworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="queryworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例：`["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="queryworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="queryworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |
| <a id="queryworkspacesuserids"></a>`userIds` | [`[ProjectID!]`](#projectid) | ワークスペースをユーザーのグローバルIDでフィルタリングします。 |

## `Mutation`型

`Mutation`型には、実行できるすべての変異が含まれています。

どの変異も、`input`という名前の単一の入力オブジェクトで引数を受け取ります。どの変異でも、少なくとも、エラーメッセージのリストを含む戻りフィールド`errors`をサポートしています。

どの入力オブジェクトについても、変異を識別する`clientMutationId: String`フィールドが含まれる可能性があります。

例:

```graphql
mutation($id: NoteableID!, $body: String!) {
  createNote(input: { noteableId: $id, body: $body }) {
    errors
  }
}
```

### `Mutation.abuseReportLabelCreate`

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AbuseReportLabelCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationabusereportlabelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationabusereportlabelcreatecolor"></a>`color` | [`String`](#string) | ラベルの色。先頭が「#」記号の6桁の16進表記（`#FFAABB`など）か、またはCSSカラー名のいずれかで指定。 |
| <a id="mutationabusereportlabelcreatetitle"></a>`title` | [`String!`](#string) | ラベルのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationabusereportlabelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationabusereportlabelcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationabusereportlabelcreatelabel"></a>`label` | [`AbuseReportLabel`](#abusereportlabel) | 変異後のラベル。 |

### `Mutation.achievementsAward`

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AchievementsAwardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsawardachievementid"></a>`achievementId` | [`AchievementsAchievementID!`](#achievementsachievementid) | 授与されるアチーブメントのグローバルID。 |
| <a id="mutationachievementsawardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsawarduserid"></a>`userId` | [`UserID!`](#userid) | アチーブメントを授与されるユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsawardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsawarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationachievementsawarduserachievement"></a>`userAchievement` | [`UserAchievement`](#userachievement) | アチーブメントの授与。 |

### `Mutation.achievementsCreate`

{{< details >}}GitLab 15.8で**導入**されました。**状態**: 実験。{{< /details >}}

入力型: `AchievementsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementscreateavatar"></a>`avatar` | [`Upload`](#upload) | アチーブメントのアバター。 |
| <a id="mutationachievementscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementscreatedescription"></a>`description` | [`String`](#string) | アチーブメントの説明またはノート。 |
| <a id="mutationachievementscreatename"></a>`name` | [`String!`](#string) | アチーブメントの名前。 |
| <a id="mutationachievementscreatenamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | アチーブメントのネームスペース。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementscreateachievement"></a>`achievement` | [`Achievement`](#achievement) | 作成されたアチーブメント。 |
| <a id="mutationachievementscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.achievementsDelete`

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AchievementsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsdeleteachievementid"></a>`achievementId` | [`AchievementsAchievementID!`](#achievementsachievementid) | 削除するアチーブメントのグローバルID。 |
| <a id="mutationachievementsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsdeleteachievement"></a>`achievement` | [`Achievement`](#achievement) | アチーブメント。 |
| <a id="mutationachievementsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.achievementsRevoke`

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AchievementsRevokeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsrevokeuserachievementid"></a>`userAchievementId` | [`AchievementsUserAchievementID!`](#achievementsuserachievementid) | 取り消すユーザーアチーブメントのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsrevokeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationachievementsrevokeuserachievement"></a>`userAchievement` | [`UserAchievement`](#userachievement) | アチーブメントの授与。 |

### `Mutation.achievementsUpdate`

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AchievementsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsupdateachievementid"></a>`achievementId` | [`AchievementsAchievementID!`](#achievementsachievementid) | 更新対象のアチーブメントのグローバルID。 |
| <a id="mutationachievementsupdateavatar"></a>`avatar` | [`Upload`](#upload) | アチーブメントのアバター。 |
| <a id="mutationachievementsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsupdatedescription"></a>`description` | [`String`](#string) | アチーブメントの説明またはノート。 |
| <a id="mutationachievementsupdatename"></a>`name` | [`String`](#string) | アチーブメントの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationachievementsupdateachievement"></a>`achievement` | [`Achievement`](#achievement) | アチーブメント。 |
| <a id="mutationachievementsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationachievementsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.addProjectToSecurityDashboard`

入力型: `AddProjectToSecurityDashboardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaddprojecttosecuritydashboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaddprojecttosecuritydashboardid"></a>`id` | [`ProjectID!`](#projectid) | インスタンスセキュリティダッシュボードに追加するプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaddprojecttosecuritydashboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaddprojecttosecuritydashboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaddprojecttosecuritydashboardproject"></a>`project` | [`Project`](#project) | インスタンスセキュリティダッシュボードに追加されたプロジェクト。 |

### `Mutation.adminSidekiqQueuesDeleteJobs`

入力型: `AdminSidekiqQueuesDeleteJobsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationadminsidekiqqueuesdeletejobsairesource"></a>`aiResource` | [`String`](#string) | コンテキストメタデータ内のai_resourceに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsartifactsize"></a>`artifactSize` | [`String`](#string) | コンテキストメタデータ内のartifact_sizeに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsartifactusedcdn"></a>`artifactUsedCdn` | [`String`](#string) | コンテキストメタデータ内のartifact_used_cdnに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsartifactsdependenciescount"></a>`artifactsDependenciesCount` | [`String`](#string) | コンテキストメタデータ内のartifacts_dependencies_countに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsartifactsdependenciessize"></a>`artifactsDependenciesSize` | [`String`](#string) | コンテキストメタデータ内のartifacts_dependencies_sizeに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsbulkimportentityid"></a>`bulkImportEntityId` | [`String`](#string) | コンテキストメタデータ内のbulk_import_entity_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobscallerid"></a>`callerId` | [`String`](#string) | コンテキストメタデータ内のcaller_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsclientid"></a>`clientId` | [`String`](#string) | コンテキストメタデータ内のclient_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationadminsidekiqqueuesdeletejobsfeaturecategory"></a>`featureCategory` | [`String`](#string) | コンテキストメタデータ内のfeature_categoryに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsjobid"></a>`jobId` | [`String`](#string) | コンテキストメタデータ内のjob_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsmergeactionstatus"></a>`mergeActionStatus` | [`String`](#string) | コンテキストメタデータ内のmerge_action_statusに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsorganizationid"></a>`organizationId` | [`String`](#string) | コンテキストメタデータ内のorganization_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobspipelineid"></a>`pipelineId` | [`String`](#string) | コンテキストメタデータ内のpipeline_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsproject"></a>`project` | [`String`](#string) | コンテキストメタデータ内のprojectに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsqueuename"></a>`queueName` | [`String!`](#string) | ジョブを削除する元のキューの名前。 |
| <a id="mutationadminsidekiqqueuesdeletejobsrelatedclass"></a>`relatedClass` | [`String`](#string) | コンテキストメタデータ内のrelated_classに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsremoteip"></a>`remoteIp` | [`String`](#string) | コンテキストメタデータ内のremote_ipに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsrootcallerid"></a>`rootCallerId` | [`String`](#string) | コンテキストメタデータ内のroot_caller_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsrootnamespace"></a>`rootNamespace` | [`String`](#string) | コンテキストメタデータ内のroot_namespaceに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsscopeduser"></a>`scopedUser` | [`String`](#string) | コンテキストメタデータ内のscoped_userに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsscopeduserid"></a>`scopedUserId` | [`String`](#string) | コンテキストメタデータ内のscoped_user_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobssidekiqdestinationshardredis"></a>`sidekiqDestinationShardRedis` | [`String`](#string) | コンテキストメタデータ内のsidekiq_destination_shard_redisに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobssubscriptionplan"></a>`subscriptionPlan` | [`String`](#string) | コンテキストメタデータ内のsubscription_planに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsuser"></a>`user` | [`String`](#string) | コンテキストメタデータ内のuserに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsuserid"></a>`userId` | [`String`](#string) | コンテキストメタデータ内のuser_idに一致するジョブを削除します。 |
| <a id="mutationadminsidekiqqueuesdeletejobsworkerclass"></a>`workerClass` | [`String`](#string) | 指定されたワーカークラスのジョブを削除します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationadminsidekiqqueuesdeletejobsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationadminsidekiqqueuesdeletejobserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationadminsidekiqqueuesdeletejobsresult"></a>`result` | [`DeleteJobsResponse`](#deletejobsresponse) | 削除リクエストの状態に関する情報。 |

### `Mutation.aiAction`

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiActionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiactionchat"></a>`chat` | [`AiChatInput`](#aichatinput) | チャットAIアクションのインプット。 |
| <a id="mutationaiactionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiactionclientsubscriptionid"></a>`clientSubscriptionId` | [`String`](#string) | 変異の応答を受信するためにサブスクライブできる、クライアントによって生成されたID。 |
| <a id="mutationaiactionconversationtype"></a>`conversationType` | [`AiConversationsThreadsConversationType`](#aiconversationsthreadsconversationtype) | スレッドの会話タイプ。 |
| <a id="mutationaiactiondescriptioncomposer"></a>`descriptionComposer` | [`AiDescriptionComposerInput`](#aidescriptioncomposerinput) | description_composer AIアクションのインプット。 |
| <a id="mutationaiactionexplainvulnerability"></a>`explainVulnerability` | [`AiExplainVulnerabilityInput`](#aiexplainvulnerabilityinput) | explain_vulnerability AIアクションのインプット。 |
| <a id="mutationaiactiongeneratecommitmessage"></a>`generateCommitMessage` | [`AiGenerateCommitMessageInput`](#aigeneratecommitmessageinput) | generate_commit_message AIアクションのインプット。 |
| <a id="mutationaiactiongeneratecubequery"></a>`generateCubeQuery` | [`AiGenerateCubeQueryInput`](#aigeneratecubequeryinput) | generate_cube_query AIアクションのインプット。 |
| <a id="mutationaiactiongeneratedescription"></a>`generateDescription` | [`AiGenerateDescriptionInput`](#aigeneratedescriptioninput) | generate_description AIアクションのインプット。 |
| <a id="mutationaiactionmeasurecommenttemperature"></a>`measureCommentTemperature` | [`AiMeasureCommentTemperatureInput`](#aimeasurecommenttemperatureinput) | measure_comment_temperature AIアクションのインプット。 |
| <a id="mutationaiactionplatformorigin"></a>`platformOrigin` | [`String`](#string) | リクエストのoriginプラットフォームを指定します。 |
| <a id="mutationaiactionprojectid"></a>`projectId` | [`ProjectID`](#projectid) | ユーザー操作の対象となるプロジェクトのグローバルID。 |
| <a id="mutationaiactionresolvevulnerability"></a>`resolveVulnerability` | [`AiResolveVulnerabilityInput`](#airesolvevulnerabilityinput) | resolve_vulnerability AIアクションのインプット。 |
| <a id="mutationaiactionsummarizecomments"></a>`summarizeComments` | [`AiSummarizeCommentsInput`](#aisummarizecommentsinput) | summarize_comments AIアクションのインプット。 |
| <a id="mutationaiactionsummarizenewmergerequest"></a>`summarizeNewMergeRequest` | [`AiSummarizeNewMergeRequestInput`](#aisummarizenewmergerequestinput) | summarize_new_merge_request AIアクションのインプット。 |
| <a id="mutationaiactionsummarizereview"></a>`summarizeReview` | [`AiSummarizeReviewInput`](#aisummarizereviewinput) | summarize_review AIアクションのインプット。 |
| <a id="mutationaiactionthreadid"></a>`threadId` | [`AiConversationThreadID`](#aiconversationthreadid) | 会話を継続する既存スレッドのグローバルID。指定されていない場合、指定されたconversation_typeのための新しいスレッドが作成されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiactionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiactionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaiactionrequestid"></a>`requestId` | [`String`](#string) | リクエストのID。 |
| <a id="mutationaiactionthreadid"></a>`threadId` | [`AiConversationThreadID`](#aiconversationthreadid) | スレッドのグローバルID。 |

### `Mutation.aiAgentCreate`

{{< details >}}GitLab 16.8で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiAgentCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentcreatename"></a>`name` | [`String!`](#string) | エージェントの名前。 |
| <a id="mutationaiagentcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | エージェントが属するプロジェクト。 |
| <a id="mutationaiagentcreateprompt"></a>`prompt` | [`String!`](#string) | エージェントのプロンプト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentcreateagent"></a>`agent` | [`AiAgent`](#aiagent) | 変異後のエージェント。 |
| <a id="mutationaiagentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.aiAgentDestroy`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiAgentDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentdestroyagentid"></a>`agentId` | [`AiAgentID!`](#aiagentid) | 削除するAIエージェントのグローバルID。 |
| <a id="mutationaiagentdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentdestroyprojectpath"></a>`projectPath` | [`ID!`](#id) | エージェントが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentdestroyagent"></a>`agent` | [`AiAgent`](#aiagent) | 変異後のエージェント。 |
| <a id="mutationaiagentdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaiagentdestroymessage"></a>`message` | [`String`](#string) | AIエージェント削除の結果メッセージ。 |

### `Mutation.aiAgentUpdate`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiAgentUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentupdateagentid"></a>`agentId` | [`AiAgentID!`](#aiagentid) | エージェントのID。 |
| <a id="mutationaiagentupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentupdatename"></a>`name` | [`String`](#string) | エージェントの名前。 |
| <a id="mutationaiagentupdateprojectpath"></a>`projectPath` | [`ID!`](#id) | エージェントが属するプロジェクト。 |
| <a id="mutationaiagentupdateprompt"></a>`prompt` | [`String`](#string) | エージェントのプロンプト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiagentupdateagent"></a>`agent` | [`AiAgent`](#aiagent) | 変異後のエージェント。 |
| <a id="mutationaiagentupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiagentupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.aiFeatureSettingUpdate`

AI機能の設定を更新または作成します。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiFeatureSettingUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaifeaturesettingupdateaiselfhostedmodelid"></a>`aiSelfHostedModelId` | [`AiSelfHostedModelID`](#aiselfhostedmodelid) | AI設定を提供するセルフホストモデルのグローバルID。 |
| <a id="mutationaifeaturesettingupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaifeaturesettingupdatefeatures"></a>`features` | [`[AiFeatures!]!`](#aifeatures) | 設定するAI機能の配列（単一の更新またはバッチ更新）。 |
| <a id="mutationaifeaturesettingupdateprovider"></a>`provider` | [`AiFeatureProviders!`](#aifeatureproviders) | AI設定のプロバイダー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaifeaturesettingupdateaifeaturesettings"></a>`aiFeatureSettings` | [`[AiFeatureSetting!]!`](#aifeaturesetting) | 変異後のAI機能設定のリスト。 |
| <a id="mutationaifeaturesettingupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaifeaturesettingupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.aiSelfHostedModelConnectionCheck`

指定されたモデル設定による接続をAIゲートウェイが確立できるかどうかをチェックします。

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiSelfHostedModelConnectionCheckInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelconnectioncheckapitoken"></a>`apiToken` | [`String`](#string) | セルフホストモデルへのアクセスに使用するAPIトークン（存在する場合）。 |
| <a id="mutationaiselfhostedmodelconnectioncheckclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelconnectioncheckendpoint"></a>`endpoint` | [`String!`](#string) | セルフホストモデルのエンドポイント。 |
| <a id="mutationaiselfhostedmodelconnectioncheckidentifier"></a>`identifier` | [`String`](#string) | サードパーティモデルプロバイダーの識別子。 |
| <a id="mutationaiselfhostedmodelconnectioncheckmodel"></a>`model` | [`AiAcceptedSelfHostedModels!`](#aiacceptedselfhostedmodels) | デプロイ対象のAIモデル。 |
| <a id="mutationaiselfhostedmodelconnectioncheckname"></a>`name` | [`String!`](#string) | セルフホストモデルのデプロイ名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelconnectioncheckclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelconnectioncheckerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaiselfhostedmodelconnectioncheckresult"></a>`result` | [`CloudConnectorProbeResult`](#cloudconnectorproberesult) | セルフホスト型のホスト接続チェックの結果。 |

### `Mutation.aiSelfHostedModelCreate`

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiSelfHostedModelCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelcreateapitoken"></a>`apiToken` | [`String`](#string) | セルフホストモデルへのアクセスに使用するAPIトークン（存在する場合）。 |
| <a id="mutationaiselfhostedmodelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelcreateendpoint"></a>`endpoint` | [`String!`](#string) | セルフホストモデルのエンドポイント。 |
| <a id="mutationaiselfhostedmodelcreateidentifier"></a>`identifier` | [`String`](#string) | サードパーティモデルプロバイダーの識別子。 |
| <a id="mutationaiselfhostedmodelcreatemodel"></a>`model` | [`AiAcceptedSelfHostedModels!`](#aiacceptedselfhostedmodels) | デプロイ対象のAIモデル。 |
| <a id="mutationaiselfhostedmodelcreatename"></a>`name` | [`String!`](#string) | セルフホストモデルのデプロイ名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaiselfhostedmodelcreateselfhostedmodel"></a>`selfHostedModel` | [`AiSelfHostedModel`](#aiselfhostedmodel) | 変異後のセルフホストモデル。 |

### `Mutation.aiSelfHostedModelDelete`

セルフホストモデルを削除します。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiSelfHostedModelDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodeldeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodeldeleteid"></a>`id` | [`AiSelfHostedModelID!`](#aiselfhostedmodelid) | 削除するセルフホストモデルのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodeldeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodeldeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.aiSelfHostedModelUpdate`

セルフホストモデルを更新します。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AiSelfHostedModelUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelupdateapitoken"></a>`apiToken` | [`String`](#string) | セルフホストモデルへのアクセスに使用するAPIトークン（存在する場合）。 |
| <a id="mutationaiselfhostedmodelupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelupdateendpoint"></a>`endpoint` | [`String!`](#string) | セルフホストモデルのエンドポイント。 |
| <a id="mutationaiselfhostedmodelupdateid"></a>`id` | [`AiSelfHostedModelID!`](#aiselfhostedmodelid) | 更新するセルフホストモデルのグローバルID。 |
| <a id="mutationaiselfhostedmodelupdateidentifier"></a>`identifier` | [`String`](#string) | サードパーティモデルプロバイダーの識別子。 |
| <a id="mutationaiselfhostedmodelupdatemodel"></a>`model` | [`AiAcceptedSelfHostedModels!`](#aiacceptedselfhostedmodels) | デプロイ対象のAIモデル。 |
| <a id="mutationaiselfhostedmodelupdatename"></a>`name` | [`String!`](#string) | セルフホストモデルのデプロイ名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationaiselfhostedmodelupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationaiselfhostedmodelupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationaiselfhostedmodelupdateselfhostedmodel"></a>`selfHostedModel` | [`AiSelfHostedModel`](#aiselfhostedmodel) | 変異後のセルフホストモデル。 |

### `Mutation.alertSetAssignees`

入力型: `AlertSetAssigneesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationalertsetassigneesassigneeusernames"></a>`assigneeUsernames` | [`[String!]!`](#string) | アラートに割り当てるユーザー名。デフォルトでは、既存の割り当てを置き換えます。 |
| <a id="mutationalertsetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationalertsetassigneesiid"></a>`iid` | [`String!`](#string) | 変異対象のアラートのIID。 |
| <a id="mutationalertsetassigneesoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 実行する操作。デフォルトはREPLACEです。 |
| <a id="mutationalertsetassigneesprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のアラートの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationalertsetassigneesalert"></a>`alert` | [`AlertManagementAlert`](#alertmanagementalert) | 変異後のアラート。 |
| <a id="mutationalertsetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationalertsetassigneeserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationalertsetassigneesissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |
| <a id="mutationalertsetassigneestodo"></a>`todo` | [`Todo`](#todo) | 変異後のTo Doアイテム。 |

### `Mutation.alertTodoCreate`

入力型: `AlertTodoCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationalerttodocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationalerttodocreateiid"></a>`iid` | [`String!`](#string) | 変異対象のアラートのIID。 |
| <a id="mutationalerttodocreateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のアラートの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationalerttodocreatealert"></a>`alert` | [`AlertManagementAlert`](#alertmanagementalert) | 変異後のアラート。 |
| <a id="mutationalerttodocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationalerttodocreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationalerttodocreateissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |
| <a id="mutationalerttodocreatetodo"></a>`todo` | [`Todo`](#todo) | 変異後のTo Doアイテム。 |

### `Mutation.approvalProjectRuleDelete`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `approvalProjectRuleDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovalprojectruledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovalprojectruledeleteid"></a>`id` | [`ApprovalProjectRuleID!`](#approvalprojectruleid) | 削除する承認プロジェクトルールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovalprojectruledeleteapprovalrule"></a>`approvalRule` | [`ApprovalProjectRule`](#approvalprojectrule) | 削除された承認ルール。 |
| <a id="mutationapprovalprojectruledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovalprojectruledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.approvalProjectRuleUpdate`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `approvalProjectRuleUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovalprojectruleupdateapprovalsrequired"></a>`approvalsRequired` | [`Int!`](#int) | ルールを満たすために必要な承認の数。 |
| <a id="mutationapprovalprojectruleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovalprojectruleupdategroupids"></a>`groupIds` | [`[ID!]`](#id) | 承認ルールを実行できるグループのIDのリスト。 |
| <a id="mutationapprovalprojectruleupdateid"></a>`id` | [`ApprovalProjectRuleID!`](#approvalprojectruleid) | 破棄する承認ルールのグローバルID。 |
| <a id="mutationapprovalprojectruleupdatename"></a>`name` | [`String!`](#string) | 承認ルールの名前。 |
| <a id="mutationapprovalprojectruleupdateuserids"></a>`userIds` | [`[ID!]`](#id) | 承認ルールを実行できるユーザーのIDのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovalprojectruleupdateapprovalrule"></a>`approvalRule` | [`ApprovalProjectRule`](#approvalprojectrule) | 変異後の承認ルール。 |
| <a id="mutationapprovalprojectruleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovalprojectruleupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.approveDeployment`

入力型: `ApproveDeploymentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovedeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovedeploymentcomment"></a>`comment` | [`String`](#string) | 承認に伴うコメント。 |
| <a id="mutationapprovedeploymentid"></a>`id` | [`DeploymentID!`](#deploymentid) | デプロイのID。 |
| <a id="mutationapprovedeploymentrepresentedas"></a>`representedAs` | [`String`](#string) | ユーザーが複数の承認ルールに属している場合に、承認に使用するユーザー/グループ/ロールの名前。 |
| <a id="mutationapprovedeploymentstatus"></a>`status` | [`DeploymentsApprovalStatus!`](#deploymentsapprovalstatus) | 承認の状態（`APPROVED`または`REJECTED`のいずれか）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationapprovedeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationapprovedeploymentdeploymentapproval"></a>`deploymentApproval` | [`DeploymentApproval`](#deploymentapproval) | 変異後のDeploymentApproval。 |
| <a id="mutationapprovedeploymenterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.artifactDestroy`

入力型: `ArtifactDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationartifactdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationartifactdestroyid"></a>`id` | [`CiJobArtifactID!`](#cijobartifactid) | 削除するアーティファクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationartifactdestroyartifact"></a>`artifact` | [`CiJobArtifact`](#cijobartifact) | 削除されたアーティファクト。 |
| <a id="mutationartifactdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationartifactdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsAmazonS3ConfigurationCreate`

入力型: `AuditEventsAmazonS3ConfigurationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationcreateaccesskeyxid"></a>`accessKeyXid` | [`String!`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="mutationauditeventsamazons3configurationcreateawsregion"></a>`awsRegion` | [`String!`](#string) | バケットを作成するAWSリージョン。 |
| <a id="mutationauditeventsamazons3configurationcreatebucketname"></a>`bucketName` | [`String!`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="mutationauditeventsamazons3configurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationcreategrouppath"></a>`groupPath` | [`ID!`](#id) | グループパス。 |
| <a id="mutationauditeventsamazons3configurationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationauditeventsamazons3configurationcreatesecretaccesskey"></a>`secretAccessKey` | [`String!`](#string) | Amazon S3アカウントのシークレットアクセスキー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationcreateamazons3configuration"></a>`amazonS3Configuration` | [`AmazonS3ConfigurationType`](#amazons3configurationtype) | 作成された設定。 |
| <a id="mutationauditeventsamazons3configurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsAmazonS3ConfigurationDelete`

入力型: `AuditEventsAmazonS3ConfigurationDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationdeleteid"></a>`id` | [`AuditEventsAmazonS3ConfigurationID!`](#auditeventsamazons3configurationid) | 破棄するAmazon S3設定のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsAmazonS3ConfigurationUpdate`

入力型: `AuditEventsAmazonS3ConfigurationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationupdateaccesskeyxid"></a>`accessKeyXid` | [`String`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="mutationauditeventsamazons3configurationupdateawsregion"></a>`awsRegion` | [`String`](#string) | バケットを作成するAWSリージョン。 |
| <a id="mutationauditeventsamazons3configurationupdatebucketname"></a>`bucketName` | [`String`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="mutationauditeventsamazons3configurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationupdateid"></a>`id` | [`AuditEventsAmazonS3ConfigurationID!`](#auditeventsamazons3configurationid) | 更新するAmazon S3設定のID。 |
| <a id="mutationauditeventsamazons3configurationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationauditeventsamazons3configurationupdatesecretaccesskey"></a>`secretAccessKey` | [`String`](#string) | Amazon S3アカウントのシークレットアクセスキー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsamazons3configurationupdateamazons3configuration"></a>`amazonS3Configuration` | [`AmazonS3ConfigurationType`](#amazons3configurationtype) | 更新されたAmazon S3設定。 |
| <a id="mutationauditeventsamazons3configurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsamazons3configurationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsGroupDestinationEventsAdd`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsGroupDestinationEventsAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationeventsadddestinationid"></a>`destinationId` | [`AuditEventsGroupExternalStreamingDestinationID!`](#auditeventsgroupexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsgroupdestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationeventsadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsgroupdestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]`](#string) | 監査イベントの外部宛先のためのイベントタイプフィルターのリスト。 |

### `Mutation.auditEventsGroupDestinationEventsDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsGroupDestinationEventsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationeventsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationeventsdeletedestinationid"></a>`destinationId` | [`AuditEventsGroupExternalStreamingDestinationID!`](#auditeventsgroupexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsgroupdestinationeventsdeleteeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミングから削除するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationeventsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationeventsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsGroupDestinationNamespaceFilterCreate`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsGroupDestinationNamespaceFilterCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreatedestinationid"></a>`destinationId` | [`AuditEventsGroupExternalStreamingDestinationID!`](#auditeventsgroupexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreatenamespacepath"></a>`namespacePath` | [`String`](#string) | ネームスペースのフルパス（プロジェクトまたはグループのみ）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsgroupdestinationnamespacefiltercreatenamespacefilter"></a>`namespaceFilter` | [`GroupAuditEventNamespaceFilter`](#groupauditeventnamespacefilter) | 作成されたネームスペースフィルター。 |

### `Mutation.auditEventsGroupDestinationNamespaceFilterDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsGroupDestinationNamespaceFilterDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationnamespacefilterdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationnamespacefilterdeletenamespacefilterid"></a>`namespaceFilterId` | [`AuditEventsGroupNamespaceFilterID!`](#auditeventsgroupnamespacefilterid) | ネームスペースフィルターID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsgroupdestinationnamespacefilterdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsgroupdestinationnamespacefilterdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsInstanceAmazonS3ConfigurationCreate`

入力型: `AuditEventsInstanceAmazonS3ConfigurationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationcreateaccesskeyxid"></a>`accessKeyXid` | [`String!`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreateawsregion"></a>`awsRegion` | [`String!`](#string) | バケットを作成するAWSリージョン。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreatebucketname"></a>`bucketName` | [`String!`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreatesecretaccesskey"></a>`secretAccessKey` | [`String!`](#string) | Amazon S3アカウントのシークレットアクセスキー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsinstanceamazons3configurationcreateinstanceamazons3configuration"></a>`instanceAmazonS3Configuration` | [`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype) | 作成されたインスタンスAmazon S3設定。 |

### `Mutation.auditEventsInstanceAmazonS3ConfigurationDelete`

入力型: `AuditEventsInstanceAmazonS3ConfigurationDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationdeleteid"></a>`id` | [`AuditEventsInstanceAmazonS3ConfigurationID!`](#auditeventsinstanceamazons3configurationid) | 削除するインスタンスレベルのAmazon S3設定のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsInstanceAmazonS3ConfigurationUpdate`

入力型: `AuditEventsInstanceAmazonS3ConfigurationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationupdateaccesskeyxid"></a>`accessKeyXid` | [`String`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdateawsregion"></a>`awsRegion` | [`String`](#string) | バケットを作成するAWSリージョン。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdatebucketname"></a>`bucketName` | [`String`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdateid"></a>`id` | [`AuditEventsInstanceAmazonS3ConfigurationID!`](#auditeventsinstanceamazons3configurationid) | 更新するインスタンスレベルのAmazon S3設定のID。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdatesecretaccesskey"></a>`secretAccessKey` | [`String`](#string) | Amazon S3アカウントのシークレットアクセスキー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstanceamazons3configurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsinstanceamazons3configurationupdateinstanceamazons3configuration"></a>`instanceAmazonS3Configuration` | [`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype) | 更新されたインスタンスレベルのAmazon S3設定。 |

### `Mutation.auditEventsInstanceDestinationEventsAdd`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsInstanceDestinationEventsAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationeventsadddestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalStreamingDestinationID!`](#auditeventsinstanceexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsinstancedestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationeventsadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsinstancedestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]`](#string) | 監査イベントの外部宛先のためのイベントタイプフィルターのリスト。 |

### `Mutation.auditEventsInstanceDestinationEventsDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsInstanceDestinationEventsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationeventsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationeventsdeletedestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalStreamingDestinationID!`](#auditeventsinstanceexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsinstancedestinationeventsdeleteeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミングから削除するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationeventsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationeventsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsInstanceDestinationNamespaceFilterCreate`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsInstanceDestinationNamespaceFilterCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreatedestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalStreamingDestinationID!`](#auditeventsinstanceexternalstreamingdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreatenamespacepath"></a>`namespacePath` | [`String`](#string) | ネームスペースのフルパス。プロジェクトまたはグループのネームスペースのみ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsinstancedestinationnamespacefiltercreatenamespacefilter"></a>`namespaceFilter` | [`InstanceAuditEventNamespaceFilter`](#instanceauditeventnamespacefilter) | 作成するネームスペースフィルター。 |

### `Mutation.auditEventsInstanceDestinationNamespaceFilterDelete`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `AuditEventsInstanceDestinationNamespaceFilterDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationnamespacefilterdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationnamespacefilterdeletenamespacefilterid"></a>`namespaceFilterId` | [`AuditEventsInstanceNamespaceFilterID!`](#auditeventsinstancenamespacefilterid) | ネームスペースフィルターID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsinstancedestinationnamespacefilterdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsinstancedestinationnamespacefilterdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingDestinationEventsAdd`

入力型: `AuditEventsStreamingDestinationEventsAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationeventsadddestinationid"></a>`destinationId` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsstreamingdestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationeventsadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreamingdestinationeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]`](#string) | 監査イベントの外部宛先のためのイベントタイプフィルターのリスト。 |

### `Mutation.auditEventsStreamingDestinationEventsRemove`

入力型: `AuditEventsStreamingDestinationEventsRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationeventsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationeventsremovedestinationid"></a>`destinationId` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsstreamingdestinationeventsremoveeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミングから削除するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationeventsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationeventsremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingDestinationInstanceEventsAdd`

入力型: `AuditEventsStreamingDestinationInstanceEventsAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsadddestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalAuditEventDestinationID!`](#auditeventsinstanceexternalauditeventdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsaddeventtypefilters"></a>`eventTypeFilters` | [`[String!]`](#string) | 監査イベントの外部宛先のためのイベントタイプフィルターのリスト。 |

### `Mutation.auditEventsStreamingDestinationInstanceEventsRemove`

入力型: `AuditEventsStreamingDestinationInstanceEventsRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsremovedestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalAuditEventDestinationID!`](#auditeventsinstanceexternalauditeventdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsremoveeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミングから削除するイベントタイプフィルターのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingdestinationinstanceeventsremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingHeadersCreate`

入力型: `AuditEventsStreamingHeadersCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheaderscreateactive"></a>`active` | [`Boolean`](#boolean) | ヘッダーがアクティブかどうかを判断するブール値オプション。 |
| <a id="mutationauditeventsstreamingheaderscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheaderscreatedestinationid"></a>`destinationId` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | ヘッダーを関連付ける宛先。 |
| <a id="mutationauditeventsstreamingheaderscreatekey"></a>`key` | [`String!`](#string) | ヘッダーキー。 |
| <a id="mutationauditeventsstreamingheaderscreatevalue"></a>`value` | [`String!`](#string) | ヘッダー値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheaderscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheaderscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreamingheaderscreateheader"></a>`header` | [`AuditEventStreamingHeader`](#auditeventstreamingheader) | 作成されたヘッダー。 |

### `Mutation.auditEventsStreamingHeadersDestroy`

入力型: `AuditEventsStreamingHeadersDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheadersdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheadersdestroyheaderid"></a>`headerId` | [`AuditEventsStreamingHeaderID!`](#auditeventsstreamingheaderid) | 削除するヘッダー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheadersdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheadersdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingHeadersUpdate`

入力型: `AuditEventsStreamingHeadersUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheadersupdateactive"></a>`active` | [`Boolean`](#boolean) | ヘッダーがアクティブかどうかを判断するブール値オプション。 |
| <a id="mutationauditeventsstreamingheadersupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheadersupdateheaderid"></a>`headerId` | [`AuditEventsStreamingHeaderID!`](#auditeventsstreamingheaderid) | 更新するヘッダー。 |
| <a id="mutationauditeventsstreamingheadersupdatekey"></a>`key` | [`String`](#string) | ヘッダーキー。 |
| <a id="mutationauditeventsstreamingheadersupdatevalue"></a>`value` | [`String`](#string) | ヘッダー値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreamingheadersupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreamingheadersupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreamingheadersupdateheader"></a>`header` | [`AuditEventStreamingHeader`](#auditeventstreamingheader) | ヘッダーを更新します。 |

### `Mutation.auditEventsStreamingHttpNamespaceFiltersAdd`

入力型: `AuditEventsStreamingHTTPNamespaceFiltersAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersadddestinationid"></a>`destinationId` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | 宛先ID。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersaddgrouppath"></a>`groupPath` | [`ID`](#id) | グループのフルパス。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersaddprojectpath"></a>`projectPath` | [`ID`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersaddnamespacefilter"></a>`namespaceFilter` | [`AuditEventStreamingHTTPNamespaceFilter`](#auditeventstreaminghttpnamespacefilter) | 作成されたネームスペースフィルター。 |

### `Mutation.auditEventsStreamingHttpNamespaceFiltersDelete`

入力型: `AuditEventsStreamingHTTPNamespaceFiltersDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersdeletenamespacefilterid"></a>`namespaceFilterId` | [`AuditEventsStreamingHTTPNamespaceFilterID!`](#auditeventsstreaminghttpnamespacefilterid) | ネームスペースフィルターID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminghttpnamespacefiltersdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingInstanceHeadersCreate`

入力型: `AuditEventsStreamingInstanceHeadersCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheaderscreateactive"></a>`active` | [`Boolean`](#boolean) | ヘッダーがアクティブかどうかを判断するブール値オプション。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreatedestinationid"></a>`destinationId` | [`AuditEventsInstanceExternalAuditEventDestinationID!`](#auditeventsinstanceexternalauditeventdestinationid) | ヘッダーを関連付けるインスタンスレベルの外部宛先。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreatekey"></a>`key` | [`String!`](#string) | ヘッダーキー。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreatevalue"></a>`value` | [`String!`](#string) | ヘッダー値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheaderscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreaminginstanceheaderscreateheader"></a>`header` | [`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader) | 作成されたヘッダー。 |

### `Mutation.auditEventsStreamingInstanceHeadersDestroy`

入力型: `AuditEventsStreamingInstanceHeadersDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheadersdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheadersdestroyheaderid"></a>`headerId` | [`AuditEventsStreamingInstanceHeaderID!`](#auditeventsstreaminginstanceheaderid) | 削除するヘッダー。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheadersdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheadersdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.auditEventsStreamingInstanceHeadersUpdate`

入力型: `AuditEventsStreamingInstanceHeadersUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheadersupdateactive"></a>`active` | [`Boolean`](#boolean) | ヘッダーがアクティブかどうかを判断するブール値オプション。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdateheaderid"></a>`headerId` | [`AuditEventsStreamingInstanceHeaderID!`](#auditeventsstreaminginstanceheaderid) | 更新するヘッダー。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdatekey"></a>`key` | [`String`](#string) | ヘッダーキー。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdatevalue"></a>`value` | [`String`](#string) | ヘッダー値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationauditeventsstreaminginstanceheadersupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationauditeventsstreaminginstanceheadersupdateheader"></a>`header` | [`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader) | ヘッダーを更新します。 |

### `Mutation.awardEmojiAdd`

入力型: `AwardEmojiAddInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojiaddawardableid"></a>`awardableId` | [`AwardableID!`](#awardableid) | 授与可能リソースのグローバルID。 |
| <a id="mutationawardemojiaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojiaddname"></a>`name` | [`String!`](#string) | 絵文字の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojiaddawardemoji"></a>`awardEmoji` | [`AwardEmoji`](#awardemoji) | 変異後の絵文字リアクション。 |
| <a id="mutationawardemojiaddclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojiadderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.awardEmojiRemove`

入力型: `AwardEmojiRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojiremoveawardableid"></a>`awardableId` | [`AwardableID!`](#awardableid) | 授与可能リソースのグローバルID。 |
| <a id="mutationawardemojiremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojiremovename"></a>`name` | [`String!`](#string) | 絵文字の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojiremoveawardemoji"></a>`awardEmoji` | [`AwardEmoji`](#awardemoji) | 変異後の絵文字リアクション。 |
| <a id="mutationawardemojiremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojiremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.awardEmojiToggle`

入力型: `AwardEmojiToggleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojitoggleawardableid"></a>`awardableId` | [`AwardableID!`](#awardableid) | 授与可能リソースのグローバルID。 |
| <a id="mutationawardemojitoggleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojitogglename"></a>`name` | [`String!`](#string) | 絵文字の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationawardemojitoggleawardemoji"></a>`awardEmoji` | [`AwardEmoji`](#awardemoji) | 変異後の絵文字リアクション。 |
| <a id="mutationawardemojitoggleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationawardemojitoggleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationawardemojitoggletoggledon"></a>`toggledOn` | [`Boolean!`](#boolean) | 絵文字の状態を示します。トグルが絵文字を付与した場合はtrue、トグルが絵文字を削除した場合はfalse。 |

### `Mutation.boardEpicCreate`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `BoardEpicCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardepiccreateboardid"></a>`boardId` | [`BoardsEpicBoardID!`](#boardsepicboardid) | エピックの属するボードのグローバルID。 |
| <a id="mutationboardepiccreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardepiccreategrouppath"></a>`groupPath` | [`ID!`](#id) | 作成するエピックの属するグループ。 |
| <a id="mutationboardepiccreatelistid"></a>`listId` | [`BoardsEpicListID!`](#boardsepiclistid) | エピックを作成するエピックボードリストのグローバルID。 |
| <a id="mutationboardepiccreatetitle"></a>`title` | [`String!`](#string) | エピックのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardepiccreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardepiccreateepic"></a>`epic` | [`Epic`](#epic) | 作成後のエピック。 |
| <a id="mutationboardepiccreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.boardListCreate`

入力型: `BoardListCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardlistcreateassigneeid"></a>`assigneeId` | [`UserID`](#userid) | 既存ユーザーのグローバルID。 |
| <a id="mutationboardlistcreatebacklog"></a>`backlog` | [`Boolean`](#boolean) | バックログリストを作成します。 |
| <a id="mutationboardlistcreateboardid"></a>`boardId` | [`BoardID!`](#boardid) | 変異対象のイシューボードのグローバルID。 |
| <a id="mutationboardlistcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardlistcreateiterationid"></a>`iterationId` | [`IterationID`](#iterationid) | 既存イテレーションのグローバルID。 |
| <a id="mutationboardlistcreatelabelid"></a>`labelId` | [`LabelID`](#labelid) | 既存ラベルのグローバルID。 |
| <a id="mutationboardlistcreatemilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | 既存マイルストーンのグローバルID。 |
| <a id="mutationboardlistcreateposition"></a>`position` | [`Int`](#int) | リストの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardlistcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardlistcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationboardlistcreatelist"></a>`list` | [`BoardList`](#boardlist) | イシューボードのイシューリスト。 |

### `Mutation.boardListUpdateLimitMetrics`

入力型: `BoardListUpdateLimitMetricsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardlistupdatelimitmetricsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardlistupdatelimitmetricslimitmetric"></a>`limitMetric` | [`ListLimitMetric`](#listlimitmetric) | リスト用の新しい制限メトリクス型。 |
| <a id="mutationboardlistupdatelimitmetricslistid"></a>`listId` | [`ListID!`](#listid) | リストのグローバルID。 |
| <a id="mutationboardlistupdatelimitmetricsmaxissuecount"></a>`maxIssueCount` | [`Int`](#int) | 新しい最大イシュー数制限。 |
| <a id="mutationboardlistupdatelimitmetricsmaxissueweight"></a>`maxIssueWeight` | [`Int`](#int) | 新しい最大イシューウェイト制限。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationboardlistupdatelimitmetricsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationboardlistupdatelimitmetricserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationboardlistupdatelimitmetricslist"></a>`list` | [`BoardList`](#boardlist) | 更新されたリスト。 |

### `Mutation.branchDelete`

入力型: `BranchDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchdeletename"></a>`name` | [`String!`](#string) | ブランチの名前。 |
| <a id="mutationbranchdeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchdeletebranch"></a>`branch` | [`Branch`](#branch) | 変異後のブランチ。 |
| <a id="mutationbranchdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleApprovalProjectRuleCreate`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `branchRuleApprovalProjectRuleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleapprovalprojectrulecreateapprovalsrequired"></a>`approvalsRequired` | [`Int!`](#int) | ルールを満たすために必要な承認の数。 |
| <a id="mutationbranchruleapprovalprojectrulecreatebranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | 破棄するブランチルールのグローバルID。 |
| <a id="mutationbranchruleapprovalprojectrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleapprovalprojectrulecreategroupids"></a>`groupIds` | [`[ID!]`](#id) | 承認ルールを実行できるグループのIDのリスト。 |
| <a id="mutationbranchruleapprovalprojectrulecreatename"></a>`name` | [`String!`](#string) | 承認ルールの名前。 |
| <a id="mutationbranchruleapprovalprojectrulecreateuserids"></a>`userIds` | [`[ID!]`](#id) | 承認ルールを実行できるユーザーのIDのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleapprovalprojectrulecreateapprovalrule"></a>`approvalRule` | [`ApprovalProjectRule`](#approvalprojectrule) | 変異後の承認ルール。 |
| <a id="mutationbranchruleapprovalprojectrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleapprovalprojectrulecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleCreate`

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchrulecreatename"></a>`name` | [`String!`](#string) | ブランチルールのブランチ名（ワイルドカードを含む）。 |
| <a id="mutationbranchrulecreateprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulecreatebranchrule"></a>`branchRule` | [`BranchRule`](#branchrule) | 変異後のブランチルール。 |
| <a id="mutationbranchrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchrulecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleDelete`

{{< details >}}GitLab 16.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruledeleteid"></a>`id` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | 破棄するブランチルールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruledeletebranchrule"></a>`branchRule` | [`BranchRule`](#branchrule) | 変異後のブランチルール。 |
| <a id="mutationbranchruledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleExternalStatusCheckCreate`

ブランチルールから新しい外部状態チェックを作成します。

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleExternalStatusCheckCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckcreatebranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | 更新するブランチルールのグローバルID。 |
| <a id="mutationbranchruleexternalstatuscheckcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckcreateexternalurl"></a>`externalUrl` | [`String!`](#string) | 外部状態チェックリソースのURL。 |
| <a id="mutationbranchruleexternalstatuscheckcreatename"></a>`name` | [`String!`](#string) | 外部状態チェックの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationbranchruleexternalstatuscheckcreateexternalstatuscheck"></a>`externalStatusCheck` | [`ExternalStatusCheck`](#externalstatuscheck) | 変異後の新しい状態チェック。 |

### `Mutation.branchRuleExternalStatusCheckDestroy`

ブランチルールから外部状態チェックを破棄します。

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleExternalStatusCheckDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckdestroybranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | ブランチルールのグローバルID。 |
| <a id="mutationbranchruleexternalstatuscheckdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckdestroyid"></a>`id` | [`MergeRequestsExternalStatusCheckID!`](#mergerequestsexternalstatuscheckid) | 破棄する外部状態チェックのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleExternalStatusCheckUpdate`

ブランチルールから外部状態チェックを更新します。

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleExternalStatusCheckUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckupdatebranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | ブランチルールのグローバルID。 |
| <a id="mutationbranchruleexternalstatuscheckupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckupdateexternalurl"></a>`externalUrl` | [`String!`](#string) | 外部状態チェックの外部URL。 |
| <a id="mutationbranchruleexternalstatuscheckupdateid"></a>`id` | [`MergeRequestsExternalStatusCheckID!`](#mergerequestsexternalstatuscheckid) | 更新する外部状態チェックのグローバルID。 |
| <a id="mutationbranchruleexternalstatuscheckupdatename"></a>`name` | [`String!`](#string) | 外部状態チェックの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleexternalstatuscheckupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleexternalstatuscheckupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationbranchruleexternalstatuscheckupdateexternalstatuscheck"></a>`externalStatusCheck` | [`ExternalStatusCheck`](#externalstatuscheck) | 変異後に更新された外部状態チェック。 |

### `Mutation.branchRuleSquashOptionDelete`

ブランチルールのスカッシュオプションを削除します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleSquashOptionDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulesquashoptiondeletebranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | ブランチルールのグローバルID。 |
| <a id="mutationbranchrulesquashoptiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulesquashoptiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchrulesquashoptiondeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.branchRuleSquashOptionUpdate`

ブランチルールのスカッシュオプションを更新します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleSquashOptionUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulesquashoptionupdatebranchruleid"></a>`branchRuleId` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | ブランチルールのグローバルID。 |
| <a id="mutationbranchrulesquashoptionupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchrulesquashoptionupdatesquashoption"></a>`squashOption` | [`SquashOptionSetting!`](#squashoptionsetting) | 変異後のスカッシュオプション。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchrulesquashoptionupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchrulesquashoptionupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationbranchrulesquashoptionupdatesquashoption"></a>`squashOption` | [`SquashOption`](#squashoption) | 変異後に更新されたスカッシュオプション。 |

### `Mutation.branchRuleUpdate`

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BranchRuleUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleupdatebranchprotection"></a>`branchProtection` | [`BranchProtectionInput`](#branchprotectioninput) | ブランチルールに設定されているブランチ保護。 |
| <a id="mutationbranchruleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleupdateid"></a>`id` | [`ProjectsBranchRuleID!`](#projectsbranchruleid) | 更新するブランチルールのグローバルID。 |
| <a id="mutationbranchruleupdatename"></a>`name` | [`String!`](#string) | ブランチルールのブランチ名（ワイルドカードを含む）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbranchruleupdatebranchrule"></a>`branchRule` | [`BranchRule`](#branchrule) | 変異後のブランチルール。 |
| <a id="mutationbranchruleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbranchruleupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.bulkDestroyJobArtifacts`

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `BulkDestroyJobArtifactsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkdestroyjobartifactsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkdestroyjobartifactsids"></a>`ids` | [`[CiJobArtifactID!]!`](#cijobartifactid) | 破棄するジョブアーティファクトのグローバルID。 |
| <a id="mutationbulkdestroyjobartifactsprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | 破棄するジョブアーティファクトのグローバルプロジェクトID。projectPathと互換性がありません。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkdestroyjobartifactsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkdestroyjobartifactsdestroyedcount"></a>`destroyedCount` | [`Int`](#int) | 削除されたジョブアーティファクトの数。 |
| <a id="mutationbulkdestroyjobartifactsdestroyedids"></a>`destroyedIds` | [`[CiJobArtifactID!]`](#cijobartifactid) | 削除されたジョブアーティファクトのID。 |
| <a id="mutationbulkdestroyjobartifactserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.bulkEnableDevopsAdoptionNamespaces`

**状態: **ベータ版。

入力型: `BulkEnableDevopsAdoptionNamespacesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkenabledevopsadoptionnamespacesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkenabledevopsadoptionnamespacesdisplaynamespaceid"></a>`displayNamespaceId` | [`NamespaceID`](#namespaceid) | 表示ネームスペースID。 |
| <a id="mutationbulkenabledevopsadoptionnamespacesnamespaceids"></a>`namespaceIds` | [`[NamespaceID!]!`](#namespaceid) | ネームスペースIDのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkenabledevopsadoptionnamespacesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkenabledevopsadoptionnamespacesenablednamespaces"></a>`enabledNamespaces` | [`[DevopsAdoptionEnabledNamespace!]`](#devopsadoptionenablednamespace) | 変異後に有効になったネームスペース。 |
| <a id="mutationbulkenabledevopsadoptionnamespaceserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.bulkRunnerDelete`

{{< details >}}GitLab 15.3で**導入**されました。**状態**: 実験。{{< /details >}}

入力型: `BulkRunnerDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkrunnerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkrunnerdeleteids"></a>`ids` | [`[CiRunnerID!]`](#cirunnerid) | 削除するRunnerのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationbulkrunnerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationbulkrunnerdeletedeletedcount"></a>`deletedCount` | [`Int`](#int) | 有効削除されたレコードの数。同期操作が実行された場合のみ存在します。 |
| <a id="mutationbulkrunnerdeletedeletedids"></a>`deletedIds` | [`[CiRunnerID!]`](#cirunnerid) | 有効削除されたレコードのID。同期操作が実行された場合のみ存在します。 |
| <a id="mutationbulkrunnerdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.catalogResourcesCreate`

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CatalogResourcesCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcatalogresourcescreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcatalogresourcescreateprojectpath"></a>`projectPath` | [`ID!`](#id) | カタログリソースに属するプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcatalogresourcescreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcatalogresourcescreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.catalogResourcesDestroy`

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CatalogResourcesDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcatalogresourcesdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcatalogresourcesdestroyprojectpath"></a>`projectPath` | [`ID!`](#id) | カタログリソースに属するプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcatalogresourcesdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcatalogresourcesdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.ciJobTokenScopeAddGroupOrProject`

入力型: `CiJobTokenScopeAddGroupOrProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeaddgrouporprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeaddgrouporprojectdefaultpermissions"></a>`defaultPermissions` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationcijobtokenscopeaddgrouporprojectjobtokenpolicies"></a>`jobTokenPolicies` {{< icon name="warning-solid" >}} | [`[CiJobTokenScopePolicies!]`](#cijobtokenscopepolicies) | **非推奨: ****状態**: 実験。GitLab 17.5で導入。 |
| <a id="mutationcijobtokenscopeaddgrouporprojectprojectpath"></a>`projectPath` | [`ID!`](#id) | CIジョブトークンスコープが属するプロジェクト。 |
| <a id="mutationcijobtokenscopeaddgrouporprojecttargetpath"></a>`targetPath` | [`ID!`](#id) | CIジョブトークンスコープに追加するグループまたはプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeaddgrouporprojectcijobtokenscope"></a>`ciJobTokenScope` | [`CiJobTokenScopeType`](#cijobtokenscopetype) | CI ジョブトークンのアクセススコープ。 |
| <a id="mutationcijobtokenscopeaddgrouporprojectcijobtokenscopeallowlistentry"></a>`ciJobTokenScopeAllowlistEntry` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | **非推奨: ****状態**: 実験。GitLab 17.6で導入。 |
| <a id="mutationcijobtokenscopeaddgrouporprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeaddgrouporprojecterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.ciJobTokenScopeAddProject`

入力型: `CiJobTokenScopeAddProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeaddprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeaddprojectdirection"></a>`direction` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeDirection`](#cijobtokenscopedirection) | **非推奨: **送信ジョブトークンスコープは削除されます。現在のところ、このフィールドで可能な設定値はINBOUNDだけです。GitLab 16.0で非推奨になりました。 |
| <a id="mutationcijobtokenscopeaddprojectprojectpath"></a>`projectPath` | [`ID!`](#id) | CIジョブトークンスコープが属するプロジェクト。 |
| <a id="mutationcijobtokenscopeaddprojecttargetprojectpath"></a>`targetProjectPath` | [`ID!`](#id) | CIジョブトークンスコープに追加するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeaddprojectcijobtokenscope"></a>`ciJobTokenScope` | [`CiJobTokenScopeType`](#cijobtokenscopetype) | CI ジョブトークンのアクセススコープ。 |
| <a id="mutationcijobtokenscopeaddprojectcijobtokenscopeallowlistentry"></a>`ciJobTokenScopeAllowlistEntry` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | **非推奨: ****状態**: 実験。GitLab 17.6で導入。 |
| <a id="mutationcijobtokenscopeaddprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeaddprojecterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.ciJobTokenScopeAutopopulateAllowlist`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CiJobTokenScopeAutopopulateAllowlistInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeautopopulateallowlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeautopopulateallowlistprojectpath"></a>`projectPath` | [`ID!`](#id) | 許可リストを自動設定するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeautopopulateallowlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeautopopulateallowlisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcijobtokenscopeautopopulateallowliststatus"></a>`status` | [`String!`](#string) | 自動設定プロセスの状態。 |

### `Mutation.ciJobTokenScopeClearAllowlistAutopopulations`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CiJobTokenScopeClearAllowlistAutopopulationsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeclearallowlistautopopulationsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeclearallowlistautopopulationsprojectpath"></a>`projectPath` | [`ID!`](#id) | 許可リストを自動設定するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeclearallowlistautopopulationsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeclearallowlistautopopulationserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcijobtokenscopeclearallowlistautopopulationsstatus"></a>`status` | [`String!`](#string) | 自動設定プロセスの状態。 |

### `Mutation.ciJobTokenScopeRemoveGroup`

入力型: `CiJobTokenScopeRemoveGroupInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscoperemovegroupclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscoperemovegroupprojectpath"></a>`projectPath` | [`ID!`](#id) | CIジョブトークンスコープが属するプロジェクト。 |
| <a id="mutationcijobtokenscoperemovegrouptargetgrouppath"></a>`targetGroupPath` | [`ID!`](#id) | CIジョブトークンスコープから削除するグループ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscoperemovegroupcijobtokenscope"></a>`ciJobTokenScope` | [`CiJobTokenScopeType`](#cijobtokenscopetype) | CI ジョブトークンのアクセススコープ。 |
| <a id="mutationcijobtokenscoperemovegroupcijobtokenscopeallowlistentry"></a>`ciJobTokenScopeAllowlistEntry` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | **非推奨: ****状態**: 実験。GitLab 17.6で導入。 |
| <a id="mutationcijobtokenscoperemovegroupclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscoperemovegrouperrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.ciJobTokenScopeRemoveProject`

入力型: `CiJobTokenScopeRemoveProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscoperemoveprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscoperemoveprojectdirection"></a>`direction` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeDirection`](#cijobtokenscopedirection) | **非推奨: **送信ジョブトークンスコープは削除されます。現在のところ、このフィールドで可能な設定値はINBOUNDだけです。GitLab 16.9で非推奨になりました。 |
| <a id="mutationcijobtokenscoperemoveprojectprojectpath"></a>`projectPath` | [`ID!`](#id) | CIジョブトークンスコープが属するプロジェクト。 |
| <a id="mutationcijobtokenscoperemoveprojecttargetprojectpath"></a>`targetProjectPath` | [`ID!`](#id) | CIジョブトークンスコープから削除するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscoperemoveprojectcijobtokenscope"></a>`ciJobTokenScope` | [`CiJobTokenScopeType`](#cijobtokenscopetype) | CI ジョブトークンのアクセススコープ。 |
| <a id="mutationcijobtokenscoperemoveprojectcijobtokenscopeallowlistentry"></a>`ciJobTokenScopeAllowlistEntry` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | **非推奨: ****状態**: 実験。GitLab 17.6で導入。 |
| <a id="mutationcijobtokenscoperemoveprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscoperemoveprojecterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.ciJobTokenScopeUpdatePolicies`

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CiJobTokenScopeUpdatePoliciesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeupdatepoliciesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeupdatepoliciesdefaultpermissions"></a>`defaultPermissions` | [`Boolean!`](#boolean) | デフォルトの権限が有効か（true）、きめ細かい権限が有効か（false）を示します。 |
| <a id="mutationcijobtokenscopeupdatepoliciesjobtokenpolicies"></a>`jobTokenPolicies` | [`[CiJobTokenScopePolicies!]!`](#cijobtokenscopepolicies) | CIジョブトークンスコープに追加されたポリシーのリスト。 |
| <a id="mutationcijobtokenscopeupdatepoliciesprojectpath"></a>`projectPath` | [`ID!`](#id) | CIジョブトークンスコープが属するプロジェクト。 |
| <a id="mutationcijobtokenscopeupdatepoliciestargetpath"></a>`targetPath` | [`ID!`](#id) | CIジョブトークンのターゲットとなるグループまたはプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcijobtokenscopeupdatepoliciescijobtokenscopeallowlistentry"></a>`ciJobTokenScopeAllowlistEntry` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | **非推奨: ****状態**: 実験。GitLab 17.6で導入。 |
| <a id="mutationcijobtokenscopeupdatepoliciesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcijobtokenscopeupdatepolicieserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.clusterAgentDelete`

入力型: `ClusterAgentDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragentdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragentdeleteid"></a>`id` | [`ClustersAgentID!`](#clustersagentid) | 削除するクラスターエージェントのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragentdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragentdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.clusterAgentTokenCreate`

入力型: `ClusterAgentTokenCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenttokencreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenttokencreateclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | 新しいトークンに関連付けられるクラスターエージェントのグローバルID。 |
| <a id="mutationclusteragenttokencreatedescription"></a>`description` | [`String`](#string) | トークンの説明。 |
| <a id="mutationclusteragenttokencreatename"></a>`name` | [`String!`](#string) | トークンの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenttokencreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenttokencreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationclusteragenttokencreatesecret"></a>`secret` | [`String`](#string) | トークンのシークレット値。必ず保存してください。そうしない場合、再度アクセスできなくなります。 |
| <a id="mutationclusteragenttokencreatetoken"></a>`token` | [`ClusterAgentToken`](#clusteragenttoken) | 変異後に作成されたトークン。 |

### `Mutation.clusterAgentTokenRevoke`

入力型: `ClusterAgentTokenRevokeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenttokenrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenttokenrevokeid"></a>`id` | [`ClustersAgentTokenID!`](#clustersagenttokenid) | 失効するエージェントトークンのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenttokenrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenttokenrevokeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.clusterAgentUrlConfigurationCreate`

入力型: `ClusterAgentUrlConfigurationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenturlconfigurationcreatecacert"></a>`caCert` | [`String`](#string) | エージェントエンドポイントを検証するための、PEM形式Base64エンコードのCA証明書。 |
| <a id="mutationclusteragenturlconfigurationcreateclientcert"></a>`clientCert` | [`String`](#string) | mTLS認証を使用する場合、PEM形式Base64エンコードのクライアント証明書。`client_key`と共に指定する必要があります。 |
| <a id="mutationclusteragenturlconfigurationcreateclientkey"></a>`clientKey` | [`String`](#string) | mTLS認証を使用する場合、PEM形式Base64エンコードのクライアントキー。`client_cert`と共に指定する必要があります。 |
| <a id="mutationclusteragenturlconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenturlconfigurationcreateclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | 新しいURL設定に関連付けられるクラスターエージェントのグローバルID。 |
| <a id="mutationclusteragenturlconfigurationcreatetlshost"></a>`tlsHost` | [`String`](#string) | エージェントエンドポイント証明書のサーバー名を検証するためのTLSホスト名。 |
| <a id="mutationclusteragenturlconfigurationcreateurl"></a>`url` | [`String!`](#string) | 新しいURL設定のURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenturlconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenturlconfigurationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationclusteragenturlconfigurationcreateurlconfiguration"></a>`urlConfiguration` | [`ClusterAgentUrlConfiguration`](#clusteragenturlconfiguration) | 変異後に作成されたURL設定。 |

### `Mutation.clusterAgentUrlConfigurationDelete`

入力型: `ClusterAgentUrlConfigurationDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenturlconfigurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenturlconfigurationdeleteid"></a>`id` | [`ClustersAgentsUrlConfigurationID!`](#clustersagentsurlconfigurationid) | 削除するエージェントURL設定のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationclusteragenturlconfigurationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationclusteragenturlconfigurationdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.commitCreate`

入力型: `CommitCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcommitcreateactions"></a>`actions` | [`[CommitAction!]!`](#commitaction) | バッチとしてコミットするアクションハッシュの配列。 |
| <a id="mutationcommitcreatebranch"></a>`branch` | [`String!`](#string) | コミットするブランチの名前。新しいブランチも可能。 |
| <a id="mutationcommitcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcommitcreatemessage"></a>`message` | [`String!`](#string) | rawコミットメッセージ。 |
| <a id="mutationcommitcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcommitcreatestartbranch"></a>`startBranch` | [`String`](#string) | 新しいブランチの場合、元のブランチの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcommitcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcommitcreatecommit"></a>`commit` | [`Commit`](#commit) | 変異後のコミット。 |
| <a id="mutationcommitcreatecommitpipelinepath"></a>`commitPipelinePath` | [`String`](#string) | コミットのパイプラインのETagパス。 |
| <a id="mutationcommitcreatecontent"></a>`content` | [`[String!]`](#string) | コミットの内容。 |
| <a id="mutationcommitcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.configureContainerScanning`

新しいブランチの新規または変更後`.gitlab-ci.yml`ファイルでコンテナスキャンを有効にすることにより、プロジェクトのコンテナスキャンを設定します。新しいブランチとマージリクエストを作成するためのURLが、応答の一部として含まれます。

入力型: `ConfigureContainerScanningInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfigurecontainerscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfigurecontainerscanningprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfigurecontainerscanningbranch"></a>`branch` | [`String`](#string) | 新規/変更後`.gitlab-ci.yml`ファイルのあるブランチ。 |
| <a id="mutationconfigurecontainerscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfigurecontainerscanningerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationconfigurecontainerscanningsuccesspath"></a>`successPath` | [`String`](#string) | 応答成功の場合に使用するリダイレクトパス。 |

### `Mutation.configureDependencyScanning`

新しいブランチの新規または変更後`.gitlab-ci.yml`ファイルで依存関係スキャンを有効にすることにより、プロジェクトの依存関係スキャンを設定します。新しいブランチとマージリクエストを作成するためのURLが、応答の一部として含まれます。

入力型: `ConfigureDependencyScanningInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguredependencyscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguredependencyscanningprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguredependencyscanningbranch"></a>`branch` | [`String`](#string) | 新規/変更後`.gitlab-ci.yml`ファイルのあるブランチ。 |
| <a id="mutationconfiguredependencyscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguredependencyscanningerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationconfiguredependencyscanningsuccesspath"></a>`successPath` | [`String`](#string) | 応答成功の場合に使用するリダイレクトパス。 |

### `Mutation.configureSast`

新しいブランチの新規または変更後`.gitlab-ci.yml`ファイルでSASTを有効にすることにより、プロジェクトのSASTを設定します。新しいブランチとマージリクエストを作成するためのURLが、応答の一部として含まれます。

入力型: `ConfigureSastInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresastclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresastconfiguration"></a>`configuration` | [`SastCiConfigurationInput!`](#sastciconfigurationinput) | プロジェクトのSAST CI設定。 |
| <a id="mutationconfiguresastprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresastbranch"></a>`branch` | [`String`](#string) | 新規/変更後`.gitlab-ci.yml`ファイルのあるブランチ。 |
| <a id="mutationconfiguresastclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresasterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationconfiguresastsuccesspath"></a>`successPath` | [`String`](#string) | 応答成功の場合に使用するリダイレクトパス。 |

### `Mutation.configureSastIac`

新しいブランチの新規または変更後`.gitlab-ci.yml`ファイルで、プロジェクトに対しSAST IaCを有効にします。新しいブランチとマージリクエストを作成するためのURLが、応答の一部として含まれます。

入力型: `ConfigureSastIacInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresastiacclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresastiacprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresastiacbranch"></a>`branch` | [`String`](#string) | 新規/変更後`.gitlab-ci.yml`ファイルのあるブランチ。 |
| <a id="mutationconfiguresastiacclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresastiacerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationconfiguresastiacsuccesspath"></a>`successPath` | [`String`](#string) | 応答成功の場合に使用するリダイレクトパス。 |

### `Mutation.configureSecretDetection`

新しいブランチの新規または変更後`.gitlab-ci.yml`ファイルでシークレット検出を有効にすることにより、プロジェクトのシークレット検出を設定します。新しいブランチとマージリクエストを作成するためのURLが、応答の一部として含まれます。

入力型: `ConfigureSecretDetectionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresecretdetectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresecretdetectionprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationconfiguresecretdetectionbranch"></a>`branch` | [`String`](#string) | 新規/変更後`.gitlab-ci.yml`ファイルのあるブランチ。 |
| <a id="mutationconfiguresecretdetectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationconfiguresecretdetectionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationconfiguresecretdetectionsuccesspath"></a>`successPath` | [`String`](#string) | 応答成功の場合に使用するリダイレクトパス。 |

### `Mutation.corpusCreate`

入力型: `CorpusCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcorpuscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcorpuscreatefullpath"></a>`fullPath` | [`ID!`](#id) | コーパスが属するプロジェクト。 |
| <a id="mutationcorpuscreatepackageid"></a>`packageId` | [`PackagesPackageID!`](#packagespackageid) | コーパスパッケージのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcorpuscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcorpuscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createAbuseReportNote`

不正行為レポートのノートを作成します。

入力型: `CreateAbuseReportNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateabusereportnoteabusereportid"></a>`abuseReportId` | [`AbuseReportID!`](#abusereportid) | 不正行為レポートのID。 |
| <a id="mutationcreateabusereportnotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationcreateabusereportnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateabusereportnotediscussionid"></a>`discussionId` | [`DiscussionID`](#discussionid) | ノートを含める返信の対象となる不正行為レポートディスカッションのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateabusereportnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateabusereportnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreateabusereportnotenote"></a>`note` | [`AbuseReportNote`](#abusereportnote) | 変異後の不正行為レポートノート。 |

### `Mutation.createAlertIssue`

入力型: `CreateAlertIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatealertissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatealertissueiid"></a>`iid` | [`String!`](#string) | 変異対象のアラートのIID。 |
| <a id="mutationcreatealertissueprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のアラートの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatealertissuealert"></a>`alert` | [`AlertManagementAlert`](#alertmanagementalert) | 変異後のアラート。 |
| <a id="mutationcreatealertissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatealertissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatealertissueissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |
| <a id="mutationcreatealertissuetodo"></a>`todo` | [`Todo`](#todo) | 変異後のTo Doアイテム。 |

### `Mutation.createAnnotation`

{{< details >}}GitLab 16.0で**非推奨**になりました。基盤となる機能は16.0で削除されました。{{< /details >}}

入力型: `CreateAnnotationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateannotationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateannotationclusterid"></a>`clusterId` | [`ClustersClusterID`](#clustersclusterid) | アノテーション追加先のクラスターのグローバルID。 |
| <a id="mutationcreateannotationdashboardpath"></a>`dashboardPath` | [`String!`](#string) | アノテーションを追加するダッシュボードを定義するファイルのパス。 |
| <a id="mutationcreateannotationdescription"></a>`description` | [`String!`](#string) | アノテーションの説明。 |
| <a id="mutationcreateannotationendingat"></a>`endingAt` | [`Time`](#time) | アノテーションが関係する終了時点を示すタイムスタンプ。 |
| <a id="mutationcreateannotationenvironmentid"></a>`environmentId` | [`EnvironmentID`](#environmentid) | アノテーション追加先の環境のグローバルID。 |
| <a id="mutationcreateannotationstartingat"></a>`startingAt` | [`Time!`](#time) | アノテーションが関係する開始時点を示すタイムスタンプ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateannotationannotation"></a>`annotation` | [`MetricsDashboardAnnotation`](#metricsdashboardannotation) | 作成されたアノテーション。 |
| <a id="mutationcreateannotationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateannotationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createBoard`

入力型: `CreateBoardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateboardassigneeid"></a>`assigneeId` | [`UserID`](#userid) | ボードに割り当てるユーザーのID。 |
| <a id="mutationcreateboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateboardgrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationcreateboardhidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="mutationcreateboardhideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="mutationcreateboarditerationcadenceid"></a>`iterationCadenceId` | [`IterationsCadenceID`](#iterationscadenceid) | ボードに割り当てるイテレーションケイデンスのID。 |
| <a id="mutationcreateboarditerationid"></a>`iterationId` | [`IterationID`](#iterationid) | ボードに割り当てるイテレーションのID。 |
| <a id="mutationcreateboardlabelids"></a>`labelIds` | [`[LabelID!]`](#labelid) | ボードに追加するラベルのID。 |
| <a id="mutationcreateboardlabels"></a>`labels` | [`[String!]`](#string) | イシューのラベル。 |
| <a id="mutationcreateboardmilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | ボードに割り当てるマイルストーンのID。 |
| <a id="mutationcreateboardname"></a>`name` | [`String`](#string) | ボード名。 |
| <a id="mutationcreateboardprojectpath"></a>`projectPath` | [`ID`](#id) | リソースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreateboardweight"></a>`weight` | [`Int`](#int) | ボードに割り当てるウェイト値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateboardboard"></a>`board` | [`Board`](#board) | 変異後のボード。 |
| <a id="mutationcreateboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createBranch`

入力型: `CreateBranchInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatebranchclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatebranchname"></a>`name` | [`String!`](#string) | ブランチの名前。 |
| <a id="mutationcreatebranchprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreatebranchref"></a>`ref` | [`String!`](#string) | ブランチの作成元となるブランチ名またはコミットSHA。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatebranchbranch"></a>`branch` | [`Branch`](#branch) | 変異後のブランチ。 |
| <a id="mutationcreatebranchclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatebrancherrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createClusterAgent`

入力型: `CreateClusterAgentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateclusteragentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateclusteragentname"></a>`name` | [`String!`](#string) | クラスターエージェントの名前。 |
| <a id="mutationcreateclusteragentprojectpath"></a>`projectPath` | [`ID!`](#id) | クラスターエージェントの関連プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateclusteragentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateclusteragentclusteragent"></a>`clusterAgent` | [`ClusterAgent`](#clusteragent) | 変異後に作成されたクラスターエージェント。 |
| <a id="mutationcreateclusteragenterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createComplianceFramework`

入力型: `CreateComplianceFrameworkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecomplianceframeworknamespacepath"></a>`namespacePath` | [`ID!`](#id) | コンプライアンスフレームワークの追加先ネームスペースのフルパス。 |
| <a id="mutationcreatecomplianceframeworkparams"></a>`params` | [`ComplianceFrameworkInput!`](#complianceframeworkinput) | コンプライアンスフレームワークを更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecomplianceframeworkerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatecomplianceframeworkframework"></a>`framework` | [`ComplianceFramework`](#complianceframework) | 作成されたコンプライアンスフレームワーク。 |

### `Mutation.createComplianceRequirement`

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CreateComplianceRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecompliancerequirementcomplianceframeworkid"></a>`complianceFrameworkId` | [`ComplianceManagementFrameworkID!`](#compliancemanagementframeworkid) | 新しい要件のコンプライアンスフレームワークのグローバルID。 |
| <a id="mutationcreatecompliancerequirementcontrols"></a>`controls` | [`[ComplianceRequirementsControlInput!]`](#compliancerequirementscontrolinput) | コンプライアンス要件に追加するコントロール。 |
| <a id="mutationcreatecompliancerequirementparams"></a>`params` | [`ComplianceRequirementInput!`](#compliancerequirementinput) | コンプライアンス要件を更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecompliancerequirementerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatecompliancerequirementrequirement"></a>`requirement` | [`ComplianceRequirement`](#compliancerequirement) | 作成されたコンプライアンス要件。 |

### `Mutation.createComplianceRequirementsControl`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CreateComplianceRequirementsControlInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecompliancerequirementscontrolcompliancerequirementid"></a>`complianceRequirementId` | [`ComplianceManagementComplianceFrameworkComplianceRequirementID!`](#compliancemanagementcomplianceframeworkcompliancerequirementid) | 新しいコントロールのコンプライアンス要件のグローバルID。 |
| <a id="mutationcreatecompliancerequirementscontrolparams"></a>`params` | [`ComplianceRequirementsControlInput!`](#compliancerequirementscontrolinput) | コンプライアンス要件コントロールを作成するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecompliancerequirementscontrolerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatecompliancerequirementscontrolrequirementscontrol"></a>`requirementsControl` | [`ComplianceRequirementsControl`](#compliancerequirementscontrol) | 作成されたコンプライアンス要件コントロール。 |

### `Mutation.createContainerProtectionRepositoryRule`

プロジェクトのコンテナレジストリへのアクセスを制限するためのリポジトリ保護ルールを作成します。

入力型: `CreateContainerProtectionRepositoryRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecontainerprotectionrepositoryruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナリポジトリからコンテナイメージを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationcreatecontainerprotectionrepositoryruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナイメージをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationcreatecontainerprotectionrepositoryruleprojectpath"></a>`projectPath` | [`ID!`](#id) | 保護ルールの属するプロジェクトのフルパス。 |
| <a id="mutationcreatecontainerprotectionrepositoryrulerepositorypathpattern"></a>`repositoryPathPattern` | [`String!`](#string) | 保護ルールによって保護されるコンテナリポジトリパスパターン。先頭がプロジェクトのフルパスでなければなりません。例: `my-project/*-prod-*`。ワイルドカード文字`*`は、プロジェクトのフルパスの後のどこにでも使用できます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecontainerprotectionrepositoryrulecontainerprotectionrepositoryrule"></a>`containerProtectionRepositoryRule` | [`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule) | 変異後のコンテナリポジトリ保護ルール。 |
| <a id="mutationcreatecontainerprotectionrepositoryruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createContainerProtectionTagRule`

指定されたパターンに一致するコンテナイメージタグに変更を加えることのできるユーザーロールを制御する保護ルールを作成します。機能フラグ`container_registry_protected_tags`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

入力型: `createContainerProtectionTagRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecontainerprotectiontagruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | コンテナリポジトリからコンテナイメージタグを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグを削除できます。GitLab 17.8で導入。**状態**: 実験。 |
| <a id="mutationcreatecontainerprotectiontagruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | コンテナイメージタグをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグをプッシュできます。GitLab 17.8で導入。**状態**: 実験。 |
| <a id="mutationcreatecontainerprotectiontagruleprojectpath"></a>`projectPath` | [`ID!`](#id) | コンテナイメージタグを含むプロジェクトのフルパス。 |
| <a id="mutationcreatecontainerprotectiontagruletagnamepattern"></a>`tagNamePattern` | [`String!`](#string) | 保護するコンテナイメージタグに一致するパターン。例：`v1.*`。ワイルドカード文字`*`を使用できます。GitLab 17.8で導入。**状態**: 実験。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecontainerprotectiontagrulecontainerprotectiontagrule"></a>`containerProtectionTagRule` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRule`](#containerprotectiontagrule) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationcreatecontainerprotectiontagruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createCustomEmoji`

入力型: `CreateCustomEmojiInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecustomemojiclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecustomemojigrouppath"></a>`groupPath` | [`ID!`](#id) | 絵文字が関連付けられているネームスペースのフルパス。 |
| <a id="mutationcreatecustomemojiname"></a>`name` | [`String!`](#string) | 絵文字の名前。 |
| <a id="mutationcreatecustomemojiurl"></a>`url` | [`String!`](#string) | 絵文字ファイルの場所。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatecustomemojiclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatecustomemojicustomemoji"></a>`customEmoji` | [`CustomEmoji`](#customemoji) | 新しいカスタム絵文字。 |
| <a id="mutationcreatecustomemojierrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createDiffNote`

入力型: `CreateDiffNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatediffnotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationcreatediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatediffnoteinternal"></a>`internal` | [`Boolean`](#boolean) | ノートの内部フラグ。デフォルトはfalseです。 |
| <a id="mutationcreatediffnotenoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | ノート追加先のリソースのグローバルID。 |
| <a id="mutationcreatediffnoteposition"></a>`position` | [`DiffPositionInput!`](#diffpositioninput) | 差分に関するノートの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatediffnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatediffnotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationcreatediffnotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.createDiscussion`

入力型: `CreateDiscussionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatediscussionbody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationcreatediscussionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatediscussioninternal"></a>`internal` | [`Boolean`](#boolean) | ノートの内部フラグ。デフォルトはfalseです。 |
| <a id="mutationcreatediscussionnoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | ノート追加先のリソースのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatediscussionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatediscussionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatediscussionnote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationcreatediscussionquickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.createEpic`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `CreateEpicInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateepicaddlabelids"></a>`addLabelIds` | [`[ID!]`](#id) | エピックに追加するラベルのID。 |
| <a id="mutationcreateepicaddlabels"></a>`addLabels` | [`[String!]`](#string) | エピックに追加するラベルの配列。 |
| <a id="mutationcreateepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateepiccolor"></a>`color` | [`Color`](#color) | エピックの色。 |
| <a id="mutationcreateepicconfidential"></a>`confidential` | [`Boolean`](#boolean) | エピックが機密かどうかを示します。 |
| <a id="mutationcreateepicdescription"></a>`description` | [`String`](#string) | エピックの説明。 |
| <a id="mutationcreateepicduedatefixed"></a>`dueDateFixed` | [`String`](#string) | エピックの終了日。 |
| <a id="mutationcreateepicduedateisfixed"></a>`dueDateIsFixed` | [`Boolean`](#boolean) | 終了日をイシューのマイルストーンではなく、due_date_fixedフィールドから取得することを示します。 |
| <a id="mutationcreateepicgrouppath"></a>`groupPath` | [`ID!`](#id) | 変異対象のエピックの属するグループ。 |
| <a id="mutationcreateepicremovelabelids"></a>`removeLabelIds` | [`[ID!]`](#id) | エピックから削除するラベルのID。 |
| <a id="mutationcreateepicstartdatefixed"></a>`startDateFixed` | [`String`](#string) | エピックの開始日。 |
| <a id="mutationcreateepicstartdateisfixed"></a>`startDateIsFixed` | [`Boolean`](#boolean) | 開始日をイシューのマイルストーンではなく、start_date_fixedフィールドから取得することを示します。 |
| <a id="mutationcreateepictitle"></a>`title` | [`String`](#string) | エピックのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateepicepic"></a>`epic` | [`Epic`](#epic) | 作成されたエピック。 |
| <a id="mutationcreateepicerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.createImageDiffNote`

入力型: `CreateImageDiffNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateimagediffnotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationcreateimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateimagediffnoteinternal"></a>`internal` | [`Boolean`](#boolean) | ノートの内部フラグ。デフォルトはfalseです。 |
| <a id="mutationcreateimagediffnotenoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | ノート追加先のリソースのグローバルID。 |
| <a id="mutationcreateimagediffnoteposition"></a>`position` | [`DiffImagePositionInput!`](#diffimagepositioninput) | 差分に関するノートの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateimagediffnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreateimagediffnotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationcreateimagediffnotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.createIssue`

入力型: `CreateIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateissueassigneeids"></a>`assigneeIds` | [`[UserID!]`](#userid) | イシューに割り当てるユーザーIDの配列。 |
| <a id="mutationcreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateissueconfidential"></a>`confidential` | [`Boolean`](#boolean) | イシューが機密であることを示します。 |
| <a id="mutationcreateissuecreatedat"></a>`createdAt` | [`Time`](#time) | イシュー作成時のタイムスタンプ。管理者とプロジェクトオーナーのみが使用できます。 |
| <a id="mutationcreateissuedescription"></a>`description` | [`String`](#string) | イシューの説明。 |
| <a id="mutationcreateissuediscussiontoresolve"></a>`discussionToResolve` | [`String`](#string) | 解決するディスカッションのID。`merge_request_to_resolve_discussions_of`も渡してください。 |
| <a id="mutationcreateissueduedate"></a>`dueDate` | [`ISO8601Date`](#iso8601date) | イシューの期限。 |
| <a id="mutationcreateissueepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="mutationcreateissuehealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 目的のヘルスステータス。 |
| <a id="mutationcreateissueiid"></a>`iid` | [`Int`](#int) | プロジェクトイシューのIID（内部ID）。これを変更できるのは管理者とプロジェクトオーナーだけです。 |
| <a id="mutationcreateissueiterationcadenceid"></a>`iterationCadenceId` | [`IterationsCadenceID`](#iterationscadenceid) | グローバルイテレーションケイデンスID。`iterationWildcardId`が指定されている場合は必須。 |
| <a id="mutationcreateissueiterationid"></a>`iterationId` | [`IterationID`](#iterationid) | グローバルイテレーションID。`iterationWildcardId`と相互排他的な引数。 |
| <a id="mutationcreateissueiterationwildcardid"></a>`iterationWildcardId` | [`IssueCreationIterationWildcardId`](#issuecreationiterationwildcardid) | イテレーションワイルドカードID。サポートされている値は`CURRENT`です。`iterationId`と相互排他的な引数。この引数を指定する場合はiterationCadenceIdも必須です。 |
| <a id="mutationcreateissuelabelids"></a>`labelIds` | [`[LabelID!]`](#labelid) | イシューに追加するラベルのID。 |
| <a id="mutationcreateissuelabels"></a>`labels` | [`[String!]`](#string) | イシューのラベル。 |
| <a id="mutationcreateissuelocked"></a>`locked` | [`Boolean`](#boolean) | ディスカッションがイシューでロックされていることを示します。 |
| <a id="mutationcreateissuemergerequesttoresolvediscussionsof"></a>`mergeRequestToResolveDiscussionsOf` | [`MergeRequestID`](#mergerequestid) | ディスカッションを解決する対象となるマージリクエストのIID。 |
| <a id="mutationcreateissuemilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | イシューに割り当てるマイルストーンのID。nullに設定すると、更新時にマイルストーンが削除されます。 |
| <a id="mutationcreateissuemoveafterid"></a>`moveAfterId` | [`IssueID`](#issueid) | 現在のイシューの後に配置するイシューのグローバルID。 |
| <a id="mutationcreateissuemovebeforeid"></a>`moveBeforeId` | [`IssueID`](#issueid) | 現在のイシューの前に配置するイシューのグローバルID。 |
| <a id="mutationcreateissueprojectpath"></a>`projectPath` | [`ID!`](#id) | イシューが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreateissuetitle"></a>`title` | [`String!`](#string) | イシューのタイトル。 |
| <a id="mutationcreateissuetype"></a>`type` | [`IssueType`](#issuetype) | イシューのタイプ。 |
| <a id="mutationcreateissueweight"></a>`weight` | [`Int`](#int) | イシューのウェイト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreateissueissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.createIteration`

{{< details >}}GitLab 14.0で**非推奨**になりました。iterationCreateを使用してください。{{< /details >}}

入力型: `CreateIterationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateiterationdescription"></a>`description` | [`String`](#string) | イテレーションの説明。 |
| <a id="mutationcreateiterationduedate"></a>`dueDate` | [`String`](#string) | イテレーションの終了日。 |
| <a id="mutationcreateiterationgrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationcreateiterationiterationscadenceid"></a>`iterationsCadenceId` | [`IterationsCadenceID`](#iterationscadenceid) | 新しいイテレーションに割り当てるイテレーションケイデンスのグローバルID。 |
| <a id="mutationcreateiterationprojectpath"></a>`projectPath` | [`ID`](#id) | リソースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreateiterationstartdate"></a>`startDate` | [`String`](#string) | イテレーションの開始日。 |
| <a id="mutationcreateiterationtitle"></a>`title` | [`String`](#string) | イテレーションのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreateiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreateiterationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreateiterationiteration"></a>`iteration` | [`Iteration`](#iteration) | 作成されたイテレーション。 |

### `Mutation.createNote`

ノートを作成します。ノートの本文に含まれるのがクイックアクションだけの場合、更新時にノートが破棄され、ノートは返されません。

入力型: `CreateNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatenotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationcreatenoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatenotediscussionid"></a>`discussionId` | [`DiscussionID`](#discussionid) | ノートを含める返信の対象となるディスカッションのグローバルID。 |
| <a id="mutationcreatenoteinternal"></a>`internal` | [`Boolean`](#boolean) | ノートの内部フラグ。デフォルトはfalseです。 |
| <a id="mutationcreatenotemergerequestdiffheadsha"></a>`mergeRequestDiffHeadSha` | [`String`](#string) | リクエスト送信以降にマージリクエストが更新されていないことを確認するために使用されるヘッドコミットのSHA。 |
| <a id="mutationcreatenotenoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | ノート追加先のリソースのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatenoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatenoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatenotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationcreatenotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.createPackagesProtectionRule`

プロジェクトパッケージへのアクセスを制限する保護ルールを作成します。

入力型: `CreatePackagesProtectionRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatepackagesprotectionruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`PackagesProtectionRuleAccessLevelForDelete`](#packagesprotectionruleaccesslevelfordelete) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationcreatepackagesprotectionruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`PackagesProtectionRuleAccessLevel`](#packagesprotectionruleaccesslevel) | パッケージをパッケージレジストリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationcreatepackagesprotectionrulepackagenamepattern"></a>`packageNamePattern` | [`String!`](#string) | 保護ルールによって保護されるパッケージ名。例：`@my-scope/my-package-*`。ワイルドカード文字`*`を使用できます。 |
| <a id="mutationcreatepackagesprotectionrulepackagetype"></a>`packageType` | [`PackagesProtectionRulePackageType!`](#packagesprotectionrulepackagetype) | 保護ルールによって保護されるパッケージのタイプ。例: `NPM`、`PYPI`。 |
| <a id="mutationcreatepackagesprotectionruleprojectpath"></a>`projectPath` | [`ID!`](#id) | 保護ルールの属するプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatepackagesprotectionruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatepackagesprotectionrulepackageprotectionrule"></a>`packageProtectionRule` | [`PackagesProtectionRule`](#packagesprotectionrule) | 変異後のパッケージ保護ルール。 |

### `Mutation.createRequirement`

入力型: `CreateRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreaterequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreaterequirementdescription"></a>`description` | [`String`](#string) | 要件の説明。 |
| <a id="mutationcreaterequirementprojectpath"></a>`projectPath` | [`ID!`](#id) | 要件が関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreaterequirementtitle"></a>`title` | [`String`](#string) | 要件のタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreaterequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreaterequirementerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreaterequirementrequirement"></a>`requirement` | [`Requirement`](#requirement) | 変異後の要件。 |

### `Mutation.createSnippet`

入力型: `CreateSnippetInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatesnippetblobactions"></a>`blobActions` | [`[SnippetBlobActionInputType!]`](#snippetblobactioninputtype) | スニペットリポジトリとBLOBに対して実行するアクション。 |
| <a id="mutationcreatesnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatesnippetdescription"></a>`description` | [`String`](#string) | スニペットの説明。 |
| <a id="mutationcreatesnippetprojectpath"></a>`projectPath` | [`ID`](#id) | スニペットが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationcreatesnippettitle"></a>`title` | [`String!`](#string) | スニペットのタイトル。 |
| <a id="mutationcreatesnippetuploadedfiles"></a>`uploadedFiles` | [`[String!]`](#string) | スニペットの説明でアップロードされるファイルのパス。 |
| <a id="mutationcreatesnippetvisibilitylevel"></a>`visibilityLevel` | [`VisibilityLevelsEnum!`](#visibilitylevelsenum) | スニペットの表示レベル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatesnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatesnippeterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatesnippetsnippet"></a>`snippet` | [`Snippet`](#snippet) | 変異後のスニペット。 |

### `Mutation.createTestCase`

入力型: `CreateTestCaseInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatetestcaseclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatetestcaseconfidential"></a>`confidential` | [`Boolean`](#boolean) | テストケースの機密性を設定します。 |
| <a id="mutationcreatetestcasedescription"></a>`description` | [`String`](#string) | テストケースの説明。 |
| <a id="mutationcreatetestcaselabelids"></a>`labelIds` | [`[ID!]`](#id) | テストケースに追加するラベルのID。 |
| <a id="mutationcreatetestcaseprojectpath"></a>`projectPath` | [`ID!`](#id) | テストケースを作成するプロジェクトのフルパス。 |
| <a id="mutationcreatetestcasetitle"></a>`title` | [`String!`](#string) | テストケースのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcreatetestcaseclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcreatetestcaseerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcreatetestcasetestcase"></a>`testCase` | [`Issue`](#issue) | 作成されたテストケース。 |

### `Mutation.customFieldArchive`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CustomFieldArchiveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldarchiveid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldarchivecustomfield"></a>`customField` | [`CustomField`](#customfield) | アーカイブされたカスタムフィールド。 |
| <a id="mutationcustomfieldarchiveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customFieldCreate`

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CustomFieldCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldcreatefieldtype"></a>`fieldType` | [`CustomFieldType!`](#customfieldtype) | カスタムフィールドの型。 |
| <a id="mutationcustomfieldcreategrouppath"></a>`groupPath` | [`ID!`](#id) | カスタムフィールドを作成するグループパス。 |
| <a id="mutationcustomfieldcreatename"></a>`name` | [`String!`](#string) | カスタムフィールドの名前。 |
| <a id="mutationcustomfieldcreateselectoptions"></a>`selectOptions` | [`[CustomFieldSelectOptionInput!]`](#customfieldselectoptioninput) | 選択フィールドで使用可能なオプション。 |
| <a id="mutationcustomfieldcreateworkitemtypeids"></a>`workItemTypeIds` | [`[WorkItemsTypeID!]`](#workitemstypeid) | カスタムフィールドに関連付けられている作業アイテムの型のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldcreatecustomfield"></a>`customField` | [`CustomField`](#customfield) | 作成されたカスタムフィールド。 |
| <a id="mutationcustomfieldcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customFieldUnarchive`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CustomFieldUnarchiveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldunarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldunarchiveid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldunarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldunarchivecustomfield"></a>`customField` | [`CustomField`](#customfield) | アーカイブ解除されたカスタムフィールド。 |
| <a id="mutationcustomfieldunarchiveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customFieldUpdate`

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `CustomFieldUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldupdateid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |
| <a id="mutationcustomfieldupdatename"></a>`name` | [`String`](#string) | カスタムフィールドの名前。 |
| <a id="mutationcustomfieldupdateselectoptions"></a>`selectOptions` | [`[CustomFieldSelectOptionInput!]`](#customfieldselectoptioninput) | 選択フィールドで使用可能なオプション。 |
| <a id="mutationcustomfieldupdateworkitemtypeids"></a>`workItemTypeIds` | [`[WorkItemsTypeID!]`](#workitemstypeid) | カスタムフィールドに関連付けられている作業アイテムの型のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomfieldupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomfieldupdatecustomfield"></a>`customField` | [`CustomField`](#customfield) | 更新されたカスタムフィールド。 |
| <a id="mutationcustomfieldupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customerRelationsContactCreate`

入力型: `CustomerRelationsContactCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationscontactcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationscontactcreatedescription"></a>`description` | [`String`](#string) | 連絡先の説明またはノート。 |
| <a id="mutationcustomerrelationscontactcreateemail"></a>`email` | [`String`](#string) | 連絡先のメールアドレス。 |
| <a id="mutationcustomerrelationscontactcreatefirstname"></a>`firstName` | [`String!`](#string) | 連絡先の名前。 |
| <a id="mutationcustomerrelationscontactcreategroupid"></a>`groupId` | [`GroupID!`](#groupid) | 連絡先のグループ。 |
| <a id="mutationcustomerrelationscontactcreatelastname"></a>`lastName` | [`String!`](#string) | 連絡先の苗字。 |
| <a id="mutationcustomerrelationscontactcreateorganizationid"></a>`organizationId` | [`CustomerRelationsOrganizationID`](#customerrelationsorganizationid) | 連絡先の組織。 |
| <a id="mutationcustomerrelationscontactcreatephone"></a>`phone` | [`String`](#string) | 連絡先の電話番号。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationscontactcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationscontactcreatecontact"></a>`contact` | [`CustomerRelationsContact`](#customerrelationscontact) | 変異後の連絡先。 |
| <a id="mutationcustomerrelationscontactcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customerRelationsContactUpdate`

入力型: `CustomerRelationsContactUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationscontactupdateactive"></a>`active` | [`Boolean`](#boolean) | 連絡先の状態。 |
| <a id="mutationcustomerrelationscontactupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationscontactupdatedescription"></a>`description` | [`String`](#string) | 連絡先の説明またはノート。 |
| <a id="mutationcustomerrelationscontactupdateemail"></a>`email` | [`String`](#string) | 連絡先のメールアドレス。 |
| <a id="mutationcustomerrelationscontactupdatefirstname"></a>`firstName` | [`String`](#string) | 連絡先の名前。 |
| <a id="mutationcustomerrelationscontactupdateid"></a>`id` | [`CustomerRelationsContactID!`](#customerrelationscontactid) | 連絡先のグローバルID。 |
| <a id="mutationcustomerrelationscontactupdatelastname"></a>`lastName` | [`String`](#string) | 連絡先の苗字。 |
| <a id="mutationcustomerrelationscontactupdateorganizationid"></a>`organizationId` | [`CustomerRelationsOrganizationID`](#customerrelationsorganizationid) | 連絡先の組織。 |
| <a id="mutationcustomerrelationscontactupdatephone"></a>`phone` | [`String`](#string) | 連絡先の電話番号。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationscontactupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationscontactupdatecontact"></a>`contact` | [`CustomerRelationsContact`](#customerrelationscontact) | 変異後の連絡先。 |
| <a id="mutationcustomerrelationscontactupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.customerRelationsOrganizationCreate`

入力型: `CustomerRelationsOrganizationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationsorganizationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationsorganizationcreatedefaultrate"></a>`defaultRate` | [`Float`](#float) | 組織の標準請求レート。 |
| <a id="mutationcustomerrelationsorganizationcreatedescription"></a>`description` | [`String`](#string) | 組織の説明またはノート。 |
| <a id="mutationcustomerrelationsorganizationcreategroupid"></a>`groupId` | [`GroupID!`](#groupid) | 組織のグループ。 |
| <a id="mutationcustomerrelationsorganizationcreatename"></a>`name` | [`String!`](#string) | 組織の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationsorganizationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationsorganizationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcustomerrelationsorganizationcreateorganization"></a>`organization` | [`CustomerRelationsOrganization`](#customerrelationsorganization) | 変異後の組織。 |

### `Mutation.customerRelationsOrganizationUpdate`

入力型: `CustomerRelationsOrganizationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationsorganizationupdateactive"></a>`active` | [`Boolean`](#boolean) | 組織の状態。 |
| <a id="mutationcustomerrelationsorganizationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationsorganizationupdatedefaultrate"></a>`defaultRate` | [`Float`](#float) | 組織の標準請求レート。 |
| <a id="mutationcustomerrelationsorganizationupdatedescription"></a>`description` | [`String`](#string) | 組織の説明またはノート。 |
| <a id="mutationcustomerrelationsorganizationupdateid"></a>`id` | [`CustomerRelationsOrganizationID!`](#customerrelationsorganizationid) | 組織のグローバルID。 |
| <a id="mutationcustomerrelationsorganizationupdatename"></a>`name` | [`String`](#string) | 組織の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationcustomerrelationsorganizationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationcustomerrelationsorganizationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationcustomerrelationsorganizationupdateorganization"></a>`organization` | [`CustomerRelationsOrganization!`](#customerrelationsorganization) | 変異後の組織。 |

### `Mutation.dastOnDemandScanCreate`

入力型: `DastOnDemandScanCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastondemandscancreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastondemandscancreatedastscannerprofileid"></a>`dastScannerProfileId` | [`DastScannerProfileID`](#dastscannerprofileid) | スキャンに使用するスキャナープロファイルのID。 |
| <a id="mutationdastondemandscancreatedastsiteprofileid"></a>`dastSiteProfileId` | [`DastSiteProfileID!`](#dastsiteprofileid) | スキャンに使用するサイトプロファイルのID。 |
| <a id="mutationdastondemandscancreatefullpath"></a>`fullPath` | [`ID!`](#id) | サイトプロファイルが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastondemandscancreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastondemandscancreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastondemandscancreatepipelineurl"></a>`pipelineUrl` | [`String`](#string) | 作成されたパイプラインのURL。 |

### `Mutation.dastProfileCreate`

入力型: `DastProfileCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofilecreatebranchname"></a>`branchName` | [`String`](#string) | 関連するブランチ。 |
| <a id="mutationdastprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofilecreatedastprofileschedule"></a>`dastProfileSchedule` | [`DastProfileScheduleInput`](#dastprofilescheduleinput) | DASTプロファイルスケジュールを表します。 |
| <a id="mutationdastprofilecreatedastscannerprofileid"></a>`dastScannerProfileId` | [`DastScannerProfileID!`](#dastscannerprofileid) | 関連付けるスキャナープロファイルのID。 |
| <a id="mutationdastprofilecreatedastsiteprofileid"></a>`dastSiteProfileId` | [`DastSiteProfileID!`](#dastsiteprofileid) | 関連付けるサイトプロファイルのID。 |
| <a id="mutationdastprofilecreatedescription"></a>`description` | [`String`](#string) | プロファイルの説明。デフォルトは空の文字列です。 |
| <a id="mutationdastprofilecreatefullpath"></a>`fullPath` | [`ID!`](#id) | プロファイルが属するプロジェクト。 |
| <a id="mutationdastprofilecreatename"></a>`name` | [`String!`](#string) | プロファイルの名前。 |
| <a id="mutationdastprofilecreaterunaftercreate"></a>`runAfterCreate` | [`Boolean`](#boolean) | 作成後にプロファイルを使用してスキャンを実行します。デフォルトはfalseです。 |
| <a id="mutationdastprofilecreatetaglist"></a>`tagList` | [`[String!]`](#string) | プロファイルに関連付けられているRunnerタグを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofilecreatedastprofile"></a>`dastProfile` | [`DastProfile`](#dastprofile) | 作成されたプロファイル。 |
| <a id="mutationdastprofilecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastprofilecreatepipelineurl"></a>`pipelineUrl` | [`String`](#string) | 作成されたパイプラインのURL。`runAfterCreate`が`true`に設定されている必要があります。 |

### `Mutation.dastProfileDelete`

入力型: `DastProfileDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofiledeleteid"></a>`id` | [`DastProfileID!`](#dastprofileid) | 削除するプロファイルのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofiledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.dastProfileRun`

入力型: `DastProfileRunInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofilerunclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofilerunfullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastprofilerunid"></a>`id` | [`DastProfileID!`](#dastprofileid) | スキャンに使用するプロファイルのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofilerunclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofilerunerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastprofilerunpipelineurl"></a>`pipelineUrl` | [`String`](#string) | 作成されたパイプラインのURL。 |

### `Mutation.dastProfileUpdate`

入力型: `DastProfileUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofileupdatebranchname"></a>`branchName` | [`String`](#string) | 関連するブランチ。 |
| <a id="mutationdastprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofileupdatedastprofileschedule"></a>`dastProfileSchedule` | [`DastProfileScheduleInput`](#dastprofilescheduleinput) | DASTプロファイルスケジュールを表します。 |
| <a id="mutationdastprofileupdatedastscannerprofileid"></a>`dastScannerProfileId` | [`DastScannerProfileID`](#dastscannerprofileid) | 関連付けるスキャナープロファイルのID。 |
| <a id="mutationdastprofileupdatedastsiteprofileid"></a>`dastSiteProfileId` | [`DastSiteProfileID`](#dastsiteprofileid) | 関連付けるサイトプロファイルのID。 |
| <a id="mutationdastprofileupdatedescription"></a>`description` | [`String`](#string) | プロファイルの説明。デフォルトは空の文字列です。 |
| <a id="mutationdastprofileupdatefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastprofileupdateid"></a>`id` | [`DastProfileID!`](#dastprofileid) | 削除するプロファイルのID。 |
| <a id="mutationdastprofileupdatename"></a>`name` | [`String`](#string) | プロファイルの名前。 |
| <a id="mutationdastprofileupdaterunafterupdate"></a>`runAfterUpdate` | [`Boolean`](#boolean) | 更新後にプロファイルを使用してスキャンを実行します。デフォルトはfalseです。 |
| <a id="mutationdastprofileupdatetaglist"></a>`tagList` | [`[String!]`](#string) | プロファイルに関連付けられているRunnerタグを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastprofileupdatedastprofile"></a>`dastProfile` | [`DastProfile`](#dastprofile) | 更新されたプロファイル。 |
| <a id="mutationdastprofileupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastprofileupdatepipelineurl"></a>`pipelineUrl` | [`String`](#string) | 作成されたパイプラインのURL。変異呼び出し時に入力引数`runAfterUpdate`を`true`に設定する必要があります。そうしないと、パイプラインは作成されません。 |

### `Mutation.dastScannerProfileCreate`

入力型: `DastScannerProfileCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofilecreatefullpath"></a>`fullPath` | [`ID!`](#id) | スキャナープロファイルが属するプロジェクト。 |
| <a id="mutationdastscannerprofilecreateprofilename"></a>`profileName` | [`String!`](#string) | スキャナープロファイルの名前。 |
| <a id="mutationdastscannerprofilecreatescantype"></a>`scanType` | [`DastScanTypeEnum`](#dastscantypeenum) | 実行するDASTスキャンのタイプを示します。パッシブスキャンかアクティブスキャンのどちらか。 |
| <a id="mutationdastscannerprofilecreateshowdebugmessages"></a>`showDebugMessages` | [`Boolean`](#boolean) | デバッグメッセージをDASTコンソール出力に含めるかどうかを示します。デバッグメッセージを含める場合はtrue。 |
| <a id="mutationdastscannerprofilecreatespidertimeout"></a>`spiderTimeout` | [`Int`](#int) | スパイダーがサイトを走査する時間として許可される最大時間（分）。 |
| <a id="mutationdastscannerprofilecreatetaglist"></a>`tagList` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | **非推奨: **DastProfileに移動しました。GitLab 15.8で非推奨になりました。 |
| <a id="mutationdastscannerprofilecreatetargettimeout"></a>`targetTimeout` | [`Int`](#int) | テスト対象のサイトがリクエストに応答するための時間として許可される最大秒数。 |
| <a id="mutationdastscannerprofilecreateuseajaxspider"></a>`useAjaxSpider` | [`Boolean`](#boolean) | ターゲットサイトのクロールにAJAX Spiderを使用するかどうかを示します。従来のスパイダーに加えてAJAX Spiderを実行する場合はtrue、従来のスパイダーだけを実行する場合はfalse。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofilecreatedastscannerprofile"></a>`dastScannerProfile` | [`DastScannerProfile`](#dastscannerprofile) | 作成されたスキャナープロファイル。 |
| <a id="mutationdastscannerprofilecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastscannerprofilecreateid"></a>`id` {{< icon name="warning-solid" >}} | [`DastScannerProfileID`](#dastscannerprofileid) | **非推奨:** `dastScannerProfile`フィールドを使用してください。GitLab 14.10で非推奨になりました。 |

### `Mutation.dastScannerProfileDelete`

入力型: `DastScannerProfileDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofiledeletefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastscannerprofiledeleteid"></a>`id` | [`DastScannerProfileID!`](#dastscannerprofileid) | 削除するスキャナープロファイルのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofiledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.dastScannerProfileUpdate`

入力型: `DastScannerProfileUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofileupdatefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastscannerprofileupdateid"></a>`id` | [`DastScannerProfileID!`](#dastscannerprofileid) | 更新するスキャナープロファイルのID。 |
| <a id="mutationdastscannerprofileupdateprofilename"></a>`profileName` | [`String!`](#string) | スキャナープロファイルの名前。 |
| <a id="mutationdastscannerprofileupdatescantype"></a>`scanType` | [`DastScanTypeEnum`](#dastscantypeenum) | 実行するDASTスキャンのタイプを示します。パッシブスキャンかアクティブスキャンのどちらか。 |
| <a id="mutationdastscannerprofileupdateshowdebugmessages"></a>`showDebugMessages` | [`Boolean`](#boolean) | デバッグメッセージをDASTコンソール出力に含めるかどうかを示します。デバッグメッセージを含める場合はtrue。 |
| <a id="mutationdastscannerprofileupdatespidertimeout"></a>`spiderTimeout` | [`Int!`](#int) | スパイダーがサイトを走査する時間として許可される最大時間（分）。 |
| <a id="mutationdastscannerprofileupdatetaglist"></a>`tagList` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | **非推奨: **DastProfileに移動しました。GitLab 15.8で非推奨になりました。 |
| <a id="mutationdastscannerprofileupdatetargettimeout"></a>`targetTimeout` | [`Int!`](#int) | テスト対象のサイトがリクエストに応答するための時間として許可される最大秒数。 |
| <a id="mutationdastscannerprofileupdateuseajaxspider"></a>`useAjaxSpider` | [`Boolean`](#boolean) | ターゲットサイトのクロールにAJAX Spiderを使用するかどうかを示します。従来のスパイダーに加えてAJAX Spiderを実行する場合はtrue、従来のスパイダーだけを実行する場合はfalse。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastscannerprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastscannerprofileupdatedastscannerprofile"></a>`dastScannerProfile` | [`DastScannerProfile`](#dastscannerprofile) | 更新されたスキャナープロファイル。 |
| <a id="mutationdastscannerprofileupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastscannerprofileupdateid"></a>`id` {{< icon name="warning-solid" >}} | [`DastScannerProfileID`](#dastscannerprofileid) | **非推奨:** `dastScannerProfile`フィールドを使用してください。GitLab 14.10で非推奨になりました。 |

### `Mutation.dastSiteProfileCreate`

入力型: `DastSiteProfileCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofilecreateauth"></a>`auth` | [`DastSiteProfileAuthInput`](#dastsiteprofileauthinput) | 認証のパラメータ。 |
| <a id="mutationdastsiteprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofilecreateexcludedurls"></a>`excludedUrls` | [`[String!]`](#string) | 認証スキャン中にスキップするURL。デフォルトは`[]`です。 |
| <a id="mutationdastsiteprofilecreatefullpath"></a>`fullPath` | [`ID!`](#id) | サイトプロファイルが属するプロジェクト。 |
| <a id="mutationdastsiteprofilecreateoptionalvariables"></a>`optionalVariables` | [`[JSON!]`](#json) | DASTスキャン用に設定できるオプション変数。 |
| <a id="mutationdastsiteprofilecreateprofilename"></a>`profileName` | [`String!`](#string) | サイトプロファイルの名前。 |
| <a id="mutationdastsiteprofilecreaterequestheaders"></a>`requestHeaders` | [`String`](#string) | DASTによるあらゆるリクエストに追加する、リクエストヘッダーの名前と値のカンマ区切りリスト。 |
| <a id="mutationdastsiteprofilecreatescanfilepath"></a>`scanFilePath` | [`String`](#string) | スキャン方式のインプットとして使用されるファイルパスまたはURL。 |
| <a id="mutationdastsiteprofilecreatescanmethod"></a>`scanMethod` | [`DastScanMethodType`](#dastscanmethodtype) | スキャナーによるスキャン方式。 |
| <a id="mutationdastsiteprofilecreatetargettype"></a>`targetType` | [`DastTargetTypeEnum`](#dasttargettypeenum) | スキャンするターゲットのタイプ。 |
| <a id="mutationdastsiteprofilecreatetargeturl"></a>`targetUrl` | [`String`](#string) | スキャンするターゲットのURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofilecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofilecreatedastsiteprofile"></a>`dastSiteProfile` | [`DastSiteProfile`](#dastsiteprofile) | サイトプロファイルオブジェクト。 |
| <a id="mutationdastsiteprofilecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastsiteprofilecreateid"></a>`id` {{< icon name="warning-solid" >}} | [`DastSiteProfileID`](#dastsiteprofileid) | **非推奨:** `dastSiteProfile.id`フィールドを使用してください。GitLab 14.10で非推奨になりました。 |

### `Mutation.dastSiteProfileDelete`

入力型: `DastSiteProfileDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofiledeletefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastsiteprofiledeleteid"></a>`id` | [`DastSiteProfileID!`](#dastsiteprofileid) | 削除するサイトプロファイルのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofiledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofiledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.dastSiteProfileUpdate`

入力型: `DastSiteProfileUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofileupdateauth"></a>`auth` | [`DastSiteProfileAuthInput`](#dastsiteprofileauthinput) | 認証のパラメータ。 |
| <a id="mutationdastsiteprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofileupdateexcludedurls"></a>`excludedUrls` | [`[String!]`](#string) | 認証スキャン中にスキップするURL。 |
| <a id="mutationdastsiteprofileupdatefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **グローバルIDを修飾する完全パスは不要です。GitLab 14.5で非推奨になりました。 |
| <a id="mutationdastsiteprofileupdateid"></a>`id` | [`DastSiteProfileID!`](#dastsiteprofileid) | 更新するサイトプロファイルのID。 |
| <a id="mutationdastsiteprofileupdateoptionalvariables"></a>`optionalVariables` | [`[JSON!]`](#json) | DASTスキャン用に設定できるオプション変数。 |
| <a id="mutationdastsiteprofileupdateprofilename"></a>`profileName` | [`String!`](#string) | サイトプロファイルの名前。 |
| <a id="mutationdastsiteprofileupdaterequestheaders"></a>`requestHeaders` | [`String`](#string) | DASTによるあらゆるリクエストに追加する、リクエストヘッダーの名前と値のカンマ区切りリスト。 |
| <a id="mutationdastsiteprofileupdatescanfilepath"></a>`scanFilePath` | [`String`](#string) | スキャン方式のインプットとして使用されるファイルパスまたはURL。 |
| <a id="mutationdastsiteprofileupdatescanmethod"></a>`scanMethod` | [`DastScanMethodType`](#dastscanmethodtype) | スキャナーによるスキャン方式。 |
| <a id="mutationdastsiteprofileupdatetargettype"></a>`targetType` | [`DastTargetTypeEnum`](#dasttargettypeenum) | スキャンするターゲットのタイプ。 |
| <a id="mutationdastsiteprofileupdatetargeturl"></a>`targetUrl` | [`String`](#string) | スキャンするターゲットのURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsiteprofileupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsiteprofileupdatedastsiteprofile"></a>`dastSiteProfile` | [`DastSiteProfile`](#dastsiteprofile) | サイトプロファイルオブジェクト。 |
| <a id="mutationdastsiteprofileupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastsiteprofileupdateid"></a>`id` {{< icon name="warning-solid" >}} | [`DastSiteProfileID`](#dastsiteprofileid) | **非推奨:** `dastSiteProfile.id`フィールドを使用してください。GitLab 14.10で非推奨になりました。 |

### `Mutation.dastSiteTokenCreate`

入力型: `DastSiteTokenCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitetokencreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitetokencreatefullpath"></a>`fullPath` | [`ID!`](#id) | サイトトークンが属するプロジェクト。 |
| <a id="mutationdastsitetokencreatetargeturl"></a>`targetUrl` | [`String`](#string) | 検証するターゲットのURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitetokencreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitetokencreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastsitetokencreateid"></a>`id` | [`DastSiteTokenID`](#dastsitetokenid) | サイトトークンのID。 |
| <a id="mutationdastsitetokencreatestatus"></a>`status` | [`DastSiteProfileValidationStatusEnum`](#dastsiteprofilevalidationstatusenum) | ターゲットの現在の検証状態。 |
| <a id="mutationdastsitetokencreatetoken"></a>`token` | [`String`](#string) | トークン文字列。 |

### `Mutation.dastSiteValidationCreate`

入力型: `DastSiteValidationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitevalidationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitevalidationcreatedastsitetokenid"></a>`dastSiteTokenId` | [`DastSiteTokenID!`](#dastsitetokenid) | サイトトークンのID。 |
| <a id="mutationdastsitevalidationcreatefullpath"></a>`fullPath` | [`ID!`](#id) | サイトプロファイルが属するプロジェクト。 |
| <a id="mutationdastsitevalidationcreatestrategy"></a>`strategy` | [`DastSiteValidationStrategyEnum`](#dastsitevalidationstrategyenum) | 使用する検証戦略。 |
| <a id="mutationdastsitevalidationcreatevalidationpath"></a>`validationPath` | [`String!`](#string) | 検証中にリクエストするパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitevalidationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitevalidationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdastsitevalidationcreateid"></a>`id` | [`DastSiteValidationID`](#dastsitevalidationid) | サイト検証のID。 |
| <a id="mutationdastsitevalidationcreatestatus"></a>`status` | [`DastSiteProfileValidationStatusEnum`](#dastsiteprofilevalidationstatusenum) | 現在の検証状態。 |

### `Mutation.dastSiteValidationRevoke`

入力型: `DastSiteValidationRevokeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitevalidationrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitevalidationrevokefullpath"></a>`fullPath` | [`ID!`](#id) | サイト検証が属するプロジェクト。 |
| <a id="mutationdastsitevalidationrevokenormalizedtargeturl"></a>`normalizedTargetUrl` | [`String!`](#string) | 失効するターゲットの正規化URL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdastsitevalidationrevokeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdastsitevalidationrevokeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.deleteAnnotation`

{{< details >}}GitLab 16.0で**非推奨**になりました。基盤となる機能は16.0で削除されました。{{< /details >}}

入力型: `DeleteAnnotationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeleteannotationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeleteannotationid"></a>`id` | [`String!`](#string) | 削除するアノーテーションのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeleteannotationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeleteannotationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.deleteContainerProtectionRepositoryRule`

コンテナリポジトリ保護ルールを削除します。

入力型: `DeleteContainerProtectionRepositoryRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletecontainerprotectionrepositoryruleid"></a>`id` | [`ContainerRegistryProtectionRuleID!`](#containerregistryprotectionruleid) | 削除するコンテナリポジトリ保護ルールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletecontainerprotectionrepositoryrulecontainerprotectionrepositoryrule"></a>`containerProtectionRepositoryRule` | [`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule) | 正常に削除されたコンテナリポジトリ保護ルール。 |
| <a id="mutationdeletecontainerprotectionrepositoryruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.deleteContainerProtectionTagRule`

指定されたパターンに一致するコンテナイメージタグに変更を加えることのできるユーザーロールを制御する保護ルールを削除します。機能フラグ`container_registry_protected_tags`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DeleteContainerProtectionTagRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletecontainerprotectiontagruleid"></a>`id` | [`ContainerRegistryProtectionTagRuleID!`](#containerregistryprotectiontagruleid) | 削除するタグ保護ルールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletecontainerprotectiontagrulecontainerprotectiontagrule"></a>`containerProtectionTagRule` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRule`](#containerprotectiontagrule) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationdeletecontainerprotectiontagruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.deleteConversationThread`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DeleteConversationThreadInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeleteconversationthreadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeleteconversationthreadthreadid"></a>`threadId` | [`AiConversationThreadID!`](#aiconversationthreadid) | 削除するスレッドのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeleteconversationthreadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeleteconversationthreaderrors"></a>`errors` | [`[String!]!`](#string) | スレッドの削除試行中に発生したエラーのリスト。 |
| <a id="mutationdeleteconversationthreadsuccess"></a>`success` | [`Boolean!`](#boolean) | スレッドが正常に削除された場合はtrueを返します。 |

### `Mutation.deletePackagesProtectionRule`

パッケージの保護ルールを削除します。

入力型: `DeletePackagesProtectionRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletepackagesprotectionruleid"></a>`id` | [`PackagesProtectionRuleID!`](#packagesprotectionruleid) | 削除するパッケージ保護ルールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletepackagesprotectionruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdeletepackagesprotectionrulepackageprotectionrule"></a>`packageProtectionRule` | [`PackagesProtectionRule`](#packagesprotectionrule) | 正常に削除されたパッケージ保護ルール。 |

### `Mutation.deletePagesDeployment`

Pagesデプロイを削除します。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DeletePagesDeploymentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletepagesdeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletepagesdeploymentid"></a>`id` | [`PagesDeploymentID!`](#pagesdeploymentid) | PagesデプロイのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdeletepagesdeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdeletepagesdeploymenterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdeletepagesdeploymentpagesdeployment"></a>`pagesDeployment` | [`PagesDeployment!`](#pagesdeployment) | 削除されたPagesデプロイ。 |

### `Mutation.designManagementDelete`

入力型: `DesignManagementDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementdeletefilenames"></a>`filenames` | [`[String!]!`](#string) | 削除するデザインのファイル名。 |
| <a id="mutationdesignmanagementdeleteiid"></a>`iid` | [`ID!`](#id) | デザインを変更する対象となるイシューのIID。 |
| <a id="mutationdesignmanagementdeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | イシューでデザインをアップロードする対象となるプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdesignmanagementdeleteversion"></a>`version` | [`DesignVersion`](#designversion) | デザインが削除された新しいバージョン。 |

### `Mutation.designManagementMove`

入力型: `DesignManagementMoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementmoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementmoveid"></a>`id` | [`DesignManagementDesignID!`](#designmanagementdesignid) | 移動するデザインのID。 |
| <a id="mutationdesignmanagementmovenext"></a>`next` | [`DesignManagementDesignID`](#designmanagementdesignid) | 直後のデザインのID。 |
| <a id="mutationdesignmanagementmoveprevious"></a>`previous` | [`DesignManagementDesignID`](#designmanagementdesignid) | 直前のデザインのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementmoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementmovedesigncollection"></a>`designCollection` | [`DesignCollection`](#designcollection) | コレクションの現在の状態。 |
| <a id="mutationdesignmanagementmoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.designManagementUpdate`

入力型: `DesignManagementUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementupdatedescription"></a>`description` | [`String`](#string) | デザインの説明。 |
| <a id="mutationdesignmanagementupdateid"></a>`id` | [`DesignManagementDesignID!`](#designmanagementdesignid) | 更新するデザインのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementupdatedesign"></a>`design` | [`Design!`](#design) | 更新されたデザイン。 |
| <a id="mutationdesignmanagementupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.designManagementUpload`

入力型: `DesignManagementUploadInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementuploadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementuploadfiles"></a>`files` | [`[Upload!]!`](#upload) | アップロードするファイル。 |
| <a id="mutationdesignmanagementuploadiid"></a>`iid` | [`ID!`](#id) | デザインを変更する対象となるイシューのIID。 |
| <a id="mutationdesignmanagementuploadprojectpath"></a>`projectPath` | [`ID!`](#id) | イシューでデザインをアップロードする対象となるプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdesignmanagementuploadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdesignmanagementuploaddesigns"></a>`designs` | [`[Design!]!`](#design) | 変異によってアップロードされたデザイン。 |
| <a id="mutationdesignmanagementuploaderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdesignmanagementuploadskippeddesigns"></a>`skippedDesigns` | [`[Design!]!`](#design) | 最新バージョン以降にコンテンツへの変更がないためアップロードでスキップされたデザイン。 |

### `Mutation.destroyBoard`

入力型: `DestroyBoardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyboardid"></a>`id` | [`BoardID!`](#boardid) | 破棄するボードのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyboardboard"></a>`board` | [`Board`](#board) | 変異後のボード。 |
| <a id="mutationdestroyboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyBoardList`

入力型: `DestroyBoardListInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyboardlistlistid"></a>`listId` | [`ListID!`](#listid) | 破棄するリストのグローバルID。指定できるのはラベルリストだけです。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyboardlisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdestroyboardlistlist"></a>`list` | [`BoardList`](#boardlist) | 変異後のリスト。 |

### `Mutation.destroyComplianceFramework`

入力型: `DestroyComplianceFrameworkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycomplianceframeworkid"></a>`id` | [`ComplianceManagementFrameworkID!`](#compliancemanagementframeworkid) | 破棄するコンプライアンスフレームワークのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycomplianceframeworkerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyComplianceRequirement`

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DestroyComplianceRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycompliancerequirementid"></a>`id` | [`ComplianceManagementComplianceFrameworkComplianceRequirementID!`](#compliancemanagementcomplianceframeworkcompliancerequirementid) | 破棄するコンプライアンス要件のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycompliancerequirementerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyComplianceRequirementsControl`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DestroyComplianceRequirementsControlInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycompliancerequirementscontrolid"></a>`id` | [`ComplianceManagementComplianceFrameworkComplianceRequirementsControlID!`](#compliancemanagementcomplianceframeworkcompliancerequirementscontrolid) | 破棄するコンプライアンス要件コントロールのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycompliancerequirementscontrolerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyContainerRepository`

入力型: `DestroyContainerRepositoryInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycontainerrepositoryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycontainerrepositoryid"></a>`id` | [`ContainerRepositoryID!`](#containerrepositoryid) | コンテナリポジトリのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycontainerrepositoryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycontainerrepositorycontainerrepository"></a>`containerRepository` | [`ContainerRepository!`](#containerrepository) | 削除のスケジュール後のコンテナリポジトリポリシー。 |
| <a id="mutationdestroycontainerrepositoryerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyContainerRepositoryTags`

入力型: `DestroyContainerRepositoryTagsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycontainerrepositorytagsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycontainerrepositorytagsid"></a>`id` | [`ContainerRepositoryID!`](#containerrepositoryid) | コンテナリポジトリのID。 |
| <a id="mutationdestroycontainerrepositorytagstagnames"></a>`tagNames` | [`[String!]!`](#string) | 削除するコンテナリポジトリタグ。合計20個以下でなければなりません。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycontainerrepositorytagsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycontainerrepositorytagsdeletedtagnames"></a>`deletedTagNames` | [`[String!]!`](#string) | 削除されたコンテナリポジトリタグ。 |
| <a id="mutationdestroycontainerrepositorytagserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyCustomEmoji`

入力型: `DestroyCustomEmojiInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycustomemojiclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycustomemojiid"></a>`id` | [`CustomEmojiID!`](#customemojiid) | 削除するカスタム絵文字のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroycustomemojiclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroycustomemojicustomemoji"></a>`customEmoji` | [`CustomEmoji`](#customemoji) | 削除されたカスタム絵文字。 |
| <a id="mutationdestroycustomemojierrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyEpicBoard`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `DestroyEpicBoardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyepicboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyepicboardid"></a>`id` | [`BoardsEpicBoardID!`](#boardsepicboardid) | 破棄するボードのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroyepicboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroyepicboardepicboard"></a>`epicBoard` | [`EpicBoard`](#epicboard) | 変異後のエピックボード。 |
| <a id="mutationdestroyepicboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyNote`

入力型: `DestroyNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroynoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroynoteid"></a>`id` | [`NoteID!`](#noteid) | 破棄するノートのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroynoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroynoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdestroynotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationdestroynotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.destroyPackage`

入力型: `DestroyPackageInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackageclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackageid"></a>`id` | [`PackagesPackageID!`](#packagespackageid) | パッケージのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackageclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackageerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyPackageFile`

入力型: `DestroyPackageFileInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagefileclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackagefileid"></a>`id` | [`PackagesPackageFileID!`](#packagespackagefileid) | パッケージファイルのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagefileclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackagefileerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyPackageFiles`

入力型: `DestroyPackageFilesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagefilesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackagefilesids"></a>`ids` | [`[PackagesPackageFileID!]!`](#packagespackagefileid) | パッケージファイルのID。 |
| <a id="mutationdestroypackagefilesprojectpath"></a>`projectPath` | [`ID!`](#id) | パッケージクリーンアップポリシーの属するプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagefilesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackagefileserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroyPackages`

入力型: `DestroyPackagesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackagesids"></a>`ids` | [`[PackagesPackageID!]!`](#packagespackageid) | パッケージのグローバルID。最大20。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroypackagesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroypackageserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.destroySnippet`

入力型: `DestroySnippetInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroysnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroysnippetid"></a>`id` | [`SnippetID!`](#snippetid) | 破棄するスニペットのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdestroysnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdestroysnippeterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationdestroysnippetsnippet"></a>`snippet` | [`Snippet`](#snippet) | 変異後のスニペット。 |

### `Mutation.disableDevopsAdoptionNamespace`

**状態: **ベータ版。

入力型: `DisableDevopsAdoptionNamespaceInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdisabledevopsadoptionnamespaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdisabledevopsadoptionnamespaceid"></a>`id` | [`[AnalyticsDevopsAdoptionEnabledNamespaceID!]!`](#analyticsdevopsadoptionenablednamespaceid) | 無効にする有効なネームスペースのID（1個または複数）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdisabledevopsadoptionnamespaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdisabledevopsadoptionnamespaceerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.discussionToggleResolve`

ディスカッションの解決済み状態を切り替えます。

入力型: `DiscussionToggleResolveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdiscussiontoggleresolveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdiscussiontoggleresolveid"></a>`id` | [`DiscussionID!`](#discussionid) | ディスカッションのグローバルID。 |
| <a id="mutationdiscussiontoggleresolveresolve"></a>`resolve` | [`Boolean!`](#boolean) | trueの場合、ディスカッションを解決します。falseの場合、ディスカッションを未解決にします。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationdiscussiontoggleresolveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationdiscussiontoggleresolvediscussion"></a>`discussion` | [`Discussion`](#discussion) | 変異後のディスカッション。 |
| <a id="mutationdiscussiontoggleresolveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.duoSettingsUpdate`

GitLab Duoの設定を更新します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DuoSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationduosettingsupdateaigatewayurl"></a>`aiGatewayUrl` | [`String`](#string) | ローカルAIゲートウェイサーバーのURL。 |
| <a id="mutationduosettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationduosettingsupdateaigatewayurl"></a>`aiGatewayUrl` | [`String`](#string) | ローカルAIゲートウェイサーバーのURL。 |
| <a id="mutationduosettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationduosettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.duoUserFeedback`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `DuoUserFeedbackInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationduouserfeedbackagentversionid"></a>`agentVersionId` | [`AiAgentVersionID`](#aiagentversionid) | チャットに応答するエージェントのグローバルID。 |
| <a id="mutationduouserfeedbackaimessageid"></a>`aiMessageId` | [`String!`](#string) | AIメッセージのID。 |
| <a id="mutationduouserfeedbackclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationduouserfeedbacktrackingevent"></a>`trackingEvent` | [`TrackingEventInput`](#trackingeventinput) | 追跡イベントデータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationduouserfeedbackclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationduouserfeedbackerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.echoCreate`

変更を実行しない変異。

これは、ユーザーに変異アクセス権があることを確認するためのエンドポイントのテスト用に使用されることが想定されています。

入力型: `EchoCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationechocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationechocreateerrors"></a>`errors` | [`[String!]`](#string) | ユーザーに返すエラー。 |
| <a id="mutationechocreatemessages"></a>`messages` | [`[String!]`](#string) | ユーザーに返すメッセージ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationechocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationechocreateechoes"></a>`echoes` | [`[String!]`](#string) | ユーザーに返されたメッセージ。 |
| <a id="mutationechocreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.enableDevopsAdoptionNamespace`

**状態: **ベータ版。

入力型: `EnableDevopsAdoptionNamespaceInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenabledevopsadoptionnamespaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenabledevopsadoptionnamespacedisplaynamespaceid"></a>`displayNamespaceId` | [`NamespaceID`](#namespaceid) | 表示ネームスペースID。 |
| <a id="mutationenabledevopsadoptionnamespacenamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | ネームスペースID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenabledevopsadoptionnamespaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenabledevopsadoptionnamespaceenablednamespace"></a>`enabledNamespace` | [`DevopsAdoptionEnabledNamespace`](#devopsadoptionenablednamespace) | 変異後に有効になったネームスペース。 |
| <a id="mutationenabledevopsadoptionnamespaceerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.environmentCreate`

環境を作成します。

入力型: `EnvironmentCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentcreateautostopsetting"></a>`autoStopSetting` | [`AutoStopSetting`](#autostopsetting) | 環境の自動停止設定。 |
| <a id="mutationenvironmentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentcreateclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID`](#clustersagentid) | 環境のクラスターエージェント。 |
| <a id="mutationenvironmentcreatedescription"></a>`description` | [`String`](#string) | 環境の説明。 |
| <a id="mutationenvironmentcreateexternalurl"></a>`externalUrl` | [`String`](#string) | 環境の外部URL。 |
| <a id="mutationenvironmentcreatefluxresourcepath"></a>`fluxResourcePath` | [`String`](#string) | 環境のFluxリソースパス。 |
| <a id="mutationenvironmentcreatekubernetesnamespace"></a>`kubernetesNamespace` | [`String`](#string) | 環境のKubernetesネームスペース。 |
| <a id="mutationenvironmentcreatename"></a>`name` | [`String!`](#string) | 環境の名前。 |
| <a id="mutationenvironmentcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="mutationenvironmentcreatetier"></a>`tier` | [`DeploymentTier`](#deploymenttier) | 環境のプラン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentcreateenvironment"></a>`environment` | [`Environment`](#environment) | 作成された環境。 |
| <a id="mutationenvironmentcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.environmentDelete`

環境を削除します。

入力型: `EnvironmentDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentdeleteid"></a>`id` | [`EnvironmentID!`](#environmentid) | 削除する環境のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.environmentStop`

環境を停止します。

入力型: `EnvironmentStopInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentstopclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentstopforce"></a>`force` | [`Boolean`](#boolean) | on_stopアクションを実行せずに環境を強制停止します。 |
| <a id="mutationenvironmentstopid"></a>`id` | [`EnvironmentID!`](#environmentid) | 停止する環境のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentstopclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentstopenvironment"></a>`environment` | [`Environment`](#environment) | 停止試行後の環境。 |
| <a id="mutationenvironmentstoperrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.environmentUpdate`

環境を更新します。

入力型: `EnvironmentUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentupdateautostopsetting"></a>`autoStopSetting` | [`AutoStopSetting`](#autostopsetting) | 環境の自動停止設定。 |
| <a id="mutationenvironmentupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentupdateclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID`](#clustersagentid) | 環境のクラスターエージェント。 |
| <a id="mutationenvironmentupdatedescription"></a>`description` | [`String`](#string) | 環境の説明。 |
| <a id="mutationenvironmentupdateexternalurl"></a>`externalUrl` | [`String`](#string) | 環境の外部URL。 |
| <a id="mutationenvironmentupdatefluxresourcepath"></a>`fluxResourcePath` | [`String`](#string) | 環境のFluxリソースパス。 |
| <a id="mutationenvironmentupdateid"></a>`id` | [`EnvironmentID!`](#environmentid) | 更新する環境のグローバルID。 |
| <a id="mutationenvironmentupdatekubernetesnamespace"></a>`kubernetesNamespace` | [`String`](#string) | 環境のKubernetesネームスペース。 |
| <a id="mutationenvironmentupdatetier"></a>`tier` | [`DeploymentTier`](#deploymenttier) | 環境のプラン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentupdateenvironment"></a>`environment` | [`Environment`](#environment) | 更新試行後の環境。 |
| <a id="mutationenvironmentupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.environmentsCanaryIngressUpdate`

**非推奨** このエンドポイントは、証明書ベースのクラスターとともに削除される予定です。詳細については、[このエピックを参照してください](https://gitlab.com/groups/gitlab-org/configure/-/epics/8)。

入力型: `EnvironmentsCanaryIngressUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentscanaryingressupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentscanaryingressupdateid"></a>`id` | [`EnvironmentID!`](#environmentid) | 更新する環境のグローバルID。 |
| <a id="mutationenvironmentscanaryingressupdateweight"></a>`weight` | [`Int!`](#int) | カナリアIngressのウェイト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationenvironmentscanaryingressupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationenvironmentscanaryingressupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicAddIssue`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicAddIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicaddissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicaddissuegrouppath"></a>`groupPath` | [`ID!`](#id) | 変異対象のエピックが属するグループ。 |
| <a id="mutationepicaddissueiid"></a>`iid` | [`ID!`](#id) | 変異対象のエピックのIID。 |
| <a id="mutationepicaddissueissueiid"></a>`issueIid` | [`String!`](#string) | 追加するイシューのIID。 |
| <a id="mutationepicaddissueprojectpath"></a>`projectPath` | [`ID!`](#id) | イシューが属するプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicaddissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicaddissueepic"></a>`epic` | [`Epic`](#epic) | 変異後のエピック。 |
| <a id="mutationepicaddissueepicissue"></a>`epicIssue` | [`EpicIssue`](#epicissue) | エピックとイシューの関係。 |
| <a id="mutationepicaddissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicBoardCreate`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicBoardCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardcreatedisplaycolors"></a>`displayColors` | [`Boolean`](#boolean) | エピックの色を表示するかどうか。 |
| <a id="mutationepicboardcreategrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationepicboardcreatehidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="mutationepicboardcreatehideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="mutationepicboardcreatelabelids"></a>`labelIds` | [`[LabelID!]`](#labelid) | ボードに追加するラベルのID。 |
| <a id="mutationepicboardcreatelabels"></a>`labels` | [`[String!]`](#string) | イシューのラベル。 |
| <a id="mutationepicboardcreatename"></a>`name` | [`String`](#string) | ボード名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardcreateepicboard"></a>`epicBoard` | [`EpicBoard`](#epicboard) | 作成されたエピックボード。 |
| <a id="mutationepicboardcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicBoardListCreate`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicBoardListCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardlistcreatebacklog"></a>`backlog` | [`Boolean`](#boolean) | バックログリストを作成します。 |
| <a id="mutationepicboardlistcreateboardid"></a>`boardId` | [`BoardsEpicBoardID!`](#boardsepicboardid) | 変異対象のイシューボードのグローバルID。 |
| <a id="mutationepicboardlistcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardlistcreatelabelid"></a>`labelId` | [`LabelID`](#labelid) | 既存ラベルのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardlistcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardlistcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationepicboardlistcreatelist"></a>`list` | [`EpicList`](#epiclist) | エピックボード中のエピックリスト。 |

### `Mutation.epicBoardListDestroy`

エピックボードリストを破棄します。

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicBoardListDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardlistdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardlistdestroylistid"></a>`listId` | [`BoardsEpicListID!`](#boardsepiclistid) | 破棄するエピックボードリストのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardlistdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardlistdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationepicboardlistdestroylist"></a>`list` | [`EpicList`](#epiclist) | エピックボードリスト。ボードが正常に破棄された場合は`null`。 |

### `Mutation.epicBoardUpdate`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicBoardUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardupdatedisplaycolors"></a>`displayColors` | [`Boolean`](#boolean) | エピックの色を表示するかどうか。 |
| <a id="mutationepicboardupdatehidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="mutationepicboardupdatehideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="mutationepicboardupdateid"></a>`id` | [`BoardsEpicBoardID!`](#boardsepicboardid) | エピックボードのグローバルID。 |
| <a id="mutationepicboardupdatelabelids"></a>`labelIds` | [`[LabelID!]`](#labelid) | ボードに追加するラベルのID。 |
| <a id="mutationepicboardupdatelabels"></a>`labels` | [`[String!]`](#string) | イシューのラベル。 |
| <a id="mutationepicboardupdatename"></a>`name` | [`String`](#string) | ボード名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicboardupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicboardupdateepicboard"></a>`epicBoard` | [`EpicBoard`](#epicboard) | 更新されたエピックボード。 |
| <a id="mutationepicboardupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicMoveList`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicMoveListInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicmovelistboardid"></a>`boardId` | [`BoardsEpicBoardID!`](#boardsepicboardid) | エピックの属するボードのグローバルID。 |
| <a id="mutationepicmovelistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicmovelistepicid"></a>`epicId` | [`EpicID!`](#epicid) | 変異対象のエピックのID。 |
| <a id="mutationepicmovelistfromlistid"></a>`fromListId` | [`BoardsEpicListID`](#boardsepiclistid) | エピックの移動元のボードリストのID。リスト間を移動する場合は必須。 |
| <a id="mutationepicmovelistmoveafterid"></a>`moveAfterId` | [`EpicID`](#epicid) | 現在のエピックの後に配置するエピックのID。 |
| <a id="mutationepicmovelistmovebeforeid"></a>`moveBeforeId` | [`EpicID`](#epicid) | 現在のエピックの前に配置するエピックのID。 |
| <a id="mutationepicmovelistpositioninlist"></a>`positionInList` | [`Int`](#int) | ボードリスト内のエピックの位置。位置は0から始まります。リストの末尾に移動するには-1を使用します。 |
| <a id="mutationepicmovelisttolistid"></a>`toListId` | [`BoardsEpicListID!`](#boardsepiclistid) | 変異後にエピックが属するリストのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicmovelistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicmovelistepic"></a>`epic` | [`Epic`](#epic) | 変異後のエピック。 |
| <a id="mutationepicmovelisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicSetSubscription`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicSetSubscriptionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicsetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicsetsubscriptiongrouppath"></a>`groupPath` | [`ID!`](#id) | 変異対象のエピックが属するグループ。 |
| <a id="mutationepicsetsubscriptioniid"></a>`iid` | [`ID!`](#id) | 変異対象のエピックのIID。 |
| <a id="mutationepicsetsubscriptionsubscribedstate"></a>`subscribedState` | [`Boolean!`](#boolean) | 目的とするサブスクリプションの状態。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepicsetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepicsetsubscriptionepic"></a>`epic` | [`Epic`](#epic) | 変異後のエピック。 |
| <a id="mutationepicsetsubscriptionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.epicTreeReorder`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `EpicTreeReorderInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepictreereorderbaseepicid"></a>`baseEpicId` | [`EpicID!`](#epicid) | ツリーのベースエピックのID。 |
| <a id="mutationepictreereorderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepictreereordermoved"></a>`moved` | [`EpicTreeNodeFieldsInputType!`](#epictreenodefieldsinputtype) | ツリーの位置を更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationepictreereorderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationepictreereordererrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.escalationPolicyCreate`

入力型: `EscalationPolicyCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicycreatedescription"></a>`description` | [`String`](#string) | エスカレーションポリシーの説明。 |
| <a id="mutationescalationpolicycreatename"></a>`name` | [`String!`](#string) | エスカレーションポリシーの名前。 |
| <a id="mutationescalationpolicycreateprojectpath"></a>`projectPath` | [`ID!`](#id) | エスカレーションポリシー作成の対象となるプロジェクト。 |
| <a id="mutationescalationpolicycreaterules"></a>`rules` | [`[EscalationRuleInput!]!`](#escalationruleinput) | エスカレーションポリシーのステップ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicycreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationescalationpolicycreateescalationpolicy"></a>`escalationPolicy` | [`EscalationPolicyType`](#escalationpolicytype) | エスカレーションポリシー。 |

### `Mutation.escalationPolicyDestroy`

入力型: `EscalationPolicyDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicydestroyid"></a>`id` | [`IncidentManagementEscalationPolicyID!`](#incidentmanagementescalationpolicyid) | 削除するエスカレーションポリシーの内部ID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicydestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationescalationpolicydestroyescalationpolicy"></a>`escalationPolicy` | [`EscalationPolicyType`](#escalationpolicytype) | エスカレーションポリシー。 |

### `Mutation.escalationPolicyUpdate`

入力型: `EscalationPolicyUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicyupdatedescription"></a>`description` | [`String`](#string) | エスカレーションポリシーの説明。 |
| <a id="mutationescalationpolicyupdateid"></a>`id` | [`IncidentManagementEscalationPolicyID!`](#incidentmanagementescalationpolicyid) | オンコールローテーションを作成するオンコールスケジュールのID。 |
| <a id="mutationescalationpolicyupdatename"></a>`name` | [`String`](#string) | エスカレーションポリシーの名前。 |
| <a id="mutationescalationpolicyupdaterules"></a>`rules` | [`[EscalationRuleInput!]`](#escalationruleinput) | エスカレーションポリシーのステップ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationescalationpolicyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationescalationpolicyupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationescalationpolicyupdateescalationpolicy"></a>`escalationPolicy` | [`EscalationPolicyType`](#escalationpolicytype) | エスカレーションポリシー。 |

### `Mutation.exportRequirements`

入力型: `ExportRequirementsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexportrequirementsauthorusername"></a>`authorUsername` | [`[String!]`](#string) | 要件を作成者のユーザー名でフィルタリングします。 |
| <a id="mutationexportrequirementsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexportrequirementsprojectpath"></a>`projectPath` | [`ID!`](#id) | 要件が関連付けられているプロジェクトのフルパス。 |
| <a id="mutationexportrequirementssearch"></a>`search` | [`String`](#string) | 要件タイトルの検索クエリ。 |
| <a id="mutationexportrequirementsselectedfields"></a>`selectedFields` | [`[String!]`](#string) | エクスポート対象として選択された要件フィールドのリスト。 |
| <a id="mutationexportrequirementssort"></a>`sort` | [`Sort`](#sort) | 要件をソート順に一覧表示します。 |
| <a id="mutationexportrequirementsstate"></a>`state` | [`RequirementState`](#requirementstate) | 要件を状態でフィルタリングします。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexportrequirementsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexportrequirementserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.externalAuditEventDestinationCreate`

入力型: `ExternalAuditEventDestinationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationcreatedestinationurl"></a>`destinationUrl` | [`String!`](#string) | 宛先URL。 |
| <a id="mutationexternalauditeventdestinationcreategrouppath"></a>`groupPath` | [`ID!`](#id) | グループパス。 |
| <a id="mutationexternalauditeventdestinationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationexternalauditeventdestinationcreateverificationtoken"></a>`verificationToken` | [`String`](#string) | 検証トークン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationexternalauditeventdestinationcreateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`ExternalAuditEventDestination`](#externalauditeventdestination) | 作成された宛先。 |

### `Mutation.externalAuditEventDestinationDestroy`

入力型: `ExternalAuditEventDestinationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationdestroyid"></a>`id` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | 破棄する外部監査イベントの宛先のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.externalAuditEventDestinationUpdate`

入力型: `ExternalAuditEventDestinationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationupdatedestinationurl"></a>`destinationUrl` | [`String`](#string) | 変更する宛先URL。 |
| <a id="mutationexternalauditeventdestinationupdateid"></a>`id` | [`AuditEventsExternalAuditEventDestinationID!`](#auditeventsexternalauditeventdestinationid) | 更新する外部監査イベントの宛先のID。 |
| <a id="mutationexternalauditeventdestinationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationexternalauditeventdestinationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationexternalauditeventdestinationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationexternalauditeventdestinationupdateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`ExternalAuditEventDestination`](#externalauditeventdestination) | 更新された宛先。 |

### `Mutation.geoRegistriesBulkUpdate`

指定されたレジストリクラスの複数のGeoレジストリを変異します。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GeoRegistriesBulkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgeoregistriesbulkupdateaction"></a>`action` | [`GeoRegistriesBulkAction!`](#georegistriesbulkaction) | Geoレジストリに対して実行するアクション。 |
| <a id="mutationgeoregistriesbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgeoregistriesbulkupdateregistryclass"></a>`registryClass` | [`GeoRegistryClass!`](#georegistryclass) | 更新するGeoレジストリのクラス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgeoregistriesbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgeoregistriesbulkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgeoregistriesbulkupdateregistryclass"></a>`registryClass` | [`GeoRegistryClass`](#georegistryclass) | 更新されたGeoレジストリクラス。 |

### `Mutation.geoRegistriesUpdate`

Geoレジストリを変異します。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GeoRegistriesUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgeoregistriesupdateaction"></a>`action` | [`GeoRegistryAction!`](#georegistryaction) | Geoレジストリに対して実行するアクション。 |
| <a id="mutationgeoregistriesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgeoregistriesupdateregistryid"></a>`registryId` | [`GeoBaseRegistryID!`](#geobaseregistryid) | 更新するGeoレジストリエントリのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgeoregistriesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgeoregistriesupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgeoregistriesupdateregistry"></a>`registry` | [`Registrable`](#registrable) | 更新されたGeoレジストリエントリ。 |

### `Mutation.gitlabSubscriptionActivate`

入力型: `GitlabSubscriptionActivateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgitlabsubscriptionactivateactivationcode"></a>`activationCode` | [`String!`](#string) | GitLabサブスクリプションの購入後に受信したアクティベーションコード。 |
| <a id="mutationgitlabsubscriptionactivateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgitlabsubscriptionactivateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgitlabsubscriptionactivateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgitlabsubscriptionactivatefuturesubscriptions"></a>`futureSubscriptions` | [`[SubscriptionFutureEntry!]`](#subscriptionfutureentry) | 将来のサブスクリプションの配列。 |
| <a id="mutationgitlabsubscriptionactivatelicense"></a>`license` | [`CurrentLicense`](#currentlicense) | 現在のライセンス。 |

### `Mutation.googleCloudLoggingConfigurationCreate`

入力型: `GoogleCloudLoggingConfigurationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationcreateclientemail"></a>`clientEmail` | [`String!`](#string) | Google Cloud Loggingサービスの認証ややり取りに使用されるサービスアカウントに関連するメールアドレス。これは、IAM認証情報の一部です。 |
| <a id="mutationgooglecloudloggingconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationcreategoogleprojectidname"></a>`googleProjectIdName` | [`String!`](#string) | ログ設定が属するGoogle Cloudプロジェクトの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationcreategrouppath"></a>`groupPath` | [`ID!`](#id) | グループパス。 |
| <a id="mutationgooglecloudloggingconfigurationcreatelogidname"></a>`logIdName` | [`String`](#string) | 同じGoogle Cloudプロジェクト内で異なるログを区別および管理するために使用する固有識別子（デフォルトは`audit_events`）。 |
| <a id="mutationgooglecloudloggingconfigurationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationgooglecloudloggingconfigurationcreateprivatekey"></a>`privateKey` | [`String!`](#string) | サービスアカウントに関連付けられているプライベートキー。このキーは、サービスアカウントを認証したり、Google Cloud Loggingサービスとのやり取りを承認するために使用されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgooglecloudloggingconfigurationcreategooglecloudloggingconfiguration"></a>`googleCloudLoggingConfiguration` | [`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype) | 作成された設定。 |

### `Mutation.googleCloudLoggingConfigurationDestroy`

入力型: `GoogleCloudLoggingConfigurationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationdestroyid"></a>`id` | [`AuditEventsGoogleCloudLoggingConfigurationID!`](#auditeventsgooglecloudloggingconfigurationid) | 破棄するGoogle Cloudログ設定のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.googleCloudLoggingConfigurationUpdate`

入力型: `GoogleCloudLoggingConfigurationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationupdateclientemail"></a>`clientEmail` | [`String`](#string) | Google Cloud Loggingサービスの認証ややり取りに使用されるサービスアカウントに関連するメールアドレス。これは、IAM認証情報の一部です。 |
| <a id="mutationgooglecloudloggingconfigurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationupdategoogleprojectidname"></a>`googleProjectIdName` | [`String`](#string) | ログ設定が属するGoogle Cloudプロジェクトの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationupdateid"></a>`id` | [`AuditEventsGoogleCloudLoggingConfigurationID!`](#auditeventsgooglecloudloggingconfigurationid) | 更新するGoogle Cloud設定のID。 |
| <a id="mutationgooglecloudloggingconfigurationupdatelogidname"></a>`logIdName` | [`String`](#string) | 同じGoogle Cloudプロジェクト内で異なるログを区別および管理するために使用する固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationgooglecloudloggingconfigurationupdateprivatekey"></a>`privateKey` | [`String`](#string) | サービスアカウントに関連付けられているプライベートキー。このキーは、サービスアカウントを認証したり、Google Cloud Loggingサービスとのやり取りを承認するために使用されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgooglecloudloggingconfigurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgooglecloudloggingconfigurationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgooglecloudloggingconfigurationupdategooglecloudloggingconfiguration"></a>`googleCloudLoggingConfiguration` | [`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype) | 更新対象の設定。 |

### `Mutation.groupAuditEventStreamingDestinationsCreate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupAuditEventStreamingDestinationsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationscreatecategory"></a>`category` | [`String!`](#string) | 宛先カテゴリ。 |
| <a id="mutationgroupauditeventstreamingdestinationscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationscreateconfig"></a>`config` | [`JSON!`](#json) | 宛先設定。 |
| <a id="mutationgroupauditeventstreamingdestinationscreategrouppath"></a>`groupPath` | [`ID!`](#id) | グループパス。 |
| <a id="mutationgroupauditeventstreamingdestinationscreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationgroupauditeventstreamingdestinationscreatesecrettoken"></a>`secretToken` | [`String`](#string) | シークレットトークン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupauditeventstreamingdestinationscreateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination) | 作成された宛先。 |

### `Mutation.groupAuditEventStreamingDestinationsDelete`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupAuditEventStreamingDestinationsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationsdeleteid"></a>`id` | [`AuditEventsGroupExternalStreamingDestinationID!`](#auditeventsgroupexternalstreamingdestinationid) | 削除する監査イベント外部ストリーミング宛先のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.groupAuditEventStreamingDestinationsUpdate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupAuditEventStreamingDestinationsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationsupdatecategory"></a>`category` | [`String`](#string) | 宛先カテゴリ。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdateconfig"></a>`config` | [`JSON`](#json) | 宛先設定。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdateid"></a>`id` | [`AuditEventsGroupExternalStreamingDestinationID!`](#auditeventsgroupexternalstreamingdestinationid) | 更新する外部監査イベントの宛先のID。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdatesecrettoken"></a>`secretToken` | [`String`](#string) | シークレットトークン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupauditeventstreamingdestinationsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupauditeventstreamingdestinationsupdateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination) | 更新された宛先。 |

### `Mutation.groupMemberBulkUpdate`

入力型: `GroupMemberBulkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupmemberbulkupdateaccesslevel"></a>`accessLevel` | [`MemberAccessLevel!`](#memberaccesslevel) | メンバーの更新後アクセスレベル。 |
| <a id="mutationgroupmemberbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupmemberbulkupdateexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="mutationgroupmemberbulkupdategroupid"></a>`groupId` | [`GroupID!`](#groupid) | グループのグローバルID。 |
| <a id="mutationgroupmemberbulkupdateuserids"></a>`userIds` | [`[UserID!]!`](#userid) | メンバーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupmemberbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupmemberbulkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupmemberbulkupdategroupmembers"></a>`groupMembers` | [`[GroupMember!]`](#groupmember) | 変異後のグループメンバー。 |

### `Mutation.groupMembersExport`

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupMembersExportInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupmembersexportclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupmembersexportgroupid"></a>`groupId` | [`GroupID!`](#groupid) | グループのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupmembersexportclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupmembersexporterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupmembersexportmessage"></a>`message` | [`String`](#string) | エクスポートリクエストの結果メッセージ。 |

### `Mutation.groupSavedReplyCreate`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupSavedReplyCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplycreatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationgroupsavedreplycreategroupid"></a>`groupId` | [`GroupID!`](#groupid) | 保存済み返信のグループ。 |
| <a id="mutationgroupsavedreplycreatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplycreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupsavedreplycreatesavedreply"></a>`savedReply` | [`GroupSavedReply`](#groupsavedreply) | 変異後の保存済み返信。 |

### `Mutation.groupSavedReplyDestroy`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupSavedReplyDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplydestroyid"></a>`id` | [`GroupsSavedReplyID!`](#groupssavedreplyid) | グループレベルで保存済み返信のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplydestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupsavedreplydestroysavedreply"></a>`savedReply` | [`GroupSavedReply`](#groupsavedreply) | 変異後の保存済み返信。 |

### `Mutation.groupSavedReplyUpdate`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `GroupSavedReplyUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplyupdatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationgroupsavedreplyupdateid"></a>`id` | [`GroupsSavedReplyID!`](#groupssavedreplyid) | グループレベルで保存済み返信のグローバルID。 |
| <a id="mutationgroupsavedreplyupdatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupsavedreplyupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupsavedreplyupdatesavedreply"></a>`savedReply` | [`GroupSavedReply`](#groupsavedreply) | 変異後の保存済み返信。 |

### `Mutation.groupUpdate`

入力型: `GroupUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupupdateduofeaturesenabled"></a>`duoFeaturesEnabled` | [`Boolean`](#boolean) | グループでGitLab Duo機能が有効になっているかどうかを示します。GitLab 16.10で導入。**状態**: 実験。 |
| <a id="mutationgroupupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 更新するグループのフルパス。 |
| <a id="mutationgroupupdatelockduofeaturesenabled"></a>`lockDuoFeaturesEnabled` | [`Boolean`](#boolean) | GitLab Duo機能で有効になっている設定がすべてのサブグループに適用されるかどうかを示します。GitLab 16.10で導入。**状態**: 実験。 |
| <a id="mutationgroupupdatelockmathrenderinglimitsenabled"></a>`lockMathRenderingLimitsEnabled` | [`Boolean`](#boolean) | 数式レンダリングの制限がすべての子孫グループに対してロックされているかどうかを示します。 |
| <a id="mutationgroupupdatemathrenderinglimitsenabled"></a>`mathRenderingLimitsEnabled` | [`Boolean`](#boolean) | 数式レンダリングの制限がグループに使用されるかどうかを示します。 |
| <a id="mutationgroupupdatename"></a>`name` | [`String`](#string) | ネームスペースの名前。 |
| <a id="mutationgroupupdatepath"></a>`path` | [`String`](#string) | ネームスペースのパス。 |
| <a id="mutationgroupupdatesharedrunnerssetting"></a>`sharedRunnersSetting` | [`SharedRunnersSetting`](#sharedrunnerssetting) | ネームスペースとその子孫が共有Runnerを利用できるかどうか。 |
| <a id="mutationgroupupdatevisibility"></a>`visibility` | [`VisibilityLevelsEnum`](#visibilitylevelsenum) | ネームスペースの表示レベル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationgroupupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationgroupupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationgroupupdategroup"></a>`group` | [`Group`](#group) | 更新後のグループ。 |

### `Mutation.httpIntegrationCreate`

入力型: `HttpIntegrationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationcreateactive"></a>`active` | [`Boolean!`](#boolean) | インテグレーションがアラートを受信しているかどうか。 |
| <a id="mutationhttpintegrationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationcreatename"></a>`name` | [`String!`](#string) | インテグレーションの名前。 |
| <a id="mutationhttpintegrationcreatepayloadattributemappings"></a>`payloadAttributeMappings` | [`[AlertManagementPayloadAlertFieldInput!]`](#alertmanagementpayloadalertfieldinput) | GitLabアラート属性からペイロードの例に基づくフィールドへのカスタムマッピング。 |
| <a id="mutationhttpintegrationcreatepayloadexample"></a>`payloadExample` | [`JsonString`](#jsonstring) | アラートペイロードの例。 |
| <a id="mutationhttpintegrationcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | インテグレーションを作成するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationhttpintegrationcreateintegration"></a>`integration` | [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration) | HTTPインテグレーション。 |

### `Mutation.httpIntegrationDestroy`

入力型: `HttpIntegrationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationdestroyid"></a>`id` | [`AlertManagementHttpIntegrationID!`](#alertmanagementhttpintegrationid) | 削除するインテグレーションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationhttpintegrationdestroyintegration"></a>`integration` | [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration) | HTTPインテグレーション。 |

### `Mutation.httpIntegrationResetToken`

入力型: `HttpIntegrationResetTokenInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationresettokenclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationresettokenid"></a>`id` | [`AlertManagementHttpIntegrationID!`](#alertmanagementhttpintegrationid) | 変異対象のインテグレーションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationresettokenclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationresettokenerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationhttpintegrationresettokenintegration"></a>`integration` | [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration) | HTTPインテグレーション。 |

### `Mutation.httpIntegrationUpdate`

入力型: `HttpIntegrationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationupdateactive"></a>`active` | [`Boolean`](#boolean) | インテグレーションがアラートを受信しているかどうか。 |
| <a id="mutationhttpintegrationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationupdateid"></a>`id` | [`AlertManagementHttpIntegrationID!`](#alertmanagementhttpintegrationid) | 変異対象のインテグレーションのID。 |
| <a id="mutationhttpintegrationupdatename"></a>`name` | [`String`](#string) | インテグレーションの名前。 |
| <a id="mutationhttpintegrationupdatepayloadattributemappings"></a>`payloadAttributeMappings` | [`[AlertManagementPayloadAlertFieldInput!]`](#alertmanagementpayloadalertfieldinput) | GitLabアラート属性からペイロードの例に基づくフィールドへのカスタムマッピング。 |
| <a id="mutationhttpintegrationupdatepayloadexample"></a>`payloadExample` | [`JsonString`](#jsonstring) | アラートペイロードの例。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationhttpintegrationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationhttpintegrationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationhttpintegrationupdateintegration"></a>`integration` | [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration) | HTTPインテグレーション。 |

### `Mutation.importSourceUserCancelReassignment`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ImportSourceUserCancelReassignmentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceusercancelreassignmentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceusercancelreassignmentid"></a>`id` | [`ImportSourceUserID!`](#importsourceuserid) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceusercancelreassignmentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceusercancelreassignmenterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationimportsourceusercancelreassignmentimportsourceuser"></a>`importSourceUser` | [`ImportSourceUser`](#importsourceuser) | 変異後のソースインスタンスのユーザーから宛先インスタンスのユーザーへのマッピング。 |

### `Mutation.importSourceUserKeepAllAsPlaceholder`

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ImportSourceUserKeepAllAsPlaceholderInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserkeepallasplaceholderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserkeepallasplaceholdernamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | ネームスペースのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserkeepallasplaceholderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserkeepallasplaceholdererrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationimportsourceuserkeepallasplaceholderupdatedimportsourceusercount"></a>`updatedImportSourceUserCount` | [`Int`](#int) | ソースインスタンスのユーザーからその宛先ユーザーへのマッピングのうち正常に更新されたものの数。 |

### `Mutation.importSourceUserKeepAsPlaceholder`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ImportSourceUserKeepAsPlaceholderInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserkeepasplaceholderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserkeepasplaceholderid"></a>`id` | [`ImportSourceUserID!`](#importsourceuserid) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserkeepasplaceholderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserkeepasplaceholdererrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationimportsourceuserkeepasplaceholderimportsourceuser"></a>`importSourceUser` | [`ImportSourceUser`](#importsourceuser) | 変異後のソースインスタンスのユーザーから宛先インスタンスのユーザーへのマッピング。 |

### `Mutation.importSourceUserReassign`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ImportSourceUserReassignInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserreassignassigneeuserid"></a>`assigneeUserId` | [`UserID!`](#userid) | 割り当て先ユーザーのグローバルID。 |
| <a id="mutationimportsourceuserreassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserreassignid"></a>`id` | [`ImportSourceUserID!`](#importsourceuserid) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserreassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserreassignerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationimportsourceuserreassignimportsourceuser"></a>`importSourceUser` | [`ImportSourceUser`](#importsourceuser) | 変異後のソースインスタンスのユーザーから宛先インスタンスのユーザーへのマッピング。 |

### `Mutation.importSourceUserResendNotification`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ImportSourceUserResendNotificationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserresendnotificationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserresendnotificationid"></a>`id` | [`ImportSourceUserID!`](#importsourceuserid) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationimportsourceuserresendnotificationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationimportsourceuserresendnotificationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationimportsourceuserresendnotificationimportsourceuser"></a>`importSourceUser` | [`ImportSourceUser`](#importsourceuser) | 変異後のソースインスタンスのユーザーから宛先インスタンスのユーザーへのマッピング。 |

### `Mutation.instanceAuditEventStreamingDestinationsCreate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `InstanceAuditEventStreamingDestinationsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationscreatecategory"></a>`category` | [`String!`](#string) | 宛先カテゴリ。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreateconfig"></a>`config` | [`JSON!`](#json) | 宛先設定。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreatesecrettoken"></a>`secretToken` | [`String`](#string) | シークレットトークン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationscreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstanceauditeventstreamingdestinationscreateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination) | 作成された宛先。 |

### `Mutation.instanceAuditEventStreamingDestinationsDelete`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `InstanceAuditEventStreamingDestinationsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationsdeleteid"></a>`id` | [`AuditEventsInstanceExternalStreamingDestinationID!`](#auditeventsinstanceexternalstreamingdestinationid) | 削除する監査イベント外部ストリーミング宛先のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.instanceAuditEventStreamingDestinationsUpdate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `InstanceAuditEventStreamingDestinationsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationsupdatecategory"></a>`category` | [`String`](#string) | 宛先カテゴリ。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateconfig"></a>`config` | [`JSON`](#json) | 宛先設定。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateid"></a>`id` | [`AuditEventsInstanceExternalStreamingDestinationID!`](#auditeventsinstanceexternalstreamingdestinationid) | 更新する外部監査イベントの宛先のID。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdatesecrettoken"></a>`secretToken` | [`String`](#string) | シークレットトークン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstanceauditeventstreamingdestinationsupdateexternalauditeventdestination"></a>`externalAuditEventDestination` | [`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination) | 更新された宛先。 |

### `Mutation.instanceExternalAuditEventDestinationCreate`

入力型: `InstanceExternalAuditEventDestinationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationcreatedestinationurl"></a>`destinationUrl` | [`String!`](#string) | 宛先URL。 |
| <a id="mutationinstanceexternalauditeventdestinationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstanceexternalauditeventdestinationcreateinstanceexternalauditeventdestination"></a>`instanceExternalAuditEventDestination` | [`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination) | 作成された宛先。 |

### `Mutation.instanceExternalAuditEventDestinationDestroy`

入力型: `InstanceExternalAuditEventDestinationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationdestroyid"></a>`id` | [`AuditEventsInstanceExternalAuditEventDestinationID!`](#auditeventsinstanceexternalauditeventdestinationid) | 破棄する外部インスタンス監査イベント宛先のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.instanceExternalAuditEventDestinationUpdate`

入力型: `InstanceExternalAuditEventDestinationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationupdatedestinationurl"></a>`destinationUrl` | [`String`](#string) | 変更する宛先URL。 |
| <a id="mutationinstanceexternalauditeventdestinationupdateid"></a>`id` | [`AuditEventsInstanceExternalAuditEventDestinationID!`](#auditeventsinstanceexternalauditeventdestinationid) | 更新する外部インスタンス監査イベント宛先のID。 |
| <a id="mutationinstanceexternalauditeventdestinationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstanceexternalauditeventdestinationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstanceexternalauditeventdestinationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstanceexternalauditeventdestinationupdateinstanceexternalauditeventdestination"></a>`instanceExternalAuditEventDestination` | [`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination) | 更新された宛先。 |

### `Mutation.instanceGoogleCloudLoggingConfigurationCreate`

入力型: `InstanceGoogleCloudLoggingConfigurationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateclientemail"></a>`clientEmail` | [`String!`](#string) | Google Cloud Loggingサービスの認証ややり取りに使用されるサービスアカウントに関連するメールアドレス。これは、IAM認証情報の一部です。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreategoogleprojectidname"></a>`googleProjectIdName` | [`String!`](#string) | ログ設定が属するGoogle Cloudプロジェクトの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreatelogidname"></a>`logIdName` | [`String`](#string) | 同じGoogle Cloudプロジェクト内で異なるログを区別および管理するために使用する固有識別子（デフォルトは`audit_events`）。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateprivatekey"></a>`privateKey` | [`String!`](#string) | サービスアカウントに関連付けられているプライベートキー。このキーは、サービスアカウントを認証したり、Google Cloud Loggingサービスとのやり取りを承認するために使用されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstancegooglecloudloggingconfigurationcreateinstancegooglecloudloggingconfiguration"></a>`instanceGoogleCloudLoggingConfiguration` | [`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype) | 作成された設定。 |

### `Mutation.instanceGoogleCloudLoggingConfigurationDestroy`

入力型: `InstanceGoogleCloudLoggingConfigurationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationdestroyid"></a>`id` | [`AuditEventsInstanceGoogleCloudLoggingConfigurationID!`](#auditeventsinstancegooglecloudloggingconfigurationid) | 破棄するGoogle Cloudログ設定のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.instanceGoogleCloudLoggingConfigurationUpdate`

入力型: `InstanceGoogleCloudLoggingConfigurationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateclientemail"></a>`clientEmail` | [`String`](#string) | Google Cloud Loggingサービスの認証ややり取りに使用されるサービスアカウントに関連するメールアドレス。これは、IAM認証情報の一部です。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdategoogleprojectidname"></a>`googleProjectIdName` | [`String`](#string) | ログ設定が属するGoogle Cloudプロジェクトの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateid"></a>`id` | [`AuditEventsInstanceGoogleCloudLoggingConfigurationID!`](#auditeventsinstancegooglecloudloggingconfigurationid) | 更新するインスタンスGoogle Cloud設定のID。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdatelogidname"></a>`logIdName` | [`String`](#string) | 同じGoogle Cloudプロジェクト内で異なるログを区別および管理するために使用する固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdatename"></a>`name` | [`String`](#string) | 宛先名。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateprivatekey"></a>`privateKey` | [`String`](#string) | サービスアカウントに関連付けられているプライベートキー。このキーは、サービスアカウントを認証したり、Google Cloud Loggingサービスとのやり取りを承認するために使用されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationinstancegooglecloudloggingconfigurationupdateinstancegooglecloudloggingconfiguration"></a>`instanceGoogleCloudLoggingConfiguration` | [`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype) | 更新対象の設定。 |

### `Mutation.integrationExclusionCreate`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `IntegrationExclusionCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationintegrationexclusioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationintegrationexclusioncreategroupids"></a>`groupIds` | [`[GroupID!]`](#groupid) | 除外するグループのID（最大100個）。 |
| <a id="mutationintegrationexclusioncreateintegrationname"></a>`integrationName` | [`IntegrationType!`](#integrationtype) | 除外するインテグレーションのタイプ。 |
| <a id="mutationintegrationexclusioncreateprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | 除外するプロジェクトのID（最大100個）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationintegrationexclusioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationintegrationexclusioncreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationintegrationexclusioncreateexclusions"></a>`exclusions` | [`[IntegrationExclusion!]`](#integrationexclusion) | 変異によって作成されたインテグレーション除外。 |

### `Mutation.integrationExclusionDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `IntegrationExclusionDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationintegrationexclusiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationintegrationexclusiondeletegroupids"></a>`groupIds` | [`[GroupID!]`](#groupid) | 除外されたグループのID。 |
| <a id="mutationintegrationexclusiondeleteintegrationname"></a>`integrationName` | [`IntegrationType!`](#integrationtype) | インテグレーションのタイプ。 |
| <a id="mutationintegrationexclusiondeleteprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | 除外されたプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationintegrationexclusiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationintegrationexclusiondeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationintegrationexclusiondeleteexclusions"></a>`exclusions` | [`[IntegrationExclusion!]`](#integrationexclusion) | 変異のため除外されなくなったプロジェクト。 |

### `Mutation.issuableResourceLinkCreate`

入力型: `IssuableResourceLinkCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuableresourcelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuableresourcelinkcreateid"></a>`id` | [`IssueID!`](#issueid) | リソースリンクの関連先インシデントID。 |
| <a id="mutationissuableresourcelinkcreatelink"></a>`link` | [`String!`](#string) | リソースのリンク。 |
| <a id="mutationissuableresourcelinkcreatelinktext"></a>`linkText` | [`String`](#string) | リソースのリンクテキスト。 |
| <a id="mutationissuableresourcelinkcreatelinktype"></a>`linkType` | [`IssuableResourceLinkType`](#issuableresourcelinktype) | リソースのリンクタイプ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuableresourcelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuableresourcelinkcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuableresourcelinkcreateissuableresourcelink"></a>`issuableResourceLink` | [`IssuableResourceLink`](#issuableresourcelink) | イシュー可能リソースリンク。 |

### `Mutation.issuableResourceLinkDestroy`

入力型: `IssuableResourceLinkDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuableresourcelinkdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuableresourcelinkdestroyid"></a>`id` | [`IncidentManagementIssuableResourceLinkID!`](#incidentmanagementissuableresourcelinkid) | 削除するイシュー可能リソースリンクID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuableresourcelinkdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuableresourcelinkdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuableresourcelinkdestroyissuableresourcelink"></a>`issuableResourceLink` | [`IssuableResourceLink`](#issuableresourcelink) | イシュー可能リソースリンク。 |

### `Mutation.issueLinkAlerts`

入力型: `IssueLinkAlertsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuelinkalertsalertreferences"></a>`alertReferences` | [`[String!]!`](#string) | インシデントにリンクするアラート参照。 |
| <a id="mutationissuelinkalertsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuelinkalertsiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuelinkalertsprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuelinkalertsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuelinkalertserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuelinkalertsissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueMove`

入力型: `IssueMoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuemoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuemoveiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuemoveprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuemovetargetprojectpath"></a>`targetProjectPath` | [`ID!`](#id) | イシューの移動先プロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuemoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuemoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuemoveissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueMoveList`

入力型: `IssueMoveListInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuemovelistboardid"></a>`boardId` | [`BoardID!`](#boardid) | イシューの属するボードのグローバルID。 |
| <a id="mutationissuemovelistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuemovelistepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="mutationissuemovelistfromlistid"></a>`fromListId` | [`ID`](#id) | イシューの移動元ボードリストのID。 |
| <a id="mutationissuemovelistiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuemovelistmoveafterid"></a>`moveAfterId` | [`ID`](#id) | 現在のイシューの後に配置するイシューのID。 |
| <a id="mutationissuemovelistmovebeforeid"></a>`moveBeforeId` | [`ID`](#id) | 現在のイシューの前に配置するイシューのID。 |
| <a id="mutationissuemovelistpositioninlist"></a>`positionInList` | [`Int`](#int) | ボードリスト内のイシューの位置。位置は0から始まります。リストの末尾に移動するには-1を使用します。 |
| <a id="mutationissuemovelistprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuemovelisttolistid"></a>`toListId` | [`ID`](#id) | イシューの移動先ボードリストのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuemovelistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuemovelisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuemovelistissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetAssignees`

入力型: `IssueSetAssigneesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetassigneesassigneeusernames"></a>`assigneeUsernames` | [`[String!]!`](#string) | リソースに割り当てるユーザー名。デフォルトでは、既存の割り当てを置き換えます。 |
| <a id="mutationissuesetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetassigneesiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetassigneesoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 実行する操作。デフォルトはREPLACEです。 |
| <a id="mutationissuesetassigneesprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetassigneeserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetassigneesissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetConfidential`

入力型: `IssueSetConfidentialInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetconfidentialclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetconfidentialconfidential"></a>`confidential` | [`Boolean!`](#boolean) | イシューを機密として設定するかどうか。 |
| <a id="mutationissuesetconfidentialiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetconfidentialprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetconfidentialclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetconfidentialerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetconfidentialissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetCrmContacts`

入力型: `IssueSetCrmContactsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetcrmcontactsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetcrmcontactscontactids"></a>`contactIds` | [`[CustomerRelationsContactID!]!`](#customerrelationscontactid) | 設定する顧客関連連絡先ID。デフォルトでは、既存の連絡先を置き換えます。 |
| <a id="mutationissuesetcrmcontactsiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetcrmcontactsoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 操作モードを変更します。デフォルトはREPLACEです。 |
| <a id="mutationissuesetcrmcontactsprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetcrmcontactsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetcrmcontactserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetcrmcontactsissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetDueDate`

入力型: `IssueSetDueDateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetduedateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetduedateduedate"></a>`dueDate` | [`Time`](#time) | イシューの期限となる目的の時刻。期限がnullの場合、削除されます。 |
| <a id="mutationissuesetduedateiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetduedateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetduedateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetduedateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetduedateissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetEpic`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `IssueSetEpicInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetepicepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="mutationissuesetepiciid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetepicprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetepicerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetepicissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetEscalationPolicy`

入力型: `IssueSetEscalationPolicyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetescalationpolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetescalationpolicyescalationpolicyid"></a>`escalationPolicyId` | [`IncidentManagementEscalationPolicyID`](#incidentmanagementescalationpolicyid) | イシューに割り当てるエスカレーションポリシーのグローバルID。ポリシーが存在しない場合、またはnullに設定されている場合は削除されます。 |
| <a id="mutationissuesetescalationpolicyiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetescalationpolicyprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetescalationpolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetescalationpolicyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetescalationpolicyissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetEscalationStatus`

入力型: `IssueSetEscalationStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetescalationstatusclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetescalationstatusiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetescalationstatusprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuesetescalationstatusstatus"></a>`status` | [`IssueEscalationStatus!`](#issueescalationstatus) | エスカレーション状態を設定します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetescalationstatusclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetescalationstatuserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetescalationstatusissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetIteration`

入力型: `IssueSetIterationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetiterationiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetiterationiterationid"></a>`iterationId` | [`IterationID`](#iterationid) | イシューに割り当てるイテレーション。 |
| <a id="mutationissuesetiterationprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetiterationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetiterationissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetLocked`

入力型: `IssueSetLockedInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetlockediid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetlockedlocked"></a>`locked` | [`Boolean!`](#boolean) | イシューに関するディスカッションをロックするかどうか。 |
| <a id="mutationissuesetlockedprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetlockederrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetlockedissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetSeverity`

入力型: `IssueSetSeverityInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetseverityclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetseverityiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetseverityprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuesetseverityseverity"></a>`severity` | [`IssuableSeverity!`](#issuableseverity) | インシデントの重大度レベルを設定します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetseverityclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetseverityerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetseverityissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetSubscription`

入力型: `IssueSetSubscriptionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetsubscriptioniid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetsubscriptionprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuesetsubscriptionsubscribedstate"></a>`subscribedState` | [`Boolean!`](#boolean) | 目的とするサブスクリプションの状態。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetsubscriptionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetsubscriptionissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueSetWeight`

入力型: `IssueSetWeightInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetweightclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetweightiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissuesetweightprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationissuesetweightweight"></a>`weight` | [`Int`](#int) | 目的とするイシューのウェイト。nullに設定すると、ウェイトは削除されます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesetweightclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesetweighterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesetweightissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issueUnlinkAlert`

入力型: `IssueUnlinkAlertInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissueunlinkalertalertid"></a>`alertId` | [`AlertManagementAlertID!`](#alertmanagementalertid) | インシデントからリンク解除するアラートのグローバルID。 |
| <a id="mutationissueunlinkalertclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissueunlinkalertiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationissueunlinkalertprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissueunlinkalertclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissueunlinkalerterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissueunlinkalertissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.issuesBulkUpdate`

イシューセットの複数プロパティの更新を許可します。`bulk_update_issues_mutation`機能フラグが無効になっている場合は、何もしません。

{{< details >}}GitLab 15.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `IssuesBulkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesbulkupdateaddlabelids"></a>`addLabelIds` | [`[LabelID!]`](#labelid) | イシューに追加さすラベルのグローバルID配列。 |
| <a id="mutationissuesbulkupdateassigneeids"></a>`assigneeIds` | [`[UserID!]`](#userid) | 指定されたイシューに割り当てるユーザーのグローバルID配列。既存の割り当てが、このリストの割り当てに置き換えられます。 |
| <a id="mutationissuesbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesbulkupdateepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="mutationissuesbulkupdatehealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | イシューに割り当てるヘルスステータス。 |
| <a id="mutationissuesbulkupdateids"></a>`ids` | [`[IssueID!]!`](#issueid) | 更新するイシューのグローバルID配列。ユーザーが更新できないIDは無視されます。最大100個まで指定できます。 |
| <a id="mutationissuesbulkupdateiterationid"></a>`iterationId` | [`IterationID`](#iterationid) | イシューに割り当てるイテレーションのグローバルID。 |
| <a id="mutationissuesbulkupdatemilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | イシューに割り当てるマイルストーンのグローバルID。 |
| <a id="mutationissuesbulkupdateparentid"></a>`parentId` | [`IssueParentID!`](#issueparentid) | 一括更新のスコープとなる親のグローバルID。親としてプロジェクトも可能です。また親としてグループも可能です（PremiumおよびUltimateのみ）。例: `IssueParentID`は`"gid://gitlab/Project/1"`と`"gid://gitlab/Group/1"`です。 |
| <a id="mutationissuesbulkupdateremovelabelids"></a>`removeLabelIds` | [`[LabelID!]`](#labelid) | イシューから削除するラベルのグローバルID配列。 |
| <a id="mutationissuesbulkupdatestateevent"></a>`stateEvent` | [`IssueStateEvent`](#issuestateevent) | イシューをクローズまたは再オープンします。 |
| <a id="mutationissuesbulkupdatesubscriptionevent"></a>`subscriptionEvent` | [`IssuableSubscriptionEvent`](#issuablesubscriptionevent) | イシューの通知をサブスクライブまたはサブスクライブ解除します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationissuesbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationissuesbulkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationissuesbulkupdateupdatedissuecount"></a>`updatedIssueCount` | [`Int`](#int) | 正常に更新されたイシューの数。 |

### `Mutation.iterationCadenceCreate`

入力型: `IterationCadenceCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadencecreateactive"></a>`active` | [`Boolean!`](#boolean) | イテレーションケイデンスがアクティブかどうか。 |
| <a id="mutationiterationcadencecreateautomatic"></a>`automatic` | [`Boolean!`](#boolean) | イテレーションケイデンスで今後のイテレーションを自動生成するかどうか。 |
| <a id="mutationiterationcadencecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadencecreatedescription"></a>`description` | [`String`](#string) | イテレーションケイデンスの説明。最大長は5000文字です。 |
| <a id="mutationiterationcadencecreatedurationinweeks"></a>`durationInWeeks` | [`Int`](#int) | ケイデンス内でのイテレーションの期間（週単位）。 |
| <a id="mutationiterationcadencecreategrouppath"></a>`groupPath` | [`ID!`](#id) | イテレーションケイデンスを作成するグループ。 |
| <a id="mutationiterationcadencecreateiterationsinadvance"></a>`iterationsInAdvance` | [`Int`](#int) | イテレーションケイデンスが自動に設定されている場合に作成される今後のイテレーション。 |
| <a id="mutationiterationcadencecreaterollover"></a>`rollOver` | [`Boolean`](#boolean) | イテレーションケイデンスでイシューを次のイテレーションにロールオーバーするかどうか。 |
| <a id="mutationiterationcadencecreatestartdate"></a>`startDate` | [`Time`](#time) | 自動化開始日時のタイムスタンプ。 |
| <a id="mutationiterationcadencecreatetitle"></a>`title` | [`String`](#string) | イテレーションケイデンスのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadencecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadencecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationiterationcadencecreateiterationcadence"></a>`iterationCadence` | [`IterationCadence`](#iterationcadence) | 作成されたイテレーションケイデンス。 |

### `Mutation.iterationCadenceDestroy`

入力型: `IterationCadenceDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadencedestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadencedestroyid"></a>`id` | [`IterationsCadenceID!`](#iterationscadenceid) | イテレーションケイデンスのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadencedestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadencedestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationiterationcadencedestroygroup"></a>`group` | [`Group!`](#group) | イテレーションケイデンスが属するグループ。 |

### `Mutation.iterationCadenceUpdate`

入力型: `IterationCadenceUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadenceupdateactive"></a>`active` | [`Boolean`](#boolean) | イテレーションケイデンスがアクティブかどうか。 |
| <a id="mutationiterationcadenceupdateautomatic"></a>`automatic` | [`Boolean`](#boolean) | イテレーションケイデンスで今後のイテレーションを自動生成するかどうか。 |
| <a id="mutationiterationcadenceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadenceupdatedescription"></a>`description` | [`String`](#string) | イテレーションケイデンスの説明。最大長は5000文字です。 |
| <a id="mutationiterationcadenceupdatedurationinweeks"></a>`durationInWeeks` | [`Int`](#int) | ケイデンス内でのイテレーションの期間（週単位）。 |
| <a id="mutationiterationcadenceupdateid"></a>`id` | [`IterationsCadenceID!`](#iterationscadenceid) | イテレーションケイデンスのグローバルID。 |
| <a id="mutationiterationcadenceupdateiterationsinadvance"></a>`iterationsInAdvance` | [`Int`](#int) | イテレーションケイデンスが自動に設定されている場合に作成される今後のイテレーション。 |
| <a id="mutationiterationcadenceupdaterollover"></a>`rollOver` | [`Boolean`](#boolean) | イテレーションケイデンスでイシューを次のイテレーションにロールオーバーするかどうか。 |
| <a id="mutationiterationcadenceupdatestartdate"></a>`startDate` | [`Time`](#time) | 自動化開始日時のタイムスタンプ。 |
| <a id="mutationiterationcadenceupdatetitle"></a>`title` | [`String`](#string) | イテレーションケイデンスのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcadenceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcadenceupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationiterationcadenceupdateiterationcadence"></a>`iterationCadence` | [`IterationCadence`](#iterationcadence) | 更新されたイテレーションケイデンス。 |

### `Mutation.iterationCreate`

入力型: `iterationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcreatedescription"></a>`description` | [`String`](#string) | イテレーションの説明。 |
| <a id="mutationiterationcreateduedate"></a>`dueDate` | [`String`](#string) | イテレーションの終了日。 |
| <a id="mutationiterationcreategrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationiterationcreateiterationscadenceid"></a>`iterationsCadenceId` | [`IterationsCadenceID`](#iterationscadenceid) | 新しいイテレーションに割り当てるイテレーションケイデンスのグローバルID。 |
| <a id="mutationiterationcreateprojectpath"></a>`projectPath` | [`ID`](#id) | リソースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationiterationcreatestartdate"></a>`startDate` | [`String`](#string) | イテレーションの開始日。 |
| <a id="mutationiterationcreatetitle"></a>`title` | [`String`](#string) | イテレーションのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationiterationcreateiteration"></a>`iteration` | [`Iteration`](#iteration) | 作成されたイテレーション。 |

### `Mutation.iterationDelete`

入力型: `IterationDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationdeleteid"></a>`id` | [`IterationID!`](#iterationid) | イテレーションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationiterationdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationiterationdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationiterationdeletegroup"></a>`group` | [`Group!`](#group) | イテレーションが属するグループ。 |

### `Mutation.jiraImportStart`

入力型: `JiraImportStartInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjiraimportstartclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjiraimportstartjiraprojectkey"></a>`jiraProjectKey` | [`String!`](#string) | インポーターJiraプロジェクトのプロジェクトキー。 |
| <a id="mutationjiraimportstartjiraprojectname"></a>`jiraProjectName` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: **引数は使用されません。GitLab 17.4で非推奨になりました。 |
| <a id="mutationjiraimportstartprojectpath"></a>`projectPath` | [`ID!`](#id) | Jiraプロジェクトのインポート先プロジェクト。 |
| <a id="mutationjiraimportstartusersmapping"></a>`usersMapping` | [`[JiraUsersMappingInputType!]`](#jirausersmappinginputtype) | JiraからGitLabユーザーへのマッピング。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjiraimportstartclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjiraimportstarterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjiraimportstartjiraimport"></a>`jiraImport` | [`JiraImport`](#jiraimport) | 変異後のJiraインポートデータ。 |

### `Mutation.jiraImportUsers`

入力型: `JiraImportUsersInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjiraimportusersclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjiraimportusersprojectpath"></a>`projectPath` | [`ID!`](#id) | Jiraユーザーのインポート先プロジェクト。 |
| <a id="mutationjiraimportusersstartat"></a>`startAt` | [`Int`](#int) | インポートを開始するレコードのインデックス（デフォルトは0）（返されるレコードは50個）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjiraimportusersclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjiraimportuserserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjiraimportusersjirausers"></a>`jiraUsers` | [`[JiraUser!]`](#jirauser) | 可能ならメールと名前がマッチする、Jiraから返されるユーザー。 |

### `Mutation.jobArtifactsDestroy`

入力型: `JobArtifactsDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobartifactsdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobartifactsdestroyid"></a>`id` | [`CiBuildID!`](#cibuildid) | 変異対象のジョブのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobartifactsdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobartifactsdestroydestroyedartifactscount"></a>`destroyedArtifactsCount` | [`Int!`](#int) | 削除されたアーティファクトの数。 |
| <a id="mutationjobartifactsdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjobartifactsdestroyjob"></a>`job` | [`CiJob`](#cijob) | 削除するアーティファクトを含むジョブ。 |

### `Mutation.jobCancel`

入力型: `JobCancelInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobcancelclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobcancelid"></a>`id` | [`CiBuildID!`](#cibuildid) | 変異対象のジョブのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobcancelclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobcancelerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjobcanceljob"></a>`job` | [`CiJob`](#cijob) | 変異後のジョブ。 |

### `Mutation.jobPlay`

入力型: `JobPlayInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobplayclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobplayid"></a>`id` | [`CiProcessableID!`](#ciprocessableid) | 変異対象のジョブのID。 |
| <a id="mutationjobplayvariables"></a>`variables` | [`[CiVariableInput!]`](#civariableinput) | 手動ジョブ再生時に使用する変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobplayclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobplayerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjobplayjob"></a>`job` | [`CiJob`](#cijob) | 変異後のジョブ。 |

### `Mutation.jobRetry`

入力型: `JobRetryInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobretryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobretryid"></a>`id` | [`CiProcessableID!`](#ciprocessableid) | 変異対象のジョブのID。 |
| <a id="mutationjobretryvariables"></a>`variables` | [`[CiVariableInput!]`](#civariableinput) | 手動ジョブの再試行時に使用する変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobretryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobretryerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjobretryjob"></a>`job` | [`CiJob`](#cijob) | 変異後のジョブ。 |

### `Mutation.jobUnschedule`

入力型: `JobUnscheduleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobunscheduleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobunscheduleid"></a>`id` | [`CiBuildID!`](#cibuildid) | 変異対象のジョブのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationjobunscheduleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationjobunscheduleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationjobunschedulejob"></a>`job` | [`CiJob`](#cijob) | 変異後のジョブ。 |

### `Mutation.labelCreate`

入力型: `LabelCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationlabelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationlabelcreatecolor"></a>`color` | [`String`](#string) | ラベルの色。先頭が「#」記号の6桁の16進表記（`#FFAABB`など）か、またはCSSカラー名のいずれかで指定。 |
| <a id="mutationlabelcreatedescription"></a>`description` | [`String`](#string) | ラベルの説明。 |
| <a id="mutationlabelcreategrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationlabelcreateprojectpath"></a>`projectPath` | [`ID`](#id) | リソースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationlabelcreatetitle"></a>`title` | [`String!`](#string) | ラベルのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationlabelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationlabelcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationlabelcreatelabel"></a>`label` | [`Label`](#label) | 変異後のラベル。 |

### `Mutation.markAsSpamSnippet`

入力型: `MarkAsSpamSnippetInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmarkasspamsnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmarkasspamsnippetid"></a>`id` | [`SnippetID!`](#snippetid) | 更新するスニペットのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmarkasspamsnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmarkasspamsnippeterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmarkasspamsnippetsnippet"></a>`snippet` | [`Snippet`](#snippet) | 変異後のスニペット。 |

### `Mutation.memberRoleAdminCreate`

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleAdminCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadmincreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadmincreatedescription"></a>`description` | [`String`](#string) | メンバーロールの説明。 |
| <a id="mutationmemberroleadmincreatename"></a>`name` | [`String`](#string) | メンバーロールの名前。 |
| <a id="mutationmemberroleadmincreatepermissions"></a>`permissions` | [`[MemberRoleAdminPermission!]`](#memberroleadminpermission) | カスタマイズ可能な管理者権限すべてのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadmincreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadmincreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroleadmincreatememberrole"></a>`memberRole` | [`AdminMemberRole`](#adminmemberrole) | メンバーロール。 |

### `Mutation.memberRoleAdminDelete`

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleAdminDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadmindeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadmindeleteid"></a>`id` | [`MemberRoleID!`](#memberroleid) | 削除する管理者メンバーロールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadmindeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadmindeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroleadmindeletememberrole"></a>`memberRole` | [`MemberRole`](#memberrole) | 削除された管理者メンバーロール。 |

### `Mutation.memberRoleAdminUpdate`

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleAdminUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadminupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadminupdatedescription"></a>`description` | [`String`](#string) | メンバーロールの説明。 |
| <a id="mutationmemberroleadminupdateid"></a>`id` | [`MemberRoleID!`](#memberroleid) | 変異対象のメンバーロールのID。 |
| <a id="mutationmemberroleadminupdatename"></a>`name` | [`String`](#string) | メンバーロールの名前。 |
| <a id="mutationmemberroleadminupdatepermissions"></a>`permissions` | [`[MemberRoleAdminPermission!]`](#memberroleadminpermission) | カスタマイズ可能な管理者権限すべてのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleadminupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleadminupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroleadminupdatememberrole"></a>`memberRole` | [`AdminMemberRole`](#adminmemberrole) | メンバーロール。 |

### `Mutation.memberRoleCreate`

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberrolecreatebaseaccesslevel"></a>`baseAccessLevel` | [`MemberRolesAccessLevel!`](#memberrolesaccesslevel) | カスタムロールの基本アクセスレベル。 |
| <a id="mutationmemberrolecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberrolecreatedescription"></a>`description` | [`String`](#string) | メンバーロールの説明。 |
| <a id="mutationmemberrolecreategrouppath"></a>`groupPath` | [`ID`](#id) | 変異対象のメンバーロールが属するグループ。SaaSでは必須。 |
| <a id="mutationmemberrolecreatename"></a>`name` | [`String`](#string) | メンバーロールの名前。 |
| <a id="mutationmemberrolecreatepermissions"></a>`permissions` | [`[MemberRolePermission!]`](#memberrolepermission) | カスタマイズ可能な権限すべてのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberrolecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberrolecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberrolecreatememberrole"></a>`memberRole` | [`MemberRole`](#memberrole) | メンバーロール。 |

### `Mutation.memberRoleDelete`

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroledeleteid"></a>`id` | [`MemberRoleID!`](#memberroleid) | 削除するメンバーロールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroledeletememberrole"></a>`memberRole` | [`MemberRole`](#memberrole) | 削除されたメンバーロール。 |

### `Mutation.memberRoleToUserAssign`

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MemberRoleToUserAssignInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroletouserassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroletouserassignmemberroleid"></a>`memberRoleId` | [`MemberRoleID`](#memberroleid) | ユーザーに割り当てるカスタムロールのグローバルID。省略した場合、またはNULLに設定した場合、ユーザーの管理者ロール割り当てが解除されます。 |
| <a id="mutationmemberroletouserassignuserid"></a>`userId` | [`UserID!`](#userid) | カスタムロールに割り当てるユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroletouserassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroletouserassignerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroletouserassignusermemberrole"></a>`userMemberRole` | [`UserMemberRole`](#usermemberrole) | 作成されたユーザーメンバーロール。関係が削除された場合はnil。 |

### `Mutation.memberRoleUpdate`

入力型: `MemberRoleUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleupdatedescription"></a>`description` | [`String`](#string) | メンバーロールの説明。 |
| <a id="mutationmemberroleupdateid"></a>`id` | [`MemberRoleID!`](#memberroleid) | 変異対象のメンバーロールのID。 |
| <a id="mutationmemberroleupdatename"></a>`name` | [`String`](#string) | メンバーロールの名前。 |
| <a id="mutationmemberroleupdatepermissions"></a>`permissions` | [`[MemberRolePermission!]`](#memberrolepermission) | カスタマイズ可能な権限すべてのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmemberroleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmemberroleupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmemberroleupdatememberrole"></a>`memberRole` | [`MemberRole`](#memberrole) | メンバーロール。 |

### `Mutation.mergeRequestAccept`

マージリクエストを受け入れます。受け入れた場合と、可能ならすぐに、または自動マージ戦略のいずれかを使用して、ソースブランチがターゲットブランチにマージされるようにスケジュールされます。

[GitLab 16.5において](https://gitlab.com/gitlab-org/gitlab/-/issues/421510)、マージ操作は非同期です。そのため、変異リクエスト後も、マージが未完の可能性があり、その場合、`mergeRequest`と`state`は更新されません。

入力型: `MergeRequestAcceptInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestacceptclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestacceptcommitmessage"></a>`commitMessage` | [`String`](#string) | カスタムGitLab Duoマージコミットメッセージ。 |
| <a id="mutationmergerequestacceptiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestacceptprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestacceptsha"></a>`sha` | [`String!`](#string) | マージリクエスト時点のHEAD SHA。 |
| <a id="mutationmergerequestacceptshouldremovesourcebranch"></a>`shouldRemoveSourceBranch` | [`Boolean`](#boolean) | ソースブランチを削除する必要があるかどうか。 |
| <a id="mutationmergerequestacceptsquash"></a>`squash` | [`Boolean`](#boolean) | マージする前にソースブランチのコミットをスカッシュします。 |
| <a id="mutationmergerequestacceptsquashcommitmessage"></a>`squashCommitMessage` | [`String`](#string) | カスタムスカッシュコミットメッセージ（squashがtrueの場合）。 |
| <a id="mutationmergerequestacceptstrategy"></a>`strategy` | [`MergeStrategyEnum`](#mergestrategyenum) | マージリクエストをマージする方法。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestacceptclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestaccepterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestacceptmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestCreate`

入力型: `MergeRequestCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestcreatedescription"></a>`description` | [`String`](#string) | マージリクエストの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="mutationmergerequestcreatelabels"></a>`labels` | [`[String!]`](#string) | マージリクエストのラベル。 |
| <a id="mutationmergerequestcreatemergeafter"></a>`mergeAfter` | [`Time`](#time) | マージリクエストをマージできようになる日付。 |
| <a id="mutationmergerequestcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | マージリクエストが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationmergerequestcreatesourcebranch"></a>`sourceBranch` | [`String!`](#string) | マージリクエストのソースブランチ。 |
| <a id="mutationmergerequestcreatetargetbranch"></a>`targetBranch` | [`String!`](#string) | マージリクエストのターゲットブランチ。 |
| <a id="mutationmergerequestcreatetitle"></a>`title` | [`String!`](#string) | マージリクエストのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestcreatemergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestDestroyRequestedChanges`

入力型: `MergeRequestDestroyRequestedChangesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestdestroyrequestedchangesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestdestroyrequestedchangesiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestdestroyrequestedchangesprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestdestroyrequestedchangesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestdestroyrequestedchangeserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestdestroyrequestedchangesmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestReviewerRereview`

入力型: `MergeRequestReviewerRereviewInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestreviewerrereviewclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestreviewerrereviewiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestreviewerrereviewprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestreviewerrereviewuserid"></a>`userId` | [`UserID!`](#userid) | 新規レビュー用にリクエストされたユーザーのユーザーID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestreviewerrereviewclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestreviewerrereviewerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestreviewerrereviewmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetAssignees`

入力型: `MergeRequestSetAssigneesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetassigneesassigneeusernames"></a>`assigneeUsernames` | [`[String!]!`](#string) | リソースに割り当てるユーザー名。デフォルトでは、既存の割り当てを置き換えます。 |
| <a id="mutationmergerequestsetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetassigneesiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetassigneesoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 実行する操作。デフォルトはREPLACEです。 |
| <a id="mutationmergerequestsetassigneesprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetassigneesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetassigneeserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetassigneesmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetDraft`

入力型: `MergeRequestSetDraftInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetdraftclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetdraftdraft"></a>`draft` | [`Boolean!`](#boolean) | マージリクエストを下書きとして設定するかどうか。 |
| <a id="mutationmergerequestsetdraftiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetdraftprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetdraftclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetdrafterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetdraftmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetLabels`

入力型: `MergeRequestSetLabelsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetlabelsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetlabelsiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetlabelslabelids"></a>`labelIds` | [`[LabelID!]!`](#labelid) | 設定するラベルID。デフォルトでは既存のラベルを置き換えます。 |
| <a id="mutationmergerequestsetlabelsoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 操作モードを変更します。デフォルトはREPLACEです。 |
| <a id="mutationmergerequestsetlabelsprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetlabelsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetlabelserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetlabelsmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetLocked`

入力型: `MergeRequestSetLockedInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetlockediid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetlockedlocked"></a>`locked` | [`Boolean!`](#boolean) | マージリクエストをロックするかどうか。 |
| <a id="mutationmergerequestsetlockedprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetlockederrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetlockedmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetMilestone`

入力型: `MergeRequestSetMilestoneInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetmilestoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetmilestoneiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetmilestonemilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | マージリクエストに割り当てるマイルストーン。 |
| <a id="mutationmergerequestsetmilestoneprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetmilestoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetmilestoneerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetmilestonemergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetReviewers`

入力型: `MergeRequestSetReviewersInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetreviewersclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetreviewersiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetreviewersoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 実行する操作。デフォルトはREPLACEです。 |
| <a id="mutationmergerequestsetreviewersprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestsetreviewersreviewerusernames"></a>`reviewerUsernames` | [`[String!]!`](#string) | 割り当てるレビュアーのユーザー名。デフォルトでは、既存のレビュー担当者を置き換えます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetreviewersclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetreviewerserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetreviewersmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestSetSubscription`

入力型: `MergeRequestSetSubscriptionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetsubscriptioniid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestsetsubscriptionprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestsetsubscriptionsubscribedstate"></a>`subscribedState` | [`Boolean!`](#boolean) | 目的とするサブスクリプションの状態。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestsetsubscriptionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestsetsubscriptionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestsetsubscriptionmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestUpdate`

マージリクエストの属性を更新します。

入力型: `MergeRequestUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestupdatedescription"></a>`description` | [`String`](#string) | マージリクエストの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="mutationmergerequestupdateiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestupdatemergeafter"></a>`mergeAfter` | [`Time`](#time) | マージリクエストをマージできようになる日付。 |
| <a id="mutationmergerequestupdateoverriderequestedchanges"></a>`overrideRequestedChanges` | [`Boolean`](#boolean) | リクエストされた変更をすべてオーバーライドします。このマージリクエストをマージする権限を付与されたユーザーのみが設定できます。 |
| <a id="mutationmergerequestupdateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestupdatestate"></a>`state` | [`MergeRequestNewState`](#mergerequestnewstate) | 状態を変更するために実行するアクション。 |
| <a id="mutationmergerequestupdatetargetbranch"></a>`targetBranch` | [`String`](#string) | マージリクエストのターゲットブランチ。 |
| <a id="mutationmergerequestupdatetimeestimate"></a>`timeEstimate` | [`String`](#string) | マージリクエストを完了するための推定時間。`null`または`0`を使用すると、現在の推定値が削除されます。 |
| <a id="mutationmergerequestupdatetitle"></a>`title` | [`String`](#string) | マージリクエストのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestupdatemergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeRequestUpdateApprovalRule`

入力型: `MergeRequestUpdateApprovalRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestupdateapprovalruleapprovalruleid"></a>`approvalRuleId` | [`Int!`](#int) | 承認ルールのID。 |
| <a id="mutationmergerequestupdateapprovalruleapprovalsrequired"></a>`approvalsRequired` | [`Int!`](#int) | 特定のルールに必要な承認数。 |
| <a id="mutationmergerequestupdateapprovalruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestupdateapprovalrulegroupids"></a>`groupIds` | [`[String!]`](#string) | 承認者としてのグループのID。 |
| <a id="mutationmergerequestupdateapprovalruleiid"></a>`iid` | [`String!`](#string) | 変異対象のマージリクエストのIID。 |
| <a id="mutationmergerequestupdateapprovalrulename"></a>`name` | [`String!`](#string) | 承認ルールの名前。 |
| <a id="mutationmergerequestupdateapprovalruleprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のマージリクエストが属するプロジェクト。 |
| <a id="mutationmergerequestupdateapprovalruleremovehiddengroups"></a>`removeHiddenGroups` | [`Boolean`](#boolean) | 非表示のグループを削除するかどうか。 |
| <a id="mutationmergerequestupdateapprovalruleuserids"></a>`userIds` | [`[String!]`](#string) | 承認者としてのユーザーのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergerequestupdateapprovalruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergerequestupdateapprovalruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmergerequestupdateapprovalrulemergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後のマージリクエスト。 |

### `Mutation.mergeTrainsDeleteCar`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MergeTrainsDeleteCarInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergetrainsdeletecarcarid"></a>`carId` | [`MergeTrainsCarID!`](#mergetrainscarid) | 車両のグローバルID。 |
| <a id="mutationmergetrainsdeletecarclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmergetrainsdeletecarclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmergetrainsdeletecarerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.mlModelCreate`

{{< details >}}GitLab 16.8で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelcreatedescription"></a>`description` | [`String`](#string) | モデルの説明。 |
| <a id="mutationmlmodelcreatename"></a>`name` | [`String!`](#string) | モデルの名前。 |
| <a id="mutationmlmodelcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodelcreatemodel"></a>`model` | [`MlModel`](#mlmodel) | 変異後のモデル。 |

### `Mutation.mlModelDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeldeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodeldeleteid"></a>`id` | [`MlModelID!`](#mlmodelid) | 削除するモデルのグローバルID。 |
| <a id="mutationmlmodeldeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeldeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodeldeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodeldeletemodel"></a>`model` | [`MlModel`](#mlmodel) | 変異後のモデル。 |

### `Mutation.mlModelDestroy`

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeldestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodeldestroyid"></a>`id` | [`MlModelID!`](#mlmodelid) | 削除するモデルのグローバルID。 |
| <a id="mutationmlmodeldestroyprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeldestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodeldestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodeldestroymessage"></a>`message` | [`String`](#string) | モデル削除の結果メッセージ。 |
| <a id="mutationmlmodeldestroymodel"></a>`model` | [`MlModel`](#mlmodel) | 変異後のモデル。 |

### `Mutation.mlModelEdit`

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelEditInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeleditclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodeleditdescription"></a>`description` | [`String`](#string) | モデルの説明。 |
| <a id="mutationmlmodeleditmodelid"></a>`modelId` | [`Int`](#int) | モデルのID。 |
| <a id="mutationmlmodeleditname"></a>`name` | [`String!`](#string) | モデルの名前。 |
| <a id="mutationmlmodeleditprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodeleditclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelediterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodeleditmodel"></a>`model` | [`MlModel`](#mlmodel) | 変異後のモデル。 |

### `Mutation.mlModelVersionCreate`

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelVersionCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversioncreatecandidateid"></a>`candidateId` | [`MlCandidateID`](#mlcandidateid) | 必要に応じてプロモートする候補のグローバルID。 |
| <a id="mutationmlmodelversioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversioncreatedescription"></a>`description` | [`String`](#string) | モデルバージョンの説明。 |
| <a id="mutationmlmodelversioncreatemodelid"></a>`modelId` | [`MlModelID!`](#mlmodelid) | バージョンが属するモデルのグローバルID。 |
| <a id="mutationmlmodelversioncreateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |
| <a id="mutationmlmodelversioncreateversion"></a>`version` | [`String`](#string) | モデルバージョン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversioncreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodelversioncreatemodelversion"></a>`modelVersion` | [`MlModelVersion`](#mlmodelversion) | 変異後のモデル。 |

### `Mutation.mlModelVersionDelete`

{{< details >}}GitLab 17.0で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelVersionDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversiondeleteid"></a>`id` | [`MlModelVersionID!`](#mlmodelversionid) | 削除するモデルバージョンのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversiondeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodelversiondeletemodelversion"></a>`modelVersion` | [`MlModelVersion`](#mlmodelversion) | 削除されたモデルバージョン。 |

### `Mutation.mlModelVersionEdit`

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `MlModelVersionEditInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversioneditclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversioneditdescription"></a>`description` | [`String!`](#string) | モデルバージョンの説明。 |
| <a id="mutationmlmodelversioneditmodelid"></a>`modelId` | [`MlModelID!`](#mlmodelid) | バージョンが属するモデルのグローバルID。 |
| <a id="mutationmlmodelversioneditprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のモデルが属するプロジェクト。 |
| <a id="mutationmlmodelversioneditversion"></a>`version` | [`String!`](#string) | モデルバージョン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationmlmodelversioneditclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationmlmodelversionediterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationmlmodelversioneditmodelversion"></a>`modelVersion` | [`MlModelVersion`](#mlmodelversion) | 変異後のモデル。 |

### `Mutation.namespaceBanDestroy`

入力型: `NamespaceBanDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacebandestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacebandestroyid"></a>`id` | [`NamespacesNamespaceBanID!`](#namespacesnamespacebanid) | 削除するネームスペースBANのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacebandestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacebandestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationnamespacebandestroynamespaceban"></a>`namespaceBan` | [`NamespaceBan`](#namespaceban) | ネームスペースBAN。 |

### `Mutation.namespaceCiCdSettingsUpdate`

入力型: `NamespaceCiCdSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacecicdsettingsupdateallowstalerunnerpruning"></a>`allowStaleRunnerPruning` | [`Boolean`](#boolean) | ネームスペースに直接属する停滞状態Runnerを定期的にプルーニングするかどうかを示します。 |
| <a id="mutationnamespacecicdsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacecicdsettingsupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 設定が属するネームスペースのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacecicdsettingsupdatecicdsettings"></a>`ciCdSettings` | [`NamespaceCiCdSetting!`](#namespacecicdsetting) | 変異後のCI/CD設定。 |
| <a id="mutationnamespacecicdsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacecicdsettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.namespaceCreateRemoteDevelopmentClusterAgentMapping`

入力型: `NamespaceCreateRemoteDevelopmentClusterAgentMappingInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | ネームスペースに関連付けるクラスターエージェントのGlobalID。 |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingnamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | クラスターエージェントに関連付けるネームスペースのGlobalID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationnamespacecreateremotedevelopmentclusteragentmappingnamespaceclusteragentmapping"></a>`namespaceClusterAgentMapping` {{< icon name="warning-solid" >}} | [`NamespaceClusterAgentMapping`](#namespaceclusteragentmapping) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |

### `Mutation.namespaceDeleteRemoteDevelopmentClusterAgentMapping`

入力型: `NamespaceDeleteRemoteDevelopmentClusterAgentMappingInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacedeleteremotedevelopmentclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacedeleteremotedevelopmentclusteragentmappingclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | ネームスペースからの関連付けを解除するクラスターエージェントのGlobalID。 |
| <a id="mutationnamespacedeleteremotedevelopmentclusteragentmappingnamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | クラスターエージェントからの関連付けを解除するネームスペースのGlobalID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacedeleteremotedevelopmentclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacedeleteremotedevelopmentclusteragentmappingerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.namespaceSettingsUpdate`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `NamespaceSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacesettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacesettingsupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 設定が属するネームスペースのフルパス。 |
| <a id="mutationnamespacesettingsupdatepipelinevariablesdefaultrole"></a>`pipelineVariablesDefaultRole` | [`PipelineVariablesDefaultRoleType`](#pipelinevariablesdefaultroletype) | ネームスペース内のパイプライン変数をオーバーライドするために必要なデフォルトの最小ロールを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnamespacesettingsupdatecicdsettings"></a>`ciCdSettings` | [`CiCdSettings!`](#cicdsettings) | 変異後のネームスペースCI/CD設定。 |
| <a id="mutationnamespacesettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnamespacesettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.noteConvertToThread`

標準のコメントを解決可能なスレッドに変換します。

入力型: `NoteConvertToThreadInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnoteconverttothreadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnoteconverttothreadid"></a>`id` | [`NoteID!`](#noteid) | 変換するノートのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationnoteconverttothreadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationnoteconverttothreaderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationnoteconverttothreadnote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationnoteconverttothreadquickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.oncallRotationCreate`

入力型: `OncallRotationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationcreateactiveperiod"></a>`activePeriod` | [`OncallRotationActivePeriodInputType`](#oncallrotationactiveperiodinputtype) | オンコールローテーションが発生するアクティブ期間。 |
| <a id="mutationoncallrotationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationcreateendsat"></a>`endsAt` | [`OncallRotationDateInputType`](#oncallrotationdateinputtype) | オンコールローテーションの終了日時（オンコールスケジュールのタイムゾーン）。 |
| <a id="mutationoncallrotationcreatename"></a>`name` | [`String!`](#string) | オンコールローテーションの名前。 |
| <a id="mutationoncallrotationcreateparticipants"></a>`participants` | [`[OncallUserInputType!]!`](#oncalluserinputtype) | オンコールローテーションに参加しているユーザーのユーザー名。参加者は最大100名までです。 |
| <a id="mutationoncallrotationcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | オンコールスケジュールを作成するプロジェクト。 |
| <a id="mutationoncallrotationcreaterotationlength"></a>`rotationLength` | [`OncallRotationLengthInputType!`](#oncallrotationlengthinputtype) | オンコールローテーションのローテーション長。 |
| <a id="mutationoncallrotationcreatescheduleiid"></a>`scheduleIid` | [`String!`](#string) | オンコールローテーションを作成するオンコールスケジュールのIID。 |
| <a id="mutationoncallrotationcreatestartsat"></a>`startsAt` | [`OncallRotationDateInputType!`](#oncallrotationdateinputtype) | オンコールローテーションの開始日時（オンコールスケジュールのタイムゾーン）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallrotationcreateoncallrotation"></a>`oncallRotation` | [`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation) | オンコールローテーション。 |

### `Mutation.oncallRotationDestroy`

入力型: `OncallRotationDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationdestroyid"></a>`id` | [`IncidentManagementOncallRotationID!`](#incidentmanagementoncallrotationid) | 削除するオンコールローテーションのID。 |
| <a id="mutationoncallrotationdestroyprojectpath"></a>`projectPath` | [`ID!`](#id) | オンコールスケジュールの削除元プロジェクト。 |
| <a id="mutationoncallrotationdestroyscheduleiid"></a>`scheduleIid` | [`String!`](#string) | オンコールローテーションが属するオンコールスケジュールのIID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallrotationdestroyoncallrotation"></a>`oncallRotation` | [`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation) | オンコールローテーション。 |

### `Mutation.oncallRotationUpdate`

入力型: `OncallRotationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationupdateactiveperiod"></a>`activePeriod` | [`OncallRotationActivePeriodInputType`](#oncallrotationactiveperiodinputtype) | オンコールローテーションが発生するアクティブ期間。 |
| <a id="mutationoncallrotationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationupdateendsat"></a>`endsAt` | [`OncallRotationDateInputType`](#oncallrotationdateinputtype) | オンコールローテーションの終了日時（オンコールスケジュールのタイムゾーン）。 |
| <a id="mutationoncallrotationupdateid"></a>`id` | [`IncidentManagementOncallRotationID!`](#incidentmanagementoncallrotationid) | オンコールローテーションを作成するオンコールスケジュールのID。 |
| <a id="mutationoncallrotationupdatename"></a>`name` | [`String`](#string) | オンコールローテーションの名前。 |
| <a id="mutationoncallrotationupdateparticipants"></a>`participants` | [`[OncallUserInputType!]`](#oncalluserinputtype) | オンコールローテーションに参加しているユーザーのユーザー名。参加者は最大100名までです。 |
| <a id="mutationoncallrotationupdaterotationlength"></a>`rotationLength` | [`OncallRotationLengthInputType`](#oncallrotationlengthinputtype) | オンコールローテーションのローテーション長。 |
| <a id="mutationoncallrotationupdatestartsat"></a>`startsAt` | [`OncallRotationDateInputType`](#oncallrotationdateinputtype) | オンコールローテーションの開始日時（オンコールスケジュールのタイムゾーン）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallrotationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallrotationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallrotationupdateoncallrotation"></a>`oncallRotation` | [`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation) | オンコールローテーション。 |

### `Mutation.oncallScheduleCreate`

入力型: `OncallScheduleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallschedulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallschedulecreatedescription"></a>`description` | [`String`](#string) | オンコールスケジュールの説明。 |
| <a id="mutationoncallschedulecreatename"></a>`name` | [`String!`](#string) | オンコールスケジュールの名前。 |
| <a id="mutationoncallschedulecreateprojectpath"></a>`projectPath` | [`ID!`](#id) | オンコールスケジュールを作成するプロジェクト。 |
| <a id="mutationoncallschedulecreatetimezone"></a>`timezone` | [`String!`](#string) | オンコールスケジュールのタイムゾーン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallschedulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallschedulecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallschedulecreateoncallschedule"></a>`oncallSchedule` | [`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule) | オンコールスケジュール。 |

### `Mutation.oncallScheduleDestroy`

入力型: `OncallScheduleDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallscheduledestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallscheduledestroyiid"></a>`iid` | [`String!`](#string) | 削除するオンコールスケジュールの内部ID。 |
| <a id="mutationoncallscheduledestroyprojectpath"></a>`projectPath` | [`ID!`](#id) | オンコールスケジュールの削除元プロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallscheduledestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallscheduledestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallscheduledestroyoncallschedule"></a>`oncallSchedule` | [`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule) | オンコールスケジュール。 |

### `Mutation.oncallScheduleUpdate`

入力型: `OncallScheduleUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallscheduleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallscheduleupdatedescription"></a>`description` | [`String`](#string) | オンコールスケジュールの説明。 |
| <a id="mutationoncallscheduleupdateiid"></a>`iid` | [`String!`](#string) | 更新するオンコールスケジュールの内部ID。 |
| <a id="mutationoncallscheduleupdatename"></a>`name` | [`String`](#string) | オンコールスケジュールの名前。 |
| <a id="mutationoncallscheduleupdateprojectpath"></a>`projectPath` | [`ID!`](#id) | オンコールスケジュールを更新するプロジェクト。 |
| <a id="mutationoncallscheduleupdatetimezone"></a>`timezone` | [`String`](#string) | オンコールスケジュールのタイムゾーン。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationoncallscheduleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationoncallscheduleupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationoncallscheduleupdateoncallschedule"></a>`oncallSchedule` | [`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule) | オンコールスケジュール。 |

### `Mutation.organizationCreate`

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `OrganizationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationcreateavatar"></a>`avatar` | [`Upload`](#upload) | 組織のアバター。 |
| <a id="mutationorganizationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationcreatedescription"></a>`description` | [`String`](#string) | 組織の説明。 |
| <a id="mutationorganizationcreatename"></a>`name` | [`String!`](#string) | 組織の名前。 |
| <a id="mutationorganizationcreatepath"></a>`path` | [`String!`](#string) | 組織のパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationorganizationcreateorganization"></a>`organization` | [`Organization`](#organization) | 変異後の組織。 |

### `Mutation.organizationCreateClusterAgentMapping`

{{< details >}}GitLab 17.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `OrganizationCreateClusterAgentMappingInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationcreateclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationcreateclusteragentmappingclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | 組織に関連付けるクラスターエージェントのGlobalID。 |
| <a id="mutationorganizationcreateclusteragentmappingorganizationid"></a>`organizationId` | [`OrganizationsOrganizationID!`](#organizationsorganizationid) | クラスターエージェントに関連付ける組織のGlobalID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationcreateclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationcreateclusteragentmappingerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.organizationDeleteClusterAgentMapping`

{{< details >}}GitLab 17.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `OrganizationDeleteClusterAgentMappingInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationdeleteclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationdeleteclusteragentmappingclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | 組織との関連付けを解除するクラスターエージェントのGlobalID。 |
| <a id="mutationorganizationdeleteclusteragentmappingorganizationid"></a>`organizationId` | [`OrganizationsOrganizationID!`](#organizationsorganizationid) | クラスターエージェントとの関連付けを解除する組織のGlobalID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationdeleteclusteragentmappingclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationdeleteclusteragentmappingerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.organizationUpdate`

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `OrganizationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationupdateavatar"></a>`avatar` | [`Upload`](#upload) | 組織のアバター。 |
| <a id="mutationorganizationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationupdatedescription"></a>`description` | [`String`](#string) | 組織の説明。 |
| <a id="mutationorganizationupdateid"></a>`id` | [`OrganizationsOrganizationID!`](#organizationsorganizationid) | 変異対象の組織のID。 |
| <a id="mutationorganizationupdatename"></a>`name` | [`String`](#string) | 組織の名前。 |
| <a id="mutationorganizationupdatepath"></a>`path` | [`String`](#string) | 組織のパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationorganizationupdateorganization"></a>`organization` | [`Organization`](#organization) | 変異後の組織。 |

### `Mutation.organizationUserUpdate`

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

入力型: `OrganizationUserUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationuserupdateaccesslevel"></a>`accessLevel` | [`OrganizationUserAccessLevel!`](#organizationuseraccesslevel) | 更新後の組織ユーザーのアクセスレベル。 |
| <a id="mutationorganizationuserupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationuserupdateid"></a>`id` | [`OrganizationsOrganizationUserID!`](#organizationsorganizationuserid) | 変異対象の組織ユーザーのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationorganizationuserupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationorganizationuserupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationorganizationuserupdateorganizationuser"></a>`organizationUser` {{< icon name="warning-solid" >}} | [`OrganizationUser`](#organizationuser) | **非推奨: ****状態**: 実験。GitLab 17.5で導入。 |

### `Mutation.pagesMarkOnboardingComplete`

入力型: `PagesMarkOnboardingCompleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpagesmarkonboardingcompleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpagesmarkonboardingcompleteprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpagesmarkonboardingcompleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpagesmarkonboardingcompleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpagesmarkonboardingcompleteonboardingcomplete"></a>`onboardingComplete` | [`Boolean!`](#boolean) | プロジェクトのPagesメタデータの新しいonboarding_complete状態を示します。 |

### `Mutation.pipelineCancel`

入力型: `PipelineCancelInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinecancelclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinecancelid"></a>`id` | [`CiPipelineID!`](#cipipelineid) | 変異対象のパイプラインのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinecancelclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinecancelerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.pipelineCreate`

入力型: `PipelineCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinecreateasync"></a>`async` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationpipelinecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinecreateinputs"></a>`inputs` {{< icon name="warning-solid" >}} | [`[CiInputsInputType!]`](#ciinputsinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationpipelinecreateprojectpath"></a>`projectPath` | [`ID!`](#id) | パイプラインをトリガーしているプロジェクトのフルパス。 |
| <a id="mutationpipelinecreateref"></a>`ref` | [`String!`](#string) | パイプラインを実行するref。 |
| <a id="mutationpipelinecreatevariables"></a>`variables` | [`[CiVariableInput!]`](#civariableinput) | パイプラインの変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinecreatepipeline"></a>`pipeline` | [`Pipeline`](#pipeline) | 変異後に作成されたパイプライン。`async: true`の場合はnull。 |
| <a id="mutationpipelinecreaterequestid"></a>`requestId` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |

### `Mutation.pipelineDestroy`

入力型: `PipelineDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinedestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinedestroyid"></a>`id` | [`CiPipelineID!`](#cipipelineid) | 変異対象のパイプラインのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinedestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinedestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.pipelineRetry`

入力型: `PipelineRetryInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelineretryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelineretryid"></a>`id` | [`CiPipelineID!`](#cipipelineid) | 変異対象のパイプラインのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelineretryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelineretryerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelineretrypipeline"></a>`pipeline` | [`Pipeline`](#pipeline) | 変異後のパイプライン。 |

### `Mutation.pipelineScheduleCreate`

入力型: `PipelineScheduleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelineschedulecreateactive"></a>`active` | [`Boolean`](#boolean) | パイプラインスケジュールをアクティブにするかどうかを示します。 |
| <a id="mutationpipelineschedulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelineschedulecreatecron"></a>`cron` | [`String!`](#string) | パイプラインスケジュールのcron式。 |
| <a id="mutationpipelineschedulecreatecrontimezone"></a>`cronTimezone` | [`String`](#string) | ActiveSupport::TimeZoneでサポートされているcronタイムゾーン。例:「Pacific Time（US & Canada）」（デフォルト:「UTC」）。 |
| <a id="mutationpipelineschedulecreatedescription"></a>`description` | [`String!`](#string) | パイプラインスケジュールの説明。 |
| <a id="mutationpipelineschedulecreateinputs"></a>`inputs` {{< icon name="warning-solid" >}} | [`[CiInputsInputType!]`](#ciinputsinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationpipelineschedulecreateprojectpath"></a>`projectPath` | [`ID!`](#id) | パイプラインスケジュールが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationpipelineschedulecreateref"></a>`ref` | [`String!`](#string) | パイプラインスケジュールのref。 |
| <a id="mutationpipelineschedulecreatevariables"></a>`variables` | [`[PipelineScheduleVariableInput!]`](#pipelineschedulevariableinput) | パイプラインスケジュールの変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelineschedulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelineschedulecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelineschedulecreatepipelineschedule"></a>`pipelineSchedule` | [`PipelineSchedule`](#pipelineschedule) | 作成されたパイプラインスケジュール。 |

### `Mutation.pipelineScheduleDelete`

入力型: `PipelineScheduleDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduledeleteid"></a>`id` | [`CiPipelineScheduleID!`](#cipipelinescheduleid) | 変異対象のパイプラインスケジュールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduledeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduledeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.pipelineSchedulePlay`

入力型: `PipelineSchedulePlayInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduleplayclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduleplayid"></a>`id` | [`CiPipelineScheduleID!`](#cipipelinescheduleid) | 変異対象のパイプラインスケジュールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduleplayclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduleplayerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinescheduleplaypipelineschedule"></a>`pipelineSchedule` | [`PipelineSchedule`](#pipelineschedule) | 変異後のパイプラインスケジュール。 |

### `Mutation.pipelineScheduleTakeOwnership`

入力型: `PipelineScheduleTakeOwnershipInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduletakeownershipclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduletakeownershipid"></a>`id` | [`CiPipelineScheduleID!`](#cipipelinescheduleid) | 変異対象のパイプラインスケジュールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduletakeownershipclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduletakeownershiperrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinescheduletakeownershippipelineschedule"></a>`pipelineSchedule` | [`PipelineSchedule`](#pipelineschedule) | 更新されたパイプラインスケジュールの所有権。 |

### `Mutation.pipelineScheduleUpdate`

入力型: `PipelineScheduleUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduleupdateactive"></a>`active` | [`Boolean`](#boolean) | パイプラインスケジュールをアクティブにするかどうかを示します。 |
| <a id="mutationpipelinescheduleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduleupdatecron"></a>`cron` | [`String`](#string) | パイプラインスケジュールのcron式。 |
| <a id="mutationpipelinescheduleupdatecrontimezone"></a>`cronTimezone` | [`String`](#string) | ActiveSupport::TimeZoneでサポートされているcronタイムゾーン。例:「Pacific Time（US & Canada）」（デフォルト:「UTC」）。 |
| <a id="mutationpipelinescheduleupdatedescription"></a>`description` | [`String`](#string) | パイプラインスケジュールの説明。 |
| <a id="mutationpipelinescheduleupdateid"></a>`id` | [`CiPipelineScheduleID!`](#cipipelinescheduleid) | 変異対象のパイプラインスケジュールのID。 |
| <a id="mutationpipelinescheduleupdateinputs"></a>`inputs` {{< icon name="warning-solid" >}} | [`[CiInputsInputType!]`](#ciinputsinputtype) | **非推奨: ****状態**: 実験。GitLab 17.11で導入。 |
| <a id="mutationpipelinescheduleupdateref"></a>`ref` | [`String`](#string) | パイプラインスケジュールのref。 |
| <a id="mutationpipelinescheduleupdatevariables"></a>`variables` | [`[PipelineScheduleVariableInput!]`](#pipelineschedulevariableinput) | パイプラインスケジュールの変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinescheduleupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinescheduleupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinescheduleupdatepipelineschedule"></a>`pipelineSchedule` | [`PipelineSchedule`](#pipelineschedule) | 更新されたパイプラインスケジュール。 |

### `Mutation.pipelineTriggerCreate`

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `PipelineTriggerCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggercreatedescription"></a>`description` | [`String!`](#string) | パイプライントリガートークンの説明。 |
| <a id="mutationpipelinetriggercreateexpiresat"></a>`expiresAt` | [`Time`](#time) | パイプライントリガートークンの有効期限のタイムスタンプ。 |
| <a id="mutationpipelinetriggercreateprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のパイプライントリガートークンが属するプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggercreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinetriggercreatepipelinetrigger"></a>`pipelineTrigger` | [`PipelineTrigger`](#pipelinetrigger) | 変異後のパイプライントリガートークン。 |

### `Mutation.pipelineTriggerDelete`

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `PipelineTriggerDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggerdeleteid"></a>`id` | [`CiTriggerID!`](#citriggerid) | 削除するパイプライントリガートークンのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggerdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.pipelineTriggerUpdate`

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `PipelineTriggerUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggerupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggerupdatedescription"></a>`description` | [`String!`](#string) | パイプライントリガートークンの説明。 |
| <a id="mutationpipelinetriggerupdateid"></a>`id` | [`CiTriggerID!`](#citriggerid) | 更新するパイプライントリガートークンのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpipelinetriggerupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpipelinetriggerupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpipelinetriggerupdatepipelinetrigger"></a>`pipelineTrigger` | [`PipelineTrigger`](#pipelinetrigger) | 変異後のパイプライントリガートークン。 |

### `Mutation.processUserBillablePromotionRequest`

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProcessUserBillablePromotionRequestInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprocessuserbillablepromotionrequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprocessuserbillablepromotionrequeststatus"></a>`status` | [`MemberApprovalStatusType!`](#memberapprovalstatustype) | メンバー承認リクエストの状態（承認、却下、保留中）。 |
| <a id="mutationprocessuserbillablepromotionrequestuserid"></a>`userId` | [`UserID!`](#userid) | プロモートするユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprocessuserbillablepromotionrequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprocessuserbillablepromotionrequesterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprocessuserbillablepromotionrequestresult"></a>`result` | [`UserPromotionStatusType`](#userpromotionstatustype) | ユーザープロモーション処理の状態（success、partial_success、failed）。 |

### `Mutation.productAnalyticsProjectSettingsUpdate`

入力型: `ProductAnalyticsProjectSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationproductanalyticsprojectsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationproductanalyticsprojectsettingsupdatecubeapibaseurl"></a>`cubeApiBaseUrl` | [`String`](#string) | Cube APIのベースURL。 |
| <a id="mutationproductanalyticsprojectsettingsupdatecubeapikey"></a>`cubeApiKey` | [`String`](#string) | Cube APIのAPIキー。 |
| <a id="mutationproductanalyticsprojectsettingsupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 設定が属するプロジェクトのフルパス。 |
| <a id="mutationproductanalyticsprojectsettingsupdateproductanalyticsconfiguratorconnectionstring"></a>`productAnalyticsConfiguratorConnectionString` | [`String`](#string) | プロダクト分析コンフィギュレーターの接続文字列。 |
| <a id="mutationproductanalyticsprojectsettingsupdateproductanalyticsdatacollectorhost"></a>`productAnalyticsDataCollectorHost` | [`String`](#string) | プロダクト分析データコレクターのホスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationproductanalyticsprojectsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationproductanalyticsprojectsettingsupdatecubeapibaseurl"></a>`cubeApiBaseUrl` | [`String`](#string) | Cube APIのベースURL。 |
| <a id="mutationproductanalyticsprojectsettingsupdatecubeapikey"></a>`cubeApiKey` | [`String`](#string) | Cube APIのAPIキー。 |
| <a id="mutationproductanalyticsprojectsettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationproductanalyticsprojectsettingsupdateproductanalyticsconfiguratorconnectionstring"></a>`productAnalyticsConfiguratorConnectionString` | [`String`](#string) | プロダクト分析コンフィギュレーターの接続文字列。 |
| <a id="mutationproductanalyticsprojectsettingsupdateproductanalyticsdatacollectorhost"></a>`productAnalyticsDataCollectorHost` | [`String`](#string) | プロダクト分析データコレクターのホスト。 |

### `Mutation.projectBlobsRemove`

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `projectBlobsRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectblobsremovebloboids"></a>`blobOids` | [`[String!]!`](#string) | blob oidのリスト。 |
| <a id="mutationprojectblobsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectblobsremoveprojectpath"></a>`projectPath` | [`ID!`](#id) | 置き換えるプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectblobsremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectblobsremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectCiCdSettingsUpdate`

入力型: `ProjectCiCdSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectcicdsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectcicdsettingsupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 設定が属するプロジェクトのフルパス。 |
| <a id="mutationprojectcicdsettingsupdateinboundjobtokenscopeenabled"></a>`inboundJobTokenScopeEnabled` | [`Boolean`](#boolean) | このプロジェクトへのアクセスが他のプロジェクトで生成されたCI/CDジョブトークンによって制限されているかどうかを示します。 |
| <a id="mutationprojectcicdsettingsupdatejobtokenscopeenabled"></a>`jobTokenScopeEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | **非推奨: **送信ジョブトークンスコープは削除されます。このフィールドで可能な設定値はfalseだけになりました。GitLab 16.0で非推奨になりました。 |
| <a id="mutationprojectcicdsettingsupdatekeeplatestartifact"></a>`keepLatestArtifact` | [`Boolean`](#boolean) | プロジェクトで最新のアーティファクトを保持する必要があるかどうかを示します。 |
| <a id="mutationprojectcicdsettingsupdatemergepipelinesenabled"></a>`mergePipelinesEnabled` | [`Boolean`](#boolean) | プロジェクトでマージ結果パイプラインが有効になっているかどうかを示します。 |
| <a id="mutationprojectcicdsettingsupdatemergetrainsenabled"></a>`mergeTrainsEnabled` | [`Boolean`](#boolean) | プロジェクトでマージトレインが有効になっているかどうかを示します。 |
| <a id="mutationprojectcicdsettingsupdatemergetrainsskiptrainallowed"></a>`mergeTrainsSkipTrainAllowed` | [`Boolean`](#boolean) | マージトレインを更新せずにマージできるオプションを許可するかどうかを示します。`merge_trains_skip_train`機能フラグも有効になっているのでなければ、無視されます。 |
| <a id="mutationprojectcicdsettingsupdatepipelinevariablesminimumoverriderole"></a>`pipelineVariablesMinimumOverrideRole` | [`String`](#string) | パイプライン作成時またはジョブ実行時に変数を設定するために必要な最小ロール。 |
| <a id="mutationprojectcicdsettingsupdatepushrepositoryforjobtokenallowed"></a>`pushRepositoryForJobTokenAllowed` | [`Boolean`](#boolean) | ジョブトークンを使用して元のプロジェクトリポジトリにプッシュすることができるかどうかを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectcicdsettingsupdatecicdsettings"></a>`ciCdSettings` | [`ProjectCiCdSetting!`](#projectcicdsetting) | 変異後のCI/CD設定。 |
| <a id="mutationprojectcicdsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectcicdsettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectInitializeProductAnalytics`

入力型: `ProjectInitializeProductAnalyticsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectinitializeproductanalyticsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectinitializeproductanalyticsprojectpath"></a>`projectPath` | [`ID!`](#id) | 初期化するプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectinitializeproductanalyticsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectinitializeproductanalyticserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectinitializeproductanalyticsproject"></a>`project` | [`Project`](#project) | 初期化が実行されたプロジェクト。 |

### `Mutation.projectMemberBulkUpdate`

プロジェクトの複数メンバーを更新します。この変異を使用するには、少なくともメンテナーの役割が必要です。

入力型: `ProjectMemberBulkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectmemberbulkupdateaccesslevel"></a>`accessLevel` | [`MemberAccessLevel!`](#memberaccesslevel) | メンバーの更新後アクセスレベル。 |
| <a id="mutationprojectmemberbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectmemberbulkupdateexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="mutationprojectmemberbulkupdateprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | プロジェクトのグローバルID。 |
| <a id="mutationprojectmemberbulkupdateuserids"></a>`userIds` | [`[UserID!]!`](#userid) | メンバーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectmemberbulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectmemberbulkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectmemberbulkupdateprojectmembers"></a>`projectMembers` | [`[ProjectMember!]`](#projectmember) | 変異後のプロジェクトメンバー。 |

### `Mutation.projectSavedReplyCreate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProjectSavedReplyCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplycreatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationprojectsavedreplycreatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |
| <a id="mutationprojectsavedreplycreateprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | 保存済み返信のプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplycreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsavedreplycreatesavedreply"></a>`savedReply` | [`ProjectSavedReply`](#projectsavedreply) | 変異後の保存済み返信。 |

### `Mutation.projectSavedReplyDestroy`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProjectSavedReplyDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplydestroyid"></a>`id` | [`ProjectsSavedReplyID!`](#projectssavedreplyid) | プロジェクトレベルの保存済み返信のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplydestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsavedreplydestroysavedreply"></a>`savedReply` | [`ProjectSavedReply`](#projectsavedreply) | 変異後の保存済み返信。 |

### `Mutation.projectSavedReplyUpdate`

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProjectSavedReplyUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplyupdatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationprojectsavedreplyupdateid"></a>`id` | [`ProjectsSavedReplyID!`](#projectssavedreplyid) | プロジェクトレベルの保存済み返信のグローバルID。 |
| <a id="mutationprojectsavedreplyupdatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsavedreplyupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsavedreplyupdatesavedreply"></a>`savedReply` | [`ProjectSavedReply`](#projectsavedreply) | 変異後の保存済み返信。 |

### `Mutation.projectSecretCreate`

入力型: `ProjectSecretCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretcreatebranch"></a>`branch` | [`String!`](#string) | シークレットにアクセスできるブランチ。 |
| <a id="mutationprojectsecretcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretcreatedescription"></a>`description` | [`String`](#string) | プロジェクトシークレットの説明。 |
| <a id="mutationprojectsecretcreateenvironment"></a>`environment` | [`String!`](#string) | シークレットにアクセスできる環境。 |
| <a id="mutationprojectsecretcreatename"></a>`name` | [`String!`](#string) | プロジェクトシークレットの名前。 |
| <a id="mutationprojectsecretcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットのプロジェクト。 |
| <a id="mutationprojectsecretcreatevalue"></a>`value` | [`String!`](#string) | プロジェクトシークレットの値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsecretcreateprojectsecret"></a>`projectSecret` | [`ProjectSecret`](#projectsecret) | プロジェクトシークレット。 |

### `Mutation.projectSecretDelete`

入力型: `ProjectSecretDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretdeletename"></a>`name` | [`String!`](#string) | プロジェクトシークレットの名前。 |
| <a id="mutationprojectsecretdeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットのプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsecretdeleteprojectsecret"></a>`projectSecret` | [`ProjectSecret`](#projectsecret) | 削除されたプロジェクトシークレット。 |

### `Mutation.projectSecretsManagerInitialize`

入力型: `ProjectSecretsManagerInitializeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretsmanagerinitializeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretsmanagerinitializeprojectpath"></a>`projectPath` | [`ID!`](#id) | シークレットマネージャーのプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecretsmanagerinitializeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecretsmanagerinitializeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsecretsmanagerinitializeprojectsecretsmanager"></a>`projectSecretsManager` | [`ProjectSecretsManager`](#projectsecretsmanager) | プロジェクトシークレットマネージャー。 |

### `Mutation.projectSecurityExclusionCreate`

入力型: `ProjectSecurityExclusionCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusioncreateactive"></a>`active` | [`Boolean!`](#boolean) | 除外がアクティブかどうか。 |
| <a id="mutationprojectsecurityexclusioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusioncreatedescription"></a>`description` | [`String`](#string) | （オプション）除外の説明。 |
| <a id="mutationprojectsecurityexclusioncreateprojectpath"></a>`projectPath` | [`ID!`](#id) | 除外が関連付けられるプロジェクトのフルパス。 |
| <a id="mutationprojectsecurityexclusioncreatescanner"></a>`scanner` | [`ExclusionScannerEnum!`](#exclusionscannerenum) | 除外に基づいて値を無視するスキャナー。 |
| <a id="mutationprojectsecurityexclusioncreatetype"></a>`type` | [`ExclusionTypeEnum!`](#exclusiontypeenum) | 除外のタイプ。 |
| <a id="mutationprojectsecurityexclusioncreatevalue"></a>`value` | [`String!`](#string) | 除外の値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusioncreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsecurityexclusioncreatesecurityexclusion"></a>`securityExclusion` | [`ProjectSecurityExclusion`](#projectsecurityexclusion) | 作成されたプロジェクトセキュリティ除外。 |

### `Mutation.projectSecurityExclusionDelete`

入力型: `ProjectSecurityExclusionDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusiondeleteid"></a>`id` | [`SecurityProjectSecurityExclusionID!`](#securityprojectsecurityexclusionid) | 削除する除外のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusiondeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectSecurityExclusionUpdate`

入力型: `ProjectSecurityExclusionUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusionupdateactive"></a>`active` | [`Boolean`](#boolean) | 除外がアクティブかどうか。 |
| <a id="mutationprojectsecurityexclusionupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusionupdatedescription"></a>`description` | [`String`](#string) | （オプション）除外の説明。 |
| <a id="mutationprojectsecurityexclusionupdateid"></a>`id` | [`SecurityProjectSecurityExclusionID!`](#securityprojectsecurityexclusionid) | 更新する除外のグローバルID。 |
| <a id="mutationprojectsecurityexclusionupdatescanner"></a>`scanner` | [`ExclusionScannerEnum`](#exclusionscannerenum) | 除外に基づいて値を無視するスキャナー。 |
| <a id="mutationprojectsecurityexclusionupdatetype"></a>`type` | [`ExclusionTypeEnum`](#exclusiontypeenum) | 除外のタイプ。 |
| <a id="mutationprojectsecurityexclusionupdatevalue"></a>`value` | [`String`](#string) | 除外の値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsecurityexclusionupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsecurityexclusionupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsecurityexclusionupdatesecurityexclusion"></a>`securityExclusion` | [`ProjectSecurityExclusion`](#projectsecurityexclusion) | 更新されたプロジェクトセキュリティ除外。 |

### `Mutation.projectSetComplianceFramework`

プロジェクトにコンプライアンスフレームワークを割り当てます（または設定解除します）。プロジェクトに複数のコンプライアンスフレームワークが関連付けられている場合、この変異はエラーになります。

入力型: `ProjectSetComplianceFrameworkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetcomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetcomplianceframeworkcomplianceframeworkid"></a>`complianceFrameworkId` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | プロジェクトに割り当てるコンプライアンスフレームワークのID。`null`に設定すると、設定が解除されます。 |
| <a id="mutationprojectsetcomplianceframeworkprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | コンプライアンスフレームワークを変更するプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetcomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetcomplianceframeworkerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsetcomplianceframeworkproject"></a>`project` | [`Project`](#project) | 変異後のプロジェクト。 |

### `Mutation.projectSetContinuousVulnerabilityScanning`

指定されたプロジェクトの継続的脆弱性スキャンを有効または無効にします。

{{< details >}}GitLab 17.3で**非推奨**になりました。CVSが永続的に有効になりました。詳細については、[このエピック](https://gitlab.com/groups/gitlab-org/-/epics/11474)を参照してください。{{< /details >}}

入力型: `ProjectSetContinuousVulnerabilityScanningInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningenable"></a>`enable` | [`Boolean!`](#boolean) | 目的となる継続的脆弱性スキャン機能の状態。 |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningcontinuousvulnerabilityscanningenabled"></a>`continuousVulnerabilityScanningEnabled` | [`Boolean!`](#boolean) | 機能が有効かどうか。 |
| <a id="mutationprojectsetcontinuousvulnerabilityscanningerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectSetLocked`

入力型: `ProjectSetLockedInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetlockedfilepath"></a>`filePath` | [`String!`](#string) | ファイルのフルパス。 |
| <a id="mutationprojectsetlockedlock"></a>`lock` | [`Boolean!`](#boolean) | ファイルパスをロックするかどうか。 |
| <a id="mutationprojectsetlockedprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsetlockedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsetlockederrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsetlockedproject"></a>`project` | [`Project`](#project) | 変異後のプロジェクト。 |

### `Mutation.projectSettingsUpdate`

{{< details >}}GitLab 16.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProjectSettingsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsettingsupdateduofeaturesenabled"></a>`duoFeaturesEnabled` | [`Boolean!`](#boolean) | プロジェクトでGitLab Duo機能が有効かどうかを示します。 |
| <a id="mutationprojectsettingsupdatefullpath"></a>`fullPath` | [`ID!`](#id) | 設定が属するプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsettingsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsettingsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsettingsupdateprojectsettings"></a>`projectSettings` | [`ProjectSetting!`](#projectsetting) | 変異後のプロジェクト設定。 |

### `Mutation.projectSubscriptionCreate`

入力型: `ProjectSubscriptionCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsubscriptioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsubscriptioncreateprojectpath"></a>`projectPath` | [`String!`](#string) | プロジェクトサブスクリプションのダウンストリームプロジェクトのフルパス。 |
| <a id="mutationprojectsubscriptioncreateupstreampath"></a>`upstreamPath` | [`String!`](#string) | プロジェクトサブスクリプションのアップストリームプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsubscriptioncreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsubscriptioncreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsubscriptioncreatesubscription"></a>`subscription` | [`CiSubscriptionsProject`](#cisubscriptionsproject) | 変異によって作成されたプロジェクトサブスクリプション。 |

### `Mutation.projectSubscriptionDelete`

入力型: `ProjectSubscriptionDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsubscriptiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsubscriptiondeletesubscriptionid"></a>`subscriptionId` | [`CiSubscriptionsProjectID!`](#cisubscriptionsprojectid) | 削除するサブスクリプションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsubscriptiondeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsubscriptiondeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectsubscriptiondeleteproject"></a>`project` | [`Project`](#project) | 変異後のプロジェクト。 |

### `Mutation.projectSyncFork`

{{< details >}}GitLab 15.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ProjectSyncForkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsyncforkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsyncforkprojectpath"></a>`projectPath` | [`ID!`](#id) | 初期化するプロジェクトのフルパス。 |
| <a id="mutationprojectsyncforktargetbranch"></a>`targetBranch` | [`String!`](#string) | フェッチ先フォークのref。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectsyncforkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectsyncforkdetails"></a>`details` | [`ForkDetails`](#forkdetails) | 更新されたフォークの詳細。 |
| <a id="mutationprojectsyncforkerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectTargetBranchRuleCreate`

入力型: `ProjectTargetBranchRuleCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttargetbranchrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttargetbranchrulecreatename"></a>`name` | [`String!`](#string) | ターゲットブランチルールの名前。 |
| <a id="mutationprojecttargetbranchrulecreateprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | ターゲットブランチルールのプロジェクトID。 |
| <a id="mutationprojecttargetbranchrulecreatetargetbranch"></a>`targetBranch` | [`String!`](#string) | ターゲットブランチルールのターゲットブランチ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttargetbranchrulecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttargetbranchrulecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojecttargetbranchrulecreatetargetbranchrule"></a>`targetBranchRule` | [`ProjectTargetBranchRule`](#projecttargetbranchrule) | 変異後のターゲットブランチルール。 |

### `Mutation.projectTargetBranchRuleDestroy`

入力型: `ProjectTargetBranchRuleDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttargetbranchruledestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttargetbranchruledestroyid"></a>`id` | [`ProjectsTargetBranchRuleID!`](#projectstargetbranchruleid) | ターゲットブランチルールのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttargetbranchruledestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttargetbranchruledestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectTextReplace`

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `projectTextReplaceInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttextreplaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttextreplaceprojectpath"></a>`projectPath` | [`ID!`](#id) | 置き換えるプロジェクトのフルパス。 |
| <a id="mutationprojecttextreplacereplacements"></a>`replacements` | [`[String!]!`](#string) | プロジェクト全体で置換するテキストパターンのリスト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojecttextreplaceclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojecttextreplaceerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.projectUpdateComplianceFrameworks`

プロジェクトのコンプライアンスフレームワークを更新します。

入力型: `ProjectUpdateComplianceFrameworksInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectupdatecomplianceframeworksclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectupdatecomplianceframeworkscomplianceframeworkids"></a>`complianceFrameworkIds` | [`[ComplianceManagementFrameworkID!]!`](#compliancemanagementframeworkid) | プロジェクトで更新するコンプライアンスフレームワークのID。 |
| <a id="mutationprojectupdatecomplianceframeworksprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | コンプライアンスフレームワークを変更するプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprojectupdatecomplianceframeworksclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprojectupdatecomplianceframeworkserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprojectupdatecomplianceframeworksproject"></a>`project` | [`Project`](#project) | 変異後のプロジェクト。 |

### `Mutation.prometheusIntegrationCreate`

入力型: `PrometheusIntegrationCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationcreateactive"></a>`active` | [`Boolean!`](#boolean) | インテグレーションがアラートを受信しているかどうか。 |
| <a id="mutationprometheusintegrationcreateapiurl"></a>`apiUrl` | [`String`](#string) | Prometheusのクエリを実行できるエンドポイント。 |
| <a id="mutationprometheusintegrationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | インテグレーションを作成するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprometheusintegrationcreateintegration"></a>`integration` | [`AlertManagementPrometheusIntegration`](#alertmanagementprometheusintegration) | 新たに作成されたインテグレーション。 |

### `Mutation.prometheusIntegrationResetToken`

入力型: `PrometheusIntegrationResetTokenInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationresettokenclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationresettokenid"></a>`id` | [`IntegrationsPrometheusID!`](#integrationsprometheusid) | 変異対象のインテグレーションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationresettokenclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationresettokenerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprometheusintegrationresettokenintegration"></a>`integration` | [`AlertManagementPrometheusIntegration`](#alertmanagementprometheusintegration) | 新たに作成されたインテグレーション。 |

### `Mutation.prometheusIntegrationUpdate`

入力型: `PrometheusIntegrationUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationupdateactive"></a>`active` | [`Boolean`](#boolean) | インテグレーションがアラートを受信しているかどうか。 |
| <a id="mutationprometheusintegrationupdateapiurl"></a>`apiUrl` | [`String`](#string) | Prometheusのクエリを実行できるエンドポイント。 |
| <a id="mutationprometheusintegrationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationupdateid"></a>`id` | [`IntegrationsPrometheusID!`](#integrationsprometheusid) | 変異対象のインテグレーションのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationprometheusintegrationupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationprometheusintegrationupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationprometheusintegrationupdateintegration"></a>`integration` | [`AlertManagementPrometheusIntegration`](#alertmanagementprometheusintegration) | 新たに作成されたインテグレーション。 |

### `Mutation.promoteToEpic`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `PromoteToEpicInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpromotetoepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpromotetoepicgrouppath"></a>`groupPath` | [`ID`](#id) | プロモート後のエピックが属するグループ。 |
| <a id="mutationpromotetoepiciid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationpromotetoepicprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationpromotetoepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationpromotetoepicepic"></a>`epic` | [`Epic`](#epic) | イシュープロモーション後のエピック。 |
| <a id="mutationpromotetoepicerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationpromotetoepicissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.refreshStandardsAdherenceChecks`

入力型: `RefreshStandardsAdherenceChecksInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrefreshstandardsadherencechecksclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrefreshstandardsadherencechecksgrouppath"></a>`groupPath` | [`ID!`](#id) | グループパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrefreshstandardsadherencechecksadherencechecksstatus"></a>`adherenceChecksStatus` | [`StandardsAdherenceChecksStatus`](#standardsadherencechecksstatus) | 標準準拠チェックの進行状況。 |
| <a id="mutationrefreshstandardsadherencechecksclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrefreshstandardsadherencecheckserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.releaseAssetLinkCreate`

入力型: `ReleaseAssetLinkCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkcreatedirectassetpath"></a>`directAssetPath` | [`String`](#string) | ダイレクトアセットリンクの相対パス。 |
| <a id="mutationreleaseassetlinkcreatelinktype"></a>`linkType` | [`ReleaseAssetLinkType`](#releaseassetlinktype) | アセットリンクのタイプ。 |
| <a id="mutationreleaseassetlinkcreatename"></a>`name` | [`String!`](#string) | アセットリンクの名前。 |
| <a id="mutationreleaseassetlinkcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | アセットリンクが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationreleaseassetlinkcreatetagname"></a>`tagName` | [`String!`](#string) | 関連付けられているリリースのタグの名前。 |
| <a id="mutationreleaseassetlinkcreateurl"></a>`url` | [`String!`](#string) | アセットリンクのURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleaseassetlinkcreatelink"></a>`link` | [`ReleaseAssetLink`](#releaseassetlink) | 変異後のアセットリンク。 |

### `Mutation.releaseAssetLinkDelete`

入力型: `ReleaseAssetLinkDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkdeleteid"></a>`id` | [`ReleasesLinkID!`](#releaseslinkid) | 削除するリリースアセットリンクのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleaseassetlinkdeletelink"></a>`link` | [`ReleaseAssetLink`](#releaseassetlink) | 削除されたリリースアセットリンク。 |

### `Mutation.releaseAssetLinkUpdate`

入力型: `ReleaseAssetLinkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkupdatedirectassetpath"></a>`directAssetPath` | [`String`](#string) | ダイレクトアセットリンクの相対パス。 |
| <a id="mutationreleaseassetlinkupdateid"></a>`id` | [`ReleasesLinkID!`](#releaseslinkid) | 更新するリリースアセットリンクのID。 |
| <a id="mutationreleaseassetlinkupdatelinktype"></a>`linkType` | [`ReleaseAssetLinkType`](#releaseassetlinktype) | アセットリンクのタイプ。 |
| <a id="mutationreleaseassetlinkupdatename"></a>`name` | [`String`](#string) | アセットリンクの名前。 |
| <a id="mutationreleaseassetlinkupdateurl"></a>`url` | [`String`](#string) | アセットリンクのURL。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseassetlinkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseassetlinkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleaseassetlinkupdatelink"></a>`link` | [`ReleaseAssetLink`](#releaseassetlink) | 変異後のアセットリンク。 |

### `Mutation.releaseCreate`

入力型: `ReleaseCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleasecreateassets"></a>`assets` | [`ReleaseAssetsInput`](#releaseassetsinput) | リリースに関連付けられているアセット。 |
| <a id="mutationreleasecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleasecreatedescription"></a>`description` | [`String`](#string) | リリースの説明（「リリースノート」）。 |
| <a id="mutationreleasecreatemilestones"></a>`milestones` | [`[String!]`](#string) | リリースに関連付けられている各マイルストーンのタイトル。GitLab Premiumのお客様は、グループマイルストーンを指定できます。 |
| <a id="mutationreleasecreatename"></a>`name` | [`String`](#string) | リリースの名前。 |
| <a id="mutationreleasecreateprojectpath"></a>`projectPath` | [`ID!`](#id) | リリースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationreleasecreateref"></a>`ref` | [`String`](#string) | 新しいタグの作成時に使用するコミットSHAまたはブランチ名。 |
| <a id="mutationreleasecreatereleasedat"></a>`releasedAt` | [`Time`](#time) | リリースの日時。デフォルトは現在の時刻です。ISO 8601形式で指定します（`2019-03-15T08:00:00Z`）。このフィールドは、今後のリリースまたは過去のリリースを作成する場合のみ指定します。 |
| <a id="mutationreleasecreatetagmessage"></a>`tagMessage` | [`String`](#string) | 新しい注釈付きタグを作成する場合に使用するメッセージ。 |
| <a id="mutationreleasecreatetagname"></a>`tagName` | [`String!`](#string) | リリースに関連付けるタグの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleasecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleasecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleasecreaterelease"></a>`release` | [`Release`](#release) | 変異後のリリース。 |

### `Mutation.releaseDelete`

入力型: `ReleaseDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleasedeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleasedeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | リリースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationreleasedeletetagname"></a>`tagName` | [`String!`](#string) | 削除するリリースに関連付けられているタグの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleasedeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleasedeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleasedeleterelease"></a>`release` | [`Release`](#release) | 削除されたリリース。 |

### `Mutation.releaseUpdate`

入力型: `ReleaseUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseupdatedescription"></a>`description` | [`String`](#string) | リリースの説明（リリースノート）。 |
| <a id="mutationreleaseupdatemilestones"></a>`milestones` | [`[String!]`](#string) | リリースに関連付けられている各マイルストーンのタイトル。GitLab Premiumのお客様は、グループマイルストーンを指定できます。 |
| <a id="mutationreleaseupdatename"></a>`name` | [`String`](#string) | リリースの名前。 |
| <a id="mutationreleaseupdateprojectpath"></a>`projectPath` | [`ID!`](#id) | リリースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationreleaseupdatereleasedat"></a>`releasedAt` | [`Time`](#time) | リリース日。 |
| <a id="mutationreleaseupdatetagname"></a>`tagName` | [`String!`](#string) | リリースに関連付けられているタグの名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationreleaseupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationreleaseupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationreleaseupdaterelease"></a>`release` | [`Release`](#release) | 変異後のリリース。 |

### `Mutation.removeProjectFromSecurityDashboard`

入力型: `RemoveProjectFromSecurityDashboardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationremoveprojectfromsecuritydashboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationremoveprojectfromsecuritydashboardid"></a>`id` | [`ProjectID!`](#projectid) | インスタンスセキュリティダッシュボードから削除するプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationremoveprojectfromsecuritydashboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationremoveprojectfromsecuritydashboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.repositionImageDiffNote`

イメージ上のDiffNote（`position.positionType`が`"image"`の場合の`Note`）の位置を変更します。

入力型: `RepositionImageDiffNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrepositionimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrepositionimagediffnoteid"></a>`id` | [`DiffNoteID!`](#diffnoteid) | 更新するDiffNoteのグローバルID。 |
| <a id="mutationrepositionimagediffnoteposition"></a>`position` | [`UpdateDiffImagePositionInput!`](#updatediffimagepositioninput) | 差分に関するノートの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrepositionimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrepositionimagediffnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationrepositionimagediffnotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationrepositionimagediffnotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.restorePagesDeployment`

削除がスケジュールされているPagesデプロイを復元します。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `RestorePagesDeploymentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrestorepagesdeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrestorepagesdeploymentid"></a>`id` | [`PagesDeploymentID!`](#pagesdeploymentid) | PagesデプロイのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrestorepagesdeploymentclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrestorepagesdeploymenterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationrestorepagesdeploymentpagesdeployment"></a>`pagesDeployment` | [`PagesDeployment!`](#pagesdeployment) | 復元されたPagesデプロイ。 |

### `Mutation.runnerCacheClear`

入力型: `RunnerCacheClearInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnercacheclearclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnercacheclearprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | RunnerキャッシュをクリアするプロジェクトのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnercacheclearclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnercacheclearerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.runnerCreate`

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `RunnerCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnercreateaccesslevel"></a>`accessLevel` | [`CiRunnerAccessLevel`](#cirunneraccesslevel) | Runnerのアクセスレベル。 |
| <a id="mutationrunnercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnercreatedescription"></a>`description` | [`String`](#string) | Runnerの説明。 |
| <a id="mutationrunnercreategroupid"></a>`groupId` | [`GroupID`](#groupid) | Runnerを作成するグループのグローバルID（グループRunnerの場合のみ有効）。 |
| <a id="mutationrunnercreatelocked"></a>`locked` | [`Boolean`](#boolean) | Runnerがロックされていることを示します。 |
| <a id="mutationrunnercreatemaintenancenote"></a>`maintenanceNote` | [`String`](#string) | Runnerのメンテナンスノート。 |
| <a id="mutationrunnercreatemaximumtimeout"></a>`maximumTimeout` | [`Int`](#int) | Runnerが処理するジョブの最大タイムアウト（秒単位）。 |
| <a id="mutationrunnercreatepaused"></a>`paused` | [`Boolean`](#boolean) | Runnerによるジョブ受信が許可されていないことを示します。 |
| <a id="mutationrunnercreateprivateprojectsminutescostfactor"></a>`privateProjectsMinutesCostFactor` {{< icon name="warning-solid" >}} | [`Float`](#float) | **非推奨: ****状態**: 実験。GitLab 17.7で導入。 |
| <a id="mutationrunnercreateprojectid"></a>`projectId` | [`ProjectID`](#projectid) | Runnerを作成するプロジェクトのグローバルID（プロジェクトRunnerの場合のみ有効）。 |
| <a id="mutationrunnercreatepublicprojectsminutescostfactor"></a>`publicProjectsMinutesCostFactor` {{< icon name="warning-solid" >}} | [`Float`](#float) | **非推奨: ****状態**: 実験。GitLab 17.7で導入。 |
| <a id="mutationrunnercreaterununtagged"></a>`runUntagged` | [`Boolean`](#boolean) | Runnerがタグなしジョブを実行できることを示します。 |
| <a id="mutationrunnercreaterunnertype"></a>`runnerType` | [`CiRunnerType!`](#cirunnertype) | 作成するRunnerのタイプ。 |
| <a id="mutationrunnercreatetaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連付けられているタグ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnercreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnercreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationrunnercreaterunner"></a>`runner` | [`CiRunner`](#cirunner) | 変異後のRunner。 |

### `Mutation.runnerDelete`

入力型: `RunnerDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnerdeleteid"></a>`id` | [`CiRunnerID!`](#cirunnerid) | 削除するRunnerのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnerdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnerdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.runnerUpdate`

入力型: `RunnerUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnerupdateaccesslevel"></a>`accessLevel` | [`CiRunnerAccessLevel`](#cirunneraccesslevel) | Runnerのアクセスレベル。 |
| <a id="mutationrunnerupdateactive"></a>`active` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | **非推奨: **名前が変更されました。`paused`を使用してください。GitLab 14.8で非推奨になりました。 |
| <a id="mutationrunnerupdateassociatedprojects"></a>`associatedProjects` | [`[ProjectID!]`](#projectid) | Runnerに関連付けられているプロジェクト。プロジェクトRunnerでのみ利用可能です。 |
| <a id="mutationrunnerupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnerupdatedescription"></a>`description` | [`String`](#string) | Runnerの説明。 |
| <a id="mutationrunnerupdateid"></a>`id` | [`CiRunnerID!`](#cirunnerid) | 更新するRunnerのID。 |
| <a id="mutationrunnerupdatelocked"></a>`locked` | [`Boolean`](#boolean) | Runnerがロックされていることを示します。 |
| <a id="mutationrunnerupdatemaintenancenote"></a>`maintenanceNote` | [`String`](#string) | Runnerのメンテナンスノート。 |
| <a id="mutationrunnerupdatemaximumtimeout"></a>`maximumTimeout` | [`Int`](#int) | Runnerが処理するジョブの最大タイムアウト（秒単位）。 |
| <a id="mutationrunnerupdatepaused"></a>`paused` | [`Boolean`](#boolean) | Runnerによるジョブ受信が許可されていないことを示します。 |
| <a id="mutationrunnerupdateprivateprojectsminutescostfactor"></a>`privateProjectsMinutesCostFactor` {{< icon name="warning-solid" >}} | [`Float`](#float) | **非推奨: ****状態**: 実験。GitLab 17.7で導入。 |
| <a id="mutationrunnerupdatepublicprojectsminutescostfactor"></a>`publicProjectsMinutesCostFactor` {{< icon name="warning-solid" >}} | [`Float`](#float) | **非推奨: ****状態**: 実験。GitLab 17.7で導入。 |
| <a id="mutationrunnerupdaterununtagged"></a>`runUntagged` | [`Boolean`](#boolean) | Runnerがタグなしジョブを実行できることを示します。 |
| <a id="mutationrunnerupdatetaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連付けられているタグ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnerupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnerupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationrunnerupdaterunner"></a>`runner` | [`CiRunner`](#cirunner) | 変異後のRunner。 |

### `Mutation.runnersExportUsage`

入力型: `RunnersExportUsageInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnersexportusageclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnersexportusagefromdate"></a>`fromDate` | [`ISO8601Date`](#iso8601date) | レポート期間のUTC開始日。デフォルトは、前月の開始日です。 |
| <a id="mutationrunnersexportusagefullpath"></a>`fullPath` | [`ID`](#id) | ジョブを、その属するグループまたはプロジェクトのフルパスでフィルタリングします。例: `gitlab-org`や`gitlab-org/gitlab`など。これを使用できるのは、管理者と、グループ（グループが指定されている場合）またはプロジェクト（プロジェクトが指定されている場合）のメンテナーロールを付与されているユーザーだけです。最大5000個の子プロジェクトからのRunnerという制限があります。 |
| <a id="mutationrunnersexportusagemaxprojectcount"></a>`maxProjectCount` | [`Int`](#int) | 返すプロジェクトの最大数。その他すべてのRunnerの使用状況は、`<Other projects>`エントリに起因します。デフォルトはプロジェクト1000個です。 |
| <a id="mutationrunnersexportusagerunnertype"></a>`runnerType` | [`CiRunnerType`](#cirunnertype) | レポートに含めるRunnerのスコープ。 |
| <a id="mutationrunnersexportusagetodate"></a>`toDate` | [`ISO8601Date`](#iso8601date) | レポート期間のUTC終了日。デフォルトは、`fromDate`で指定された月の月末です。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnersexportusageclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnersexportusageerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.runnersRegistrationTokenReset`

{{< details >}}GitLab 17.7で**非推奨**になりました。基盤となる機能は15.6で非推奨となりました。それは18.0で削除される予定です。{{< /details >}}

入力型: `RunnersRegistrationTokenResetInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnersregistrationtokenresetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnersregistrationtokenresetid"></a>`id` | [`ID`](#id) | トークンをリセットするプロジェクトまたはグループのID。インスタンスRunnerトークンをリセットする場合は省略してください。 |
| <a id="mutationrunnersregistrationtokenresettype"></a>`type` | [`CiRunnerType!`](#cirunnertype) | トークンをリセットするオブジェクトのスコープ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationrunnersregistrationtokenresetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationrunnersregistrationtokenreseterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationrunnersregistrationtokenresettoken"></a>`token` | [`String`](#string) | 変異後のRunnerトークン。 |

### `Mutation.savedReplyCreate`

入力型: `SavedReplyCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplycreatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationsavedreplycreatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplycreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsavedreplycreatesavedreply"></a>`savedReply` | [`SavedReply`](#savedreply) | 変異後の保存済み返信。 |

### `Mutation.savedReplyDestroy`

入力型: `SavedReplyDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplydestroyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | ユーザー保存済み返信のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplydestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplydestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsavedreplydestroysavedreply"></a>`savedReply` | [`SavedReply`](#savedreply) | 変異後の保存済み返信。 |

### `Mutation.savedReplyUpdate`

入力型: `SavedReplyUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplyupdatecontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="mutationsavedreplyupdateid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | ユーザー保存済み返信のグローバルID。 |
| <a id="mutationsavedreplyupdatename"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsavedreplyupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsavedreplyupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsavedreplyupdatesavedreply"></a>`savedReply` | [`SavedReply`](#savedreply) | 変異後の保存済み返信。 |

### `Mutation.scanExecutionPolicyCommit`

`policy_yaml`のコンテンツを、指定されたプロジェクト（`full_path`）で割り当てられているセキュリティポリシープロジェクトにコミットします。

入力型: `ScanExecutionPolicyCommitInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationscanexecutionpolicycommitclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationscanexecutionpolicycommitfullpath"></a>`fullPath` | [`String`](#string) | プロジェクトのフルパス。 |
| <a id="mutationscanexecutionpolicycommitname"></a>`name` | [`String!`](#string) | ポリシーの名前。名前がnullの場合、`policy_yaml`の`name`フィールドが使用されます。 |
| <a id="mutationscanexecutionpolicycommitoperationmode"></a>`operationMode` | [`MutationOperationMode!`](#mutationoperationmode) | 操作モードを変更します。 |
| <a id="mutationscanexecutionpolicycommitpolicyyaml"></a>`policyYaml` | [`String!`](#string) | ポリシーのYAMLスニペット。 |
| <a id="mutationscanexecutionpolicycommitprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **`fullPath`を使用してください。GitLab 14.10で非推奨になりました。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationscanexecutionpolicycommitbranch"></a>`branch` | [`String`](#string) | ポリシーの変更のコミット先ブランチの名前。 |
| <a id="mutationscanexecutionpolicycommitclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationscanexecutionpolicycommiterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationscanexecutionpolicycommitvalidationerrors"></a>`validationErrors` | [`[SecurityPolicyValidationError!]`](#securitypolicyvalidationerror) | 変異の実行中に発生した検証エラー。 |

### `Mutation.securityFindingCreateIssue`

入力型: `SecurityFindingCreateIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreateissueproject"></a>`project` | [`ProjectID!`](#projectid) | イシューのアタッチ先プロジェクトのID。 |
| <a id="mutationsecurityfindingcreateissueuuid"></a>`uuid` | [`String!`](#string) | イシューの作成に使用されるセキュリティ検出のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreateissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingcreateissueissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |

### `Mutation.securityFindingCreateMergeRequest`

入力型: `SecurityFindingCreateMergeRequestInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreatemergerequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreatemergerequestuuid"></a>`uuid` | [`String!`](#string) | マージリクエストの作成に使用されるセキュリティ検出のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreatemergerequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreatemergerequesterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingcreatemergerequestmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 変異後に作成されたマージリクエスト。 |

### `Mutation.securityFindingCreateVulnerability`

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

入力型: `SecurityFindingCreateVulnerabilityInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreatevulnerabilityclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreatevulnerabilityuuid"></a>`uuid` | [`String!`](#string) | 脆弱性の作成に使用されるセキュリティ検出のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingcreatevulnerabilityclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingcreatevulnerabilityerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingcreatevulnerabilityvulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 変異後に作成された脆弱性。 |

### `Mutation.securityFindingDismiss`

入力型: `SecurityFindingDismissInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingdismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingdismisscomment"></a>`comment` | [`String`](#string) | 発見を無視する理由についてのコメント。 |
| <a id="mutationsecurityfindingdismissdismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | 発見を無視する理由。 |
| <a id="mutationsecurityfindingdismissuuid"></a>`uuid` | [`String!`](#string) | 無視する発見のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingdismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingdismisserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingdismisssecurityfinding"></a>`securityFinding` | [`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding) | 無視された発見。 |
| <a id="mutationsecurityfindingdismissuuid"></a>`uuid` | [`String`](#string) | 無視された発見のUUID。 |

### `Mutation.securityFindingRevertToDetected`

入力型: `SecurityFindingRevertToDetectedInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingreverttodetectedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingreverttodetectedcomment"></a>`comment` | [`String`](#string) | 発見をリバートして検出された状態に戻した理由を説明するコメント。 |
| <a id="mutationsecurityfindingreverttodetecteduuid"></a>`uuid` | [`String!`](#string) | 無視する発見のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingreverttodetectedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingreverttodetectederrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingreverttodetectedsecurityfinding"></a>`securityFinding` | [`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding) | リバートされて検出された状態に戻された発見。 |

### `Mutation.securityFindingSeverityOverride`

入力型: `SecurityFindingSeverityOverrideInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingseverityoverrideclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingseverityoverrideseverity"></a>`severity` | [`VulnerabilitySeverity!`](#vulnerabilityseverity) | 発見の新しい重大度値。 |
| <a id="mutationsecurityfindingseverityoverrideuuid"></a>`uuid` | [`String!`](#string) | 変更する発見のUUID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecurityfindingseverityoverrideclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecurityfindingseverityoverrideerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecurityfindingseverityoverridesecurityfinding"></a>`securityFinding` | [`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding) | 重大度が変更された発見。 |

### `Mutation.securityPolicyProjectAssign`

指定されたプロジェクト（`security_policy_project_id`）を、指定されたプロジェクト（`full_path`）のセキュリティポリシープロジェクトとして割り当てます。プロジェクトにすでにセキュリティポリシープロジェクトがある場合、指定された`security_policy_project_id`のプロジェクトのセキュリティポリシープロジェクトを再割り当てします。

入力型: `SecurityPolicyProjectAssignInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectassignfullpath"></a>`fullPath` | [`String`](#string) | プロジェクトまたはグループのフルパス。 |
| <a id="mutationsecuritypolicyprojectassignprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **`fullPath`を使用してください。GitLab 14.10で非推奨になりました。 |
| <a id="mutationsecuritypolicyprojectassignsecuritypolicyprojectid"></a>`securityPolicyProjectId` | [`ProjectID!`](#projectid) | セキュリティポリシープロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectassignerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.securityPolicyProjectCreate`

指定されたプロジェクトまたはグループ（`full_path`）のセキュリティポリシープロジェクトを作成して割り当てます。

入力型: `SecurityPolicyProjectCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectcreatefullpath"></a>`fullPath` | [`String`](#string) | プロジェクトまたはグループのフルパス。 |
| <a id="mutationsecuritypolicyprojectcreateprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **`fullPath`を使用してください。GitLab 14.10で非推奨になりました。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecuritypolicyprojectcreateproject"></a>`project` | [`Project`](#project) | 作成されたセキュリティポリシープロジェクト。 |

### `Mutation.securityPolicyProjectCreateAsync`

**状態: **実験。指定されたプロジェクトまたはグループ（`full_path`）のセキュリティポリシープロジェクトを非同期で作成して割り当てます。

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `SecurityPolicyProjectCreateAsyncInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectcreateasyncclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectcreateasyncfullpath"></a>`fullPath` | [`String!`](#string) | プロジェクトまたはグループのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectcreateasyncclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectcreateasyncerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.securityPolicyProjectUnassign`

指定されたプロジェクト（`full_path`）のセキュリティポリシープロジェクトの割り当てを解除します。

入力型: `SecurityPolicyProjectUnassignInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectunassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectunassignfullpath"></a>`fullPath` | [`String`](#string) | プロジェクトまたはグループのフルパス。 |
| <a id="mutationsecuritypolicyprojectunassignprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **`fullPath`を使用してください。GitLab 14.10で非推奨になりました。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritypolicyprojectunassignclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritypolicyprojectunassignerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.securityTrainingUpdate`

入力型: `SecurityTrainingUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritytrainingupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritytrainingupdateisenabled"></a>`isEnabled` | [`Boolean!`](#boolean) | プロジェクトでトレーニングプロバイダーを有効として設定します。 |
| <a id="mutationsecuritytrainingupdateisprimary"></a>`isPrimary` | [`Boolean`](#boolean) | プロジェクトでトレーニングプロバイダーをプライマリとして設定します。 |
| <a id="mutationsecuritytrainingupdateprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="mutationsecuritytrainingupdateproviderid"></a>`providerId` | [`SecurityTrainingProviderID!`](#securitytrainingproviderid) | プロバイダーのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsecuritytrainingupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsecuritytrainingupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsecuritytrainingupdatetraining"></a>`training` | [`ProjectSecurityTraining`](#projectsecuritytraining) | 変異の対象となるトレーニングエンティティを表します。 |

### `Mutation.setContainerScanningForRegistry`

指定されたプロジェクトのコンテナレジストリでのコンテナスキャンを有効/無効にします。

入力型: `SetContainerScanningForRegistryInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetcontainerscanningforregistryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetcontainerscanningforregistryenable"></a>`enable` | [`Boolean!`](#boolean) | 目的とするコンテナレジストリ機能でのコンテナスキャンの状態。 |
| <a id="mutationsetcontainerscanningforregistrynamespacepath"></a>`namespacePath` | [`ID!`](#id) | ネームスペース（プロジェクト）のフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetcontainerscanningforregistryclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetcontainerscanningforregistrycontainerscanningforregistryenabled"></a>`containerScanningForRegistryEnabled` | [`Boolean`](#boolean) | 機能が有効かどうか。 |
| <a id="mutationsetcontainerscanningforregistryerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.setGroupSecretPushProtection`

グループのシークレットプッシュ保護を有効または無効にします。

入力型: `SetGroupSecretPushProtectionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetgroupsecretpushprotectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetgroupsecretpushprotectionnamespacepath"></a>`namespacePath` | [`ID!`](#id) | グループのフルパス。 |
| <a id="mutationsetgroupsecretpushprotectionprojectstoexclude"></a>`projectsToExclude` | [`[Int!]`](#int) | 機能から除外するプロジェクトのID。 |
| <a id="mutationsetgroupsecretpushprotectionsecretpushprotectionenabled"></a>`secretPushProtectionEnabled` | [`Boolean!`](#boolean) | 機能を有効にするかどうか。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetgroupsecretpushprotectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetgroupsecretpushprotectionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.setPreReceiveSecretDetection`

特定のプロジェクトのシークレットプッシュ保護を有効/無効にします。

入力型: `SetPreReceiveSecretDetectionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetprereceivesecretdetectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetprereceivesecretdetectionenable"></a>`enable` | [`Boolean!`](#boolean) | 目的とするシークレットプッシュ保護機能の状態。 |
| <a id="mutationsetprereceivesecretdetectionnamespacepath"></a>`namespacePath` | [`ID!`](#id) | ネームスペース（プロジェクト）のフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetprereceivesecretdetectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetprereceivesecretdetectionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsetprereceivesecretdetectionprereceivesecretdetectionenabled"></a>`preReceiveSecretDetectionEnabled` | [`Boolean`](#boolean) | 機能が有効かどうか。 |
| <a id="mutationsetprereceivesecretdetectionsecretpushprotectionenabled"></a>`secretPushProtectionEnabled` | [`Boolean`](#boolean) | 機能が有効かどうか。 |

### `Mutation.setSecretPushProtection`

特定のプロジェクトのシークレットプッシュ保護を有効/無効にします。

入力型: `SetSecretPushProtectionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetsecretpushprotectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetsecretpushprotectionenable"></a>`enable` | [`Boolean!`](#boolean) | 目的とするシークレットプッシュ保護機能の状態。 |
| <a id="mutationsetsecretpushprotectionnamespacepath"></a>`namespacePath` | [`ID!`](#id) | ネームスペース（プロジェクト）のフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationsetsecretpushprotectionclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationsetsecretpushprotectionerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationsetsecretpushprotectionprereceivesecretdetectionenabled"></a>`preReceiveSecretDetectionEnabled` | [`Boolean`](#boolean) | 機能が有効かどうか。 |
| <a id="mutationsetsecretpushprotectionsecretpushprotectionenabled"></a>`secretPushProtectionEnabled` | [`Boolean`](#boolean) | 機能が有効かどうか。 |

### `Mutation.starProject`

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `StarProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationstarprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationstarprojectprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | お気に入り登録またはスター解除するプロジェクトのフルパス。 |
| <a id="mutationstarprojectstarred"></a>`starred` | [`Boolean!`](#boolean) | プロジェクトをお気に入り登録するか、スター解除するかを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationstarprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationstarprojectcount"></a>`count` | [`String!`](#string) | プロジェクトの星の数。 |
| <a id="mutationstarprojecterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.tagCreate`

入力型: `TagCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtagcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtagcreatemessage"></a>`message` | [`String`](#string) | タグ付けメッセージ。 |
| <a id="mutationtagcreatename"></a>`name` | [`String!`](#string) | タグの名前。 |
| <a id="mutationtagcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationtagcreateref"></a>`ref` | [`String!`](#string) | タグの作成元となるタグ名またはコミットSHA。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtagcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtagcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtagcreatetag"></a>`tag` | [`Tag`](#tag) | 変異後のタグ。 |

### `Mutation.tagDelete`

入力型: `TagDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtagdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtagdeletename"></a>`name` | [`String!`](#string) | タグの名前。 |
| <a id="mutationtagdeleteprojectpath"></a>`projectPath` | [`ID!`](#id) | ブランチが関連付けられているプロジェクトのフルパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtagdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtagdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtagdeletetag"></a>`tag` | [`Tag`](#tag) | 変異後のタグ。 |

### `Mutation.terraformStateDelete`

入力型: `TerraformStateDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstatedeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstatedeleteid"></a>`id` | [`TerraformStateID!`](#terraformstateid) | Terraform状態のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstatedeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstatedeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.terraformStateLock`

入力型: `TerraformStateLockInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstatelockclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstatelockid"></a>`id` | [`TerraformStateID!`](#terraformstateid) | Terraform状態のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstatelockclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstatelockerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.terraformStateUnlock`

入力型: `TerraformStateUnlockInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstateunlockclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstateunlockid"></a>`id` | [`TerraformStateID!`](#terraformstateid) | Terraform状態のグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationterraformstateunlockclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationterraformstateunlockerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.timelineEventCreate`

{{< details >}}GitLab 15.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TimelineEventCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventcreateincidentid"></a>`incidentId` | [`IssueID!`](#issueid) | タイムラインイベントのインシデントID。 |
| <a id="mutationtimelineeventcreatenote"></a>`note` | [`String!`](#string) | タイムラインイベントのテキストノート。 |
| <a id="mutationtimelineeventcreateoccurredat"></a>`occurredAt` | [`Time!`](#time) | イベント発生時点のタイムスタンプ。 |
| <a id="mutationtimelineeventcreatetimelineeventtagnames"></a>`timelineEventTagNames` | [`[String!]`](#string) | インシデントタイムラインイベントのタグ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelineeventcreatetimelineevent"></a>`timelineEvent` | [`TimelineEventType`](#timelineeventtype) | タイムラインイベント。 |

### `Mutation.timelineEventDestroy`

入力型: `TimelineEventDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventdestroyid"></a>`id` | [`IncidentManagementTimelineEventID!`](#incidentmanagementtimelineeventid) | 削除するタイムラインイベントID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelineeventdestroytimelineevent"></a>`timelineEvent` | [`TimelineEventType`](#timelineeventtype) | タイムラインイベント。 |

### `Mutation.timelineEventPromoteFromNote`

入力型: `TimelineEventPromoteFromNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventpromotefromnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventpromotefromnotenoteid"></a>`noteId` | [`NoteID!`](#noteid) | タイムラインイベントのプロモート元のノートID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventpromotefromnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventpromotefromnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelineeventpromotefromnotetimelineevent"></a>`timelineEvent` | [`TimelineEventType`](#timelineeventtype) | タイムラインイベント。 |

### `Mutation.timelineEventTagCreate`

入力型: `TimelineEventTagCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventtagcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventtagcreatename"></a>`name` | [`String!`](#string) | タグの名前。 |
| <a id="mutationtimelineeventtagcreateprojectpath"></a>`projectPath` | [`ID!`](#id) | タイムラインイベントタグを作成するプロジェクト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventtagcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventtagcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelineeventtagcreatetimelineeventtag"></a>`timelineEventTag` | [`TimelineEventTagType`](#timelineeventtagtype) | タイムラインイベントタグ。 |

### `Mutation.timelineEventUpdate`

入力型: `TimelineEventUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventupdateid"></a>`id` | [`IncidentManagementTimelineEventID!`](#incidentmanagementtimelineeventid) | 更新するタイムラインイベントのID。 |
| <a id="mutationtimelineeventupdatenote"></a>`note` | [`String`](#string) | タイムラインイベントのテキストノート。 |
| <a id="mutationtimelineeventupdateoccurredat"></a>`occurredAt` | [`Time`](#time) | イベント発生時点のタイムスタンプ。 |
| <a id="mutationtimelineeventupdatetimelineeventtagnames"></a>`timelineEventTagNames` | [`[String!]`](#string) | インシデントタイムラインイベントのタグ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelineeventupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelineeventupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelineeventupdatetimelineevent"></a>`timelineEvent` | [`TimelineEventType`](#timelineeventtype) | タイムラインイベント。 |

### `Mutation.timelogCreate`

入力型: `TimelogCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelogcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelogcreateissuableid"></a>`issuableId` | [`IssuableID!`](#issuableid) | イシュー可能オブジェクト（Issue、WorkItem、またはMergeRequest）のグローバルID。 |
| <a id="mutationtimelogcreatespentat"></a>`spentAt` | [`Time`](#time) | 時間消費時点のタイムスタンプ。空の場合、デフォルトは現在時刻です。 |
| <a id="mutationtimelogcreatesummary"></a>`summary` | [`String!`](#string) | 消費した時間の概要。 |
| <a id="mutationtimelogcreatetimespent"></a>`timeSpent` | [`String!`](#string) | 消費した時間。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelogcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelogcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelogcreatetimelog"></a>`timelog` | [`Timelog`](#timelog) | 時間ログ。 |

### `Mutation.timelogDelete`

入力型: `TimelogDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelogdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelogdeleteid"></a>`id` | [`TimelogID!`](#timelogid) | 時間ログのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtimelogdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtimelogdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtimelogdeletetimelog"></a>`timelog` | [`Timelog`](#timelog) | 時間ログ。 |

### `Mutation.todoCreate`

入力型: `TodoCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodocreatetargetid"></a>`targetId` | [`TodoableID!`](#todoableid) | To Doアイテムの親のグローバルID。イシュー、マージリクエスト、デザイン、およびエピックがサポートされています。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodocreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodocreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodocreatetodo"></a>`todo` | [`Todo`](#todo) | 作成されたTo Doアイテム。 |

### `Mutation.todoDeleteMany`

{{< details >}}GitLab 17.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoDeleteManyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtododeletemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtododeletemanyids"></a>`ids` | [`[TodoID!]!`](#todoid) | 処理するto-doアイテムのグローバルID（一度に最大100個までサポート）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtododeletemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtododeletemanyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.todoMarkDone`

入力型: `TodoMarkDoneInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodomarkdoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodomarkdoneid"></a>`id` | [`TodoID!`](#todoid) | 完了としてマークするTo DoアイテムのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodomarkdoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodomarkdoneerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodomarkdonetodo"></a>`todo` | [`Todo!`](#todo) | リクエストされたTo Doアイテム。 |

### `Mutation.todoResolveMany`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoResolveManyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodoresolvemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodoresolvemanyids"></a>`ids` | [`[TodoID!]!`](#todoid) | 処理するto-doアイテムのグローバルID（一度に最大100個までサポート）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodoresolvemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodoresolvemanyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodoresolvemanytodos"></a>`todos` | [`[Todo!]!`](#todo) | 解決済みのto-doアイテム。 |

### `Mutation.todoRestore`

入力型: `TodoRestoreInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodorestoreclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodorestoreid"></a>`id` | [`TodoID!`](#todoid) | 復元するTo DoアイテムのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodorestoreclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodorestoreerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodorestoretodo"></a>`todo` | [`Todo!`](#todo) | リクエストされたTo Doアイテム。 |

### `Mutation.todoRestoreMany`

入力型: `TodoRestoreManyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodorestoremanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodorestoremanyids"></a>`ids` | [`[TodoID!]!`](#todoid) | 処理するto-doアイテムのグローバルID（一度に最大100個までサポート）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodorestoremanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodorestoremanyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodorestoremanytodos"></a>`todos` | [`[Todo!]!`](#todo) | 復元されたto-doアイテム。 |

### `Mutation.todoSnooze`

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoSnoozeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosnoozeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosnoozeid"></a>`id` | [`TodoID!`](#todoid) | スヌーズするTo DoアイテムのグローバルID。 |
| <a id="mutationtodosnoozesnoozeuntil"></a>`snoozeUntil` | [`Time!`](#time) | todoをスヌーズするまでの時間。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosnoozeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosnoozeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodosnoozetodo"></a>`todo` | [`Todo!`](#todo) | リクエストされたTo Doアイテム。 |

### `Mutation.todoSnoozeMany`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoSnoozeManyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosnoozemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosnoozemanyids"></a>`ids` | [`[TodoID!]!`](#todoid) | 処理するto-doアイテムのグローバルID（一度に最大100個までサポート）。 |
| <a id="mutationtodosnoozemanysnoozeuntil"></a>`snoozeUntil` | [`Time!`](#time) | todoをスヌーズするまでの時間。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosnoozemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosnoozemanyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodosnoozemanytodos"></a>`todos` | [`[Todo!]!`](#todo) | スヌーズされたto-doアイテム。 |

### `Mutation.todoUnSnooze`

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoUnSnoozeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodounsnoozeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodounsnoozeid"></a>`id` | [`TodoID!`](#todoid) | スヌーズするTo DoアイテムのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodounsnoozeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodounsnoozeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodounsnoozetodo"></a>`todo` | [`Todo!`](#todo) | リクエストされたTo Doアイテム。 |

### `Mutation.todoUnsnoozeMany`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `TodoUnsnoozeManyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodounsnoozemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodounsnoozemanyids"></a>`ids` | [`[TodoID!]!`](#todoid) | 処理するto-doアイテムのグローバルID（一度に最大100個までサポート）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodounsnoozemanyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodounsnoozemanyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodounsnoozemanytodos"></a>`todos` | [`[Todo!]!`](#todo) | スヌーズ解除されたto-doアイテム。 |

### `Mutation.todosMarkAllDone`

入力型: `TodosMarkAllDoneInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosmarkalldoneaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="mutationtodosmarkalldoneauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="mutationtodosmarkalldoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosmarkalldonegroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="mutationtodosmarkalldoneprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="mutationtodosmarkalldonetargetid"></a>`targetId` | [`TodoableID`](#todoableid) | To Doアイテムの親のグローバルID。イシュー、マージリクエスト、デザイン、およびエピックがサポートされています。引数が省略された場合、現在のユーザーの保留中のto-doアイテムはすべて完了としてマークされます。 |
| <a id="mutationtodosmarkalldonetype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationtodosmarkalldoneclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationtodosmarkalldoneerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationtodosmarkalldonetodos"></a>`todos` | [`[Todo!]!`](#todo) | 更新されたto-doアイテム。 |

### `Mutation.updateAbuseReportNote`

不正行為レポートのノートを更新します。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UpdateAbuseReportNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateabusereportnotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="mutationupdateabusereportnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateabusereportnoteid"></a>`id` | [`AntiAbuseReportsNoteID!`](#antiabusereportsnoteid) | 更新するノートのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateabusereportnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateabusereportnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateabusereportnotenote"></a>`note` | [`AbuseReportNote!`](#abusereportnote) | 変異後の不正行為レポートノート。 |

### `Mutation.updateAlertStatus`

入力型: `UpdateAlertStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatealertstatusclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatealertstatusiid"></a>`iid` | [`String!`](#string) | 変異対象のアラートのIID。 |
| <a id="mutationupdatealertstatusprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のアラートの属するプロジェクト。 |
| <a id="mutationupdatealertstatusstatus"></a>`status` | [`AlertManagementStatus!`](#alertmanagementstatus) | アラートを設定する状態。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatealertstatusalert"></a>`alert` | [`AlertManagementAlert`](#alertmanagementalert) | 変異後のアラート。 |
| <a id="mutationupdatealertstatusclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatealertstatuserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatealertstatusissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |
| <a id="mutationupdatealertstatustodo"></a>`todo` | [`Todo`](#todo) | 変異後のTo Doアイテム。 |

### `Mutation.updateBoard`

入力型: `UpdateBoardInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardassigneeid"></a>`assigneeId` | [`UserID`](#userid) | ボードに割り当てるユーザーのID。 |
| <a id="mutationupdateboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboardhidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="mutationupdateboardhideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="mutationupdateboardid"></a>`id` | [`BoardID!`](#boardid) | ボードのグローバルID。 |
| <a id="mutationupdateboarditerationcadenceid"></a>`iterationCadenceId` | [`IterationsCadenceID`](#iterationscadenceid) | ボードに割り当てるイテレーションケイデンスのID。 |
| <a id="mutationupdateboarditerationid"></a>`iterationId` | [`IterationID`](#iterationid) | ボードに割り当てるイテレーションのID。 |
| <a id="mutationupdateboardlabelids"></a>`labelIds` | [`[LabelID!]`](#labelid) | ボードに追加するラベルのID。 |
| <a id="mutationupdateboardlabels"></a>`labels` | [`[String!]`](#string) | イシューのラベル。 |
| <a id="mutationupdateboardmilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | ボードに割り当てるマイルストーンのID。 |
| <a id="mutationupdateboardname"></a>`name` | [`String`](#string) | ボード名。 |
| <a id="mutationupdateboardweight"></a>`weight` | [`Int`](#int) | ボードに割り当てるウェイト値。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardboard"></a>`board` | [`Board`](#board) | 変異後のボード。 |
| <a id="mutationupdateboardclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboarderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateBoardEpicUserPreferences`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `UpdateBoardEpicUserPreferencesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardepicuserpreferencesboardid"></a>`boardId` | [`BoardID!`](#boardid) | ボードのグローバルID。 |
| <a id="mutationupdateboardepicuserpreferencesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboardepicuserpreferencescollapsed"></a>`collapsed` | [`Boolean!`](#boolean) | ボードでエピックを折りたたむかどうか。 |
| <a id="mutationupdateboardepicuserpreferencesepicid"></a>`epicId` | [`EpicID!`](#epicid) | プリファレンスを設定する対象となるエピックのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardepicuserpreferencesclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboardepicuserpreferencesepicuserpreferences"></a>`epicUserPreferences` | [`BoardEpicUserPreferences`](#boardepicuserpreferences) | 変異後のボードにおけるエピックのユーザープリファレンス。 |
| <a id="mutationupdateboardepicuserpreferenceserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateBoardList`

入力型: `UpdateBoardListInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboardlistcollapsed"></a>`collapsed` | [`Boolean`](#boolean) | ユーザーに対してリストを折りたたみ表示するかどうかを示します。 |
| <a id="mutationupdateboardlistlistid"></a>`listId` | [`ListID!`](#listid) | リストのグローバルID。 |
| <a id="mutationupdateboardlistposition"></a>`position` | [`Int`](#int) | ボード内のリストの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateboardlisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateboardlistlist"></a>`list` | [`BoardList`](#boardlist) | 変異対象のリスト。 |

### `Mutation.updateComplianceFramework`

入力型: `UpdateComplianceFrameworkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecomplianceframeworkid"></a>`id` | [`ComplianceManagementFrameworkID!`](#compliancemanagementframeworkid) | 更新するコンプライアンスフレームワークのグローバルID。 |
| <a id="mutationupdatecomplianceframeworkparams"></a>`params` | [`ComplianceFrameworkInput!`](#complianceframeworkinput) | コンプライアンスフレームワークを更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecomplianceframeworkclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecomplianceframeworkcomplianceframework"></a>`complianceFramework` | [`ComplianceFramework`](#complianceframework) | 変異後のコンプライアンスフレームワーク。 |
| <a id="mutationupdatecomplianceframeworkerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateComplianceRequirement`

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UpdateComplianceRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecompliancerequirementcontrols"></a>`controls` | [`[ComplianceRequirementsControlInput!]`](#compliancerequirementscontrolinput) | コンプライアンス要件に追加または更新するコントロール。 |
| <a id="mutationupdatecompliancerequirementid"></a>`id` | [`ComplianceManagementComplianceFrameworkComplianceRequirementID!`](#compliancemanagementcomplianceframeworkcompliancerequirementid) | 更新するコンプライアンス要件のグローバルID。 |
| <a id="mutationupdatecompliancerequirementparams"></a>`params` | [`ComplianceRequirementInput!`](#compliancerequirementinput) | コンプライアンス要件を更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecompliancerequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecompliancerequirementerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatecompliancerequirementrequirement"></a>`requirement` | [`ComplianceRequirement`](#compliancerequirement) | 更新後のコンプライアンス要件。 |

### `Mutation.updateComplianceRequirementsControl`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UpdateComplianceRequirementsControlInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecompliancerequirementscontrolid"></a>`id` | [`ComplianceManagementComplianceFrameworkComplianceRequirementsControlID!`](#compliancemanagementcomplianceframeworkcompliancerequirementscontrolid) | 更新するコンプライアンス要件コントロールのグローバルID。 |
| <a id="mutationupdatecompliancerequirementscontrolparams"></a>`params` | [`ComplianceRequirementsControlInput!`](#compliancerequirementscontrolinput) | コンプライアンス要件コントロールを更新するためのパラメータ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecompliancerequirementscontrolclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecompliancerequirementscontrolerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatecompliancerequirementscontrolrequirementscontrol"></a>`requirementsControl` | [`ComplianceRequirementsControl`](#compliancerequirementscontrol) | 更新後のコンプライアンス要件コントロール。 |

### `Mutation.updateContainerExpirationPolicy`

入力型: `UpdateContainerExpirationPolicyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerexpirationpolicycadence"></a>`cadence` | [`ContainerExpirationPolicyCadenceEnum`](#containerexpirationpolicycadenceenum) | コンテナ有効期限ポリシーのスケジュール。 |
| <a id="mutationupdatecontainerexpirationpolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerexpirationpolicyenabled"></a>`enabled` | [`Boolean`](#boolean) | コンテナ有効期限ポリシーが有効かどうかを示します。 |
| <a id="mutationupdatecontainerexpirationpolicykeepn"></a>`keepN` | [`ContainerExpirationPolicyKeepEnum`](#containerexpirationpolicykeepenum) | 保持するタグの数。 |
| <a id="mutationupdatecontainerexpirationpolicynameregex"></a>`nameRegex` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが期限切れになります。 |
| <a id="mutationupdatecontainerexpirationpolicynameregexkeep"></a>`nameRegexKeep` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが保持されます。 |
| <a id="mutationupdatecontainerexpirationpolicyolderthan"></a>`olderThan` | [`ContainerExpirationPolicyOlderThanEnum`](#containerexpirationpolicyolderthanenum) | 指定された期間より古いタグが期限切れになります。 |
| <a id="mutationupdatecontainerexpirationpolicyprojectpath"></a>`projectPath` | [`ID!`](#id) | コンテナ有効期限ポリシーが属するプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerexpirationpolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerexpirationpolicycontainerexpirationpolicy"></a>`containerExpirationPolicy` {{< icon name="warning-solid" >}} | [`ContainerExpirationPolicy`](#containerexpirationpolicy) | **非推奨: **`container_tags_expiration_policy`を使用してください。GitLab 17.5で非推奨になりました。 |
| <a id="mutationupdatecontainerexpirationpolicycontainertagsexpirationpolicy"></a>`containerTagsExpirationPolicy` | [`ContainerTagsExpirationPolicy`](#containertagsexpirationpolicy) | 変異後のコンテナタグ有効期限ポリシー。 |
| <a id="mutationupdatecontainerexpirationpolicyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateContainerProtectionRepositoryRule`

ユーザーロールに基づいて、コンテナイメージを変更できるユーザーを制御するコンテナリポジトリ保護ルールを更新します。

入力型: `UpdateContainerProtectionRepositoryRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerprotectionrepositoryruleid"></a>`id` | [`ContainerRegistryProtectionRuleID!`](#containerregistryprotectionruleid) | 更新するコンテナリポジトリ保護ルールのグローバルID。 |
| <a id="mutationupdatecontainerprotectionrepositoryruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナリポジトリからコンテナイメージを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationupdatecontainerprotectionrepositoryruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナイメージをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationupdatecontainerprotectionrepositoryrulerepositorypathpattern"></a>`repositoryPathPattern` | [`String`](#string) | 保護ルールによって保護されるコンテナリポジトリパスパターン。先頭がプロジェクトのフルパスでなければなりません。例: `my-project/*-prod-*`。ワイルドカード文字`*`は、プロジェクトのフルパスの後のどこにでも使用できます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerprotectionrepositoryruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerprotectionrepositoryrulecontainerprotectionrepositoryrule"></a>`containerProtectionRepositoryRule` | [`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule) | 変異後のコンテナリポジトリ保護ルール。 |
| <a id="mutationupdatecontainerprotectionrepositoryruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateContainerProtectionTagRule`

指定されたパターンに一致するコンテナイメージタグを変更できるユーザーロールを制御する保護ルールを更新します。機能フラグ`container_registry_protected_tags`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UpdateContainerProtectionTagRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerprotectiontagruleid"></a>`id` | [`ContainerRegistryProtectionTagRuleID!`](#containerregistryprotectiontagruleid) | 更新するタグ保護ルールのグローバルID。 |
| <a id="mutationupdatecontainerprotectiontagruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationupdatecontainerprotectiontagruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationupdatecontainerprotectiontagruletagnamepattern"></a>`tagNamePattern` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatecontainerprotectiontagruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatecontainerprotectiontagrulecontainerprotectiontagrule"></a>`containerProtectionTagRule` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRule`](#containerprotectiontagrule) | **非推奨: ****状態**: 実験。GitLab 17.8で導入。 |
| <a id="mutationupdatecontainerprotectiontagruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateDependencyProxyImageTtlGroupPolicy`

これらの設定を調整できるのはグループのオーナーだけです。

入力型: `UpdateDependencyProxyImageTtlGroupPolicyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicyenabled"></a>`enabled` | [`Boolean`](#boolean) | ポリシーが有効か無効かを示します。 |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicygrouppath"></a>`groupPath` | [`ID!`](#id) | グループ依存プロキシイメージTTLポリシーのグループパス。 |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicyttl"></a>`ttl` | [`Int`](#int) | キャッシュに入れられたイメージファイルを保持する日数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicydependencyproxyimagettlpolicy"></a>`dependencyProxyImageTtlPolicy` | [`DependencyProxyImageTtlGroupPolicy`](#dependencyproxyimagettlgrouppolicy) | 変異後のグループイメージTTLポリシー。 |
| <a id="mutationupdatedependencyproxyimagettlgrouppolicyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateDependencyProxyPackagesSettings`

パッケージの設定に関する依存プロキシを更新または作成します。設定でパッケージと依存プロキシを有効にする必要があります。プロジェクトレベルでパッケージ機能を有効にする必要があります。

入力型: `UpdateDependencyProxyPackagesSettingsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxypackagessettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxypackagessettingsenabled"></a>`enabled` | [`Boolean`](#boolean) | プロジェクトでパッケージの依存プロキシが有効かどうかを示します。 |
| <a id="mutationupdatedependencyproxypackagessettingsmavenexternalregistrypassword"></a>`mavenExternalRegistryPassword` | [`String`](#string) | 外部Mavenパッケージレジストリのパスワード。GitLab 16.5で導入。この機能は実験です。予告なく変更または削除される可能性があります。 |
| <a id="mutationupdatedependencyproxypackagessettingsmavenexternalregistryurl"></a>`mavenExternalRegistryUrl` | [`String`](#string) | 外部MavenパッケージレジストリのURL。 |
| <a id="mutationupdatedependencyproxypackagessettingsmavenexternalregistryusername"></a>`mavenExternalRegistryUsername` | [`String`](#string) | 外部Mavenパッケージレジストリのユーザー名。 |
| <a id="mutationupdatedependencyproxypackagessettingsprojectpath"></a>`projectPath` | [`ID!`](#id) | パッケージ設定の依存プロキシのプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxypackagessettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxypackagessettingsdependencyproxypackagessetting"></a>`dependencyProxyPackagesSetting` | [`DependencyProxyPackagesSetting`](#dependencyproxypackagessetting) | 変異後のパッケージ設定の依存プロキシ。 |
| <a id="mutationupdatedependencyproxypackagessettingserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateDependencyProxySettings`

これらの設定を調整できるのはグループのオーナーだけです。

入力型: `UpdateDependencyProxySettingsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxysettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxysettingsenabled"></a>`enabled` | [`Boolean`](#boolean) | ポリシーが有効か無効かを示します。 |
| <a id="mutationupdatedependencyproxysettingsgrouppath"></a>`groupPath` | [`ID!`](#id) | グループ依存プロキシのグループパス。 |
| <a id="mutationupdatedependencyproxysettingsidentity"></a>`identity` | [`String`](#string) | イメージをプルする際にDocker Hubで認証するために使用されるID認証情報。ユーザー名（パスワードまたはパーソナルアクセストークン（PAT）の場合）、または組織名（組織アクセストークン（OAT）の場合）を指定できます。 |
| <a id="mutationupdatedependencyproxysettingssecret"></a>`secret` | [`String`](#string) | イメージをプルする際にDocker Hubで認証するために使用されるシークレット認証情報。パスワード、パーソナルアクセストークン（PAT）、または組織アクセストークン（OAT）を指定できます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatedependencyproxysettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatedependencyproxysettingsdependencyproxysetting"></a>`dependencyProxySetting` | [`DependencyProxySetting`](#dependencyproxysetting) | 変異後のグループ依存プロキシ設定。 |
| <a id="mutationupdatedependencyproxysettingserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateEpic`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `UpdateEpicInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateepicaddlabelids"></a>`addLabelIds` | [`[ID!]`](#id) | エピックに追加するラベルのID。 |
| <a id="mutationupdateepicaddlabels"></a>`addLabels` | [`[String!]`](#string) | エピックに追加するラベルの配列。 |
| <a id="mutationupdateepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateepiccolor"></a>`color` | [`Color`](#color) | エピックの色。 |
| <a id="mutationupdateepicconfidential"></a>`confidential` | [`Boolean`](#boolean) | エピックが機密かどうかを示します。 |
| <a id="mutationupdateepicdescription"></a>`description` | [`String`](#string) | エピックの説明。 |
| <a id="mutationupdateepicduedatefixed"></a>`dueDateFixed` | [`String`](#string) | エピックの終了日。 |
| <a id="mutationupdateepicduedateisfixed"></a>`dueDateIsFixed` | [`Boolean`](#boolean) | 終了日をイシューのマイルストーンではなく、due_date_fixedフィールドから取得することを示します。 |
| <a id="mutationupdateepicgrouppath"></a>`groupPath` | [`ID!`](#id) | 変異対象のエピックの属するグループ。 |
| <a id="mutationupdateepiciid"></a>`iid` | [`ID!`](#id) | 変異対象のエピックのIID。 |
| <a id="mutationupdateepicremovelabelids"></a>`removeLabelIds` | [`[ID!]`](#id) | エピックから削除するラベルのID。 |
| <a id="mutationupdateepicremovelabels"></a>`removeLabels` | [`[String!]`](#string) | エピックから削除するラベルの配列。 |
| <a id="mutationupdateepicstartdatefixed"></a>`startDateFixed` | [`String`](#string) | エピックの開始日。 |
| <a id="mutationupdateepicstartdateisfixed"></a>`startDateIsFixed` | [`Boolean`](#boolean) | 開始日をイシューのマイルストーンではなく、start_date_fixedフィールドから取得することを示します。 |
| <a id="mutationupdateepicstateevent"></a>`stateEvent` | [`EpicStateEvent`](#epicstateevent) | エピックの状態イベント。 |
| <a id="mutationupdateepictitle"></a>`title` | [`String`](#string) | エピックのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateepicclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateepicepic"></a>`epic` | [`Epic`](#epic) | 変異後のエピック。 |
| <a id="mutationupdateepicerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.updateEpicBoardList`

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

入力型: `UpdateEpicBoardListInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateepicboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateepicboardlistcollapsed"></a>`collapsed` | [`Boolean`](#boolean) | ユーザーに対してリストを折りたたみ表示するかどうかを示します。 |
| <a id="mutationupdateepicboardlistlistid"></a>`listId` | [`BoardsEpicListID!`](#boardsepiclistid) | エピックリストのグローバルID。 |
| <a id="mutationupdateepicboardlistposition"></a>`position` | [`Int`](#int) | ボード内のリストの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateepicboardlistclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateepicboardlisterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateepicboardlistlist"></a>`list` | [`EpicList`](#epiclist) | 変異対象のエピックリスト。 |

### `Mutation.updateImageDiffNote`

イメージ上のDiffNote（`position.positionType`が`"image"`である`Note`）を更新します。ノートの本文に含まれるのがクイックアクションだけの場合、更新時にノートが破棄され、ノートは返されません。

入力型: `UpdateImageDiffNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateimagediffnotebody"></a>`body` | [`String`](#string) | ノートの内容。 |
| <a id="mutationupdateimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateimagediffnoteid"></a>`id` | [`NoteID!`](#noteid) | 更新するノートのグローバルID。 |
| <a id="mutationupdateimagediffnoteposition"></a>`position` | [`UpdateDiffImagePositionInput`](#updatediffimagepositioninput) | 差分に関するノートの位置。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateimagediffnoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateimagediffnoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateimagediffnotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationupdateimagediffnotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.updateIssue`

入力型: `UpdateIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateissueaddlabelids"></a>`addLabelIds` | [`[ID!]`](#id) | イシューに追加するラベルのID。 |
| <a id="mutationupdateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateissueconfidential"></a>`confidential` | [`Boolean`](#boolean) | イシューが機密であることを示します。 |
| <a id="mutationupdateissuedescription"></a>`description` | [`String`](#string) | イシューの説明。 |
| <a id="mutationupdateissueduedate"></a>`dueDate` | [`ISO8601Date`](#iso8601date) | イシューの期限。 |
| <a id="mutationupdateissueepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="mutationupdateissuehealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 目的のヘルスステータス。 |
| <a id="mutationupdateissueiid"></a>`iid` | [`String!`](#string) | 変異対象のイシューのIID。 |
| <a id="mutationupdateissuelabelids"></a>`labelIds` | [`[ID!]`](#id) | 設定するラベルのID。既存のイシューラベルを置き換えます。 |
| <a id="mutationupdateissuelocked"></a>`locked` | [`Boolean`](#boolean) | ディスカッションがイシューでロックされていることを示します。 |
| <a id="mutationupdateissuemilestoneid"></a>`milestoneId` | [`ID`](#id) | イシューに割り当てるマイルストーンのID。nullに設定すると、更新時にマイルストーンが削除されます。 |
| <a id="mutationupdateissueprojectpath"></a>`projectPath` | [`ID!`](#id) | 変異対象のイシューの属するプロジェクト。 |
| <a id="mutationupdateissueremovelabelids"></a>`removeLabelIds` | [`[ID!]`](#id) | イシューから削除するラベルのID。 |
| <a id="mutationupdateissuestateevent"></a>`stateEvent` | [`IssueStateEvent`](#issuestateevent) | イシューをクローズまたは再オープンします。 |
| <a id="mutationupdateissuetimeestimate"></a>`timeEstimate` | [`String`](#string) | イシュー完了にかかる推定時間。`null`または`0`を使用すると、現在の推定値が削除されます。 |
| <a id="mutationupdateissuetitle"></a>`title` | [`String`](#string) | イシューのタイトル。 |
| <a id="mutationupdateissuetype"></a>`type` | [`IssueType`](#issuetype) | イシューのタイプ。 |
| <a id="mutationupdateissueweight"></a>`weight` | [`Int`](#int) | イシューのウェイト。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateissueissue"></a>`issue` | [`Issue`](#issue) | 変異後のイシュー。 |

### `Mutation.updateIteration`

入力型: `UpdateIterationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateiterationdescription"></a>`description` | [`String`](#string) | イテレーションの説明。 |
| <a id="mutationupdateiterationduedate"></a>`dueDate` | [`String`](#string) | イテレーションの終了日。 |
| <a id="mutationupdateiterationgrouppath"></a>`groupPath` | [`ID!`](#id) | イテレーションのグループ。 |
| <a id="mutationupdateiterationid"></a>`id` | [`ID!`](#id) | イテレーションのグローバルID。 |
| <a id="mutationupdateiterationstartdate"></a>`startDate` | [`String`](#string) | イテレーションの開始日。 |
| <a id="mutationupdateiterationtitle"></a>`title` | [`String`](#string) | イテレーションのタイトル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdateiterationclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdateiterationerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdateiterationiteration"></a>`iteration` | [`Iteration`](#iteration) | 更新されたイテレーション。 |

### `Mutation.updateNamespacePackageSettings`

これらの設定を調整できるのはグループのオーナーだけです。

入力型: `UpdateNamespacePackageSettingsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatenamespacepackagesettingsauditeventsenabled"></a>`auditEventsEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationupdatenamespacepackagesettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatenamespacepackagesettingsgenericduplicateexceptionregex"></a>`genericDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | generic_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="mutationupdatenamespacepackagesettingsgenericduplicatesallowed"></a>`genericDuplicatesAllowed` | [`Boolean`](#boolean) | ネームスペースで汎用パッケージの重複を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingslockmavenpackagerequestsforwarding"></a>`lockMavenPackageRequestsForwarding` | [`Boolean`](#boolean) | すべての子孫ネームスペースに対してMavenパッケージの転送がロックされるかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingslocknpmpackagerequestsforwarding"></a>`lockNpmPackageRequestsForwarding` | [`Boolean`](#boolean) | すべての子孫ネームスペースに対してnpmパッケージの転送がロックされるかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingslockpypipackagerequestsforwarding"></a>`lockPypiPackageRequestsForwarding` | [`Boolean`](#boolean) | すべての子孫ネームスペースに対してPyPIパッケージの転送がロックされるかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsmavenduplicateexceptionregex"></a>`mavenDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | maven_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="mutationupdatenamespacepackagesettingsmavenduplicatesallowed"></a>`mavenDuplicatesAllowed` | [`Boolean`](#boolean) | ネームスペースでMavenパッケージの重複を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsmavenpackagerequestsforwarding"></a>`mavenPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでMavenパッケージの転送を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsnamespacepath"></a>`namespacePath` | [`ID!`](#id) | ネームスペースパッケージの設定が属するネームスペースパス。 |
| <a id="mutationupdatenamespacepackagesettingsnpmpackagerequestsforwarding"></a>`npmPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでnpmパッケージの転送を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsnugetduplicateexceptionregex"></a>`nugetDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | nuget_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="mutationupdatenamespacepackagesettingsnugetduplicatesallowed"></a>`nugetDuplicatesAllowed` | [`Boolean`](#boolean) | ネームスペースでNuGetパッケージの重複を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsnugetsymbolserverenabled"></a>`nugetSymbolServerEnabled` | [`Boolean`](#boolean) | ネームスペースでNuGetシンボルサーバーが有効かどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingspypipackagerequestsforwarding"></a>`pypiPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでPyPIパッケージの転送を許可するかどうかを示します。 |
| <a id="mutationupdatenamespacepackagesettingsterraformmoduleduplicateexceptionregex"></a>`terraformModuleDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | terraform_module_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="mutationupdatenamespacepackagesettingsterraformmoduleduplicatesallowed"></a>`terraformModuleDuplicatesAllowed` | [`Boolean`](#boolean) | ネームスペースでTerraformパッケージの重複を許可するかどうかを示します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatenamespacepackagesettingsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatenamespacepackagesettingserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatenamespacepackagesettingspackagesettings"></a>`packageSettings` | [`PackageSettings`](#packagesettings) | 変異後のネームスペースパッケージ設定。 |

### `Mutation.updateNote`

ノートを更新します。ノートの本文に含まれるのがクイックアクションだけの場合、更新時にノートが破棄され、ノートは返されません。

入力型: `UpdateNoteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatenotebody"></a>`body` | [`String`](#string) | ノートの内容。 |
| <a id="mutationupdatenoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatenoteid"></a>`id` | [`NoteID!`](#noteid) | 更新するノートのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatenoteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatenoteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatenotenote"></a>`note` | [`Note`](#note) | 変異後のノート。 |
| <a id="mutationupdatenotequickactionsstatus"></a>`quickActionsStatus` | [`QuickActionsStatus`](#quickactionsstatus) | 変異後のクイックアクションの状態。 |

### `Mutation.updatePackagesCleanupPolicy`

入力型: `UpdatePackagesCleanupPolicyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatepackagescleanuppolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatepackagescleanuppolicykeepnduplicatedpackagefiles"></a>`keepNDuplicatedPackageFiles` | [`PackagesCleanupKeepDuplicatedPackageFilesEnum`](#packagescleanupkeepduplicatedpackagefilesenum) | 保持する重複パッケージファイルの数。 |
| <a id="mutationupdatepackagescleanuppolicyprojectpath"></a>`projectPath` | [`ID!`](#id) | パッケージクリーンアップポリシーの属するプロジェクトパス。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatepackagescleanuppolicyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatepackagescleanuppolicyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatepackagescleanuppolicypackagescleanuppolicy"></a>`packagesCleanupPolicy` | [`PackagesCleanupPolicy`](#packagescleanuppolicy) | 変異後のパッケージクリーンアップポリシー。 |

### `Mutation.updatePackagesProtectionRule`

プロジェクトパッケージへのアクセスを制限するよう、パッケージ保護ルールを更新します。特定の権限のないユーザーがパッケージを変更できないようにすることができます。

入力型: `UpdatePackagesProtectionRuleInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatepackagesprotectionruleid"></a>`id` | [`PackagesProtectionRuleID!`](#packagesprotectionruleid) | 更新するパッケージ保護ルールのグローバルID。 |
| <a id="mutationupdatepackagesprotectionruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`PackagesProtectionRuleAccessLevelForDelete`](#packagesprotectionruleaccesslevelfordelete) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationupdatepackagesprotectionruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`PackagesProtectionRuleAccessLevel`](#packagesprotectionruleaccesslevel) | パッケージをパッケージレジストリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="mutationupdatepackagesprotectionrulepackagenamepattern"></a>`packageNamePattern` | [`String`](#string) | 保護ルールによって保護されるパッケージ名。例：`@my-scope/my-package-*`。ワイルドカード文字`*`を使用できます。 |
| <a id="mutationupdatepackagesprotectionrulepackagetype"></a>`packageType` | [`PackagesProtectionRulePackageType`](#packagesprotectionrulepackagetype) | 保護ルールによって保護されるパッケージのタイプ。例: `NPM`、`PYPI`。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatepackagesprotectionruleclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatepackagesprotectionruleerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatepackagesprotectionrulepackageprotectionrule"></a>`packageProtectionRule` | [`PackagesProtectionRule`](#packagesprotectionrule) | 変異後のパッケージ保護ルール。 |

### `Mutation.updateRequirement`

入力型: `UpdateRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdaterequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdaterequirementdescription"></a>`description` | [`String`](#string) | 要件の説明。 |
| <a id="mutationupdaterequirementiid"></a>`iid` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: **代わりにwork_item_iidを使用してください。GitLab 15.8で非推奨になりました。 |
| <a id="mutationupdaterequirementlasttestreportstate"></a>`lastTestReportState` | [`TestReportState`](#testreportstate) | 指定された状態の要件のテストレポートを作成します。 |
| <a id="mutationupdaterequirementprojectpath"></a>`projectPath` | [`ID!`](#id) | 要件が関連付けられているプロジェクトのフルパス。 |
| <a id="mutationupdaterequirementstate"></a>`state` | [`RequirementState`](#requirementstate) | 要件の状態。 |
| <a id="mutationupdaterequirementtitle"></a>`title` | [`String`](#string) | 要件のタイトル。 |
| <a id="mutationupdaterequirementworkitemiid"></a>`workItemIid` | [`String`](#string) | 更新する要件作業アイテムのIID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdaterequirementclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdaterequirementerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdaterequirementrequirement"></a>`requirement` | [`Requirement`](#requirement) | 変異後の要件。 |

### `Mutation.updateSnippet`

入力型: `UpdateSnippetInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatesnippetblobactions"></a>`blobActions` | [`[SnippetBlobActionInputType!]`](#snippetblobactioninputtype) | スニペットリポジトリとBLOBに対して実行するアクション。 |
| <a id="mutationupdatesnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatesnippetdescription"></a>`description` | [`String`](#string) | スニペットの説明。 |
| <a id="mutationupdatesnippetid"></a>`id` | [`SnippetID!`](#snippetid) | 更新するスニペットのグローバルID。 |
| <a id="mutationupdatesnippettitle"></a>`title` | [`String`](#string) | スニペットのタイトル。 |
| <a id="mutationupdatesnippetvisibilitylevel"></a>`visibilityLevel` | [`VisibilityLevelsEnum`](#visibilitylevelsenum) | スニペットの表示レベル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationupdatesnippetclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationupdatesnippeterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationupdatesnippetsnippet"></a>`snippet` | [`Snippet`](#snippet) | 変異後のスニペット。 |

### `Mutation.uploadDelete`

アップロードを削除します。

入力型: `UploadDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuploaddeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuploaddeletefilename"></a>`filename` | [`String!`](#string) | アップロードファイル名。 |
| <a id="mutationuploaddeletegrouppath"></a>`groupPath` | [`ID`](#id) | リソースが関連付けられているグループのフルパス。 |
| <a id="mutationuploaddeleteprojectpath"></a>`projectPath` | [`ID`](#id) | リソースが関連付けられているプロジェクトのフルパス。 |
| <a id="mutationuploaddeletesecret"></a>`secret` | [`String!`](#string) | アップロードパスのシークレット部分。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuploaddeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuploaddeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuploaddeleteupload"></a>`upload` | [`FileUpload`](#fileupload) | 削除されたアップロード。 |

### `Mutation.userAchievementPrioritiesUpdate`

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UserAchievementPrioritiesUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementprioritiesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementprioritiesupdateuserachievementids"></a>`userAchievementIds` | [`[AchievementsUserAchievementID!]!`](#achievementsuserachievementid) | 優先順位付けし、優先順位最高のものから順に並べたユーザーアチーブメントのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementprioritiesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementprioritiesupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuserachievementprioritiesupdateuserachievements"></a>`userAchievements` | [`[UserAchievement!]!`](#userachievement) | 更新されたユーザーアチーブメント。 |

### `Mutation.userAchievementsDelete`

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UserAchievementsDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementsdeleteuserachievementid"></a>`userAchievementId` | [`AchievementsUserAchievementID!`](#achievementsuserachievementid) | 削除するユーザーアチーブメントのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementsdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementsdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuserachievementsdeleteuserachievement"></a>`userAchievement` | [`UserAchievement`](#userachievement) | 削除されたユーザーアチーブメント。 |

### `Mutation.userAchievementsUpdate`

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `UserAchievementsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementsupdateshowonprofile"></a>`showOnProfile` | [`Boolean!`](#boolean) | ユーザーアチーブメントがプロフィールに表示されるかどうかを示します。 |
| <a id="mutationuserachievementsupdateuserachievementid"></a>`userAchievementId` | [`AchievementsUserAchievementID!`](#achievementsuserachievementid) | 更新するユーザーアチーブメントのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserachievementsupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserachievementsupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuserachievementsupdateuserachievement"></a>`userAchievement` | [`UserAchievement`](#userachievement) | アチーブメントの授与。 |

### `Mutation.userAddOnAssignmentBulkCreate`

入力型: `UserAddOnAssignmentBulkCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentbulkcreateaddonpurchaseid"></a>`addOnPurchaseId` | [`GitlabSubscriptionsAddOnPurchaseID!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当て先AddOnPurchaseのグローバルID。 |
| <a id="mutationuseraddonassignmentbulkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentbulkcreateuserids"></a>`userIds` | [`[UserID!]!`](#userid) | 割り当てるユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentbulkcreateaddonpurchase"></a>`addOnPurchase` | [`AddOnPurchase`](#addonpurchase) | 変異後のAddOnPurchase状態。 |
| <a id="mutationuseraddonassignmentbulkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentbulkcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.userAddOnAssignmentBulkRemove`

入力型: `UserAddOnAssignmentBulkRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentbulkremoveaddonpurchaseid"></a>`addOnPurchaseId` | [`GitlabSubscriptionsAddOnPurchaseID!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当てを解除するAddOnPurchaseのグローバルID。 |
| <a id="mutationuseraddonassignmentbulkremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentbulkremoveuserids"></a>`userIds` | [`[UserID!]!`](#userid) | 割り当てを解除するユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentbulkremoveaddonpurchase"></a>`addOnPurchase` | [`AddOnPurchase`](#addonpurchase) | 変異後のAddOnPurchase状態。 |
| <a id="mutationuseraddonassignmentbulkremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentbulkremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.userAddOnAssignmentCreate`

入力型: `UserAddOnAssignmentCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentcreateaddonpurchaseid"></a>`addOnPurchaseId` | [`GitlabSubscriptionsAddOnPurchaseID!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当て先AddOnPurchaseのグローバルID。 |
| <a id="mutationuseraddonassignmentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentcreateuserid"></a>`userId` | [`UserID!`](#userid) | 割り当てるユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentcreateaddonpurchase"></a>`addOnPurchase` | [`AddOnPurchase`](#addonpurchase) | 変異後のAddOnPurchase状態。 |
| <a id="mutationuseraddonassignmentcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuseraddonassignmentcreateuser"></a>`user` | [`AddOnUser`](#addonuser) | アドオン購入が割り当てられたユーザー。 |

### `Mutation.userAddOnAssignmentRemove`

入力型: `UserAddOnAssignmentRemoveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentremoveaddonpurchaseid"></a>`addOnPurchaseId` | [`GitlabSubscriptionsAddOnPurchaseID!`](#gitlabsubscriptionsaddonpurchaseid) | AddOnPurchase割り当ての属するグローバルID。 |
| <a id="mutationuseraddonassignmentremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentremoveuserid"></a>`userId` | [`UserID!`](#userid) | 割り当てを削除するユーザーのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuseraddonassignmentremoveaddonpurchase"></a>`addOnPurchase` | [`AddOnPurchase`](#addonpurchase) | 変異後のAddOnPurchase状態。 |
| <a id="mutationuseraddonassignmentremoveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuseraddonassignmentremoveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuseraddonassignmentremoveuser"></a>`user` | [`AddOnUser`](#addonuser) | アドオンが削除されたユーザー。 |

### `Mutation.userCalloutCreate`

入力型: `UserCalloutCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationusercalloutcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationusercalloutcreatefeaturename"></a>`featureName` | [`String!`](#string) | コールアウトを非表示にする機能の名前。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationusercalloutcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationusercalloutcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationusercalloutcreateusercallout"></a>`userCallout` | [`UserCallout!`](#usercallout) | 非表示になったユーザーコールアウト。 |

### `Mutation.userPreferencesUpdate`

入力型: `UserPreferencesUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserpreferencesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserpreferencesupdateextensionsmarketplaceoptinstatus"></a>`extensionsMarketplaceOptInStatus` | [`ExtensionsMarketplaceOptInStatus`](#extensionsmarketplaceoptinstatus) | ユーザーのWeb IDE拡張機能マーケットプレースオプトインの状態。 |
| <a id="mutationuserpreferencesupdateissuessort"></a>`issuesSort` | [`IssueSort`](#issuesort) | イシューリストのソート順。 |
| <a id="mutationuserpreferencesupdatemergerequestdashboardlisttype"></a>`mergeRequestDashboardListType` | [`MergeRequestsDashboardListType`](#mergerequestsdashboardlisttype) | マージリクエストダッシュボードリストのレンダリングタイプ。 |
| <a id="mutationuserpreferencesupdatemergerequestssort"></a>`mergeRequestsSort` | [`MergeRequestSort`](#mergerequestsort) | イシューリストのソート順。 |
| <a id="mutationuserpreferencesupdateorganizationgroupsprojectsdisplay"></a>`organizationGroupsProjectsDisplay` {{< icon name="warning-solid" >}} | [`OrganizationGroupProjectDisplay`](#organizationgroupprojectdisplay) | **非推奨: ****状態**: 実験。GitLab 17.2で導入。 |
| <a id="mutationuserpreferencesupdateorganizationgroupsprojectssort"></a>`organizationGroupsProjectsSort` {{< icon name="warning-solid" >}} | [`OrganizationGroupProjectSort`](#organizationgroupprojectsort) | **非推奨: ****状態**: 実験。GitLab 17.2で導入。 |
| <a id="mutationuserpreferencesupdateprojectssort"></a>`projectsSort` | [`ProjectSort`](#projectsort) | プロジェクトのソート順。 |
| <a id="mutationuserpreferencesupdateuseworkitemsview"></a>`useWorkItemsView` | [`Boolean`](#boolean) | 従来のイシュービューではなく、作業アイテムビューを使用します。 |
| <a id="mutationuserpreferencesupdatevisibilitypipelineidtype"></a>`visibilityPipelineIdType` | [`VisibilityPipelineIdType`](#visibilitypipelineidtype) | パイプラインリストにIDまたはIIDを表示するかどうかを決定します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationuserpreferencesupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationuserpreferencesupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationuserpreferencesupdateuserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | 変異後のユーザープリファレンス。 |

### `Mutation.userSetNamespaceCommitEmail`

入力型: `UserSetNamespaceCommitEmailInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationusersetnamespacecommitemailclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationusersetnamespacecommitemailemailid"></a>`emailId` | [`EmailID`](#emailid) | 設定するメールのID。 |
| <a id="mutationusersetnamespacecommitemailnamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | ネームスペースコミットメールを設定する対象のネームスペースのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationusersetnamespacecommitemailclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationusersetnamespacecommitemailerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationusersetnamespacecommitemailnamespacecommitemail"></a>`namespaceCommitEmail` | [`NamespaceCommitEmail`](#namespacecommitemail) | 変異後のユーザーネームスペースコミットメール。 |

### `Mutation.valueStreamCreate`

バリューストリームを作成します。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ValueStreamCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamcreatename"></a>`name` | [`String!`](#string) | バリューストリームの名前。 |
| <a id="mutationvaluestreamcreatenamespacepath"></a>`namespacePath` | [`ID!`](#id) | バリューストリームを作成するネームスペース（プロジェクトまたはグループ）のフルパス。 |
| <a id="mutationvaluestreamcreatesetting"></a>`setting` | [`ValueStreamSettingInput`](#valuestreamsettinginput) | バリューストリームの設定。 |
| <a id="mutationvaluestreamcreatestages"></a>`stages` | [`[ValueStreamStageInput!]`](#valuestreamstageinput) | バリューストリームのカスタムステージ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvaluestreamcreatevaluestream"></a>`valueStream` | [`ValueStream`](#valuestream) | 作成されたバリューストリーム。 |

### `Mutation.valueStreamDestroy`

バリューストリームを破棄します。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ValueStreamDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamdestroyid"></a>`id` | [`AnalyticsCycleAnalyticsValueStreamID!`](#analyticscycleanalyticsvaluestreamid) | 破棄するバリューストリームのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvaluestreamdestroyvaluestream"></a>`valueStream` | [`ValueStream`](#valuestream) | 変異後に削除されたバリューストリーム。 |

### `Mutation.valueStreamUpdate`

バリューストリームを更新します。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

入力型: `ValueStreamUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamupdateid"></a>`id` | [`AnalyticsCycleAnalyticsValueStreamID!`](#analyticscycleanalyticsvaluestreamid) | 更新するバリューストリームのグローバルID。 |
| <a id="mutationvaluestreamupdatename"></a>`name` | [`String`](#string) | バリューストリームの名前。 |
| <a id="mutationvaluestreamupdatesetting"></a>`setting` | [`ValueStreamSettingInput`](#valuestreamsettinginput) | バリューストリームの設定。 |
| <a id="mutationvaluestreamupdatestages"></a>`stages` | [`[ValueStreamStageInput!]`](#valuestreamstageinput) | バリューストリームのカスタムステージ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvaluestreamupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvaluestreamupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvaluestreamupdatevaluestream"></a>`valueStream` | [`ValueStream`](#valuestream) | 更新されたバリューストリーム。 |

### `Mutation.verifiedNamespaceCreate`

検証済みのネームスペースを作成し、渡された検証レベル情報によるマークを、すべての子カタログリソースに付けます。

入力型: `VerifiedNamespaceCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationverifiednamespacecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationverifiednamespacecreatenamespacepath"></a>`namespacePath` | [`ID!`](#id) | ルートネームスペースパス。 |
| <a id="mutationverifiednamespacecreateverificationlevel"></a>`verificationLevel` | [`CiCatalogResourceVerificationLevel!`](#cicatalogresourceverificationlevel) | GitLabが提供するネームスペースの検証について示すために使用される検証レベル。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationverifiednamespacecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationverifiednamespacecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.vulnerabilitiesArchive`

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `VulnerabilitiesArchiveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesarchivedate"></a>`date` | [`Date!`](#date) | アーカイブする脆弱性の最終更新日。 |
| <a id="mutationvulnerabilitiesarchiveprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | 脆弱性をアタッチする先のプロジェクトのID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesarchiveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesarchiveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitiesarchivestatus"></a>`status` | [`String!`](#string) | アクションの状態。 |

### `Mutation.vulnerabilitiesCreateIssue`

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

入力型: `VulnerabilitiesCreateIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiescreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiescreateissueproject"></a>`project` | [`ProjectID!`](#projectid) | イシューのアタッチ先プロジェクトのID。 |
| <a id="mutationvulnerabilitiescreateissuevulnerabilityids"></a>`vulnerabilityIds` | [`[VulnerabilityID!]!`](#vulnerabilityid) | 指定されたイシューにリンクする脆弱性のID。最大100個まで指定できます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiescreateissueclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiescreateissueerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitiescreateissueissue"></a>`issue` | [`Issue`](#issue) | 変異後に作成されたイシュー。 |

### `Mutation.vulnerabilitiesDismiss`

入力型: `VulnerabilitiesDismissInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesdismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesdismisscomment"></a>`comment` | [`String`](#string) | 脆弱性が無視された理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilitiesdismissdismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | 脆弱性を無視する理由。 |
| <a id="mutationvulnerabilitiesdismissvulnerabilityids"></a>`vulnerabilityIds` | [`[VulnerabilityID!]!`](#vulnerabilityid) | 無視する脆弱性のID（最大100エントリ）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesdismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesdismisserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitiesdismissvulnerabilities"></a>`vulnerabilities` | [`[Vulnerability!]!`](#vulnerability) | 状態変更後の脆弱性。 |

### `Mutation.vulnerabilitiesRemoveAllFromProject`

特定のプロジェクトから、脆弱性および関連情報をすべて削除します。GitLab 16.7で[導入](https://gitlab.com/gitlab-org/gitlab/-/issues/412602)。

入力型: `VulnerabilitiesRemoveAllFromProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesremoveallfromprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesremoveallfromprojectprojectids"></a>`projectIds` | [`[ProjectID!]!`](#projectid) | 脆弱性をすべて削除することが必要なプロジェクトのID。削除はバックグラウンドで実行されるため、すぐには変更が表示されません。 |
| <a id="mutationvulnerabilitiesremoveallfromprojectresolvedondefaultbranch"></a>`resolvedOnDefaultBranch` | [`Boolean`](#boolean) | `true`に設定すると、検出されなくなった脆弱性のみ削除します。`false`に設定すると、まだ検出される脆弱性のみを削除します。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesremoveallfromprojectclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesremoveallfromprojecterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitiesremoveallfromprojectprojects"></a>`projects` | [`[Project!]!`](#project) | 削除がスケジュールされたプロジェクト。 |

### `Mutation.vulnerabilitiesSeverityOverride`

入力型: `vulnerabilitiesSeverityOverrideInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesseverityoverrideclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesseverityoverridecomment"></a>`comment` | [`String!`](#string) | 脆弱性の重大度を変更した理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilitiesseverityoverrideseverity"></a>`severity` | [`VulnerabilitySeverity!`](#vulnerabilityseverity) | 重大度の新しい重大度値。 |
| <a id="mutationvulnerabilitiesseverityoverridevulnerabilityids"></a>`vulnerabilityIds` | [`[VulnerabilityID!]!`](#vulnerabilityid) | 重大度を変更することが必要な脆弱性のID （最大100エントリ）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitiesseverityoverrideclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitiesseverityoverrideerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitiesseverityoverridevulnerabilities"></a>`vulnerabilities` | [`[Vulnerability!]!`](#vulnerability) | 重大度変更後の脆弱性。 |

### `Mutation.vulnerabilityConfirm`

入力型: `VulnerabilityConfirmInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityconfirmclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityconfirmcomment"></a>`comment` | [`String`](#string) | 脆弱性が確認された理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilityconfirmid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 確認する脆弱性のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityconfirmclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityconfirmerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilityconfirmvulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 状態変更後の脆弱性。 |

### `Mutation.vulnerabilityCreate`

入力型: `VulnerabilityCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitycreateconfirmedat"></a>`confirmedAt` | [`Time`](#time) | 脆弱性の状態が確認済みに変わった時点のタイムスタンプ（状態が`confirmed`の場合のデフォルトは作成時刻）。 |
| <a id="mutationvulnerabilitycreatedescription"></a>`description` | [`String!`](#string) | 脆弱性をより詳細に説明する長いテキストセクション。 |
| <a id="mutationvulnerabilitycreatedetectedat"></a>`detectedAt` | [`Time`](#time) | 脆弱性が最初に検出された時点のタイムスタンプ（デフォルトは作成時刻）。 |
| <a id="mutationvulnerabilitycreatedismissedat"></a>`dismissedAt` | [`Time`](#time) | 脆弱性の状態が無視に変わった時点のタイムスタンプ（状態が`dismissed`の場合のデフォルトは作成時刻）。 |
| <a id="mutationvulnerabilitycreateidentifiers"></a>`identifiers` | [`[VulnerabilityIdentifierInput!]!`](#vulnerabilityidentifierinput) | 脆弱性のCVEまたはCWE識別子の配列。 |
| <a id="mutationvulnerabilitycreatename"></a>`name` | [`String!`](#string) | 脆弱性の名前。 |
| <a id="mutationvulnerabilitycreateproject"></a>`project` | [`ProjectID!`](#projectid) | 脆弱性をアタッチする先のプロジェクトのID。 |
| <a id="mutationvulnerabilitycreateresolvedat"></a>`resolvedAt` | [`Time`](#time) | 脆弱性の状態が解決済みに変わった時点のタイムスタンプ（状態が`resolved`の場合のデフォルトは作成時刻）。 |
| <a id="mutationvulnerabilitycreatescanner"></a>`scanner` | [`VulnerabilityScannerInput!`](#vulnerabilityscannerinput) | 脆弱性の発見に使用されたスキャナーに関する情報。 |
| <a id="mutationvulnerabilitycreateseverity"></a>`severity` | [`VulnerabilitySeverity`](#vulnerabilityseverity) | 脆弱性の重大度（デフォルトは`unknown`）。 |
| <a id="mutationvulnerabilitycreatesolution"></a>`solution` | [`String`](#string) | 脆弱性の修正方法についての説明。 |
| <a id="mutationvulnerabilitycreatestate"></a>`state` | [`VulnerabilityState`](#vulnerabilitystate) | 脆弱性の状態（デフォルトは`detected`）。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitycreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitycreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitycreatevulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 作成された脆弱性。 |

### `Mutation.vulnerabilityDismiss`

入力型: `VulnerabilityDismissInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitydismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitydismisscomment"></a>`comment` | [`String`](#string) | 脆弱性が無視された理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilitydismissdismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | 脆弱性を無視する理由。 |
| <a id="mutationvulnerabilitydismissid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 無視する脆弱性のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilitydismissclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilitydismisserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilitydismissvulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 状態変更後の脆弱性。 |

### `Mutation.vulnerabilityExternalIssueLinkCreate`

入力型: `VulnerabilityExternalIssueLinkCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityexternalissuelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityexternalissuelinkcreateexternaltracker"></a>`externalTracker` | [`VulnerabilityExternalIssueLinkExternalTracker!`](#vulnerabilityexternalissuelinkexternaltracker) | 外部イシューリンクの外部トラッカータイプ。 |
| <a id="mutationvulnerabilityexternalissuelinkcreateid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 脆弱性のID。 |
| <a id="mutationvulnerabilityexternalissuelinkcreatelinktype"></a>`linkType` | [`VulnerabilityExternalIssueLinkType!`](#vulnerabilityexternalissuelinktype) | 外部イシューリンクのタイプ。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityexternalissuelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityexternalissuelinkcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilityexternalissuelinkcreateexternalissuelink"></a>`externalIssueLink` | [`VulnerabilityExternalIssueLink`](#vulnerabilityexternalissuelink) | 作成された外部イシューリンク。 |

### `Mutation.vulnerabilityExternalIssueLinkDestroy`

入力型: `VulnerabilityExternalIssueLinkDestroyInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityexternalissuelinkdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityexternalissuelinkdestroyid"></a>`id` | [`VulnerabilitiesExternalIssueLinkID!`](#vulnerabilitiesexternalissuelinkid) | 脆弱性外部イシューリンクのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityexternalissuelinkdestroyclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityexternalissuelinkdestroyerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `Mutation.vulnerabilityIssueLinkCreate`

入力型: `VulnerabilityIssueLinkCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityissuelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityissuelinkcreateissueid"></a>`issueId` | [`IssueID!`](#issueid) | リンク先のイシューのID。 |
| <a id="mutationvulnerabilityissuelinkcreatevulnerabilityids"></a>`vulnerabilityIds` | [`[VulnerabilityID!]!`](#vulnerabilityid) | 指定されたイシューにリンクする脆弱性のID。最大100個まで指定できます。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityissuelinkcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityissuelinkcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilityissuelinkcreateissuelinks"></a>`issueLinks` | [`[VulnerabilityIssueLink!]`](#vulnerabilityissuelink) | 作成されたイシューリンク。 |

### `Mutation.vulnerabilityResolve`

入力型: `VulnerabilityResolveInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityresolveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityresolvecomment"></a>`comment` | [`String`](#string) | 脆弱性が解決された理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilityresolveid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 解決する脆弱性のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityresolveclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityresolveerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilityresolvevulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 状態変更後の脆弱性。 |

### `Mutation.vulnerabilityRevertToDetected`

入力型: `VulnerabilityRevertToDetectedInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityreverttodetectedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityreverttodetectedcomment"></a>`comment` | [`String`](#string) | 脆弱性がリバートされた理由についてのコメント（最大50,000文字）。 |
| <a id="mutationvulnerabilityreverttodetectedid"></a>`id` | [`VulnerabilityID!`](#vulnerabilityid) | 取り消して検出状態に戻す脆弱性のID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationvulnerabilityreverttodetectedclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationvulnerabilityreverttodetectederrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationvulnerabilityreverttodetectedvulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | 状態変更後の脆弱性。 |

### `Mutation.workItemAddClosingMergeRequest`

クローズマージリクエストを作業アイテムに追加します。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemAddClosingMergeRequestInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemaddclosingmergerequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemaddclosingmergerequestcontextnamespacepath"></a>`contextNamespacePath` | [`ID`](#id) | コンテキストネームスペース（プロジェクトまたはグループ）のフルパス。`!1`などの短い参照構文を使用してマージリクエストを検索するために使用されるのは、プロジェクトのフルパスだけです。フルの参照とURLの場合は無視されます。指定されていない場合のデフォルトは、作業アイテムのネームスペースです。 |
| <a id="mutationworkitemaddclosingmergerequestid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemaddclosingmergerequestmergerequestreference"></a>`mergeRequestReference` | [`String!`](#string) | マージリクエスト参照（短い、フル、またはURL）。例: `!1`、`project_full_path!1`、または`https://gitlab.com/gitlab-org/gitlab/-/merge_requests/1`。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemaddclosingmergerequestclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemaddclosingmergerequestclosingmergerequest"></a>`closingMergeRequest` | [`WorkItemClosingMergeRequest`](#workitemclosingmergerequest) | 作業アイテムに追加されたクローズマージリクエスト。 |
| <a id="mutationworkitemaddclosingmergerequesterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemaddclosingmergerequestworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 新しいクローズマージリクエストを含む作業アイテム。 |

### `Mutation.workItemAddLinkedItems`

リンクされたアイテムを作業アイテムに追加します。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemAddLinkedItemsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemaddlinkeditemsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemaddlinkeditemsid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemaddlinkeditemslinktype"></a>`linkType` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプ。デフォルトは`RELATED`です。 |
| <a id="mutationworkitemaddlinkeditemsworkitemsids"></a>`workItemsIds` | [`[WorkItemID!]!`](#workitemid) | リンクするアイテムのグローバルID。指定できるIDの最大数: 10。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemaddlinkeditemsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemaddlinkeditemserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemaddlinkeditemsmessage"></a>`message` | [`String`](#string) | リンクされたアイテムの更新結果メッセージ。 |
| <a id="mutationworkitemaddlinkeditemsworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 更新された作業アイテム。 |

### `Mutation.workItemBulkUpdate`

イシューセットの複数プロパティの更新を許可します。`bulk_update_issues_mutation`機能フラグが無効になっている場合は、何もしません。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemBulkUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitembulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitembulkupdateids"></a>`ids` | [`[WorkItemID!]!`](#workitemid) | 更新するイシューのグローバルID配列。ユーザーが更新できないIDは無視されます。最大100個まで指定できます。 |
| <a id="mutationworkitembulkupdatelabelswidget"></a>`labelsWidget` | [`WorkItemWidgetLabelsUpdateInput`](#workitemwidgetlabelsupdateinput) | ラベルウィジェットのインプット。 |
| <a id="mutationworkitembulkupdateparentid"></a>`parentId` | [`WorkItemsParentID!`](#workitemsparentid) | 一括更新のスコープとなる親のグローバルID。親としてプロジェクトも可能です。また親としてグループも可能です（PremiumおよびUltimateのみ）。例: `WorkItemsParentID`は`"gid://gitlab/Project/1"`と`"gid://gitlab/Group/1"`です。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitembulkupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitembulkupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitembulkupdateupdatedworkitemcount"></a>`updatedWorkItemCount` | [`Int`](#int) | 正常に更新された作業アイテムの数。 |

### `Mutation.workItemConvert`

作業アイテムを新しいタイプに変換します。

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemConvertInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemconvertclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemconvertid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemconvertworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID!`](#workitemstypeid) | 新しい作業アイテムタイプのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemconvertclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemconverterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemconvertworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 更新された作業アイテム。 |

### `Mutation.workItemCreate`

作業アイテムを作成します。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemcreateassigneeswidget"></a>`assigneesWidget` | [`WorkItemWidgetAssigneesInput`](#workitemwidgetassigneesinput) | 担当者ウィジェットのインプット。 |
| <a id="mutationworkitemcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemcreatecolorwidget"></a>`colorWidget` | [`WorkItemWidgetColorInput`](#workitemwidgetcolorinput) | カラーウィジェットのインプット。 |
| <a id="mutationworkitemcreateconfidential"></a>`confidential` | [`Boolean`](#boolean) | 作業アイテムの機密性を設定します。 |
| <a id="mutationworkitemcreatecreatedat"></a>`createdAt` | [`Time`](#time) | 作業アイテム作成時のタイムスタンプ。管理者とプロジェクトオーナーのみが使用できます。 |
| <a id="mutationworkitemcreatecrmcontactswidget"></a>`crmContactsWidget` | [`WorkItemWidgetCrmContactsCreateInput`](#workitemwidgetcrmcontactscreateinput) | CRM連絡先ウィジェットのインプット。 |
| <a id="mutationworkitemcreatecustomfieldswidget"></a>`customFieldsWidget` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldValueInputType!]`](#workitemwidgetcustomfieldvalueinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationworkitemcreatedescription"></a>`description` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨:** 代わりに説明ウィジェットを使用してください。GitLab 16.9で非推奨になりました。 |
| <a id="mutationworkitemcreatedescriptionwidget"></a>`descriptionWidget` | [`WorkItemWidgetDescriptionInput`](#workitemwidgetdescriptioninput) | 説明ウィジェットのインプット。 |
| <a id="mutationworkitemcreatediscussionstoresolve"></a>`discussionsToResolve` | [`WorkItemResolveDiscussionsInput`](#workitemresolvediscussionsinput) | 作業アイテムの作成時に、noteable（ノート可能）内のディスカッションを解決するために必要な情報。 |
| <a id="mutationworkitemcreatehealthstatuswidget"></a>`healthStatusWidget` | [`WorkItemWidgetHealthStatusInput`](#workitemwidgethealthstatusinput) | ヘルスステータスウィジェットのインプット。 |
| <a id="mutationworkitemcreatehierarchywidget"></a>`hierarchyWidget` | [`WorkItemWidgetHierarchyCreateInput`](#workitemwidgethierarchycreateinput) | 階層ウィジェットのインプット。 |
| <a id="mutationworkitemcreateiterationwidget"></a>`iterationWidget` | [`WorkItemWidgetIterationInput`](#workitemwidgetiterationinput) | 作業アイテムのイテレーションウィジェット。 |
| <a id="mutationworkitemcreatelabelswidget"></a>`labelsWidget` | [`WorkItemWidgetLabelsCreateInput`](#workitemwidgetlabelscreateinput) | ラベルウィジェットのインプット。 |
| <a id="mutationworkitemcreatelinkeditemswidget"></a>`linkedItemsWidget` | [`WorkItemWidgetLinkedItemsCreateInput`](#workitemwidgetlinkeditemscreateinput) | リンクされたアイテムウィジェットのインプット。 |
| <a id="mutationworkitemcreatemilestonewidget"></a>`milestoneWidget` | [`WorkItemWidgetMilestoneInput`](#workitemwidgetmilestoneinput) | マイルストーンウィジェットのインプット。 |
| <a id="mutationworkitemcreatenamespacepath"></a>`namespacePath` | [`ID`](#id) | 作業アイテムを作成するネームスペース（プロジェクトまたはグループ）のフルパス。 |
| <a id="mutationworkitemcreateprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | **非推奨: **代わりにnamespacePathを使用してください。これはプロジェクトとグループの両方をカバーします。GitLab 15.10で非推奨になりました。 |
| <a id="mutationworkitemcreatestartandduedatewidget"></a>`startAndDueDateWidget` | [`WorkItemWidgetStartAndDueDateUpdateInput`](#workitemwidgetstartandduedateupdateinput) | 開始日と期限ウィジェットのインプット。 |
| <a id="mutationworkitemcreatetitle"></a>`title` | [`String!`](#string) | 作業アイテムのタイトル。 |
| <a id="mutationworkitemcreatevulnerabilityid"></a>`vulnerabilityId` {{< icon name="warning-solid" >}} | [`VulnerabilityID`](#vulnerabilityid) | **非推奨: ****状態**: 実験。GitLab 17.9で導入。 |
| <a id="mutationworkitemcreateweightwidget"></a>`weightWidget` | [`WorkItemWidgetWeightInput`](#workitemwidgetweightinput) | ウェイトウィジェットのインプット。 |
| <a id="mutationworkitemcreateworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID!`](#workitemstypeid) | 作業アイテムタイプのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemcreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemcreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemcreateworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 作成された作業アイテム。 |

### `Mutation.workItemCreateFromTask`

別の作業アイテムの説明に含まれるタスクから作業アイテムを作成します。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemCreateFromTaskInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemcreatefromtaskclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemcreatefromtaskid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemcreatefromtaskworkitemdata"></a>`workItemData` | [`WorkItemConvertTaskInput!`](#workitemconverttaskinput) | タスクを作業アイテムに変換するために必要な引数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemcreatefromtaskclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemcreatefromtaskerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemcreatefromtasknewworkitem"></a>`newWorkItem` | [`WorkItem`](#workitem) | タスクから作成された新しい作業アイテム。 |
| <a id="mutationworkitemcreatefromtaskworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 更新された作業アイテム。 |

### `Mutation.workItemDelete`

作業アイテムを削除します。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemDeleteInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemdeleteid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemdeleteclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemdeleteerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemdeletenamespace"></a>`namespace` | [`Namespace`](#namespace) | 削除された作業アイテムが属していたネームスペース。 |
| <a id="mutationworkitemdeleteproject"></a>`project` {{< icon name="warning-solid" >}} | [`Project`](#project) | **非推奨: **`namespace`を使用してください。GitLab 16.9で非推奨になりました。 |

### `Mutation.workItemExport`

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemExportInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemexportassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられているユーザーのユーザー名。 |
| <a id="mutationworkitemexportassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先ユーザーのワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="mutationworkitemexportauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="mutationworkitemexportclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemexportclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="mutationworkitemexportclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="mutationworkitemexportconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="mutationworkitemexportcreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="mutationworkitemexportcreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="mutationworkitemexportdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="mutationworkitemexportduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="mutationworkitemexportiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例：`["1", "2"]`。 |
| <a id="mutationworkitemexportin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mutationworkitemexportlabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="mutationworkitemexportmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="mutationworkitemexportmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="mutationworkitemexportmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="mutationworkitemexportnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="mutationworkitemexportor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="mutationworkitemexportprojectpath"></a>`projectPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="mutationworkitemexportsearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mutationworkitemexportselectedfields"></a>`selectedFields` | [`[AvailableExportFields!]`](#availableexportfields) | エクスポート対象として選択されたフィールドのリスト。省略すると、利用可能なすべてのフィールドがエクスポートされます。 |
| <a id="mutationworkitemexportstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="mutationworkitemexportsubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="mutationworkitemexporttypes"></a>`types` | [`[IssueType!]`](#issuetype) | 作業アイテムを指定された作業アイテムタイプでフィルタリングします。 |
| <a id="mutationworkitemexportupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="mutationworkitemexportupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemexportclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemexporterrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemexportmessage"></a>`message` | [`String`](#string) | エクスポートリクエストの結果メッセージ。 |

### `Mutation.workItemRemoveLinkedItems`

作業アイテムにリンクされているアイテムを削除します。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemRemoveLinkedItemsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemremovelinkeditemsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemremovelinkeditemsid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemremovelinkeditemsworkitemsids"></a>`workItemsIds` | [`[WorkItemID!]!`](#workitemid) | リンクを解除するアイテムのグローバルID。指定できるIDの最大数: 10。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemremovelinkeditemsclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemremovelinkeditemserrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemremovelinkeditemsmessage"></a>`message` | [`String`](#string) | リンクされたアイテムの更新結果メッセージ。 |
| <a id="mutationworkitemremovelinkeditemsworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 更新された作業アイテム。 |

### `Mutation.workItemSubscribe`

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemSubscribeInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemsubscribeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemsubscribeid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemsubscribesubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 目的とするサブスクリプションの状態。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemsubscribeclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemsubscribeerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemsubscribeworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 変異後の作業アイテム。 |

### `Mutation.workItemUpdate`

グローバルIDで作業アイテムを更新します。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemupdateassigneeswidget"></a>`assigneesWidget` | [`WorkItemWidgetAssigneesInput`](#workitemwidgetassigneesinput) | 担当者ウィジェットのインプット。 |
| <a id="mutationworkitemupdateawardemojiwidget"></a>`awardEmojiWidget` | [`WorkItemWidgetAwardEmojiUpdateInput`](#workitemwidgetawardemojiupdateinput) | 絵文字リアクションウィジェットのインプット。 |
| <a id="mutationworkitemupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemupdatecolorwidget"></a>`colorWidget` | [`WorkItemWidgetColorInput`](#workitemwidgetcolorinput) | カラーウィジェットのインプット。 |
| <a id="mutationworkitemupdateconfidential"></a>`confidential` | [`Boolean`](#boolean) | 作業アイテムの機密性を設定します。 |
| <a id="mutationworkitemupdatecrmcontactswidget"></a>`crmContactsWidget` | [`WorkItemWidgetCrmContactsUpdateInput`](#workitemwidgetcrmcontactsupdateinput) | CRM連絡先ウィジェットのインプット。 |
| <a id="mutationworkitemupdatecurrentusertodoswidget"></a>`currentUserTodosWidget` | [`WorkItemWidgetCurrentUserTodosInput`](#workitemwidgetcurrentusertodosinput) | To Doウィジェットのインプット。 |
| <a id="mutationworkitemupdatecustomfieldswidget"></a>`customFieldsWidget` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldValueInputType!]`](#workitemwidgetcustomfieldvalueinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="mutationworkitemupdatedescriptionwidget"></a>`descriptionWidget` | [`WorkItemWidgetDescriptionInput`](#workitemwidgetdescriptioninput) | 説明ウィジェットのインプット。 |
| <a id="mutationworkitemupdatehealthstatuswidget"></a>`healthStatusWidget` | [`WorkItemWidgetHealthStatusInput`](#workitemwidgethealthstatusinput) | ヘルスステータスウィジェットのインプット。 |
| <a id="mutationworkitemupdatehierarchywidget"></a>`hierarchyWidget` | [`WorkItemWidgetHierarchyUpdateInput`](#workitemwidgethierarchyupdateinput) | 階層ウィジェットのインプット。 |
| <a id="mutationworkitemupdateid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="mutationworkitemupdateiterationwidget"></a>`iterationWidget` | [`WorkItemWidgetIterationInput`](#workitemwidgetiterationinput) | イテレーションウィジェットのインプット。 |
| <a id="mutationworkitemupdatelabelswidget"></a>`labelsWidget` | [`WorkItemWidgetLabelsUpdateInput`](#workitemwidgetlabelsupdateinput) | ラベルウィジェットのインプット。 |
| <a id="mutationworkitemupdatemilestonewidget"></a>`milestoneWidget` | [`WorkItemWidgetMilestoneInput`](#workitemwidgetmilestoneinput) | マイルストーンウィジェットのインプット。 |
| <a id="mutationworkitemupdatenoteswidget"></a>`notesWidget` | [`WorkItemWidgetNotesInput`](#workitemwidgetnotesinput) | ノートウィジェットのインプット。 |
| <a id="mutationworkitemupdatenotificationswidget"></a>`notificationsWidget` | [`WorkItemWidgetNotificationsUpdateInput`](#workitemwidgetnotificationsupdateinput) | 通知ウィジェットのインプット。 |
| <a id="mutationworkitemupdateprogresswidget"></a>`progressWidget` | [`WorkItemWidgetProgressInput`](#workitemwidgetprogressinput) | 進捗状況ウィジェットのインプット。 |
| <a id="mutationworkitemupdatestartandduedatewidget"></a>`startAndDueDateWidget` | [`WorkItemWidgetStartAndDueDateUpdateInput`](#workitemwidgetstartandduedateupdateinput) | 開始日と期限ウィジェットのインプット。 |
| <a id="mutationworkitemupdatestateevent"></a>`stateEvent` | [`WorkItemStateEvent`](#workitemstateevent) | 作業アイテムをクローズまたは再オープンします。 |
| <a id="mutationworkitemupdatetimetrackingwidget"></a>`timeTrackingWidget` | [`WorkItemWidgetTimeTrackingInput`](#workitemwidgettimetrackinginput) | タイムトラッキングウィジェットのインプット。 |
| <a id="mutationworkitemupdatetitle"></a>`title` | [`String`](#string) | 作業アイテムのタイトル。 |
| <a id="mutationworkitemupdateverificationstatuswidget"></a>`verificationStatusWidget` | [`VerificationStatusInput`](#verificationstatusinput) | 検証状態ウィジェットのインプット。 |
| <a id="mutationworkitemupdateweightwidget"></a>`weightWidget` | [`WorkItemWidgetWeightInput`](#workitemwidgetweightinput) | ウェイトウィジェットのインプット。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemupdateworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 更新された作業アイテム。 |

### `Mutation.workItemUserPreferenceUpdate`

作業アイテムタイプとネームスペースのユーザープリファレンスを作成または更新します。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

入力型: `WorkItemUserPreferenceUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemuserpreferenceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemuserpreferenceupdatenamespacepath"></a>`namespacePath` | [`ID!`](#id) | プリファレンスを設定するネームスペースのフルパス。 |
| <a id="mutationworkitemuserpreferenceupdatesort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムリストのソート順。 |
| <a id="mutationworkitemuserpreferenceupdateworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID`](#workitemstypeid) | 作業アイテムタイプのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemuserpreferenceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemuserpreferenceupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemuserpreferenceupdateuserpreferences"></a>`userPreferences` | [`WorkItemTypesUserPreference`](#workitemtypesuserpreference) | ユーザープリファレンス。 |

### `Mutation.workItemsHierarchyReorder`

階層ツリー内の作業アイテムを並べ替えます。

{{< details >}}GitLab 17.3で**導入**。**状態**: 実験。{{< /details >}}

入力型: `workItemsHierarchyReorderInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemshierarchyreorderadjacentworkitemid"></a>`adjacentWorkItemId` | [`WorkItemID`](#workitemid) | 次に移動する作業アイテムのID。上のアイテムや下のアイテムなど。 |
| <a id="mutationworkitemshierarchyreorderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemshierarchyreorderid"></a>`id` | [`WorkItemID!`](#workitemid) | 並べ替える作業アイテムのグローバルID。 |
| <a id="mutationworkitemshierarchyreorderparentid"></a>`parentId` | [`WorkItemID`](#workitemid) | 新しい親作業アイテムのグローバルID。 |
| <a id="mutationworkitemshierarchyreorderrelativeposition"></a>`relativePosition` | [`RelativePositionType`](#relativepositiontype) | 隣接作業アイテムを基準とする相対位置。有効な値は、`BEFORE`または`AFTER`です。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkitemshierarchyreorderadjacentworkitem"></a>`adjacentWorkItem` | [`WorkItem`](#workitem) | 変異後の隣接作業アイテム。 |
| <a id="mutationworkitemshierarchyreorderclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkitemshierarchyreordererrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkitemshierarchyreorderparentworkitem"></a>`parentWorkItem` | [`WorkItem`](#workitem) | 変異後の作業アイテムの親。 |
| <a id="mutationworkitemshierarchyreorderworkitem"></a>`workItem` | [`WorkItem`](#workitem) | 変異後の作業アイテム。 |

### `Mutation.workspaceCreate`

入力型: `WorkspaceCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkspacecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkspacecreateclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | 作成されたワークスペースが関連付けられるクラスターエージェントのGlobalID。 |
| <a id="mutationworkspacecreatedesiredstate"></a>`desiredState` | [`String!`](#string) | 作成されたワークスペースの状態の希望値。 |
| <a id="mutationworkspacecreatedevfilepath"></a>`devfilePath` | [`String`](#string) | ワークスペースの設定に使用するdevfileを含むプロジェクトパス。指定されていない場合、GitLabのデフォルトdevfileが使用されます。 |
| <a id="mutationworkspacecreatedevfileref"></a>`devfileRef` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: **引数の名前がproject_refに変更されました。GitLab 17.8で非推奨になりました。 |
| <a id="mutationworkspacecreateeditor"></a>`editor` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: **引数は使用されません。GitLab 17.5で非推奨になりました。 |
| <a id="mutationworkspacecreatemaxhoursbeforetermination"></a>`maxHoursBeforeTermination` {{< icon name="warning-solid" >}} | [`Int`](#int) | **非推奨: **フィールドは使用されていません。GitLab 17.9で非推奨になりました。 |
| <a id="mutationworkspacecreateprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | 作成されたワークスペースのdevfileを提供するプロジェクトのID。 |
| <a id="mutationworkspacecreateprojectref"></a>`projectRef` | [`String`](#string) | プロジェクトリポジトリのgit ref。 |
| <a id="mutationworkspacecreatevariables"></a>`variables` | [`[WorkspaceVariableInput!]`](#workspacevariableinput) | ワークスペースに挿入する変数。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkspacecreateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkspacecreateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkspacecreateworkspace"></a>`workspace` | [`Workspace`](#workspace) | 作成されたワークスペース。 |

### `Mutation.workspaceUpdate`

入力型: `WorkspaceUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkspaceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkspaceupdatedesiredstate"></a>`desiredState` | [`String!`](#string) | 作成されたワークスペースの状態の希望値。 |
| <a id="mutationworkspaceupdateid"></a>`id` | [`RemoteDevelopmentWorkspaceID!`](#remotedevelopmentworkspaceid) | ワークスペースのグローバルID。 |

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mutationworkspaceupdateclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="mutationworkspaceupdateerrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="mutationworkspaceupdateworkspace"></a>`workspace` | [`Workspace`](#workspace) | 作成されたワークスペース。 |

## 接続

スキーマ内の一部の型は`Connection`型です。これらは、グラフ内の2つのノード間のエッジのページネーションコレクションを表します。これらは、[Relayカーソル接続仕様](https://relay.dev/graphql/connections.htm)に従います。

### ページネーション引数

どの接続フィールドも、次のページネーション引数をサポートしています。

| 名前 | 型 | 説明 |
|------|------|-------------|
| `after` | [`String`](#string) | リストのうち指定されたカーソルより後にある要素を返します。 |
| `before` | [`String`](#string) | リストのうち指定されたカーソルより前にある要素を返します。 |
| `first` | [`Int`](#int) | リストのうち最初の_n_個の要素を返します。 |
| `last` | [`Int`](#int) | リストのうち最後の_n_個の要素を返します。 |

これらの引数はすべての接続フィールドに共通であるため、接続ごとに繰り返されることはありません。

### 接続フィールド

すべての接続には、少なくとも次のフィールドがあります。

| 名前 | 型 | 説明 |
|------|------|-------------|
| `pageInfo` | [`PageInfo!`](#pageinfo) | ページネーション情報。 |
| `edges` | `[edge!]` | エッジ。 |
| `nodes` | `[item!]` | 現在のページのアイテム。 |

`Edge`と`Item`の正確な型は、接続のタイプによって異なります。[`ProjectConnection`](#projectconnection)には、[`[Project!]`](#project)型のノードと、[`ProjectEdge`](#projectedge)型のエッジがあります。

### 接続のタイプ

スキーマ内の一部のタイプは、接続のモデル化のためだけに存在しています。各接続には、固有の名前付きタイプと、固有の名前付きエッジタイプがあります。これらについては、別個に下記のリストに示します。

#### `AbuseReportDiscussionConnection`

[`AbuseReportDiscussion`](#abusereportdiscussion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportdiscussionconnectionedges"></a>`edges` | [`[AbuseReportDiscussionEdge]`](#abusereportdiscussionedge) | エッジのリスト。 |
| <a id="abusereportdiscussionconnectionnodes"></a>`nodes` | [`[AbuseReportDiscussion]`](#abusereportdiscussion) | ノードのリスト。 |
| <a id="abusereportdiscussionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AbuseReportDiscussionEdge`

[`AbuseReportDiscussion`](#abusereportdiscussion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportdiscussionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="abusereportdiscussionedgenode"></a>`node` | [`AbuseReportDiscussion`](#abusereportdiscussion) | エッジの終端にあるアイテム。 |

#### `AbuseReportLabelConnection`

[`AbuseReportLabel`](#abusereportlabel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportlabelconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="abusereportlabelconnectionedges"></a>`edges` | [`[AbuseReportLabelEdge]`](#abusereportlabeledge) | エッジのリスト。 |
| <a id="abusereportlabelconnectionnodes"></a>`nodes` | [`[AbuseReportLabel]`](#abusereportlabel) | ノードのリスト。 |
| <a id="abusereportlabelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AbuseReportLabelEdge`

[`AbuseReportLabel`](#abusereportlabel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportlabeledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="abusereportlabeledgenode"></a>`node` | [`AbuseReportLabel`](#abusereportlabel) | エッジの終端にあるアイテム。 |

#### `AbuseReportNoteConnection`

[`AbuseReportNote`](#abusereportnote)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportnoteconnectionedges"></a>`edges` | [`[AbuseReportNoteEdge]`](#abusereportnoteedge) | エッジのリスト。 |
| <a id="abusereportnoteconnectionnodes"></a>`nodes` | [`[AbuseReportNote]`](#abusereportnote) | ノードのリスト。 |
| <a id="abusereportnoteconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AbuseReportNoteEdge`

[`AbuseReportNote`](#abusereportnote)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportnoteedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="abusereportnoteedgenode"></a>`node` | [`AbuseReportNote`](#abusereportnote) | エッジの終端にあるアイテム。 |

#### `AccessLevelDeployKeyConnection`

[`AccessLevelDeployKey`](#accessleveldeploykey)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accessleveldeploykeyconnectionedges"></a>`edges` | [`[AccessLevelDeployKeyEdge]`](#accessleveldeploykeyedge) | エッジのリスト。 |
| <a id="accessleveldeploykeyconnectionnodes"></a>`nodes` | [`[AccessLevelDeployKey]`](#accessleveldeploykey) | ノードのリスト。 |
| <a id="accessleveldeploykeyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AccessLevelDeployKeyEdge`

[`AccessLevelDeployKey`](#accessleveldeploykey)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accessleveldeploykeyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="accessleveldeploykeyedgenode"></a>`node` | [`AccessLevelDeployKey`](#accessleveldeploykey) | エッジの終端にあるアイテム。 |

#### `AchievementConnection`

[`Achievement`](#achievement)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="achievementconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="achievementconnectionedges"></a>`edges` | [`[AchievementEdge]`](#achievementedge) | エッジのリスト。 |
| <a id="achievementconnectionnodes"></a>`nodes` | [`[Achievement]`](#achievement) | ノードのリスト。 |
| <a id="achievementconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AchievementEdge`

[`Achievement`](#achievement)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="achievementedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="achievementedgenode"></a>`node` | [`Achievement`](#achievement) | エッジの終端にあるアイテム。 |

#### `AddOnUserConnection`

[`AddOnUser`](#addonuser)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="addonuserconnectionedges"></a>`edges` | [`[AddOnUserEdge]`](#addonuseredge) | エッジのリスト。 |
| <a id="addonuserconnectionnodes"></a>`nodes` | [`[AddOnUser]`](#addonuser) | ノードのリスト。 |
| <a id="addonuserconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AddOnUserEdge`

[`AddOnUser`](#addonuser)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuseredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="addonuseredgenode"></a>`node` | [`AddOnUser`](#addonuser) | エッジの終端にあるアイテム。 |

#### `AdminMemberRoleConnection`

[`AdminMemberRole`](#adminmemberrole)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="adminmemberroleconnectionedges"></a>`edges` | [`[AdminMemberRoleEdge]`](#adminmemberroleedge) | エッジのリスト。 |
| <a id="adminmemberroleconnectionnodes"></a>`nodes` | [`[AdminMemberRole]`](#adminmemberrole) | ノードのリスト。 |
| <a id="adminmemberroleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AdminMemberRoleEdge`

[`AdminMemberRole`](#adminmemberrole)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="adminmemberroleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="adminmemberroleedgenode"></a>`node` | [`AdminMemberRole`](#adminmemberrole) | エッジの終端にあるアイテム。 |

#### `AgentConfigurationConnection`

[`AgentConfiguration`](#agentconfiguration)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentconfigurationconnectionedges"></a>`edges` | [`[AgentConfigurationEdge]`](#agentconfigurationedge) | エッジのリスト。 |
| <a id="agentconfigurationconnectionnodes"></a>`nodes` | [`[AgentConfiguration]`](#agentconfiguration) | ノードのリスト。 |
| <a id="agentconfigurationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AgentConfigurationEdge`

[`AgentConfiguration`](#agentconfiguration)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentconfigurationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="agentconfigurationedgenode"></a>`node` | [`AgentConfiguration`](#agentconfiguration) | エッジの終端にあるアイテム。 |

#### `AiAgentConnection`

[`AiAgent`](#aiagent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiagentconnectionedges"></a>`edges` | [`[AiAgentEdge]`](#aiagentedge) | エッジのリスト。 |
| <a id="aiagentconnectionnodes"></a>`nodes` | [`[AiAgent]`](#aiagent) | ノードのリスト。 |
| <a id="aiagentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiAgentEdge`

[`AiAgent`](#aiagent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiagentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aiagentedgenode"></a>`node` | [`AiAgent`](#aiagent) | エッジの終端にあるアイテム。 |

#### `AiConversationsThreadConnection`

[`AiConversationsThread`](#aiconversationsthread)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiconversationsthreadconnectionedges"></a>`edges` | [`[AiConversationsThreadEdge]`](#aiconversationsthreadedge) | エッジのリスト。 |
| <a id="aiconversationsthreadconnectionnodes"></a>`nodes` | [`[AiConversationsThread]`](#aiconversationsthread) | ノードのリスト。 |
| <a id="aiconversationsthreadconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiConversationsThreadEdge`

[`AiConversationsThread`](#aiconversationsthread)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiconversationsthreadedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aiconversationsthreadedgenode"></a>`node` | [`AiConversationsThread`](#aiconversationsthread) | エッジの終端にあるアイテム。 |

#### `AiFeatureSettingConnection`

[`AiFeatureSetting`](#aifeaturesetting)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aifeaturesettingconnectionedges"></a>`edges` | [`[AiFeatureSettingEdge]`](#aifeaturesettingedge) | エッジのリスト。 |
| <a id="aifeaturesettingconnectionnodes"></a>`nodes` | [`[AiFeatureSetting]`](#aifeaturesetting) | ノードのリスト。 |
| <a id="aifeaturesettingconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiFeatureSettingEdge`

[`AiFeatureSetting`](#aifeaturesetting)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aifeaturesettingedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aifeaturesettingedgenode"></a>`node` | [`AiFeatureSetting`](#aifeaturesetting) | エッジの終端にあるアイテム。 |

#### `AiMessageConnection`

[`AiMessage`](#aimessage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimessageconnectionedges"></a>`edges` | [`[AiMessageEdge]`](#aimessageedge) | エッジのリスト。 |
| <a id="aimessageconnectionnodes"></a>`nodes` | [`[AiMessage]`](#aimessage) | ノードのリスト。 |
| <a id="aimessageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiMessageEdge`

[`AiMessage`](#aimessage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimessageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aimessageedgenode"></a>`node` | [`AiMessage`](#aimessage) | エッジの終端にあるアイテム。 |

#### `AiSelfHostedModelConnection`

[`AiSelfHostedModel`](#aiselfhostedmodel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiselfhostedmodelconnectionedges"></a>`edges` | [`[AiSelfHostedModelEdge]`](#aiselfhostedmodeledge) | エッジのリスト。 |
| <a id="aiselfhostedmodelconnectionnodes"></a>`nodes` | [`[AiSelfHostedModel]`](#aiselfhostedmodel) | ノードのリスト。 |
| <a id="aiselfhostedmodelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiSelfHostedModelEdge`

[`AiSelfHostedModel`](#aiselfhostedmodel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiselfhostedmodeledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aiselfhostedmodeledgenode"></a>`node` | [`AiSelfHostedModel`](#aiselfhostedmodel) | エッジの終端にあるアイテム。 |

#### `AiUserMetricsConnection`

[`AiUserMetrics`](#aiusermetrics)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiusermetricsconnectionedges"></a>`edges` | [`[AiUserMetricsEdge]`](#aiusermetricsedge) | エッジのリスト。 |
| <a id="aiusermetricsconnectionnodes"></a>`nodes` | [`[AiUserMetrics]`](#aiusermetrics) | ノードのリスト。 |
| <a id="aiusermetricsconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiUserMetricsEdge`

[`AiUserMetrics`](#aiusermetrics)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiusermetricsedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aiusermetricsedgenode"></a>`node` | [`AiUserMetrics`](#aiusermetrics) | エッジの終端にあるアイテム。 |

#### `AiXrayReportConnection`

[`AiXrayReport`](#aixrayreport)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aixrayreportconnectionedges"></a>`edges` | [`[AiXrayReportEdge]`](#aixrayreportedge) | エッジのリスト。 |
| <a id="aixrayreportconnectionnodes"></a>`nodes` | [`[AiXrayReport]`](#aixrayreport) | ノードのリスト。 |
| <a id="aixrayreportconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AiXrayReportEdge`

[`AiXrayReport`](#aixrayreport)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aixrayreportedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="aixrayreportedgenode"></a>`node` | [`AiXrayReport`](#aixrayreport) | エッジの終端にあるアイテム。 |

#### `AlertManagementAlertConnection`

[`AlertManagementAlert`](#alertmanagementalert)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalertconnectionedges"></a>`edges` | [`[AlertManagementAlertEdge]`](#alertmanagementalertedge) | エッジのリスト。 |
| <a id="alertmanagementalertconnectionnodes"></a>`nodes` | [`[AlertManagementAlert]`](#alertmanagementalert) | ノードのリスト。 |
| <a id="alertmanagementalertconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AlertManagementAlertEdge`

[`AlertManagementAlert`](#alertmanagementalert)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalertedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="alertmanagementalertedgenode"></a>`node` | [`AlertManagementAlert`](#alertmanagementalert) | エッジの終端にあるアイテム。 |

#### `AlertManagementHttpIntegrationConnection`

[`AlertManagementHttpIntegration`](#alertmanagementhttpintegration)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementhttpintegrationconnectionedges"></a>`edges` | [`[AlertManagementHttpIntegrationEdge]`](#alertmanagementhttpintegrationedge) | エッジのリスト。 |
| <a id="alertmanagementhttpintegrationconnectionnodes"></a>`nodes` | [`[AlertManagementHttpIntegration]`](#alertmanagementhttpintegration) | ノードのリスト。 |
| <a id="alertmanagementhttpintegrationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AlertManagementHttpIntegrationEdge`

[`AlertManagementHttpIntegration`](#alertmanagementhttpintegration)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementhttpintegrationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="alertmanagementhttpintegrationedgenode"></a>`node` | [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration) | エッジの終端にあるアイテム。 |

#### `AlertManagementIntegrationConnection`

[`AlertManagementIntegration`](#alertmanagementintegration)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementintegrationconnectionedges"></a>`edges` | [`[AlertManagementIntegrationEdge]`](#alertmanagementintegrationedge) | エッジのリスト。 |
| <a id="alertmanagementintegrationconnectionnodes"></a>`nodes` | [`[AlertManagementIntegration]`](#alertmanagementintegration) | ノードのリスト。 |
| <a id="alertmanagementintegrationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AlertManagementIntegrationEdge`

[`AlertManagementIntegration`](#alertmanagementintegration)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementintegrationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="alertmanagementintegrationedgenode"></a>`node` | [`AlertManagementIntegration`](#alertmanagementintegration) | エッジの終端にあるアイテム。 |

#### `AmazonS3ConfigurationTypeConnection`

[`AmazonS3ConfigurationType`](#amazons3configurationtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="amazons3configurationtypeconnectionedges"></a>`edges` | [`[AmazonS3ConfigurationTypeEdge]`](#amazons3configurationtypeedge) | エッジのリスト。 |
| <a id="amazons3configurationtypeconnectionnodes"></a>`nodes` | [`[AmazonS3ConfigurationType]`](#amazons3configurationtype) | ノードのリスト。 |
| <a id="amazons3configurationtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AmazonS3ConfigurationTypeEdge`

[`AmazonS3ConfigurationType`](#amazons3configurationtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="amazons3configurationtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="amazons3configurationtypeedgenode"></a>`node` | [`AmazonS3ConfigurationType`](#amazons3configurationtype) | エッジの終端にあるアイテム。 |

#### `ApprovalPolicyConnection`

[`ApprovalPolicy`](#approvalpolicy)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalpolicyconnectionedges"></a>`edges` | [`[ApprovalPolicyEdge]`](#approvalpolicyedge) | エッジのリスト。 |
| <a id="approvalpolicyconnectionnodes"></a>`nodes` | [`[ApprovalPolicy]`](#approvalpolicy) | ノードのリスト。 |
| <a id="approvalpolicyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ApprovalPolicyEdge`

[`ApprovalPolicy`](#approvalpolicy)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalpolicyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="approvalpolicyedgenode"></a>`node` | [`ApprovalPolicy`](#approvalpolicy) | エッジの終端にあるアイテム。 |

#### `ApprovalProjectRuleConnection`

[`ApprovalProjectRule`](#approvalprojectrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalprojectruleconnectionedges"></a>`edges` | [`[ApprovalProjectRuleEdge]`](#approvalprojectruleedge) | エッジのリスト。 |
| <a id="approvalprojectruleconnectionnodes"></a>`nodes` | [`[ApprovalProjectRule]`](#approvalprojectrule) | ノードのリスト。 |
| <a id="approvalprojectruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ApprovalProjectRuleEdge`

[`ApprovalProjectRule`](#approvalprojectrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalprojectruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="approvalprojectruleedgenode"></a>`node` | [`ApprovalProjectRule`](#approvalprojectrule) | エッジの終端にあるアイテム。 |

#### `AuditEventDefinitionConnection`

[`AuditEventDefinition`](#auditeventdefinition)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventdefinitionconnectionedges"></a>`edges` | [`[AuditEventDefinitionEdge]`](#auditeventdefinitionedge) | エッジのリスト。 |
| <a id="auditeventdefinitionconnectionnodes"></a>`nodes` | [`[AuditEventDefinition]`](#auditeventdefinition) | ノードのリスト。 |
| <a id="auditeventdefinitionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AuditEventDefinitionEdge`

[`AuditEventDefinition`](#auditeventdefinition)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventdefinitionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="auditeventdefinitionedgenode"></a>`node` | [`AuditEventDefinition`](#auditeventdefinition) | エッジの終端にあるアイテム。 |

#### `AuditEventStreamingHeaderConnection`

[`AuditEventStreamingHeader`](#auditeventstreamingheader)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventstreamingheaderconnectionedges"></a>`edges` | [`[AuditEventStreamingHeaderEdge]`](#auditeventstreamingheaderedge) | エッジのリスト。 |
| <a id="auditeventstreamingheaderconnectionnodes"></a>`nodes` | [`[AuditEventStreamingHeader]`](#auditeventstreamingheader) | ノードのリスト。 |
| <a id="auditeventstreamingheaderconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AuditEventStreamingHeaderEdge`

[`AuditEventStreamingHeader`](#auditeventstreamingheader)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventstreamingheaderedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="auditeventstreamingheaderedgenode"></a>`node` | [`AuditEventStreamingHeader`](#auditeventstreamingheader) | エッジの終端にあるアイテム。 |

#### `AuditEventsStreamingInstanceHeaderConnection`

[`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventsstreaminginstanceheaderconnectionedges"></a>`edges` | [`[AuditEventsStreamingInstanceHeaderEdge]`](#auditeventsstreaminginstanceheaderedge) | エッジのリスト。 |
| <a id="auditeventsstreaminginstanceheaderconnectionnodes"></a>`nodes` | [`[AuditEventsStreamingInstanceHeader]`](#auditeventsstreaminginstanceheader) | ノードのリスト。 |
| <a id="auditeventsstreaminginstanceheaderconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AuditEventsStreamingInstanceHeaderEdge`

[`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventsstreaminginstanceheaderedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="auditeventsstreaminginstanceheaderedgenode"></a>`node` | [`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader) | エッジの終端にあるアイテム。 |

#### `AwardEmojiConnection`

[`AwardEmoji`](#awardemoji)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="awardemojiconnectionedges"></a>`edges` | [`[AwardEmojiEdge]`](#awardemojiedge) | エッジのリスト。 |
| <a id="awardemojiconnectionnodes"></a>`nodes` | [`[AwardEmoji]`](#awardemoji) | ノードのリスト。 |
| <a id="awardemojiconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `AwardEmojiEdge`

[`AwardEmoji`](#awardemoji)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="awardemojiedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="awardemojiedgenode"></a>`node` | [`AwardEmoji`](#awardemoji) | エッジの終端にあるアイテム。 |

#### `BlobConnection`

[`Blob`](#blob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blobconnectionedges"></a>`edges` | [`[BlobEdge]`](#blobedge) | エッジのリスト。 |
| <a id="blobconnectionnodes"></a>`nodes` | [`[Blob]`](#blob) | ノードのリスト。 |
| <a id="blobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `BlobEdge`

[`Blob`](#blob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="blobedgenode"></a>`node` | [`Blob`](#blob) | エッジの終端にあるアイテム。 |

#### `BoardConnection`

[`Board`](#board)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardconnectionedges"></a>`edges` | [`[BoardEdge]`](#boardedge) | エッジのリスト。 |
| <a id="boardconnectionnodes"></a>`nodes` | [`[Board]`](#board) | ノードのリスト。 |
| <a id="boardconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `BoardEdge`

[`Board`](#board)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="boardedgenode"></a>`node` | [`Board`](#board) | エッジの終端にあるアイテム。 |

#### `BoardEpicConnection`

[`BoardEpic`](#boardepic)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="boardepicconnectionedges"></a>`edges` | [`[BoardEpicEdge]`](#boardepicedge) | エッジのリスト。 |
| <a id="boardepicconnectionnodes"></a>`nodes` | [`[BoardEpic]`](#boardepic) | ノードのリスト。 |
| <a id="boardepicconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `BoardEpicEdge`

[`BoardEpic`](#boardepic)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="boardepicedgenode"></a>`node` | [`BoardEpic`](#boardepic) | エッジの終端にあるアイテム。 |

#### `BoardListConnection`

[`BoardList`](#boardlist)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardlistconnectionedges"></a>`edges` | [`[BoardListEdge]`](#boardlistedge) | エッジのリスト。 |
| <a id="boardlistconnectionnodes"></a>`nodes` | [`[BoardList]`](#boardlist) | ノードのリスト。 |
| <a id="boardlistconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `BoardListEdge`

[`BoardList`](#boardlist)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardlistedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="boardlistedgenode"></a>`node` | [`BoardList`](#boardlist) | エッジの終端にあるアイテム。 |

#### `BranchRuleConnection`

[`BranchRule`](#branchrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchruleconnectionedges"></a>`edges` | [`[BranchRuleEdge]`](#branchruleedge) | エッジのリスト。 |
| <a id="branchruleconnectionnodes"></a>`nodes` | [`[BranchRule]`](#branchrule) | ノードのリスト。 |
| <a id="branchruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `BranchRuleEdge`

[`BranchRule`](#branchrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="branchruleedgenode"></a>`node` | [`BranchRule`](#branchrule) | エッジの終端にあるアイテム。 |

#### `CiBuildNeedConnection`

[`CiBuildNeed`](#cibuildneed)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cibuildneedconnectionedges"></a>`edges` | [`[CiBuildNeedEdge]`](#cibuildneededge) | エッジのリスト。 |
| <a id="cibuildneedconnectionnodes"></a>`nodes` | [`[CiBuildNeed]`](#cibuildneed) | ノードのリスト。 |
| <a id="cibuildneedconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiBuildNeedEdge`

[`CiBuildNeed`](#cibuildneed)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cibuildneededgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cibuildneededgenode"></a>`node` | [`CiBuildNeed`](#cibuildneed) | エッジの終端にあるアイテム。 |

#### `CiCatalogResourceComponentConnection`

[`CiCatalogResourceComponent`](#cicatalogresourcecomponent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentconnectionedges"></a>`edges` | [`[CiCatalogResourceComponentEdge]`](#cicatalogresourcecomponentedge) | エッジのリスト。 |
| <a id="cicatalogresourcecomponentconnectionnodes"></a>`nodes` | [`[CiCatalogResourceComponent]`](#cicatalogresourcecomponent) | ノードのリスト。 |
| <a id="cicatalogresourcecomponentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiCatalogResourceComponentEdge`

[`CiCatalogResourceComponent`](#cicatalogresourcecomponent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cicatalogresourcecomponentedgenode"></a>`node` | [`CiCatalogResourceComponent`](#cicatalogresourcecomponent) | エッジの終端にあるアイテム。 |

#### `CiCatalogResourceComponentUsageConnection`

[`CiCatalogResourceComponentUsage`](#cicatalogresourcecomponentusage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentusageconnectionedges"></a>`edges` | [`[CiCatalogResourceComponentUsageEdge]`](#cicatalogresourcecomponentusageedge) | エッジのリスト。 |
| <a id="cicatalogresourcecomponentusageconnectionnodes"></a>`nodes` | [`[CiCatalogResourceComponentUsage]`](#cicatalogresourcecomponentusage) | ノードのリスト。 |
| <a id="cicatalogresourcecomponentusageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiCatalogResourceComponentUsageEdge`

[`CiCatalogResourceComponentUsage`](#cicatalogresourcecomponentusage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentusageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cicatalogresourcecomponentusageedgenode"></a>`node` | [`CiCatalogResourceComponentUsage`](#cicatalogresourcecomponentusage) | エッジの終端にあるアイテム。 |

#### `CiCatalogResourceConnection`

[`CiCatalogResource`](#cicatalogresource)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cicatalogresourceconnectionedges"></a>`edges` | [`[CiCatalogResourceEdge]`](#cicatalogresourceedge) | エッジのリスト。 |
| <a id="cicatalogresourceconnectionnodes"></a>`nodes` | [`[CiCatalogResource]`](#cicatalogresource) | ノードのリスト。 |
| <a id="cicatalogresourceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiCatalogResourceEdge`

[`CiCatalogResource`](#cicatalogresource)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cicatalogresourceedgenode"></a>`node` | [`CiCatalogResource`](#cicatalogresource) | エッジの終端にあるアイテム。 |

#### `CiCatalogResourceVersionConnection`

[`CiCatalogResourceVersion`](#cicatalogresourceversion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceversionconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cicatalogresourceversionconnectionedges"></a>`edges` | [`[CiCatalogResourceVersionEdge]`](#cicatalogresourceversionedge) | エッジのリスト。 |
| <a id="cicatalogresourceversionconnectionnodes"></a>`nodes` | [`[CiCatalogResourceVersion]`](#cicatalogresourceversion) | ノードのリスト。 |
| <a id="cicatalogresourceversionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiCatalogResourceVersionEdge`

[`CiCatalogResourceVersion`](#cicatalogresourceversion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceversionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cicatalogresourceversionedgenode"></a>`node` | [`CiCatalogResourceVersion`](#cicatalogresourceversion) | エッジの終端にあるアイテム。 |

#### `CiConfigGroupConnection`

[`CiConfigGroup`](#ciconfiggroup)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfiggroupconnectionedges"></a>`edges` | [`[CiConfigGroupEdge]`](#ciconfiggroupedge) | エッジのリスト。 |
| <a id="ciconfiggroupconnectionnodes"></a>`nodes` | [`[CiConfigGroup]`](#ciconfiggroup) | ノードのリスト。 |
| <a id="ciconfiggroupconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiConfigGroupEdge`

[`CiConfigGroup`](#ciconfiggroup)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfiggroupedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciconfiggroupedgenode"></a>`node` | [`CiConfigGroup`](#ciconfiggroup) | エッジの終端にあるアイテム。 |

#### `CiConfigJobConnection`

[`CiConfigJob`](#ciconfigjob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigjobconnectionedges"></a>`edges` | [`[CiConfigJobEdge]`](#ciconfigjobedge) | エッジのリスト。 |
| <a id="ciconfigjobconnectionnodes"></a>`nodes` | [`[CiConfigJob]`](#ciconfigjob) | ノードのリスト。 |
| <a id="ciconfigjobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiConfigJobEdge`

[`CiConfigJob`](#ciconfigjob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigjobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciconfigjobedgenode"></a>`node` | [`CiConfigJob`](#ciconfigjob) | エッジの終端にあるアイテム。 |

#### `CiConfigNeedConnection`

[`CiConfigNeed`](#ciconfigneed)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigneedconnectionedges"></a>`edges` | [`[CiConfigNeedEdge]`](#ciconfigneededge) | エッジのリスト。 |
| <a id="ciconfigneedconnectionnodes"></a>`nodes` | [`[CiConfigNeed]`](#ciconfigneed) | ノードのリスト。 |
| <a id="ciconfigneedconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiConfigNeedEdge`

[`CiConfigNeed`](#ciconfigneed)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigneededgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciconfigneededgenode"></a>`node` | [`CiConfigNeed`](#ciconfigneed) | エッジの終端にあるアイテム。 |

#### `CiConfigStageConnection`

[`CiConfigStage`](#ciconfigstage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigstageconnectionedges"></a>`edges` | [`[CiConfigStageEdge]`](#ciconfigstageedge) | エッジのリスト。 |
| <a id="ciconfigstageconnectionnodes"></a>`nodes` | [`[CiConfigStage]`](#ciconfigstage) | ノードのリスト。 |
| <a id="ciconfigstageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiConfigStageEdge`

[`CiConfigStage`](#ciconfigstage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigstageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciconfigstageedgenode"></a>`node` | [`CiConfigStage`](#ciconfigstage) | エッジの終端にあるアイテム。 |

#### `CiDedicatedHostedRunnerUsageConnection`

[`CiDedicatedHostedRunnerUsage`](#cidedicatedhostedrunnerusage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cidedicatedhostedrunnerusageconnectionedges"></a>`edges` | [`[CiDedicatedHostedRunnerUsageEdge]`](#cidedicatedhostedrunnerusageedge) | エッジのリスト。 |
| <a id="cidedicatedhostedrunnerusageconnectionnodes"></a>`nodes` | [`[CiDedicatedHostedRunnerUsage]`](#cidedicatedhostedrunnerusage) | ノードのリスト。 |
| <a id="cidedicatedhostedrunnerusageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiDedicatedHostedRunnerUsageEdge`

[`CiDedicatedHostedRunnerUsage`](#cidedicatedhostedrunnerusage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cidedicatedhostedrunnerusageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cidedicatedhostedrunnerusageedgenode"></a>`node` | [`CiDedicatedHostedRunnerUsage`](#cidedicatedhostedrunnerusage) | エッジの終端にあるアイテム。 |

#### `CiGroupConnection`

[`CiGroup`](#cigroup)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupconnectionedges"></a>`edges` | [`[CiGroupEdge]`](#cigroupedge) | エッジのリスト。 |
| <a id="cigroupconnectionnodes"></a>`nodes` | [`[CiGroup]`](#cigroup) | ノードのリスト。 |
| <a id="cigroupconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiGroupEdge`

[`CiGroup`](#cigroup)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cigroupedgenode"></a>`node` | [`CiGroup`](#cigroup) | エッジの終端にあるアイテム。 |

#### `CiGroupEnvironmentScopeConnection`

[`CiGroupEnvironmentScope`](#cigroupenvironmentscope)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupenvironmentscopeconnectionedges"></a>`edges` | [`[CiGroupEnvironmentScopeEdge]`](#cigroupenvironmentscopeedge) | エッジのリスト。 |
| <a id="cigroupenvironmentscopeconnectionnodes"></a>`nodes` | [`[CiGroupEnvironmentScope]`](#cigroupenvironmentscope) | ノードのリスト。 |
| <a id="cigroupenvironmentscopeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiGroupEnvironmentScopeEdge`

[`CiGroupEnvironmentScope`](#cigroupenvironmentscope)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupenvironmentscopeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cigroupenvironmentscopeedgenode"></a>`node` | [`CiGroupEnvironmentScope`](#cigroupenvironmentscope) | エッジの終端にあるアイテム。 |

#### `CiGroupVariableConnection`

[`CiGroupVariable`](#cigroupvariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupvariableconnectionedges"></a>`edges` | [`[CiGroupVariableEdge]`](#cigroupvariableedge) | エッジのリスト。 |
| <a id="cigroupvariableconnectionlimit"></a>`limit` | [`Int!`](#int) | グループCI/CD変数の最大数値。 |
| <a id="cigroupvariableconnectionnodes"></a>`nodes` | [`[CiGroupVariable]`](#cigroupvariable) | ノードのリスト。 |
| <a id="cigroupvariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiGroupVariableEdge`

[`CiGroupVariable`](#cigroupvariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupvariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cigroupvariableedgenode"></a>`node` | [`CiGroupVariable`](#cigroupvariable) | エッジの終端にあるアイテム。 |

#### `CiInputsFieldConnection`

[`CiInputsField`](#ciinputsfield)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinputsfieldconnectionedges"></a>`edges` | [`[CiInputsFieldEdge]`](#ciinputsfieldedge) | エッジのリスト。 |
| <a id="ciinputsfieldconnectionnodes"></a>`nodes` | [`[CiInputsField]`](#ciinputsfield) | ノードのリスト。 |
| <a id="ciinputsfieldconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiInputsFieldEdge`

[`CiInputsField`](#ciinputsfield)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinputsfieldedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciinputsfieldedgenode"></a>`node` | [`CiInputsField`](#ciinputsfield) | エッジの終端にあるアイテム。 |

#### `CiInstanceVariableConnection`

[`CiInstanceVariable`](#ciinstancevariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinstancevariableconnectionedges"></a>`edges` | [`[CiInstanceVariableEdge]`](#ciinstancevariableedge) | エッジのリスト。 |
| <a id="ciinstancevariableconnectionnodes"></a>`nodes` | [`[CiInstanceVariable]`](#ciinstancevariable) | ノードのリスト。 |
| <a id="ciinstancevariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiInstanceVariableEdge`

[`CiInstanceVariable`](#ciinstancevariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinstancevariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciinstancevariableedgenode"></a>`node` | [`CiInstanceVariable`](#ciinstancevariable) | エッジの終端にあるアイテム。 |

#### `CiJobArtifactConnection`

[`CiJobArtifact`](#cijobartifact)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobartifactconnectionedges"></a>`edges` | [`[CiJobArtifactEdge]`](#cijobartifactedge) | エッジのリスト。 |
| <a id="cijobartifactconnectionnodes"></a>`nodes` | [`[CiJobArtifact]`](#cijobartifact) | ノードのリスト。 |
| <a id="cijobartifactconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiJobArtifactEdge`

[`CiJobArtifact`](#cijobartifact)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobartifactedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobartifactedgenode"></a>`node` | [`CiJobArtifact`](#cijobartifact) | エッジの終端にあるアイテム。 |

#### `CiJobConnection`

[`CiJob`](#cijob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobconnectionedges"></a>`edges` | [`[CiJobEdge]`](#cijobedge) | エッジのリスト。 |
| <a id="cijobconnectionnodes"></a>`nodes` | [`[CiJob]`](#cijob) | ノードのリスト。 |
| <a id="cijobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `CiJobConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `CiJobEdge`

[`CiJob`](#cijob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobedgenode"></a>`node` | [`CiJob`](#cijob) | エッジの終端にあるアイテム。 |

#### `CiJobTokenAccessibleGroupConnection`

[`CiJobTokenAccessibleGroup`](#cijobtokenaccessiblegroup)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessiblegroupconnectionedges"></a>`edges` | [`[CiJobTokenAccessibleGroupEdge]`](#cijobtokenaccessiblegroupedge) | エッジのリスト。 |
| <a id="cijobtokenaccessiblegroupconnectionnodes"></a>`nodes` | [`[CiJobTokenAccessibleGroup]`](#cijobtokenaccessiblegroup) | ノードのリスト。 |
| <a id="cijobtokenaccessiblegroupconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiJobTokenAccessibleGroupEdge`

[`CiJobTokenAccessibleGroup`](#cijobtokenaccessiblegroup)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessiblegroupedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobtokenaccessiblegroupedgenode"></a>`node` | [`CiJobTokenAccessibleGroup`](#cijobtokenaccessiblegroup) | エッジの終端にあるアイテム。 |

#### `CiJobTokenAccessibleProjectConnection`

[`CiJobTokenAccessibleProject`](#cijobtokenaccessibleproject)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessibleprojectconnectionedges"></a>`edges` | [`[CiJobTokenAccessibleProjectEdge]`](#cijobtokenaccessibleprojectedge) | エッジのリスト。 |
| <a id="cijobtokenaccessibleprojectconnectionnodes"></a>`nodes` | [`[CiJobTokenAccessibleProject]`](#cijobtokenaccessibleproject) | ノードのリスト。 |
| <a id="cijobtokenaccessibleprojectconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiJobTokenAccessibleProjectEdge`

[`CiJobTokenAccessibleProject`](#cijobtokenaccessibleproject)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessibleprojectedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobtokenaccessibleprojectedgenode"></a>`node` | [`CiJobTokenAccessibleProject`](#cijobtokenaccessibleproject) | エッジの終端にあるアイテム。 |

#### `CiJobTokenAuthLogConnection`

[`CiJobTokenAuthLog`](#cijobtokenauthlog)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenauthlogconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cijobtokenauthlogconnectionedges"></a>`edges` | [`[CiJobTokenAuthLogEdge]`](#cijobtokenauthlogedge) | エッジのリスト。 |
| <a id="cijobtokenauthlogconnectionnodes"></a>`nodes` | [`[CiJobTokenAuthLog]`](#cijobtokenauthlog) | ノードのリスト。 |
| <a id="cijobtokenauthlogconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiJobTokenAuthLogEdge`

[`CiJobTokenAuthLog`](#cijobtokenauthlog)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenauthlogedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobtokenauthlogedgenode"></a>`node` | [`CiJobTokenAuthLog`](#cijobtokenauthlog) | エッジの終端にあるアイテム。 |

#### `CiJobTokenScopeAllowlistEntryConnection`

[`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenscopeallowlistentryconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cijobtokenscopeallowlistentryconnectionedges"></a>`edges` | [`[CiJobTokenScopeAllowlistEntryEdge]`](#cijobtokenscopeallowlistentryedge) | エッジのリスト。 |
| <a id="cijobtokenscopeallowlistentryconnectionnodes"></a>`nodes` | [`[CiJobTokenScopeAllowlistEntry]`](#cijobtokenscopeallowlistentry) | ノードのリスト。 |
| <a id="cijobtokenscopeallowlistentryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiJobTokenScopeAllowlistEntryEdge`

[`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenscopeallowlistentryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cijobtokenscopeallowlistentryedgenode"></a>`node` | [`CiJobTokenScopeAllowlistEntry`](#cijobtokenscopeallowlistentry) | エッジの終端にあるアイテム。 |

#### `CiManualVariableConnection`

[`CiManualVariable`](#cimanualvariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cimanualvariableconnectionedges"></a>`edges` | [`[CiManualVariableEdge]`](#cimanualvariableedge) | エッジのリスト。 |
| <a id="cimanualvariableconnectionnodes"></a>`nodes` | [`[CiManualVariable]`](#cimanualvariable) | ノードのリスト。 |
| <a id="cimanualvariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiManualVariableEdge`

[`CiManualVariable`](#cimanualvariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cimanualvariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cimanualvariableedgenode"></a>`node` | [`CiManualVariable`](#cimanualvariable) | エッジの終端にあるアイテム。 |

#### `CiMinutesNamespaceMonthlyUsageConnection`

[`CiMinutesNamespaceMonthlyUsage`](#ciminutesnamespacemonthlyusage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesnamespacemonthlyusageconnectionedges"></a>`edges` | [`[CiMinutesNamespaceMonthlyUsageEdge]`](#ciminutesnamespacemonthlyusageedge) | エッジのリスト。 |
| <a id="ciminutesnamespacemonthlyusageconnectionnodes"></a>`nodes` | [`[CiMinutesNamespaceMonthlyUsage]`](#ciminutesnamespacemonthlyusage) | ノードのリスト。 |
| <a id="ciminutesnamespacemonthlyusageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiMinutesNamespaceMonthlyUsageEdge`

[`CiMinutesNamespaceMonthlyUsage`](#ciminutesnamespacemonthlyusage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesnamespacemonthlyusageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciminutesnamespacemonthlyusageedgenode"></a>`node` | [`CiMinutesNamespaceMonthlyUsage`](#ciminutesnamespacemonthlyusage) | エッジの終端にあるアイテム。 |

#### `CiMinutesProjectMonthlyUsageConnection`

[`CiMinutesProjectMonthlyUsage`](#ciminutesprojectmonthlyusage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesprojectmonthlyusageconnectionedges"></a>`edges` | [`[CiMinutesProjectMonthlyUsageEdge]`](#ciminutesprojectmonthlyusageedge) | エッジのリスト。 |
| <a id="ciminutesprojectmonthlyusageconnectionnodes"></a>`nodes` | [`[CiMinutesProjectMonthlyUsage]`](#ciminutesprojectmonthlyusage) | ノードのリスト。 |
| <a id="ciminutesprojectmonthlyusageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiMinutesProjectMonthlyUsageEdge`

[`CiMinutesProjectMonthlyUsage`](#ciminutesprojectmonthlyusage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesprojectmonthlyusageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciminutesprojectmonthlyusageedgenode"></a>`node` | [`CiMinutesProjectMonthlyUsage`](#ciminutesprojectmonthlyusage) | エッジの終端にあるアイテム。 |

#### `CiProjectSubscriptionConnection`

[`CiProjectSubscription`](#ciprojectsubscription)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectsubscriptionconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="ciprojectsubscriptionconnectionedges"></a>`edges` | [`[CiProjectSubscriptionEdge]`](#ciprojectsubscriptionedge) | エッジのリスト。 |
| <a id="ciprojectsubscriptionconnectionnodes"></a>`nodes` | [`[CiProjectSubscription]`](#ciprojectsubscription) | ノードのリスト。 |
| <a id="ciprojectsubscriptionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiProjectSubscriptionEdge`

[`CiProjectSubscription`](#ciprojectsubscription)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectsubscriptionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciprojectsubscriptionedgenode"></a>`node` | [`CiProjectSubscription`](#ciprojectsubscription) | エッジの終端にあるアイテム。 |

#### `CiProjectVariableConnection`

[`CiProjectVariable`](#ciprojectvariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectvariableconnectionedges"></a>`edges` | [`[CiProjectVariableEdge]`](#ciprojectvariableedge) | エッジのリスト。 |
| <a id="ciprojectvariableconnectionlimit"></a>`limit` | [`Int!`](#int) | プロジェクトCI/CD変数の最大数値。 |
| <a id="ciprojectvariableconnectionnodes"></a>`nodes` | [`[CiProjectVariable]`](#ciprojectvariable) | ノードのリスト。 |
| <a id="ciprojectvariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiProjectVariableEdge`

[`CiProjectVariable`](#ciprojectvariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectvariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ciprojectvariableedgenode"></a>`node` | [`CiProjectVariable`](#ciprojectvariable) | エッジの終端にあるアイテム。 |

#### `CiRunnerConnection`

[`CiRunner`](#cirunner)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cirunnerconnectionedges"></a>`edges` | [`[CiRunnerEdge]`](#cirunneredge) | エッジのリスト。 |
| <a id="cirunnerconnectionjobsstatistics"></a>`jobsStatistics` | [`CiJobsStatistics`](#cijobsstatistics) | Runnerのコレクションによって実行されたジョブのジョブ統計。管理者のみが利用できます。 |
| <a id="cirunnerconnectionnodes"></a>`nodes` | [`[CiRunner]`](#cirunner) | ノードのリスト。 |
| <a id="cirunnerconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiRunnerEdge`

[`CiRunner`](#cirunner)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunneredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cirunneredgeediturl"></a>`editUrl` | [`String`](#string) | Runner編集ページのWeb URL。値は、クエリ内でのフィールドの配置場所によって異なります。プロジェクトまたはグループについて使用できます。 |
| <a id="cirunneredgenode"></a>`node` | [`CiRunner`](#cirunner) | エッジの終端にあるアイテム。 |
| <a id="cirunneredgeweburl"></a>`webUrl` | [`String`](#string) | RunnerのWeb URL。値は、クエリ内でのフィールドの配置場所によって異なります。プロジェクトまたはグループについて使用できます。 |

#### `CiRunnerManagerConnection`

[`CiRunnerManager`](#cirunnermanager)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnermanagerconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cirunnermanagerconnectionedges"></a>`edges` | [`[CiRunnerManagerEdge]`](#cirunnermanageredge) | エッジのリスト。 |
| <a id="cirunnermanagerconnectionnodes"></a>`nodes` | [`[CiRunnerManager]`](#cirunnermanager) | ノードのリスト。 |
| <a id="cirunnermanagerconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiRunnerManagerEdge`

[`CiRunnerManager`](#cirunnermanager)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnermanageredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cirunnermanageredgenode"></a>`node` | [`CiRunnerManager`](#cirunnermanager) | エッジの終端にあるアイテム。 |

#### `CiSecureFileRegistryConnection`

[`CiSecureFileRegistry`](#cisecurefileregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisecurefileregistryconnectionedges"></a>`edges` | [`[CiSecureFileRegistryEdge]`](#cisecurefileregistryedge) | エッジのリスト。 |
| <a id="cisecurefileregistryconnectionnodes"></a>`nodes` | [`[CiSecureFileRegistry]`](#cisecurefileregistry) | ノードのリスト。 |
| <a id="cisecurefileregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `CiSecureFileRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisecurefileregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `CiSecureFileRegistryEdge`

[`CiSecureFileRegistry`](#cisecurefileregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisecurefileregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cisecurefileregistryedgenode"></a>`node` | [`CiSecureFileRegistry`](#cisecurefileregistry) | エッジの終端にあるアイテム。 |

#### `CiStageConnection`

[`CiStage`](#cistage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cistageconnectionedges"></a>`edges` | [`[CiStageEdge]`](#cistageedge) | エッジのリスト。 |
| <a id="cistageconnectionnodes"></a>`nodes` | [`[CiStage]`](#cistage) | ノードのリスト。 |
| <a id="cistageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiStageEdge`

[`CiStage`](#cistage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cistageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cistageedgenode"></a>`node` | [`CiStage`](#cistage) | エッジの終端にあるアイテム。 |

#### `CiSubscriptionsProjectConnection`

[`CiSubscriptionsProject`](#cisubscriptionsproject)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisubscriptionsprojectconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="cisubscriptionsprojectconnectionedges"></a>`edges` | [`[CiSubscriptionsProjectEdge]`](#cisubscriptionsprojectedge) | エッジのリスト。 |
| <a id="cisubscriptionsprojectconnectionnodes"></a>`nodes` | [`[CiSubscriptionsProject]`](#cisubscriptionsproject) | ノードのリスト。 |
| <a id="cisubscriptionsprojectconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CiSubscriptionsProjectEdge`

[`CiSubscriptionsProject`](#cisubscriptionsproject)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisubscriptionsprojectedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="cisubscriptionsprojectedgenode"></a>`node` | [`CiSubscriptionsProject`](#cisubscriptionsproject) | エッジの終端にあるアイテム。 |

#### `ClusterAgentActivityEventConnection`

[`ClusterAgentActivityEvent`](#clusteragentactivityevent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentactivityeventconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="clusteragentactivityeventconnectionedges"></a>`edges` | [`[ClusterAgentActivityEventEdge]`](#clusteragentactivityeventedge) | エッジのリスト。 |
| <a id="clusteragentactivityeventconnectionnodes"></a>`nodes` | [`[ClusterAgentActivityEvent]`](#clusteragentactivityevent) | ノードのリスト。 |
| <a id="clusteragentactivityeventconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentActivityEventEdge`

[`ClusterAgentActivityEvent`](#clusteragentactivityevent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentactivityeventedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragentactivityeventedgenode"></a>`node` | [`ClusterAgentActivityEvent`](#clusteragentactivityevent) | エッジの終端にあるアイテム。 |

#### `ClusterAgentAuthorizationCiAccessConnection`

[`ClusterAgentAuthorizationCiAccess`](#clusteragentauthorizationciaccess)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationciaccessconnectionedges"></a>`edges` | [`[ClusterAgentAuthorizationCiAccessEdge]`](#clusteragentauthorizationciaccessedge) | エッジのリスト。 |
| <a id="clusteragentauthorizationciaccessconnectionnodes"></a>`nodes` | [`[ClusterAgentAuthorizationCiAccess]`](#clusteragentauthorizationciaccess) | ノードのリスト。 |
| <a id="clusteragentauthorizationciaccessconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentAuthorizationCiAccessEdge`

[`ClusterAgentAuthorizationCiAccess`](#clusteragentauthorizationciaccess)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationciaccessedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragentauthorizationciaccessedgenode"></a>`node` | [`ClusterAgentAuthorizationCiAccess`](#clusteragentauthorizationciaccess) | エッジの終端にあるアイテム。 |

#### `ClusterAgentAuthorizationUserAccessConnection`

[`ClusterAgentAuthorizationUserAccess`](#clusteragentauthorizationuseraccess)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationuseraccessconnectionedges"></a>`edges` | [`[ClusterAgentAuthorizationUserAccessEdge]`](#clusteragentauthorizationuseraccessedge) | エッジのリスト。 |
| <a id="clusteragentauthorizationuseraccessconnectionnodes"></a>`nodes` | [`[ClusterAgentAuthorizationUserAccess]`](#clusteragentauthorizationuseraccess) | ノードのリスト。 |
| <a id="clusteragentauthorizationuseraccessconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentAuthorizationUserAccessEdge`

[`ClusterAgentAuthorizationUserAccess`](#clusteragentauthorizationuseraccess)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationuseraccessedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragentauthorizationuseraccessedgenode"></a>`node` | [`ClusterAgentAuthorizationUserAccess`](#clusteragentauthorizationuseraccess) | エッジの終端にあるアイテム。 |

#### `ClusterAgentConnection`

[`ClusterAgent`](#clusteragent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="clusteragentconnectionedges"></a>`edges` | [`[ClusterAgentEdge]`](#clusteragentedge) | エッジのリスト。 |
| <a id="clusteragentconnectionnodes"></a>`nodes` | [`[ClusterAgent]`](#clusteragent) | ノードのリスト。 |
| <a id="clusteragentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentEdge`

[`ClusterAgent`](#clusteragent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragentedgenode"></a>`node` | [`ClusterAgent`](#clusteragent) | エッジの終端にあるアイテム。 |

#### `ClusterAgentTokenConnection`

[`ClusterAgentToken`](#clusteragenttoken)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenttokenconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="clusteragenttokenconnectionedges"></a>`edges` | [`[ClusterAgentTokenEdge]`](#clusteragenttokenedge) | エッジのリスト。 |
| <a id="clusteragenttokenconnectionnodes"></a>`nodes` | [`[ClusterAgentToken]`](#clusteragenttoken) | ノードのリスト。 |
| <a id="clusteragenttokenconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentTokenEdge`

[`ClusterAgentToken`](#clusteragenttoken)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenttokenedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragenttokenedgenode"></a>`node` | [`ClusterAgentToken`](#clusteragenttoken) | エッジの終端にあるアイテム。 |

#### `ClusterAgentUrlConfigurationConnection`

[`ClusterAgentUrlConfiguration`](#clusteragenturlconfiguration)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenturlconfigurationconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="clusteragenturlconfigurationconnectionedges"></a>`edges` | [`[ClusterAgentUrlConfigurationEdge]`](#clusteragenturlconfigurationedge) | エッジのリスト。 |
| <a id="clusteragenturlconfigurationconnectionnodes"></a>`nodes` | [`[ClusterAgentUrlConfiguration]`](#clusteragenturlconfiguration) | ノードのリスト。 |
| <a id="clusteragenturlconfigurationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ClusterAgentUrlConfigurationEdge`

[`ClusterAgentUrlConfiguration`](#clusteragenturlconfiguration)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenturlconfigurationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="clusteragenturlconfigurationedgenode"></a>`node` | [`ClusterAgentUrlConfiguration`](#clusteragenturlconfiguration) | エッジの終端にあるアイテム。 |

#### `CodeCoverageActivityConnection`

[`CodeCoverageActivity`](#codecoverageactivity)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codecoverageactivityconnectionedges"></a>`edges` | [`[CodeCoverageActivityEdge]`](#codecoverageactivityedge) | エッジのリスト。 |
| <a id="codecoverageactivityconnectionnodes"></a>`nodes` | [`[CodeCoverageActivity]`](#codecoverageactivity) | ノードのリスト。 |
| <a id="codecoverageactivityconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CodeCoverageActivityEdge`

[`CodeCoverageActivity`](#codecoverageactivity)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codecoverageactivityedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="codecoverageactivityedgenode"></a>`node` | [`CodeCoverageActivity`](#codecoverageactivity) | エッジの終端にあるアイテム。 |

#### `CodeQualityDegradationConnection`

[`CodeQualityDegradation`](#codequalitydegradation)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalitydegradationconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="codequalitydegradationconnectionedges"></a>`edges` | [`[CodeQualityDegradationEdge]`](#codequalitydegradationedge) | エッジのリスト。 |
| <a id="codequalitydegradationconnectionnodes"></a>`nodes` | [`[CodeQualityDegradation]`](#codequalitydegradation) | ノードのリスト。 |
| <a id="codequalitydegradationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CodeQualityDegradationEdge`

[`CodeQualityDegradation`](#codequalitydegradation)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalitydegradationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="codequalitydegradationedgenode"></a>`node` | [`CodeQualityDegradation`](#codequalitydegradation) | エッジの終端にあるアイテム。 |

#### `CodeSuggestionEventConnection`

[`CodeSuggestionEvent`](#codesuggestionevent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codesuggestioneventconnectionedges"></a>`edges` | [`[CodeSuggestionEventEdge]`](#codesuggestioneventedge) | エッジのリスト。 |
| <a id="codesuggestioneventconnectionnodes"></a>`nodes` | [`[CodeSuggestionEvent]`](#codesuggestionevent) | ノードのリスト。 |
| <a id="codesuggestioneventconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CodeSuggestionEventEdge`

[`CodeSuggestionEvent`](#codesuggestionevent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codesuggestioneventedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="codesuggestioneventedgenode"></a>`node` | [`CodeSuggestionEvent`](#codesuggestionevent) | エッジの終端にあるアイテム。 |

#### `CommitConnection`

[`Commit`](#commit)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitconnectionedges"></a>`edges` | [`[CommitEdge]`](#commitedge) | エッジのリスト。 |
| <a id="commitconnectionnodes"></a>`nodes` | [`[Commit]`](#commit) | ノードのリスト。 |
| <a id="commitconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CommitEdge`

[`Commit`](#commit)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="commitedgenode"></a>`node` | [`Commit`](#commit) | エッジの終端にあるアイテム。 |

#### `ComplianceFrameworkConnection`

[`ComplianceFramework`](#complianceframework)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceframeworkconnectionedges"></a>`edges` | [`[ComplianceFrameworkEdge]`](#complianceframeworkedge) | エッジのリスト。 |
| <a id="complianceframeworkconnectionnodes"></a>`nodes` | [`[ComplianceFramework]`](#complianceframework) | ノードのリスト。 |
| <a id="complianceframeworkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComplianceFrameworkEdge`

[`ComplianceFramework`](#complianceframework)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceframeworkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="complianceframeworkedgenode"></a>`node` | [`ComplianceFramework`](#complianceframework) | エッジの終端にあるアイテム。 |

#### `ComplianceRequirementConnection`

[`ComplianceRequirement`](#compliancerequirement)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementconnectionedges"></a>`edges` | [`[ComplianceRequirementEdge]`](#compliancerequirementedge) | エッジのリスト。 |
| <a id="compliancerequirementconnectionnodes"></a>`nodes` | [`[ComplianceRequirement]`](#compliancerequirement) | ノードのリスト。 |
| <a id="compliancerequirementconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComplianceRequirementEdge`

[`ComplianceRequirement`](#compliancerequirement)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="compliancerequirementedgenode"></a>`node` | [`ComplianceRequirement`](#compliancerequirement) | エッジの終端にあるアイテム。 |

#### `ComplianceRequirementsControlConnection`

[`ComplianceRequirementsControl`](#compliancerequirementscontrol)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementscontrolconnectionedges"></a>`edges` | [`[ComplianceRequirementsControlEdge]`](#compliancerequirementscontroledge) | エッジのリスト。 |
| <a id="compliancerequirementscontrolconnectionnodes"></a>`nodes` | [`[ComplianceRequirementsControl]`](#compliancerequirementscontrol) | ノードのリスト。 |
| <a id="compliancerequirementscontrolconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComplianceRequirementsControlEdge`

[`ComplianceRequirementsControl`](#compliancerequirementscontrol)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementscontroledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="compliancerequirementscontroledgenode"></a>`node` | [`ComplianceRequirementsControl`](#compliancerequirementscontrol) | エッジの終端にあるアイテム。 |

#### `ComplianceStandardsAdherenceConnection`

[`ComplianceStandardsAdherence`](#compliancestandardsadherence)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancestandardsadherenceconnectionedges"></a>`edges` | [`[ComplianceStandardsAdherenceEdge]`](#compliancestandardsadherenceedge) | エッジのリスト。 |
| <a id="compliancestandardsadherenceconnectionnodes"></a>`nodes` | [`[ComplianceStandardsAdherence]`](#compliancestandardsadherence) | ノードのリスト。 |
| <a id="compliancestandardsadherenceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComplianceStandardsAdherenceEdge`

[`ComplianceStandardsAdherence`](#compliancestandardsadherence)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancestandardsadherenceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="compliancestandardsadherenceedgenode"></a>`node` | [`ComplianceStandardsAdherence`](#compliancestandardsadherence) | エッジの終端にあるアイテム。 |

#### `ComplianceViolationConnection`

[`ComplianceViolation`](#complianceviolation)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceviolationconnectionedges"></a>`edges` | [`[ComplianceViolationEdge]`](#complianceviolationedge) | エッジのリスト。 |
| <a id="complianceviolationconnectionnodes"></a>`nodes` | [`[ComplianceViolation]`](#complianceviolation) | ノードのリスト。 |
| <a id="complianceviolationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComplianceViolationEdge`

[`ComplianceViolation`](#complianceviolation)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceviolationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="complianceviolationedgenode"></a>`node` | [`ComplianceViolation`](#complianceviolation) | エッジの終端にあるアイテム。 |

#### `ComponentVersionConnection`

[`ComponentVersion`](#componentversion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="componentversionconnectionedges"></a>`edges` | [`[ComponentVersionEdge]`](#componentversionedge) | エッジのリスト。 |
| <a id="componentversionconnectionnodes"></a>`nodes` | [`[ComponentVersion]`](#componentversion) | ノードのリスト。 |
| <a id="componentversionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ComponentVersionEdge`

[`ComponentVersion`](#componentversion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="componentversionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="componentversionedgenode"></a>`node` | [`ComponentVersion`](#componentversion) | エッジの終端にあるアイテム。 |

#### `ConnectedAgentConnection`

[`ConnectedAgent`](#connectedagent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="connectedagentconnectionedges"></a>`edges` | [`[ConnectedAgentEdge]`](#connectedagentedge) | エッジのリスト。 |
| <a id="connectedagentconnectionnodes"></a>`nodes` | [`[ConnectedAgent]`](#connectedagent) | ノードのリスト。 |
| <a id="connectedagentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ConnectedAgentEdge`

[`ConnectedAgent`](#connectedagent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="connectedagentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="connectedagentedgenode"></a>`node` | [`ConnectedAgent`](#connectedagent) | エッジの終端にあるアイテム。 |

#### `ContainerProtectionRepositoryRuleConnection`

[`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectionrepositoryruleconnectionedges"></a>`edges` | [`[ContainerProtectionRepositoryRuleEdge]`](#containerprotectionrepositoryruleedge) | エッジのリスト。 |
| <a id="containerprotectionrepositoryruleconnectionnodes"></a>`nodes` | [`[ContainerProtectionRepositoryRule]`](#containerprotectionrepositoryrule) | ノードのリスト。 |
| <a id="containerprotectionrepositoryruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ContainerProtectionRepositoryRuleEdge`

[`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectionrepositoryruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="containerprotectionrepositoryruleedgenode"></a>`node` | [`ContainerProtectionRepositoryRule`](#containerprotectionrepositoryrule) | エッジの終端にあるアイテム。 |

#### `ContainerProtectionTagRuleConnection`

[`ContainerProtectionTagRule`](#containerprotectiontagrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectiontagruleconnectionedges"></a>`edges` | [`[ContainerProtectionTagRuleEdge]`](#containerprotectiontagruleedge) | エッジのリスト。 |
| <a id="containerprotectiontagruleconnectionnodes"></a>`nodes` | [`[ContainerProtectionTagRule]`](#containerprotectiontagrule) | ノードのリスト。 |
| <a id="containerprotectiontagruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ContainerProtectionTagRuleEdge`

[`ContainerProtectionTagRule`](#containerprotectiontagrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectiontagruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="containerprotectiontagruleedgenode"></a>`node` | [`ContainerProtectionTagRule`](#containerprotectiontagrule) | エッジの終端にあるアイテム。 |

#### `ContainerRepositoryConnection`

[`ContainerRepository`](#containerrepository)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryconnectionedges"></a>`edges` | [`[ContainerRepositoryEdge]`](#containerrepositoryedge) | エッジのリスト。 |
| <a id="containerrepositoryconnectionnodes"></a>`nodes` | [`[ContainerRepository]`](#containerrepository) | ノードのリスト。 |
| <a id="containerrepositoryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ContainerRepositoryEdge`

[`ContainerRepository`](#containerrepository)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="containerrepositoryedgenode"></a>`node` | [`ContainerRepository`](#containerrepository) | エッジの終端にあるアイテム。 |

#### `ContainerRepositoryRegistryConnection`

[`ContainerRepositoryRegistry`](#containerrepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryregistryconnectionedges"></a>`edges` | [`[ContainerRepositoryRegistryEdge]`](#containerrepositoryregistryedge) | エッジのリスト。 |
| <a id="containerrepositoryregistryconnectionnodes"></a>`nodes` | [`[ContainerRepositoryRegistry]`](#containerrepositoryregistry) | ノードのリスト。 |
| <a id="containerrepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `ContainerRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `ContainerRepositoryRegistryEdge`

[`ContainerRepositoryRegistry`](#containerrepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="containerrepositoryregistryedgenode"></a>`node` | [`ContainerRepositoryRegistry`](#containerrepositoryregistry) | エッジの終端にあるアイテム。 |

#### `ContainerRepositoryTagConnection`

[`ContainerRepositoryTag`](#containerrepositorytag)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorytagconnectionedges"></a>`edges` | [`[ContainerRepositoryTagEdge]`](#containerrepositorytagedge) | エッジのリスト。 |
| <a id="containerrepositorytagconnectionnodes"></a>`nodes` | [`[ContainerRepositoryTag]`](#containerrepositorytag) | ノードのリスト。 |
| <a id="containerrepositorytagconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ContainerRepositoryTagEdge`

[`ContainerRepositoryTag`](#containerrepositorytag)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorytagedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="containerrepositorytagedgenode"></a>`node` | [`ContainerRepositoryTag`](#containerrepositorytag) | エッジの終端にあるアイテム。 |

#### `ContributionAnalyticsContributionConnection`

[`ContributionAnalyticsContribution`](#contributionanalyticscontribution)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="contributionanalyticscontributionconnectionedges"></a>`edges` | [`[ContributionAnalyticsContributionEdge]`](#contributionanalyticscontributionedge) | エッジのリスト。 |
| <a id="contributionanalyticscontributionconnectionnodes"></a>`nodes` | [`[ContributionAnalyticsContribution]`](#contributionanalyticscontribution) | ノードのリスト。 |
| <a id="contributionanalyticscontributionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ContributionAnalyticsContributionEdge`

[`ContributionAnalyticsContribution`](#contributionanalyticscontribution)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="contributionanalyticscontributionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="contributionanalyticscontributionedgenode"></a>`node` | [`ContributionAnalyticsContribution`](#contributionanalyticscontribution) | エッジの終端にあるアイテム。 |

#### `CoverageFuzzingCorpusConnection`

[`CoverageFuzzingCorpus`](#coveragefuzzingcorpus)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="coveragefuzzingcorpusconnectionedges"></a>`edges` | [`[CoverageFuzzingCorpusEdge]`](#coveragefuzzingcorpusedge) | エッジのリスト。 |
| <a id="coveragefuzzingcorpusconnectionnodes"></a>`nodes` | [`[CoverageFuzzingCorpus]`](#coveragefuzzingcorpus) | ノードのリスト。 |
| <a id="coveragefuzzingcorpusconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CoverageFuzzingCorpusEdge`

[`CoverageFuzzingCorpus`](#coveragefuzzingcorpus)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="coveragefuzzingcorpusedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="coveragefuzzingcorpusedgenode"></a>`node` | [`CoverageFuzzingCorpus`](#coveragefuzzingcorpus) | エッジの終端にあるアイテム。 |

#### `CustomEmojiConnection`

[`CustomEmoji`](#customemoji)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customemojiconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="customemojiconnectionedges"></a>`edges` | [`[CustomEmojiEdge]`](#customemojiedge) | エッジのリスト。 |
| <a id="customemojiconnectionnodes"></a>`nodes` | [`[CustomEmoji]`](#customemoji) | ノードのリスト。 |
| <a id="customemojiconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomEmojiEdge`

[`CustomEmoji`](#customemoji)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customemojiedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customemojiedgenode"></a>`node` | [`CustomEmoji`](#customemoji) | エッジの終端にあるアイテム。 |

#### `CustomFieldConnection`

[`CustomField`](#customfield)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customfieldconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="customfieldconnectionedges"></a>`edges` | [`[CustomFieldEdge]`](#customfieldedge) | エッジのリスト。 |
| <a id="customfieldconnectionnodes"></a>`nodes` | [`[CustomField]`](#customfield) | ノードのリスト。 |
| <a id="customfieldconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomFieldEdge`

[`CustomField`](#customfield)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customfieldedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customfieldedgenode"></a>`node` | [`CustomField`](#customfield) | エッジの終端にあるアイテム。 |

#### `CustomerRelationsContactConnection`

[`CustomerRelationsContact`](#customerrelationscontact)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationscontactconnectionedges"></a>`edges` | [`[CustomerRelationsContactEdge]`](#customerrelationscontactedge) | エッジのリスト。 |
| <a id="customerrelationscontactconnectionnodes"></a>`nodes` | [`[CustomerRelationsContact]`](#customerrelationscontact) | ノードのリスト。 |
| <a id="customerrelationscontactconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomerRelationsContactEdge`

[`CustomerRelationsContact`](#customerrelationscontact)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationscontactedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customerrelationscontactedgenode"></a>`node` | [`CustomerRelationsContact`](#customerrelationscontact) | エッジの終端にあるアイテム。 |

#### `CustomerRelationsOrganizationConnection`

[`CustomerRelationsOrganization`](#customerrelationsorganization)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationsorganizationconnectionedges"></a>`edges` | [`[CustomerRelationsOrganizationEdge]`](#customerrelationsorganizationedge) | エッジのリスト。 |
| <a id="customerrelationsorganizationconnectionnodes"></a>`nodes` | [`[CustomerRelationsOrganization]`](#customerrelationsorganization) | ノードのリスト。 |
| <a id="customerrelationsorganizationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomerRelationsOrganizationEdge`

[`CustomerRelationsOrganization`](#customerrelationsorganization)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationsorganizationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customerrelationsorganizationedgenode"></a>`node` | [`CustomerRelationsOrganization`](#customerrelationsorganization) | エッジの終端にあるアイテム。 |

#### `CustomizableAdminPermissionConnection`

[`CustomizableAdminPermission`](#customizableadminpermission)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizableadminpermissionconnectionedges"></a>`edges` | [`[CustomizableAdminPermissionEdge]`](#customizableadminpermissionedge) | エッジのリスト。 |
| <a id="customizableadminpermissionconnectionnodes"></a>`nodes` | [`[CustomizableAdminPermission]`](#customizableadminpermission) | ノードのリスト。 |
| <a id="customizableadminpermissionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomizableAdminPermissionEdge`

[`CustomizableAdminPermission`](#customizableadminpermission)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizableadminpermissionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customizableadminpermissionedgenode"></a>`node` | [`CustomizableAdminPermission`](#customizableadminpermission) | エッジの終端にあるアイテム。 |

#### `CustomizableDashboardConnection`

[`CustomizableDashboard`](#customizabledashboard)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardconnectionedges"></a>`edges` | [`[CustomizableDashboardEdge]`](#customizabledashboardedge) | エッジのリスト。 |
| <a id="customizabledashboardconnectionnodes"></a>`nodes` | [`[CustomizableDashboard]`](#customizabledashboard) | ノードのリスト。 |
| <a id="customizabledashboardconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomizableDashboardEdge`

[`CustomizableDashboard`](#customizabledashboard)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customizabledashboardedgenode"></a>`node` | [`CustomizableDashboard`](#customizabledashboard) | エッジの終端にあるアイテム。 |

#### `CustomizableDashboardPanelConnection`

[`CustomizableDashboardPanel`](#customizabledashboardpanel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardpanelconnectionedges"></a>`edges` | [`[CustomizableDashboardPanelEdge]`](#customizabledashboardpaneledge) | エッジのリスト。 |
| <a id="customizabledashboardpanelconnectionnodes"></a>`nodes` | [`[CustomizableDashboardPanel]`](#customizabledashboardpanel) | ノードのリスト。 |
| <a id="customizabledashboardpanelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomizableDashboardPanelEdge`

[`CustomizableDashboardPanel`](#customizabledashboardpanel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardpaneledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customizabledashboardpaneledgenode"></a>`node` | [`CustomizableDashboardPanel`](#customizabledashboardpanel) | エッジの終端にあるアイテム。 |

#### `CustomizableDashboardVisualizationConnection`

[`CustomizableDashboardVisualization`](#customizabledashboardvisualization)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardvisualizationconnectionedges"></a>`edges` | [`[CustomizableDashboardVisualizationEdge]`](#customizabledashboardvisualizationedge) | エッジのリスト。 |
| <a id="customizabledashboardvisualizationconnectionnodes"></a>`nodes` | [`[CustomizableDashboardVisualization]`](#customizabledashboardvisualization) | ノードのリスト。 |
| <a id="customizabledashboardvisualizationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomizableDashboardVisualizationEdge`

[`CustomizableDashboardVisualization`](#customizabledashboardvisualization)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardvisualizationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customizabledashboardvisualizationedgenode"></a>`node` | [`CustomizableDashboardVisualization`](#customizabledashboardvisualization) | エッジの終端にあるアイテム。 |

#### `CustomizableStandardPermissionConnection`

[`CustomizableStandardPermission`](#customizablestandardpermission)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizablestandardpermissionconnectionedges"></a>`edges` | [`[CustomizableStandardPermissionEdge]`](#customizablestandardpermissionedge) | エッジのリスト。 |
| <a id="customizablestandardpermissionconnectionnodes"></a>`nodes` | [`[CustomizableStandardPermission]`](#customizablestandardpermission) | ノードのリスト。 |
| <a id="customizablestandardpermissionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `CustomizableStandardPermissionEdge`

[`CustomizableStandardPermission`](#customizablestandardpermission)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizablestandardpermissionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="customizablestandardpermissionedgenode"></a>`node` | [`CustomizableStandardPermission`](#customizablestandardpermission) | エッジの終端にあるアイテム。 |

#### `DastProfileConnection`

[`DastProfile`](#dastprofile)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofileconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="dastprofileconnectionedges"></a>`edges` | [`[DastProfileEdge]`](#dastprofileedge) | エッジのリスト。 |
| <a id="dastprofileconnectionnodes"></a>`nodes` | [`[DastProfile]`](#dastprofile) | ノードのリスト。 |
| <a id="dastprofileconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DastProfileEdge`

[`DastProfile`](#dastprofile)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofileedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dastprofileedgenode"></a>`node` | [`DastProfile`](#dastprofile) | エッジの終端にあるアイテム。 |

#### `DastScannerProfileConnection`

[`DastScannerProfile`](#dastscannerprofile)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastscannerprofileconnectionedges"></a>`edges` | [`[DastScannerProfileEdge]`](#dastscannerprofileedge) | エッジのリスト。 |
| <a id="dastscannerprofileconnectionnodes"></a>`nodes` | [`[DastScannerProfile]`](#dastscannerprofile) | ノードのリスト。 |
| <a id="dastscannerprofileconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DastScannerProfileEdge`

[`DastScannerProfile`](#dastscannerprofile)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastscannerprofileedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dastscannerprofileedgenode"></a>`node` | [`DastScannerProfile`](#dastscannerprofile) | エッジの終端にあるアイテム。 |

#### `DastSiteProfileConnection`

[`DastSiteProfile`](#dastsiteprofile)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofileconnectionedges"></a>`edges` | [`[DastSiteProfileEdge]`](#dastsiteprofileedge) | エッジのリスト。 |
| <a id="dastsiteprofileconnectionnodes"></a>`nodes` | [`[DastSiteProfile]`](#dastsiteprofile) | ノードのリスト。 |
| <a id="dastsiteprofileconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DastSiteProfileEdge`

[`DastSiteProfile`](#dastsiteprofile)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofileedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dastsiteprofileedgenode"></a>`node` | [`DastSiteProfile`](#dastsiteprofile) | エッジの終端にあるアイテム。 |

#### `DastSiteValidationConnection`

[`DastSiteValidation`](#dastsitevalidation)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsitevalidationconnectionedges"></a>`edges` | [`[DastSiteValidationEdge]`](#dastsitevalidationedge) | エッジのリスト。 |
| <a id="dastsitevalidationconnectionnodes"></a>`nodes` | [`[DastSiteValidation]`](#dastsitevalidation) | ノードのリスト。 |
| <a id="dastsitevalidationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DastSiteValidationEdge`

[`DastSiteValidation`](#dastsitevalidation)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsitevalidationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dastsitevalidationedgenode"></a>`node` | [`DastSiteValidation`](#dastsitevalidation) | エッジの終端にあるアイテム。 |

#### `DependencyConnection`

[`Dependency`](#dependency)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyconnectionedges"></a>`edges` | [`[DependencyEdge]`](#dependencyedge) | エッジのリスト。 |
| <a id="dependencyconnectionnodes"></a>`nodes` | [`[Dependency]`](#dependency) | ノードのリスト。 |
| <a id="dependencyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DependencyEdge`

[`Dependency`](#dependency)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dependencyedgenode"></a>`node` | [`Dependency`](#dependency) | エッジの終端にあるアイテム。 |

#### `DependencyProxyBlobConnection`

[`DependencyProxyBlob`](#dependencyproxyblob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobconnectionedges"></a>`edges` | [`[DependencyProxyBlobEdge]`](#dependencyproxyblobedge) | エッジのリスト。 |
| <a id="dependencyproxyblobconnectionnodes"></a>`nodes` | [`[DependencyProxyBlob]`](#dependencyproxyblob) | ノードのリスト。 |
| <a id="dependencyproxyblobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DependencyProxyBlobEdge`

[`DependencyProxyBlob`](#dependencyproxyblob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dependencyproxyblobedgenode"></a>`node` | [`DependencyProxyBlob`](#dependencyproxyblob) | エッジの終端にあるアイテム。 |

#### `DependencyProxyBlobRegistryConnection`

[`DependencyProxyBlobRegistry`](#dependencyproxyblobregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobregistryconnectionedges"></a>`edges` | [`[DependencyProxyBlobRegistryEdge]`](#dependencyproxyblobregistryedge) | エッジのリスト。 |
| <a id="dependencyproxyblobregistryconnectionnodes"></a>`nodes` | [`[DependencyProxyBlobRegistry]`](#dependencyproxyblobregistry) | ノードのリスト。 |
| <a id="dependencyproxyblobregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `DependencyProxyBlobRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `DependencyProxyBlobRegistryEdge`

[`DependencyProxyBlobRegistry`](#dependencyproxyblobregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dependencyproxyblobregistryedgenode"></a>`node` | [`DependencyProxyBlobRegistry`](#dependencyproxyblobregistry) | エッジの終端にあるアイテム。 |

#### `DependencyProxyManifestConnection`

[`DependencyProxyManifest`](#dependencyproxymanifest)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestconnectionedges"></a>`edges` | [`[DependencyProxyManifestEdge]`](#dependencyproxymanifestedge) | エッジのリスト。 |
| <a id="dependencyproxymanifestconnectionnodes"></a>`nodes` | [`[DependencyProxyManifest]`](#dependencyproxymanifest) | ノードのリスト。 |
| <a id="dependencyproxymanifestconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DependencyProxyManifestEdge`

[`DependencyProxyManifest`](#dependencyproxymanifest)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dependencyproxymanifestedgenode"></a>`node` | [`DependencyProxyManifest`](#dependencyproxymanifest) | エッジの終端にあるアイテム。 |

#### `DependencyProxyManifestRegistryConnection`

[`DependencyProxyManifestRegistry`](#dependencyproxymanifestregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestregistryconnectionedges"></a>`edges` | [`[DependencyProxyManifestRegistryEdge]`](#dependencyproxymanifestregistryedge) | エッジのリスト。 |
| <a id="dependencyproxymanifestregistryconnectionnodes"></a>`nodes` | [`[DependencyProxyManifestRegistry]`](#dependencyproxymanifestregistry) | ノードのリスト。 |
| <a id="dependencyproxymanifestregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `DependencyProxyManifestRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `DependencyProxyManifestRegistryEdge`

[`DependencyProxyManifestRegistry`](#dependencyproxymanifestregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="dependencyproxymanifestregistryedgenode"></a>`node` | [`DependencyProxyManifestRegistry`](#dependencyproxymanifestregistry) | エッジの終端にあるアイテム。 |

#### `DeploymentConnection`

[`Deployment`](#deployment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentconnectionedges"></a>`edges` | [`[DeploymentEdge]`](#deploymentedge) | エッジのリスト。 |
| <a id="deploymentconnectionnodes"></a>`nodes` | [`[Deployment]`](#deployment) | ノードのリスト。 |
| <a id="deploymentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DeploymentEdge`

[`Deployment`](#deployment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="deploymentedgenode"></a>`node` | [`Deployment`](#deployment) | エッジの終端にあるアイテム。 |

#### `DesignAtVersionConnection`

[`DesignAtVersion`](#designatversion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designatversionconnectionedges"></a>`edges` | [`[DesignAtVersionEdge]`](#designatversionedge) | エッジのリスト。 |
| <a id="designatversionconnectionnodes"></a>`nodes` | [`[DesignAtVersion]`](#designatversion) | ノードのリスト。 |
| <a id="designatversionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DesignAtVersionEdge`

[`DesignAtVersion`](#designatversion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designatversionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="designatversionedgenode"></a>`node` | [`DesignAtVersion`](#designatversion) | エッジの終端にあるアイテム。 |

#### `DesignConnection`

[`Design`](#design)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designconnectionedges"></a>`edges` | [`[DesignEdge]`](#designedge) | エッジのリスト。 |
| <a id="designconnectionnodes"></a>`nodes` | [`[Design]`](#design) | ノードのリスト。 |
| <a id="designconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DesignEdge`

[`Design`](#design)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="designedgenode"></a>`node` | [`Design`](#design) | エッジの終端にあるアイテム。 |

#### `DesignManagementRepositoryRegistryConnection`

[`DesignManagementRepositoryRegistry`](#designmanagementrepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementrepositoryregistryconnectionedges"></a>`edges` | [`[DesignManagementRepositoryRegistryEdge]`](#designmanagementrepositoryregistryedge) | エッジのリスト。 |
| <a id="designmanagementrepositoryregistryconnectionnodes"></a>`nodes` | [`[DesignManagementRepositoryRegistry]`](#designmanagementrepositoryregistry) | ノードのリスト。 |
| <a id="designmanagementrepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `DesignManagementRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementrepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `DesignManagementRepositoryRegistryEdge`

[`DesignManagementRepositoryRegistry`](#designmanagementrepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementrepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="designmanagementrepositoryregistryedgenode"></a>`node` | [`DesignManagementRepositoryRegistry`](#designmanagementrepositoryregistry) | エッジの終端にあるアイテム。 |

#### `DesignVersionConnection`

[`DesignVersion`](#designversion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversionconnectionedges"></a>`edges` | [`[DesignVersionEdge]`](#designversionedge) | エッジのリスト。 |
| <a id="designversionconnectionnodes"></a>`nodes` | [`[DesignVersion]`](#designversion) | ノードのリスト。 |
| <a id="designversionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DesignVersionEdge`

[`DesignVersion`](#designversion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="designversionedgenode"></a>`node` | [`DesignVersion`](#designversion) | エッジの終端にあるアイテム。 |

#### `DevopsAdoptionEnabledNamespaceConnection`

[`DevopsAdoptionEnabledNamespace`](#devopsadoptionenablednamespace)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionenablednamespaceconnectionedges"></a>`edges` | [`[DevopsAdoptionEnabledNamespaceEdge]`](#devopsadoptionenablednamespaceedge) | エッジのリスト。 |
| <a id="devopsadoptionenablednamespaceconnectionnodes"></a>`nodes` | [`[DevopsAdoptionEnabledNamespace]`](#devopsadoptionenablednamespace) | ノードのリスト。 |
| <a id="devopsadoptionenablednamespaceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DevopsAdoptionEnabledNamespaceEdge`

[`DevopsAdoptionEnabledNamespace`](#devopsadoptionenablednamespace)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionenablednamespaceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="devopsadoptionenablednamespaceedgenode"></a>`node` | [`DevopsAdoptionEnabledNamespace`](#devopsadoptionenablednamespace) | エッジの終端にあるアイテム。 |

#### `DevopsAdoptionSnapshotConnection`

[`DevopsAdoptionSnapshot`](#devopsadoptionsnapshot)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionsnapshotconnectionedges"></a>`edges` | [`[DevopsAdoptionSnapshotEdge]`](#devopsadoptionsnapshotedge) | エッジのリスト。 |
| <a id="devopsadoptionsnapshotconnectionnodes"></a>`nodes` | [`[DevopsAdoptionSnapshot]`](#devopsadoptionsnapshot) | ノードのリスト。 |
| <a id="devopsadoptionsnapshotconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DevopsAdoptionSnapshotEdge`

[`DevopsAdoptionSnapshot`](#devopsadoptionsnapshot)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionsnapshotedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="devopsadoptionsnapshotedgenode"></a>`node` | [`DevopsAdoptionSnapshot`](#devopsadoptionsnapshot) | エッジの終端にあるアイテム。 |

#### `DiscussionConnection`

[`Discussion`](#discussion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="discussionconnectionedges"></a>`edges` | [`[DiscussionEdge]`](#discussionedge) | エッジのリスト。 |
| <a id="discussionconnectionnodes"></a>`nodes` | [`[Discussion]`](#discussion) | ノードのリスト。 |
| <a id="discussionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DiscussionEdge`

[`Discussion`](#discussion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="discussionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="discussionedgenode"></a>`node` | [`Discussion`](#discussion) | エッジの終端にあるアイテム。 |

#### `DoraPerformanceScoreCountConnection`

[`DoraPerformanceScoreCount`](#doraperformancescorecount)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="doraperformancescorecountconnectionedges"></a>`edges` | [`[DoraPerformanceScoreCountEdge]`](#doraperformancescorecountedge) | エッジのリスト。 |
| <a id="doraperformancescorecountconnectionnodoradataprojectscount"></a>`noDoraDataProjectsCount` | [`Int!`](#int) | スコープ内にDORAスコアがないプロジェクトの数。 |
| <a id="doraperformancescorecountconnectionnodes"></a>`nodes` | [`[DoraPerformanceScoreCount]`](#doraperformancescorecount) | ノードのリスト。 |
| <a id="doraperformancescorecountconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="doraperformancescorecountconnectiontotalprojectscount"></a>`totalProjectsCount` | [`Int!`](#int) | プロジェクトの総数。 |

#### `DoraPerformanceScoreCountEdge`

[`DoraPerformanceScoreCount`](#doraperformancescorecount)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="doraperformancescorecountedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="doraperformancescorecountedgenode"></a>`node` | [`DoraPerformanceScoreCount`](#doraperformancescorecount) | エッジの終端にあるアイテム。 |

#### `DuoWorkflowConnection`

[`DuoWorkflow`](#duoworkflow)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkflowconnectionedges"></a>`edges` | [`[DuoWorkflowEdge]`](#duoworkflowedge) | エッジのリスト。 |
| <a id="duoworkflowconnectionnodes"></a>`nodes` | [`[DuoWorkflow]`](#duoworkflow) | ノードのリスト。 |
| <a id="duoworkflowconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DuoWorkflowEdge`

[`DuoWorkflow`](#duoworkflow)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkflowedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="duoworkflowedgenode"></a>`node` | [`DuoWorkflow`](#duoworkflow) | エッジの終端にあるアイテム。 |

#### `DuoWorkflowEventConnection`

[`DuoWorkflowEvent`](#duoworkflowevent)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkfloweventconnectionedges"></a>`edges` | [`[DuoWorkflowEventEdge]`](#duoworkfloweventedge) | エッジのリスト。 |
| <a id="duoworkfloweventconnectionnodes"></a>`nodes` | [`[DuoWorkflowEvent]`](#duoworkflowevent) | ノードのリスト。 |
| <a id="duoworkfloweventconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `DuoWorkflowEventEdge`

[`DuoWorkflowEvent`](#duoworkflowevent)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkfloweventedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="duoworkfloweventedgenode"></a>`node` | [`DuoWorkflowEvent`](#duoworkflowevent) | エッジの終端にあるアイテム。 |

#### `EgressNodeConnection`

[`EgressNode`](#egressnode)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="egressnodeconnectionedges"></a>`edges` | [`[EgressNodeEdge]`](#egressnodeedge) | エッジのリスト。 |
| <a id="egressnodeconnectionnodes"></a>`nodes` | [`[EgressNode]`](#egressnode) | ノードのリスト。 |
| <a id="egressnodeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EgressNodeEdge`

[`EgressNode`](#egressnode)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="egressnodeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="egressnodeedgenode"></a>`node` | [`EgressNode`](#egressnode) | エッジの終端にあるアイテム。 |

#### `EmailConnection`

[`Email`](#email)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailconnectionedges"></a>`edges` | [`[EmailEdge]`](#emailedge) | エッジのリスト。 |
| <a id="emailconnectionnodes"></a>`nodes` | [`[Email]`](#email) | ノードのリスト。 |
| <a id="emailconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EmailEdge`

[`Email`](#email)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="emailedgenode"></a>`node` | [`Email`](#email) | エッジの終端にあるアイテム。 |

#### `EmailParticipantTypeConnection`

[`EmailParticipantType`](#emailparticipanttype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailparticipanttypeconnectionedges"></a>`edges` | [`[EmailParticipantTypeEdge]`](#emailparticipanttypeedge) | エッジのリスト。 |
| <a id="emailparticipanttypeconnectionnodes"></a>`nodes` | [`[EmailParticipantType]`](#emailparticipanttype) | ノードのリスト。 |
| <a id="emailparticipanttypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EmailParticipantTypeEdge`

[`EmailParticipantType`](#emailparticipanttype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailparticipanttypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="emailparticipanttypeedgenode"></a>`node` | [`EmailParticipantType`](#emailparticipanttype) | エッジの終端にあるアイテム。 |

#### `EnvironmentConnection`

[`Environment`](#environment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentconnectionedges"></a>`edges` | [`[EnvironmentEdge]`](#environmentedge) | エッジのリスト。 |
| <a id="environmentconnectionnodes"></a>`nodes` | [`[Environment]`](#environment) | ノードのリスト。 |
| <a id="environmentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EnvironmentEdge`

[`Environment`](#environment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="environmentedgenode"></a>`node` | [`Environment`](#environment) | エッジの終端にあるアイテム。 |

#### `EpicBoardConnection`

[`EpicBoard`](#epicboard)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicboardconnectionedges"></a>`edges` | [`[EpicBoardEdge]`](#epicboardedge) | エッジのリスト。 |
| <a id="epicboardconnectionnodes"></a>`nodes` | [`[EpicBoard]`](#epicboard) | ノードのリスト。 |
| <a id="epicboardconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EpicBoardEdge`

[`EpicBoard`](#epicboard)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicboardedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="epicboardedgenode"></a>`node` | [`EpicBoard`](#epicboard) | エッジの終端にあるアイテム。 |

#### `EpicConnection`

[`Epic`](#epic)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="epicconnectionedges"></a>`edges` | [`[EpicEdge]`](#epicedge) | エッジのリスト。 |
| <a id="epicconnectionnodes"></a>`nodes` | [`[Epic]`](#epic) | ノードのリスト。 |
| <a id="epicconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EpicEdge`

[`Epic`](#epic)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="epicedgenode"></a>`node` | [`Epic`](#epic) | エッジの終端にあるアイテム。 |

#### `EpicIssueConnection`

[`EpicIssue`](#epicissue)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissueconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="epicissueconnectionedges"></a>`edges` | [`[EpicIssueEdge]`](#epicissueedge) | エッジのリスト。 |
| <a id="epicissueconnectionnodes"></a>`nodes` | [`[EpicIssue]`](#epicissue) | ノードのリスト。 |
| <a id="epicissueconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="epicissueconnectionweight"></a>`weight` | [`Int!`](#int) | イシューコレクションの合計ウェイト。 |

#### `EpicIssueEdge`

[`EpicIssue`](#epicissue)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissueedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="epicissueedgenode"></a>`node` | [`EpicIssue`](#epicissue) | エッジの終端にあるアイテム。 |

#### `EpicListConnection`

[`EpicList`](#epiclist)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclistconnectionedges"></a>`edges` | [`[EpicListEdge]`](#epiclistedge) | エッジのリスト。 |
| <a id="epiclistconnectionnodes"></a>`nodes` | [`[EpicList]`](#epiclist) | ノードのリスト。 |
| <a id="epiclistconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EpicListEdge`

[`EpicList`](#epiclist)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclistedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="epiclistedgenode"></a>`node` | [`EpicList`](#epiclist) | エッジの終端にあるアイテム。 |

#### `ErrorTrackingStackTraceConnection`

[`ErrorTrackingStackTrace`](#errortrackingstacktrace)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="errortrackingstacktraceconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="errortrackingstacktraceconnectionedges"></a>`edges` | [`[ErrorTrackingStackTraceEdge]`](#errortrackingstacktraceedge) | エッジのリスト。 |
| <a id="errortrackingstacktraceconnectionnodes"></a>`nodes` | [`[ErrorTrackingStackTrace]`](#errortrackingstacktrace) | ノードのリスト。 |
| <a id="errortrackingstacktraceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ErrorTrackingStackTraceEdge`

[`ErrorTrackingStackTrace`](#errortrackingstacktrace)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="errortrackingstacktraceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="errortrackingstacktraceedgenode"></a>`node` | [`ErrorTrackingStackTrace`](#errortrackingstacktrace) | エッジの終端にあるアイテム。 |

#### `EscalationPolicyTypeConnection`

[`EscalationPolicyType`](#escalationpolicytype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="escalationpolicytypeconnectionedges"></a>`edges` | [`[EscalationPolicyTypeEdge]`](#escalationpolicytypeedge) | エッジのリスト。 |
| <a id="escalationpolicytypeconnectionnodes"></a>`nodes` | [`[EscalationPolicyType]`](#escalationpolicytype) | ノードのリスト。 |
| <a id="escalationpolicytypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EscalationPolicyTypeEdge`

[`EscalationPolicyType`](#escalationpolicytype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="escalationpolicytypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="escalationpolicytypeedgenode"></a>`node` | [`EscalationPolicyType`](#escalationpolicytype) | エッジの終端にあるアイテム。 |

#### `EventConnection`

[`Event`](#event)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="eventconnectionedges"></a>`edges` | [`[EventEdge]`](#eventedge) | エッジのリスト。 |
| <a id="eventconnectionnodes"></a>`nodes` | [`[Event]`](#event) | ノードのリスト。 |
| <a id="eventconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `EventEdge`

[`Event`](#event)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="eventedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="eventedgenode"></a>`node` | [`Event`](#event) | エッジの終端にあるアイテム。 |

#### `ExternalAuditEventDestinationConnection`

[`ExternalAuditEventDestination`](#externalauditeventdestination)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalauditeventdestinationconnectionedges"></a>`edges` | [`[ExternalAuditEventDestinationEdge]`](#externalauditeventdestinationedge) | エッジのリスト。 |
| <a id="externalauditeventdestinationconnectionnodes"></a>`nodes` | [`[ExternalAuditEventDestination]`](#externalauditeventdestination) | ノードのリスト。 |
| <a id="externalauditeventdestinationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ExternalAuditEventDestinationEdge`

[`ExternalAuditEventDestination`](#externalauditeventdestination)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalauditeventdestinationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="externalauditeventdestinationedgenode"></a>`node` | [`ExternalAuditEventDestination`](#externalauditeventdestination) | エッジの終端にあるアイテム。 |

#### `ExternalStatusCheckConnection`

[`ExternalStatusCheck`](#externalstatuscheck)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalstatuscheckconnectionedges"></a>`edges` | [`[ExternalStatusCheckEdge]`](#externalstatuscheckedge) | エッジのリスト。 |
| <a id="externalstatuscheckconnectionnodes"></a>`nodes` | [`[ExternalStatusCheck]`](#externalstatuscheck) | ノードのリスト。 |
| <a id="externalstatuscheckconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ExternalStatusCheckEdge`

[`ExternalStatusCheck`](#externalstatuscheck)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalstatuscheckedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="externalstatuscheckedgenode"></a>`node` | [`ExternalStatusCheck`](#externalstatuscheck) | エッジの終端にあるアイテム。 |

#### `FeatureFlagConnection`

[`FeatureFlag`](#featureflag)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="featureflagconnectionedges"></a>`edges` | [`[FeatureFlagEdge]`](#featureflagedge) | エッジのリスト。 |
| <a id="featureflagconnectionnodes"></a>`nodes` | [`[FeatureFlag]`](#featureflag) | ノードのリスト。 |
| <a id="featureflagconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `FeatureFlagEdge`

[`FeatureFlag`](#featureflag)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="featureflagedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="featureflagedgenode"></a>`node` | [`FeatureFlag`](#featureflag) | エッジの終端にあるアイテム。 |

#### `GitlabSubscriptionHistoryConnection`

[`GitlabSubscriptionHistory`](#gitlabsubscriptionhistory)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="gitlabsubscriptionhistoryconnectionedges"></a>`edges` | [`[GitlabSubscriptionHistoryEdge]`](#gitlabsubscriptionhistoryedge) | エッジのリスト。 |
| <a id="gitlabsubscriptionhistoryconnectionnodes"></a>`nodes` | [`[GitlabSubscriptionHistory]`](#gitlabsubscriptionhistory) | ノードのリスト。 |
| <a id="gitlabsubscriptionhistoryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GitlabSubscriptionHistoryEdge`

[`GitlabSubscriptionHistory`](#gitlabsubscriptionhistory)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="gitlabsubscriptionhistoryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="gitlabsubscriptionhistoryedgenode"></a>`node` | [`GitlabSubscriptionHistory`](#gitlabsubscriptionhistory) | エッジの終端にあるアイテム。 |

#### `GoogleCloudArtifactRegistryArtifactConnection`

[`GoogleCloudArtifactRegistryArtifact`](#googlecloudartifactregistryartifact)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistryartifactconnectionedges"></a>`edges` | [`[GoogleCloudArtifactRegistryArtifactEdge]`](#googlecloudartifactregistryartifactedge) | エッジのリスト。 |
| <a id="googlecloudartifactregistryartifactconnectionnodes"></a>`nodes` | [`[GoogleCloudArtifactRegistryArtifact]`](#googlecloudartifactregistryartifact) | ノードのリスト。 |
| <a id="googlecloudartifactregistryartifactconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GoogleCloudArtifactRegistryArtifactEdge`

[`GoogleCloudArtifactRegistryArtifact`](#googlecloudartifactregistryartifact)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistryartifactedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="googlecloudartifactregistryartifactedgenode"></a>`node` | [`GoogleCloudArtifactRegistryArtifact`](#googlecloudartifactregistryartifact) | エッジの終端にあるアイテム。 |

#### `GoogleCloudLoggingConfigurationTypeConnection`

[`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudloggingconfigurationtypeconnectionedges"></a>`edges` | [`[GoogleCloudLoggingConfigurationTypeEdge]`](#googlecloudloggingconfigurationtypeedge) | エッジのリスト。 |
| <a id="googlecloudloggingconfigurationtypeconnectionnodes"></a>`nodes` | [`[GoogleCloudLoggingConfigurationType]`](#googlecloudloggingconfigurationtype) | ノードのリスト。 |
| <a id="googlecloudloggingconfigurationtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GoogleCloudLoggingConfigurationTypeEdge`

[`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudloggingconfigurationtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="googlecloudloggingconfigurationtypeedgenode"></a>`node` | [`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype) | エッジの終端にあるアイテム。 |

#### `GroupAuditEventStreamingDestinationConnection`

[`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupauditeventstreamingdestinationconnectionedges"></a>`edges` | [`[GroupAuditEventStreamingDestinationEdge]`](#groupauditeventstreamingdestinationedge) | エッジのリスト。 |
| <a id="groupauditeventstreamingdestinationconnectionnodes"></a>`nodes` | [`[GroupAuditEventStreamingDestination]`](#groupauditeventstreamingdestination) | ノードのリスト。 |
| <a id="groupauditeventstreamingdestinationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GroupAuditEventStreamingDestinationEdge`

[`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupauditeventstreamingdestinationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="groupauditeventstreamingdestinationedgenode"></a>`node` | [`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination) | エッジの終端にあるアイテム。 |

#### `GroupConnection`

[`Group`](#group)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupconnectionedges"></a>`edges` | [`[GroupEdge]`](#groupedge) | エッジのリスト。 |
| <a id="groupconnectionnodes"></a>`nodes` | [`[Group]`](#group) | ノードのリスト。 |
| <a id="groupconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GroupEdge`

[`Group`](#group)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="groupedgenode"></a>`node` | [`Group`](#group) | エッジの終端にあるアイテム。 |

#### `GroupMemberConnection`

[`GroupMember`](#groupmember)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmemberconnectionedges"></a>`edges` | [`[GroupMemberEdge]`](#groupmemberedge) | エッジのリスト。 |
| <a id="groupmemberconnectionnodes"></a>`nodes` | [`[GroupMember]`](#groupmember) | ノードのリスト。 |
| <a id="groupmemberconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GroupMemberEdge`

[`GroupMember`](#groupmember)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmemberedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="groupmemberedgenode"></a>`node` | [`GroupMember`](#groupmember) | エッジの終端にあるアイテム。 |

#### `GroupSavedReplyConnection`

[`GroupSavedReply`](#groupsavedreply)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsavedreplyconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="groupsavedreplyconnectionedges"></a>`edges` | [`[GroupSavedReplyEdge]`](#groupsavedreplyedge) | エッジのリスト。 |
| <a id="groupsavedreplyconnectionnodes"></a>`nodes` | [`[GroupSavedReply]`](#groupsavedreply) | ノードのリスト。 |
| <a id="groupsavedreplyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `GroupSavedReplyEdge`

[`GroupSavedReply`](#groupsavedreply)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsavedreplyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="groupsavedreplyedgenode"></a>`node` | [`GroupSavedReply`](#groupsavedreply) | エッジの終端にあるアイテム。 |

#### `GroupWikiRepositoryRegistryConnection`

[`GroupWikiRepositoryRegistry`](#groupwikirepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupwikirepositoryregistryconnectionedges"></a>`edges` | [`[GroupWikiRepositoryRegistryEdge]`](#groupwikirepositoryregistryedge) | エッジのリスト。 |
| <a id="groupwikirepositoryregistryconnectionnodes"></a>`nodes` | [`[GroupWikiRepositoryRegistry]`](#groupwikirepositoryregistry) | ノードのリスト。 |
| <a id="groupwikirepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `GroupWikiRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupwikirepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `GroupWikiRepositoryRegistryEdge`

[`GroupWikiRepositoryRegistry`](#groupwikirepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupwikirepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="groupwikirepositoryregistryedgenode"></a>`node` | [`GroupWikiRepositoryRegistry`](#groupwikirepositoryregistry) | エッジの終端にあるアイテム。 |

#### `ImportSourceUserConnection`

[`ImportSourceUser`](#importsourceuser)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="importsourceuserconnectionedges"></a>`edges` | [`[ImportSourceUserEdge]`](#importsourceuseredge) | エッジのリスト。 |
| <a id="importsourceuserconnectionnodes"></a>`nodes` | [`[ImportSourceUser]`](#importsourceuser) | ノードのリスト。 |
| <a id="importsourceuserconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ImportSourceUserEdge`

[`ImportSourceUser`](#importsourceuser)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="importsourceuseredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="importsourceuseredgenode"></a>`node` | [`ImportSourceUser`](#importsourceuser) | エッジの終端にあるアイテム。 |

#### `IncidentManagementOncallRotationConnection`

[`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallrotationconnectionedges"></a>`edges` | [`[IncidentManagementOncallRotationEdge]`](#incidentmanagementoncallrotationedge) | エッジのリスト。 |
| <a id="incidentmanagementoncallrotationconnectionnodes"></a>`nodes` | [`[IncidentManagementOncallRotation]`](#incidentmanagementoncallrotation) | ノードのリスト。 |
| <a id="incidentmanagementoncallrotationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IncidentManagementOncallRotationEdge`

[`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallrotationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="incidentmanagementoncallrotationedgenode"></a>`node` | [`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation) | エッジの終端にあるアイテム。 |

#### `IncidentManagementOncallScheduleConnection`

[`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallscheduleconnectionedges"></a>`edges` | [`[IncidentManagementOncallScheduleEdge]`](#incidentmanagementoncallscheduleedge) | エッジのリスト。 |
| <a id="incidentmanagementoncallscheduleconnectionnodes"></a>`nodes` | [`[IncidentManagementOncallSchedule]`](#incidentmanagementoncallschedule) | ノードのリスト。 |
| <a id="incidentmanagementoncallscheduleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IncidentManagementOncallScheduleEdge`

[`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallscheduleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="incidentmanagementoncallscheduleedgenode"></a>`node` | [`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule) | エッジの終端にあるアイテム。 |

#### `IncidentManagementOncallShiftConnection`

[`IncidentManagementOncallShift`](#incidentmanagementoncallshift)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallshiftconnectionedges"></a>`edges` | [`[IncidentManagementOncallShiftEdge]`](#incidentmanagementoncallshiftedge) | エッジのリスト。 |
| <a id="incidentmanagementoncallshiftconnectionnodes"></a>`nodes` | [`[IncidentManagementOncallShift]`](#incidentmanagementoncallshift) | ノードのリスト。 |
| <a id="incidentmanagementoncallshiftconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IncidentManagementOncallShiftEdge`

[`IncidentManagementOncallShift`](#incidentmanagementoncallshift)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallshiftedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="incidentmanagementoncallshiftedgenode"></a>`node` | [`IncidentManagementOncallShift`](#incidentmanagementoncallshift) | エッジの終端にあるアイテム。 |

#### `InheritedCiVariableConnection`

[`InheritedCiVariable`](#inheritedcivariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="inheritedcivariableconnectionedges"></a>`edges` | [`[InheritedCiVariableEdge]`](#inheritedcivariableedge) | エッジのリスト。 |
| <a id="inheritedcivariableconnectionnodes"></a>`nodes` | [`[InheritedCiVariable]`](#inheritedcivariable) | ノードのリスト。 |
| <a id="inheritedcivariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `InheritedCiVariableEdge`

[`InheritedCiVariable`](#inheritedcivariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="inheritedcivariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="inheritedcivariableedgenode"></a>`node` | [`InheritedCiVariable`](#inheritedcivariable) | エッジの終端にあるアイテム。 |

#### `InstanceAmazonS3ConfigurationTypeConnection`

[`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceamazons3configurationtypeconnectionedges"></a>`edges` | [`[InstanceAmazonS3ConfigurationTypeEdge]`](#instanceamazons3configurationtypeedge) | エッジのリスト。 |
| <a id="instanceamazons3configurationtypeconnectionnodes"></a>`nodes` | [`[InstanceAmazonS3ConfigurationType]`](#instanceamazons3configurationtype) | ノードのリスト。 |
| <a id="instanceamazons3configurationtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `InstanceAmazonS3ConfigurationTypeEdge`

[`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceamazons3configurationtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="instanceamazons3configurationtypeedgenode"></a>`node` | [`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype) | エッジの終端にあるアイテム。 |

#### `InstanceAuditEventStreamingDestinationConnection`

[`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceauditeventstreamingdestinationconnectionedges"></a>`edges` | [`[InstanceAuditEventStreamingDestinationEdge]`](#instanceauditeventstreamingdestinationedge) | エッジのリスト。 |
| <a id="instanceauditeventstreamingdestinationconnectionnodes"></a>`nodes` | [`[InstanceAuditEventStreamingDestination]`](#instanceauditeventstreamingdestination) | ノードのリスト。 |
| <a id="instanceauditeventstreamingdestinationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `InstanceAuditEventStreamingDestinationEdge`

[`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceauditeventstreamingdestinationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="instanceauditeventstreamingdestinationedgenode"></a>`node` | [`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination) | エッジの終端にあるアイテム。 |

#### `InstanceExternalAuditEventDestinationConnection`

[`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceexternalauditeventdestinationconnectionedges"></a>`edges` | [`[InstanceExternalAuditEventDestinationEdge]`](#instanceexternalauditeventdestinationedge) | エッジのリスト。 |
| <a id="instanceexternalauditeventdestinationconnectionnodes"></a>`nodes` | [`[InstanceExternalAuditEventDestination]`](#instanceexternalauditeventdestination) | ノードのリスト。 |
| <a id="instanceexternalauditeventdestinationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `InstanceExternalAuditEventDestinationEdge`

[`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceexternalauditeventdestinationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="instanceexternalauditeventdestinationedgenode"></a>`node` | [`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination) | エッジの終端にあるアイテム。 |

#### `InstanceGoogleCloudLoggingConfigurationTypeConnection`

[`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancegooglecloudloggingconfigurationtypeconnectionedges"></a>`edges` | [`[InstanceGoogleCloudLoggingConfigurationTypeEdge]`](#instancegooglecloudloggingconfigurationtypeedge) | エッジのリスト。 |
| <a id="instancegooglecloudloggingconfigurationtypeconnectionnodes"></a>`nodes` | [`[InstanceGoogleCloudLoggingConfigurationType]`](#instancegooglecloudloggingconfigurationtype) | ノードのリスト。 |
| <a id="instancegooglecloudloggingconfigurationtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `InstanceGoogleCloudLoggingConfigurationTypeEdge`

[`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancegooglecloudloggingconfigurationtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="instancegooglecloudloggingconfigurationtypeedgenode"></a>`node` | [`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype) | エッジの終端にあるアイテム。 |

#### `IntegrationExclusionConnection`

[`IntegrationExclusion`](#integrationexclusion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="integrationexclusionconnectionedges"></a>`edges` | [`[IntegrationExclusionEdge]`](#integrationexclusionedge) | エッジのリスト。 |
| <a id="integrationexclusionconnectionnodes"></a>`nodes` | [`[IntegrationExclusion]`](#integrationexclusion) | ノードのリスト。 |
| <a id="integrationexclusionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IntegrationExclusionEdge`

[`IntegrationExclusion`](#integrationexclusion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="integrationexclusionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="integrationexclusionedgenode"></a>`node` | [`IntegrationExclusion`](#integrationexclusion) | エッジの終端にあるアイテム。 |

#### `IssuableResourceLinkConnection`

[`IssuableResourceLink`](#issuableresourcelink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuableresourcelinkconnectionedges"></a>`edges` | [`[IssuableResourceLinkEdge]`](#issuableresourcelinkedge) | エッジのリスト。 |
| <a id="issuableresourcelinkconnectionnodes"></a>`nodes` | [`[IssuableResourceLink]`](#issuableresourcelink) | ノードのリスト。 |
| <a id="issuableresourcelinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IssuableResourceLinkEdge`

[`IssuableResourceLink`](#issuableresourcelink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuableresourcelinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="issuableresourcelinkedgenode"></a>`node` | [`IssuableResourceLink`](#issuableresourcelink) | エッジの終端にあるアイテム。 |

#### `IssueConnection`

[`Issue`](#issue)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issueconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="issueconnectionedges"></a>`edges` | [`[IssueEdge]`](#issueedge) | エッジのリスト。 |
| <a id="issueconnectionnodes"></a>`nodes` | [`[Issue]`](#issue) | ノードのリスト。 |
| <a id="issueconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="issueconnectionweight"></a>`weight` | [`Int!`](#int) | イシューコレクションの合計ウェイト。 |

#### `IssueEdge`

[`Issue`](#issue)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issueedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="issueedgenode"></a>`node` | [`Issue`](#issue) | エッジの終端にあるアイテム。 |

#### `IterationCadenceConnection`

[`IterationCadence`](#iterationcadence)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationcadenceconnectionedges"></a>`edges` | [`[IterationCadenceEdge]`](#iterationcadenceedge) | エッジのリスト。 |
| <a id="iterationcadenceconnectionnodes"></a>`nodes` | [`[IterationCadence]`](#iterationcadence) | ノードのリスト。 |
| <a id="iterationcadenceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IterationCadenceEdge`

[`IterationCadence`](#iterationcadence)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationcadenceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="iterationcadenceedgenode"></a>`node` | [`IterationCadence`](#iterationcadence) | エッジの終端にあるアイテム。 |

#### `IterationConnection`

[`Iteration`](#iteration)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationconnectionedges"></a>`edges` | [`[IterationEdge]`](#iterationedge) | エッジのリスト。 |
| <a id="iterationconnectionnodes"></a>`nodes` | [`[Iteration]`](#iteration) | ノードのリスト。 |
| <a id="iterationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `IterationEdge`

[`Iteration`](#iteration)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="iterationedgenode"></a>`node` | [`Iteration`](#iteration) | エッジの終端にあるアイテム。 |

#### `JiraImportConnection`

[`JiraImport`](#jiraimport)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraimportconnectionedges"></a>`edges` | [`[JiraImportEdge]`](#jiraimportedge) | エッジのリスト。 |
| <a id="jiraimportconnectionnodes"></a>`nodes` | [`[JiraImport]`](#jiraimport) | ノードのリスト。 |
| <a id="jiraimportconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `JiraImportEdge`

[`JiraImport`](#jiraimport)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraimportedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="jiraimportedgenode"></a>`node` | [`JiraImport`](#jiraimport) | エッジの終端にあるアイテム。 |

#### `JiraProjectConnection`

[`JiraProject`](#jiraproject)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraprojectconnectionedges"></a>`edges` | [`[JiraProjectEdge]`](#jiraprojectedge) | エッジのリスト。 |
| <a id="jiraprojectconnectionnodes"></a>`nodes` | [`[JiraProject]`](#jiraproject) | ノードのリスト。 |
| <a id="jiraprojectconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `JiraProjectEdge`

[`JiraProject`](#jiraproject)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraprojectedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="jiraprojectedgenode"></a>`node` | [`JiraProject`](#jiraproject) | エッジの終端にあるアイテム。 |

#### `JobArtifactRegistryConnection`

[`JobArtifactRegistry`](#jobartifactregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobartifactregistryconnectionedges"></a>`edges` | [`[JobArtifactRegistryEdge]`](#jobartifactregistryedge) | エッジのリスト。 |
| <a id="jobartifactregistryconnectionnodes"></a>`nodes` | [`[JobArtifactRegistry]`](#jobartifactregistry) | ノードのリスト。 |
| <a id="jobartifactregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `JobArtifactRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobartifactregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `JobArtifactRegistryEdge`

[`JobArtifactRegistry`](#jobartifactregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobartifactregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="jobartifactregistryedgenode"></a>`node` | [`JobArtifactRegistry`](#jobartifactregistry) | エッジの終端にあるアイテム。 |

#### `JobNeedUnionConnection`

[`JobNeedUnion`](#jobneedunion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobneedunionconnectionedges"></a>`edges` | [`[JobNeedUnionEdge]`](#jobneedunionedge) | エッジのリスト。 |
| <a id="jobneedunionconnectionnodes"></a>`nodes` | [`[JobNeedUnion]`](#jobneedunion) | ノードのリスト。 |
| <a id="jobneedunionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `JobNeedUnionEdge`

[`JobNeedUnion`](#jobneedunion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobneedunionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="jobneedunionedgenode"></a>`node` | [`JobNeedUnion`](#jobneedunion) | エッジの終端にあるアイテム。 |

#### `LabelConnection`

[`Label`](#label)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="labelconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="labelconnectionedges"></a>`edges` | [`[LabelEdge]`](#labeledge) | エッジのリスト。 |
| <a id="labelconnectionnodes"></a>`nodes` | [`[Label]`](#label) | ノードのリスト。 |
| <a id="labelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `LabelEdge`

[`Label`](#label)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="labeledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="labeledgenode"></a>`node` | [`Label`](#label) | エッジの終端にあるアイテム。 |

#### `LdapAdminRoleLinkConnection`

[`LdapAdminRoleLink`](#ldapadminrolelink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ldapadminrolelinkconnectionedges"></a>`edges` | [`[LdapAdminRoleLinkEdge]`](#ldapadminrolelinkedge) | エッジのリスト。 |
| <a id="ldapadminrolelinkconnectionnodes"></a>`nodes` | [`[LdapAdminRoleLink]`](#ldapadminrolelink) | ノードのリスト。 |
| <a id="ldapadminrolelinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `LdapAdminRoleLinkEdge`

[`LdapAdminRoleLink`](#ldapadminrolelink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ldapadminrolelinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="ldapadminrolelinkedgenode"></a>`node` | [`LdapAdminRoleLink`](#ldapadminrolelink) | エッジの終端にあるアイテム。 |

#### `LfsObjectRegistryConnection`

[`LfsObjectRegistry`](#lfsobjectregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="lfsobjectregistryconnectionedges"></a>`edges` | [`[LfsObjectRegistryEdge]`](#lfsobjectregistryedge) | エッジのリスト。 |
| <a id="lfsobjectregistryconnectionnodes"></a>`nodes` | [`[LfsObjectRegistry]`](#lfsobjectregistry) | ノードのリスト。 |
| <a id="lfsobjectregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `LfsObjectRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="lfsobjectregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `LfsObjectRegistryEdge`

[`LfsObjectRegistry`](#lfsobjectregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="lfsobjectregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="lfsobjectregistryedgenode"></a>`node` | [`LfsObjectRegistry`](#lfsobjectregistry) | エッジの終端にあるアイテム。 |

#### `LicenseHistoryEntryConnection`

[`LicenseHistoryEntry`](#licensehistoryentry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="licensehistoryentryconnectionedges"></a>`edges` | [`[LicenseHistoryEntryEdge]`](#licensehistoryentryedge) | エッジのリスト。 |
| <a id="licensehistoryentryconnectionnodes"></a>`nodes` | [`[LicenseHistoryEntry]`](#licensehistoryentry) | ノードのリスト。 |
| <a id="licensehistoryentryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `LicenseHistoryEntryEdge`

[`LicenseHistoryEntry`](#licensehistoryentry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="licensehistoryentryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="licensehistoryentryedgenode"></a>`node` | [`LicenseHistoryEntry`](#licensehistoryentry) | エッジの終端にあるアイテム。 |

#### `LinkedWorkItemTypeConnection`

[`LinkedWorkItemType`](#linkedworkitemtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="linkedworkitemtypeconnectionedges"></a>`edges` | [`[LinkedWorkItemTypeEdge]`](#linkedworkitemtypeedge) | エッジのリスト。 |
| <a id="linkedworkitemtypeconnectionnodes"></a>`nodes` | [`[LinkedWorkItemType]`](#linkedworkitemtype) | ノードのリスト。 |
| <a id="linkedworkitemtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `LinkedWorkItemTypeEdge`

[`LinkedWorkItemType`](#linkedworkitemtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="linkedworkitemtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="linkedworkitemtypeedgenode"></a>`node` | [`LinkedWorkItemType`](#linkedworkitemtype) | エッジの終端にあるアイテム。 |

#### `MemberApprovalConnection`

[`MemberApproval`](#memberapproval)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberapprovalconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="memberapprovalconnectionedges"></a>`edges` | [`[MemberApprovalEdge]`](#memberapprovaledge) | エッジのリスト。 |
| <a id="memberapprovalconnectionnodes"></a>`nodes` | [`[MemberApproval]`](#memberapproval) | ノードのリスト。 |
| <a id="memberapprovalconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MemberApprovalEdge`

[`MemberApproval`](#memberapproval)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberapprovaledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="memberapprovaledgenode"></a>`node` | [`MemberApproval`](#memberapproval) | エッジの終端にあるアイテム。 |

#### `MemberInterfaceConnection`

[`MemberInterface`](#memberinterface)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberinterfaceconnectionedges"></a>`edges` | [`[MemberInterfaceEdge]`](#memberinterfaceedge) | エッジのリスト。 |
| <a id="memberinterfaceconnectionnodes"></a>`nodes` | [`[MemberInterface]`](#memberinterface) | ノードのリスト。 |
| <a id="memberinterfaceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MemberInterfaceEdge`

[`MemberInterface`](#memberinterface)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberinterfaceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="memberinterfaceedgenode"></a>`node` | [`MemberInterface`](#memberinterface) | エッジの終端にあるアイテム。 |

#### `MemberRoleConnection`

[`MemberRole`](#memberrole)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberroleconnectionedges"></a>`edges` | [`[MemberRoleEdge]`](#memberroleedge) | エッジのリスト。 |
| <a id="memberroleconnectionnodes"></a>`nodes` | [`[MemberRole]`](#memberrole) | ノードのリスト。 |
| <a id="memberroleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MemberRoleEdge`

[`MemberRole`](#memberrole)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberroleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="memberroleedgenode"></a>`node` | [`MemberRole`](#memberrole) | エッジの終端にあるアイテム。 |

#### `MergeAccessLevelConnection`

[`MergeAccessLevel`](#mergeaccesslevel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergeaccesslevelconnectionedges"></a>`edges` | [`[MergeAccessLevelEdge]`](#mergeaccessleveledge) | エッジのリスト。 |
| <a id="mergeaccesslevelconnectionnodes"></a>`nodes` | [`[MergeAccessLevel]`](#mergeaccesslevel) | ノードのリスト。 |
| <a id="mergeaccesslevelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeAccessLevelEdge`

[`MergeAccessLevel`](#mergeaccesslevel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergeaccessleveledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergeaccessleveledgenode"></a>`node` | [`MergeAccessLevel`](#mergeaccesslevel) | エッジの終端にあるアイテム。 |

#### `MergeRequestAssigneeConnection`

[`MergeRequestAssignee`](#mergerequestassignee)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergerequestassigneeconnectionedges"></a>`edges` | [`[MergeRequestAssigneeEdge]`](#mergerequestassigneeedge) | エッジのリスト。 |
| <a id="mergerequestassigneeconnectionnodes"></a>`nodes` | [`[MergeRequestAssignee]`](#mergerequestassignee) | ノードのリスト。 |
| <a id="mergerequestassigneeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeRequestAssigneeEdge`

[`MergeRequestAssignee`](#mergerequestassignee)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestassigneeedgenode"></a>`node` | [`MergeRequestAssignee`](#mergerequestassignee) | エッジの終端にあるアイテム。 |

#### `MergeRequestConnection`

[`MergeRequest`](#mergerequest)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergerequestconnectionedges"></a>`edges` | [`[MergeRequestEdge]`](#mergerequestedge) | エッジのリスト。 |
| <a id="mergerequestconnectionnodes"></a>`nodes` | [`[MergeRequest]`](#mergerequest) | ノードのリスト。 |
| <a id="mergerequestconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="mergerequestconnectiontotaltimetomerge"></a>`totalTimeToMerge` | [`Float`](#float) | マージリクエストのコレクションについて、マージにかかる時間の合計（秒単位）。 |

#### `MergeRequestDiffConnection`

[`MergeRequestDiff`](#mergerequestdiff)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffconnectionedges"></a>`edges` | [`[MergeRequestDiffEdge]`](#mergerequestdiffedge) | エッジのリスト。 |
| <a id="mergerequestdiffconnectionnodes"></a>`nodes` | [`[MergeRequestDiff]`](#mergerequestdiff) | ノードのリスト。 |
| <a id="mergerequestdiffconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeRequestDiffEdge`

[`MergeRequestDiff`](#mergerequestdiff)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestdiffedgenode"></a>`node` | [`MergeRequestDiff`](#mergerequestdiff) | エッジの終端にあるアイテム。 |

#### `MergeRequestDiffRegistryConnection`

[`MergeRequestDiffRegistry`](#mergerequestdiffregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffregistryconnectionedges"></a>`edges` | [`[MergeRequestDiffRegistryEdge]`](#mergerequestdiffregistryedge) | エッジのリスト。 |
| <a id="mergerequestdiffregistryconnectionnodes"></a>`nodes` | [`[MergeRequestDiffRegistry]`](#mergerequestdiffregistry) | ノードのリスト。 |
| <a id="mergerequestdiffregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MergeRequestDiffRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MergeRequestDiffRegistryEdge`

[`MergeRequestDiffRegistry`](#mergerequestdiffregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestdiffregistryedgenode"></a>`node` | [`MergeRequestDiffRegistry`](#mergerequestdiffregistry) | エッジの終端にあるアイテム。 |

#### `MergeRequestEdge`

[`MergeRequest`](#mergerequest)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestedgenode"></a>`node` | [`MergeRequest`](#mergerequest) | エッジの終端にあるアイテム。 |

#### `MergeRequestParticipantConnection`

[`MergeRequestParticipant`](#mergerequestparticipant)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergerequestparticipantconnectionedges"></a>`edges` | [`[MergeRequestParticipantEdge]`](#mergerequestparticipantedge) | エッジのリスト。 |
| <a id="mergerequestparticipantconnectionnodes"></a>`nodes` | [`[MergeRequestParticipant]`](#mergerequestparticipant) | ノードのリスト。 |
| <a id="mergerequestparticipantconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeRequestParticipantEdge`

[`MergeRequestParticipant`](#mergerequestparticipant)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestparticipantedgenode"></a>`node` | [`MergeRequestParticipant`](#mergerequestparticipant) | エッジの終端にあるアイテム。 |

#### `MergeRequestReviewerConnection`

[`MergeRequestReviewer`](#mergerequestreviewer)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergerequestreviewerconnectionedges"></a>`edges` | [`[MergeRequestReviewerEdge]`](#mergerequestrevieweredge) | エッジのリスト。 |
| <a id="mergerequestreviewerconnectionnodes"></a>`nodes` | [`[MergeRequestReviewer]`](#mergerequestreviewer) | ノードのリスト。 |
| <a id="mergerequestreviewerconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeRequestReviewerEdge`

[`MergeRequestReviewer`](#mergerequestreviewer)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestrevieweredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergerequestrevieweredgenode"></a>`node` | [`MergeRequestReviewer`](#mergerequestreviewer) | エッジの終端にあるアイテム。 |

#### `MergeTrainCarConnection`

[`MergeTrainCar`](#mergetraincar)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetraincarconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergetraincarconnectionedges"></a>`edges` | [`[MergeTrainCarEdge]`](#mergetraincaredge) | エッジのリスト。 |
| <a id="mergetraincarconnectionnodes"></a>`nodes` | [`[MergeTrainCar]`](#mergetraincar) | ノードのリスト。 |
| <a id="mergetraincarconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeTrainCarEdge`

[`MergeTrainCar`](#mergetraincar)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetraincaredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergetraincaredgenode"></a>`node` | [`MergeTrainCar`](#mergetraincar) | エッジの終端にあるアイテム。 |

#### `MergeTrainConnection`

[`MergeTrain`](#mergetrain)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetrainconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="mergetrainconnectionedges"></a>`edges` | [`[MergeTrainEdge]`](#mergetrainedge) | エッジのリスト。 |
| <a id="mergetrainconnectionnodes"></a>`nodes` | [`[MergeTrain]`](#mergetrain) | ノードのリスト。 |
| <a id="mergetrainconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MergeTrainEdge`

[`MergeTrain`](#mergetrain)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetrainedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mergetrainedgenode"></a>`node` | [`MergeTrain`](#mergetrain) | エッジの終端にあるアイテム。 |

#### `MilestoneConnection`

[`Milestone`](#milestone)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="milestoneconnectionedges"></a>`edges` | [`[MilestoneEdge]`](#milestoneedge) | エッジのリスト。 |
| <a id="milestoneconnectionnodes"></a>`nodes` | [`[Milestone]`](#milestone) | ノードのリスト。 |
| <a id="milestoneconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `MilestoneEdge`

[`Milestone`](#milestone)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="milestoneedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="milestoneedgenode"></a>`node` | [`Milestone`](#milestone) | エッジの終端にあるアイテム。 |

#### `MlCandidateConnection`

[`MlCandidate`](#mlcandidate)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateconnectionedges"></a>`edges` | [`[MlCandidateEdge]`](#mlcandidateedge) | エッジのリスト。 |
| <a id="mlcandidateconnectionnodes"></a>`nodes` | [`[MlCandidate]`](#mlcandidate) | ノードのリスト。 |
| <a id="mlcandidateconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlCandidateConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlCandidateEdge`

[`MlCandidate`](#mlcandidate)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlcandidateedgenode"></a>`node` | [`MlCandidate`](#mlcandidate) | エッジの終端にあるアイテム。 |

#### `MlCandidateMetadataConnection`

[`MlCandidateMetadata`](#mlcandidatemetadata)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetadataconnectionedges"></a>`edges` | [`[MlCandidateMetadataEdge]`](#mlcandidatemetadataedge) | エッジのリスト。 |
| <a id="mlcandidatemetadataconnectionnodes"></a>`nodes` | [`[MlCandidateMetadata]`](#mlcandidatemetadata) | ノードのリスト。 |
| <a id="mlcandidatemetadataconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlCandidateMetadataConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetadataconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlCandidateMetadataEdge`

[`MlCandidateMetadata`](#mlcandidatemetadata)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetadataedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlcandidatemetadataedgenode"></a>`node` | [`MlCandidateMetadata`](#mlcandidatemetadata) | エッジの終端にあるアイテム。 |

#### `MlCandidateMetricConnection`

[`MlCandidateMetric`](#mlcandidatemetric)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetricconnectionedges"></a>`edges` | [`[MlCandidateMetricEdge]`](#mlcandidatemetricedge) | エッジのリスト。 |
| <a id="mlcandidatemetricconnectionnodes"></a>`nodes` | [`[MlCandidateMetric]`](#mlcandidatemetric) | ノードのリスト。 |
| <a id="mlcandidatemetricconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlCandidateMetricConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetricconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlCandidateMetricEdge`

[`MlCandidateMetric`](#mlcandidatemetric)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetricedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlcandidatemetricedgenode"></a>`node` | [`MlCandidateMetric`](#mlcandidatemetric) | エッジの終端にあるアイテム。 |

#### `MlCandidateParamConnection`

[`MlCandidateParam`](#mlcandidateparam)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateparamconnectionedges"></a>`edges` | [`[MlCandidateParamEdge]`](#mlcandidateparamedge) | エッジのリスト。 |
| <a id="mlcandidateparamconnectionnodes"></a>`nodes` | [`[MlCandidateParam]`](#mlcandidateparam) | ノードのリスト。 |
| <a id="mlcandidateparamconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlCandidateParamConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateparamconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlCandidateParamEdge`

[`MlCandidateParam`](#mlcandidateparam)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateparamedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlcandidateparamedgenode"></a>`node` | [`MlCandidateParam`](#mlcandidateparam) | エッジの終端にあるアイテム。 |

#### `MlExperimentConnection`

[`MlExperiment`](#mlexperiment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlexperimentconnectionedges"></a>`edges` | [`[MlExperimentEdge]`](#mlexperimentedge) | エッジのリスト。 |
| <a id="mlexperimentconnectionnodes"></a>`nodes` | [`[MlExperiment]`](#mlexperiment) | ノードのリスト。 |
| <a id="mlexperimentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlExperimentConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlexperimentconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlExperimentEdge`

[`MlExperiment`](#mlexperiment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlexperimentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlexperimentedgenode"></a>`node` | [`MlExperiment`](#mlexperiment) | エッジの終端にあるアイテム。 |

#### `MlModelConnection`

[`MlModel`](#mlmodel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelconnectionedges"></a>`edges` | [`[MlModelEdge]`](#mlmodeledge) | エッジのリスト。 |
| <a id="mlmodelconnectionnodes"></a>`nodes` | [`[MlModel]`](#mlmodel) | ノードのリスト。 |
| <a id="mlmodelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlModelConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlModelEdge`

[`MlModel`](#mlmodel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodeledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlmodeledgenode"></a>`node` | [`MlModel`](#mlmodel) | エッジの終端にあるアイテム。 |

#### `MlModelVersionConnection`

[`MlModelVersion`](#mlmodelversion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionconnectionedges"></a>`edges` | [`[MlModelVersionEdge]`](#mlmodelversionedge) | エッジのリスト。 |
| <a id="mlmodelversionconnectionnodes"></a>`nodes` | [`[MlModelVersion]`](#mlmodelversion) | ノードのリスト。 |
| <a id="mlmodelversionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `MlModelVersionConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `MlModelVersionEdge`

[`MlModelVersion`](#mlmodelversion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="mlmodelversionedgenode"></a>`node` | [`MlModelVersion`](#mlmodelversion) | エッジの終端にあるアイテム。 |

#### `NamespaceCommitEmailConnection`

[`NamespaceCommitEmail`](#namespacecommitemail)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecommitemailconnectionedges"></a>`edges` | [`[NamespaceCommitEmailEdge]`](#namespacecommitemailedge) | エッジのリスト。 |
| <a id="namespacecommitemailconnectionnodes"></a>`nodes` | [`[NamespaceCommitEmail]`](#namespacecommitemail) | ノードのリスト。 |
| <a id="namespacecommitemailconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `NamespaceCommitEmailEdge`

[`NamespaceCommitEmail`](#namespacecommitemail)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecommitemailedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="namespacecommitemailedgenode"></a>`node` | [`NamespaceCommitEmail`](#namespacecommitemail) | エッジの終端にあるアイテム。 |

#### `NamespaceConnection`

[`Namespace`](#namespace)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceconnectionedges"></a>`edges` | [`[NamespaceEdge]`](#namespaceedge) | エッジのリスト。 |
| <a id="namespaceconnectionnodes"></a>`nodes` | [`[Namespace]`](#namespace) | ノードのリスト。 |
| <a id="namespaceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `NamespaceEdge`

[`Namespace`](#namespace)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="namespaceedgenode"></a>`node` | [`Namespace`](#namespace) | エッジの終端にあるアイテム。 |

#### `NestedEnvironmentConnection`

[`NestedEnvironment`](#nestedenvironment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="nestedenvironmentconnectionedges"></a>`edges` | [`[NestedEnvironmentEdge]`](#nestedenvironmentedge) | エッジのリスト。 |
| <a id="nestedenvironmentconnectionnodes"></a>`nodes` | [`[NestedEnvironment]`](#nestedenvironment) | ノードのリスト。 |
| <a id="nestedenvironmentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `NestedEnvironmentEdge`

[`NestedEnvironment`](#nestedenvironment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="nestedenvironmentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="nestedenvironmentedgenode"></a>`node` | [`NestedEnvironment`](#nestedenvironment) | エッジの終端にあるアイテム。 |

#### `NoteConnection`

[`Note`](#note)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="noteconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="noteconnectionedges"></a>`edges` | [`[NoteEdge]`](#noteedge) | エッジのリスト。 |
| <a id="noteconnectionnodes"></a>`nodes` | [`[Note]`](#note) | ノードのリスト。 |
| <a id="noteconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `NoteEdge`

[`Note`](#note)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="noteedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="noteedgenode"></a>`node` | [`Note`](#note) | エッジの終端にあるアイテム。 |

#### `ObservabilityLogConnection`

[`ObservabilityLog`](#observabilitylog)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitylogconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="observabilitylogconnectionedges"></a>`edges` | [`[ObservabilityLogEdge]`](#observabilitylogedge) | エッジのリスト。 |
| <a id="observabilitylogconnectionnodes"></a>`nodes` | [`[ObservabilityLog]`](#observabilitylog) | ノードのリスト。 |
| <a id="observabilitylogconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ObservabilityLogEdge`

[`ObservabilityLog`](#observabilitylog)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitylogedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="observabilitylogedgenode"></a>`node` | [`ObservabilityLog`](#observabilitylog) | エッジの終端にあるアイテム。 |

#### `ObservabilityMetricConnection`

[`ObservabilityMetric`](#observabilitymetric)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitymetricconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="observabilitymetricconnectionedges"></a>`edges` | [`[ObservabilityMetricEdge]`](#observabilitymetricedge) | エッジのリスト。 |
| <a id="observabilitymetricconnectionnodes"></a>`nodes` | [`[ObservabilityMetric]`](#observabilitymetric) | ノードのリスト。 |
| <a id="observabilitymetricconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ObservabilityMetricEdge`

[`ObservabilityMetric`](#observabilitymetric)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitymetricedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="observabilitymetricedgenode"></a>`node` | [`ObservabilityMetric`](#observabilitymetric) | エッジの終端にあるアイテム。 |

#### `ObservabilityTraceConnection`

[`ObservabilityTrace`](#observabilitytrace)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitytraceconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="observabilitytraceconnectionedges"></a>`edges` | [`[ObservabilityTraceEdge]`](#observabilitytraceedge) | エッジのリスト。 |
| <a id="observabilitytraceconnectionnodes"></a>`nodes` | [`[ObservabilityTrace]`](#observabilitytrace) | ノードのリスト。 |
| <a id="observabilitytraceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ObservabilityTraceEdge`

[`ObservabilityTrace`](#observabilitytrace)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitytraceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="observabilitytraceedgenode"></a>`node` | [`ObservabilityTrace`](#observabilitytrace) | エッジの終端にあるアイテム。 |

#### `OncallParticipantTypeConnection`

[`OncallParticipantType`](#oncallparticipanttype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallparticipanttypeconnectionedges"></a>`edges` | [`[OncallParticipantTypeEdge]`](#oncallparticipanttypeedge) | エッジのリスト。 |
| <a id="oncallparticipanttypeconnectionnodes"></a>`nodes` | [`[OncallParticipantType]`](#oncallparticipanttype) | ノードのリスト。 |
| <a id="oncallparticipanttypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `OncallParticipantTypeEdge`

[`OncallParticipantType`](#oncallparticipanttype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallparticipanttypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="oncallparticipanttypeedgenode"></a>`node` | [`OncallParticipantType`](#oncallparticipanttype) | エッジの終端にあるアイテム。 |

#### `OrganizationConnection`

[`Organization`](#organization)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="organizationconnectionedges"></a>`edges` | [`[OrganizationEdge]`](#organizationedge) | エッジのリスト。 |
| <a id="organizationconnectionnodes"></a>`nodes` | [`[Organization]`](#organization) | ノードのリスト。 |
| <a id="organizationconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `OrganizationEdge`

[`Organization`](#organization)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="organizationedgenode"></a>`node` | [`Organization`](#organization) | エッジの終端にあるアイテム。 |

#### `OrganizationUserConnection`

[`OrganizationUser`](#organizationuser)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuserconnectionedges"></a>`edges` | [`[OrganizationUserEdge]`](#organizationuseredge) | エッジのリスト。 |
| <a id="organizationuserconnectionnodes"></a>`nodes` | [`[OrganizationUser]`](#organizationuser) | ノードのリスト。 |
| <a id="organizationuserconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `OrganizationUserEdge`

[`OrganizationUser`](#organizationuser)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuseredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="organizationuseredgenode"></a>`node` | [`OrganizationUser`](#organizationuser) | エッジの終端にあるアイテム。 |

#### `PackageBaseConnection`

[`PackageBase`](#packagebase)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagebaseconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="packagebaseconnectionedges"></a>`edges` | [`[PackageBaseEdge]`](#packagebaseedge) | エッジのリスト。 |
| <a id="packagebaseconnectionnodes"></a>`nodes` | [`[PackageBase]`](#packagebase) | ノードのリスト。 |
| <a id="packagebaseconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackageBaseEdge`

[`PackageBase`](#packagebase)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagebaseedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagebaseedgenode"></a>`node` | [`PackageBase`](#packagebase) | エッジの終端にあるアイテム。 |

#### `PackageConnection`

[`Package`](#package)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packageconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="packageconnectionedges"></a>`edges` | [`[PackageEdge]`](#packageedge) | エッジのリスト。 |
| <a id="packageconnectionnodes"></a>`nodes` | [`[Package]`](#package) | ノードのリスト。 |
| <a id="packageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackageDependencyLinkConnection`

[`PackageDependencyLink`](#packagedependencylink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagedependencylinkconnectionedges"></a>`edges` | [`[PackageDependencyLinkEdge]`](#packagedependencylinkedge) | エッジのリスト。 |
| <a id="packagedependencylinkconnectionnodes"></a>`nodes` | [`[PackageDependencyLink]`](#packagedependencylink) | ノードのリスト。 |
| <a id="packagedependencylinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackageDependencyLinkEdge`

[`PackageDependencyLink`](#packagedependencylink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagedependencylinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagedependencylinkedgenode"></a>`node` | [`PackageDependencyLink`](#packagedependencylink) | エッジの終端にあるアイテム。 |

#### `PackageEdge`

[`Package`](#package)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packageedgenode"></a>`node` | [`Package`](#package) | エッジの終端にあるアイテム。 |

#### `PackageFileConnection`

[`PackageFile`](#packagefile)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileconnectionedges"></a>`edges` | [`[PackageFileEdge]`](#packagefileedge) | エッジのリスト。 |
| <a id="packagefileconnectionnodes"></a>`nodes` | [`[PackageFile]`](#packagefile) | ノードのリスト。 |
| <a id="packagefileconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackageFileEdge`

[`PackageFile`](#packagefile)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagefileedgenode"></a>`node` | [`PackageFile`](#packagefile) | エッジの終端にあるアイテム。 |

#### `PackageFileRegistryConnection`

[`PackageFileRegistry`](#packagefileregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileregistryconnectionedges"></a>`edges` | [`[PackageFileRegistryEdge]`](#packagefileregistryedge) | エッジのリスト。 |
| <a id="packagefileregistryconnectionnodes"></a>`nodes` | [`[PackageFileRegistry]`](#packagefileregistry) | ノードのリスト。 |
| <a id="packagefileregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `PackageFileRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `PackageFileRegistryEdge`

[`PackageFileRegistry`](#packagefileregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagefileregistryedgenode"></a>`node` | [`PackageFileRegistry`](#packagefileregistry) | エッジの終端にあるアイテム。 |

#### `PackageTagConnection`

[`PackageTag`](#packagetag)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagetagconnectionedges"></a>`edges` | [`[PackageTagEdge]`](#packagetagedge) | エッジのリスト。 |
| <a id="packagetagconnectionnodes"></a>`nodes` | [`[PackageTag]`](#packagetag) | ノードのリスト。 |
| <a id="packagetagconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackageTagEdge`

[`PackageTag`](#packagetag)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagetagedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagetagedgenode"></a>`node` | [`PackageTag`](#packagetag) | エッジの終端にあるアイテム。 |

#### `PackagesProtectionRuleConnection`

[`PackagesProtectionRule`](#packagesprotectionrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagesprotectionruleconnectionedges"></a>`edges` | [`[PackagesProtectionRuleEdge]`](#packagesprotectionruleedge) | エッジのリスト。 |
| <a id="packagesprotectionruleconnectionnodes"></a>`nodes` | [`[PackagesProtectionRule]`](#packagesprotectionrule) | ノードのリスト。 |
| <a id="packagesprotectionruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PackagesProtectionRuleEdge`

[`PackagesProtectionRule`](#packagesprotectionrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagesprotectionruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="packagesprotectionruleedgenode"></a>`node` | [`PackagesProtectionRule`](#packagesprotectionrule) | エッジの終端にあるアイテム。 |

#### `PagesDeploymentConnection`

[`PagesDeployment`](#pagesdeployment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="pagesdeploymentconnectionedges"></a>`edges` | [`[PagesDeploymentEdge]`](#pagesdeploymentedge) | エッジのリスト。 |
| <a id="pagesdeploymentconnectionnodes"></a>`nodes` | [`[PagesDeployment]`](#pagesdeployment) | ノードのリスト。 |
| <a id="pagesdeploymentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PagesDeploymentEdge`

[`PagesDeployment`](#pagesdeployment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pagesdeploymentedgenode"></a>`node` | [`PagesDeployment`](#pagesdeployment) | エッジの終端にあるアイテム。 |

#### `PagesDeploymentRegistryConnection`

[`PagesDeploymentRegistry`](#pagesdeploymentregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentregistryconnectionedges"></a>`edges` | [`[PagesDeploymentRegistryEdge]`](#pagesdeploymentregistryedge) | エッジのリスト。 |
| <a id="pagesdeploymentregistryconnectionnodes"></a>`nodes` | [`[PagesDeploymentRegistry]`](#pagesdeploymentregistry) | ノードのリスト。 |
| <a id="pagesdeploymentregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `PagesDeploymentRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `PagesDeploymentRegistryEdge`

[`PagesDeploymentRegistry`](#pagesdeploymentregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pagesdeploymentregistryedgenode"></a>`node` | [`PagesDeploymentRegistry`](#pagesdeploymentregistry) | エッジの終端にあるアイテム。 |

#### `PathLockConnection`

[`PathLock`](#pathlock)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pathlockconnectionedges"></a>`edges` | [`[PathLockEdge]`](#pathlockedge) | エッジのリスト。 |
| <a id="pathlockconnectionnodes"></a>`nodes` | [`[PathLock]`](#pathlock) | ノードのリスト。 |
| <a id="pathlockconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PathLockEdge`

[`PathLock`](#pathlock)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pathlockedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pathlockedgenode"></a>`node` | [`PathLock`](#pathlock) | エッジの終端にあるアイテム。 |

#### `PendingMemberInterfaceConnection`

[`PendingMemberInterface`](#pendingmemberinterface)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingmemberinterfaceconnectionedges"></a>`edges` | [`[PendingMemberInterfaceEdge]`](#pendingmemberinterfaceedge) | エッジのリスト。 |
| <a id="pendingmemberinterfaceconnectionnodes"></a>`nodes` | [`[PendingMemberInterface]`](#pendingmemberinterface) | ノードのリスト。 |
| <a id="pendingmemberinterfaceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PendingMemberInterfaceEdge`

[`PendingMemberInterface`](#pendingmemberinterface)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingmemberinterfaceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pendingmemberinterfaceedgenode"></a>`node` | [`PendingMemberInterface`](#pendingmemberinterface) | エッジの終端にあるアイテム。 |

#### `PipelineArtifactRegistryConnection`

[`PipelineArtifactRegistry`](#pipelineartifactregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineartifactregistryconnectionedges"></a>`edges` | [`[PipelineArtifactRegistryEdge]`](#pipelineartifactregistryedge) | エッジのリスト。 |
| <a id="pipelineartifactregistryconnectionnodes"></a>`nodes` | [`[PipelineArtifactRegistry]`](#pipelineartifactregistry) | ノードのリスト。 |
| <a id="pipelineartifactregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `PipelineArtifactRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineartifactregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `PipelineArtifactRegistryEdge`

[`PipelineArtifactRegistry`](#pipelineartifactregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineartifactregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelineartifactregistryedgenode"></a>`node` | [`PipelineArtifactRegistry`](#pipelineartifactregistry) | エッジの終端にあるアイテム。 |

#### `PipelineConnection`

[`Pipeline`](#pipeline)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="pipelineconnectionedges"></a>`edges` | [`[PipelineEdge]`](#pipelineedge) | エッジのリスト。 |
| <a id="pipelineconnectionnodes"></a>`nodes` | [`[Pipeline]`](#pipeline) | ノードのリスト。 |
| <a id="pipelineconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineEdge`

[`Pipeline`](#pipeline)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelineedgenode"></a>`node` | [`Pipeline`](#pipeline) | エッジの終端にあるアイテム。 |

#### `PipelineExecutionPolicyConnection`

[`PipelineExecutionPolicy`](#pipelineexecutionpolicy)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineexecutionpolicyconnectionedges"></a>`edges` | [`[PipelineExecutionPolicyEdge]`](#pipelineexecutionpolicyedge) | エッジのリスト。 |
| <a id="pipelineexecutionpolicyconnectionnodes"></a>`nodes` | [`[PipelineExecutionPolicy]`](#pipelineexecutionpolicy) | ノードのリスト。 |
| <a id="pipelineexecutionpolicyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineExecutionPolicyEdge`

[`PipelineExecutionPolicy`](#pipelineexecutionpolicy)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineexecutionpolicyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelineexecutionpolicyedgenode"></a>`node` | [`PipelineExecutionPolicy`](#pipelineexecutionpolicy) | エッジの終端にあるアイテム。 |

#### `PipelineManualVariableConnection`

[`PipelineManualVariable`](#pipelinemanualvariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemanualvariableconnectionedges"></a>`edges` | [`[PipelineManualVariableEdge]`](#pipelinemanualvariableedge) | エッジのリスト。 |
| <a id="pipelinemanualvariableconnectionnodes"></a>`nodes` | [`[PipelineManualVariable]`](#pipelinemanualvariable) | ノードのリスト。 |
| <a id="pipelinemanualvariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineManualVariableEdge`

[`PipelineManualVariable`](#pipelinemanualvariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemanualvariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelinemanualvariableedgenode"></a>`node` | [`PipelineManualVariable`](#pipelinemanualvariable) | エッジの終端にあるアイテム。 |

#### `PipelineMessageConnection`

[`PipelineMessage`](#pipelinemessage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemessageconnectionedges"></a>`edges` | [`[PipelineMessageEdge]`](#pipelinemessageedge) | エッジのリスト。 |
| <a id="pipelinemessageconnectionnodes"></a>`nodes` | [`[PipelineMessage]`](#pipelinemessage) | ノードのリスト。 |
| <a id="pipelinemessageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineMessageEdge`

[`PipelineMessage`](#pipelinemessage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemessageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelinemessageedgenode"></a>`node` | [`PipelineMessage`](#pipelinemessage) | エッジの終端にあるアイテム。 |

#### `PipelineScheduleConnection`

[`PipelineSchedule`](#pipelineschedule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinescheduleconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="pipelinescheduleconnectionedges"></a>`edges` | [`[PipelineScheduleEdge]`](#pipelinescheduleedge) | エッジのリスト。 |
| <a id="pipelinescheduleconnectionnodes"></a>`nodes` | [`[PipelineSchedule]`](#pipelineschedule) | ノードのリスト。 |
| <a id="pipelinescheduleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineScheduleEdge`

[`PipelineSchedule`](#pipelineschedule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinescheduleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelinescheduleedgenode"></a>`node` | [`PipelineSchedule`](#pipelineschedule) | エッジの終端にあるアイテム。 |

#### `PipelineScheduleVariableConnection`

[`PipelineScheduleVariable`](#pipelineschedulevariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineschedulevariableconnectionedges"></a>`edges` | [`[PipelineScheduleVariableEdge]`](#pipelineschedulevariableedge) | エッジのリスト。 |
| <a id="pipelineschedulevariableconnectionnodes"></a>`nodes` | [`[PipelineScheduleVariable]`](#pipelineschedulevariable) | ノードのリスト。 |
| <a id="pipelineschedulevariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineScheduleVariableEdge`

[`PipelineScheduleVariable`](#pipelineschedulevariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineschedulevariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelineschedulevariableedgenode"></a>`node` | [`PipelineScheduleVariable`](#pipelineschedulevariable) | エッジの終端にあるアイテム。 |

#### `PipelineSecurityReportFindingConnection`

[`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindingconnectionedges"></a>`edges` | [`[PipelineSecurityReportFindingEdge]`](#pipelinesecurityreportfindingedge) | エッジのリスト。 |
| <a id="pipelinesecurityreportfindingconnectionnodes"></a>`nodes` | [`[PipelineSecurityReportFinding]`](#pipelinesecurityreportfinding) | ノードのリスト。 |
| <a id="pipelinesecurityreportfindingconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineSecurityReportFindingEdge`

[`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindingedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelinesecurityreportfindingedgenode"></a>`node` | [`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding) | エッジの終端にあるアイテム。 |

#### `PipelineTriggerConnection`

[`PipelineTrigger`](#pipelinetrigger)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinetriggerconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="pipelinetriggerconnectionedges"></a>`edges` | [`[PipelineTriggerEdge]`](#pipelinetriggeredge) | エッジのリスト。 |
| <a id="pipelinetriggerconnectionnodes"></a>`nodes` | [`[PipelineTrigger]`](#pipelinetrigger) | ノードのリスト。 |
| <a id="pipelinetriggerconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PipelineTriggerEdge`

[`PipelineTrigger`](#pipelinetrigger)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinetriggeredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pipelinetriggeredgenode"></a>`node` | [`PipelineTrigger`](#pipelinetrigger) | エッジの終端にあるアイテム。 |

#### `ProjectComplianceControlStatusTypeConnection`

[`ProjectComplianceControlStatusType`](#projectcompliancecontrolstatustype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancecontrolstatustypeconnectionedges"></a>`edges` | [`[ProjectComplianceControlStatusTypeEdge]`](#projectcompliancecontrolstatustypeedge) | エッジのリスト。 |
| <a id="projectcompliancecontrolstatustypeconnectionnodes"></a>`nodes` | [`[ProjectComplianceControlStatusType]`](#projectcompliancecontrolstatustype) | ノードのリスト。 |
| <a id="projectcompliancecontrolstatustypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectComplianceControlStatusTypeEdge`

[`ProjectComplianceControlStatusType`](#projectcompliancecontrolstatustype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancecontrolstatustypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectcompliancecontrolstatustypeedgenode"></a>`node` | [`ProjectComplianceControlStatusType`](#projectcompliancecontrolstatustype) | エッジの終端にあるアイテム。 |

#### `ProjectComplianceRequirementStatusConnection`

[`ProjectComplianceRequirementStatus`](#projectcompliancerequirementstatus)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancerequirementstatusconnectionedges"></a>`edges` | [`[ProjectComplianceRequirementStatusEdge]`](#projectcompliancerequirementstatusedge) | エッジのリスト。 |
| <a id="projectcompliancerequirementstatusconnectionnodes"></a>`nodes` | [`[ProjectComplianceRequirementStatus]`](#projectcompliancerequirementstatus) | ノードのリスト。 |
| <a id="projectcompliancerequirementstatusconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectComplianceRequirementStatusEdge`

[`ProjectComplianceRequirementStatus`](#projectcompliancerequirementstatus)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancerequirementstatusedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectcompliancerequirementstatusedgenode"></a>`node` | [`ProjectComplianceRequirementStatus`](#projectcompliancerequirementstatus) | エッジの終端にあるアイテム。 |

#### `ProjectConnection`

[`Project`](#project)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="projectconnectionedges"></a>`edges` | [`[ProjectEdge]`](#projectedge) | エッジのリスト。 |
| <a id="projectconnectionnodes"></a>`nodes` | [`[Project]`](#project) | ノードのリスト。 |
| <a id="projectconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectEdge`

[`Project`](#project)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectedgenode"></a>`node` | [`Project`](#project) | エッジの終端にあるアイテム。 |

#### `ProjectMemberConnection`

[`ProjectMember`](#projectmember)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmemberconnectionedges"></a>`edges` | [`[ProjectMemberEdge]`](#projectmemberedge) | エッジのリスト。 |
| <a id="projectmemberconnectionnodes"></a>`nodes` | [`[ProjectMember]`](#projectmember) | ノードのリスト。 |
| <a id="projectmemberconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectMemberEdge`

[`ProjectMember`](#projectmember)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmemberedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectmemberedgenode"></a>`node` | [`ProjectMember`](#projectmember) | エッジの終端にあるアイテム。 |

#### `ProjectRepositoryRegistryConnection`

[`ProjectRepositoryRegistry`](#projectrepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrepositoryregistryconnectionedges"></a>`edges` | [`[ProjectRepositoryRegistryEdge]`](#projectrepositoryregistryedge) | エッジのリスト。 |
| <a id="projectrepositoryregistryconnectionnodes"></a>`nodes` | [`[ProjectRepositoryRegistry]`](#projectrepositoryregistry) | ノードのリスト。 |
| <a id="projectrepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `ProjectRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `ProjectRepositoryRegistryEdge`

[`ProjectRepositoryRegistry`](#projectrepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectrepositoryregistryedgenode"></a>`node` | [`ProjectRepositoryRegistry`](#projectrepositoryregistry) | エッジの終端にあるアイテム。 |

#### `ProjectSavedReplyConnection`

[`ProjectSavedReply`](#projectsavedreply)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsavedreplyconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="projectsavedreplyconnectionedges"></a>`edges` | [`[ProjectSavedReplyEdge]`](#projectsavedreplyedge) | エッジのリスト。 |
| <a id="projectsavedreplyconnectionnodes"></a>`nodes` | [`[ProjectSavedReply]`](#projectsavedreply) | ノードのリスト。 |
| <a id="projectsavedreplyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectSavedReplyEdge`

[`ProjectSavedReply`](#projectsavedreply)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsavedreplyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectsavedreplyedgenode"></a>`node` | [`ProjectSavedReply`](#projectsavedreply) | エッジの終端にあるアイテム。 |

#### `ProjectSecretConnection`

[`ProjectSecret`](#projectsecret)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecretconnectionedges"></a>`edges` | [`[ProjectSecretEdge]`](#projectsecretedge) | エッジのリスト。 |
| <a id="projectsecretconnectionnodes"></a>`nodes` | [`[ProjectSecret]`](#projectsecret) | ノードのリスト。 |
| <a id="projectsecretconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectSecretEdge`

[`ProjectSecret`](#projectsecret)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecretedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectsecretedgenode"></a>`node` | [`ProjectSecret`](#projectsecret) | エッジの終端にあるアイテム。 |

#### `ProjectSecurityExclusionConnection`

[`ProjectSecurityExclusion`](#projectsecurityexclusion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecurityexclusionconnectionedges"></a>`edges` | [`[ProjectSecurityExclusionEdge]`](#projectsecurityexclusionedge) | エッジのリスト。 |
| <a id="projectsecurityexclusionconnectionnodes"></a>`nodes` | [`[ProjectSecurityExclusion]`](#projectsecurityexclusion) | ノードのリスト。 |
| <a id="projectsecurityexclusionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectSecurityExclusionEdge`

[`ProjectSecurityExclusion`](#projectsecurityexclusion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecurityexclusionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectsecurityexclusionedgenode"></a>`node` | [`ProjectSecurityExclusion`](#projectsecurityexclusion) | エッジの終端にあるアイテム。 |

#### `ProjectTargetBranchRuleConnection`

[`ProjectTargetBranchRule`](#projecttargetbranchrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projecttargetbranchruleconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="projecttargetbranchruleconnectionedges"></a>`edges` | [`[ProjectTargetBranchRuleEdge]`](#projecttargetbranchruleedge) | エッジのリスト。 |
| <a id="projecttargetbranchruleconnectionnodes"></a>`nodes` | [`[ProjectTargetBranchRule]`](#projecttargetbranchrule) | ノードのリスト。 |
| <a id="projecttargetbranchruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProjectTargetBranchRuleEdge`

[`ProjectTargetBranchRule`](#projecttargetbranchrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projecttargetbranchruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projecttargetbranchruleedgenode"></a>`node` | [`ProjectTargetBranchRule`](#projecttargetbranchrule) | エッジの終端にあるアイテム。 |

#### `ProjectWikiRepositoryRegistryConnection`

[`ProjectWikiRepositoryRegistry`](#projectwikirepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectwikirepositoryregistryconnectionedges"></a>`edges` | [`[ProjectWikiRepositoryRegistryEdge]`](#projectwikirepositoryregistryedge) | エッジのリスト。 |
| <a id="projectwikirepositoryregistryconnectionnodes"></a>`nodes` | [`[ProjectWikiRepositoryRegistry]`](#projectwikirepositoryregistry) | ノードのリスト。 |
| <a id="projectwikirepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `ProjectWikiRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectwikirepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `ProjectWikiRepositoryRegistryEdge`

[`ProjectWikiRepositoryRegistry`](#projectwikirepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectwikirepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="projectwikirepositoryregistryedgenode"></a>`node` | [`ProjectWikiRepositoryRegistry`](#projectwikirepositoryregistry) | エッジの終端にあるアイテム。 |

#### `ProtectedEnvironmentApprovalRuleConnection`

[`ProtectedEnvironmentApprovalRule`](#protectedenvironmentapprovalrule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentapprovalruleconnectionedges"></a>`edges` | [`[ProtectedEnvironmentApprovalRuleEdge]`](#protectedenvironmentapprovalruleedge) | エッジのリスト。 |
| <a id="protectedenvironmentapprovalruleconnectionnodes"></a>`nodes` | [`[ProtectedEnvironmentApprovalRule]`](#protectedenvironmentapprovalrule) | ノードのリスト。 |
| <a id="protectedenvironmentapprovalruleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProtectedEnvironmentApprovalRuleEdge`

[`ProtectedEnvironmentApprovalRule`](#protectedenvironmentapprovalrule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentapprovalruleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="protectedenvironmentapprovalruleedgenode"></a>`node` | [`ProtectedEnvironmentApprovalRule`](#protectedenvironmentapprovalrule) | エッジの終端にあるアイテム。 |

#### `ProtectedEnvironmentConnection`

[`ProtectedEnvironment`](#protectedenvironment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentconnectionedges"></a>`edges` | [`[ProtectedEnvironmentEdge]`](#protectedenvironmentedge) | エッジのリスト。 |
| <a id="protectedenvironmentconnectionnodes"></a>`nodes` | [`[ProtectedEnvironment]`](#protectedenvironment) | ノードのリスト。 |
| <a id="protectedenvironmentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProtectedEnvironmentDeployAccessLevelConnection`

[`ProtectedEnvironmentDeployAccessLevel`](#protectedenvironmentdeployaccesslevel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentdeployaccesslevelconnectionedges"></a>`edges` | [`[ProtectedEnvironmentDeployAccessLevelEdge]`](#protectedenvironmentdeployaccessleveledge) | エッジのリスト。 |
| <a id="protectedenvironmentdeployaccesslevelconnectionnodes"></a>`nodes` | [`[ProtectedEnvironmentDeployAccessLevel]`](#protectedenvironmentdeployaccesslevel) | ノードのリスト。 |
| <a id="protectedenvironmentdeployaccesslevelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ProtectedEnvironmentDeployAccessLevelEdge`

[`ProtectedEnvironmentDeployAccessLevel`](#protectedenvironmentdeployaccesslevel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentdeployaccessleveledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="protectedenvironmentdeployaccessleveledgenode"></a>`node` | [`ProtectedEnvironmentDeployAccessLevel`](#protectedenvironmentdeployaccesslevel) | エッジの終端にあるアイテム。 |

#### `ProtectedEnvironmentEdge`

[`ProtectedEnvironment`](#protectedenvironment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="protectedenvironmentedgenode"></a>`node` | [`ProtectedEnvironment`](#protectedenvironment) | エッジの終端にあるアイテム。 |

#### `PushAccessLevelConnection`

[`PushAccessLevel`](#pushaccesslevel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pushaccesslevelconnectionedges"></a>`edges` | [`[PushAccessLevelEdge]`](#pushaccessleveledge) | エッジのリスト。 |
| <a id="pushaccesslevelconnectionnodes"></a>`nodes` | [`[PushAccessLevel]`](#pushaccesslevel) | ノードのリスト。 |
| <a id="pushaccesslevelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `PushAccessLevelEdge`

[`PushAccessLevel`](#pushaccesslevel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pushaccessleveledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="pushaccessleveledgenode"></a>`node` | [`PushAccessLevel`](#pushaccesslevel) | エッジの終端にあるアイテム。 |

#### `ReleaseAssetLinkConnection`

[`ReleaseAssetLink`](#releaseassetlink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetlinkconnectionedges"></a>`edges` | [`[ReleaseAssetLinkEdge]`](#releaseassetlinkedge) | エッジのリスト。 |
| <a id="releaseassetlinkconnectionnodes"></a>`nodes` | [`[ReleaseAssetLink]`](#releaseassetlink) | ノードのリスト。 |
| <a id="releaseassetlinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ReleaseAssetLinkEdge`

[`ReleaseAssetLink`](#releaseassetlink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetlinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="releaseassetlinkedgenode"></a>`node` | [`ReleaseAssetLink`](#releaseassetlink) | エッジの終端にあるアイテム。 |

#### `ReleaseConnection`

[`Release`](#release)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="releaseconnectionedges"></a>`edges` | [`[ReleaseEdge]`](#releaseedge) | エッジのリスト。 |
| <a id="releaseconnectionnodes"></a>`nodes` | [`[Release]`](#release) | ノードのリスト。 |
| <a id="releaseconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ReleaseEdge`

[`Release`](#release)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="releaseedgenode"></a>`node` | [`Release`](#release) | エッジの終端にあるアイテム。 |

#### `ReleaseEvidenceConnection`

[`ReleaseEvidence`](#releaseevidence)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseevidenceconnectionedges"></a>`edges` | [`[ReleaseEvidenceEdge]`](#releaseevidenceedge) | エッジのリスト。 |
| <a id="releaseevidenceconnectionnodes"></a>`nodes` | [`[ReleaseEvidence]`](#releaseevidence) | ノードのリスト。 |
| <a id="releaseevidenceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ReleaseEvidenceEdge`

[`ReleaseEvidence`](#releaseevidence)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseevidenceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="releaseevidenceedgenode"></a>`node` | [`ReleaseEvidence`](#releaseevidence) | エッジの終端にあるアイテム。 |

#### `ReleaseSourceConnection`

[`ReleaseSource`](#releasesource)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releasesourceconnectionedges"></a>`edges` | [`[ReleaseSourceEdge]`](#releasesourceedge) | エッジのリスト。 |
| <a id="releasesourceconnectionnodes"></a>`nodes` | [`[ReleaseSource]`](#releasesource) | ノードのリスト。 |
| <a id="releasesourceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ReleaseSourceEdge`

[`ReleaseSource`](#releasesource)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releasesourceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="releasesourceedgenode"></a>`node` | [`ReleaseSource`](#releasesource) | エッジの終端にあるアイテム。 |

#### `RepositoryBlobConnection`

[`RepositoryBlob`](#repositoryblob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryblobconnectionedges"></a>`edges` | [`[RepositoryBlobEdge]`](#repositoryblobedge) | エッジのリスト。 |
| <a id="repositoryblobconnectionnodes"></a>`nodes` | [`[RepositoryBlob]`](#repositoryblob) | ノードのリスト。 |
| <a id="repositoryblobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `RepositoryBlobEdge`

[`RepositoryBlob`](#repositoryblob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryblobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="repositoryblobedgenode"></a>`node` | [`RepositoryBlob`](#repositoryblob) | エッジの終端にあるアイテム。 |

#### `RequirementConnection`

[`Requirement`](#requirement)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementconnectionedges"></a>`edges` | [`[RequirementEdge]`](#requirementedge) | エッジのリスト。 |
| <a id="requirementconnectionnodes"></a>`nodes` | [`[Requirement]`](#requirement) | ノードのリスト。 |
| <a id="requirementconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `RequirementEdge`

[`Requirement`](#requirement)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="requirementedgenode"></a>`node` | [`Requirement`](#requirement) | エッジの終端にあるアイテム。 |

#### `RunnerArchitectureConnection`

[`RunnerArchitecture`](#runnerarchitecture)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerarchitectureconnectionedges"></a>`edges` | [`[RunnerArchitectureEdge]`](#runnerarchitectureedge) | エッジのリスト。 |
| <a id="runnerarchitectureconnectionnodes"></a>`nodes` | [`[RunnerArchitecture]`](#runnerarchitecture) | ノードのリスト。 |
| <a id="runnerarchitectureconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `RunnerArchitectureEdge`

[`RunnerArchitecture`](#runnerarchitecture)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerarchitectureedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="runnerarchitectureedgenode"></a>`node` | [`RunnerArchitecture`](#runnerarchitecture) | エッジの終端にあるアイテム。 |

#### `RunnerPlatformConnection`

[`RunnerPlatform`](#runnerplatform)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerplatformconnectionedges"></a>`edges` | [`[RunnerPlatformEdge]`](#runnerplatformedge) | エッジのリスト。 |
| <a id="runnerplatformconnectionnodes"></a>`nodes` | [`[RunnerPlatform]`](#runnerplatform) | ノードのリスト。 |
| <a id="runnerplatformconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `RunnerPlatformEdge`

[`RunnerPlatform`](#runnerplatform)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerplatformedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="runnerplatformedgenode"></a>`node` | [`RunnerPlatform`](#runnerplatform) | エッジの終端にあるアイテム。 |

#### `SastCiConfigurationAnalyzersEntityConnection`

[`SastCiConfigurationAnalyzersEntity`](#sastciconfigurationanalyzersentity)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationanalyzersentityconnectionedges"></a>`edges` | [`[SastCiConfigurationAnalyzersEntityEdge]`](#sastciconfigurationanalyzersentityedge) | エッジのリスト。 |
| <a id="sastciconfigurationanalyzersentityconnectionnodes"></a>`nodes` | [`[SastCiConfigurationAnalyzersEntity]`](#sastciconfigurationanalyzersentity) | ノードのリスト。 |
| <a id="sastciconfigurationanalyzersentityconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SastCiConfigurationAnalyzersEntityEdge`

[`SastCiConfigurationAnalyzersEntity`](#sastciconfigurationanalyzersentity)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationanalyzersentityedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="sastciconfigurationanalyzersentityedgenode"></a>`node` | [`SastCiConfigurationAnalyzersEntity`](#sastciconfigurationanalyzersentity) | エッジの終端にあるアイテム。 |

#### `SastCiConfigurationEntityConnection`

[`SastCiConfigurationEntity`](#sastciconfigurationentity)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationentityconnectionedges"></a>`edges` | [`[SastCiConfigurationEntityEdge]`](#sastciconfigurationentityedge) | エッジのリスト。 |
| <a id="sastciconfigurationentityconnectionnodes"></a>`nodes` | [`[SastCiConfigurationEntity]`](#sastciconfigurationentity) | ノードのリスト。 |
| <a id="sastciconfigurationentityconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SastCiConfigurationEntityEdge`

[`SastCiConfigurationEntity`](#sastciconfigurationentity)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationentityedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="sastciconfigurationentityedgenode"></a>`node` | [`SastCiConfigurationEntity`](#sastciconfigurationentity) | エッジの終端にあるアイテム。 |

#### `SastCiConfigurationOptionsEntityConnection`

[`SastCiConfigurationOptionsEntity`](#sastciconfigurationoptionsentity)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationoptionsentityconnectionedges"></a>`edges` | [`[SastCiConfigurationOptionsEntityEdge]`](#sastciconfigurationoptionsentityedge) | エッジのリスト。 |
| <a id="sastciconfigurationoptionsentityconnectionnodes"></a>`nodes` | [`[SastCiConfigurationOptionsEntity]`](#sastciconfigurationoptionsentity) | ノードのリスト。 |
| <a id="sastciconfigurationoptionsentityconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SastCiConfigurationOptionsEntityEdge`

[`SastCiConfigurationOptionsEntity`](#sastciconfigurationoptionsentity)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationoptionsentityedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="sastciconfigurationoptionsentityedgenode"></a>`node` | [`SastCiConfigurationOptionsEntity`](#sastciconfigurationoptionsentity) | エッジの終端にあるアイテム。 |

#### `SavedReplyConnection`

[`SavedReply`](#savedreply)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="savedreplyconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="savedreplyconnectionedges"></a>`edges` | [`[SavedReplyEdge]`](#savedreplyedge) | エッジのリスト。 |
| <a id="savedreplyconnectionnodes"></a>`nodes` | [`[SavedReply]`](#savedreply) | ノードのリスト。 |
| <a id="savedreplyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SavedReplyEdge`

[`SavedReply`](#savedreply)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="savedreplyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="savedreplyedgenode"></a>`node` | [`SavedReply`](#savedreply) | エッジの終端にあるアイテム。 |

#### `ScanConnection`

[`Scan`](#scan)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanconnectionedges"></a>`edges` | [`[ScanEdge]`](#scanedge) | エッジのリスト。 |
| <a id="scanconnectionnodes"></a>`nodes` | [`[Scan]`](#scan) | ノードのリスト。 |
| <a id="scanconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ScanEdge`

[`Scan`](#scan)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="scanedgenode"></a>`node` | [`Scan`](#scan) | エッジの終端にあるアイテム。 |

#### `ScanExecutionPolicyConnection`

[`ScanExecutionPolicy`](#scanexecutionpolicy)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanexecutionpolicyconnectionedges"></a>`edges` | [`[ScanExecutionPolicyEdge]`](#scanexecutionpolicyedge) | エッジのリスト。 |
| <a id="scanexecutionpolicyconnectionnodes"></a>`nodes` | [`[ScanExecutionPolicy]`](#scanexecutionpolicy) | ノードのリスト。 |
| <a id="scanexecutionpolicyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ScanExecutionPolicyEdge`

[`ScanExecutionPolicy`](#scanexecutionpolicy)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanexecutionpolicyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="scanexecutionpolicyedgenode"></a>`node` | [`ScanExecutionPolicy`](#scanexecutionpolicy) | エッジの終端にあるアイテム。 |

#### `ScanResultPolicyConnection`

[`ScanResultPolicy`](#scanresultpolicy)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanresultpolicyconnectionedges"></a>`edges` | [`[ScanResultPolicyEdge]`](#scanresultpolicyedge) | エッジのリスト。 |
| <a id="scanresultpolicyconnectionnodes"></a>`nodes` | [`[ScanResultPolicy]`](#scanresultpolicy) | ノードのリスト。 |
| <a id="scanresultpolicyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ScanResultPolicyEdge`

[`ScanResultPolicy`](#scanresultpolicy)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanresultpolicyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="scanresultpolicyedgenode"></a>`node` | [`ScanResultPolicy`](#scanresultpolicy) | エッジの終端にあるアイテム。 |

#### `ScannedResourceConnection`

[`ScannedResource`](#scannedresource)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scannedresourceconnectionedges"></a>`edges` | [`[ScannedResourceEdge]`](#scannedresourceedge) | エッジのリスト。 |
| <a id="scannedresourceconnectionnodes"></a>`nodes` | [`[ScannedResource]`](#scannedresource) | ノードのリスト。 |
| <a id="scannedresourceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ScannedResourceEdge`

[`ScannedResource`](#scannedresource)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scannedresourceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="scannedresourceedgenode"></a>`node` | [`ScannedResource`](#scannedresource) | エッジの終端にあるアイテム。 |

#### `SentryErrorConnection`

[`SentryError`](#sentryerror)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorconnectionedges"></a>`edges` | [`[SentryErrorEdge]`](#sentryerroredge) | エッジのリスト。 |
| <a id="sentryerrorconnectionnodes"></a>`nodes` | [`[SentryError]`](#sentryerror) | ノードのリスト。 |
| <a id="sentryerrorconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SentryErrorEdge`

[`SentryError`](#sentryerror)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerroredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="sentryerroredgenode"></a>`node` | [`SentryError`](#sentryerror) | エッジの終端にあるアイテム。 |

#### `ServiceConnection`

[`Service`](#service)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="serviceconnectionedges"></a>`edges` | [`[ServiceEdge]`](#serviceedge) | エッジのリスト。 |
| <a id="serviceconnectionnodes"></a>`nodes` | [`[Service]`](#service) | ノードのリスト。 |
| <a id="serviceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ServiceEdge`

[`Service`](#service)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="serviceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="serviceedgenode"></a>`node` | [`Service`](#service) | エッジの終端にあるアイテム。 |

#### `SeverityOverrideConnection`

[`SeverityOverride`](#severityoverride)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="severityoverrideconnectionedges"></a>`edges` | [`[SeverityOverrideEdge]`](#severityoverrideedge) | エッジのリスト。 |
| <a id="severityoverrideconnectionnodes"></a>`nodes` | [`[SeverityOverride]`](#severityoverride) | ノードのリスト。 |
| <a id="severityoverrideconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SeverityOverrideEdge`

[`SeverityOverride`](#severityoverride)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="severityoverrideedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="severityoverrideedgenode"></a>`node` | [`SeverityOverride`](#severityoverride) | エッジの終端にあるアイテム。 |

#### `SnippetBlobConnection`

[`SnippetBlob`](#snippetblob)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobconnectionedges"></a>`edges` | [`[SnippetBlobEdge]`](#snippetblobedge) | エッジのリスト。 |
| <a id="snippetblobconnectionhasunretrievableblobs"></a>`hasUnretrievableBlobs` | [`Boolean!`](#boolean) | スニペットに取得不能blobがあるかどうかを示します。 |
| <a id="snippetblobconnectionnodes"></a>`nodes` | [`[SnippetBlob]`](#snippetblob) | ノードのリスト。 |
| <a id="snippetblobconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SnippetBlobEdge`

[`SnippetBlob`](#snippetblob)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="snippetblobedgenode"></a>`node` | [`SnippetBlob`](#snippetblob) | エッジの終端にあるアイテム。 |

#### `SnippetConnection`

[`Snippet`](#snippet)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetconnectionedges"></a>`edges` | [`[SnippetEdge]`](#snippetedge) | エッジのリスト。 |
| <a id="snippetconnectionnodes"></a>`nodes` | [`[Snippet]`](#snippet) | ノードのリスト。 |
| <a id="snippetconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SnippetEdge`

[`Snippet`](#snippet)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="snippetedgenode"></a>`node` | [`Snippet`](#snippet) | エッジの終端にあるアイテム。 |

#### `SnippetRepositoryRegistryConnection`

[`SnippetRepositoryRegistry`](#snippetrepositoryregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetrepositoryregistryconnectionedges"></a>`edges` | [`[SnippetRepositoryRegistryEdge]`](#snippetrepositoryregistryedge) | エッジのリスト。 |
| <a id="snippetrepositoryregistryconnectionnodes"></a>`nodes` | [`[SnippetRepositoryRegistry]`](#snippetrepositoryregistry) | ノードのリスト。 |
| <a id="snippetrepositoryregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `SnippetRepositoryRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetrepositoryregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `SnippetRepositoryRegistryEdge`

[`SnippetRepositoryRegistry`](#snippetrepositoryregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetrepositoryregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="snippetrepositoryregistryedgenode"></a>`node` | [`SnippetRepositoryRegistry`](#snippetrepositoryregistry) | エッジの終端にあるアイテム。 |

#### `StandardRoleConnection`

[`StandardRole`](#standardrole)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="standardroleconnectionedges"></a>`edges` | [`[StandardRoleEdge]`](#standardroleedge) | エッジのリスト。 |
| <a id="standardroleconnectionnodes"></a>`nodes` | [`[StandardRole]`](#standardrole) | ノードのリスト。 |
| <a id="standardroleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `StandardRoleEdge`

[`StandardRole`](#standardrole)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="standardroleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="standardroleedgenode"></a>`node` | [`StandardRole`](#standardrole) | エッジの終端にあるアイテム。 |

#### `SubmoduleConnection`

[`Submodule`](#submodule)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="submoduleconnectionedges"></a>`edges` | [`[SubmoduleEdge]`](#submoduleedge) | エッジのリスト。 |
| <a id="submoduleconnectionnodes"></a>`nodes` | [`[Submodule]`](#submodule) | ノードのリスト。 |
| <a id="submoduleconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SubmoduleEdge`

[`Submodule`](#submodule)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="submoduleedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="submoduleedgenode"></a>`node` | [`Submodule`](#submodule) | エッジの終端にあるアイテム。 |

#### `SubscriptionFutureEntryConnection`

[`SubscriptionFutureEntry`](#subscriptionfutureentry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="subscriptionfutureentryconnectionedges"></a>`edges` | [`[SubscriptionFutureEntryEdge]`](#subscriptionfutureentryedge) | エッジのリスト。 |
| <a id="subscriptionfutureentryconnectionnodes"></a>`nodes` | [`[SubscriptionFutureEntry]`](#subscriptionfutureentry) | ノードのリスト。 |
| <a id="subscriptionfutureentryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `SubscriptionFutureEntryEdge`

[`SubscriptionFutureEntry`](#subscriptionfutureentry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="subscriptionfutureentryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="subscriptionfutureentryedgenode"></a>`node` | [`SubscriptionFutureEntry`](#subscriptionfutureentry) | エッジの終端にあるアイテム。 |

#### `TerraformStateConnection`

[`TerraformState`](#terraformstate)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="terraformstateconnectionedges"></a>`edges` | [`[TerraformStateEdge]`](#terraformstateedge) | エッジのリスト。 |
| <a id="terraformstateconnectionnodes"></a>`nodes` | [`[TerraformState]`](#terraformstate) | ノードのリスト。 |
| <a id="terraformstateconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TerraformStateEdge`

[`TerraformState`](#terraformstate)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="terraformstateedgenode"></a>`node` | [`TerraformState`](#terraformstate) | エッジの終端にあるアイテム。 |

#### `TerraformStateVersionRegistryConnection`

[`TerraformStateVersionRegistry`](#terraformstateversionregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateversionregistryconnectionedges"></a>`edges` | [`[TerraformStateVersionRegistryEdge]`](#terraformstateversionregistryedge) | エッジのリスト。 |
| <a id="terraformstateversionregistryconnectionnodes"></a>`nodes` | [`[TerraformStateVersionRegistry]`](#terraformstateversionregistry) | ノードのリスト。 |
| <a id="terraformstateversionregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `TerraformStateVersionRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateversionregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `TerraformStateVersionRegistryEdge`

[`TerraformStateVersionRegistry`](#terraformstateversionregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateversionregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="terraformstateversionregistryedgenode"></a>`node` | [`TerraformStateVersionRegistry`](#terraformstateversionregistry) | エッジの終端にあるアイテム。 |

#### `TestCaseConnection`

[`TestCase`](#testcase)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testcaseconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="testcaseconnectionedges"></a>`edges` | [`[TestCaseEdge]`](#testcaseedge) | エッジのリスト。 |
| <a id="testcaseconnectionnodes"></a>`nodes` | [`[TestCase]`](#testcase) | ノードのリスト。 |
| <a id="testcaseconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TestCaseEdge`

[`TestCase`](#testcase)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testcaseedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="testcaseedgenode"></a>`node` | [`TestCase`](#testcase) | エッジの終端にあるアイテム。 |

#### `TestReportConnection`

[`TestReport`](#testreport)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testreportconnectionedges"></a>`edges` | [`[TestReportEdge]`](#testreportedge) | エッジのリスト。 |
| <a id="testreportconnectionnodes"></a>`nodes` | [`[TestReport]`](#testreport) | ノードのリスト。 |
| <a id="testreportconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TestReportEdge`

[`TestReport`](#testreport)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testreportedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="testreportedgenode"></a>`node` | [`TestReport`](#testreport) | エッジの終端にあるアイテム。 |

#### `TestSuiteSummaryConnection`

[`TestSuiteSummary`](#testsuitesummary)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testsuitesummaryconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="testsuitesummaryconnectionedges"></a>`edges` | [`[TestSuiteSummaryEdge]`](#testsuitesummaryedge) | エッジのリスト。 |
| <a id="testsuitesummaryconnectionnodes"></a>`nodes` | [`[TestSuiteSummary]`](#testsuitesummary) | ノードのリスト。 |
| <a id="testsuitesummaryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TestSuiteSummaryEdge`

[`TestSuiteSummary`](#testsuitesummary)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testsuitesummaryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="testsuitesummaryedgenode"></a>`node` | [`TestSuiteSummary`](#testsuitesummary) | エッジの終端にあるアイテム。 |

#### `TimeTrackingTimelogCategoryConnection`

[`TimeTrackingTimelogCategory`](#timetrackingtimelogcategory)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timetrackingtimelogcategoryconnectionedges"></a>`edges` | [`[TimeTrackingTimelogCategoryEdge]`](#timetrackingtimelogcategoryedge) | エッジのリスト。 |
| <a id="timetrackingtimelogcategoryconnectionnodes"></a>`nodes` | [`[TimeTrackingTimelogCategory]`](#timetrackingtimelogcategory) | ノードのリスト。 |
| <a id="timetrackingtimelogcategoryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TimeTrackingTimelogCategoryEdge`

[`TimeTrackingTimelogCategory`](#timetrackingtimelogcategory)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timetrackingtimelogcategoryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="timetrackingtimelogcategoryedgenode"></a>`node` | [`TimeTrackingTimelogCategory`](#timetrackingtimelogcategory) | エッジの終端にあるアイテム。 |

#### `TimelineEventTagTypeConnection`

[`TimelineEventTagType`](#timelineeventtagtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtagtypeconnectionedges"></a>`edges` | [`[TimelineEventTagTypeEdge]`](#timelineeventtagtypeedge) | エッジのリスト。 |
| <a id="timelineeventtagtypeconnectionnodes"></a>`nodes` | [`[TimelineEventTagType]`](#timelineeventtagtype) | ノードのリスト。 |
| <a id="timelineeventtagtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TimelineEventTagTypeEdge`

[`TimelineEventTagType`](#timelineeventtagtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtagtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="timelineeventtagtypeedgenode"></a>`node` | [`TimelineEventTagType`](#timelineeventtagtype) | エッジの終端にあるアイテム。 |

#### `TimelineEventTypeConnection`

[`TimelineEventType`](#timelineeventtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtypeconnectionedges"></a>`edges` | [`[TimelineEventTypeEdge]`](#timelineeventtypeedge) | エッジのリスト。 |
| <a id="timelineeventtypeconnectionnodes"></a>`nodes` | [`[TimelineEventType]`](#timelineeventtype) | ノードのリスト。 |
| <a id="timelineeventtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TimelineEventTypeEdge`

[`TimelineEventType`](#timelineeventtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="timelineeventtypeedgenode"></a>`node` | [`TimelineEventType`](#timelineeventtype) | エッジの終端にあるアイテム。 |

#### `TimelogConnection`

[`Timelog`](#timelog)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelogconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="timelogconnectionedges"></a>`edges` | [`[TimelogEdge]`](#timelogedge) | エッジのリスト。 |
| <a id="timelogconnectionnodes"></a>`nodes` | [`[Timelog]`](#timelog) | ノードのリスト。 |
| <a id="timelogconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="timelogconnectiontotalspenttime"></a>`totalSpentTime` | [`BigInt!`](#bigint) | 合計経過時間（秒）。 |

#### `TimelogEdge`

[`Timelog`](#timelog)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelogedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="timelogedgenode"></a>`node` | [`Timelog`](#timelog) | エッジの終端にあるアイテム。 |

#### `TodoConnection`

[`Todo`](#todo)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="todoconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="todoconnectionedges"></a>`edges` | [`[TodoEdge]`](#todoedge) | エッジのリスト。 |
| <a id="todoconnectionnodes"></a>`nodes` | [`[Todo]`](#todo) | ノードのリスト。 |
| <a id="todoconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TodoEdge`

[`Todo`](#todo)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="todoedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="todoedgenode"></a>`node` | [`Todo`](#todo) | エッジの終端にあるアイテム。 |

#### `TopicConnection`

[`Topic`](#topic)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="topicconnectionedges"></a>`edges` | [`[TopicEdge]`](#topicedge) | エッジのリスト。 |
| <a id="topicconnectionnodes"></a>`nodes` | [`[Topic]`](#topic) | ノードのリスト。 |
| <a id="topicconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TopicEdge`

[`Topic`](#topic)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="topicedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="topicedgenode"></a>`node` | [`Topic`](#topic) | エッジの終端にあるアイテム。 |

#### `TreeConnection`

[`Tree`](#tree)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeconnectionedges"></a>`edges` | [`[TreeEdge]`](#treeedge) | エッジのリスト。 |
| <a id="treeconnectionnodes"></a>`nodes` | [`[Tree]`](#tree) | ノードのリスト。 |
| <a id="treeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TreeEdge`

[`Tree`](#tree)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="treeedgenode"></a>`node` | [`Tree`](#tree) | エッジの終端にあるアイテム。 |

#### `TreeEntryConnection`

[`TreeEntry`](#treeentry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeentryconnectionedges"></a>`edges` | [`[TreeEntryEdge]`](#treeentryedge) | エッジのリスト。 |
| <a id="treeentryconnectionnodes"></a>`nodes` | [`[TreeEntry]`](#treeentry) | ノードのリスト。 |
| <a id="treeentryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `TreeEntryEdge`

[`TreeEntry`](#treeentry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeentryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="treeentryedgenode"></a>`node` | [`TreeEntry`](#treeentry) | エッジの終端にあるアイテム。 |

#### `UnprotectAccessLevelConnection`

[`UnprotectAccessLevel`](#unprotectaccesslevel)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unprotectaccesslevelconnectionedges"></a>`edges` | [`[UnprotectAccessLevelEdge]`](#unprotectaccessleveledge) | エッジのリスト。 |
| <a id="unprotectaccesslevelconnectionnodes"></a>`nodes` | [`[UnprotectAccessLevel]`](#unprotectaccesslevel) | ノードのリスト。 |
| <a id="unprotectaccesslevelconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UnprotectAccessLevelEdge`

[`UnprotectAccessLevel`](#unprotectaccesslevel)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unprotectaccessleveledgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="unprotectaccessleveledgenode"></a>`node` | [`UnprotectAccessLevel`](#unprotectaccesslevel) | エッジの終端にあるアイテム。 |

#### `UploadRegistryConnection`

[`UploadRegistry`](#uploadregistry)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="uploadregistryconnectionedges"></a>`edges` | [`[UploadRegistryEdge]`](#uploadregistryedge) | エッジのリスト。 |
| <a id="uploadregistryconnectionnodes"></a>`nodes` | [`[UploadRegistry]`](#uploadregistry) | ノードのリスト。 |
| <a id="uploadregistryconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

##### 引数のあるフィールド

###### `UploadRegistryConnection.count`

コレクションの制限カウント。制限を超えるカウントの場合、制限+1を返します。

[`Int!`](#int)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="uploadregistryconnectioncountlimit"></a>`limit` | [`Int`](#int) | カウントクエリに適用される制限値。デフォルトは1000です。 |

#### `UploadRegistryEdge`

[`UploadRegistry`](#uploadregistry)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="uploadregistryedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="uploadregistryedgenode"></a>`node` | [`UploadRegistry`](#uploadregistry) | エッジの終端にあるアイテム。 |

#### `UsageTrendsMeasurementConnection`

[`UsageTrendsMeasurement`](#usagetrendsmeasurement)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usagetrendsmeasurementconnectionedges"></a>`edges` | [`[UsageTrendsMeasurementEdge]`](#usagetrendsmeasurementedge) | エッジのリスト。 |
| <a id="usagetrendsmeasurementconnectionnodes"></a>`nodes` | [`[UsageTrendsMeasurement]`](#usagetrendsmeasurement) | ノードのリスト。 |
| <a id="usagetrendsmeasurementconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UsageTrendsMeasurementEdge`

[`UsageTrendsMeasurement`](#usagetrendsmeasurement)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usagetrendsmeasurementedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="usagetrendsmeasurementedgenode"></a>`node` | [`UsageTrendsMeasurement`](#usagetrendsmeasurement) | エッジの終端にあるアイテム。 |

#### `UserAchievementConnection`

[`UserAchievement`](#userachievement)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userachievementconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="userachievementconnectionedges"></a>`edges` | [`[UserAchievementEdge]`](#userachievementedge) | エッジのリスト。 |
| <a id="userachievementconnectionnodes"></a>`nodes` | [`[UserAchievement]`](#userachievement) | ノードのリスト。 |
| <a id="userachievementconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UserAchievementEdge`

[`UserAchievement`](#userachievement)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userachievementedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="userachievementedgenode"></a>`node` | [`UserAchievement`](#userachievement) | エッジの終端にあるアイテム。 |

#### `UserAddOnAssignmentConnection`

[`UserAddOnAssignment`](#useraddonassignment)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="useraddonassignmentconnectionedges"></a>`edges` | [`[UserAddOnAssignmentEdge]`](#useraddonassignmentedge) | エッジのリスト。 |
| <a id="useraddonassignmentconnectionnodes"></a>`nodes` | [`[UserAddOnAssignment]`](#useraddonassignment) | ノードのリスト。 |
| <a id="useraddonassignmentconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UserAddOnAssignmentEdge`

[`UserAddOnAssignment`](#useraddonassignment)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="useraddonassignmentedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="useraddonassignmentedgenode"></a>`node` | [`UserAddOnAssignment`](#useraddonassignment) | エッジの終端にあるアイテム。 |

#### `UserCalloutConnection`

[`UserCallout`](#usercallout)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercalloutconnectionedges"></a>`edges` | [`[UserCalloutEdge]`](#usercalloutedge) | エッジのリスト。 |
| <a id="usercalloutconnectionnodes"></a>`nodes` | [`[UserCallout]`](#usercallout) | ノードのリスト。 |
| <a id="usercalloutconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UserCalloutEdge`

[`UserCallout`](#usercallout)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercalloutedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="usercalloutedgenode"></a>`node` | [`UserCallout`](#usercallout) | エッジの終端にあるアイテム。 |

#### `UserCoreConnection`

[`UserCore`](#usercore)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="usercoreconnectionedges"></a>`edges` | [`[UserCoreEdge]`](#usercoreedge) | エッジのリスト。 |
| <a id="usercoreconnectionnodes"></a>`nodes` | [`[UserCore]`](#usercore) | ノードのリスト。 |
| <a id="usercoreconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UserCoreEdge`

[`UserCore`](#usercore)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="usercoreedgenode"></a>`node` | [`UserCore`](#usercore) | エッジの終端にあるアイテム。 |

#### `UsersQueuedForRolePromotionConnection`

[`UsersQueuedForRolePromotion`](#usersqueuedforrolepromotion)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usersqueuedforrolepromotionconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="usersqueuedforrolepromotionconnectionedges"></a>`edges` | [`[UsersQueuedForRolePromotionEdge]`](#usersqueuedforrolepromotionedge) | エッジのリスト。 |
| <a id="usersqueuedforrolepromotionconnectionnodes"></a>`nodes` | [`[UsersQueuedForRolePromotion]`](#usersqueuedforrolepromotion) | ノードのリスト。 |
| <a id="usersqueuedforrolepromotionconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `UsersQueuedForRolePromotionEdge`

[`UsersQueuedForRolePromotion`](#usersqueuedforrolepromotion)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usersqueuedforrolepromotionedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="usersqueuedforrolepromotionedgenode"></a>`node` | [`UsersQueuedForRolePromotion`](#usersqueuedforrolepromotion) | エッジの終端にあるアイテム。 |

#### `ValueStreamConnection`

[`ValueStream`](#valuestream)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamconnectionedges"></a>`edges` | [`[ValueStreamEdge]`](#valuestreamedge) | エッジのリスト。 |
| <a id="valuestreamconnectionnodes"></a>`nodes` | [`[ValueStream]`](#valuestream) | ノードのリスト。 |
| <a id="valuestreamconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ValueStreamEdge`

[`ValueStream`](#valuestream)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="valuestreamedgenode"></a>`node` | [`ValueStream`](#valuestream) | エッジの終端にあるアイテム。 |

#### `ValueStreamStageItemsConnection`

[`ValueStreamStageItems`](#valuestreamstageitems)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstageitemsconnectionedges"></a>`edges` | [`[ValueStreamStageItemsEdge]`](#valuestreamstageitemsedge) | エッジのリスト。 |
| <a id="valuestreamstageitemsconnectionnodes"></a>`nodes` | [`[ValueStreamStageItems]`](#valuestreamstageitems) | ノードのリスト。 |
| <a id="valuestreamstageitemsconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `ValueStreamStageItemsEdge`

[`ValueStreamStageItems`](#valuestreamstageitems)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstageitemsedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="valuestreamstageitemsedgenode"></a>`node` | [`ValueStreamStageItems`](#valuestreamstageitems) | エッジの終端にあるアイテム。 |

#### `VulnerabilitiesCountByDayConnection`

[`VulnerabilitiesCountByDay`](#vulnerabilitiescountbyday)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitiescountbydayconnectionedges"></a>`edges` | [`[VulnerabilitiesCountByDayEdge]`](#vulnerabilitiescountbydayedge) | エッジのリスト。 |
| <a id="vulnerabilitiescountbydayconnectionnodes"></a>`nodes` | [`[VulnerabilitiesCountByDay]`](#vulnerabilitiescountbyday) | ノードのリスト。 |
| <a id="vulnerabilitiescountbydayconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilitiesCountByDayEdge`

[`VulnerabilitiesCountByDay`](#vulnerabilitiescountbyday)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitiescountbydayedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilitiescountbydayedgenode"></a>`node` | [`VulnerabilitiesCountByDay`](#vulnerabilitiescountbyday) | エッジの終端にあるアイテム。 |

#### `VulnerabilityConnection`

[`Vulnerability`](#vulnerability)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityconnectionedges"></a>`edges` | [`[VulnerabilityEdge]`](#vulnerabilityedge) | エッジのリスト。 |
| <a id="vulnerabilityconnectionnodes"></a>`nodes` | [`[Vulnerability]`](#vulnerability) | ノードのリスト。 |
| <a id="vulnerabilityconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityContainerImageConnection`

[`VulnerabilityContainerImage`](#vulnerabilitycontainerimage)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitycontainerimageconnectionedges"></a>`edges` | [`[VulnerabilityContainerImageEdge]`](#vulnerabilitycontainerimageedge) | エッジのリスト。 |
| <a id="vulnerabilitycontainerimageconnectionnodes"></a>`nodes` | [`[VulnerabilityContainerImage]`](#vulnerabilitycontainerimage) | ノードのリスト。 |
| <a id="vulnerabilitycontainerimageconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityContainerImageEdge`

[`VulnerabilityContainerImage`](#vulnerabilitycontainerimage)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitycontainerimageedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilitycontainerimageedgenode"></a>`node` | [`VulnerabilityContainerImage`](#vulnerabilitycontainerimage) | エッジの終端にあるアイテム。 |

#### `VulnerabilityEdge`

[`Vulnerability`](#vulnerability)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilityedgenode"></a>`node` | [`Vulnerability`](#vulnerability) | エッジの終端にあるアイテム。 |

#### `VulnerabilityExternalIssueLinkConnection`

[`VulnerabilityExternalIssueLink`](#vulnerabilityexternalissuelink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityexternalissuelinkconnectionedges"></a>`edges` | [`[VulnerabilityExternalIssueLinkEdge]`](#vulnerabilityexternalissuelinkedge) | エッジのリスト。 |
| <a id="vulnerabilityexternalissuelinkconnectionnodes"></a>`nodes` | [`[VulnerabilityExternalIssueLink]`](#vulnerabilityexternalissuelink) | ノードのリスト。 |
| <a id="vulnerabilityexternalissuelinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityExternalIssueLinkEdge`

[`VulnerabilityExternalIssueLink`](#vulnerabilityexternalissuelink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityexternalissuelinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilityexternalissuelinkedgenode"></a>`node` | [`VulnerabilityExternalIssueLink`](#vulnerabilityexternalissuelink) | エッジの終端にあるアイテム。 |

#### `VulnerabilityIssueLinkConnection`

[`VulnerabilityIssueLink`](#vulnerabilityissuelink)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityissuelinkconnectionedges"></a>`edges` | [`[VulnerabilityIssueLinkEdge]`](#vulnerabilityissuelinkedge) | エッジのリスト。 |
| <a id="vulnerabilityissuelinkconnectionnodes"></a>`nodes` | [`[VulnerabilityIssueLink]`](#vulnerabilityissuelink) | ノードのリスト。 |
| <a id="vulnerabilityissuelinkconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityIssueLinkEdge`

[`VulnerabilityIssueLink`](#vulnerabilityissuelink)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityissuelinkedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilityissuelinkedgenode"></a>`node` | [`VulnerabilityIssueLink`](#vulnerabilityissuelink) | エッジの終端にあるアイテム。 |

#### `VulnerabilityManagementPolicyConnection`

[`VulnerabilityManagementPolicy`](#vulnerabilitymanagementpolicy)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitymanagementpolicyconnectionedges"></a>`edges` | [`[VulnerabilityManagementPolicyEdge]`](#vulnerabilitymanagementpolicyedge) | エッジのリスト。 |
| <a id="vulnerabilitymanagementpolicyconnectionnodes"></a>`nodes` | [`[VulnerabilityManagementPolicy]`](#vulnerabilitymanagementpolicy) | ノードのリスト。 |
| <a id="vulnerabilitymanagementpolicyconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityManagementPolicyEdge`

[`VulnerabilityManagementPolicy`](#vulnerabilitymanagementpolicy)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitymanagementpolicyedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilitymanagementpolicyedgenode"></a>`node` | [`VulnerabilityManagementPolicy`](#vulnerabilitymanagementpolicy) | エッジの終端にあるアイテム。 |

#### `VulnerabilityScannerConnection`

[`VulnerabilityScanner`](#vulnerabilityscanner)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityscannerconnectionedges"></a>`edges` | [`[VulnerabilityScannerEdge]`](#vulnerabilityscanneredge) | エッジのリスト。 |
| <a id="vulnerabilityscannerconnectionnodes"></a>`nodes` | [`[VulnerabilityScanner]`](#vulnerabilityscanner) | ノードのリスト。 |
| <a id="vulnerabilityscannerconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityScannerEdge`

[`VulnerabilityScanner`](#vulnerabilityscanner)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityscanneredgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilityscanneredgenode"></a>`node` | [`VulnerabilityScanner`](#vulnerabilityscanner) | エッジの終端にあるアイテム。 |

#### `VulnerabilityStateTransitionTypeConnection`

[`VulnerabilityStateTransitionType`](#vulnerabilitystatetransitiontype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitystatetransitiontypeconnectionedges"></a>`edges` | [`[VulnerabilityStateTransitionTypeEdge]`](#vulnerabilitystatetransitiontypeedge) | エッジのリスト。 |
| <a id="vulnerabilitystatetransitiontypeconnectionnodes"></a>`nodes` | [`[VulnerabilityStateTransitionType]`](#vulnerabilitystatetransitiontype) | ノードのリスト。 |
| <a id="vulnerabilitystatetransitiontypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `VulnerabilityStateTransitionTypeEdge`

[`VulnerabilityStateTransitionType`](#vulnerabilitystatetransitiontype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitystatetransitiontypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="vulnerabilitystatetransitiontypeedgenode"></a>`node` | [`VulnerabilityStateTransitionType`](#vulnerabilitystatetransitiontype) | エッジの終端にあるアイテム。 |

#### `WorkItemClosingMergeRequestConnection`

[`WorkItemClosingMergeRequest`](#workitemclosingmergerequest)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemclosingmergerequestconnectionedges"></a>`edges` | [`[WorkItemClosingMergeRequestEdge]`](#workitemclosingmergerequestedge) | エッジのリスト。 |
| <a id="workitemclosingmergerequestconnectionnodes"></a>`nodes` | [`[WorkItemClosingMergeRequest]`](#workitemclosingmergerequest) | ノードのリスト。 |
| <a id="workitemclosingmergerequestconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemClosingMergeRequestEdge`

[`WorkItemClosingMergeRequest`](#workitemclosingmergerequest)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemclosingmergerequestedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemclosingmergerequestedgenode"></a>`node` | [`WorkItemClosingMergeRequest`](#workitemclosingmergerequest) | エッジの終端にあるアイテム。 |

#### `WorkItemConnection`

[`WorkItem`](#workitem)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="workitemconnectionedges"></a>`edges` | [`[WorkItemEdge]`](#workitemedge) | エッジのリスト。 |
| <a id="workitemconnectionnodes"></a>`nodes` | [`[WorkItem]`](#workitem) | ノードのリスト。 |
| <a id="workitemconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemDescriptionTemplateConnection`

[`WorkItemDescriptionTemplate`](#workitemdescriptiontemplate)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemdescriptiontemplateconnectionedges"></a>`edges` | [`[WorkItemDescriptionTemplateEdge]`](#workitemdescriptiontemplateedge) | エッジのリスト。 |
| <a id="workitemdescriptiontemplateconnectionnodes"></a>`nodes` | [`[WorkItemDescriptionTemplate]`](#workitemdescriptiontemplate) | ノードのリスト。 |
| <a id="workitemdescriptiontemplateconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemDescriptionTemplateEdge`

[`WorkItemDescriptionTemplate`](#workitemdescriptiontemplate)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemdescriptiontemplateedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemdescriptiontemplateedgenode"></a>`node` | [`WorkItemDescriptionTemplate`](#workitemdescriptiontemplate) | エッジの終端にあるアイテム。 |

#### `WorkItemEdge`

[`WorkItem`](#workitem)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemedgenode"></a>`node` | [`WorkItem`](#workitem) | エッジの終端にあるアイテム。 |

#### `WorkItemLinkedResourceConnection`

[`WorkItemLinkedResource`](#workitemlinkedresource)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemlinkedresourceconnectionedges"></a>`edges` | [`[WorkItemLinkedResourceEdge]`](#workitemlinkedresourceedge) | エッジのリスト。 |
| <a id="workitemlinkedresourceconnectionnodes"></a>`nodes` | [`[WorkItemLinkedResource]`](#workitemlinkedresource) | ノードのリスト。 |
| <a id="workitemlinkedresourceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemLinkedResourceEdge`

[`WorkItemLinkedResource`](#workitemlinkedresource)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemlinkedresourceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemlinkedresourceedgenode"></a>`node` | [`WorkItemLinkedResource`](#workitemlinkedresource) | エッジの終端にあるアイテム。 |

#### `WorkItemRelatedBranchConnection`

[`WorkItemRelatedBranch`](#workitemrelatedbranch)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemrelatedbranchconnectionedges"></a>`edges` | [`[WorkItemRelatedBranchEdge]`](#workitemrelatedbranchedge) | エッジのリスト。 |
| <a id="workitemrelatedbranchconnectionnodes"></a>`nodes` | [`[WorkItemRelatedBranch]`](#workitemrelatedbranch) | ノードのリスト。 |
| <a id="workitemrelatedbranchconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemRelatedBranchEdge`

[`WorkItemRelatedBranch`](#workitemrelatedbranch)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemrelatedbranchedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemrelatedbranchedgenode"></a>`node` | [`WorkItemRelatedBranch`](#workitemrelatedbranch) | エッジの終端にあるアイテム。 |

#### `WorkItemTimelogConnection`

[`WorkItemTimelog`](#workitemtimelog)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtimelogconnectioncount"></a>`count` | [`Int!`](#int) | コレクションの合計カウント。 |
| <a id="workitemtimelogconnectionedges"></a>`edges` | [`[WorkItemTimelogEdge]`](#workitemtimelogedge) | エッジのリスト。 |
| <a id="workitemtimelogconnectionnodes"></a>`nodes` | [`[WorkItemTimelog]`](#workitemtimelog) | ノードのリスト。 |
| <a id="workitemtimelogconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |
| <a id="workitemtimelogconnectiontotalspenttime"></a>`totalSpentTime` | [`BigInt!`](#bigint) | 合計経過時間（秒）。 |

#### `WorkItemTimelogEdge`

[`WorkItemTimelog`](#workitemtimelog)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtimelogedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemtimelogedgenode"></a>`node` | [`WorkItemTimelog`](#workitemtimelog) | エッジの終端にあるアイテム。 |

#### `WorkItemTypeConnection`

[`WorkItemType`](#workitemtype)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypeconnectionedges"></a>`edges` | [`[WorkItemTypeEdge]`](#workitemtypeedge) | エッジのリスト。 |
| <a id="workitemtypeconnectionnodes"></a>`nodes` | [`[WorkItemType]`](#workitemtype) | ノードのリスト。 |
| <a id="workitemtypeconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkItemTypeEdge`

[`WorkItemType`](#workitemtype)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypeedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workitemtypeedgenode"></a>`node` | [`WorkItemType`](#workitemtype) | エッジの終端にあるアイテム。 |

#### `WorkspaceConnection`

[`Workspace`](#workspace)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspaceconnectionedges"></a>`edges` | [`[WorkspaceEdge]`](#workspaceedge) | エッジのリスト。 |
| <a id="workspaceconnectionnodes"></a>`nodes` | [`[Workspace]`](#workspace) | ノードのリスト。 |
| <a id="workspaceconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkspaceEdge`

[`Workspace`](#workspace)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspaceedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workspaceedgenode"></a>`node` | [`Workspace`](#workspace) | エッジの終端にあるアイテム。 |

#### `WorkspaceVariableConnection`

[`WorkspaceVariable`](#workspacevariable)の接続タイプ。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspacevariableconnectionedges"></a>`edges` | [`[WorkspaceVariableEdge]`](#workspacevariableedge) | エッジのリスト。 |
| <a id="workspacevariableconnectionnodes"></a>`nodes` | [`[WorkspaceVariable]`](#workspacevariable) | ノードのリスト。 |
| <a id="workspacevariableconnectionpageinfo"></a>`pageInfo` | [`PageInfo!`](#pageinfo) | ページネーションを支援する情報。 |

#### `WorkspaceVariableEdge`

[`WorkspaceVariable`](#workspacevariable)のエッジ型。

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspacevariableedgecursor"></a>`cursor` | [`String!`](#string) | ページネーションで使用するカーソル。 |
| <a id="workspacevariableedgenode"></a>`node` | [`WorkspaceVariable`](#workspacevariable) | エッジの終端にあるアイテム。 |

## オブジェクト型

オブジェクト型は、GitLab GraphQL APIが返すことができるリソースを表します。それには_フィールド_が含まれます。フィールドごとに独自の型があり、それはGraphQLの基本的な[スカラー型](https://graphql.org/learn/schema/#scalar-types)（`String`や`Boolean`など）か、またはその他のオブジェクト型のいずれかです。フィールドに引数がある場合もあります。引数のあるフィールドはトップレベルのクエリと同じようなものであり、フィールドの表の下にオブジェクト型ごとにそのリストが示されています。

詳細については、`graphql.org`の[オブジェクト型とフィールド](https://graphql.org/learn/schema/#object-types-and-fields)を参照してください。

### `AbuseReport`

不正行為レポート。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportdiscussions"></a>`discussions` | [`AbuseReportDiscussionConnection!`](#abusereportdiscussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="abusereportid"></a>`id` | [`AbuseReportID!`](#abusereportid) | 不正行為レポートのグローバルID。 |
| <a id="abusereportlabels"></a>`labels` | [`AbuseReportLabelConnection`](#abusereportlabelconnection) | 不正行為レポートのラベル。（[接続](#connections)を参照） |
| <a id="abusereportnotes"></a>`notes` | [`AbuseReportNoteConnection!`](#abusereportnoteconnection) | noteable（ノート可能）に対するすべてのノート。（[接続](#connections)を参照） |

### `AbuseReportDiscussion`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportdiscussionabusereport"></a>`abuseReport` | [`AbuseReport`](#abusereport) | ディスカッションが属する不正行為レポート。 |
| <a id="abusereportdiscussioncreatedat"></a>`createdAt` | [`Time!`](#time) | ディスカッションの作成時のタイムスタンプ。 |
| <a id="abusereportdiscussionid"></a>`id` | [`DiscussionID!`](#discussionid) | ディスカッションのID。 |
| <a id="abusereportdiscussionnotes"></a>`notes` | [`AbuseReportNoteConnection!`](#abusereportnoteconnection) | ディスカッション内のすべてのノート。（[接続](#connections)を参照） |
| <a id="abusereportdiscussionreplyid"></a>`replyId` | [`DiscussionID!`](#discussionid) | ディスカッションへの返信に使用するID。 |
| <a id="abusereportdiscussionresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="abusereportdiscussionresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="abusereportdiscussionresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="abusereportdiscussionresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |

### `AbuseReportLabel`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportlabelcolor"></a>`color` | [`String!`](#string) | ラベルの背景色。 |
| <a id="abusereportlabelcreatedat"></a>`createdAt` | [`Time!`](#time) | ラベルが作成された日時。 |
| <a id="abusereportlabeldescription"></a>`description` | [`String`](#string) | ラベルの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="abusereportlabeldescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="abusereportlabelid"></a>`id` | [`AntiAbuseReportsLabelID!`](#antiabusereportslabelid) | 不正行為レポートラベルのグローバルID。 |
| <a id="abusereportlabeltextcolor"></a>`textColor` | [`String!`](#string) | ラベルのテキストの色。 |
| <a id="abusereportlabeltitle"></a>`title` | [`String!`](#string) | ラベルの内容。 |
| <a id="abusereportlabelupdatedat"></a>`updatedAt` | [`Time!`](#time) | ラベルが最後に更新された日時。 |

### `AbuseReportNote`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="abusereportnoteauthor"></a>`author` | [`UserCore`](#usercore) | ノートを書いたユーザー。 |
| <a id="abusereportnoteawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | ノートに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="abusereportnotebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="abusereportnotebodyfirstlinehtml"></a>`bodyFirstLineHtml` | [`String!`](#string) | ノートの内容の最初の行。 |
| <a id="abusereportnotebodyhtml"></a>`bodyHtml` | [`String`](#string) | ノートの内容のGitLab Flavored Markdownレンダリング。 |
| <a id="abusereportnotecreatedat"></a>`createdAt` | [`Time!`](#time) | ノートの作成時のタイムスタンプ。 |
| <a id="abusereportnotediscussion"></a>`discussion` | [`AbuseReportDiscussion`](#abusereportdiscussion) | ノートが属するディスカッション。 |
| <a id="abusereportnoteid"></a>`id` | [`AntiAbuseReportsNoteID!`](#antiabusereportsnoteid) | ノートのID。 |
| <a id="abusereportnotelasteditedat"></a>`lastEditedAt` | [`Time`](#time) | ノートが最後に編集された時点のタイムスタンプ。 |
| <a id="abusereportnotelasteditedby"></a>`lastEditedBy` | [`UserCore`](#usercore) | ノートを最後に編集したユーザー。 |
| <a id="abusereportnoteresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="abusereportnoteresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="abusereportnoteresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="abusereportnoteresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |
| <a id="abusereportnoteupdatedat"></a>`updatedAt` | [`Time!`](#time) | ノートの最後のアクティビティーのタイムスタンプ。 |
| <a id="abusereportnoteurl"></a>`url` | [`String`](#string) | Web UIでノートを表示するURL。 |

### `AccessLevel`

ユーザーと、それに関連するオブジェクトとの間の関係のアクセスレベルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accesslevelhumanaccess"></a>`humanAccess` | [`String`](#string) | 人間が判読できるアクセスレベルの表示名。 |
| <a id="accesslevelintegervalue"></a>`integerValue` | [`Int`](#int) | アクセスレベルの整数値。 |
| <a id="accesslevelstringvalue"></a>`stringValue` | [`AccessLevelEnum`](#accesslevelenum) | アクセスレベルのenum文字列。 |

### `AccessLevelDeployKey`

GitLabデプロイキーの表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accessleveldeploykeyexpiresat"></a>`expiresAt` | [`Date`](#date) | デプロイキーの有効期限。 |
| <a id="accessleveldeploykeyid"></a>`id` | [`ID!`](#id) | デプロイキーのID。 |
| <a id="accessleveldeploykeytitle"></a>`title` | [`String!`](#string) | デプロイキーのタイトル。 |
| <a id="accessleveldeploykeyuser"></a>`user` | [`AccessLevelUser!`](#accessleveluser) | デプロイキーに割り当てられたユーザー。 |

### `AccessLevelGroup`

GitLabグループの表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accesslevelgroupavatarurl"></a>`avatarUrl` | [`String`](#string) | グループのアバターURL。 |
| <a id="accesslevelgroupid"></a>`id` | [`ID!`](#id) | グループのID。 |
| <a id="accesslevelgroupname"></a>`name` | [`String!`](#string) | グループの名前。 |
| <a id="accesslevelgroupparent"></a>`parent` | [`AccessLevelGroup`](#accesslevelgroup) | 親グループ。 |
| <a id="accesslevelgroupweburl"></a>`webUrl` | [`String!`](#string) | グループのWeb URL。 |

### `AccessLevelUser`

GitLabユーザーの表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accessleveluseravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="accessleveluserid"></a>`id` | [`ID!`](#id) | ユーザーのID。 |
| <a id="accesslevelusername"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="accessleveluserpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="accessleveluserusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。 |
| <a id="accessleveluserwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="accessleveluserweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

### `Achievement`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="achievementavatarurl"></a>`avatarUrl` | [`String`](#string) | アチーブメントのアバターのURL。 |
| <a id="achievementcreatedat"></a>`createdAt` | [`Time!`](#time) | アチーブメント作成時のタイムスタンプ。 |
| <a id="achievementdescription"></a>`description` | [`String`](#string) | アチーブメントの説明またはノート。 |
| <a id="achievementid"></a>`id` | [`AchievementsAchievementID!`](#achievementsachievementid) | アチーブメントのID。 |
| <a id="achievementname"></a>`name` | [`String!`](#string) | アチーブメントの名前。 |
| <a id="achievementnamespace"></a>`namespace` | [`Namespace`](#namespace) | アチーブメントのネームスペース。 |
| <a id="achievementupdatedat"></a>`updatedAt` | [`Time!`](#time) | アチーブメントの最終更新時のタイムスタンプ。 |
| <a id="achievementuserachievements"></a>`userAchievements` {{< icon name="warning-solid" >}} | [`UserAchievementConnection`](#userachievementconnection) | GitLab 15.10で**導入**。**状態**: 実験。アチーブメントの受信者。 |

### `ActivityStream`

ユーザーに関連付けられているアクティビティーストリーム。

#### 引数のあるフィールド

##### `ActivityStream.followedUsersActivity`

現在のユーザーがフォローしているユーザーからのアクティビティー。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`EventConnection`](#eventconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="activitystreamfollowedusersactivitytarget"></a>`target` | [`EventTarget!`](#eventtarget) | イベントターゲット。 |

### `AddOnPurchase`

ネームスペースのアドオン購入を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonpurchaseassignedquantity"></a>`assignedQuantity` | [`Int!`](#int) | 割り当てられたシートの数。 |
| <a id="addonpurchaseid"></a>`id` | [`GitlabSubscriptionsAddOnPurchaseID!`](#gitlabsubscriptionsaddonpurchaseid) | AddOnPurchaseのID。 |
| <a id="addonpurchasename"></a>`name` | [`String!`](#string) | アドオンの名前。 |
| <a id="addonpurchasepurchasedquantity"></a>`purchasedQuantity` | [`Int!`](#int) | 購入したシートの数。 |

### `AddOnUser`

アドオンデータのあるユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuseractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="addonuseravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="addonuserbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="addonuserbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="addonusercallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="addonusercommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="addonusercreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="addonuserdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="addonuseremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="addonuseremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="addonusergitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="addonusergroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="addonusergroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="addonuserhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="addonuserid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="addonuseride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="addonuserjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="addonuserlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="addonuserlastduoactivityon"></a>`lastDuoActivityOn` | [`Date`](#date) | ユーザーの最後のGitLab Duoアクティビティーの日付。GitLab Duoアクティビティーがあると更新されます。 |
| <a id="addonuserlastloginat"></a>`lastLoginAt` | [`Time`](#time) | 最後のサインインのタイムスタンプ。 |
| <a id="addonuserlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="addonuserlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="addonusername"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="addonusernamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="addonusernamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="addonuserorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="addonuserpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="addonuserprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="addonuserprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="addonuserpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="addonuserpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="addonusersavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="addonuserstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="addonuserstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="addonusertwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="addonusertype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="addonuseruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="addonuseruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="addonuserusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="addonuserwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="addonuserweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `AddOnUser.addOnAssignments`

ユーザーのアドオン購入割り当て。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`UserAddOnAssignmentConnection`](#useraddonassignmentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuseraddonassignmentsaddonpurchaseids"></a>`addOnPurchaseIds` | [`[GitlabSubscriptionsAddOnPurchaseID!]!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当てを検索する対象のアドオン購入のグローバルID。 |

##### `AddOnUser.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="addonuserassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="addonuserassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="addonuserassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="addonuserassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="addonuserassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="addonuserassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="addonuserassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="addonuserassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="addonuserassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="addonuserassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="addonuserassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="addonuserassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="addonuserassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="addonuserassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="addonuserassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="addonuserassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="addonuserassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="addonuserassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="addonuserassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="addonuserassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="addonuserassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="addonuserassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="addonuserassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="addonuserassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="addonuserassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="addonuserassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="addonuserassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="addonuserassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="addonuserassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="addonuserassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="addonuserassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="addonuserassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="addonuserassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AddOnUser.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="addonuserauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="addonuserauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="addonuserauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="addonuserauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="addonuserauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="addonuserauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="addonuserauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="addonuserauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="addonuserauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="addonuserauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="addonuserauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="addonuserauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="addonuserauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="addonuserauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="addonuserauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="addonuserauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="addonuserauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="addonuserauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="addonuserauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="addonuserauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="addonuserauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="addonuserauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="addonuserauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="addonuserauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="addonuserauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="addonuserauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="addonuserauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="addonuserauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="addonuserauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="addonuserauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="addonuserauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="addonuserauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="addonuserauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="addonuserauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AddOnUser.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusercontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="addonusercontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="addonusercontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="addonusercontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="addonusercontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `AddOnUser.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusergroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="addonusergroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="addonusergroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `AddOnUser.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="addonuserorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `AddOnUser.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="addonuserreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="addonuserreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="addonuserreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="addonuserreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="addonuserreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="addonuserreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="addonuserreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="addonuserreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="addonuserreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="addonuserreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="addonuserreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="addonuserreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="addonuserreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="addonuserreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="addonuserreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="addonuserreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="addonuserreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="addonuserreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="addonuserreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="addonuserreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="addonuserreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="addonuserreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="addonuserreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="addonuserreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="addonuserreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="addonuserreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="addonuserreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AddOnUser.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusersavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `AddOnUser.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusersnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="addonusersnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="addonusersnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `AddOnUser.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="addonuserstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="addonuserstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="addonuserstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `AddOnUser.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusertimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="addonusertimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="addonusertimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="addonusertimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="addonusertimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="addonusertimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="addonusertimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="addonusertimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `AddOnUser.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonusertodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="addonusertodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="addonusertodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="addonusertodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="addonusertodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="addonusertodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="addonusertodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="addonusertodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `AddOnUser.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuseruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `AddOnUser.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="addonuserworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="addonuserworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="addonuserworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="addonuserworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="addonuserworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `AdminMemberRole`

管理者メンバーロールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="adminmemberrolecreatedat"></a>`createdAt` | [`Time!`](#time) | メンバーロール作成時のタイムスタンプ。 |
| <a id="adminmemberroledescription"></a>`description` | [`String`](#string) | ロールの説明。 |
| <a id="adminmemberroledetailspath"></a>`detailsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.4で**導入**。**状態**: 実験。ロールの詳細WebページのURLパス。 |
| <a id="adminmemberroleeditpath"></a>`editPath` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 16.11で**導入**。**状態**: 実験。カスタムロールを編集するためのWeb UIパス。 |
| <a id="adminmemberroleenabledpermissions"></a>`enabledPermissions` {{< icon name="warning-solid" >}} | [`CustomizableAdminPermissionConnection!`](#customizableadminpermissionconnection) | GitLab 17.7で**導入**。**状態**: 実験。カスタムロールに対して有効になっているすべての権限の配列。 |
| <a id="adminmemberroleid"></a>`id` | [`ID!`](#id) | ロールID。 |
| <a id="adminmemberrolememberscount"></a>`membersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.3で**導入**。**状態**: 実験。ロールがグループまたはプロジェクトメンバーに直接割り当てられた回数。 |
| <a id="adminmemberrolename"></a>`name` | [`String`](#string) | ロール名。 |
| <a id="adminmemberroleuserscount"></a>`usersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.5で**導入**。**状態**: 実験。少なくとも1つのグループまたはプロジェクトでロールが直接割り当てられているユーザーの数。 |

### `AgentConfiguration`

エージェントの設定の詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentconfigurationagentname"></a>`agentName` | [`String`](#string) | エージェントの名前。 |

### `AgentMetadata`

接続されているエージェントに関する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentmetadatacommit"></a>`commit` | [`String`](#string) | エージェントのバージョンコミット。 |
| <a id="agentmetadatapodname"></a>`podName` | [`String`](#string) | エージェントを実行しているポッドの名前。 |
| <a id="agentmetadatapodnamespace"></a>`podNamespace` | [`String`](#string) | エージェントを実行しているポッドのネームスペース。 |
| <a id="agentmetadataversion"></a>`version` | [`String`](#string) | エージェントのバージョンタグ。 |

### `AgentVersionWarning`

接続されているエージェントのバージョンに関連する警告。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentversionwarningmessage"></a>`message` | [`String`](#string) | バージョンに関連する警告メッセージ。 |
| <a id="agentversionwarningtype"></a>`type` | [`String`](#string) | バージョンに関連する警告タイプ。 |

### `AgentWarning`

接続されているエージェントの警告オブジェクト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="agentwarningversion"></a>`version` | [`AgentVersionWarning`](#agentversionwarning) | バージョンに関連するエージェントの警告。 |

### `AggregationStatus`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aggregationstatusenabled"></a>`enabled` | [`Boolean!`](#boolean) | バックグラウンド集計が有効か無効か。ライセンスのないダウングレードされたグループおよびプロジェクトの場合、このフィールドは`false`です。 |
| <a id="aggregationstatusestimatednextupdateat"></a>`estimatedNextUpdateAt` | [`Time`](#time) | 次の増分アップデートがいつ発生するかの推定時刻。 |
| <a id="aggregationstatuslastupdateat"></a>`lastUpdateAt` | [`Time`](#time) | 最後の増分アップデート時刻。 |

### `AiAdditionalContext`

AIメッセージの追加コンテキスト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiadditionalcontextcategory"></a>`category` | [`AiAdditionalContextCategory!`](#aiadditionalcontextcategory) | 追加コンテキストのカテゴリ。 |
| <a id="aiadditionalcontextcontent"></a>`content` | [`String!`](#string) | 追加コンテキストのコンテンツ。 |
| <a id="aiadditionalcontextid"></a>`id` | [`ID!`](#id) | 追加コンテキストのID。 |
| <a id="aiadditionalcontextmetadata"></a>`metadata` | [`JSON`](#json) | 追加コンテキストのメタデータ。 |

### `AiAgent`

AIエージェント。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiagentcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="aiagentid"></a>`id` | [`ID!`](#id) | エージェントのID。 |
| <a id="aiagentlatestversion"></a>`latestVersion` | [`AiAgentVersion`](#aiagentversion) | エージェントの最新バージョン。 |
| <a id="aiagentname"></a>`name` | [`String!`](#string) | エージェントの名前。 |
| <a id="aiagentrouteid"></a>`routeId` | [`Int!`](#int) | エージェントのルーティングID。 |
| <a id="aiagentversions"></a>`versions` | [`[AiAgentVersion!]`](#aiagentversion) | エージェントのバージョン。 |

### `AiAgentVersion`

AIエージェントのバージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiagentversioncreatedat"></a>`createdAt` | [`Time!`](#time) | エージェントバージョン作成時のタイムスタンプ。 |
| <a id="aiagentversionid"></a>`id` | [`ID!`](#id) | エージェントバージョンのID。 |
| <a id="aiagentversionmodel"></a>`model` | [`String!`](#string) | エージェントのモデル。 |
| <a id="aiagentversionprompt"></a>`prompt` | [`String!`](#string) | エージェントのプロンプト。 |

### `AiConversationsThread`

AI機能の会話スレッド。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiconversationsthreadconversationtype"></a>`conversationType` | [`AiConversationsThreadsConversationType!`](#aiconversationsthreadsconversationtype) | スレッドの会話タイプ。 |
| <a id="aiconversationsthreadcreatedat"></a>`createdAt` | [`Time!`](#time) | スレッドの作成日。 |
| <a id="aiconversationsthreadid"></a>`id` | [`ID!`](#id) | スレッドのID。 |
| <a id="aiconversationsthreadlastupdatedat"></a>`lastUpdatedAt` | [`Time!`](#time) | スレッドの最終更新日。 |
| <a id="aiconversationsthreadtitle"></a>`title` | [`String`](#string) | スレッドのタイトル。 |

### `AiFeatureSetting`

GitLab Duo Chat機能の設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aifeaturesettingcompatiblellms"></a>`compatibleLlms` | [`[String!]`](#string) | この機能と互換性のあるLLM。 |
| <a id="aifeaturesettingfeature"></a>`feature` | [`String!`](#string) | AI機能の識別子。 |
| <a id="aifeaturesettingmainfeature"></a>`mainFeature` | [`String`](#string) | メイン機能の表示名。 |
| <a id="aifeaturesettingprovider"></a>`provider` | [`String!`](#string) | AI機能のわかりやすい名前（「コード補完」など）。 |
| <a id="aifeaturesettingreleasestate"></a>`releaseState` | [`String`](#string) | 機能の現在のリリース状態。 |
| <a id="aifeaturesettingselfhostedmodel"></a>`selfHostedModel` | [`AiSelfHostedModel`](#aiselfhostedmodel) | AI機能で使用するために選択されているセルフホストモデル。 |
| <a id="aifeaturesettingtitle"></a>`title` | [`String`](#string) | AI機能の表示名。 |
| <a id="aifeaturesettingvalidmodels"></a>`validModels` | [`AiSelfHostedModelConnection!`](#aiselfhostedmodelconnection) | 機能と互換性のあるセルフホストモデル。（[接続](#connections)を参照） |

### `AiMessage`

AI機能の通信メッセージ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimessageagentversionid"></a>`agentVersionId` | [`AiAgentVersionID`](#aiagentversionid) | メッセージに応答するエージェントバージョンのグローバルID。 |
| <a id="aimessagechunkid"></a>`chunkId` | [`Int`](#int) | ストリーミングメッセージからのチャンクの増分ID。ストリーミングメッセージでない場合はnull。 |
| <a id="aimessagecontent"></a>`content` | [`String`](#string) | raw応答コンテンツ。 |
| <a id="aimessagecontenthtml"></a>`contentHtml` | [`String`](#string) | HTMLとしてのレスポンスコンテンツ。 |
| <a id="aimessageerrors"></a>`errors` | [`[String!]`](#string) | メッセージのエラー。 |
| <a id="aimessageextras"></a>`extras` | [`AiMessageExtras`](#aimessageextras) | 追加のメッセージメタデータ。 |
| <a id="aimessageid"></a>`id` | [`ID`](#id) | メッセージのUUID。 |
| <a id="aimessagerequestid"></a>`requestId` | [`String`](#string) | 元のリクエストのUUID。チャットプロンプトと応答の間で共有されます。 |
| <a id="aimessagerole"></a>`role` | [`AiMessageRole!`](#aimessagerole) | メッセージオーナーロール。 |
| <a id="aimessagethreadid"></a>`threadId` | [`AiConversationThreadID`](#aiconversationthreadid) | チャット会話の既存スレッドのグローバルID。 |
| <a id="aimessagetimestamp"></a>`timestamp` | [`Time!`](#time) | メッセージ作成のタイムスタンプ。 |
| <a id="aimessagetype"></a>`type` | [`AiMessageType`](#aimessagetype) | メッセージタイプ。 |

### `AiMessageExtras`

AIメッセージの追加メタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimessageextrasadditionalcontext"></a>`additionalContext` | [`[AiAdditionalContext!]`](#aiadditionalcontext) | メッセージの追加コンテキスト。 |
| <a id="aimessageextrashasfeedback"></a>`hasFeedback` | [`Boolean`](#boolean) | ユーザーがメッセージにフィードバックを提供したかどうか。 |
| <a id="aimessageextrassources"></a>`sources` | [`[JSON!]`](#json) | メッセージの作成に使用されたソース。 |

### `AiMetrics`

ClickHouseが必要です。GitLab Duo Pro付きのPremiumとUltimate、およびEnterpriseのみ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimetricscodecontributorscount"></a>`codeContributorsCount` | [`Int`](#int) | コードコントリビューターの数。 |
| <a id="aimetricscodesuggestionsacceptedcount"></a>`codeSuggestionsAcceptedCount` | [`Int`](#int) | コードコントリビューターによって受け入れられたコード提案の総数。 |
| <a id="aimetricscodesuggestionscontributorscount"></a>`codeSuggestionsContributorsCount` | [`Int`](#int) | GitLab Duoコード提案機能を使用したコードコントリビューターの数。 |
| <a id="aimetricscodesuggestionsshowncount"></a>`codeSuggestionsShownCount` | [`Int`](#int) | コードコントリビューターに表示されるコード提案の総数。 |
| <a id="aimetricsduoassigneduserscount"></a>`duoAssignedUsersCount` | [`Int`](#int) | 割り当てられたGitLab Duo ProおよびEnterpriseシートの合計数。期間フィルターを無視します。現在のデータを返します。 |
| <a id="aimetricsduochatcontributorscount"></a>`duoChatContributorsCount` | [`Int`](#int) | GitLab Duo Chat機能を使用したコントリビューターの数。 |
| <a id="aimetricsduoproassigneduserscount"></a>`duoProAssignedUsersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.6で**非推奨**になりました。同じ動作が必要な場合は、duoAssignedUsersCountを使用してください。 |
| <a id="aimetricsduousedcount"></a>`duoUsedCount` | [`Int`](#int) | GitLab Duo機能を使用したコントリビューターの数。 |

### `AiSelfHostedModel`

セルフホストLLMサーバー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiselfhostedmodelapitoken"></a>`apiToken` | [`String`](#string) | セルフホストモデルサーバーのAPIキー（オプション）。 |
| <a id="aiselfhostedmodelcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成のタイムスタンプ。 |
| <a id="aiselfhostedmodelendpoint"></a>`endpoint` | [`String!`](#string) | セルフホストモデルサーバーのエンドポイント。 |
| <a id="aiselfhostedmodelfeaturesettings"></a>`featureSettings` | [`AiFeatureSettingConnection`](#aifeaturesettingconnection) | セルフホストモデルを使用するAI機能設定。（[接続](#connections)を参照） |
| <a id="aiselfhostedmodelhasapitoken"></a>`hasApiToken` | [`Boolean!`](#boolean) | セルフホストモデルサーバーにAPIキーが設定されているかどうかを示します。 |
| <a id="aiselfhostedmodelid"></a>`id` | [`AiSelfHostedModelID!`](#aiselfhostedmodelid) | セルフホストモデルサーバーのID。 |
| <a id="aiselfhostedmodelidentifier"></a>`identifier` | [`String`](#string) | サードパーティモデルプロバイダーの識別子。 |
| <a id="aiselfhostedmodelmodel"></a>`model` | [`String!`](#string) | デプロイ対象のAIモデル。 |
| <a id="aiselfhostedmodelmodeldisplayname"></a>`modelDisplayName` | [`String!`](#string) | デプロイ対象のAIモデルの表示名。 |
| <a id="aiselfhostedmodelname"></a>`name` | [`String!`](#string) | セルフホストモデルのデプロイ名。 |
| <a id="aiselfhostedmodelreleasestate"></a>`releaseState` | [`AiSelfHostedModelReleaseState!`](#aiselfhostedmodelreleasestate) | モデルのGitLabリリース状態。 |
| <a id="aiselfhostedmodelupdatedat"></a>`updatedAt` | [`Time`](#time) | 最終更新のタイムスタンプ。 |

### `AiUsageData`

デフォルトのPostgreSQLデータベースに保存されているイベントの使用状況データ。3か月間保持されるデータ。パーソナルアクセストークンが必要です。エンドポイントは、トップレベルグループでのみ機能します。GitLab Duo Enterpriseを含むUltimateのみ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiusagedatacodesuggestionevents"></a>`codeSuggestionEvents` | [`CodeSuggestionEventConnection`](#codesuggestioneventconnection) | コード提案に関連するイベント。（[接続](#connections)を参照） |

### `AiUserMetrics`

GitLabコード提案とGitLab Duo Chatのユーザーごとの集約メトリクス。ClickHouseが有効になっていること、そしてGitLab Duo Enterpriseアドオンを含むGitLab Ultimateが必要です。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiusermetricscodesuggestionsacceptedcount"></a>`codeSuggestionsAcceptedCount` | [`Int`](#int) | ユーザーによって受け入れられたコード提案の総数。 |
| <a id="aiusermetricsduochatinteractionscount"></a>`duoChatInteractionsCount` | [`Int`](#int) | GitLab Duo Chatとのユーザーインタラクションの数。 |
| <a id="aiusermetricsuser"></a>`user` | [`AddOnUser!`](#addonuser) | メトリクスに関連付けられているユーザー。 |

### `AiXrayReport`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aixrayreportlanguage"></a>`language` | [`String!`](#string) | X-Rayレポートの言語。 |

### `AlertManagementAlert`

プロジェクトのアラート管理からのアラートについて説明します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalertassignees"></a>`assignees` | [`UserCoreConnection`](#usercoreconnection) | アラートの担当者。（[接続](#connections)を参照） |
| <a id="alertmanagementalertcommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="alertmanagementalertcreatedat"></a>`createdAt` | [`Time`](#time) | アラート作成のタイムスタンプ。 |
| <a id="alertmanagementalertdescription"></a>`description` | [`String`](#string) | アラートの説明。 |
| <a id="alertmanagementalertdetails"></a>`details` | [`JSON`](#json) | アラートの詳細。 |
| <a id="alertmanagementalertdetailsurl"></a>`detailsUrl` | [`String!`](#string) | アラート詳細ページのURL。 |
| <a id="alertmanagementalertdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="alertmanagementalertendedat"></a>`endedAt` | [`Time`](#time) | アラート終了のタイムスタンプ。 |
| <a id="alertmanagementalertenvironment"></a>`environment` | [`Environment`](#environment) | アラートの環境。 |
| <a id="alertmanagementalerteventcount"></a>`eventCount` | [`Int`](#int) | アラートのイベント数。 |
| <a id="alertmanagementalerthosts"></a>`hosts` | [`[String!]`](#string) | アラート送信元ホストのリスト。 |
| <a id="alertmanagementalertid"></a>`id` | [`ID!`](#id) | アラートのID。 |
| <a id="alertmanagementalertiid"></a>`iid` | [`String!`](#string) | アラートの内部ID。 |
| <a id="alertmanagementalertissue"></a>`issue` | [`Issue`](#issue) | アラートに添付されたイシュー。 |
| <a id="alertmanagementalertissueiid"></a>`issueIid` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.10で**非推奨**になりました。issueフィールドを使用してください。 |
| <a id="alertmanagementalertmetricsdashboardurl"></a>`metricsDashboardUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.0で**非推奨**になりました。データは返されません。基盤となる機能は16.0で削除されました。 |
| <a id="alertmanagementalertmonitoringtool"></a>`monitoringTool` | [`String`](#string) | アラート送信元のモニタリングツール。 |
| <a id="alertmanagementalertname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="alertmanagementalertprometheusalert"></a>`prometheusAlert` {{< icon name="warning-solid" >}} | [`PrometheusAlert`](#prometheusalert) | GitLab 17.3で**非推奨**になりました。データは返されません。基盤となる機能は16.0で削除されました。 |
| <a id="alertmanagementalertrunbook"></a>`runbook` | [`String`](#string) | アラートの詳細で定義されているアラートの手順書。 |
| <a id="alertmanagementalertservice"></a>`service` | [`String`](#string) | アラート送信元のサービス。 |
| <a id="alertmanagementalertseverity"></a>`severity` | [`AlertManagementSeverity`](#alertmanagementseverity) | アラートの重大度。 |
| <a id="alertmanagementalertstartedat"></a>`startedAt` | [`Time`](#time) | アラート発生のタイムスタンプ。 |
| <a id="alertmanagementalertstatus"></a>`status` | [`AlertManagementStatus`](#alertmanagementstatus) | アラートの状態。 |
| <a id="alertmanagementalerttitle"></a>`title` | [`String`](#string) | アラートのタイトル。 |
| <a id="alertmanagementalertupdatedat"></a>`updatedAt` | [`Time`](#time) | アラートの最終更新時のタイムスタンプ。 |
| <a id="alertmanagementalertweburl"></a>`webUrl` | [`String!`](#string) | アラートのURL。 |

#### 引数のあるフィールド

##### `AlertManagementAlert.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalertnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `AlertManagementAlert.todos`

アラートについての現在のユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalerttodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="alertmanagementalerttodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="alertmanagementalerttodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="alertmanagementalerttodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="alertmanagementalerttodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="alertmanagementalerttodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="alertmanagementalerttodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="alertmanagementalerttodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

### `AlertManagementAlertStatusCountsType`

対象カテゴリのアラートの合計数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementalertstatuscountstypeacknowledged"></a>`acknowledged` | [`Int`](#int) | プロジェクトの状態がACKNOWLEDGEDのアラートの数。 |
| <a id="alertmanagementalertstatuscountstypeall"></a>`all` | [`Int`](#int) | プロジェクトのアラートの合計数。 |
| <a id="alertmanagementalertstatuscountstypeignored"></a>`ignored` | [`Int`](#int) | プロジェクトの状態がIGNOREDのアラートの数。 |
| <a id="alertmanagementalertstatuscountstypeopen"></a>`open` | [`Int`](#int) | プロジェクトの状態がTRIGGEREDまたはACKNOWLEDGEDのアラートの数。 |
| <a id="alertmanagementalertstatuscountstyperesolved"></a>`resolved` | [`Int`](#int) | プロジェクトの状態がRESOLVEDのアラートの数。 |
| <a id="alertmanagementalertstatuscountstypetriggered"></a>`triggered` | [`Int`](#int) | プロジェクトの状態がTRIGGEREDのアラートの数。 |

### `AlertManagementHttpIntegration`

プロジェクトのアラートを受け入れるために使用されるエンドポイントと認証情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementhttpintegrationactive"></a>`active` | [`Boolean`](#boolean) | エンドポイントが現在アラートを受け入れているかどうか。 |
| <a id="alertmanagementhttpintegrationapiurl"></a>`apiUrl` | [`String`](#string) | メトリクスダッシュボードのデータを設定するために、PrometheusメトリクスをクエリできるURL。 |
| <a id="alertmanagementhttpintegrationid"></a>`id` | [`ID!`](#id) | インテグレーションのID。 |
| <a id="alertmanagementhttpintegrationname"></a>`name` | [`String`](#string) | インテグレーションの名前。 |
| <a id="alertmanagementhttpintegrationpayloadalertfields"></a>`payloadAlertFields` | [`[AlertManagementPayloadAlertField!]`](#alertmanagementpayloadalertfield) | カスタムマッピング用のペイロードの例からアラートフィールドを抽出します。 |
| <a id="alertmanagementhttpintegrationpayloadattributemappings"></a>`payloadAttributeMappings` | [`[AlertManagementPayloadAlertMappingField!]`](#alertmanagementpayloadalertmappingfield) | GitLabアラート属性からpayload_exampleに基づくフィールドへのカスタムマッピング。 |
| <a id="alertmanagementhttpintegrationpayloadexample"></a>`payloadExample` | [`JsonString`](#jsonstring) | アラートペイロードの例。 |
| <a id="alertmanagementhttpintegrationtoken"></a>`token` | [`String`](#string) | アラート通知リクエストを認証するために使用するトークン。 |
| <a id="alertmanagementhttpintegrationtype"></a>`type` | [`AlertManagementIntegrationType!`](#alertmanagementintegrationtype) | インテグレーションのタイプ。 |
| <a id="alertmanagementhttpintegrationurl"></a>`url` | [`String`](#string) | アラート通知を受け入れるエンドポイント。 |

### `AlertManagementPayloadAlertField`

カスタムマッピングに使用されるアラートから解析されたフィールド。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementpayloadalertfieldlabel"></a>`label` | [`String`](#string) | 人間が判読できるペイロードパスのラベル。 |
| <a id="alertmanagementpayloadalertfieldpath"></a>`path` | [`[PayloadAlertFieldPathSegment!]`](#payloadalertfieldpathsegment) | ペイロードJSON内の値へのパス。 |
| <a id="alertmanagementpayloadalertfieldtype"></a>`type` | [`AlertManagementPayloadAlertFieldType`](#alertmanagementpayloadalertfieldtype) | 解析された値の型。 |

### `AlertManagementPayloadAlertMappingField`

カスタムマッピングに使用されるアラートから解析されたフィールド（とその名前）。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementpayloadalertmappingfieldfieldname"></a>`fieldName` | [`AlertManagementPayloadAlertFieldName`](#alertmanagementpayloadalertfieldname) | GitLabアラートフィールド名。 |
| <a id="alertmanagementpayloadalertmappingfieldlabel"></a>`label` | [`String`](#string) | 人間が判読できるペイロードパスのラベル。 |
| <a id="alertmanagementpayloadalertmappingfieldpath"></a>`path` | [`[PayloadAlertFieldPathSegment!]`](#payloadalertfieldpathsegment) | ペイロードJSON内の値へのパス。 |
| <a id="alertmanagementpayloadalertmappingfieldtype"></a>`type` | [`AlertManagementPayloadAlertFieldType`](#alertmanagementpayloadalertfieldtype) | 解析された値の型。 |

### `AlertManagementPrometheusIntegration`

プロジェクトのPrometheusアラートを受け入れるために使用されるエンドポイントと認証情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementprometheusintegrationactive"></a>`active` | [`Boolean`](#boolean) | エンドポイントが現在アラートを受け入れているかどうか。 |
| <a id="alertmanagementprometheusintegrationapiurl"></a>`apiUrl` | [`String`](#string) | メトリクスダッシュボードのデータを設定するために、PrometheusメトリクスをクエリできるURL。 |
| <a id="alertmanagementprometheusintegrationid"></a>`id` | [`ID!`](#id) | インテグレーションのID。 |
| <a id="alertmanagementprometheusintegrationname"></a>`name` | [`String`](#string) | インテグレーションの名前。 |
| <a id="alertmanagementprometheusintegrationtoken"></a>`token` | [`String`](#string) | アラート通知リクエストを認証するために使用するトークン。 |
| <a id="alertmanagementprometheusintegrationtype"></a>`type` | [`AlertManagementIntegrationType!`](#alertmanagementintegrationtype) | インテグレーションのタイプ。 |
| <a id="alertmanagementprometheusintegrationurl"></a>`url` | [`String`](#string) | アラート通知を受け入れるエンドポイント。 |

### `AmazonS3ConfigurationType`

監査イベントストリーミングのAmazon S3設定を保存します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="amazons3configurationtypeaccesskeyxid"></a>`accessKeyXid` | [`String!`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="amazons3configurationtypeawsregion"></a>`awsRegion` | [`String!`](#string) | バケットを作成するAWSリージョン。 |
| <a id="amazons3configurationtypebucketname"></a>`bucketName` | [`String!`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="amazons3configurationtypegroup"></a>`group` | [`Group!`](#group) | 設定が属するグループ。 |
| <a id="amazons3configurationtypeid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="amazons3configurationtypename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

### `AncestorType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ancestortypename"></a>`name` | [`String`](#string) | 祖先の名前。 |
| <a id="ancestortypeversion"></a>`version` | [`String`](#string) | 祖先のバージョン。 |

### `ApiFuzzingCiConfiguration`

GitLab CIでAPIファジングスキャンの設定に関連するデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="apifuzzingciconfigurationscanmodes"></a>`scanModes` | [`[ApiFuzzingScanMode!]`](#apifuzzingscanmode) | 利用可能なすべてのスキャンモード。 |
| <a id="apifuzzingciconfigurationscanprofiles"></a>`scanProfiles` | [`[ApiFuzzingScanProfile!]`](#apifuzzingscanprofile) | すべてのデフォルトスキャンプロファイル。 |

### `ApiFuzzingScanProfile`

APIファジングスキャンプロファイル。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="apifuzzingscanprofiledescription"></a>`description` | [`String`](#string) | プロファイルの短い説明。 |
| <a id="apifuzzingscanprofilename"></a>`name` | [`String`](#string) | プロファイルの固有の名前。 |
| <a id="apifuzzingscanprofileyaml"></a>`yaml` | [`String`](#string) | 構文を強調表示したYAMLのHTML表現。 |

### `ApprovalPolicy`

承認ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalpolicyactionapprovers"></a>`actionApprovers` | [`[PolicyApproversType!]`](#policyapproverstype) | 複数の承認者のアクション。 |
| <a id="approvalpolicyallgroupapprovers"></a>`allGroupApprovers` | [`[PolicyApprovalGroup!]`](#policyapprovalgroup) | ユーザーがアクセスできないグループを含め、グループタイプの承認者として可能性のあるすべての承認者。 |
| <a id="approvalpolicycustomroles"></a>`customRoles` | [`[MemberRole!]`](#memberrole) | カスタムロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="approvalpolicydeprecatedproperties"></a>`deprecatedProperties` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.10で**導入**。**状態**: 実験。ポリシー内のすべての非推奨プロパティ。 |
| <a id="approvalpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="approvalpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="approvalpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="approvalpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="approvalpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="approvalpolicyroleapprovers"></a>`roleApprovers` | [`[MemberAccessLevelName!]`](#memberaccesslevelname) | ロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="approvalpolicysource"></a>`source` | [`SecurityPolicySource!`](#securitypolicysource) | ポリシーのソース。そのフィールドは、ソースタイプに応じて異なります。 |
| <a id="approvalpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="approvalpolicyuserapprovers"></a>`userApprovers` | [`[UserCore!]`](#usercore) | ユーザータイプの承認者。 |
| <a id="approvalpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

### `ApprovalProjectRule`

誰がマージリクエストを承認できるかに関するプロジェクト承認ルールについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalprojectruleapprovalsrequired"></a>`approvalsRequired` | [`Int`](#int) | 必要な承認の数。 |
| <a id="approvalprojectruleeligibleapprovers"></a>`eligibleApprovers` | [`UserCoreConnection`](#usercoreconnection) | 承認ルールについてのマージリクエストを承認する資格のあるユーザーのリスト。（[接続](#connections)を参照） |
| <a id="approvalprojectruleid"></a>`id` | [`GlobalID!`](#globalid) | ルールのID。 |
| <a id="approvalprojectrulename"></a>`name` | [`String`](#string) | ルールの名前。 |
| <a id="approvalprojectruletype"></a>`type` | [`ApprovalRuleType`](#approvalruletype) | ルールのタイプ。 |

### `ApprovalRule`

誰がマージリクエストを承認できるかに関するルールについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalruleallowmergewheninvalid"></a>`allowMergeWhenInvalid` | [`Boolean`](#boolean) | ルールが無効な場合に無視できるかどうかを示します。 |
| <a id="approvalruleapprovalsrequired"></a>`approvalsRequired` | [`Int`](#int) | 必要な承認の数。 |
| <a id="approvalruleapproved"></a>`approved` | [`Boolean`](#boolean) | ルールが満たされているかどうかを示します。 |
| <a id="approvalruleapprovedby"></a>`approvedBy` | [`UserCoreConnection`](#usercoreconnection) | ルールで定義されている、マージリクエストを承認したユーザーのリスト。（[接続](#connections)を参照） |
| <a id="approvalrulecommentedby"></a>`commentedBy` | [`UserCoreConnection`](#usercoreconnection) | ルールで定義されている、マージリクエストにコメントしたユーザーのリスト。（[接続](#connections)を参照） |
| <a id="approvalrulecontainshiddengroups"></a>`containsHiddenGroups` | [`Boolean`](#boolean) | 非表示グループの承認者がルールに含まれているかどうかを示します。 |
| <a id="approvalruleeligibleapprovers"></a>`eligibleApprovers` | [`[UserCore!]`](#usercore) | （明示的に定義された、関連グループからの）マージリクエストを承認する資格のあるすべてのユーザーのリスト。 |
| <a id="approvalrulegroups"></a>`groups` | [`GroupConnection`](#groupconnection) | ルールの承認者として追加されたグループのリスト。（[接続](#connections)を参照） |
| <a id="approvalruleid"></a>`id` | [`GlobalID!`](#globalid) | ルールのID。 |
| <a id="approvalruleinvalid"></a>`invalid` | [`Boolean`](#boolean) | 無効のため承認できないルールかどうかを示します。 |
| <a id="approvalrulename"></a>`name` | [`String`](#string) | ルールの名前。 |
| <a id="approvalruleoverridden"></a>`overridden` | [`Boolean`](#boolean) | マージリクエストについてルールがオーバーライドされたかどうかを示します。 |
| <a id="approvalrulescanresultpolicies"></a>`scanResultPolicies` | [`[ApprovalScanResultPolicy!]`](#approvalscanresultpolicy) | ルールに関連付けられているスキャン結果ポリシーのリスト。 |
| <a id="approvalrulesection"></a>`section` | [`String`](#string) | ルール適用対象となるコードオーナーファイルの指定されたセクション。 |
| <a id="approvalrulesourcerule"></a>`sourceRule` | [`ApprovalRule`](#approvalrule) | ルールの作成に使用されるソースルール。 |
| <a id="approvalruletype"></a>`type` | [`ApprovalRuleType`](#approvalruletype) | ルールのタイプ。 |
| <a id="approvalruleusers"></a>`users` | [`UserCoreConnection`](#usercoreconnection) | ルールの承認者として追加されたユーザーのリスト。（[接続](#connections)を参照） |

### `ApprovalScanResultPolicy`

スキャン結果ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="approvalscanresultpolicyapprovalsrequired"></a>`approvalsRequired` | [`Int!`](#int) | ポリシーの定義により必要とされる承認を表します。 |
| <a id="approvalscanresultpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前を表します。 |
| <a id="approvalscanresultpolicyreporttype"></a>`reportType` | [`ApprovalReportType!`](#approvalreporttype) | 承認ルールのreport_typeを表します。 |

### `AssetType`

脆弱性アセットタイプを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="assettypename"></a>`name` | [`String!`](#string) | アセットの名前。 |
| <a id="assettypetype"></a>`type` | [`String!`](#string) | アセットのタイプ。 |
| <a id="assettypeurl"></a>`url` | [`String!`](#string) | アセットのURL。 |

### `AuditEventDefinition`

`ee/config/audit_events/types/<event-type-name>.yml`と`config/audit_events/types/<event-type-name>.yml`で定義されている監査イベントのYAML定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventdefinitiondescription"></a>`description` | [`String!`](#string) | 監査イベントが追跡するアクションの説明。 |
| <a id="auditeventdefinitionfeaturecategory"></a>`featureCategory` | [`String!`](#string) | イベントに関連付けられている機能カテゴリ。 |
| <a id="auditeventdefinitionintroducedbyissue"></a>`introducedByIssue` | [`String`](#string) | イベントを導入するイシューへのリンク。過去の監査イベントの場合、マージリクエストURLではなく、コミットURLの可能性があります。 |
| <a id="auditeventdefinitionintroducedbymr"></a>`introducedByMr` | [`String`](#string) | イベントを導入するマージリクエストへのリンク。過去の監査イベントの場合、マージリクエストURLではなく、コミットURLの可能性があります。 |
| <a id="auditeventdefinitionmilestone"></a>`milestone` | [`String!`](#string) | イベントが導入されたマイルストーン。 |
| <a id="auditeventdefinitionname"></a>`name` | [`String!`](#string) | 監査イベントのキー名。 |
| <a id="auditeventdefinitionsavedtodatabase"></a>`savedToDatabase` | [`Boolean!`](#boolean) | イベントをPostgreSQLデータベースに保存するかどうかを示します。 |
| <a id="auditeventdefinitionstreamed"></a>`streamed` | [`Boolean!`](#boolean) | イベントが外部の宛先にストリーミングされるかどうかを示します。 |

### `AuditEventStreamingHTTPNamespaceFilter`

外部監査イベントストリーミングの宛先に属するサブグループまたはプロジェクトフィルターを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventstreaminghttpnamespacefilterexternalauditeventdestination"></a>`externalAuditEventDestination` | [`ExternalAuditEventDestination!`](#externalauditeventdestination) | フィルターが属する宛先。 |
| <a id="auditeventstreaminghttpnamespacefilterid"></a>`id` | [`ID!`](#id) | フィルターのID。 |
| <a id="auditeventstreaminghttpnamespacefilternamespace"></a>`namespace` | [`Namespace!`](#namespace) | フィルターが属するグループまたはプロジェクトのネームスペース。 |

### `AuditEventStreamingHeader`

監査ストリーミングの宛先に属するHTTPヘッダーキー/値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventstreamingheaderactive"></a>`active` | [`Boolean!`](#boolean) | ヘッダーがアクティブかどうか。 |
| <a id="auditeventstreamingheaderid"></a>`id` | [`ID!`](#id) | ヘッダーのID。 |
| <a id="auditeventstreamingheaderkey"></a>`key` | [`String!`](#string) | ヘッダーのキー。 |
| <a id="auditeventstreamingheadervalue"></a>`value` | [`String!`](#string) | ヘッダーの値。 |

### `AuditEventsStreamingHTTPNamespaceFiltersAddPayload`

AuditEventsStreamingHTTPNamespaceFiltersAddの自動生成された戻り値の型。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventsstreaminghttpnamespacefiltersaddpayloadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="auditeventsstreaminghttpnamespacefiltersaddpayloaderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |
| <a id="auditeventsstreaminghttpnamespacefiltersaddpayloadnamespacefilter"></a>`namespaceFilter` | [`AuditEventStreamingHTTPNamespaceFilter`](#auditeventstreaminghttpnamespacefilter) | 作成されたネームスペースフィルター。 |

### `AuditEventsStreamingHTTPNamespaceFiltersDeletePayload`

AuditEventsStreamingHTTPNamespaceFiltersDeleteの自動生成された戻り値の型。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventsstreaminghttpnamespacefiltersdeletepayloadclientmutationid"></a>`clientMutationId` | [`String`](#string) | 変異を実行しているクライアントの固有識別子。 |
| <a id="auditeventsstreaminghttpnamespacefiltersdeletepayloaderrors"></a>`errors` | [`[String!]!`](#string) | 変異の実行中に発生したエラー。 |

### `AuditEventsStreamingInstanceHeader`

インスタンスレベルの監査ストリーミングの宛先に属するHTTPヘッダーキー/値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventsstreaminginstanceheaderactive"></a>`active` | [`Boolean!`](#boolean) | ヘッダーがアクティブかどうか。 |
| <a id="auditeventsstreaminginstanceheaderid"></a>`id` | [`ID!`](#id) | ヘッダーのID。 |
| <a id="auditeventsstreaminginstanceheaderkey"></a>`key` | [`String!`](#string) | ヘッダーのキー。 |
| <a id="auditeventsstreaminginstanceheadervalue"></a>`value` | [`String!`](#string) | ヘッダーの値。 |

### `AutocompletedUser`

GitLabユーザーのコア表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduseractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="autocompleteduseravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="autocompleteduserbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="autocompleteduserbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="autocompletedusercallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="autocompletedusercommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="autocompletedusercreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="autocompleteduserdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="autocompleteduseremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="autocompleteduseremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="autocompletedusergitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="autocompletedusergroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="autocompletedusergroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="autocompleteduserhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="autocompleteduserid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="autocompleteduseride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="autocompleteduserjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="autocompleteduserlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="autocompleteduserlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="autocompleteduserlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="autocompletedusername"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="autocompletedusernamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="autocompletedusernamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="autocompleteduserorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="autocompleteduserpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="autocompleteduserprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="autocompleteduserprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="autocompleteduserpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="autocompleteduserpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="autocompletedusersavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="autocompleteduserstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="autocompleteduserstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="autocompletedusertwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="autocompletedusertype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="autocompleteduseruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="autocompleteduseruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="autocompleteduserusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="autocompleteduserwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="autocompleteduserweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `AutocompletedUser.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="autocompleteduserassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="autocompleteduserassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="autocompleteduserassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="autocompleteduserassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="autocompleteduserassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="autocompleteduserassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="autocompleteduserassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="autocompleteduserassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="autocompleteduserassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="autocompleteduserassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="autocompleteduserassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="autocompleteduserassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="autocompleteduserassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="autocompleteduserassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="autocompleteduserassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="autocompleteduserassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="autocompleteduserassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="autocompleteduserassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="autocompleteduserassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="autocompleteduserassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="autocompleteduserassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="autocompleteduserassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="autocompleteduserassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="autocompleteduserassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="autocompleteduserassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="autocompleteduserassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="autocompleteduserassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="autocompleteduserassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="autocompleteduserassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="autocompleteduserassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AutocompletedUser.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="autocompleteduserauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="autocompleteduserauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="autocompleteduserauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="autocompleteduserauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="autocompleteduserauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="autocompleteduserauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="autocompleteduserauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="autocompleteduserauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="autocompleteduserauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="autocompleteduserauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="autocompleteduserauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="autocompleteduserauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="autocompleteduserauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="autocompleteduserauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="autocompleteduserauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="autocompleteduserauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="autocompleteduserauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="autocompleteduserauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="autocompleteduserauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="autocompleteduserauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="autocompleteduserauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="autocompleteduserauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="autocompleteduserauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AutocompletedUser.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusercontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="autocompletedusercontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="autocompletedusercontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="autocompletedusercontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="autocompletedusercontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `AutocompletedUser.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusergroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="autocompletedusergroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="autocompletedusergroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `AutocompletedUser.mergeRequestInteraction`

ユーザーに関連するマージリクエストの状態。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusermergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

##### `AutocompletedUser.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="autocompleteduserorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `AutocompletedUser.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="autocompleteduserreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="autocompleteduserreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="autocompleteduserreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="autocompleteduserreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="autocompleteduserreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="autocompleteduserreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="autocompleteduserreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="autocompleteduserreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="autocompleteduserreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="autocompleteduserreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="autocompleteduserreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="autocompleteduserreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="autocompleteduserreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="autocompleteduserreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="autocompleteduserreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="autocompleteduserreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="autocompleteduserreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="autocompleteduserreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="autocompleteduserreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="autocompleteduserreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="autocompleteduserreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="autocompleteduserreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="autocompleteduserreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="autocompleteduserreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `AutocompletedUser.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusersavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `AutocompletedUser.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusersnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="autocompletedusersnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="autocompletedusersnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `AutocompletedUser.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="autocompleteduserstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="autocompleteduserstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="autocompleteduserstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `AutocompletedUser.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusertimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="autocompletedusertimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="autocompletedusertimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="autocompletedusertimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="autocompletedusertimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="autocompletedusertimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="autocompletedusertimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="autocompletedusertimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `AutocompletedUser.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompletedusertodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="autocompletedusertodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="autocompletedusertodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="autocompletedusertodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="autocompletedusertodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="autocompletedusertodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="autocompletedusertodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="autocompletedusertodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `AutocompletedUser.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduseruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `AutocompletedUser.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="autocompleteduserworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="autocompleteduserworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="autocompleteduserworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="autocompleteduserworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="autocompleteduserworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `AwardEmoji`

ユーザーによって授与された絵文字。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="awardemojidescription"></a>`description` | [`String!`](#string) | 絵文字の説明。 |
| <a id="awardemojiemoji"></a>`emoji` | [`String!`](#string) | アイコンとしての絵文字。 |
| <a id="awardemojiname"></a>`name` | [`String!`](#string) | 絵文字の名前。 |
| <a id="awardemojiunicode"></a>`unicode` | [`String!`](#string) | Unicodeでの絵文字。 |
| <a id="awardemojiunicodeversion"></a>`unicodeVersion` | [`String!`](#string) | 絵文字のUnicodeバージョン。 |
| <a id="awardemojiuser"></a>`user` | [`UserCore!`](#usercore) | 絵文字を授与したユーザー。 |

### `BaseService`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="baseserviceactive"></a>`active` | [`Boolean`](#boolean) | サービスがアクティブかどうかを示します。 |
| <a id="baseserviceservicetype"></a>`serviceType` | [`ServiceType`](#servicetype) | サービスのタイプ。 |
| <a id="baseservicetype"></a>`type` | [`String`](#string) | サービスのクラス名。 |

### `Blame`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blamefirstline"></a>`firstLine` | [`String`](#string) | 指定された範囲のGit Blameの最初の行。 |
| <a id="blamegroups"></a>`groups` | [`[Groups!]`](#groups) | コミットの連続する行でグループ化された Git Blame。 |

### `Blob`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blobflatpath"></a>`flatPath` | [`String!`](#string) | エントリのフラットパス。 |
| <a id="blobid"></a>`id` | [`ID!`](#id) | エントリのID。 |
| <a id="bloblfsoid"></a>`lfsOid` | [`String`](#string) | blobのLFS ID。 |
| <a id="blobmode"></a>`mode` | [`String`](#string) | 数値形式のblobモード。 |
| <a id="blobname"></a>`name` | [`String!`](#string) | エントリの名前。 |
| <a id="blobpath"></a>`path` | [`String!`](#string) | エントリのパス。 |
| <a id="blobsha"></a>`sha` | [`String!`](#string) | エントリのSHA。 |
| <a id="blobtype"></a>`type` | [`EntryType!`](#entrytype) | ツリーエントリのタイプ。 |
| <a id="blobwebpath"></a>`webPath` | [`String`](#string) | blobのWebパス。 |
| <a id="blobweburl"></a>`webUrl` | [`String`](#string) | blobのWeb URL。 |

### `BlobSearch`

単一ファイル内の複数マッチ結果のフルJSON構造。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blobsearchfilecount"></a>`fileCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。一致するファイルの総数。 |
| <a id="blobsearchfiles"></a>`files` {{< icon name="warning-solid" >}} | [`[SearchBlobFileType!]`](#searchblobfiletype) | GitLab 17.2で**導入**。**状態**: 実験。一致するファイルのリスト。 |
| <a id="blobsearchmatchcount"></a>`matchCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。一致の合計数。 |
| <a id="blobsearchperpage"></a>`perPage` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。ページあたりのファイルの総数。 |
| <a id="blobsearchsearchlevel"></a>`searchLevel` {{< icon name="warning-solid" >}} | [`SearchLevel`](#searchlevel) | GitLab 17.2で**導入**。**状態**: 実験。実行された検索のレベル。 |
| <a id="blobsearchsearchtype"></a>`searchType` {{< icon name="warning-solid" >}} | [`SearchType`](#searchtype) | GitLab 17.2で**導入**。**状態**: 実験。実行された検索のタイプ。 |

### `BlobViewer`

blobコンテンツの表示方法を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blobviewercollapsed"></a>`collapsed` | [`Boolean!`](#boolean) | blobを折りたたんで表示するかどうかを示します。 |
| <a id="blobviewerfiletype"></a>`fileType` | [`String!`](#string) | コンテンツのファイルタイプ。 |
| <a id="blobviewerloadasync"></a>`loadAsync` | [`Boolean!`](#boolean) | blobコンテンツを非同期でロードするかどうかを示します。 |
| <a id="blobviewerloadingpartialname"></a>`loadingPartialName` | [`String!`](#string) | 部分的な読み込み名。 |
| <a id="blobviewerrendererror"></a>`renderError` | [`String`](#string) | blobコンテンツのレンダリングエラー。 |
| <a id="blobviewertoolarge"></a>`tooLarge` | [`Boolean!`](#boolean) | blobが大きすぎて表示できないかどうかを示します。 |
| <a id="blobviewertype"></a>`type` | [`BlobViewersType!`](#blobviewerstype) | blobビューアーのタイプ。 |

### `BlockingMergeRequests`

このマージリクエストによるマージのために満たす必要のあるルールに関する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="blockingmergerequestshiddencount"></a>`hiddenCount` | [`Int!`](#int) | ユーザーに表示されないブロックマージリクエスト。 |
| <a id="blockingmergerequeststotalcount"></a>`totalCount` | [`Int!`](#int) | ブロックマージリクエストの総数。 |
| <a id="blockingmergerequestsvisiblemergerequests"></a>`visibleMergeRequests` | [`[MergeRequest!]`](#mergerequest) | ユーザーに表示されるブロックマージリクエスト。 |

### `Board`

プロジェクトイシューボードまたはグループイシューボードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardassignee"></a>`assignee` | [`UserCore`](#usercore) | ボードの割り当て先。 |
| <a id="boardcreatedat"></a>`createdAt` | [`Time!`](#time) | ボード作成時のタイムスタンプ。 |
| <a id="boardhidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="boardhideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="boardid"></a>`id` | [`ID!`](#id) | ボードのID（グローバルID）。 |
| <a id="boarditeration"></a>`iteration` | [`Iteration`](#iteration) | ボードのイテレーション。 |
| <a id="boarditerationcadence"></a>`iterationCadence` | [`IterationCadence`](#iterationcadence) | ボードのイテレーションケイデンス。 |
| <a id="boardlabels"></a>`labels` | [`LabelConnection`](#labelconnection) | ボードのラベル。（[接続](#connections)を参照） |
| <a id="boardmilestone"></a>`milestone` | [`Milestone`](#milestone) | ボードのマイルストーン。 |
| <a id="boardname"></a>`name` | [`String`](#string) | ボードの名前。 |
| <a id="boardupdatedat"></a>`updatedAt` | [`Time!`](#time) | ボードの最終更新タイムスタンプ。 |
| <a id="boardwebpath"></a>`webPath` | [`String!`](#string) | ボードのWebパス。 |
| <a id="boardweburl"></a>`webUrl` | [`String!`](#string) | ボードのWeb URL。 |
| <a id="boardweight"></a>`weight` | [`Int`](#int) | ボードのウェイト。 |

#### 引数のあるフィールド

##### `Board.epics`

ボードイシューに関連付けられているエピック。

[`BoardEpicConnection`](#boardepicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicsissuefilters"></a>`issueFilters` | [`BoardIssueInput`](#boardissueinput) | ボードのイシュー選択時に適用されるフィルター。 |

##### `Board.lists`

ボードのリスト。

[`BoardListConnection`](#boardlistconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardlistsid"></a>`id` | [`ListID`](#listid) | リストをグローバルIDで検索します。 |
| <a id="boardlistsissuefilters"></a>`issueFilters` | [`BoardIssueInput`](#boardissueinput) | ボードリストでイシューメタデータを取得する際に適用されるフィルター。 |

### `BoardEpic`

イシューボードのエピックを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicauthor"></a>`author` | [`UserCore!`](#usercore) | エピックの作成者。 |
| <a id="boardepicawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | エピックに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="boardepicblocked"></a>`blocked` | [`Boolean`](#boolean) | エピックがブロックされていることを示します。 |
| <a id="boardepicblockedbycount"></a>`blockedByCount` | [`Int`](#int) | このエピックをブロックしているエピックの数。 |
| <a id="boardepicblockedbyepics"></a>`blockedByEpics` | [`EpicConnection`](#epicconnection) | このエピックをブロックしているエピック。（[接続](#connections)を参照） |
| <a id="boardepicblockingcount"></a>`blockingCount` | [`Int`](#int) | このエピックがブロックしているエピックの数。 |
| <a id="boardepicclosedat"></a>`closedAt` | [`Time`](#time) | エピッククローズ時のタイムスタンプ。 |
| <a id="boardepiccolor"></a>`color` | [`String`](#string) | エピックの色。 |
| <a id="boardepiccommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="boardepicconfidential"></a>`confidential` | [`Boolean`](#boolean) | エピックが機密かどうかを示します。 |
| <a id="boardepiccreatedat"></a>`createdAt` | [`Time`](#time) | エピック作成時のタイムスタンプ。 |
| <a id="boardepicdefaultprojectforissuecreation"></a>`defaultProjectForIssueCreation` | [`Project`](#project) | イシュー作成のデフォルトプロジェクト。ユーザーが最後のイシューを作成したプロジェクトに基づきます。 |
| <a id="boardepicdescendantcounts"></a>`descendantCounts` | [`EpicDescendantCount`](#epicdescendantcount) | 未解決/完了子孫エピック/イシューの数。 |
| <a id="boardepicdescendantweightsum"></a>`descendantWeightSum` | [`EpicDescendantWeights`](#epicdescendantweights) | エピックとその子孫の未解決イシューと完了イシューの合計ウェイト。 |
| <a id="boardepicdescription"></a>`description` | [`String`](#string) | エピックの説明。 |
| <a id="boardepicdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="boardepicdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="boardepicdownvotes"></a>`downvotes` | [`Int!`](#int) | エピックが受け取った不同意票の数。 |
| <a id="boardepicduedate"></a>`dueDate` | [`Time`](#time) | エピックの期限。 |
| <a id="boardepicduedatefixed"></a>`dueDateFixed` | [`Time`](#time) | エピックの修正期限。 |
| <a id="boardepicduedatefrominheritedsource"></a>`dueDateFromInheritedSource` | [`Time`](#time) | 子エピックまたはマイルストーンから継承されたエピックの期限。 |
| <a id="boardepicduedatefrommilestones"></a>`dueDateFromMilestones` | [`Time`](#time) | マイルストーンから継承されたエピックの期限。 |
| <a id="boardepicduedateisfixed"></a>`dueDateIsFixed` | [`Boolean`](#boolean) | 期限が手動で設定されたかどうかを示します。 |
| <a id="boardepicevents"></a>`events` | [`EventConnection`](#eventconnection) | オブジェクトに関連付けられているイベントのリスト。（[接続](#connections)を参照） |
| <a id="boardepicgroup"></a>`group` | [`Group!`](#group) | エピックが属するグループ。 |
| <a id="boardepichaschildren"></a>`hasChildren` | [`Boolean!`](#boolean) | エピックに子があるかどうかを示します。 |
| <a id="boardepichaschildrenwithintimeframe"></a>`hasChildrenWithinTimeframe` | [`Boolean!`](#boolean) | 指定された期間内にエピックに子があるかどうかを示します。 |
| <a id="boardepichasissues"></a>`hasIssues` | [`Boolean!`](#boolean) | エピックに直接イシューがあるかどうかを示します。 |
| <a id="boardepichasparent"></a>`hasParent` | [`Boolean!`](#boolean) | エピックに親エピックがあるかどうかを示します。 |
| <a id="boardepichealthstatus"></a>`healthStatus` | [`EpicHealthStatus`](#epichealthstatus) | エピックの現在のヘルスステータス。 |
| <a id="boardepicid"></a>`id` | [`ID!`](#id) | エピックのID。 |
| <a id="boardepiciid"></a>`iid` | [`String!`](#string) | エピックの内部ID。 |
| <a id="boardepicissues"></a>`issues` | [`EpicIssueConnection`](#epicissueconnection) | エピックに関連付けられているイシューのリスト。（[接続](#connections)を参照） |
| <a id="boardepiclabels"></a>`labels` | [`LabelConnection`](#labelconnection) | エピックに割り当てられたラベル。（[接続](#connections)を参照） |
| <a id="boardepicname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="boardepicparent"></a>`parent` | [`Epic`](#epic) | エピックの親エピック。 |
| <a id="boardepicparticipants"></a>`participants` | [`UserCoreConnection`](#usercoreconnection) | エピックの参加者のリスト。（[接続](#connections)を参照） |
| <a id="boardepicrelationpath"></a>`relationPath` | [`String`](#string) | エピックとイシューの関係のURIパス。 |
| <a id="boardepicrelativeposition"></a>`relativePosition` | [`Int`](#int) | Epic Tree内でのエピックの相対的な位置。 |
| <a id="boardepicstartdate"></a>`startDate` | [`Time`](#time) | エピックの開始日。 |
| <a id="boardepicstartdatefixed"></a>`startDateFixed` | [`Time`](#time) | エピックの修正開始日。 |
| <a id="boardepicstartdatefrominheritedsource"></a>`startDateFromInheritedSource` | [`Time`](#time) | 子エピックまたはマイルストーンから継承されたエピックの開始日。 |
| <a id="boardepicstartdatefrommilestones"></a>`startDateFromMilestones` | [`Time`](#time) | マイルストーンから継承されたエピックの開始日。 |
| <a id="boardepicstartdateisfixed"></a>`startDateIsFixed` | [`Boolean`](#boolean) | 開始日が手動で設定されたかどうかを示します。 |
| <a id="boardepicstate"></a>`state` | [`EpicState!`](#epicstate) | エピックの状態。 |
| <a id="boardepicsubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在ログインしているユーザーがエピックをサブスクライブしているかどうかを示します。 |
| <a id="boardepictextcolor"></a>`textColor` | [`String`](#string) | エピック用に生成されるテキストの色。 |
| <a id="boardepictitle"></a>`title` | [`String`](#string) | エピックのタイトル。 |
| <a id="boardepictitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="boardepicupdatedat"></a>`updatedAt` | [`Time`](#time) | エピック更新時のタイムスタンプ。 |
| <a id="boardepicupvotes"></a>`upvotes` | [`Int!`](#int) | エピックが受け取った同意票の数。 |
| <a id="boardepicuserdiscussionscount"></a>`userDiscussionsCount` | [`Int!`](#int) | エピック内のユーザーディスカッションの数。 |
| <a id="boardepicusernotescount"></a>`userNotesCount` | [`Int!`](#int) | エピックのユーザーノートの数。 |
| <a id="boardepicuserpermissions"></a>`userPermissions` | [`EpicPermissions!`](#epicpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="boardepicuserpreferences"></a>`userPreferences` | [`BoardEpicUserPreferences`](#boardepicuserpreferences) | イシューボード上のエピックのユーザープリファレンス。 |
| <a id="boardepicwebpath"></a>`webPath` | [`String!`](#string) | エピックのWebパス。 |
| <a id="boardepicweburl"></a>`webUrl` | [`String!`](#string) | エピックのWeb URL。 |

#### 引数のあるフィールド

##### `BoardEpic.ancestors`

エピックの祖先（親）。

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicancestorsauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="boardepicancestorsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="boardepicancestorscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="boardepicancestorscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="boardepicancestorscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="boardepicancestorsiid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="boardepicancestorsiidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="boardepicancestorsiids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="boardepicancestorsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="boardepicancestorsincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのエピックを含めます。 |
| <a id="boardepicancestorsincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="boardepicancestorslabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="boardepicancestorsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="boardepicancestorsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="boardepicancestorsnot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="boardepicancestorsor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="boardepicancestorssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="boardepicancestorssort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="boardepicancestorsstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="boardepicancestorssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="boardepicancestorstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="boardepicancestorstoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="boardepicancestorsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="boardepicancestorsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `BoardEpic.children`

エピックの子（サブエピック）。

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicchildrenauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="boardepicchildrenconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="boardepicchildrencreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="boardepicchildrencreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="boardepicchildrencustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="boardepicchildreniid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="boardepicchildreniidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="boardepicchildreniids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="boardepicchildrenin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="boardepicchildrenincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループの子エピックを含めます。 |
| <a id="boardepicchildrenincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="boardepicchildrenlabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="boardepicchildrenmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="boardepicchildrenmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="boardepicchildrennot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="boardepicchildrenor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="boardepicchildrensearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="boardepicchildrensort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="boardepicchildrenstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="boardepicchildrensubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="boardepicchildrentimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="boardepicchildrentoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="boardepicchildrenupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="boardepicchildrenupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `BoardEpic.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepiccurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `BoardEpic.linkedWorkItems`

エピックにリンクされた作業アイテム。

[`LinkedWorkItemTypeConnection`](#linkedworkitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepiclinkedworkitemsfilter"></a>`filter` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプでフィルタリングします。サポートされている値: RELATED、BLOCKED_BY、BLOCKS。省略すると、すべてのタイプが返されます。 |

##### `BoardEpic.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `BoardEpic.reference`

エピックの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicreferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフルで返すかどうかを示します。 |

### `BoardEpicUserPreferences`

ボードエピックのユーザープリファレンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardepicuserpreferencescollapsed"></a>`collapsed` | [`Boolean!`](#boolean) | エピックを折りたたんで表示するかどうかを示します。 |

### `BoardList`

イシューボードのリストを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardlistassignee"></a>`assignee` | [`UserCore`](#usercore) | リスト内の割り当て先。 |
| <a id="boardlistcollapsed"></a>`collapsed` | [`Boolean`](#boolean) | ユーザーに対してリストを折りたたみ表示するかどうかを示します。 |
| <a id="boardlistid"></a>`id` | [`ID!`](#id) | リストのID（グローバルID）。 |
| <a id="boardlistissuescount"></a>`issuesCount` | [`Int`](#int) | リスト内のイシューの数。 |
| <a id="boardlistiteration"></a>`iteration` | [`Iteration`](#iteration) | リストのイテレーション。 |
| <a id="boardlistlabel"></a>`label` | [`Label`](#label) | リストのラベル。 |
| <a id="boardlistlimitmetric"></a>`limitMetric` | [`ListLimitMetric`](#listlimitmetric) | リスト用の現在の制限メトリクス。 |
| <a id="boardlistlisttype"></a>`listType` | [`String!`](#string) | リストのタイプ。 |
| <a id="boardlistmaxissuecount"></a>`maxIssueCount` | [`Int`](#int) | リスト内のイシューの最大数。 |
| <a id="boardlistmaxissueweight"></a>`maxIssueWeight` | [`Int`](#int) | リスト内のイシューの最大ウェイト。 |
| <a id="boardlistmilestone"></a>`milestone` | [`Milestone`](#milestone) | リストのマイルストーン。 |
| <a id="boardlistposition"></a>`position` | [`Int`](#int) | ボード内のリストの位置。 |
| <a id="boardlisttitle"></a>`title` | [`String!`](#string) | リストのタイトル。 |
| <a id="boardlisttotalissueweight"></a>`totalIssueWeight` | [`BigInt`](#bigint) | リスト内のすべてのイシューの合計ウェイト（文字列としてエンコード）。 |

#### 引数のあるフィールド

##### `BoardList.issues`

ボードイシュー。

[`IssueConnection`](#issueconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardlistissuesfilters"></a>`filters` | [`BoardIssueInput`](#boardissueinput) | ボードリスト内のイシューを選択する際に適用されるフィルター。 |

### `BooleanExpression`

ブール値を値とする式。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="booleanexpressionfield"></a>`field` | [`String!`](#string) | 式が適用されるフィールド。 |
| <a id="booleanexpressionoperator"></a>`operator` | [`String!`](#string) | 式の演算子。 |
| <a id="booleanexpressionvalue"></a>`value` | [`Boolean!`](#boolean) | 式のブール値。 |

### `Branch`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchcommit"></a>`commit` | [`Commit`](#commit) | ブランチのコミット。 |
| <a id="branchname"></a>`name` | [`String!`](#string) | ブランチの名前。 |

### `BranchProtection`

ブランチルールのブランチ保護の詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchprotectionallowforcepush"></a>`allowForcePush` | [`Boolean!`](#boolean) | 書き込みアクセス権のあるユーザーについてブランチへの強制プッシュの切替。 |
| <a id="branchprotectioncodeownerapprovalrequired"></a>`codeOwnerApprovalRequired` | [`Boolean!`](#boolean) | マージを許可する前にコードオーナーの承認を強制します。 |
| <a id="branchprotectionmergeaccesslevels"></a>`mergeAccessLevels` | [`MergeAccessLevelConnection`](#mergeaccesslevelconnection) | ブランチがソースブランチの場合に、誰がマージできるかについての詳細。（[接続](#connections)を参照） |
| <a id="branchprotectionpushaccesslevels"></a>`pushAccessLevels` | [`PushAccessLevelConnection`](#pushaccesslevelconnection) | ブランチがソースブランチの場合に、誰がプッシュできるかについての詳細。（[接続](#connections)を参照） |
| <a id="branchprotectionunprotectaccesslevels"></a>`unprotectAccessLevels` | [`UnprotectAccessLevelConnection`](#unprotectaccesslevelconnection) | 誰がブランチの保護を解除できるかについての詳細。（[接続](#connections)を参照） |

### `BranchRule`

ルールターゲット用に設定されているブランチルール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchruleapprovalrules"></a>`approvalRules` | [`ApprovalProjectRuleConnection`](#approvalprojectruleconnection) | ブランチルール用に設定されているマージリクエスト承認ルール。（[接続](#connections)を参照） |
| <a id="branchrulebranchprotection"></a>`branchProtection` | [`BranchProtection`](#branchprotection) | ブランチルール用に設定されているブランチ保護。 |
| <a id="branchrulecreatedat"></a>`createdAt` | [`Time`](#time) | ブランチルール作成時のタイムスタンプ。 |
| <a id="branchruleexternalstatuschecks"></a>`externalStatusChecks` | [`ExternalStatusCheckConnection`](#externalstatuscheckconnection) | ブランチルール用に設定されている外部状態チェック。（[接続](#connections)を参照） |
| <a id="branchruleid"></a>`id` | [`ProjectsBranchRuleID`](#projectsbranchruleid) | ブランチルールのID。 |
| <a id="branchruleisdefault"></a>`isDefault` | [`Boolean!`](#boolean) | ブランチルールがプロジェクトのデフォルトブランチを保護するかどうかをチェックします。 |
| <a id="branchruleisprotected"></a>`isProtected` | [`Boolean!`](#boolean) | ブランチルールがブランチのアクセスを保護するかどうかをチェックします。 |
| <a id="branchrulematchingbranchescount"></a>`matchingBranchesCount` | [`Int!`](#int) | ブランチルールに一致する既存のブランチの数。 |
| <a id="branchrulename"></a>`name` | [`String!`](#string) | ブランチルールターゲットの名前。ワイルドカードが含まれています。 |
| <a id="branchrulesquashoption"></a>`squashOption` {{< icon name="warning-solid" >}} | [`SquashOption`](#squashoption) | GitLab 17.9で**導入**。**状態**: 実験。マージリクエストでのスカッシュのデフォルトの動作。`branch_rule_squash_settings`機能フラグが無効になっている場合はnullを返します。 |
| <a id="branchruleupdatedat"></a>`updatedAt` | [`Time`](#time) | ブランチルールの最終更新タイムスタンプ。 |

### `BurnupChartDailyTotals`

特定の日付のイシューの総数とそのウェイトを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="burnupchartdailytotalscompletedcount"></a>`completedCount` | [`Int!`](#int) | その日の完了済みイシューの数。 |
| <a id="burnupchartdailytotalscompletedweight"></a>`completedWeight` | [`Int!`](#int) | その日の完了済みイシューの合計ウェイト。 |
| <a id="burnupchartdailytotalsdate"></a>`date` | [`ISO8601Date!`](#iso8601date) | バーンアップチャート合計の日付。 |
| <a id="burnupchartdailytotalsscopecount"></a>`scopeCount` | [`Int!`](#int) | その日のイシューの数。 |
| <a id="burnupchartdailytotalsscopeweight"></a>`scopeWeight` | [`Int!`](#int) | その日のイシューの合計ウェイト。 |

### `CarPermissions`

車のユーザー権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="carpermissionsdeletemergetraincar"></a>`deleteMergeTrainCar` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`delete_merge_train_car`を実行できます。 |

### `CiApplicationSettings`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciapplicationsettingskeeplatestartifact"></a>`keepLatestArtifact` | [`Boolean`](#boolean) | 最後のジョブアーティファクトを保持するかどうか。 |

### `CiBuildNeed`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cibuildneedid"></a>`id` | [`ID!`](#id) | BuildNeedのID。 |
| <a id="cibuildneedname"></a>`name` | [`String`](#string) | 完了する必要のあるジョブの名前。 |

### `CiCatalogResource`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcedescription"></a>`description` | [`String`](#string) | カタログリソースの説明。 |
| <a id="cicatalogresourcefullpath"></a>`fullPath` {{< icon name="warning-solid" >}} | [`ID`](#id) | GitLab 16.11で**導入**。**状態**: 実験。カタログリソースのプロジェクトフルパス。 |
| <a id="cicatalogresourceicon"></a>`icon` | [`String`](#string) | カタログリソースのアイコン。 |
| <a id="cicatalogresourceid"></a>`id` | [`ID!`](#id) | カタログリソースのID。 |
| <a id="cicatalogresourcelast30dayusagecount"></a>`last30DayUsageCount` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.0で**導入**。**状態**: 実験。過去30日間に、`include:component`を使用することによりパイプラインでこのカタログリソースのコンポーネントを使用したプロジェクトの数。 |
| <a id="cicatalogresourcelatestreleasedat"></a>`latestReleasedAt` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 16.5で**導入**。**状態**: 実験。カタログリソースの最新バージョンのリリース日。 |
| <a id="cicatalogresourcename"></a>`name` | [`String`](#string) | カタログリソースの名前。 |
| <a id="cicatalogresourcestarcount"></a>`starCount` | [`Int!`](#int) | カタログリソースがお気に入り登録された回数。 |
| <a id="cicatalogresourcestarrerspath"></a>`starrersPath` | [`String`](#string) | カタログリソースプロジェクトのお気に入り登録者ページの相対パス。 |
| <a id="cicatalogresourcetopics"></a>`topics` | [`[String!]`](#string) | カタログリソースのトピック。 |
| <a id="cicatalogresourceverificationlevel"></a>`verificationLevel` | [`CiCatalogResourceVerificationLevel`](#cicatalogresourceverificationlevel) | カタログリソースの検証レベル。 |
| <a id="cicatalogresourcevisibilitylevel"></a>`visibilityLevel` | [`VisibilityLevelsEnum`](#visibilitylevelsenum) | カタログリソースの表示レベル。 |
| <a id="cicatalogresourcewebpath"></a>`webPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.1で**導入**。**状態**: 実験。カタログリソースのWebパス。 |

#### 引数のあるフィールド

##### `CiCatalogResource.versions`

カタログリソースのバージョン。このフィールドは、1回のリクエストで1つのカタログリソースに対してのみ解決できます。

[`CiCatalogResourceVersionConnection`](#cicatalogresourceversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceversionsname"></a>`name` | [`String`](#string) | バージョンの名前。 |

### `CiCatalogResourceComponent`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentid"></a>`id` | [`CiCatalogResourcesComponentID!`](#cicatalogresourcescomponentid) | コンポーネントのID。 |
| <a id="cicatalogresourcecomponentincludepath"></a>`includePath` | [`String`](#string) | コンポーネントを含めるために使用するパス。 |
| <a id="cicatalogresourcecomponentinputs"></a>`inputs` | [`[CiCatalogResourceComponentInput!]`](#cicatalogresourcecomponentinput) | コンポーネントのインプット。 |
| <a id="cicatalogresourcecomponentname"></a>`name` | [`String`](#string) | コンポーネントの名前。 |

### `CiCatalogResourceComponentInput`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentinputdefault"></a>`default` | [`String`](#string) | インプットのデフォルト値。 |
| <a id="cicatalogresourcecomponentinputdescription"></a>`description` | [`String`](#string) | インプットの説明。 |
| <a id="cicatalogresourcecomponentinputname"></a>`name` | [`String`](#string) | インプットの名前。 |
| <a id="cicatalogresourcecomponentinputregex"></a>`regex` | [`String`](#string) | インプット値が一致する必要があるパターン。適用対象は文字列インプットだけです。 |
| <a id="cicatalogresourcecomponentinputrequired"></a>`required` | [`Boolean`](#boolean) | インプットが必須かどうかを示します。 |
| <a id="cicatalogresourcecomponentinputtype"></a>`type` | [`CiCatalogResourceComponentInputType`](#cicatalogresourcecomponentinputtype) | インプットのタイプ。 |

### `CiCatalogResourceComponentUsage`

プロジェクトでのコンポーネントの使用状況を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourcecomponentusagelastuseddate"></a>`lastUsedDate` | [`ISO8601Date`](#iso8601date) | コンポーネントが最後に使用された日時。 |
| <a id="cicatalogresourcecomponentusagename"></a>`name` | [`String`](#string) | コンポーネントの名前。 |
| <a id="cicatalogresourcecomponentusageversion"></a>`version` | [`String`](#string) | コンポーネントのバージョン。 |

### `CiCatalogResourceVersion`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicatalogresourceversionauthor"></a>`author` | [`UserCore`](#usercore) | バージョンを作成したユーザー。 |
| <a id="cicatalogresourceversioncommit"></a>`commit` | [`Commit`](#commit) | バージョンに関連付けられているコミット。 |
| <a id="cicatalogresourceversioncomponents"></a>`components` | [`CiCatalogResourceComponentConnection`](#cicatalogresourcecomponentconnection) | カタログリソースに属するコンポーネント。（[接続](#connections)を参照） |
| <a id="cicatalogresourceversioncreatedat"></a>`createdAt` | [`Time`](#time) | バージョン作成時のタイムスタンプ。 |
| <a id="cicatalogresourceversionid"></a>`id` | [`CiCatalogResourcesVersionID!`](#cicatalogresourcesversionid) | バージョンのグローバルID。 |
| <a id="cicatalogresourceversionname"></a>`name` | [`String`](#string) | カタログリソース内でバージョンを固有に識別する名前。 |
| <a id="cicatalogresourceversionpath"></a>`path` | [`String`](#string) | バージョンの相対Webパス。 |
| <a id="cicatalogresourceversionreadme"></a>`readme` | [`String`](#string) | Readmeデータ。 |
| <a id="cicatalogresourceversionreadmehtml"></a>`readmeHtml` | [`String`](#string) | `readme`のGitLab Flavored Markdownレンダリング。 |
| <a id="cicatalogresourceversionreleasedat"></a>`releasedAt` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 16.7で**導入**。**状態**: 実験。バージョンリリース時のタイムスタンプ。 |

### `CiCdSettings`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cicdsettingspipelinevariablesdefaultrole"></a>`pipelineVariablesDefaultRole` | [`String`](#string) | ネームスペース内のパイプライン変数をオーバーライドするために必要なデフォルトの最小ロールを示します。 |

### `CiConfig`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigerrors"></a>`errors` | [`[String!]`](#string) | Lintのエラー。 |
| <a id="ciconfigincludes"></a>`includes` | [`[CiConfigInclude!]`](#ciconfiginclude) | 含まれるファイルのリスト。 |
| <a id="ciconfigmergedyaml"></a>`mergedYaml` | [`String`](#string) | マージ済みCI設定YAML。 |
| <a id="ciconfigstages"></a>`stages` | [`CiConfigStageConnection`](#ciconfigstageconnection) | パイプラインのステージ。（[接続](#connections)を参照） |
| <a id="ciconfigstatus"></a>`status` | [`CiConfigStatus`](#ciconfigstatus) | Lintの状態。有効または無効。 |
| <a id="ciconfigwarnings"></a>`warnings` | [`[String!]`](#string) | Lintの警告。 |

### `CiConfigGroup`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfiggroupjobs"></a>`jobs` | [`CiConfigJobConnection`](#ciconfigjobconnection) | グループ内のジョブ。（[接続](#connections)を参照） |
| <a id="ciconfiggroupname"></a>`name` | [`String`](#string) | ジョブグループの名前。 |
| <a id="ciconfiggroupsize"></a>`size` | [`Int`](#int) | ジョブグループのサイズ。 |

### `CiConfigInclude`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigincludeblob"></a>`blob` | [`String`](#string) | ファイルのblobの場所。マスクされた変数が含まれている場合、マスクできます。例: `"https://gitlab.com/gitlab-org/gitlab/-/blob/e52d6d0246d7375291850e61f0abc101fbda9dc2/.gitlab/ci/build-images.gitlab-ci.yml"`。 |
| <a id="ciconfigincludecontextproject"></a>`contextProject` | [`String`](#string) | 現在のプロジェクトスコープ（gitlab-org/gitlabなど）。 |
| <a id="ciconfigincludecontextsha"></a>`contextSha` | [`String`](#string) | 現在のshaスコープ。 |
| <a id="ciconfigincludeextra"></a>`extra` | [`JSON`](#json) | `include`の追加情報。`job_name`、`project`、`ref`を含めることができます。マスクされた変数が含まれている場合、値をマスクできます。 |
| <a id="ciconfigincludelocation"></a>`location` | [`String`](#string) | ファイルの場所。マスクされた変数が含まれている場合、マスクできます。例: `".gitlab/ci/build-images.gitlab-ci.yml"`。 |
| <a id="ciconfigincluderaw"></a>`raw` | [`String`](#string) | ファイルのrawの場所。マスクされた変数が含まれている場合、マスクできます。例: `"https://gitlab.com/gitlab-org/gitlab/-/raw/e52d6d0246d7375291850e61f0abc101fbda9dc2/.gitlab/ci/build-images.gitlab-ci.yml"`。 |
| <a id="ciconfigincludetype"></a>`type` | [`CiConfigIncludeType`](#ciconfigincludetype) | インクルードのタイプ。 |

### `CiConfigJob`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigjobafterscript"></a>`afterScript` | [`[String!]`](#string) | ジョブの後に実行される一連のコマンドをオーバーライドします。 |
| <a id="ciconfigjoballowfailure"></a>`allowFailure` | [`Boolean`](#boolean) | ジョブの失敗を許容します。 |
| <a id="ciconfigjobbeforescript"></a>`beforeScript` | [`[String!]`](#string) | ジョブの前に実行される一連のコマンドをオーバーライドします。 |
| <a id="ciconfigjobenvironment"></a>`environment` | [`String`](#string) | ジョブのデプロイ先の環境の名前。 |
| <a id="ciconfigjobexcept"></a>`except` | [`CiConfigJobRestriction`](#ciconfigjobrestriction) | ジョブが作成されないタイミングを制限します。 |
| <a id="ciconfigjobgroupname"></a>`groupName` | [`String`](#string) | ジョブグループの名前。 |
| <a id="ciconfigjobname"></a>`name` | [`String`](#string) | ジョブの名前。 |
| <a id="ciconfigjobneeds"></a>`needs` | [`CiConfigNeedConnection`](#ciconfigneedconnection) | ジョブ実行前に完了する必要があるビルド。（[接続](#connections)を参照） |
| <a id="ciconfigjobonly"></a>`only` | [`CiConfigJobRestriction`](#ciconfigjobrestriction) | これらの条件が適用されない場合、ジョブが作成されます。 |
| <a id="ciconfigjobscript"></a>`script` | [`[String!]`](#string) | Runnerが実行するShellスクリプト。 |
| <a id="ciconfigjobstage"></a>`stage` | [`String`](#string) | ジョブステージの名前。 |
| <a id="ciconfigjobtags"></a>`tags` | [`[String!]`](#string) | Runnerを選択するために使用されるタグのリスト。 |
| <a id="ciconfigjobwhen"></a>`when` | [`String`](#string) | ジョブを実行するタイミング。 |

### `CiConfigJobRestriction`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigjobrestrictionrefs"></a>`refs` | [`[String!]`](#string) | ジョブの制限が適用されるGit refs。 |

### `CiConfigNeed`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigneedname"></a>`name` | [`String`](#string) | ニーズの名前。 |

### `CiConfigStage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigstagegroups"></a>`groups` | [`CiConfigGroupConnection`](#ciconfiggroupconnection) | ステージのジョブのグループ。（[接続](#connections)を参照） |
| <a id="ciconfigstagename"></a>`name` | [`String`](#string) | ステージの名前。 |

### `CiConfigVariable`

CI/CD設定変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciconfigvariabledescription"></a>`description` | [`String`](#string) | CI/CD設定変数の説明。 |
| <a id="ciconfigvariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="ciconfigvariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="ciconfigvariablevalueoptions"></a>`valueOptions` | [`[String!]`](#string) | 変数の値のオプション。 |

### `CiDedicatedHostedRunnerFilters`

GitLab Dedicated Runnerの使用状況データに使用できるフィルターオプション。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cidedicatedhostedrunnerfiltersrunners"></a>`runners` | [`CiRunnerConnection`](#cirunnerconnection) | 使用状況データのある固有Runnerのリスト。（[接続](#connections)を参照） |
| <a id="cidedicatedhostedrunnerfiltersyears"></a>`years` | [`[Int!]`](#int) | 利用可能な使用状況データを含む年のリスト。 |

### `CiDedicatedHostedRunnerUsage`

GitLab DedicatedでホストされているRunnerのコンピューティング使用状況データ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cidedicatedhostedrunnerusagebillingmonth"></a>`billingMonth` | [`String!`](#string) | 使用状況データの月。 |
| <a id="cidedicatedhostedrunnerusagebillingmonthiso8601"></a>`billingMonthIso8601` | [`ISO8601Date!`](#iso8601date) | 請求月のタイムスタンプ（ISO 8601形式）。 |
| <a id="cidedicatedhostedrunnerusagecomputeminutes"></a>`computeMinutes` | [`Int!`](#int) | すべてのネームスペースで使用されるコンピューティング時間の合計（分）。 |
| <a id="cidedicatedhostedrunnerusagedurationseconds"></a>`durationSeconds` | [`Int!`](#int) | Runnerの使用時間の合計（秒）。 |
| <a id="cidedicatedhostedrunnerusagerootnamespace"></a>`rootNamespace` | [`Namespace`](#namespace) | 使用状況データに関連付けられているネームスペース。インスタンス集計データの場合はnull。 |

### `CiDurationStatistics`

CI/CDジョブまたはパイプラインのグループの期間のヒストグラム。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cidurationstatisticsp50"></a>`p50` {{< icon name="warning-solid" >}} | [`Duration`](#duration) | GitLab 15.8で**導入**。**状態**: 実験。50パーセンタイル。期間の50％がこの値より低くなっています。 |
| <a id="cidurationstatisticsp75"></a>`p75` {{< icon name="warning-solid" >}} | [`Duration`](#duration) | GitLab 15.8で**導入**。**状態**: 実験。75パーセンタイル。期間の75％がこの値より低くなっています。 |
| <a id="cidurationstatisticsp90"></a>`p90` {{< icon name="warning-solid" >}} | [`Duration`](#duration) | GitLab 15.8で**導入**。**状態**: 実験。90パーセンタイル。期間の90％がこの値より低くなっています。 |
| <a id="cidurationstatisticsp95"></a>`p95` {{< icon name="warning-solid" >}} | [`Duration`](#duration) | GitLab 15.8で**導入**。**状態**: 実験。95パーセンタイル。期間の95％がこの値より低くなっています。 |
| <a id="cidurationstatisticsp99"></a>`p99` {{< icon name="warning-solid" >}} | [`Duration`](#duration) | GitLab 15.8で**導入**。**状態**: 実験。99パーセンタイル。期間の99％がこの値より低くなっています。 |

### `CiFreezePeriod`

プロジェクトのデプロイフリーズ期間を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cifreezeperiodcrontimezone"></a>`cronTimezone` | [`String`](#string) | cronフィールドのタイムゾーン。指定しない場合のデフォルトはUTCです。 |
| <a id="cifreezeperiodendcron"></a>`endCron` | [`String!`](#string) | cron形式でのフリーズ期間の終了。 |
| <a id="cifreezeperiodendtime"></a>`endTime` | [`Time`](#time) | 現在/次のアクティブ期間終了時のタイムスタンプ（UTC）。 |
| <a id="cifreezeperiodstartcron"></a>`startCron` | [`String!`](#string) | cron形式での凍結期間の開始。 |
| <a id="cifreezeperiodstarttime"></a>`startTime` | [`Time`](#time) | 現在/次のアクティブ期間開始時のタイムスタンプ（UTC）。 |
| <a id="cifreezeperiodstatus"></a>`status` | [`CiFreezePeriodStatus!`](#cifreezeperiodstatus) | フリーズ期間の状態。 |

### `CiGroup`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupdetailedstatus"></a>`detailedStatus` | [`DetailedStatus`](#detailedstatus) | グループの詳細な状態。 |
| <a id="cigroupid"></a>`id` | [`String!`](#string) | グループのID。 |
| <a id="cigroupjobs"></a>`jobs` | [`CiJobConnection`](#cijobconnection) | グループ内のジョブ。（[接続](#connections)を参照） |
| <a id="cigroupname"></a>`name` | [`String`](#string) | ジョブグループの名前。 |
| <a id="cigroupsize"></a>`size` | [`Int`](#int) | グループのサイズ。 |

### `CiGroupEnvironmentScope`

グループのCI/CD環境スコープ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupenvironmentscopename"></a>`name` | [`String`](#string) | 変数を使用できる環境を定義するスコープ名。 |

### `CiGroupVariable`

グループのCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cigroupvariabledescription"></a>`description` | [`String`](#string) | 変数の説明。 |
| <a id="cigroupvariableenvironmentscope"></a>`environmentScope` | [`String`](#string) | 変数を使用できる環境を定義するスコープ。 |
| <a id="cigroupvariablehidden"></a>`hidden` | [`Boolean`](#boolean) | 変数が非表示かどうかを示します。 |
| <a id="cigroupvariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="cigroupvariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="cigroupvariablemasked"></a>`masked` | [`Boolean`](#boolean) | 変数がマスクされるかどうかを示します。 |
| <a id="cigroupvariableprotected"></a>`protected` | [`Boolean`](#boolean) | 変数が保護されるかどうかを示します。 |
| <a id="cigroupvariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="cigroupvariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="cigroupvariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `CiInputSpec`

パイプライン作成のインプット。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinputspecdefault"></a>`default` | [`CiInputsValueInputType`](#ciinputsvalueinputtype) | 指定されている場合は、インプットのデフォルト値。 |
| <a id="ciinputspecdescription"></a>`description` | [`String`](#string) | インプットの説明。 |
| <a id="ciinputspecname"></a>`name` | [`String!`](#string) | インプットの名前。 |
| <a id="ciinputspecoptions"></a>`options` | [`CiInputsValueInputType`](#ciinputsvalueinputtype) | 指定されている場合は、インプットとして使用可能な値。 |
| <a id="ciinputspecregex"></a>`regex` | [`String`](#string) | 指定されている場合、インプット値が一致する必要がある正規表現パターン。 |
| <a id="ciinputspecrequired"></a>`required` | [`Boolean!`](#boolean) | インプットが必須かどうかを示します。 |
| <a id="ciinputspectype"></a>`type` | [`CiInputType!`](#ciinputtype) | インプットのデータ型。 |

### `CiInputsField`

パイプラインスケジュール用に保存されたCIインプット。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinputsfieldname"></a>`name` | [`String!`](#string) | インプットの名前。 |
| <a id="ciinputsfieldvalue"></a>`value` | [`CiInputsValueInputType`](#ciinputsvalueinputtype) | インプットの値。 |

### `CiInstanceVariable`

GitLabインスタンスのCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinstancevariabledescription"></a>`description` | [`String`](#string) | 変数の説明。 |
| <a id="ciinstancevariableenvironmentscope"></a>`environmentScope` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.3で**非推奨**になりました。使用されなくなりました。GroupVariableTypeとProjectVariableTypeでのみ使用できます。 |
| <a id="ciinstancevariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="ciinstancevariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="ciinstancevariablemasked"></a>`masked` | [`Boolean`](#boolean) | 変数がマスクされるかどうかを示します。 |
| <a id="ciinstancevariableprotected"></a>`protected` | [`Boolean`](#boolean) | 変数が保護されるかどうかを示します。 |
| <a id="ciinstancevariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="ciinstancevariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="ciinstancevariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `CiJob`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobactive"></a>`active` | [`Boolean!`](#boolean) | ジョブがアクティブかどうかを示します。 |
| <a id="cijoballowfailure"></a>`allowFailure` | [`Boolean!`](#boolean) | ジョブの失敗が許可されるかどうか。 |
| <a id="cijobartifacts"></a>`artifacts` | [`CiJobArtifactConnection`](#cijobartifactconnection) | ジョブによって生成されたアーティファクト。（[接続](#connections)を参照） |
| <a id="cijobbrowseartifactspath"></a>`browseArtifactsPath` | [`String`](#string) | アーティファクトのアーカイブを閲覧するためのURL。 |
| <a id="cijobcanplayjob"></a>`canPlayJob` | [`Boolean!`](#boolean) | 現在のユーザーがジョブを実行できるかどうかを示します。 |
| <a id="cijobcancelable"></a>`cancelable` | [`Boolean!`](#boolean) | ジョブがキャンセル可能かどうかを示します。 |
| <a id="cijobcommitpath"></a>`commitPath` | [`String`](#string) | ジョブをトリガーしたコミットのパス。 |
| <a id="cijobcoverage"></a>`coverage` | [`Float`](#float) | ジョブのカバレッジレベル。 |
| <a id="cijobcreatedat"></a>`createdAt` | [`Time!`](#time) | ジョブの作成日時。 |
| <a id="cijobcreatedbytag"></a>`createdByTag` | [`Boolean!`](#boolean) | ジョブがタグによって作成されたかどうか。 |
| <a id="cijobdetailedstatus"></a>`detailedStatus` | [`DetailedStatus`](#detailedstatus) | ジョブの詳細な状態。 |
| <a id="cijobdownstreampipeline"></a>`downstreamPipeline` | [`Pipeline`](#pipeline) | ブリッジのダウンストリームパイプライン。 |
| <a id="cijobduration"></a>`duration` | [`Int`](#int) | ジョブの実行時間（秒）。 |
| <a id="cijoberasedat"></a>`erasedAt` | [`Time`](#time) | ジョブの消去日時。 |
| <a id="cijobexitcode"></a>`exitCode` | [`Int`](#int) | ジョブの終了コード。GitLab 16.10へのアップグレード後に開始され、終了コードで失敗したジョブで使用できます。 |
| <a id="cijobfailuremessage"></a>`failureMessage` | [`String`](#string) | ジョブが失敗した理由に関するメッセージ。 |
| <a id="cijobfinishedat"></a>`finishedAt` | [`Time`](#time) | ジョブの実行完了日時。 |
| <a id="cijobid"></a>`id` | [`JobID`](#jobid) | ジョブのID。 |
| <a id="cijobkind"></a>`kind` | [`CiJobKind!`](#cijobkind) | ジョブのタイプを示します。 |
| <a id="cijobmanualjob"></a>`manualJob` | [`Boolean`](#boolean) | ジョブに手動アクションがあるかどうか。 |
| <a id="cijobmanualvariables"></a>`manualVariables` | [`CiManualVariableConnection`](#cimanualvariableconnection) | ジョブトリガー時に手動ジョブに追加される変数。（[接続](#connections)を参照） |
| <a id="cijobname"></a>`name` | [`String`](#string) | ジョブの名前。 |
| <a id="cijobneeds"></a>`needs` | [`CiBuildNeedConnection`](#cibuildneedconnection) | ジョブ実行前に完了する必要があるビルドへの参照。（[接続](#connections)を参照） |
| <a id="cijobpipeline"></a>`pipeline` | [`Pipeline`](#pipeline) | ジョブが属するパイプライン。 |
| <a id="cijobplaypath"></a>`playPath` | [`String`](#string) | ジョブの再生パス。 |
| <a id="cijobplayable"></a>`playable` | [`Boolean!`](#boolean) | ジョブを再生できるかどうかを示します。 |
| <a id="cijobpreviousstagejobs"></a>`previousStageJobs` | [`CiJobConnection`](#cijobconnection) | 前のステージのジョブ。（[接続](#connections)を参照） |
| <a id="cijobpreviousstagejobsorneeds"></a>`previousStageJobsOrNeeds` {{< icon name="warning-solid" >}} | [`JobNeedUnionConnection`](#jobneedunionconnection) | GitLab 16.4で**非推奨**になりました。previousStageJobsフィールドとneedsフィールドに置き換えられました。 |
| <a id="cijobproject"></a>`project` | [`Project`](#project) | ジョブが属するプロジェクト。 |
| <a id="cijobqueuedat"></a>`queuedAt` | [`Time`](#time) | ジョブがキューに入れられ、保留中としてマークされた日時。 |
| <a id="cijobqueuedduration"></a>`queuedDuration` | [`Duration`](#duration) | ジョブ開始までにキューに入っていた時間。 |
| <a id="cijobrefname"></a>`refName` | [`String`](#string) | ジョブのref名。 |
| <a id="cijobrefpath"></a>`refPath` | [`String`](#string) | refのパス。 |
| <a id="cijobretried"></a>`retried` | [`Boolean`](#boolean) | ジョブが再試行されたことを示します。 |
| <a id="cijobretryable"></a>`retryable` | [`Boolean!`](#boolean) | ジョブを再試行できるかどうかを示します。 |
| <a id="cijobrunner"></a>`runner` | [`CiRunner`](#cirunner) | ジョブの実行に割り当てられたRunner。 |
| <a id="cijobrunnermanager"></a>`runnerManager` | [`CiRunnerManager`](#cirunnermanager) | ジョブに割り当てられたRunnerマネージャー。 |
| <a id="cijobscheduled"></a>`scheduled` | [`Boolean!`](#boolean) | ジョブがスケジュールされていることを示します。 |
| <a id="cijobscheduledat"></a>`scheduledAt` | [`Time`](#time) | ビルドのスケジュール。 |
| <a id="cijobschedulingtype"></a>`schedulingType` | [`String`](#string) | ジョブスケジューリングのタイプ。ジョブで`needs`キーワードを使用する場合は`dag`、それ以外の場合は`stage`の値になります。 |
| <a id="cijobshortsha"></a>`shortSha` | [`String!`](#string) | コミットの短いSHA1 ID。 |
| <a id="cijobsource"></a>`source` | [`String`](#string) | ジョブを開始したポリシーまたはアクション。設定されていない場合、値はパイプラインから継承されます。 |
| <a id="cijobstage"></a>`stage` | [`CiStage`](#cistage) | ジョブのステージ。 |
| <a id="cijobstartedat"></a>`startedAt` | [`Time`](#time) | ジョブの開始日時。 |
| <a id="cijobstatus"></a>`status` | [`CiJobStatus`](#cijobstatus) | ジョブの状態。 |
| <a id="cijobstuck"></a>`stuck` | [`Boolean!`](#boolean) | ジョブが行き詰まっていることを示します。 |
| <a id="cijobtags"></a>`tags` | [`[String!]`](#string) | 現在のジョブのタグ。 |
| <a id="cijobtrace"></a>`trace` | [`CiJobTrace`](#cijobtrace) | ジョブによって生成されるトレース。 |
| <a id="cijobtriggered"></a>`triggered` | [`Boolean`](#boolean) | ジョブがトリガーされたかどうか。 |
| <a id="cijobuserpermissions"></a>`userPermissions` | [`JobPermissions!`](#jobpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="cijobwebpath"></a>`webPath` | [`String`](#string) | ジョブのWebパス。 |

### `CiJobArtifact`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobartifactdownloadpath"></a>`downloadPath` | [`String`](#string) | アーティファクトのファイルをダウンロードするためのURL。 |
| <a id="cijobartifactexpireat"></a>`expireAt` | [`Time`](#time) | アーティファクトの有効期限。 |
| <a id="cijobartifactfiletype"></a>`fileType` | [`JobArtifactFileType`](#jobartifactfiletype) | アーティファクトのファイルタイプ。 |
| <a id="cijobartifactid"></a>`id` | [`CiJobArtifactID!`](#cijobartifactid) | アーティファクトのID。 |
| <a id="cijobartifactname"></a>`name` | [`String`](#string) | アーティファクトのファイル名。 |
| <a id="cijobartifactsize"></a>`size` | [`BigInt!`](#bigint) | アーティファクトのサイズ（バイト単位）。 |

### `CiJobTokenAccessibleGroup`

CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるグループ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessiblegroupavatarurl"></a>`avatarUrl` | [`String`](#string) | グループのアバターURL。 |
| <a id="cijobtokenaccessiblegroupfullpath"></a>`fullPath` | [`ID!`](#id) | グループのフルパス。 |
| <a id="cijobtokenaccessiblegroupid"></a>`id` | [`ID!`](#id) | グループのID。 |
| <a id="cijobtokenaccessiblegroupname"></a>`name` | [`String!`](#string) | グループの名前。 |
| <a id="cijobtokenaccessiblegrouppath"></a>`path` | [`String!`](#string) | グループのパス。 |
| <a id="cijobtokenaccessiblegroupweburl"></a>`webUrl` | [`String`](#string) | グループのWeb URL。 |

### `CiJobTokenAccessibleProject`

CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるプロジェクト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenaccessibleprojectavatarurl"></a>`avatarUrl` | [`String`](#string) | プロジェクトのアバターの画像ファイルのURL。 |
| <a id="cijobtokenaccessibleprojectfullpath"></a>`fullPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="cijobtokenaccessibleprojectid"></a>`id` | [`ID!`](#id) | プロジェクトのID。 |
| <a id="cijobtokenaccessibleprojectname"></a>`name` | [`String!`](#string) | プロジェクトの名前（ネームスペースなし）。 |
| <a id="cijobtokenaccessibleprojectpath"></a>`path` | [`String!`](#string) | プロジェクトのパス。 |
| <a id="cijobtokenaccessibleprojectweburl"></a>`webUrl` | [`String`](#string) | プロジェクトのWeb URL。 |

### `CiJobTokenAuthLog`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenauthloglastauthorizedat"></a>`lastAuthorizedAt` {{< icon name="warning-solid" >}} | [`Time!`](#time) | GitLab 17.6で**導入**。**状態**: 実験。最終認証日時。 |
| <a id="cijobtokenauthlogoriginproject"></a>`originProject` {{< icon name="warning-solid" >}} | [`CiJobTokenAccessibleProject!`](#cijobtokenaccessibleproject) | GitLab 17.6で**導入**。**状態**: 実験。originプロジェクト。 |

### `CiJobTokenScopeAllowlist`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenscopeallowlistgroupsallowlist"></a>`groupsAllowlist` | [`CiJobTokenScopeAllowlistEntryConnection`](#cijobtokenscopeallowlistentryconnection) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるグループの許可リスト。（[接続](#connections)を参照） |
| <a id="cijobtokenscopeallowlistprojectsallowlist"></a>`projectsAllowlist` | [`CiJobTokenScopeAllowlistEntryConnection`](#cijobtokenscopeallowlistentryconnection) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるプロジェクトの許可リスト。（[接続](#connections)を参照） |

### `CiJobTokenScopeAllowlistEntry`

CI_JOB_TOKENの許可リストエントリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenscopeallowlistentryaddedby"></a>`addedBy` | [`UserCore`](#usercore) | エントリを追加したユーザー。 |
| <a id="cijobtokenscopeallowlistentryautopopulated"></a>`autopopulated` | [`Boolean`](#boolean) | エントリが自動設定プロセスによって作成されたかどうかを示します。 |
| <a id="cijobtokenscopeallowlistentrycreatedat"></a>`createdAt` | [`Time!`](#time) | エントリの作成日時。 |
| <a id="cijobtokenscopeallowlistentrydefaultpermissions"></a>`defaultPermissions` | [`Boolean`](#boolean) | デフォルトの権限が有効か（true）、きめ細かい権限が有効か（false）を示します。 |
| <a id="cijobtokenscopeallowlistentrydirection"></a>`direction` | [`String`](#string) | アクセスの方向。デフォルトはINBOUNDです。 |
| <a id="cijobtokenscopeallowlistentryjobtokenpolicies"></a>`jobTokenPolicies` {{< icon name="warning-solid" >}} | [`[CiJobTokenScopePolicies!]`](#cijobtokenscopepolicies) | GitLab 17.5で**導入**。**状態**: 実験。エントリのポリシーのリスト。 |
| <a id="cijobtokenscopeallowlistentrysourceproject"></a>`sourceProject` | [`Project!`](#project) | 許可リストエントリを所有するプロジェクト。 |
| <a id="cijobtokenscopeallowlistentrytarget"></a>`target` | [`CiJobTokenScopeTarget`](#cijobtokenscopetarget) | エントリによって許可されるグループまたはプロジェクト。 |

### `CiJobTokenScopeType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtokenscopetypegroupallowlistautopopulatedids"></a>`groupAllowlistAutopopulatedIds` | [`[GroupID!]!`](#groupid) | 自動設定プロセスによって作成されたグループのIDのリスト。 |
| <a id="cijobtokenscopetypegroupsallowlist"></a>`groupsAllowlist` | [`CiJobTokenAccessibleGroupConnection!`](#cijobtokenaccessiblegroupconnection) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるグループの許可リスト。（[接続](#connections)を参照） |
| <a id="cijobtokenscopetypegroupsallowlistcount"></a>`groupsAllowlistCount` | [`Int!`](#int) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるグループの数。この数にサブグループは含まれません。 |
| <a id="cijobtokenscopetypeinboundallowlist"></a>`inboundAllowlist` | [`CiJobTokenAccessibleProjectConnection!`](#cijobtokenaccessibleprojectconnection) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるプロジェクトの許可リスト。（[接続](#connections)を参照） |
| <a id="cijobtokenscopetypeinboundallowlistautopopulatedids"></a>`inboundAllowlistAutopopulatedIds` | [`[ProjectID!]!`](#projectid) | 自動設定プロセスによって作成されたプロジェクトのIDのリスト。 |
| <a id="cijobtokenscopetypeinboundallowlistcount"></a>`inboundAllowlistCount` | [`Int!`](#int) | CI/CDジョブトークンで認証することにより現在のプロジェクトにアクセスできるプロジェクトの数。この数にネストされたプロジェクトは含まれません。 |
| <a id="cijobtokenscopetypeoutboundallowlist"></a>`outboundAllowlist` | [`ProjectConnection!`](#projectconnection) | 現在のプロジェクトのCIジョブトークンを使用してアクセスできるプロジェクトの許可リスト。（[接続](#connections)を参照） |
| <a id="cijobtokenscopetypeprojects"></a>`projects` {{< icon name="warning-solid" >}} | [`ProjectConnection!`](#projectconnection) | GitLab 15.9で**非推奨**になりました。`projects`属性は非推奨になります。`outbound_allowlist`を使用してください。 |

### `CiJobTrace`

#### 引数のあるフィールド

##### `CiJobTrace.htmlSummary`

トレースの末尾行を含むHTMLサマリー最大16KBのトレースのrawバイトを返します。切り捨てにより、返される文字列が予期しない無効なUTF-8コード点で始まる可能性があります。

{{< details >}}GitLab 15.11で**導入**。**状態**: 実験。{{< /details >}}

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobtracehtmlsummarylastlines"></a>`lastLines` | [`Int`](#int) | 返す末尾行の数。最大100行まで。 |

### `CiJobsStatistics`

CIジョブのグループの統計。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cijobsstatisticsqueuedduration"></a>`queuedDuration` | [`CiDurationStatistics`](#cidurationstatistics) | ジョブが選択されるのを待機していた時間の統計。コンテキストで最後に作成された5000個のRunnerによって実行された最新の100個のジョブに基づいて計算されます。Runnerにフィルターが適用されていない場合、計算ではグローバルに最新の100個のジョブが使用されます。 |

### `CiManualVariable`

手動ジョブに指定されたCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cimanualvariableenvironmentscope"></a>`environmentScope` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.3で**非推奨**になりました。使用されなくなりました。GroupVariableTypeとProjectVariableTypeでのみ使用できます。 |
| <a id="cimanualvariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="cimanualvariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="cimanualvariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="cimanualvariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="cimanualvariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `CiMinutesNamespaceMonthlyUsage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesnamespacemonthlyusageminutes"></a>`minutes` | [`Int`](#int) | ネームスペース内のすべてのプロジェクトで使用されるコンピューティング時間の合計（分）。 |
| <a id="ciminutesnamespacemonthlyusagemonth"></a>`month` | [`String`](#string) | 使用状況データに関連する月。 |
| <a id="ciminutesnamespacemonthlyusagemonthiso8601"></a>`monthIso8601` | [`ISO8601Date`](#iso8601date) | 使用状況データに関連する月（ISO 8601日付形式）。 |
| <a id="ciminutesnamespacemonthlyusageprojects"></a>`projects` | [`CiMinutesProjectMonthlyUsageConnection`](#ciminutesprojectmonthlyusageconnection) | ネームスペース内のプロジェクトのコンピューティング使用状況データ。（[接続](#connections)を参照） |
| <a id="ciminutesnamespacemonthlyusagesharedrunnersduration"></a>`sharedRunnersDuration` | [`Int`](#int) | その月のネームスペースによって使用された共有Runnerの合計時間（秒）。 |

### `CiMinutesProjectMonthlyUsage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciminutesprojectmonthlyusageminutes"></a>`minutes` | [`Int`](#int) | その月にプロジェクトで使用されたコンピューティング時間（分）。 |
| <a id="ciminutesprojectmonthlyusagename"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.6で**非推奨**になりました。`project.name`を使用してください。 |
| <a id="ciminutesprojectmonthlyusageproject"></a>`project` | [`Project`](#project) | 記録された使用状況のプロジェクト。 |
| <a id="ciminutesprojectmonthlyusagesharedrunnersduration"></a>`sharedRunnersDuration` | [`Int`](#int) | その月にプロジェクトで使用された共有Runnerの合計時間（秒）。 |

### `CiPipelineCreationRequest`

非同期パイプライン作成リクエストに関する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cipipelinecreationrequesterror"></a>`error` | [`String`](#string) | パイプラインの作成に失敗した場合のエラーメッセージ。 |
| <a id="cipipelinecreationrequestpipelineid"></a>`pipelineId` | [`CiPipelineID`](#cipipelineid) | 作成に成功した場合に作成されたパイプラインのID。 |
| <a id="cipipelinecreationrequeststatus"></a>`status` | [`CiPipelineCreationStatus!`](#cipipelinecreationstatus) | パイプライン作成の現在の状態。 |

### `CiProjectSubscription`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectsubscriptionauthor"></a>`author` | [`UserCore`](#usercore) | サブスクリプションの作成者。 |
| <a id="ciprojectsubscriptiondownstreamproject"></a>`downstreamProject` | [`CiSubscriptionsProjectDetails`](#cisubscriptionsprojectdetails) | サブスクリプションのダウンストリームプロジェクト。アップストリームプロジェクトのパイプラインが完了すると、ダウンストリームプロジェクトでパイプラインがトリガーされます。 |
| <a id="ciprojectsubscriptionid"></a>`id` | [`CiSubscriptionsProjectID`](#cisubscriptionsprojectid) | サブスクリプションのグローバルID。 |
| <a id="ciprojectsubscriptionupstreamproject"></a>`upstreamProject` | [`CiSubscriptionsProjectDetails`](#cisubscriptionsprojectdetails) | サブスクリプションのアップストリームプロジェクト。アップストリームプロジェクトのパイプラインが完了すると、ダウンストリームプロジェクトでパイプラインがトリガーされます。 |

### `CiProjectVariable`

プロジェクトのCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciprojectvariabledescription"></a>`description` | [`String`](#string) | 変数の説明。 |
| <a id="ciprojectvariableenvironmentscope"></a>`environmentScope` | [`String`](#string) | 変数を使用できる環境を定義するスコープ。 |
| <a id="ciprojectvariablehidden"></a>`hidden` | [`Boolean`](#boolean) | 変数が非表示かどうかを示します。 |
| <a id="ciprojectvariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="ciprojectvariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="ciprojectvariablemasked"></a>`masked` | [`Boolean`](#boolean) | 変数がマスクされるかどうかを示します。 |
| <a id="ciprojectvariableprotected"></a>`protected` | [`Boolean`](#boolean) | 変数が保護されるかどうかを示します。 |
| <a id="ciprojectvariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="ciprojectvariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="ciprojectvariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `CiRunner`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunneraccesslevel"></a>`accessLevel` | [`CiRunnerAccessLevel!`](#cirunneraccesslevel) | Runnerのアクセスレベル。 |
| <a id="cirunneractive"></a>`active` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 14.8で**非推奨**になりました。pausedを使用してください。 |
| <a id="cirunneradminurl"></a>`adminUrl` | [`String`](#string) | Runnerの管理者URL。管理者のみが利用できます。 |
| <a id="cirunnercontactedat"></a>`contactedAt` | [`Time`](#time) | Runnerからの最後の接続のタイムスタンプ。 |
| <a id="cirunnercreatedat"></a>`createdAt` | [`Time`](#time) | Runnerの作成のタイムスタンプ。 |
| <a id="cirunnercreatedby"></a>`createdBy` | [`UserCore`](#usercore) | Runnerを作成したユーザー。 |
| <a id="cirunnercreationmethod"></a>`creationMethod` {{< icon name="warning-solid" >}} | [`CiRunnerCreationMethod`](#cirunnercreationmethod) | GitLab 17.0で**導入**。**状態**: 実験。Runner登録のタイプ。 |
| <a id="cirunnerdescription"></a>`description` | [`String`](#string) | Runnerの説明。 |
| <a id="cirunnereditadminurl"></a>`editAdminUrl` | [`String`](#string) | Runnerの管理者フォームURL。管理者のみが利用できます。 |
| <a id="cirunnerephemeralauthenticationtoken"></a>`ephemeralAuthenticationToken` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.9で**導入**。**状態**: 実験。Runnerマネージャーの登録に使用される一時認証トークン。登録中、限られた時間だけRunnerの作成者のみが使用できます。 |
| <a id="cirunnerephemeralregisterurl"></a>`ephemeralRegisterUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.11で**導入**。**状態**: 実験。Runnerマネージャーの登録ページのURL。登録中、限られた時間だけRunnerの作成者のみが使用できます。 |
| <a id="cirunnergroups"></a>`groups` | [`GroupConnection`](#groupconnection) | Runnerが関連付けられているグループ。グループRunner のみ。（[接続](#connections)を参照） |
| <a id="cirunnerid"></a>`id` | [`CiRunnerID!`](#cirunnerid) | RunnerのID。 |
| <a id="cirunnerjobexecutionstatus"></a>`jobExecutionStatus` {{< icon name="warning-solid" >}} | [`CiRunnerJobExecutionStatus`](#cirunnerjobexecutionstatus) | GitLab 15.7で**導入**。**状態**: 実験。Runnerのジョブ実行状態。 |
| <a id="cirunnerlocked"></a>`locked` | [`Boolean`](#boolean) | Runnerがロックされていることを示します。 |
| <a id="cirunnermaintenancenote"></a>`maintenanceNote` | [`String`](#string) | Runnerのメンテナンスノート。 |
| <a id="cirunnermaintenancenotehtml"></a>`maintenanceNoteHtml` | [`String`](#string) | `maintenance_note`のGitLab Flavored Markdownレンダリング。 |
| <a id="cirunnermaximumtimeout"></a>`maximumTimeout` | [`Int`](#int) | runnerが処理するジョブの最大タイムアウト（秒単位）。 |
| <a id="cirunnerownerproject"></a>`ownerProject` | [`Project`](#project) | Runnerを所有するプロジェクト。プロジェクトRunnerのみ。 |
| <a id="cirunnerpaused"></a>`paused` | [`Boolean!`](#boolean) | Runnerが一時停止中であり、ジョブを実行できないことを示します。 |
| <a id="cirunnerprivateprojectsminutescostfactor"></a>`privateProjectsMinutesCostFactor` | [`Float`](#float) | Runnerに関連付けられているプライベートプロジェクトの「コンピューティングコストファクター」（GitLab.comのみ）。 |
| <a id="cirunnerprojectcount"></a>`projectCount` | [`Int`](#int) | Runnerが関連付けられているプロジェクトの数。 |
| <a id="cirunnerpublicprojectsminutescostfactor"></a>`publicProjectsMinutesCostFactor` | [`Float`](#float) | Runnerに関連付けられている公開プロジェクトの「コンピューティングコストファクター」（GitLab.comのみ）。 |
| <a id="cirunnerregisteradminurl"></a>`registerAdminUrl` | [`String`](#string) | Runnerの登録ページのURL。Runner登録の前にのみ使用可能です。管理者のみが利用できます。 |
| <a id="cirunnerrununtagged"></a>`runUntagged` | [`Boolean!`](#boolean) | runnerがタグなしジョブを実行できることを示します。 |
| <a id="cirunnerrunnertype"></a>`runnerType` | [`CiRunnerType!`](#cirunnertype) | Runnerのタイプ。 |
| <a id="cirunnershortsha"></a>`shortSha` | [`String`](#string) | 新しいジョブリクエストを認証するために使用される、Runnerのトークンの最初の8文字。Runnerの固有IDとして使用されます。 |
| <a id="cirunnerstatus"></a>`status` | [`CiRunnerStatus!`](#cirunnerstatus) | Runnerの状態。 |
| <a id="cirunnertaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連付けられているタグ。 |
| <a id="cirunnertokenexpiresat"></a>`tokenExpiresAt` | [`Time`](#time) | Runnerトークンの有効期限。 |
| <a id="cirunnerupgradestatus"></a>`upgradeStatus` | [`CiRunnerUpgradeStatus`](#cirunnerupgradestatus) | Runnerのアップグレードの可用性。 |
| <a id="cirunneruserpermissions"></a>`userPermissions` | [`RunnerPermissions!`](#runnerpermissions) | リソースに対する現在のユーザーの権限。 |

#### 引数のあるフィールド

##### `CiRunner.jobCount`

Runnerによって処理されるジョブの数（上限は1000に加えて、さらに多くのアイテムが存在することを示すための追加の1個）。`jobCount`は`jobs { count }`の最適化バージョンであり、同じリクエストで複数のRunnerに対してリクエストできます。

[`Int`](#int)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerjobcountstatuses"></a>`statuses` {{< icon name="warning-solid" >}} | [`[CiJobStatus!]`](#cijobstatus) | GitLab 16.2で**導入**。**状態**: 実験。ジョブを状態でフィルタリングします。 |

##### `CiRunner.jobs`

Runnerに割り当てられるジョブ。このフィールドは、1回のリクエストにつき1つのRunnerに対してのみ解決できます。

[`CiJobConnection`](#cijobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerjobsstatuses"></a>`statuses` | [`[CiJobStatus!]`](#cijobstatus) | ジョブを状態でフィルタリングします。 |

##### `CiRunner.managers`

Runnerの設定に関連付けられているRunnerマネージャー。

[`CiRunnerManagerConnection`](#cirunnermanagerconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnermanagersstatus"></a>`status` | [`CiRunnerStatus`](#cirunnerstatus) | Runnerマネージャーを状態でフィルタリングします。 |
| <a id="cirunnermanagerssystemid"></a>`systemId` | [`String`](#string) | RunnerマネージャーをシステムIDでフィルタリングします。 |

##### `CiRunner.projects`

Runnerが関連付けられているプロジェクトを検索します。プロジェクトRunnerのみ。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerprojectsmembership"></a>`membership` | [`Boolean`](#boolean) | 現在のユーザーをメンバーするプロジェクトのみを返します。 |
| <a id="cirunnerprojectspersonal"></a>`personal` | [`Boolean`](#boolean) | 個人用プロジェクトのみを返します。 |
| <a id="cirunnerprojectssearch"></a>`search` | [`String`](#string) | プロジェクト名、パス、または説明の検索クエリ。 |
| <a id="cirunnerprojectssearchnamespaces"></a>`searchNamespaces` | [`Boolean`](#boolean) | プロジェクト検索にネームスペースを含めます。 |
| <a id="cirunnerprojectssort"></a>`sort` | [`String`](#string) | 結果のソート順。形式：`<field_name>_<sort_direction>`（`id_desc`や`name_asc`など）。 |
| <a id="cirunnerprojectstopics"></a>`topics` | [`[String!]`](#string) | プロジェクトをトピックでフィルタリングします。 |

### `CiRunnerCloudProvisioningStep`

Google CloudにRunnerをプロビジョニングするために使用するステップ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnercloudprovisioningstepinstructions"></a>`instructions` | [`String`](#string) | Runnerをプロビジョニングする手順。 |
| <a id="cirunnercloudprovisioningsteplanguageidentifier"></a>`languageIdentifier` | [`String`](#string) | instructionsフィールドに使用する言語の識別子。この識別子には、[サポートされている言語と字句解析ツールのリスト](https://github.com/rouge-ruby/rouge/wiki/List-of-supported-languages-and-lexers)で指定されている識別子のいずれかを指定できます。 |
| <a id="cirunnercloudprovisioningsteptitle"></a>`title` | [`String`](#string) | ステップのタイトル。 |

### `CiRunnerGkeProvisioning`

GKE Runnerプロビジョニングに使用する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnergkeprovisioningprojectsetupshellscript"></a>`projectSetupShellScript` | [`String`](#string) | Google Cloudプロジェクトの設定手順。 |

#### 引数のあるフィールド

##### `CiRunnerGkeProvisioning.provisioningSteps`

GKEでRunnerをプロビジョニングするために使用するステップ。

[`[CiRunnerGkeProvisioningStep!]`](#cirunnergkeprovisioningstep)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnergkeprovisioningprovisioningstepsnodepools"></a>`nodePools` | [`[GoogleCloudNodePool!]`](#googlecloudnodepool) | Runnerのノードプールの設定。 |
| <a id="cirunnergkeprovisioningprovisioningstepsregion"></a>`region` | [`GoogleCloudRegion!`](#googlecloudregion) | Runnerをプロビジョニングするリージョンの名前。 |
| <a id="cirunnergkeprovisioningprovisioningstepsrunnertoken"></a>`runnerToken` | [`String!`](#string) | Runnerの認証トークン。 |
| <a id="cirunnergkeprovisioningprovisioningstepszone"></a>`zone` | [`GoogleCloudZone!`](#googlecloudzone) | Runnerをプロビジョニングするゾーンの名前。 |

### `CiRunnerGkeProvisioningStep`

GKEにRunnerをプロビジョニングするために使用するステップ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnergkeprovisioningstepinstructions"></a>`instructions` | [`String`](#string) | Runnerをプロビジョニングする手順。 |
| <a id="cirunnergkeprovisioningsteplanguageidentifier"></a>`languageIdentifier` | [`String`](#string) | instructionsフィールドに使用する言語の識別子。この識別子には、[サポートされている言語と字句解析ツールのリスト](https://github.com/rouge-ruby/rouge/wiki/List-of-supported-languages-and-lexers)で指定されている識別子のいずれかを指定できます。 |
| <a id="cirunnergkeprovisioningsteptitle"></a>`title` | [`String`](#string) | ステップのタイトル。 |

### `CiRunnerGoogleCloudProvisioning`

Runner Google Cloudプロビジョニングに使用する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnergooglecloudprovisioningprojectsetupshellscript"></a>`projectSetupShellScript` | [`String`](#string) | Google Cloudプロジェクトの設定手順。 |

#### 引数のあるフィールド

##### `CiRunnerGoogleCloudProvisioning.provisioningSteps`

クラウドでRunnerをプロビジョニングするために使用するステップ。

[`[CiRunnerCloudProvisioningStep!]`](#cirunnercloudprovisioningstep)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnergooglecloudprovisioningprovisioningstepsephemeralmachinetype"></a>`ephemeralMachineType` | [`GoogleCloudMachineType!`](#googlecloudmachinetype) | ジョブの実行に使用するマシンタイプの名前。 |
| <a id="cirunnergooglecloudprovisioningprovisioningstepsregion"></a>`region` | [`GoogleCloudRegion!`](#googlecloudregion) | Runnerをプロビジョニングするリージョンの名前。 |
| <a id="cirunnergooglecloudprovisioningprovisioningstepsrunnertoken"></a>`runnerToken` | [`String`](#string) | Runnerの認証トークン。 |
| <a id="cirunnergooglecloudprovisioningprovisioningstepszone"></a>`zone` | [`GoogleCloudZone!`](#googlecloudzone) | Runnerをプロビジョニングするゾーンの名前。 |

### `CiRunnerManager`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnermanagerarchitecturename"></a>`architectureName` | [`String`](#string) | Runnerマネージャーによって提供されるアーキテクチャ。 |
| <a id="cirunnermanagercontactedat"></a>`contactedAt` | [`Time`](#time) | Runnerマネージャーからの最後の接続のタイムスタンプ。 |
| <a id="cirunnermanagercreatedat"></a>`createdAt` | [`Time`](#time) | Runnerマネージャーの作成のタイムスタンプ。 |
| <a id="cirunnermanagerexecutorname"></a>`executorName` | [`String`](#string) | Runnerによって最後に宣伝されたexecutor。 |
| <a id="cirunnermanagerid"></a>`id` | [`CiRunnerManagerID!`](#cirunnermanagerid) | RunnerマネージャーのID。 |
| <a id="cirunnermanageripaddress"></a>`ipAddress` | [`String`](#string) | RunnerマネージャーのIPアドレス。 |
| <a id="cirunnermanagerjobexecutionstatus"></a>`jobExecutionStatus` {{< icon name="warning-solid" >}} | [`CiRunnerJobExecutionStatus`](#cirunnerjobexecutionstatus) | GitLab 16.3で**導入**。**状態**: 実験。Runnerマネージャーのジョブ実行状態。 |
| <a id="cirunnermanagerplatformname"></a>`platformName` | [`String`](#string) | Runnerマネージャーによって提供されるプラットフォーム。 |
| <a id="cirunnermanagerrevision"></a>`revision` | [`String`](#string) | Runnerのリビジョン。 |
| <a id="cirunnermanagerrunner"></a>`runner` | [`CiRunner`](#cirunner) | RunnerマネージャーのRunner設定。 |
| <a id="cirunnermanagerstatus"></a>`status` | [`CiRunnerStatus!`](#cirunnerstatus) | Runnerマネージャーの状態。 |
| <a id="cirunnermanagersystemid"></a>`systemId` | [`String!`](#string) | Runnerマネージャーに関連付けられているシステムID。 |
| <a id="cirunnermanagerupgradestatus"></a>`upgradeStatus` | [`CiRunnerUpgradeStatus`](#cirunnerupgradestatus) | Runnerマネージャーのアップグレードの可用性。 |
| <a id="cirunnermanagerversion"></a>`version` | [`String`](#string) | Runnerのバージョン。 |

### `CiRunnerUsage`

Runnerの使用量（分）。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerusagecibuildcount"></a>`ciBuildCount` | [`BigInt!`](#bigint) | 選択した期間中に実行されたビルドの量。文字列としてエンコードされます。 |
| <a id="cirunnerusageciduration"></a>`ciDuration` | [`BigInt!`](#bigint) | 選択した期間中にジョブの処理に費やされた時間（分）。文字列としてエンコードされます。 |
| <a id="cirunnerusageciminutesused"></a>`ciMinutesUsed` {{< icon name="warning-solid" >}} | [`BigInt!`](#bigint) | GitLab 17.5で**非推奨**になりました。`ciDuration`を使用してください。 |
| <a id="cirunnerusagerunner"></a>`runner` | [`CiRunner`](#cirunner) | 使用状況が参照するRunner。nullは「その他のRunner」を意味します。 |

### `CiRunnerUsageByProject`

プロジェクト別のRunnerの使用時間（分）。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cirunnerusagebyprojectcibuildcount"></a>`ciBuildCount` | [`BigInt!`](#bigint) | 選択した期間中に実行されたビルドの量。文字列としてエンコードされます。 |
| <a id="cirunnerusagebyprojectciduration"></a>`ciDuration` | [`BigInt!`](#bigint) | 選択した期間中にジョブの処理に費やされた時間（分）。文字列としてエンコードされます。 |
| <a id="cirunnerusagebyprojectciminutesused"></a>`ciMinutesUsed` {{< icon name="warning-solid" >}} | [`BigInt!`](#bigint) | GitLab 17.5で**非推奨**になりました。`ciDuration`を使用してください。 |
| <a id="cirunnerusagebyprojectproject"></a>`project` | [`Project`](#project) | 使用状況が参照するプロジェクト。nullは「その他のプロジェクト」を意味します。 |

### `CiSecureFileRegistry`

ci_secure_fileのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisecurefileregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | CiSecureFileRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="cisecurefileregistrycisecurefileid"></a>`ciSecureFileId` | [`ID!`](#id) | Ci SecureファイルのID。 |
| <a id="cisecurefileregistrycreatedat"></a>`createdAt` | [`Time`](#time) | CiSecureFileRegistryの作成時のタイムスタンプ。 |
| <a id="cisecurefileregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="cisecurefileregistryid"></a>`id` | [`ID!`](#id) | CiSecureFileRegistryのID。 |
| <a id="cisecurefileregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | CiSecureFileRegistryの同期中のエラーメッセージ。 |
| <a id="cisecurefileregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | CiSecureFileRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="cisecurefileregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにCiSecureFileRegistryが欠落しているかどうかを示します。 |
| <a id="cisecurefileregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | CiSecureFileRegistryのモデルレコードのID。 |
| <a id="cisecurefileregistryretryat"></a>`retryAt` | [`Time`](#time) | CiSecureFileRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="cisecurefileregistryretrycount"></a>`retryCount` | [`Int`](#int) | CiSecureFileRegistryの同期試行の連続失敗回数。 |
| <a id="cisecurefileregistrystate"></a>`state` | [`RegistryState`](#registrystate) | CiSecureFileRegistryの同期状態。 |
| <a id="cisecurefileregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | CiSecureFileRegistryのローカルチェックサム。 |
| <a id="cisecurefileregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のCiSecureFileRegistryのチェックサムの予想値。 |
| <a id="cisecurefileregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | CiSecureFileRegistryの検証中のエラーメッセージ。 |
| <a id="cisecurefileregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | CiSecureFileRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="cisecurefileregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | CiSecureFileRegistryの検証試行の連続失敗回数。 |
| <a id="cisecurefileregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | CiSecureFileRegistryの検証開始のタイムスタンプ。 |
| <a id="cisecurefileregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | CiSecureFileRegistryの検証状態。 |
| <a id="cisecurefileregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | CiSecureFileRegistryの最新の検証成功のタイムスタンプ。 |

### `CiStage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cistagedetailedstatus"></a>`detailedStatus` | [`DetailedStatus`](#detailedstatus) | ステージの詳細な状態。 |
| <a id="cistagegroups"></a>`groups` | [`CiGroupConnection`](#cigroupconnection) | ステージのジョブのグループ。（[接続](#connections)を参照） |
| <a id="cistageid"></a>`id` | [`ID!`](#id) | ステージのID。 |
| <a id="cistagejobs"></a>`jobs` | [`CiJobConnection`](#cijobconnection) | ステージのジョブ。（[接続](#connections)を参照） |
| <a id="cistagename"></a>`name` | [`String`](#string) | ステージの名前。 |
| <a id="cistagestatus"></a>`status` | [`String`](#string) | パイプラインステージの状態。 |

### `CiSubscriptionsProject`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisubscriptionsprojectauthor"></a>`author` | [`UserCore`](#usercore) | サブスクリプションの作成者。 |
| <a id="cisubscriptionsprojectdownstreamproject"></a>`downstreamProject` | [`Project`](#project) | サブスクリプションのダウンストリームプロジェクト。 |
| <a id="cisubscriptionsprojectid"></a>`id` | [`CiSubscriptionsProjectID`](#cisubscriptionsprojectid) | サブスクリプションのグローバルID。 |
| <a id="cisubscriptionsprojectupstreamproject"></a>`upstreamProject` | [`Project`](#project) | サブスクリプションのアップストリームプロジェクト。 |

### `CiSubscriptionsProjectDetails`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisubscriptionsprojectdetailsid"></a>`id` | [`ID!`](#id) | プロジェクトのID。 |
| <a id="cisubscriptionsprojectdetailsname"></a>`name` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="cisubscriptionsprojectdetailsnamespace"></a>`namespace` | [`CiSubscriptionsProjectNamespaceDetails!`](#cisubscriptionsprojectnamespacedetails) | プロジェクトのネームスペース。 |
| <a id="cisubscriptionsprojectdetailsweburl"></a>`webUrl` | [`String`](#string) | プロジェクトのWeb URL。 |

### `CiSubscriptionsProjectNamespaceDetails`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cisubscriptionsprojectnamespacedetailsid"></a>`id` | [`ID!`](#id) | プロジェクトのID。 |
| <a id="cisubscriptionsprojectnamespacedetailsname"></a>`name` | [`ID!`](#id) | プロジェクトのフルパス。 |

### `CiTemplate`

GitLab CI/CDの設定テンプレート。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="citemplatecontent"></a>`content` | [`String!`](#string) | CIテンプレートの内容。 |
| <a id="citemplatename"></a>`name` | [`String!`](#string) | CIテンプレートの名前。 |

### `CloudConnectorProbeResult`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cloudconnectorproberesultdetails"></a>`details` | [`JSON`](#json) | プローブ結果に関する追加の詳細。 |
| <a id="cloudconnectorproberesulterrors"></a>`errors` | [`[String!]`](#string) | プローブ結果に関するエラーのリスト全体。 |
| <a id="cloudconnectorproberesultmessage"></a>`message` | [`String`](#string) | プローブ結果に関する追加のメッセージまたは詳細。 |
| <a id="cloudconnectorproberesultname"></a>`name` | [`String`](#string) | プローブの名前。 |
| <a id="cloudconnectorproberesultsuccess"></a>`success` | [`Boolean`](#boolean) | プローブが成功したかどうかを示します。 |

### `CloudConnectorStatus`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cloudconnectorstatusproberesults"></a>`probeResults` | [`[CloudConnectorProbeResult!]`](#cloudconnectorproberesult) | 検証中に実行された個々のプローブの結果。 |
| <a id="cloudconnectorstatussuccess"></a>`success` | [`Boolean`](#boolean) | 設定の検証が成功したかどうかを示します。 |

### `ClusterAgent`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentactivityevents"></a>`activityEvents` | [`ClusterAgentActivityEventConnection`](#clusteragentactivityeventconnection) | クラスターエージェントの最近のアクティビティー。（[接続](#connections)を参照） |
| <a id="clusteragentconnections"></a>`connections` | [`ConnectedAgentConnection`](#connectedagentconnection) | クラスターエージェントのアクティブな接続。（[接続](#connections)を参照） |
| <a id="clusteragentcreatedat"></a>`createdAt` | [`Time`](#time) | クラスターエージェント作成のタイムスタンプ。 |
| <a id="clusteragentcreatedbyuser"></a>`createdByUser` | [`UserCore`](#usercore) | エージェントを作成した人に関する情報を含むユーザーオブジェクト。 |
| <a id="clusteragentid"></a>`id` | [`ID!`](#id) | クラスターエージェントのID。 |
| <a id="clusteragentisreceptive"></a>`isReceptive` | [`Boolean`](#boolean) | クラスターエージェントが受容的かどうか。 |
| <a id="clusteragentname"></a>`name` | [`String`](#string) | クラスターエージェントの名前。 |
| <a id="clusteragentproject"></a>`project` | [`Project`](#project) | クラスターエージェントが関連付けられているプロジェクト。 |
| <a id="clusteragenttokens"></a>`tokens` | [`ClusterAgentTokenConnection`](#clusteragenttokenconnection) | クラスターエージェントに関連付けられているトークン。（[接続](#connections)を参照） |
| <a id="clusteragentupdatedat"></a>`updatedAt` | [`Time`](#time) | クラスターエージェント更新のタイムスタンプ。 |
| <a id="clusteragenturlconfigurations"></a>`urlConfigurations` | [`ClusterAgentUrlConfigurationConnection`](#clusteragenturlconfigurationconnection) | クラスターエージェントが受容的エージェントである場合のURL設定。（[接続](#connections)を参照） |
| <a id="clusteragentuseraccessauthorizations"></a>`userAccessAuthorizations` | [`ClusterAgentAuthorizationUserAccess`](#clusteragentauthorizationuseraccess) | クラスターエージェントのユーザーアクセス設定。 |
| <a id="clusteragentvulnerabilityimages"></a>`vulnerabilityImages` | [`VulnerabilityContainerImageConnection`](#vulnerabilitycontainerimageconnection) | エージェント脆弱性について報告されたコンテナイメージ。（[接続](#connections)を参照） |
| <a id="clusteragentwebpath"></a>`webPath` | [`String`](#string) | クラスターエージェントのWebパス。 |
| <a id="clusteragentworkspacesagentconfig"></a>`workspacesAgentConfig` {{< icon name="warning-solid" >}} | [`WorkspacesAgentConfig`](#workspacesagentconfig) | GitLab 17.4で**導入**。**状態**: 実験。クラスターエージェントのワークスペースエージェント設定。 |

#### 引数のあるフィールド

##### `ClusterAgent.workspaces`

エージェントに関連付けられているワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="clusteragentworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="clusteragentworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `ClusterAgentActivityEvent`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentactivityeventagenttoken"></a>`agentToken` | [`ClusterAgentToken`](#clusteragenttoken) | イベントに関連付けられているエージェントトークン。 |
| <a id="clusteragentactivityeventkind"></a>`kind` | [`String`](#string) | イベントのタイプ。 |
| <a id="clusteragentactivityeventlevel"></a>`level` | [`String`](#string) | イベントの重大度。 |
| <a id="clusteragentactivityeventrecordedat"></a>`recordedAt` | [`Time`](#time) | イベント記録のタイムスタンプ。 |
| <a id="clusteragentactivityeventuser"></a>`user` | [`UserCore`](#usercore) | イベントに関連付けられているユーザー。 |

### `ClusterAgentAuthorizationCiAccess`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationciaccessagent"></a>`agent` | [`ClusterAgent`](#clusteragent) | 承認済みクラスターエージェント。 |
| <a id="clusteragentauthorizationciaccessconfig"></a>`config` | [`JSON`](#json) | 承認済みプロジェクトの設定。 |

### `ClusterAgentAuthorizationUserAccess`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragentauthorizationuseraccessagent"></a>`agent` | [`ClusterAgent`](#clusteragent) | 承認済みクラスターエージェント。 |
| <a id="clusteragentauthorizationuseraccessconfig"></a>`config` | [`JSON`](#json) | 承認済みプロジェクトの設定。 |

### `ClusterAgentToken`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenttokenclusteragent"></a>`clusterAgent` | [`ClusterAgent`](#clusteragent) | トークンが関連付けられているクラスターエージェント。 |
| <a id="clusteragenttokencreatedat"></a>`createdAt` | [`Time`](#time) | トークン作成のタイムスタンプ。 |
| <a id="clusteragenttokencreatedbyuser"></a>`createdByUser` | [`UserCore`](#usercore) | トークンを作成したユーザー。 |
| <a id="clusteragenttokendescription"></a>`description` | [`String`](#string) | トークンの説明。 |
| <a id="clusteragenttokenid"></a>`id` | [`ClustersAgentTokenID!`](#clustersagenttokenid) | トークンのグローバルID。 |
| <a id="clusteragenttokenlastusedat"></a>`lastUsedAt` | [`Time`](#time) | トークンを最後に使用した時点のタイムスタンプ。 |
| <a id="clusteragenttokenname"></a>`name` | [`String`](#string) | トークンに付けられた名前。 |
| <a id="clusteragenttokenstatus"></a>`status` | [`AgentTokenStatus`](#agenttokenstatus) | トークンの現在の状態。 |

### `ClusterAgentUrlConfiguration`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="clusteragenturlconfigurationcacert"></a>`caCert` | [`String`](#string) | URL設定のCA証明書。エージェントエンドポイントを検証するために使用されます。 |
| <a id="clusteragenturlconfigurationclientcert"></a>`clientCert` | [`String`](#string) | JWT認証を使用する場合のクライアント証明書。 |
| <a id="clusteragenturlconfigurationclusteragent"></a>`clusterAgent` | [`ClusterAgent`](#clusteragent) | URL設定のクラスターエージェント。 |
| <a id="clusteragenturlconfigurationid"></a>`id` | [`ClustersAgentsUrlConfigurationID!`](#clustersagentsurlconfigurationid) | URL設定のグローバルID。 |
| <a id="clusteragenturlconfigurationpublickey"></a>`publicKey` | [`String`](#string) | JWT認証を使用する場合の公開キー。 |
| <a id="clusteragenturlconfigurationtlshost"></a>`tlsHost` | [`String`](#string) | URL設定のTLSホスト。エージェントエンドポイント証明書の中のサーバー名を検証するために使用されます。 |
| <a id="clusteragenturlconfigurationurl"></a>`url` | [`String`](#string) | URL設定のURL。 |

### `CodeCoverageActivity`

グループのコードカバレッジアクティビティーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codecoverageactivityaveragecoverage"></a>`averageCoverage` | [`Float`](#float) | グループで利用可能なさまざまなコードカバレッジ結果の平均パーセント。 |
| <a id="codecoverageactivitycoveragecount"></a>`coverageCount` | [`Int`](#int) | グループで利用可能なさまざまなコードカバレッジ結果の数。 |
| <a id="codecoverageactivitydate"></a>`date` | [`Date!`](#date) | コードカバレッジ作成の日付。 |
| <a id="codecoverageactivityprojectcount"></a>`projectCount` | [`Int`](#int) | グループのコードカバレッジ結果のあるプロジェクトの数。 |

### `CodeCoverageSummary`

プロジェクトのコードカバレッジの概要を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codecoveragesummaryaveragecoverage"></a>`averageCoverage` | [`Float`](#float) | プロジェクトで利用可能なさまざまなコードカバレッジ結果の平均パーセント。 |
| <a id="codecoveragesummarycoveragecount"></a>`coverageCount` | [`Int`](#int) | 利用可能なさまざまなコードカバレッジ結果の数。 |
| <a id="codecoveragesummarylastupdatedon"></a>`lastUpdatedOn` | [`Date`](#date) | プロジェクトのコードカバレッジ作成の最後の日付。 |

### `CodeQualityDegradation`

パイプラインのコード品質の低下を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalitydegradationdescription"></a>`description` | [`String!`](#string) | コード品質低下の説明。 |
| <a id="codequalitydegradationenginename"></a>`engineName` | [`String!`](#string) | 検出を報告したコード品質プラグイン。 |
| <a id="codequalitydegradationfingerprint"></a>`fingerprint` | [`String!`](#string) | コード品質低下を識別する固有のフィンガープリント。MD5ハッシュなど。 |
| <a id="codequalitydegradationline"></a>`line` | [`Int!`](#int) | コード品質低下の発生した行。 |
| <a id="codequalitydegradationpath"></a>`path` | [`String!`](#string) | コード品質低下を含むファイルの相対パス。 |
| <a id="codequalitydegradationseverity"></a>`severity` | [`CodeQualityDegradationSeverity!`](#codequalitydegradationseverity) | 低下の状態（BLOCKER、CRITICAL、MAJOR、MINOR、INFO、UNKNOWN）。 |
| <a id="codequalitydegradationweburl"></a>`webUrl` | [`String`](#string) | ファイルのURLと行番号。 |

### `CodeQualityReportSummary`

パイプラインのコード品質レポート。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalityreportsummaryblocker"></a>`blocker` | [`Int`](#int) | ブロッカーの状態の合計数。 |
| <a id="codequalityreportsummarycount"></a>`count` | [`Int`](#int) | コード品質レポートの合計数。 |
| <a id="codequalityreportsummarycritical"></a>`critical` | [`Int`](#int) | 重大状態の合計数。 |
| <a id="codequalityreportsummaryinfo"></a>`info` | [`Int`](#int) | 情報状態の合計数。 |
| <a id="codequalityreportsummarymajor"></a>`major` | [`Int`](#int) | メジャー状態の合計数。 |
| <a id="codequalityreportsummaryminor"></a>`minor` | [`Int`](#int) | マイナー状態の合計数。 |
| <a id="codequalityreportsummaryunknown"></a>`unknown` | [`Int`](#int) | 不明状態の合計数。 |

### `CodeSuggestionEvent`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codesuggestioneventevent"></a>`event` | [`AiUsageCodeSuggestionEvent!`](#aiusagecodesuggestionevent) | イベントのタイプ。 |
| <a id="codesuggestioneventid"></a>`id` | [`ID!`](#id) | コード提案イベントのID。 |
| <a id="codesuggestioneventlanguage"></a>`language` | [`String`](#string) | 提案のコンテキストでのプログラミング言語。 |
| <a id="codesuggestioneventsuggestionsize"></a>`suggestionSize` | [`String`](#string) | コード行数を測定値とするコード提案のサイズ。 |
| <a id="codesuggestioneventtimestamp"></a>`timestamp` | [`Time!`](#time) | イベント発生の日時。 |
| <a id="codesuggestioneventuniquetrackingid"></a>`uniqueTrackingId` | [`String`](#string) | 1つの提案に対する一連のイベントの固有追跡番号。 |
| <a id="codesuggestioneventuser"></a>`user` | [`UserCore!`](#usercore) | イベントに関連付けられているユーザー。 |

### `CodequalityReportsComparer`

コード品質のレポート比較を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalityreportscomparerreport"></a>`report` | [`CodequalityReportsComparerReport`](#codequalityreportscomparerreport) | 比較対象のコード品質レポート。 |
| <a id="codequalityreportscomparerstatus"></a>`status` | [`CodequalityReportsComparerReportGenerationStatus`](#codequalityreportscomparerreportgenerationstatus) | 比較対象のコード品質レポートの生成状態。 |

### `CodequalityReportsComparerReport`

比較対象のコード品質レポートを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalityreportscomparerreportexistingerrors"></a>`existingErrors` | [`[CodequalityReportsComparerReportDegradation!]`](#codequalityreportscomparerreportdegradation) | すべてのコード品質低下。 |
| <a id="codequalityreportscomparerreportnewerrors"></a>`newErrors` | [`[CodequalityReportsComparerReportDegradation!]!`](#codequalityreportscomparerreportdegradation) | 新しいコード品質低下。 |
| <a id="codequalityreportscomparerreportresolvederrors"></a>`resolvedErrors` | [`[CodequalityReportsComparerReportDegradation!]`](#codequalityreportscomparerreportdegradation) | 解決済みのコード品質低下。 |
| <a id="codequalityreportscomparerreportstatus"></a>`status` | [`CodequalityReportsComparerStatus!`](#codequalityreportscomparerstatus) | レポートの状態。 |
| <a id="codequalityreportscomparerreportsummary"></a>`summary` | [`CodequalityReportsComparerReportSummary!`](#codequalityreportscomparerreportsummary) | コード品質レポートの概要。 |

### `CodequalityReportsComparerReportDegradation`

比較対象のコード品質レポートの低下を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalityreportscomparerreportdegradationdescription"></a>`description` | [`String!`](#string) | コード品質低下の説明。 |
| <a id="codequalityreportscomparerreportdegradationenginename"></a>`engineName` | [`String`](#string) | 低下を報告したコード品質プラグイン。 |
| <a id="codequalityreportscomparerreportdegradationfilepath"></a>`filePath` | [`String!`](#string) | コード品質低下を含むファイルの相対パス。 |
| <a id="codequalityreportscomparerreportdegradationfingerprint"></a>`fingerprint` | [`String!`](#string) | コード品質低下を識別する固有のフィンガープリント。MD5ハッシュなど。 |
| <a id="codequalityreportscomparerreportdegradationline"></a>`line` | [`Int!`](#int) | コード品質低下の発生した行。 |
| <a id="codequalityreportscomparerreportdegradationseverity"></a>`severity` | [`CodeQualityDegradationSeverity!`](#codequalitydegradationseverity) | コード品質低下の重大度（BLOCKER、CRITICAL、MAJOR、MINOR、INFO、UNKNOWN）。 |
| <a id="codequalityreportscomparerreportdegradationweburl"></a>`webUrl` | [`String`](#string) | ファイルのURLと行番号。 |

### `CodequalityReportsComparerReportSummary`

比較対象のコード品質レポートの概要を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="codequalityreportscomparerreportsummaryerrored"></a>`errored` | [`Int`](#int) | コード品質エラーの数。 |
| <a id="codequalityreportscomparerreportsummaryresolved"></a>`resolved` | [`Int`](#int) | 解決済みコード品質低下の数。 |
| <a id="codequalityreportscomparerreportsummarytotal"></a>`total` | [`Int`](#int) | コード品質低下の総数。 |

### `Commit`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitauthor"></a>`author` | [`UserCore`](#usercore) | コミットの作成者。 |
| <a id="commitauthoremail"></a>`authorEmail` | [`String`](#string) | コミット作成者のメール。 |
| <a id="commitauthorgravatar"></a>`authorGravatar` | [`String`](#string) | コミット作成者のグラバター。 |
| <a id="commitauthorname"></a>`authorName` | [`String`](#string) | コミット作成者の名前。 |
| <a id="commitauthoreddate"></a>`authoredDate` | [`Time`](#time) | コミット作成のタイムスタンプ。 |
| <a id="commitcommitteddate"></a>`committedDate` | [`Time`](#time) | コミットをコミットした時点のタイムスタンプ。 |
| <a id="commitcommitteremail"></a>`committerEmail` | [`String`](#string) | コミッターのメール。 |
| <a id="commitcommittername"></a>`committerName` | [`String`](#string) | コミッターの名前。 |
| <a id="commitdescription"></a>`description` | [`String`](#string) | コミットメッセージの説明。 |
| <a id="commitdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="commitdiffs"></a>`diffs` | [`[Diff!]`](#diff) | コミットに含まれる差分。このフィールドは、1回のリクエストにつき10個の差分に対してのみ解決できます。 |
| <a id="commitfulltitle"></a>`fullTitle` | [`String`](#string) | コミットメッセージのフルタイトル。 |
| <a id="commitfulltitlehtml"></a>`fullTitleHtml` | [`String`](#string) | `full_title`のGitLab Flavored Markdownレンダリング。 |
| <a id="commitid"></a>`id` | [`ID!`](#id) | コミットのID（グローバルID）。 |
| <a id="commitmessage"></a>`message` | [`String`](#string) | rawコミットメッセージ。 |
| <a id="commitname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="commitsha"></a>`sha` | [`String!`](#string) | コミットのSHA1 ID。 |
| <a id="commitshortid"></a>`shortId` | [`String!`](#string) | コミットの短いSHA1 ID。 |
| <a id="commitsignature"></a>`signature` | [`CommitSignature`](#commitsignature) | コミットの署名。 |
| <a id="commitsignaturehtml"></a>`signatureHtml` | [`String`](#string) | コミット署名のレンダリングHTML。 |
| <a id="committitle"></a>`title` | [`String`](#string) | コミットメッセージのタイトル。 |
| <a id="committitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="commitwebpath"></a>`webPath` | [`String!`](#string) | コミットのWebパス。 |
| <a id="commitweburl"></a>`webUrl` | [`String!`](#string) | コミットのWeb URL。 |

#### 引数のあるフィールド

##### `Commit.pipelines`

コミットのパイプラインを最新のものから順に並べたもの。

[`PipelineConnection`](#pipelineconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitpipelinesref"></a>`ref` | [`String`](#string) | パイプラインを実行対象のrefでフィルタリングします。 |
| <a id="commitpipelinesscope"></a>`scope` | [`PipelineScopeEnum`](#pipelinescopeenum) | パイプラインをスコープでフィルタリングします。 |
| <a id="commitpipelinessha"></a>`sha` | [`String`](#string) | パイプラインを実行対象のコミットのSHAでフィルタリングします。 |
| <a id="commitpipelinessource"></a>`source` | [`String`](#string) | パイプラインをそのソースでフィルタリングします。 |
| <a id="commitpipelinesstatus"></a>`status` | [`PipelineStatusEnum`](#pipelinestatusenum) | パイプラインをその状態でフィルタリングします。 |
| <a id="commitpipelinesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたパイプライン。 |
| <a id="commitpipelinesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたパイプライン。 |
| <a id="commitpipelinesusername"></a>`username` | [`String`](#string) | パイプラインをそのパイプラインをトリガーしたユーザーでフィルタリングします。 |

### `CommitData`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitdataagemapclass"></a>`ageMapClass` | [`String!`](#string) | コミットの経過時間のCSSクラス。 |
| <a id="commitdataauthoravatar"></a>`authorAvatar` | [`String!`](#string) | 作成者のアバターへのリンク。 |
| <a id="commitdatacommitauthorlink"></a>`commitAuthorLink` | [`String!`](#string) | コミットの作成者へのリンク。 |
| <a id="commitdatacommitlink"></a>`commitLink` | [`String!`](#string) | コミットへのリンク。 |
| <a id="commitdataprojectblamelink"></a>`projectBlameLink` | [`String`](#string) | 変更前のblameへのリンク。 |
| <a id="commitdatatimeagotooltip"></a>`timeAgoTooltip` | [`String!`](#string) | コミットの時間。 |

### `CommitParentNames`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitparentnamesnames"></a>`names` | [`[String!]`](#string) | コミットの親（ブランチまたはタグ）の名前。 |

### `CommitReferences`

#### 引数のあるフィールド

##### `CommitReferences.containingBranches`

特定のコミットを含むブランチ名を取得します。

[`CommitParentNames`](#commitparentnames)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitreferencescontainingbranchesexcludetipped"></a>`excludeTipped` | [`Boolean!`](#boolean) | ティッピングrefを除外します。警告: 制限がある場合、この引数は混乱を招く可能性があります。たとえば、制限を5に設定した場合、合計25個の参照のうちの5個に2つのティッピングrefがあるなら、このメソッドでは、refが実際よりも少ない3個だけになります。 |
| <a id="commitreferencescontainingbrancheslimit"></a>`limit` | [`Int!`](#int) | 返すref名の数。 |

##### `CommitReferences.containingTags`

特定のコミットを含むタグ名を取得します。

[`CommitParentNames`](#commitparentnames)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitreferencescontainingtagsexcludetipped"></a>`excludeTipped` | [`Boolean!`](#boolean) | ティッピングrefを除外します。警告: 制限がある場合、この引数は混乱を招く可能性があります。たとえば、制限を5に設定した場合、合計25個の参照のうちの5個に2つのティッピングrefがあるなら、このメソッドでは、refが実際よりも少ない3個だけになります。 |
| <a id="commitreferencescontainingtagslimit"></a>`limit` | [`Int!`](#int) | 返すref名の数。 |

##### `CommitReferences.tippingBranches`

特定のコミットでティッピングしているブランチ名を取得します。

[`CommitParentNames`](#commitparentnames)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitreferencestippingbrancheslimit"></a>`limit` | [`Int!`](#int) | 返すref名の数。 |

##### `CommitReferences.tippingTags`

特定のコミットでティッピングしているタグ名を取得します。

[`CommitParentNames`](#commitparentnames)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitreferencestippingtagslimit"></a>`limit` | [`Int!`](#int) | 返すref名の数。 |

### `ComparedSecurityReport`

比較対象のセキュリティレポートを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="comparedsecurityreportadded"></a>`added` {{< icon name="warning-solid" >}} | [`[ComparedSecurityReportFinding!]`](#comparedsecurityreportfinding) | GitLab 16.1で**導入**。**状態**: 実験。新しい脆弱性発見。 |
| <a id="comparedsecurityreportbasereportcreatedat"></a>`baseReportCreatedAt` | [`Time`](#time) | ベースレポートの作成時刻。 |
| <a id="comparedsecurityreportbasereportoutofdate"></a>`baseReportOutOfDate` | [`Boolean`](#boolean) | ベースレポートが古いかどうかを示します。 |
| <a id="comparedsecurityreportfixed"></a>`fixed` {{< icon name="warning-solid" >}} | [`[ComparedSecurityReportFinding!]`](#comparedsecurityreportfinding) | GitLab 16.1で**導入**。**状態**: 実験。修正された脆弱性発見。 |
| <a id="comparedsecurityreportheadreportcreatedat"></a>`headReportCreatedAt` | [`Time`](#time) | ベースレポートの作成時刻。 |

### `ComparedSecurityReportFinding`

発見を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="comparedsecurityreportfindingdescription"></a>`description` | [`String`](#string) | 脆弱性発見の説明。 |
| <a id="comparedsecurityreportfindingdetails"></a>`details` {{< icon name="warning-solid" >}} | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | GitLab 17.6で**導入**。**状態**: 実験。脆弱性発見の詳細。 |
| <a id="comparedsecurityreportfindingfoundbypipelineiid"></a>`foundByPipelineIid` | [`String`](#string) | パイプラインのIID。 |
| <a id="comparedsecurityreportfindingidentifiers"></a>`identifiers` {{< icon name="warning-solid" >}} | [`[VulnerabilityIdentifier!]`](#vulnerabilityidentifier) | GitLab 16.3で**導入**。**状態**: 実験。脆弱性発見の識別子。 |
| <a id="comparedsecurityreportfindinglocation"></a>`location` {{< icon name="warning-solid" >}} | [`VulnerabilityLocation`](#vulnerabilitylocation) | GitLab 16.3で**導入**。**状態**: 実験。脆弱性発見の場所。 |
| <a id="comparedsecurityreportfindingscanner"></a>`scanner` | [`ComparedSecurityReportScanner`](#comparedsecurityreportscanner) | 比較対象のレポート脆弱性スキャナー。 |
| <a id="comparedsecurityreportfindingseverity"></a>`severity` | [`VulnerabilitySeverity`](#vulnerabilityseverity) | 脆弱性発見の重大度。 |
| <a id="comparedsecurityreportfindingstate"></a>`state` | [`VulnerabilityState`](#vulnerabilitystate) | 発見状態。 |
| <a id="comparedsecurityreportfindingtitle"></a>`title` | [`String`](#string) | 脆弱性発見のタイトル。 |
| <a id="comparedsecurityreportfindinguuid"></a>`uuid` | [`String`](#string) | 脆弱性のレポートタイプ、プライマリ識別子、場所、フィンガープリント、プロジェクト識別子に基づくUUIDv5ダイジェスト。 |

### `ComparedSecurityReportScanner`

比較対象のレポート脆弱性スキャナーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="comparedsecurityreportscannerexternalid"></a>`externalId` | [`String`](#string) | 脆弱性スキャナーの外部ID。 |
| <a id="comparedsecurityreportscannername"></a>`name` | [`String`](#string) | 脆弱性スキャナーの名前。 |
| <a id="comparedsecurityreportscannervendor"></a>`vendor` | [`String`](#string) | 脆弱性スキャナーのベンダー。 |

### `ComplianceFramework`

プロジェクトに関連付けられているComplianceFrameworkを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceframeworkcolor"></a>`color` | [`String!`](#string) | コンプライアンスフレームワークのラベルカラーの16進数表記。 |
| <a id="complianceframeworkcompliancerequirements"></a>`complianceRequirements` | [`ComplianceRequirementConnection`](#compliancerequirementconnection) | コンプライアンスフレームワークのコンプライアンス要件。（[接続](#connections)を参） |
| <a id="complianceframeworkdefault"></a>`default` | [`Boolean`](#boolean) | グループのデフォルトのコンプライアンスフレームワーク。 |
| <a id="complianceframeworkdescription"></a>`description` | [`String!`](#string) | コンプライアンスフレームワークの説明。 |
| <a id="complianceframeworkeditpath"></a>`editPath` | [`String!`](#string) | コンプライアンスフレームワークを編集するためのWeb UIパス。 |
| <a id="complianceframeworkid"></a>`id` | [`ID!`](#id) | コンプライアンスフレームワークID。 |
| <a id="complianceframeworkname"></a>`name` | [`String!`](#string) | コンプライアンスフレームワークの名前。 |
| <a id="complianceframeworkpipelineconfigurationfullpath"></a>`pipelineConfigurationFullPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.4で**非推奨**になりました。代わりにパイプライン実行ポリシーを使用してください。 |
| <a id="complianceframeworkpipelineexecutionpolicies"></a>`pipelineExecutionPolicies` | [`PipelineExecutionPolicyConnection`](#pipelineexecutionpolicyconnection) | コンプライアンスフレームワークのパイプライン実行ポリシー。（[接続](#connections)を参照） |
| <a id="complianceframeworkprojects"></a>`projects` | [`ProjectConnection`](#projectconnection) | コンプライアンスフレームワークに関連付けられているプロジェクト。（[接続](#connections)を参照） |
| <a id="complianceframeworkscanexecutionpolicies"></a>`scanExecutionPolicies` | [`ScanExecutionPolicyConnection`](#scanexecutionpolicyconnection) | コンプライアンスフレームワークのスキャン実行ポリシー。（[接続](#connections)を参照） |
| <a id="complianceframeworkscanresultpolicies"></a>`scanResultPolicies` | [`ScanResultPolicyConnection`](#scanresultpolicyconnection) | コンプライアンスフレームワークのスキャン結果ポリシー。（[接続](#connections)を参照） |
| <a id="complianceframeworkvulnerabilitymanagementpolicies"></a>`vulnerabilityManagementPolicies` | [`VulnerabilityManagementPolicyConnection`](#vulnerabilitymanagementpolicyconnection) | コンプライアンスフレームワークの脆弱性管理ポリシー。（[接続](#connections)を参照） |

### `ComplianceRequirement`

ComplianceFrameworkに関連付けられているComplianceRequirementを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementcompliancerequirementscontrols"></a>`complianceRequirementsControls` | [`ComplianceRequirementsControlConnection`](#compliancerequirementscontrolconnection) | コンプライアンス要件のコンプライアンスコントロール。（[接続](#connections)を参照） |
| <a id="compliancerequirementdescription"></a>`description` | [`String!`](#string) | コンプライアンス要件の説明。 |
| <a id="compliancerequirementid"></a>`id` | [`ID!`](#id) | コンプライアンス要件ID。 |
| <a id="compliancerequirementname"></a>`name` | [`String!`](#string) | コンプライアンス要件の名前。 |

### `ComplianceRequirementControl`

可能性のある要件コントロールのタイプすべてを一覧表示します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementcontrolcontrolexpressions"></a>`controlExpressions` | [`[ControlExpression!]!`](#controlexpression) | 要件コントロールのリスト。 |

### `ComplianceRequirementsControl`

ComplianceRequirementに関連付けられているComplianceRequirementsControlを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementscontrolcontroltype"></a>`controlType` | [`String!`](#string) | コンプライアンスコントロールのタイプ。 |
| <a id="compliancerequirementscontrolexpression"></a>`expression` | [`String`](#string) | コンプライアンスコントロールの式。 |
| <a id="compliancerequirementscontrolexternalurl"></a>`externalUrl` | [`String`](#string) | 外部コントロールのURL。 |
| <a id="compliancerequirementscontrolid"></a>`id` | [`ID!`](#id) | コンプライアンス要件コントロールID。 |
| <a id="compliancerequirementscontrolname"></a>`name` | [`String!`](#string) | コンプライアンスコントロールの名前。 |

### `ComplianceStandardsAdherence`

プロジェクトのコンプライアンス規格準拠。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancestandardsadherencecheckname"></a>`checkName` | [`ComplianceStandardsAdherenceCheckName!`](#compliancestandardsadherencecheckname) | コンプライアンス規格のチェックの名前。 |
| <a id="compliancestandardsadherenceid"></a>`id` | [`ID!`](#id) | コンプライアンス規格準拠ID。 |
| <a id="compliancestandardsadherenceproject"></a>`project` | [`Project!`](#project) | コンプライアンス規格に準拠するプロジェクト。 |
| <a id="compliancestandardsadherencestandard"></a>`standard` | [`ComplianceStandardsAdherenceStandard!`](#compliancestandardsadherencestandard) | コンプライアンス規格の名前。 |
| <a id="compliancestandardsadherencestatus"></a>`status` | [`ComplianceStandardsAdherenceStatus!`](#compliancestandardsadherencestatus) | コンプライアンス規格準拠の状態。 |
| <a id="compliancestandardsadherenceupdatedat"></a>`updatedAt` | [`Time!`](#time) | 準拠更新時のタイムスタンプ。 |

### `ComplianceViolation`

マージされたマージリクエストに関連付けられているコンプライアンス違反。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceviolationid"></a>`id` | [`ID!`](#id) | コンプライアンス違反ID。 |
| <a id="complianceviolationmergerequest"></a>`mergeRequest` | [`MergeRequest!`](#mergerequest) | コンプライアンス違反が発生したマージリクエスト。 |
| <a id="complianceviolationreason"></a>`reason` | [`ComplianceViolationReason!`](#complianceviolationreason) | コンプライアンス違反が発生した理由。 |
| <a id="complianceviolationseveritylevel"></a>`severityLevel` | [`ComplianceViolationSeverity!`](#complianceviolationseverity) | コンプライアンス違反の重大度。 |
| <a id="complianceviolationviolatinguser"></a>`violatingUser` | [`UserCore!`](#usercore) | コンプライアンス違反を引き起こした疑いのあるユーザー。 |

### `Component`

プロジェクトで使用されるソフトウェア依存関係。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="componentid"></a>`id` | [`SbomComponentID!`](#sbomcomponentid) | 依存関係のID。 |
| <a id="componentname"></a>`name` | [`String!`](#string) | 依存関係の名前。 |

### `ComponentVersion`

プロジェクトで使用されるソフトウェア依存関係バージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="componentversionid"></a>`id` | [`SbomComponentVersionID!`](#sbomcomponentversionid) | 依存関係バージョンのID。 |
| <a id="componentversionversion"></a>`version` | [`String!`](#string) | 依存関係のバージョン。 |

### `ComposerMetadata`

Composerメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="composermetadatacomposerjson"></a>`composerJson` | [`PackageComposerJsonType!`](#packagecomposerjsontype) | Composer JSONファイルのデータ。 |
| <a id="composermetadatatargetsha"></a>`targetSha` | [`String!`](#string) | パッケージのターゲットSHA。 |

### `ConanFileMetadata`

Conanファイルのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="conanfilemetadataconanfiletype"></a>`conanFileType` | [`ConanMetadatumFileTypeEnum!`](#conanmetadatumfiletypeenum) | Conanファイルのタイプ。 |
| <a id="conanfilemetadataconanpackagereference"></a>`conanPackageReference` | [`String`](#string) | Conanパッケージの参照。 |
| <a id="conanfilemetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="conanfilemetadataid"></a>`id` | [`PackagesConanFileMetadatumID!`](#packagesconanfilemetadatumid) | メタデータのID。 |
| <a id="conanfilemetadatapackagerevision"></a>`packageRevision` | [`String`](#string) | パッケージのリビジョン。 |
| <a id="conanfilemetadatareciperevision"></a>`recipeRevision` | [`String!`](#string) | Conanレシピのリビジョン。 |
| <a id="conanfilemetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `ConanMetadata`

Conanメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="conanmetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="conanmetadataid"></a>`id` | [`PackagesConanMetadatumID!`](#packagesconanmetadatumid) | メタデータのID。 |
| <a id="conanmetadatapackagechannel"></a>`packageChannel` | [`String!`](#string) | Conanパッケージのチャンネル。 |
| <a id="conanmetadatapackageusername"></a>`packageUsername` | [`String!`](#string) | Conanパッケージのユーザー名。 |
| <a id="conanmetadatarecipe"></a>`recipe` | [`String!`](#string) | Conanパッケージのレシピ。 |
| <a id="conanmetadatarecipepath"></a>`recipePath` | [`String!`](#string) | Conanパッケージのレシピパス。 |
| <a id="conanmetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `ConnectedAgent`

エージェントの接続の詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="connectedagentconnectedat"></a>`connectedAt` | [`Time`](#time) | 接続確立の日時。 |
| <a id="connectedagentconnectionid"></a>`connectionId` | [`BigInt`](#bigint) | 接続のID。 |
| <a id="connectedagentmetadata"></a>`metadata` | [`AgentMetadata`](#agentmetadata) | エージェントに関する情報。 |
| <a id="connectedagentwarnings"></a>`warnings` | [`[AgentWarning!]`](#agentwarning) | エージェントの警告リスト。 |

### `ContactStateCounts`

表される状態の連絡先の総数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="contactstatecountsactive"></a>`active` | [`Int`](#int) | 状態が`ACTIVE`の連絡先の数。 |
| <a id="contactstatecountsall"></a>`all` | [`Int`](#int) | 状態が`ALL`の連絡先の数。 |
| <a id="contactstatecountsinactive"></a>`inactive` | [`Int`](#int) | 状態が`INACTIVE`の連絡先の数。 |

### `ContainerExpirationPolicy`

最重要イメージのみを保持するように設計されたタグ有効期限ポリシー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerexpirationpolicycadence"></a>`cadence` | [`ContainerExpirationPolicyCadenceEnum!`](#containerexpirationpolicycadenceenum) | このコンテナの有効期限ポリシーのスケジュール。 |
| <a id="containerexpirationpolicycreatedat"></a>`createdAt` | [`Time!`](#time) | コンテナ有効期限ポリシー作成のタイムスタンプ。 |
| <a id="containerexpirationpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | コンテナ有効期限ポリシーが有効かどうかを示します。 |
| <a id="containerexpirationpolicykeepn"></a>`keepN` | [`ContainerExpirationPolicyKeepEnum`](#containerexpirationpolicykeepenum) | 保持するタグの数。 |
| <a id="containerexpirationpolicynameregex"></a>`nameRegex` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが期限切れになります。 |
| <a id="containerexpirationpolicynameregexkeep"></a>`nameRegexKeep` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが保持されます。 |
| <a id="containerexpirationpolicynextrunat"></a>`nextRunAt` | [`Time`](#time) | コンテナ有効期限ポリシーが次に実行される時刻。 |
| <a id="containerexpirationpolicyolderthan"></a>`olderThan` | [`ContainerExpirationPolicyOlderThanEnum`](#containerexpirationpolicyolderthanenum) | 指定された期間より古いタグが期限切れになります。 |
| <a id="containerexpirationpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | コンテナ有効期限ポリシー更新のタイムスタンプ。 |

### `ContainerProtectionAccessLevel`

コンテナイメージタグに対する最も制限の厳しい権限を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectionaccesslevelminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナリポジトリからコンテナイメージタグを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグを削除できます。 |
| <a id="containerprotectionaccesslevelminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナイメージタグをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグをプッシュできます。 |

### `ContainerProtectionRepositoryRule`

特定のアクセスレベル以下のユーザーがコンテナレジストリを変更できないように設計されたコンテナリポジトリ保護ルール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectionrepositoryruleid"></a>`id` | [`ContainerRegistryProtectionRuleID!`](#containerregistryprotectionruleid) | コンテナリポジトリ保護ルールのID。 |
| <a id="containerprotectionrepositoryruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナリポジトリからコンテナイメージを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="containerprotectionrepositoryruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`ContainerProtectionRepositoryRuleAccessLevel`](#containerprotectionrepositoryruleaccesslevel) | コンテナイメージをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="containerprotectionrepositoryrulerepositorypathpattern"></a>`repositoryPathPattern` | [`String!`](#string) | 保護ルールによって保護されるコンテナリポジトリパスパターン。先頭がプロジェクトのフルパスでなければなりません。例: `my-project/*-prod-*`。ワイルドカード文字`*`は、プロジェクトのフルパスの後のどこにでも使用できます。 |

### `ContainerProtectionTagRule`

特定のアクセスレベル以下のユーザーがコンテナレジストリを変更できないように設計されたコンテナリポジトリタグ保護ルール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerprotectiontagruleid"></a>`id` {{< icon name="warning-solid" >}} | [`ContainerRegistryProtectionTagRuleID!`](#containerregistryprotectiontagruleid) | GitLab 17.8で**導入**。**状態**: 実験。コンテナリポジトリタグ保護ルールのID。 |
| <a id="containerprotectiontagruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナリポジトリからコンテナイメージタグを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグを削除できます。 |
| <a id="containerprotectiontagruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナイメージタグをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグをプッシュできます。 |
| <a id="containerprotectiontagruletagnamepattern"></a>`tagNamePattern` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.8で**導入**。**状態**: 実験。保護するコンテナイメージタグに一致するパターン。例: `v1.*`。ワイルドカード文字`*`を使用できます。 |

### `ContainerRepository`

コンテナリポジトリ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorycreatedat"></a>`createdAt` | [`Time!`](#time) | コンテナリポジトリ作成のタイムスタンプ。 |
| <a id="containerrepositoryexpirationpolicycleanupstatus"></a>`expirationPolicyCleanupStatus` | [`ContainerRepositoryCleanupStatus`](#containerrepositorycleanupstatus) | コンテナリポジトリのタグのクリーンアップ状態。 |
| <a id="containerrepositoryexpirationpolicystartedat"></a>`expirationPolicyStartedAt` | [`Time`](#time) | コンテナリポジトリに対して有効期限ポリシーによるクリーンアップが開始された時点のタイムスタンプ。 |
| <a id="containerrepositoryid"></a>`id` | [`ID!`](#id) | コンテナリポジトリのID。 |
| <a id="containerrepositorylastcleanupdeletedtagscount"></a>`lastCleanupDeletedTagsCount` | [`Int`](#int) | 最後のクリーンアップから削除されたタグの数。 |
| <a id="containerrepositorylocation"></a>`location` | [`String!`](#string) | コンテナリポジトリのURL。 |
| <a id="containerrepositorymigrationstate"></a>`migrationState` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.0で**非推奨**になりました。空文字列を返します。これはGitLab.comの移行用に使用されたものですが、現在、移行は完了しています。Self-Managedインスタンスでは使用されません。 |
| <a id="containerrepositoryname"></a>`name` | [`String!`](#string) | コンテナリポジトリの名前。 |
| <a id="containerrepositorypath"></a>`path` | [`String!`](#string) | コンテナリポジトリのパス。 |
| <a id="containerrepositoryproject"></a>`project` | [`Project!`](#project) | コンテナレジストリのプロジェクト。 |
| <a id="containerrepositoryprotectionruleexists"></a>`protectionRuleExists` | [`Boolean!`](#boolean) | コンテナリポジトリについて、一致するコンテナ保護ルールが存在するかどうか。 |
| <a id="containerrepositorystatus"></a>`status` | [`ContainerRepositoryStatus`](#containerrepositorystatus) | コンテナリポジトリの状態。 |
| <a id="containerrepositorytagscount"></a>`tagsCount` | [`Int!`](#int) | イメージに関連付けられているタグの数。 |
| <a id="containerrepositoryupdatedat"></a>`updatedAt` | [`Time!`](#time) | コンテナリポジトリ更新のタイムスタンプ。 |
| <a id="containerrepositoryuserpermissions"></a>`userPermissions` | [`ContainerRepositoryPermissions!`](#containerrepositorypermissions) | リソースに対する現在のユーザーの権限。 |

### `ContainerRepositoryDetails`

コンテナリポジトリの詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorydetailscreatedat"></a>`createdAt` | [`Time!`](#time) | コンテナリポジトリ作成のタイムスタンプ。 |
| <a id="containerrepositorydetailsexpirationpolicycleanupstatus"></a>`expirationPolicyCleanupStatus` | [`ContainerRepositoryCleanupStatus`](#containerrepositorycleanupstatus) | コンテナリポジトリのタグのクリーンアップ状態。 |
| <a id="containerrepositorydetailsexpirationpolicystartedat"></a>`expirationPolicyStartedAt` | [`Time`](#time) | コンテナリポジトリに対して有効期限ポリシーによるクリーンアップが開始された時点のタイムスタンプ。 |
| <a id="containerrepositorydetailsid"></a>`id` | [`ID!`](#id) | コンテナリポジトリのID。 |
| <a id="containerrepositorydetailslastcleanupdeletedtagscount"></a>`lastCleanupDeletedTagsCount` | [`Int`](#int) | 最後のクリーンアップから削除されたタグの数。 |
| <a id="containerrepositorydetailslastpublishedat"></a>`lastPublishedAt` | [`Time`](#time) | リポジトリタグが最後に作成または更新された時点のタイムスタンプ。GitLab 16.11より後にタグが作成または更新されたリポジトリについてのみ存在します。 |
| <a id="containerrepositorydetailslocation"></a>`location` | [`String!`](#string) | コンテナリポジトリのURL。 |
| <a id="containerrepositorydetailsmigrationstate"></a>`migrationState` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.0で**非推奨**になりました。空文字列を返します。これはGitLab.comの移行用に使用されたものですが、現在、移行は完了しています。Self-Managedインスタンスでは使用されません。 |
| <a id="containerrepositorydetailsname"></a>`name` | [`String!`](#string) | コンテナリポジトリの名前。 |
| <a id="containerrepositorydetailspath"></a>`path` | [`String!`](#string) | コンテナリポジトリのパス。 |
| <a id="containerrepositorydetailsproject"></a>`project` | [`Project!`](#project) | コンテナレジストリのプロジェクト。 |
| <a id="containerrepositorydetailsprotectionruleexists"></a>`protectionRuleExists` | [`Boolean!`](#boolean) | コンテナリポジトリについて、一致するコンテナ保護ルールが存在するかどうか。 |
| <a id="containerrepositorydetailssize"></a>`size` | [`Float`](#float) | イメージリポジトリの重複排除後のサイズ（バイト単位）。GitLab.comでこれを使用できるのは、`2021-11-04`より後に作成されたリポジトリに対してだけです。 |
| <a id="containerrepositorydetailsstatus"></a>`status` | [`ContainerRepositoryStatus`](#containerrepositorystatus) | コンテナリポジトリの状態。 |
| <a id="containerrepositorydetailstagscount"></a>`tagsCount` | [`Int!`](#int) | イメージに関連付けられているタグの数。 |
| <a id="containerrepositorydetailsupdatedat"></a>`updatedAt` | [`Time!`](#time) | コンテナリポジトリ更新のタイムスタンプ。 |
| <a id="containerrepositorydetailsuserpermissions"></a>`userPermissions` | [`ContainerRepositoryPermissions!`](#containerrepositorypermissions) | リソースに対する現在のユーザーの権限。 |

#### 引数のあるフィールド

##### `ContainerRepositoryDetails.manifest`

コンテナリポジトリからのイメージmanifest。

[`String`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorydetailsmanifestreference"></a>`reference` | [`String!`](#string) | manifestのタグ名またはダイジェスト。 |

##### `ContainerRepositoryDetails.tags`

コンテナリポジトリのタグ。

[`ContainerRepositoryTagConnection`](#containerrepositorytagconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorydetailstagsname"></a>`name` | [`String`](#string) | タグ名で検索します。 |
| <a id="containerrepositorydetailstagsreferrertype"></a>`referrerType` | [`String`](#string) | リファラーをフィルタリングするために使用されるアーティファクトタイプのカンマ区切りリスト。`referrers`が`true`に設定されている場合にのみ適用されます。 |
| <a id="containerrepositorydetailstagsreferrers"></a>`referrers` | [`Boolean`](#boolean) | タグリファラーを含めます。 |
| <a id="containerrepositorydetailstagssort"></a>`sort` | [`ContainerRepositoryTagSort`](#containerrepositorytagsort) | これらの条件でタグをソートします。 |

### `ContainerRepositoryPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorypermissionsdestroycontainerrepository"></a>`destroyContainerRepository` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_container_image`を実行できます。 |

### `ContainerRepositoryReferrer`

コンテナリポジトリタグのリファラー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryreferrerartifacttype"></a>`artifactType` | [`String`](#string) | リファラーのアーティファクトタイプ。 |
| <a id="containerrepositoryreferrerdigest"></a>`digest` | [`String`](#string) | リファラーのダイジェスト。 |
| <a id="containerrepositoryreferreruserpermissions"></a>`userPermissions` | [`ContainerRepositoryTagPermissions!`](#containerrepositorytagpermissions) | リソースに対する現在のユーザーの権限。 |

### `ContainerRepositoryRegistry`

コンテナリポジトリのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | ContainerRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="containerrepositoryregistrycontainerrepositoryid"></a>`containerRepositoryId` | [`ID!`](#id) | ContainerRepositoryのID。 |
| <a id="containerrepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | ContainerRepositoryRegistry作成のタイムスタンプ。 |
| <a id="containerrepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="containerrepositoryregistryid"></a>`id` | [`ID!`](#id) | ContainerRepositoryRegistryのID。 |
| <a id="containerrepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | ContainerRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="containerrepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | ContainerRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="containerrepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにContainerRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="containerrepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | ContainerRepositoryRegistryのモデルレコードのID。 |
| <a id="containerrepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | ContainerRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="containerrepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | ContainerRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="containerrepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | ContainerRepositoryRegistryの同期状態。 |
| <a id="containerrepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | ContainerRepositoryRegistryのローカルチェックサム。 |
| <a id="containerrepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のContainerRepositoryRegistryのチェックサムの予想値。 |
| <a id="containerrepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | ContainerRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="containerrepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | ContainerRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="containerrepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | ContainerRepositoryRegistryの検証試行の連続失敗回数。 |
| <a id="containerrepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | ContainerRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="containerrepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | ContainerRepositoryRegistryの検証状態。 |
| <a id="containerrepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | ContainerRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `ContainerRepositoryTag`

コンテナリポジトリからのタグ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorytagcreatedat"></a>`createdAt` | [`Time`](#time) | タグ作成時のタイムスタンプ。 |
| <a id="containerrepositorytagdigest"></a>`digest` | [`String`](#string) | タグのダイジェスト。 |
| <a id="containerrepositorytaglocation"></a>`location` | [`String!`](#string) | タグのURL。 |
| <a id="containerrepositorytagmediatype"></a>`mediaType` | [`String`](#string) | タグのメディアタイプ。 |
| <a id="containerrepositorytagname"></a>`name` | [`String!`](#string) | タグの名前。 |
| <a id="containerrepositorytagpath"></a>`path` | [`String!`](#string) | タグのパス。 |
| <a id="containerrepositorytagprotection"></a>`protection` {{< icon name="warning-solid" >}} | [`ContainerProtectionAccessLevel`](#containerprotectionaccesslevel) | GitLab 17.9で**導入**。**状態**: 実験。コンテナイメージタグをプッシュおよび削除するために必要な最小GitLabアクセスレベル。複数の保護ルールがイメージタグと一致する場合、最も高いアクセスレベルが適用されます。 |
| <a id="containerrepositorytagpublishedat"></a>`publishedAt` | [`Time`](#time) | タグ公開時のタイムスタンプ。 |
| <a id="containerrepositorytagreferrers"></a>`referrers` | [`[ContainerRepositoryReferrer!]`](#containerrepositoryreferrer) | タグのリファラー。 |
| <a id="containerrepositorytagrevision"></a>`revision` | [`String`](#string) | タグのリビジョン。 |
| <a id="containerrepositorytagshortrevision"></a>`shortRevision` | [`String`](#string) | タグの短いリビジョン。 |
| <a id="containerrepositorytagtotalsize"></a>`totalSize` | [`BigInt`](#bigint) | タグのサイズ。 |
| <a id="containerrepositorytaguserpermissions"></a>`userPermissions` | [`ContainerRepositoryTagPermissions!`](#containerrepositorytagpermissions) | リソースに対する現在のユーザーの権限。 |

### `ContainerRepositoryTagPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containerrepositorytagpermissionsdestroycontainerrepositorytag"></a>`destroyContainerRepositoryTag` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_container_image_tag`を実行できます。 |

### `ContainerTagsExpirationPolicy`

保持するイメージまたは期限切れにするイメージを制御するために正規表現パターンを使用するタグ有効期限ポリシー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="containertagsexpirationpolicycadence"></a>`cadence` | [`ContainerExpirationPolicyCadenceEnum`](#containerexpirationpolicycadenceenum) | コンテナ有効期限ポリシーのスケジュール。 |
| <a id="containertagsexpirationpolicycreatedat"></a>`createdAt` | [`Time`](#time) | コンテナ有効期限ポリシー作成のタイムスタンプ。 |
| <a id="containertagsexpirationpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | コンテナ有効期限ポリシーが有効かどうかを示します。 |
| <a id="containertagsexpirationpolicykeepn"></a>`keepN` | [`ContainerExpirationPolicyKeepEnum`](#containerexpirationpolicykeepenum) | 保持するタグの数。 |
| <a id="containertagsexpirationpolicynameregex"></a>`nameRegex` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが期限切れになります。 |
| <a id="containertagsexpirationpolicynameregexkeep"></a>`nameRegexKeep` | [`UntrustedRegexp`](#untrustedregexp) | 正規表現パターンに一致する名前のタグが保持されます。 |
| <a id="containertagsexpirationpolicynextrunat"></a>`nextRunAt` | [`Time`](#time) | コンテナ有効期限ポリシーが次に実行される時刻。 |
| <a id="containertagsexpirationpolicyolderthan"></a>`olderThan` | [`ContainerExpirationPolicyOlderThanEnum`](#containerexpirationpolicyolderthanenum) | 指定された期間より古いタグが期限切れになります。 |
| <a id="containertagsexpirationpolicyupdatedat"></a>`updatedAt` | [`Time`](#time) | コンテナ有効期限ポリシー更新のタイムスタンプ。 |

### `ContributionAnalyticsContribution`

ユーザーのコントリビューションを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="contributionanalyticscontributionissuesclosed"></a>`issuesClosed` | [`Int`](#int) | ユーザーがクローズしたイシューの数。 |
| <a id="contributionanalyticscontributionissuescreated"></a>`issuesCreated` | [`Int`](#int) | ユーザーが作成したイシューの数。 |
| <a id="contributionanalyticscontributionmergerequestsapproved"></a>`mergeRequestsApproved` | [`Int`](#int) | ユーザーが承認したマージリクエストの数。 |
| <a id="contributionanalyticscontributionmergerequestsclosed"></a>`mergeRequestsClosed` | [`Int`](#int) | ユーザーがクローズしたマージリクエストの数。 |
| <a id="contributionanalyticscontributionmergerequestscreated"></a>`mergeRequestsCreated` | [`Int`](#int) | ユーザーが作成したマージリクエストの数。 |
| <a id="contributionanalyticscontributionmergerequestsmerged"></a>`mergeRequestsMerged` | [`Int`](#int) | ユーザーがマージしたマージリクエストの数。 |
| <a id="contributionanalyticscontributionrepopushed"></a>`repoPushed` | [`Int`](#int) | ユーザーによるリポジトリプッシュの数。 |
| <a id="contributionanalyticscontributiontotalevents"></a>`totalEvents` | [`Int`](#int) | ユーザーがコントリビュートしたイベントの合計数。 |
| <a id="contributionanalyticscontributionuser"></a>`user` | [`UserCore`](#usercore) | コントリビューターのUserオブジェクト。 |

### `ControlExpression`

制御式を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="controlexpressionexpression"></a>`expression` | [`ExpressionValue!`](#expressionvalue) | 制御の式の詳細。 |
| <a id="controlexpressionid"></a>`id` | [`ID!`](#id) | コントロールのID。 |
| <a id="controlexpressionname"></a>`name` | [`String!`](#string) | コントロールの名前。 |

### `CoverageFuzzingCorpus`

カバレッジファジングジョブのコーパス。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="coveragefuzzingcorpusid"></a>`id` | [`AppSecFuzzingCoverageCorpusID!`](#appsecfuzzingcoveragecorpusid) | コーパスのID。 |
| <a id="coveragefuzzingcorpuspackage"></a>`package` | [`PackageDetailsType!`](#packagedetailstype) | コーパスのパッケージ。 |

### `CurrentLicense`

現在のライセンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentlicenseactivatedat"></a>`activatedAt` | [`Date`](#date) | ライセンスがアクティブ化された日付。 |
| <a id="currentlicensebillableuserscount"></a>`billableUsersCount` | [`Int`](#int) | システム上の請求対象ユーザーの数。 |
| <a id="currentlicenseblockchangesat"></a>`blockChangesAt` | [`Date`](#date) | ライセンスされた機能がブロックされる日付（猶予期間を含む）。 |
| <a id="currentlicensecompany"></a>`company` | [`String`](#string) | ライセンシーの会社。 |
| <a id="currentlicensecreatedat"></a>`createdAt` | [`Date`](#date) | ライセンスが追加された日付。 |
| <a id="currentlicenseemail"></a>`email` | [`String`](#string) | ライセンシーのメール。 |
| <a id="currentlicenseexpiresat"></a>`expiresAt` | [`Date`](#date) | ライセンスの有効期限の日付。 |
| <a id="currentlicenseid"></a>`id` | [`ID!`](#id) | ライセンスデータから抽出されたライセンスのID。 |
| <a id="currentlicenselastsync"></a>`lastSync` | [`Time`](#time) | ライセンスが最後に同期された日付。 |
| <a id="currentlicensemaximumusercount"></a>`maximumUserCount` | [`Int`](#int) | 現在のライセンス期間中のシステム上の請求対象ユーザーの最大数。 |
| <a id="currentlicensename"></a>`name` | [`String`](#string) | ライセンシーの名前。 |
| <a id="currentlicenseplan"></a>`plan` | [`String!`](#string) | サブスクリプションプランの名前。 |
| <a id="currentlicensestartsat"></a>`startsAt` | [`Date`](#date) | ライセンスの開始日付。 |
| <a id="currentlicensetrial"></a>`trial` | [`Boolean`](#boolean) | ライセンスがトライアルかどうかを示します。 |
| <a id="currentlicensetype"></a>`type` | [`String!`](#string) | ライセンスのタイプ。 |
| <a id="currentlicenseusersinlicensecount"></a>`usersInLicenseCount` | [`Int`](#int) | ライセンスに含まれる有料ユーザー数。 |
| <a id="currentlicenseusersoverlicensecount"></a>`usersOverLicenseCount` | [`Int`](#int) | ライセンスの有料ユーザー数を超えるユーザーの数。 |

### `CurrentUser`

現在認証されているGitLabユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuseractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="currentuseractivity"></a>`activity` {{< icon name="warning-solid" >}} | [`ActivityStream`](#activitystream) | GitLab 17.10で**導入**。**状態**: 実験。最近のユーザーアクティビティー。 |
| <a id="currentuseravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="currentuserbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="currentuserbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="currentusercallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="currentusercodesuggestionscontexts"></a>`codeSuggestionsContexts` {{< icon name="warning-solid" >}} | [`[String!]!`](#string) | GitLab 17.9で**導入**。**状態**: 実験。コード提案に対して有効になっている追加のコンテキストのリスト。 |
| <a id="currentusercommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="currentusercreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="currentuserdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="currentuserduochatavailable"></a>`duoChatAvailable` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.8で**導入**。**状態**: 実験。AIチャット機能へのユーザーアクセス。 |
| <a id="currentuserduochatavailablefeatures"></a>`duoChatAvailableFeatures` {{< icon name="warning-solid" >}} | [`[String!]!`](#string) | GitLab 17.6で**導入**。**状態**: 実験。AIチャットで利用可能な機能の一覧。 |
| <a id="currentuserduocodesuggestionsavailable"></a>`duoCodeSuggestionsAvailable` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.8で**導入**。**状態**: 実験。コード提案機能へのユーザーアクセス。 |
| <a id="currentuseremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="currentuseremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="currentusergitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="currentusergroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="currentusergroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="currentuserhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="currentuserid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="currentuseride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="currentuserjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="currentuserlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="currentuserlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="currentuserlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="currentusername"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="currentusernamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="currentusernamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="currentuserorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="currentuserpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="currentuserprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="currentuserprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="currentuserpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="currentuserpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="currentuserrecentlyviewedissues"></a>`recentlyViewedIssues` {{< icon name="warning-solid" >}} | [`[Issue!]`](#issue) | GitLab 17.9で**導入**。**状態**: 実験。現在のユーザーが最近表示したイシュー。 |
| <a id="currentuserrecentlyviewedmergerequests"></a>`recentlyViewedMergeRequests` {{< icon name="warning-solid" >}} | [`[MergeRequest!]`](#mergerequest) | GitLab 17.10で**導入**。**状態**: 実験。現在のユーザーが最近表示したマージリクエスト。 |
| <a id="currentusersavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="currentuserstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="currentuserstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="currentusertwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="currentusertype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="currentuseruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="currentuseruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="currentuserusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="currentuserwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="currentuserweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `CurrentUser.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="currentuserassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="currentuserassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="currentuserassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="currentuserassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="currentuserassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="currentuserassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="currentuserassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="currentuserassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="currentuserassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="currentuserassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="currentuserassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="currentuserassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="currentuserassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="currentuserassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="currentuserassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="currentuserassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="currentuserassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="currentuserassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="currentuserassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="currentuserassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="currentuserassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="currentuserassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="currentuserassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="currentuserassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="currentuserassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="currentuserassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="currentuserassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="currentuserassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="currentuserassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="currentuserassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="currentuserassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="currentuserassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="currentuserassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `CurrentUser.assigneeOrReviewerMergeRequests`

現在のユーザーが割り当てられている、またはレビュアーであるマージリクエスト。`merge_request_dashboard`機能フラグが無効になっている場合は無視されます。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserassigneeorreviewermergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserassigneeorreviewermergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="currentuserassigneeorreviewermergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="currentuserassigneeorreviewermergerequestsassignedreviewstates"></a>`assignedReviewStates` | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | 現在のユーザーが割り当てられているマージリクエストのレビュアー状態。 |
| <a id="currentuserassigneeorreviewermergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserassigneeorreviewermergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="currentuserassigneeorreviewermergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="currentuserassigneeorreviewermergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="currentuserassigneeorreviewermergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="currentuserassigneeorreviewermergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="currentuserassigneeorreviewermergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="currentuserassigneeorreviewermergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="currentuserassigneeorreviewermergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="currentuserassigneeorreviewermergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="currentuserassigneeorreviewermergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="currentuserassigneeorreviewermergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="currentuserassigneeorreviewermergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="currentuserassigneeorreviewermergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="currentuserassigneeorreviewermergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="currentuserassigneeorreviewermergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="currentuserassigneeorreviewermergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="currentuserassigneeorreviewermergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="currentuserassigneeorreviewermergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="currentuserassigneeorreviewermergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="currentuserassigneeorreviewermergerequestsreviewerreviewstates"></a>`reviewerReviewStates` | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | 現在のユーザーがレビュアーであるマージリクエストのレビュアー状態。 |
| <a id="currentuserassigneeorreviewermergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="currentuserassigneeorreviewermergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="currentuserassigneeorreviewermergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="currentuserassigneeorreviewermergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="currentuserassigneeorreviewermergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="currentuserassigneeorreviewermergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="currentuserassigneeorreviewermergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `CurrentUser.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="currentuserauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="currentuserauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="currentuserauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="currentuserauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="currentuserauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="currentuserauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="currentuserauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="currentuserauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="currentuserauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="currentuserauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="currentuserauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="currentuserauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="currentuserauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="currentuserauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="currentuserauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="currentuserauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="currentuserauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="currentuserauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="currentuserauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="currentuserauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="currentuserauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="currentuserauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="currentuserauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="currentuserauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="currentuserauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="currentuserauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="currentuserauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="currentuserauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="currentuserauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="currentuserauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="currentuserauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="currentuserauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="currentuserauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="currentuserauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `CurrentUser.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusercontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="currentusercontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="currentusercontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="currentusercontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="currentusercontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `CurrentUser.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusergroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="currentusergroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="currentusergroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `CurrentUser.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="currentuserorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `CurrentUser.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="currentuserreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="currentuserreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="currentuserreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="currentuserreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="currentuserreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="currentuserreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="currentuserreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="currentuserreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="currentuserreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="currentuserreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="currentuserreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="currentuserreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="currentuserreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="currentuserreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="currentuserreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="currentuserreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="currentuserreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="currentuserreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="currentuserreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="currentuserreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="currentuserreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="currentuserreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="currentuserreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="currentuserreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="currentuserreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="currentuserreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="currentuserreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `CurrentUser.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusersavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `CurrentUser.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusersnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="currentusersnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="currentusersnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `CurrentUser.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="currentuserstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="currentuserstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="currentuserstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `CurrentUser.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusertimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="currentusertimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="currentusertimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="currentusertimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="currentusertimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="currentusertimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="currentusertimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="currentusertimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `CurrentUser.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusertodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="currentusertodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="currentusertodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="currentusertodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="currentusertodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="currentusertodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="currentusertodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="currentusertodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `CurrentUser.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuseruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `CurrentUser.workItemPreferences`

特定の作業アイテムタイプとネームスペースのユーザープリファレンス。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemTypesUserPreference`](#workitemtypesuserpreference)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserworkitempreferencesnamespacepath"></a>`namespacePath` | [`ID!`](#id) | 作業アイテムを作成するネームスペースのフルパス。 |
| <a id="currentuserworkitempreferencesworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID`](#workitemstypeid) | 作業アイテムタイプのグローバルID。 |

##### `CurrentUser.workItems`

現在のユーザーに表示される作業アイテムを検索します。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemConnection`](#workitemconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserworkitemsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられたユーザーのユーザー名。 |
| <a id="currentuserworkitemsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="currentuserworkitemsauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="currentuserworkitemsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="currentuserworkitemsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="currentuserworkitemsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="currentuserworkitemscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="currentuserworkitemscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="currentuserworkitemsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="currentuserworkitemsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="currentuserworkitemsiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例: `["1", "2"]`。 |
| <a id="currentuserworkitemsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="currentuserworkitemslabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="currentuserworkitemsmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="currentuserworkitemsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="currentuserworkitemsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="currentuserworkitemsnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="currentuserworkitemsor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="currentuserworkitemssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="currentuserworkitemssort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムを基準でソートします。 |
| <a id="currentuserworkitemsstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="currentuserworkitemssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="currentuserworkitemstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定された作業アイテムタイプで作業アイテムをフィルタリングします。 |
| <a id="currentuserworkitemsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="currentuserworkitemsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |

##### `CurrentUser.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentuserworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="currentuserworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="currentuserworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="currentuserworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="currentuserworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `CustomEmoji`

ユーザーがアップロードしたカスタム絵文字。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customemojicreatedat"></a>`createdAt` | [`Time!`](#time) | カスタム絵文字作成時のタイムスタンプ。 |
| <a id="customemojiexternal"></a>`external` | [`Boolean!`](#boolean) | 絵文字が外部リンクかどうか。 |
| <a id="customemojiid"></a>`id` | [`CustomEmojiID!`](#customemojiid) | 絵文字のID。 |
| <a id="customemojiname"></a>`name` | [`String!`](#string) | 絵文字の名前。 |
| <a id="customemojiurl"></a>`url` | [`String!`](#string) | 絵文字のファイルへのリンク。 |
| <a id="customemojiuserpermissions"></a>`userPermissions` | [`CustomEmojiPermissions!`](#customemojipermissions) | リソースに対する現在のユーザーの権限。 |

### `CustomEmojiPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customemojipermissionscreatecustomemoji"></a>`createCustomEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_custom_emoji`を実行できます。 |
| <a id="customemojipermissionsdeletecustomemoji"></a>`deleteCustomEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`delete_custom_emoji`を実行できます。 |
| <a id="customemojipermissionsreadcustomemoji"></a>`readCustomEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_custom_emoji`を実行できます。 |

### `CustomField`

カスタムフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customfieldactive"></a>`active` | [`Boolean!`](#boolean) | カスタムフィールドがアクティブかどうか。 |
| <a id="customfieldcreatedat"></a>`createdAt` | [`Time!`](#time) | カスタムフィールド作成時のタイムスタンプ。 |
| <a id="customfieldcreatedby"></a>`createdBy` | [`UserCore`](#usercore) | カスタムフィールドを作成したユーザー。 |
| <a id="customfieldfieldtype"></a>`fieldType` | [`CustomFieldType!`](#customfieldtype) | カスタムフィールドの型。 |
| <a id="customfieldid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |
| <a id="customfieldname"></a>`name` | [`String!`](#string) | カスタムフィールドの名前。 |
| <a id="customfieldselectoptions"></a>`selectOptions` | [`[CustomFieldSelectOption!]`](#customfieldselectoption) | 選択フィールドで使用可能なオプション。 |
| <a id="customfieldupdatedat"></a>`updatedAt` | [`Time!`](#time) | カスタムフィールドの最終更新時のタイムスタンプ。 |
| <a id="customfieldupdatedby"></a>`updatedBy` | [`UserCore`](#usercore) | カスタムフィールドを最後に更新したユーザー。 |
| <a id="customfieldworkitemtypes"></a>`workItemTypes` | [`[WorkItemType!]`](#workitemtype) | カスタムフィールドを使用できる作業アイテムタイプ。 |

### `CustomFieldSelectOption`

カスタムフィールドの選択オプションを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customfieldselectoptionid"></a>`id` | [`IssuablesCustomFieldSelectOptionID!`](#issuablescustomfieldselectoptionid) | カスタムフィールド選択オプションのグローバルID。 |
| <a id="customfieldselectoptionvalue"></a>`value` | [`String!`](#string) | カスタムフィールド選択オプションの値。 |

### `CustomerRelationsContact`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationscontactactive"></a>`active` | [`Boolean!`](#boolean) | 連絡先の状態。 |
| <a id="customerrelationscontactcreatedat"></a>`createdAt` | [`Time!`](#time) | 連絡先作成時のタイムスタンプ。 |
| <a id="customerrelationscontactdescription"></a>`description` | [`String`](#string) | 連絡先の説明またはノート。 |
| <a id="customerrelationscontactemail"></a>`email` | [`String`](#string) | 連絡先のメールアドレス。 |
| <a id="customerrelationscontactfirstname"></a>`firstName` | [`String!`](#string) | 連絡先の名前。 |
| <a id="customerrelationscontactid"></a>`id` | [`ID!`](#id) | 連絡先の内部ID。 |
| <a id="customerrelationscontactlastname"></a>`lastName` | [`String!`](#string) | 連絡先の苗字。 |
| <a id="customerrelationscontactorganization"></a>`organization` | [`CustomerRelationsOrganization`](#customerrelationsorganization) | 連絡先の組織。 |
| <a id="customerrelationscontactphone"></a>`phone` | [`String`](#string) | 連絡先の電話番号。 |
| <a id="customerrelationscontactupdatedat"></a>`updatedAt` | [`Time!`](#time) | 連絡先の最終更新時のタイムスタンプ。 |

### `CustomerRelationsOrganization`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customerrelationsorganizationactive"></a>`active` | [`Boolean!`](#boolean) | 組織の状態。 |
| <a id="customerrelationsorganizationcreatedat"></a>`createdAt` | [`Time!`](#time) | 組織作成時のタイムスタンプ。 |
| <a id="customerrelationsorganizationdefaultrate"></a>`defaultRate` | [`Float`](#float) | 組織の標準請求レート。 |
| <a id="customerrelationsorganizationdescription"></a>`description` | [`String`](#string) | 組織の説明またはノート。 |
| <a id="customerrelationsorganizationid"></a>`id` | [`ID!`](#id) | 組織の内部ID。 |
| <a id="customerrelationsorganizationname"></a>`name` | [`String!`](#string) | 組織の名前。 |
| <a id="customerrelationsorganizationupdatedat"></a>`updatedAt` | [`Time!`](#time) | 組織更新のタイムスタンプ。 |

### `CustomizableAdminPermission`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizableadminpermissiondescription"></a>`description` | [`String`](#string) | 権限の説明。 |
| <a id="customizableadminpermissionname"></a>`name` | [`String!`](#string) | 権限のローカライズ名。 |
| <a id="customizableadminpermissionrequirements"></a>`requirements` | [`[MemberRoleAdminPermission!]`](#memberroleadminpermission) | 権限の要件。 |
| <a id="customizableadminpermissionvalue"></a>`value` | [`MemberRoleAdminPermission!`](#memberroleadminpermission) | 権限の値。 |

### `CustomizableDashboard`

プロダクト分析ダッシュボードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardcategory"></a>`category` | [`CustomizableDashboardCategory!`](#customizabledashboardcategory) | ダッシュボードのカテゴリ。 |
| <a id="customizabledashboardconfigurationproject"></a>`configurationProject` | [`Project`](#project) | ダッシュボード定義を含むプロジェクト。 |
| <a id="customizabledashboarddescription"></a>`description` | [`String`](#string) | ダッシュボードの説明。 |
| <a id="customizabledashboarderrors"></a>`errors` | [`[String!]`](#string) | YAML定義のエラー。 |
| <a id="customizabledashboardfilters"></a>`filters` | [`JSON`](#json) | ダッシュボードのグローバルフィルター。 |
| <a id="customizabledashboardpanels"></a>`panels` | [`CustomizableDashboardPanelConnection`](#customizabledashboardpanelconnection) | ダッシュボードに表示されるパネル。（[接続](#connections)を参照） |
| <a id="customizabledashboardslug"></a>`slug` | [`String!`](#string) | ダッシュボードのslug。 |
| <a id="customizabledashboardstatus"></a>`status` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.0で**導入**。**状態**: 実験。ダッシュボードの状態。 |
| <a id="customizabledashboardtitle"></a>`title` | [`String`](#string) | ダッシュボードのタイトル。 |
| <a id="customizabledashboarduserdefined"></a>`userDefined` | [`Boolean!`](#boolean) | ダッシュボードがユーザー定義か、それともGitLabによって提供されるかを示します。 |

### `CustomizableDashboardPanel`

プロダクト分析ダッシュボードパネルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardpanelgridattributes"></a>`gridAttributes` | [`JSON`](#json) | パネルの位置とサイズの説明。 |
| <a id="customizabledashboardpanelqueryoverrides"></a>`queryOverrides` | [`JSON`](#json) | 可視化クエリオブジェクトのオーバーライド。 |
| <a id="customizabledashboardpaneltitle"></a>`title` | [`String`](#string) | パネルのタイトル。 |
| <a id="customizabledashboardpanelvisualization"></a>`visualization` | [`CustomizableDashboardVisualization`](#customizabledashboardvisualization) | パネルの可視化。 |

### `CustomizableDashboardVisualization`

プロダクト分析ダッシュボードの可視化を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizabledashboardvisualizationdata"></a>`data` | [`JSON!`](#json) | 可視化のデータ。 |
| <a id="customizabledashboardvisualizationerrors"></a>`errors` | [`[String!]`](#string) | 可視化の検証エラー。 |
| <a id="customizabledashboardvisualizationoptions"></a>`options` | [`JSON!`](#json) | 可視化のオプション。 |
| <a id="customizabledashboardvisualizationslug"></a>`slug` | [`String!`](#string) | 可視化のslug。 |
| <a id="customizabledashboardvisualizationtype"></a>`type` | [`String!`](#string) | 可視化のタイプ。 |

### `CustomizableStandardPermission`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customizablestandardpermissionavailablefor"></a>`availableFor` | [`[String!]!`](#string) | 権限を利用可能なオブジェクト。 |
| <a id="customizablestandardpermissiondescription"></a>`description` | [`String`](#string) | 権限の説明。 |
| <a id="customizablestandardpermissionenabledforgroupaccesslevels"></a>`enabledForGroupAccessLevels` | [`[AccessLevelEnum!]`](#accesslevelenum) | 権限が許可されているグループアクセスレベル。 |
| <a id="customizablestandardpermissionenabledforprojectaccesslevels"></a>`enabledForProjectAccessLevels` | [`[AccessLevelEnum!]`](#accesslevelenum) | 権限が許可されているプロジェクトアクセスレベル。 |
| <a id="customizablestandardpermissionname"></a>`name` | [`String!`](#string) | 権限のローカライズ名。 |
| <a id="customizablestandardpermissionrequirements"></a>`requirements` | [`[MemberRoleStandardPermission!]`](#memberrolestandardpermission) | 権限の要件。 |
| <a id="customizablestandardpermissionvalue"></a>`value` | [`MemberRoleStandardPermission!`](#memberrolestandardpermission) | 権限の値。 |

### `CveEnrichmentType`

CVEのエンリッチメント（EPSSスコア）を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cveenrichmenttypecve"></a>`cve` | [`String!`](#string) | 関連する脆弱性のCVE識別子。 |
| <a id="cveenrichmenttypeepssscore"></a>`epssScore` | [`Float!`](#float) | CVEのEPSSスコア。 |
| <a id="cveenrichmenttypeisknownexploit"></a>`isKnownExploit` | [`Boolean!`](#boolean) | CVEがCISA KEVカタログに表示されるかどうか。 |

### `CvssType`

脆弱性のCVSSスコアを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="cvsstypebasescore"></a>`baseScore` | [`Float!`](#float) | CVSSのベーススコア。 |
| <a id="cvsstypeoverallscore"></a>`overallScore` | [`Float!`](#float) | CVSSの総合スコア。 |
| <a id="cvsstypeseverity"></a>`severity` | [`CvssSeverity!`](#cvssseverity) | 総合スコアから計算された重大度。 |
| <a id="cvsstypevector"></a>`vector` | [`String!`](#string) | CVSSベクター文字列。 |
| <a id="cvsstypevendor"></a>`vendor` | [`String!`](#string) | CVSSスコアを割り当てたベンダー。 |
| <a id="cvsstypeversion"></a>`version` | [`Float!`](#float) | CVSSのバージョン。 |

### `DastPreScanVerification`

DASTプリスキャン検証を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprescanverificationprescanverificationsteps"></a>`preScanVerificationSteps` | [`[DastPreScanVerificationStep!]`](#dastprescanverificationstep) | プリスキャン検証の手順。 |
| <a id="dastprescanverificationstatus"></a>`status` | [`DastPreScanVerificationStatus`](#dastprescanverificationstatus) | プリスキャン検証の状態。 |
| <a id="dastprescanverificationvalid"></a>`valid` | [`Boolean!`](#boolean) | 最後のプリスキャン実行後に設定が変更されたかどうか。 |

### `DastPreScanVerificationStep`

DASTプリスキャン検証のステップを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprescanverificationstepchecktype"></a>`checkType` | [`DastPreScanVerificationCheckType`](#dastprescanverificationchecktype) | プリスキャン検証チェックのタイプ。 |
| <a id="dastprescanverificationsteperrors"></a>`errors` | [`[String!]`](#string) | プリスキャン検証ステップで発生したエラー。 |
| <a id="dastprescanverificationstepname"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.10で**非推奨**になりました。名前が変更されました。[`DastPreScanVerificationStep.checkType`](#dastprescanverificationstepchecktype)を使用してください。 |
| <a id="dastprescanverificationstepsuccess"></a>`success` | [`Boolean!`](#boolean) | プリスキャン検証ステップでエラーがあったかどうか。 |

### `DastProfile`

DASTプロファイルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilebranch"></a>`branch` | [`DastProfileBranch`](#dastprofilebranch) | 関連するブランチ。 |
| <a id="dastprofiledastprescanverification"></a>`dastPreScanVerification` | [`DastPreScanVerification`](#dastprescanverification) | サイトプロファイルに関連付けられているDASTプリスキャン検証。`dast_on_demand_scans_scheduler`機能フラグが無効になっている場合は常に`null`を返します。 |
| <a id="dastprofiledastprofileschedule"></a>`dastProfileSchedule` | [`DastProfileSchedule`](#dastprofileschedule) | 関連付けられているプロファイルスケジュール。 |
| <a id="dastprofiledastscannerprofile"></a>`dastScannerProfile` | [`DastScannerProfile`](#dastscannerprofile) | 関連付けられているスキャナープロファイル。 |
| <a id="dastprofiledastsiteprofile"></a>`dastSiteProfile` | [`DastSiteProfile`](#dastsiteprofile) | 関連付けられているサイトプロファイル。 |
| <a id="dastprofiledescription"></a>`description` | [`String`](#string) | スキャンの説明。 |
| <a id="dastprofileeditpath"></a>`editPath` | [`String`](#string) | プロファイルの編集ページの相対Webパス。 |
| <a id="dastprofileid"></a>`id` | [`DastProfileID!`](#dastprofileid) | プロファイルのID。 |
| <a id="dastprofilename"></a>`name` | [`String`](#string) | プロファイルの名前。 |
| <a id="dastprofiletaglist"></a>`tagList` | [`[String!]`](#string) | プロファイルに関連付けられているRunnerタグ。 |

### `DastProfileBranch`

DASTプロファイルブランチを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilebranchexists"></a>`exists` | [`Boolean`](#boolean) | ブランチが存在するかどうかを示します。 |
| <a id="dastprofilebranchname"></a>`name` | [`String`](#string) | ブランチの名前。 |

### `DastProfileCadence`

DASTプロファイルケイデンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilecadenceduration"></a>`duration` | [`Int`](#int) | DASTプロファイルケイデンスの期間。 |
| <a id="dastprofilecadenceunit"></a>`unit` | [`DastProfileCadenceUnit`](#dastprofilecadenceunit) | DASTプロファイルケイデンスの期間の単位。 |

### `DastProfileSchedule`

DASTプロファイルスケジュールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilescheduleactive"></a>`active` | [`Boolean`](#boolean) | DASTプロファイルスケジュールの状態。 |
| <a id="dastprofileschedulecadence"></a>`cadence` | [`DastProfileCadence`](#dastprofilecadence) | DASTプロファイルスケジュールのケイデンス。 |
| <a id="dastprofilescheduleid"></a>`id` | [`DastProfileScheduleID!`](#dastprofilescheduleid) | DASTプロファイルスケジュールのID。 |
| <a id="dastprofileschedulenextrunat"></a>`nextRunAt` | [`Time`](#time) | 指定されたタイムゾーンでのDASTプロファイルスケジュールの次回の実行時刻。 |
| <a id="dastprofilescheduleownervalid"></a>`ownerValid` | [`Boolean`](#boolean) | DASTプロファイルスケジュールの現在のオーナーの状態。 |
| <a id="dastprofileschedulestartsat"></a>`startsAt` | [`Time`](#time) | 指定されたタイムゾーンでのDASTプロファイルスケジュールの開始時刻。 |
| <a id="dastprofilescheduletimezone"></a>`timezone` | [`String`](#string) | DASTプロファイルスケジュールの開始時刻のタイムゾーン。 |

### `DastScannerProfile`

DASTスキャナープロファイルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastscannerprofileeditpath"></a>`editPath` | [`String`](#string) | スキャナープロファイルの編集ページの相対Webパス。 |
| <a id="dastscannerprofileid"></a>`id` | [`DastScannerProfileID!`](#dastscannerprofileid) | DASTスキャナープロファイルのID。 |
| <a id="dastscannerprofileprofilename"></a>`profileName` | [`String`](#string) | DASTスキャナープロファイルの名前。 |
| <a id="dastscannerprofilereferencedinsecuritypolicies"></a>`referencedInSecurityPolicies` | [`[String!]`](#string) | 指定されたプロジェクトを参照しているセキュリティポリシーの名前のリスト。 |
| <a id="dastscannerprofilescantype"></a>`scanType` | [`DastScanTypeEnum`](#dastscantypeenum) | 実行するDASTスキャンのタイプを示します。パッシブスキャンかアクティブスキャンのどちらか。 |
| <a id="dastscannerprofileshowdebugmessages"></a>`showDebugMessages` | [`Boolean!`](#boolean) | デバッグメッセージをDASTコンソール出力に含めるかどうかを示します。デバッグメッセージを含める場合はtrue。 |
| <a id="dastscannerprofilespidertimeout"></a>`spiderTimeout` | [`Int`](#int) | スパイダーがサイトを走査する時間として許可される最大時間（分）。 |
| <a id="dastscannerprofiletaglist"></a>`tagList` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 15.8で**非推奨**になりました。DastProfileに移動しました。 |
| <a id="dastscannerprofiletargettimeout"></a>`targetTimeout` | [`Int`](#int) | テスト対象のサイトがリクエストに応答するための時間として許可される最大秒数。 |
| <a id="dastscannerprofileuseajaxspider"></a>`useAjaxSpider` | [`Boolean!`](#boolean) | ターゲットサイトのクロールにAJAX Spiderを使用するかどうかを示します。従来のスパイダーに加えてAJAX Spiderを実行する場合はtrue、従来のスパイダーだけを実行する場合はfalse。 |

### `DastSiteProfile`

DASTサイトプロファイルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofileauth"></a>`auth` | [`DastSiteProfileAuth`](#dastsiteprofileauth) | ターゲット認証の詳細。 |
| <a id="dastsiteprofileeditpath"></a>`editPath` | [`String`](#string) | サイトプロファイルの編集ページの相対Webパス。 |
| <a id="dastsiteprofileexcludedurls"></a>`excludedUrls` | [`[String!]`](#string) | 認証スキャン中にスキップするURL。 |
| <a id="dastsiteprofileid"></a>`id` | [`DastSiteProfileID!`](#dastsiteprofileid) | サイトプロファイルのID。 |
| <a id="dastsiteprofilenormalizedtargeturl"></a>`normalizedTargetUrl` | [`String`](#string) | スキャンするターゲットの正規化URL。 |
| <a id="dastsiteprofileoptionalvariables"></a>`optionalVariables` | [`[JSON!]`](#json) | DASTスキャン用に設定できるオプション変数。 |
| <a id="dastsiteprofileprofilename"></a>`profileName` | [`String`](#string) | サイトプロファイルの名前。 |
| <a id="dastsiteprofilereferencedinsecuritypolicies"></a>`referencedInSecurityPolicies` | [`[String!]`](#string) | 指定されたプロジェクトを参照しているセキュリティポリシーの名前のリスト。 |
| <a id="dastsiteprofilerequestheaders"></a>`requestHeaders` | [`String`](#string) | DASTによるあらゆるリクエストに追加する、リクエストヘッダーの名前と値のカンマ区切りリスト。 |
| <a id="dastsiteprofilescanfilepath"></a>`scanFilePath` | [`String`](#string) | スキャナーのインプットとして使用されるスキャンファイルのパス。 |
| <a id="dastsiteprofilescanmethod"></a>`scanMethod` | [`DastScanMethodType`](#dastscanmethodtype) | スキャナーで使用されるスキャン方式。 |
| <a id="dastsiteprofiletargettype"></a>`targetType` | [`DastTargetTypeEnum`](#dasttargettypeenum) | スキャンするターゲットのタイプ。 |
| <a id="dastsiteprofiletargeturl"></a>`targetUrl` | [`String`](#string) | スキャンするターゲットのURL。 |
| <a id="dastsiteprofileuserpermissions"></a>`userPermissions` | [`DastSiteProfilePermissions!`](#dastsiteprofilepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="dastsiteprofilevalidationstartedat"></a>`validationStartedAt` | [`Time`](#time) | サイトプロファイル検証の開始時刻。 |
| <a id="dastsiteprofilevalidationstatus"></a>`validationStatus` | [`DastSiteProfileValidationStatusEnum`](#dastsiteprofilevalidationstatusenum) | サイトプロファイルの現在の検証状態。 |

### `DastSiteProfileAuth`

DastSiteProfile認証。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofileauthenabled"></a>`enabled` | [`Boolean`](#boolean) | 認証が有効かどうかを示します。 |
| <a id="dastsiteprofileauthpassword"></a>`password` | [`String`](#string) | ターゲットウェブサイトで認証するための削除済みパスワード。 |
| <a id="dastsiteprofileauthpasswordfield"></a>`passwordField` | [`String`](#string) | サインインHTMLフォームのパスワードフィールドの名前。 |
| <a id="dastsiteprofileauthsubmitfield"></a>`submitField` | [`String`](#string) | サインインHTMLフォームのサインイン送信ボタンの名前またはID。 |
| <a id="dastsiteprofileauthurl"></a>`url` | [`String`](#string) | ターゲットウェブサイト上のサインインHTMLフォームを含むページのURL。 |
| <a id="dastsiteprofileauthusername"></a>`username` | [`String`](#string) | ターゲットウェブサイト認証用のユーザー名。 |
| <a id="dastsiteprofileauthusernamefield"></a>`usernameField` | [`String`](#string) | サインインHTMLフォームのユーザー名フィールドの名前。 |

### `DastSiteProfilePermissions`

サイトプロファイルに対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofilepermissionscreateondemanddastscan"></a>`createOnDemandDastScan` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_on_demand_dast_scan`を実行できます。 |

### `DastSiteValidation`

DASTサイト検証を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsitevalidationid"></a>`id` | [`DastSiteValidationID!`](#dastsitevalidationid) | サイト検証のグローバルID。 |
| <a id="dastsitevalidationnormalizedtargeturl"></a>`normalizedTargetUrl` | [`String`](#string) | 検証するターゲットの正規化URL。 |
| <a id="dastsitevalidationstatus"></a>`status` | [`DastSiteProfileValidationStatusEnum!`](#dastsiteprofilevalidationstatusenum) | サイト検証の状態。 |
| <a id="dastsitevalidationvalidationstartedat"></a>`validationStartedAt` | [`Time`](#time) | 検証開始時のタイムスタンプ。 |

### `DeleteJobsResponse`

AdminSidekiqQueuesDeleteJobs変異から応答。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deletejobsresponsecompleted"></a>`completed` | [`Boolean`](#boolean) | キュー全体が時間内に処理されたかどうか。そうでない場合、同じリクエストを再試行しても安全です。 |
| <a id="deletejobsresponsedeletedjobs"></a>`deletedJobs` | [`Int`](#int) | 削除された一致ジョブの数。 |
| <a id="deletejobsresponsequeuesize"></a>`queueSize` | [`Int`](#int) | 処理後のキューサイズ。 |

### `DeletedNote`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deletednotediscussionid"></a>`discussionId` | [`DiscussionID`](#discussionid) | 削除されたノートのディスカッションのID。 |
| <a id="deletednoteid"></a>`id` | [`NoteID!`](#noteid) | 削除されたノートのID。 |
| <a id="deletednotelastdiscussionnote"></a>`lastDiscussionNote` | [`Boolean`](#boolean) | 削除されたノートがディスカッションの最後のノートかどうか。 |

### `Dependency`

プロジェクトで使用されるソフトウェア依存関係。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyid"></a>`id` | [`GlobalID!`](#globalid) | 依存関係のID。 |
| <a id="dependencylicenses"></a>`licenses` | [`[License!]`](#license) | 依存関係に関連付けられているライセンス。 |
| <a id="dependencylocation"></a>`location` | [`Location`](#location) | 依存関係の場所に関する情報。 |
| <a id="dependencyname"></a>`name` | [`String!`](#string) | 依存関係の名前。 |
| <a id="dependencypackager"></a>`packager` | [`PackageManager`](#packagemanager) | 依存関係を管理するために使用されるツールの説明。 |
| <a id="dependencyreachability"></a>`reachability` | [`ReachabilityType`](#reachabilitytype) | 依存関係の到達可能性に関する情報。 |
| <a id="dependencyversion"></a>`version` | [`String`](#string) | 依存関係のバージョン。 |
| <a id="dependencyvulnerabilitycount"></a>`vulnerabilityCount` | [`Int!`](#int) | 依存関係内の脆弱性の数。 |

### `DependencyPath`

特定の依存関係の祖先パス。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencypathiscyclic"></a>`isCyclic` | [`Boolean!`](#boolean) | パスが循環的かどうかを示します。 |
| <a id="dependencypathmaxdepthreached"></a>`maxDepthReached` | [`Boolean!`](#boolean) | パスが最大深度（20）に達したかどうかを示します。 |
| <a id="dependencypathpath"></a>`path` | [`[DependencyPathPartial!]!`](#dependencypathpartial) | 依存関係の名前。 |

### `DependencyPathPartial`

特定の依存関係の祖先パス部分。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencypathpartialname"></a>`name` | [`String!`](#string) | 依存関係の名前。 |
| <a id="dependencypathpartialversion"></a>`version` | [`String!`](#string) | 依存関係のバージョン。 |

### `DependencyProxyBlob`

依存プロキシblob。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="dependencyproxyblobfilename"></a>`fileName` | [`String!`](#string) | blobの名前。 |
| <a id="dependencyproxyblobsize"></a>`size` | [`String!`](#string) | blobファイルのサイズ。 |
| <a id="dependencyproxyblobupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `DependencyProxyBlobRegistry`

dependency_proxy_blobのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyblobregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | DependencyProxyBlobRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="dependencyproxyblobregistrycreatedat"></a>`createdAt` | [`Time`](#time) | DependencyProxyBlobRegistry作成時のタイムスタンプ。 |
| <a id="dependencyproxyblobregistrydependencyproxyblobid"></a>`dependencyProxyBlobId` | [`ID!`](#id) | 依存プロキシblobのID。 |
| <a id="dependencyproxyblobregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="dependencyproxyblobregistryid"></a>`id` | [`ID!`](#id) | DependencyProxyBlobRegistryのID。 |
| <a id="dependencyproxyblobregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | DependencyProxyBlobRegistryの同期中のエラーメッセージ。 |
| <a id="dependencyproxyblobregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | DependencyProxyBlobRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="dependencyproxyblobregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにDependencyProxyBlobRegistryが欠落しているかどうかを示します。 |
| <a id="dependencyproxyblobregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | DependencyProxyBlobRegistryのモデルレコードのID。 |
| <a id="dependencyproxyblobregistryretryat"></a>`retryAt` | [`Time`](#time) | DependencyProxyBlobRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="dependencyproxyblobregistryretrycount"></a>`retryCount` | [`Int`](#int) | DependencyProxyBlobRegistryの同期試行の連続失敗回数。 |
| <a id="dependencyproxyblobregistrystate"></a>`state` | [`RegistryState`](#registrystate) | DependencyProxyBlobRegistryの同期状態。 |
| <a id="dependencyproxyblobregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | DependencyProxyBlobRegistryのローカルチェックサム。 |
| <a id="dependencyproxyblobregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のDependencyProxyBlobRegistryのチェックサムの予想値。 |
| <a id="dependencyproxyblobregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | DependencyProxyBlobRegistryの検証中のエラーメッセージ。 |
| <a id="dependencyproxyblobregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | DependencyProxyBlobRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="dependencyproxyblobregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | DependencyProxyBlobRegistryの検証試行の連続失敗回数。 |
| <a id="dependencyproxyblobregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | DependencyProxyBlobRegistryの検証開始時のタイムスタンプ。 |
| <a id="dependencyproxyblobregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | DependencyProxyBlobRegistryの検証状態。 |
| <a id="dependencyproxyblobregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | DependencyProxyBlobRegistryの最後の検証成功のタイムスタンプ。 |

### `DependencyProxyImageTtlGroupPolicy`

グループレベルの依存プロキシTTLポリシーの設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxyimagettlgrouppolicycreatedat"></a>`createdAt` | [`Time`](#time) | 作成のタイムスタンプ。 |
| <a id="dependencyproxyimagettlgrouppolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効か無効かを示します。 |
| <a id="dependencyproxyimagettlgrouppolicyttl"></a>`ttl` | [`Int`](#int) | キャッシュに入れられたイメージファイルを保持する日数。 |
| <a id="dependencyproxyimagettlgrouppolicyupdatedat"></a>`updatedAt` | [`Time`](#time) | 最終更新のタイムスタンプ。 |

### `DependencyProxyManifest`

依存プロキシmanifest。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="dependencyproxymanifestdigest"></a>`digest` | [`String!`](#string) | manifestのダイジェスト。 |
| <a id="dependencyproxymanifestfilename"></a>`fileName` | [`String!`](#string) | manifestの名前。 |
| <a id="dependencyproxymanifestid"></a>`id` | [`DependencyProxyManifestID!`](#dependencyproxymanifestid) | manifestのID。 |
| <a id="dependencyproxymanifestimagename"></a>`imageName` | [`String!`](#string) | イメージの名前。 |
| <a id="dependencyproxymanifestsize"></a>`size` | [`String!`](#string) | manifestファイルのサイズ。 |
| <a id="dependencyproxymanifeststatus"></a>`status` | [`DependencyProxyManifestStatus!`](#dependencyproxymanifeststatus) | manifestの状態（default、pending_destruction、processing、error）。 |
| <a id="dependencyproxymanifestupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `DependencyProxyManifestRegistry`

dependency_proxy_manifestのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxymanifestregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | DependencyProxyManifestRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="dependencyproxymanifestregistrycreatedat"></a>`createdAt` | [`Time`](#time) | DependencyProxyManifestRegistry作成時のタイムスタンプ。 |
| <a id="dependencyproxymanifestregistrydependencyproxymanifestid"></a>`dependencyProxyManifestId` | [`ID!`](#id) | 依存プロキシmanifestのID。 |
| <a id="dependencyproxymanifestregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="dependencyproxymanifestregistryid"></a>`id` | [`ID!`](#id) | DependencyProxyManifestRegistryのID。 |
| <a id="dependencyproxymanifestregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | DependencyProxyManifestRegistryの同期中のエラーメッセージ。 |
| <a id="dependencyproxymanifestregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | DependencyProxyManifestRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="dependencyproxymanifestregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにDependencyProxyManifestRegistryが欠落しているかどうかを示します。 |
| <a id="dependencyproxymanifestregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | DependencyProxyManifestRegistryのモデルレコードのID。 |
| <a id="dependencyproxymanifestregistryretryat"></a>`retryAt` | [`Time`](#time) | DependencyProxyManifestRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="dependencyproxymanifestregistryretrycount"></a>`retryCount` | [`Int`](#int) | DependencyProxyManifestRegistryの同期試行の連続失敗回数。 |
| <a id="dependencyproxymanifestregistrystate"></a>`state` | [`RegistryState`](#registrystate) | DependencyProxyManifestRegistryの同期状態。 |
| <a id="dependencyproxymanifestregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | DependencyProxyManifestRegistryのローカルチェックサム。 |
| <a id="dependencyproxymanifestregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のDependencyProxyManifestRegistryのチェックサムの予想値。 |
| <a id="dependencyproxymanifestregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | DependencyProxyManifestRegistryの検証中のエラーメッセージ。 |
| <a id="dependencyproxymanifestregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | DependencyProxyManifestRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="dependencyproxymanifestregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | DependencyProxyManifestRegistryの検証試行の連続失敗回数。 |
| <a id="dependencyproxymanifestregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | DependencyProxyManifestRegistryの検証開始時のタイムスタンプ。 |
| <a id="dependencyproxymanifestregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | DependencyProxyManifestRegistryの検証状態。 |
| <a id="dependencyproxymanifestregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | DependencyProxyManifestRegistryの最後の検証成功のタイムスタンプ。 |

### `DependencyProxyPackagesSetting`

パッケージ設定のプロジェクトレベル依存プロキシ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxypackagessettingenabled"></a>`enabled` | [`Boolean!`](#boolean) | プロジェクトでパッケージの依存プロキシが有効かどうかを示します。 |
| <a id="dependencyproxypackagessettingmavenexternalregistryurl"></a>`mavenExternalRegistryUrl` | [`String`](#string) | 外部MavenパッケージレジストリのURL。 |
| <a id="dependencyproxypackagessettingmavenexternalregistryusername"></a>`mavenExternalRegistryUsername` | [`String`](#string) | 外部Mavenパッケージレジストリのユーザー名。 |

### `DependencyProxySetting`

グループレベルの依存プロキシの設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dependencyproxysettingenabled"></a>`enabled` | [`Boolean!`](#boolean) | グループで依存プロキシが有効かどうかを示します。 |
| <a id="dependencyproxysettingidentity"></a>`identity` | [`String`](#string) | イメージをプルする際にDocker Hubで認証するために使用されるID認証情報。ユーザー名（パスワードまたはパーソナルアクセストークン（PAT）の場合）、または組織名（組織アクセストークン（OAT）の場合）を指定できます。 |

### `Deployment`

環境のデプロイ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentapprovalsummary"></a>`approvalSummary` | [`DeploymentApprovalSummary`](#deploymentapprovalsummary) | デプロイの承認の概要。このフィールドは、1回のリクエストにつき1つのデプロイに対してのみ解決できます。 |
| <a id="deploymentapprovals"></a>`approvals` | [`[DeploymentApproval!]`](#deploymentapproval) | デプロイの現在の承認。 |
| <a id="deploymentcommit"></a>`commit` | [`Commit`](#commit) | デプロイのコミットの詳細。 |
| <a id="deploymentcreatedat"></a>`createdAt` | [`Time`](#time) | デプロイレコード作成の日時。 |
| <a id="deploymentfinishedat"></a>`finishedAt` | [`Time`](#time) | デプロイ終了の日時。 |
| <a id="deploymentid"></a>`id` | [`ID`](#id) | デプロイのグローバルID。 |
| <a id="deploymentiid"></a>`iid` | [`String`](#string) | デプロイのプロジェクトレベル内部ID。 |
| <a id="deploymentjob"></a>`job` | [`CiJob`](#cijob) | デプロイのパイプラインジョブ。 |
| <a id="deploymentpendingapprovalcount"></a>`pendingApprovalCount` | [`Int`](#int) | デプロイにおける保留中の統一承認の数。 |
| <a id="deploymentref"></a>`ref` | [`String`](#string) | デプロイが実行されたGit-Ref。 |
| <a id="deploymentrefpath"></a>`refPath` | [`String`](#string) | デプロイが実行されたGit-Refのパス。 |
| <a id="deploymentsha"></a>`sha` | [`String`](#string) | デプロイが実行されたGit-SHA。 |
| <a id="deploymentstatus"></a>`status` | [`DeploymentStatus`](#deploymentstatus) | デプロイの状態。 |
| <a id="deploymenttag"></a>`tag` | [`Boolean`](#boolean) | デプロイがGitタグに対して実行された場合はtrue、そうでない場合はfalse。 |
| <a id="deploymenttags"></a>`tags` | [`[DeploymentTag!]`](#deploymenttag) | このデプロイを含むGitタグ。このフィールドは、1回のリクエストにつき2つのデプロイメントに対してのみ解決できます。 |
| <a id="deploymenttriggerer"></a>`triggerer` | [`UserCore`](#usercore) | デプロイを実行したユーザー。 |
| <a id="deploymentupdatedat"></a>`updatedAt` | [`Time`](#time) | デプロイレコードの更新日時。 |
| <a id="deploymentuserpermissions"></a>`userPermissions` | [`DeploymentPermissions!`](#deploymentpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="deploymentwebpath"></a>`webPath` | [`String`](#string) | デプロイメントページへのWebパス。 |

### `DeploymentApproval`

デプロイの承認。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentapprovalcomment"></a>`comment` | [`String`](#string) | 追加のコメント。 |
| <a id="deploymentapprovalcreatedat"></a>`createdAt` | [`Time`](#time) | ユーザーによる最初の承認/拒否の日時。 |
| <a id="deploymentapprovalstatus"></a>`status` | [`DeploymentsApprovalStatus`](#deploymentsapprovalstatus) | デプロイが承認/拒否されたかどうか。 |
| <a id="deploymentapprovalupdatedat"></a>`updatedAt` | [`Time`](#time) | ユーザーが承認を更新した日時。 |
| <a id="deploymentapprovaluser"></a>`user` | [`UserCore`](#usercore) | デプロイを承認または拒否したユーザー。 |

### `DeploymentApprovalSummary`

デプロイの承認の概要。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentapprovalsummaryrules"></a>`rules` | [`[ProtectedEnvironmentApprovalRuleForSummary!]`](#protectedenvironmentapprovalruleforsummary) | デプロイの承認ルール。 |
| <a id="deploymentapprovalsummarystatus"></a>`status` | [`DeploymentApprovalSummaryStatus`](#deploymentapprovalsummarystatus) | 承認の状態。 |
| <a id="deploymentapprovalsummarytotalpendingapprovalcount"></a>`totalPendingApprovalCount` | [`Int`](#int) | 合計保留承認数。 |
| <a id="deploymentapprovalsummarytotalrequiredapprovals"></a>`totalRequiredApprovals` | [`Int`](#int) | 必要な承認の総数。 |

### `DeploymentPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentpermissionsapprovedeployment"></a>`approveDeployment` | [`Boolean!`](#boolean) | ユーザーがこのリソースに対して`approve_deployment`を実行できるかどうかを示します。このフィールドは、1回のリクエストにつき1つの環境に対してのみ解決できます。 |
| <a id="deploymentpermissionsdestroydeployment"></a>`destroyDeployment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_deployment`を実行できます。 |
| <a id="deploymentpermissionsupdatedeployment"></a>`updateDeployment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_deployment`を実行できます。 |

### `DeploymentTag`

特定のデプロイのタグ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymenttagname"></a>`name` | [`String`](#string) | gitタグの名前。 |
| <a id="deploymenttagpath"></a>`path` | [`String`](#string) | タグのパス。 |
| <a id="deploymenttagwebpath"></a>`webPath` | [`String`](#string) | タグのWebパス。 |

### `DescriptionVersion`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="descriptionversioncandelete"></a>`canDelete` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 15.7で**非推奨**になりました。これはREST APIバージョンとの下位互換性のためであり、次のイテレーションでは削除される予定です。 |
| <a id="descriptionversiondeletepath"></a>`deletePath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.7で**非推奨**になりました。これはREST APIバージョンとの下位互換性のためであり、次のイテレーションでは削除される予定です。 |
| <a id="descriptionversiondeleted"></a>`deleted` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 15.7で**非推奨**になりました。これはREST APIバージョンとの下位互換性のためであり、次のイテレーションでは削除される予定です。 |
| <a id="descriptionversiondescription"></a>`description` | [`String`](#string) | 指定された説明バージョンの内容。 |
| <a id="descriptionversiondiffpath"></a>`diffPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.7で**非推奨**になりました。これはREST APIバージョンとの下位互換性のためであり、次のイテレーションでは削除される予定です。 |
| <a id="descriptionversionid"></a>`id` | [`DescriptionVersionID!`](#descriptionversionid) | 説明バージョンのID。 |

#### 引数のあるフィールド

##### `DescriptionVersion.diff`

バージョン間の説明の差分。

[`String`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="descriptionversiondiffversionid"></a>`versionId` | [`DescriptionVersionID`](#descriptionversionid) | 比較対象の旧バージョンのID。指定しない場合、最初の旧バージョンが使用されます。 |

### `Design`

単一のデザイン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="designdescription"></a>`description` | [`String`](#string) | デザインの説明。 |
| <a id="designdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="designdiffrefs"></a>`diffRefs` | [`DiffRefs!`](#diffrefs) | デザインの差分refs。 |
| <a id="designdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="designevent"></a>`event` | [`DesignVersionEvent!`](#designversionevent) | デザインが現在のバージョンでどう変更されたか。 |
| <a id="designfilename"></a>`filename` | [`String!`](#string) | デザインのファイル名。 |
| <a id="designfullpath"></a>`fullPath` | [`ID!`](#id) | デザインファイルのフルパス。 |
| <a id="designid"></a>`id` | [`ID!`](#id) | デザインのID。 |
| <a id="designimage"></a>`image` | [`String!`](#string) | フルサイズ画像のURL。 |
| <a id="designimagev432x230"></a>`imageV432x230` | [`String`](#string) | 432×230の範囲内に収まるようにサイズ変更されたデザインのURL。画像が生成されていない場合、これは`null`になります。 |
| <a id="designimported"></a>`imported` | [`Boolean!`](#boolean) | デザインがインポートされたかどうかを示します。 |
| <a id="designimportedfrom"></a>`importedFrom` | [`ImportSource!`](#importsource) | デザインのインポート元。 |
| <a id="designissue"></a>`issue` | [`Issue!`](#issue) | デザインが属するイシュー。 |
| <a id="designname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="designnotescount"></a>`notesCount` | [`Int!`](#int) | デザインのユーザー作成ノートの総数。 |
| <a id="designproject"></a>`project` | [`Project!`](#project) | デザインが属するプロジェクト。 |
| <a id="designweburl"></a>`webUrl` | [`String!`](#string) | デザインのURL。 |

#### 引数のあるフィールド

##### `Design.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `Design.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `Design.versions`

このデザインに関連するすべてのバージョン（新しい順）。

[`DesignVersionConnection!`](#designversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversionsearlierorequaltoid"></a>`earlierOrEqualToId` | [`DesignManagementVersionID`](#designmanagementversionid) | 最後に承認されたバージョンのグローバルID。 |
| <a id="designversionsearlierorequaltosha"></a>`earlierOrEqualToSha` | [`String`](#string) | 最後に承認されたバージョンのSHA256。 |

### `DesignAtVersion`

特定のバージョンにピン留めしたデザイン。画像フィールドは、関連するバージョンでのデザインを反映しています。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designatversiondesign"></a>`design` | [`Design!`](#design) | 基礎となるデザイン。 |
| <a id="designatversiondiffrefs"></a>`diffRefs` | [`DiffRefs!`](#diffrefs) | デザインの差分refs。 |
| <a id="designatversionevent"></a>`event` | [`DesignVersionEvent!`](#designversionevent) | デザインが現在のバージョンでどう変更されたか。 |
| <a id="designatversionfilename"></a>`filename` | [`String!`](#string) | デザインのファイル名。 |
| <a id="designatversionfullpath"></a>`fullPath` | [`ID!`](#id) | デザインファイルのフルパス。 |
| <a id="designatversionid"></a>`id` | [`ID!`](#id) | デザインのID。 |
| <a id="designatversionimage"></a>`image` | [`String!`](#string) | フルサイズ画像のURL。 |
| <a id="designatversionimagev432x230"></a>`imageV432x230` | [`String`](#string) | 432×230の範囲内に収まるようにサイズ変更されたデザインのURL。画像が生成されていない場合、これは`null`になります。 |
| <a id="designatversionissue"></a>`issue` | [`Issue!`](#issue) | デザインが属するイシュー。 |
| <a id="designatversionnotescount"></a>`notesCount` | [`Int!`](#int) | デザインのユーザー作成ノートの総数。 |
| <a id="designatversionproject"></a>`project` | [`Project!`](#project) | デザインが属するプロジェクト。 |
| <a id="designatversionversion"></a>`version` | [`DesignVersion!`](#designversion) | デザインのピン留め先バージョン。 |

### `DesignCollection`

デザインのコレクション。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectioncopystate"></a>`copyState` | [`DesignCollectionCopyState`](#designcollectioncopystate) | デザインコレクションのコピー状態。 |
| <a id="designcollectionissue"></a>`issue` | [`Issue!`](#issue) | デザインコレクションに関連付けられているイシュー。 |
| <a id="designcollectionproject"></a>`project` | [`Project!`](#project) | デザインコレクションに関連付けられているプロジェクト。 |

#### 引数のあるフィールド

##### `DesignCollection.design`

特定のデザインを検索します。

[`Design`](#design)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectiondesignfilename"></a>`filename` | [`String`](#string) | デザインをファイル名で検索します。 |
| <a id="designcollectiondesignid"></a>`id` | [`DesignManagementDesignID`](#designmanagementdesignid) | デザインをIDで検索します。 |

##### `DesignCollection.designAtVersion`

特定のバージョンのデザインを検索します。

[`DesignAtVersion`](#designatversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectiondesignatversionid"></a>`id` | [`DesignManagementDesignAtVersionID!`](#designmanagementdesignatversionid) | 特定バージョンのデザインのグローバルID。 |

##### `DesignCollection.designs`

デザインコレクションのすべてのデザイン。

[`DesignConnection!`](#designconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectiondesignsatversion"></a>`atVersion` | [`DesignManagementVersionID`](#designmanagementversionid) | そのバージョンで存在していたデザインのみになるようフィルタリングします。引数を省略した場合、またはnilの場合、すべてのデザインは最新バージョンを反映したものになります。 |
| <a id="designcollectiondesignsfilenames"></a>`filenames` | [`[String!]`](#string) | デザインをファイル名でフィルタリングします。 |
| <a id="designcollectiondesignsids"></a>`ids` | [`[DesignManagementDesignID!]`](#designmanagementdesignid) | デザインをIDでフィルタリングします。 |

##### `DesignCollection.version`

特定のバージョン。

[`DesignVersion`](#designversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectionversionid"></a>`id` | [`DesignManagementVersionID`](#designmanagementversionid) | バージョンのグローバルID。 |
| <a id="designcollectionversionsha"></a>`sha` | [`String`](#string) | 特定のバージョンのSHA256。 |

##### `DesignCollection.versions`

すべてのデザインに関連するすべてのバージョン（新しい順）。

[`DesignVersionConnection!`](#designversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designcollectionversionsearlierorequaltoid"></a>`earlierOrEqualToId` | [`DesignManagementVersionID`](#designmanagementversionid) | 最後に承認されたバージョンのグローバルID。 |
| <a id="designcollectionversionsearlierorequaltosha"></a>`earlierOrEqualToSha` | [`String`](#string) | 最後に承認されたバージョンのSHA256。 |

### `DesignManagement`

#### 引数のあるフィールド

##### `DesignManagement.designAtVersion`

特定のバージョンのデザインを検索します。

[`DesignAtVersion`](#designatversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementdesignatversionid"></a>`id` | [`DesignManagementDesignAtVersionID!`](#designmanagementdesignatversionid) | 特定バージョンのデザインのグローバルID。 |

##### `DesignManagement.version`

バージョンを検索します。

[`DesignVersion`](#designversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementversionid"></a>`id` | [`DesignManagementVersionID!`](#designmanagementversionid) | バージョンのグローバルID。 |

### `DesignManagementRepositoryRegistry`

デザイン管理リポジトリのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designmanagementrepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | DesignManagementRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="designmanagementrepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | DesignManagementRepositoryRegistry作成時のタイムスタンプ。 |
| <a id="designmanagementrepositoryregistrydesignmanagementrepositoryid"></a>`designManagementRepositoryId` | [`ID!`](#id) | デザイン管理リポジトリのID。 |
| <a id="designmanagementrepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="designmanagementrepositoryregistryid"></a>`id` | [`ID!`](#id) | DesignManagementRepositoryRegistryのID。 |
| <a id="designmanagementrepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | DesignManagementRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="designmanagementrepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | DesignManagementRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="designmanagementrepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにDesignManagementRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="designmanagementrepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | DesignManagementRepositoryRegistryのモデルレコードのID。 |
| <a id="designmanagementrepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | DesignManagementRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="designmanagementrepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | DesignManagementRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="designmanagementrepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | DesignManagementRepositoryRegistryの同期状態。 |
| <a id="designmanagementrepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | DesignManagementRepositoryRegistryのローカルチェックサム。 |
| <a id="designmanagementrepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のDesignManagementRepositoryRegistryのチェックサムの予想値。 |
| <a id="designmanagementrepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | DesignManagementRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="designmanagementrepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | DesignManagementRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="designmanagementrepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | DesignManagementRepositoryRegistryの:検証試行の連続失敗回数。 |
| <a id="designmanagementrepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | DesignManagementRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="designmanagementrepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | DesignManagementRepositoryRegistryの検証状態。 |
| <a id="designmanagementrepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | DesignManagementRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `DesignVersion`

デザインが追加、変更、または削除された特定のバージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversionauthor"></a>`author` | [`UserCore!`](#usercore) | バージョンの作成者。 |
| <a id="designversioncreatedat"></a>`createdAt` | [`Time!`](#time) | バージョン作成時のタイムスタンプ。 |
| <a id="designversiondesigns"></a>`designs` | [`DesignConnection!`](#designconnection) | このバージョンで変更されたすべてのデザイン。（[接続](#connections)を参照） |
| <a id="designversionid"></a>`id` | [`ID!`](#id) | デザインバージョンのID。 |
| <a id="designversionsha"></a>`sha` | [`ID!`](#id) | デザインバージョンのSHA。 |

#### 引数のあるフィールド

##### `DesignVersion.designAtVersion`

このバージョンでの特定のデザイン（このバージョンで表示される場合）。

[`DesignAtVersion!`](#designatversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversiondesignatversiondesignid"></a>`designId` | [`DesignManagementDesignID`](#designmanagementdesignid) | 特定のデザインのID。 |
| <a id="designversiondesignatversionfilename"></a>`filename` | [`String`](#string) | 特定のデザインのファイル名。 |
| <a id="designversiondesignatversionid"></a>`id` | [`DesignManagementDesignAtVersionID`](#designmanagementdesignatversionid) | DesignAtVersionのID。 |

##### `DesignVersion.designsAtVersion`

このバージョンで表示されるすべてのデザイン（このバージョンでのデザイン）。

[`DesignAtVersionConnection!`](#designatversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designversiondesignsatversionfilenames"></a>`filenames` | [`[String!]`](#string) | デザインをファイル名でフィルタリングします。 |
| <a id="designversiondesignsatversionids"></a>`ids` | [`[DesignManagementDesignID!]`](#designmanagementdesignid) | デザインをIDでフィルタリングします。 |

### `DetailedImportStatus`

プロジェクトのインポート状態の詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="detailedimportstatusid"></a>`id` | [`ProjectImportStateID`](#projectimportstateid) | インポート状態のID。 |
| <a id="detailedimportstatuslasterror"></a>`lastError` | [`String`](#string) | インポートの最後のエラー。 |
| <a id="detailedimportstatuslastsuccessfulupdateat"></a>`lastSuccessfulUpdateAt` | [`Time`](#time) | 最後に成功した更新の時刻。 |
| <a id="detailedimportstatuslastupdateat"></a>`lastUpdateAt` | [`Time`](#time) | 最終更新時刻。 |
| <a id="detailedimportstatuslastupdatestartedat"></a>`lastUpdateStartedAt` | [`Time`](#time) | 最終更新の開始時刻。 |
| <a id="detailedimportstatusstatus"></a>`status` | [`String`](#string) | インポートの現在の状態。 |
| <a id="detailedimportstatusurl"></a>`url` | [`String`](#string) | インポートURL。 |

### `DetailedStatus`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="detailedstatusaction"></a>`action` | [`StatusAction`](#statusaction) | 状態のアクション情報。これには、method、button title、icon、path、titleが含まれます。 |
| <a id="detailedstatusdetailspath"></a>`detailsPath` | [`String`](#string) | 状態の詳細のパス。 |
| <a id="detailedstatusfavicon"></a>`favicon` | [`String`](#string) | 状態のファビコン。 |
| <a id="detailedstatusgroup"></a>`group` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.4で**非推奨**になりました。`group`属性は非推奨です。代わりに`name`を使用してください。 |
| <a id="detailedstatushasdetails"></a>`hasDetails` | [`Boolean`](#boolean) | 状態に追加の詳細があるかどうかを示します。 |
| <a id="detailedstatusicon"></a>`icon` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.4で**非推奨**になりました。`icon`属性は非推奨です。表示する状態を識別するには、代わりに`name`を使用してください。 |
| <a id="detailedstatusid"></a>`id` | [`String!`](#string) | 詳細な状態のID。 |
| <a id="detailedstatuslabel"></a>`label` | [`String`](#string) | 人間が判読可能な状態のラベル（例: 成功）。 |
| <a id="detailedstatusname"></a>`name` | [`String`](#string) | マシン判読可能状態名（例： SUCCESS）。 |
| <a id="detailedstatustext"></a>`text` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.4で**非推奨**になりました。`text`属性は非推奨になります。代わりに`label`を使用してください。 |
| <a id="detailedstatustooltip"></a>`tooltip` | [`String`](#string) | 状態に関連付けられているツールチップ。 |

### `DevopsAdoptionEnabledNamespace`

DevopsAdoption用に有効になっているネームスペース。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionenablednamespacedisplaynamespace"></a>`displayNamespace` | [`Namespace`](#namespace) | データを表示するネームスペース。 |
| <a id="devopsadoptionenablednamespaceid"></a>`id` | [`ID!`](#id) | 有効なネームスペースのID。 |
| <a id="devopsadoptionenablednamespacelatestsnapshot"></a>`latestSnapshot` | [`DevopsAdoptionSnapshot`](#devopsadoptionsnapshot) | 有効なネームスペースの前月のメトリクススナップショット。 |
| <a id="devopsadoptionenablednamespacenamespace"></a>`namespace` | [`Namespace`](#namespace) | 計算対象のネームスペース。 |

#### 引数のあるフィールド

##### `DevopsAdoptionEnabledNamespace.snapshots`

ネームスペースのデータスナップショット。

[`DevopsAdoptionSnapshotConnection`](#devopsadoptionsnapshotconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionenablednamespacesnapshotsendtimeafter"></a>`endTimeAfter` | [`Time`](#time) | 月末が指定日付より後であるスナップショットのみにフィルタリングします。 |
| <a id="devopsadoptionenablednamespacesnapshotsendtimebefore"></a>`endTimeBefore` | [`Time`](#time) | 月末が指定日付より前であるスナップショットのみにフィルタリングします。 |

### `DevopsAdoptionSnapshot`

スナップショット。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="devopsadoptionsnapshotcodeownersusedcount"></a>`codeOwnersUsedCount` | [`Int`](#int) | CODEOWNERSファイルが既存のプロジェクトの総数。 |
| <a id="devopsadoptionsnapshotcoveragefuzzingenabledcount"></a>`coverageFuzzingEnabledCount` | [`Int`](#int) | カバレッジファジングが有効になっているプロジェクトの総数。 |
| <a id="devopsadoptionsnapshotdastenabledcount"></a>`dastEnabledCount` | [`Int`](#int) | DASTが有効になっているプロジェクトの総数。 |
| <a id="devopsadoptionsnapshotdependencyscanningenabledcount"></a>`dependencyScanningEnabledCount` | [`Int`](#int) | 依存関係スキャンが有効になっているプロジェクトの総数。 |
| <a id="devopsadoptionsnapshotdeploysucceeded"></a>`deploySucceeded` | [`Boolean!`](#boolean) | 少なくとも1つのデプロイが成功した。 |
| <a id="devopsadoptionsnapshotendtime"></a>`endTime` | [`Time!`](#time) | データポイントが収集されたスナップショットの終了時刻。 |
| <a id="devopsadoptionsnapshotissueopened"></a>`issueOpened` | [`Boolean!`](#boolean) | 少なくとも1つのイシューがオープンされた。 |
| <a id="devopsadoptionsnapshotmergerequestapproved"></a>`mergeRequestApproved` | [`Boolean!`](#boolean) | 少なくとも1つのマージリクエストが承認された。 |
| <a id="devopsadoptionsnapshotmergerequestopened"></a>`mergeRequestOpened` | [`Boolean!`](#boolean) | 少なくとも1つのマージリクエストがオープンされた。 |
| <a id="devopsadoptionsnapshotpipelinesucceeded"></a>`pipelineSucceeded` | [`Boolean!`](#boolean) | 少なくとも1つのパイプラインが成功した。 |
| <a id="devopsadoptionsnapshotrecordedat"></a>`recordedAt` | [`Time!`](#time) | スナップショットが記録された時刻。 |
| <a id="devopsadoptionsnapshotrunnerconfigured"></a>`runnerConfigured` | [`Boolean!`](#boolean) | 少なくとも1つのRunnerが使用された。 |
| <a id="devopsadoptionsnapshotsastenabledcount"></a>`sastEnabledCount` | [`Int`](#int) | SASTが有効になっているプロジェクトの総数。 |
| <a id="devopsadoptionsnapshotstarttime"></a>`startTime` | [`Time!`](#time) | データポイントが収集されたスナップショットの開始時刻。 |
| <a id="devopsadoptionsnapshottotalprojectscount"></a>`totalProjectsCount` | [`Int`](#int) | プロジェクトの総数。 |
| <a id="devopsadoptionsnapshotvulnerabilitymanagementusedcount"></a>`vulnerabilityManagementUsedCount` | [`Int`](#int) | 少なくとも1回脆弱性管理を使用したプロジェクトの総数。 |

### `Diff`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffamode"></a>`aMode` | [`String`](#string) | ファイルの古いファイルモード。 |
| <a id="diffbmode"></a>`bMode` | [`String`](#string) | ファイルの新しいファイルモード。 |
| <a id="diffdeletedfile"></a>`deletedFile` | [`String`](#string) | ファイルが削除されたかどうかを示します。 |
| <a id="diffdiff"></a>`diff` | [`String`](#string) | ファイルに加えられた変更の差分の表現。 |
| <a id="diffnewfile"></a>`newFile` | [`String`](#string) | ファイルが追加されたばかりかどうかを示します。 |
| <a id="diffnewpath"></a>`newPath` | [`String`](#string) | ファイルの新しいパス。 |
| <a id="diffoldpath"></a>`oldPath` | [`String`](#string) | ファイルの古いパス。 |
| <a id="diffrenamedfile"></a>`renamedFile` | [`String`](#string) | ファイル名が変更されたかどうかを示します。 |

### `DiffPosition`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffpositiondiffrefs"></a>`diffRefs` | [`DiffRefs!`](#diffrefs) | コメント時のブランチ、HEAD、およびベースに関する情報。 |
| <a id="diffpositionfilepath"></a>`filePath` | [`String!`](#string) | 変更されたファイルのパス。 |
| <a id="diffpositionheight"></a>`height` | [`Int`](#int) | 画像の合計高さ。 |
| <a id="diffpositionnewline"></a>`newLine` | [`Int`](#int) | 変更されたHEAD SHAの行。 |
| <a id="diffpositionnewpath"></a>`newPath` | [`String`](#string) | HEAD SHAのファイルのパス。 |
| <a id="diffpositionoldline"></a>`oldLine` | [`Int`](#int) | 変更された開始SHAの行。 |
| <a id="diffpositionoldpath"></a>`oldPath` | [`String`](#string) | 開始SHAのファイルのパス。 |
| <a id="diffpositionpositiontype"></a>`positionType` | [`DiffPositionType!`](#diffpositiontype) | 位置によって参照されるファイルのタイプ。 |
| <a id="diffpositionwidth"></a>`width` | [`Int`](#int) | 画像の合計幅。 |
| <a id="diffpositionx"></a>`x` | [`Int`](#int) | ノートのX位置。 |
| <a id="diffpositiony"></a>`y` | [`Int`](#int) | ノートのY位置。 |

### `DiffRefs`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffrefsbasesha"></a>`baseSha` | [`String`](#string) | コメントが作成されたブランチのマージベース。 |
| <a id="diffrefsheadsha"></a>`headSha` | [`String!`](#string) | コメントが作成された時点のHEADのSHA。 |
| <a id="diffrefsstartsha"></a>`startSha` | [`String!`](#string) | 比較対象となるブランチのSHA。 |

### `DiffStats`

単一ファイルへの変更。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffstatsadditions"></a>`additions` | [`Int!`](#int) | ファイルに追加された行数。 |
| <a id="diffstatsdeletions"></a>`deletions` | [`Int!`](#int) | ファイルから削除された行数。 |
| <a id="diffstatspath"></a>`path` | [`String!`](#string) | リポジトリルートを基準とした相対ファイルパス。 |

### `DiffStatsSummary`

変更の集約概要。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffstatssummaryadditions"></a>`additions` | [`Int!`](#int) | 追加された行数。 |
| <a id="diffstatssummarychanges"></a>`changes` | [`Int!`](#int) | 変更された行数。 |
| <a id="diffstatssummarydeletions"></a>`deletions` | [`Int!`](#int) | 削除された行数。 |
| <a id="diffstatssummaryfilecount"></a>`fileCount` | [`Int!`](#int) | 変更されたファイル数。 |

### `Discussion`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="discussioncreatedat"></a>`createdAt` | [`Time!`](#time) | ディスカッションの作成時のタイムスタンプ。 |
| <a id="discussionid"></a>`id` | [`DiscussionID!`](#discussionid) | ディスカッションのID。 |
| <a id="discussionnoteable"></a>`noteable` | [`NoteableType`](#noteabletype) | ディスカッションが属するオブジェクト。 |
| <a id="discussionnotes"></a>`notes` | [`NoteConnection!`](#noteconnection) | ディスカッション内のすべてのノート。（[接続](#connections)を参照） |
| <a id="discussionreplyid"></a>`replyId` | [`DiscussionID!`](#discussionid) | ディスカッションへの返信に使用するID。 |
| <a id="discussionresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="discussionresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="discussionresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="discussionresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |
| <a id="discussionuserpermissions"></a>`userPermissions` | [`DiscussionPermissions!`](#discussionpermissions) | リソースに対する現在のユーザーの権限。 |

### `DiscussionPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="discussionpermissionsresolvenote"></a>`resolveNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`resolve_note`を実行できます。 |

### `Dora`

DORAメトリクスに関連するすべての情報。

#### 引数のあるフィールド

##### `Dora.metrics`

現在のグループまたはプロジェクトのDORAメトリクス。

[`[DoraMetric!]`](#dorametric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dorametricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは現在の日付です。 |
| <a id="dorametricsenvironmenttiers"></a>`environmentTiers` | [`[DeploymentTier!]`](#deploymenttier) | 返す環境のデプロイプラン。デフォルトは`[PRODUCTION]`です。 |
| <a id="dorametricsinterval"></a>`interval` | [`DoraMetricBucketingInterval`](#dorametricbucketinginterval) | メトリクスの集約方法。デフォルトは`DAILY`です。`ALL`の場合、応答の`date`フィールドは`null`になります。 |
| <a id="dorametricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは3か月前です。 |

### `DoraMetric`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dorametricchangefailurerate"></a>`changeFailureRate` | [`Float`](#float) | 本番環境でインシデントが発生したデプロイの割合（パーセント）。 |
| <a id="dorametricdate"></a>`date` | [`String`](#string) | データポイントの日付。 |
| <a id="dorametricdeploymentfrequency"></a>`deploymentFrequency` | [`Float`](#float) | 1日あたりのデプロイ数。 |
| <a id="dorametricleadtimeforchanges"></a>`leadTimeForChanges` | [`Float`](#float) | マージされたマージリクエストのデプロイにかかる時間の中央値。 |
| <a id="dorametrictimetorestoreservice"></a>`timeToRestoreService` | [`Float`](#float) | インシデントをクローズするまでの時間の中央値。 |

### `DoraPerformanceScoreCount`

先月のプロジェクトの集約DORAスコア数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="doraperformancescorecounthighprojectscount"></a>`highProjectsCount` | [`Int`](#int) | メトリクスで「高」と評価されたプロジェクトの数。 |
| <a id="doraperformancescorecountlowprojectscount"></a>`lowProjectsCount` | [`Int`](#int) | メトリクスで「低」と評価されたプロジェクトの数。 |
| <a id="doraperformancescorecountmediumprojectscount"></a>`mediumProjectsCount` | [`Int`](#int) | メトリクスで「中」と評価されたプロジェクトの数。 |
| <a id="doraperformancescorecountmetricname"></a>`metricName` | [`String!`](#string) | DORAメトリクスの名前。 |
| <a id="doraperformancescorecountnodataprojectscount"></a>`noDataProjectsCount` | [`Int`](#int) | メトリクスのデータがないプロジェクトの数。 |

### `DuoSettings`

GitLab Duoの設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duosettingsaigatewayurl"></a>`aiGatewayUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**導入**。**状態**: 実験。ローカルAIゲートウェイサーバーのURL。 |
| <a id="duosettingsupdatedat"></a>`updatedAt` {{< icon name="warning-solid" >}} | [`Time!`](#time) | GitLab 17.9で**導入**。**状態**: 実験。GitLab Duoの設定の最終更新のタイムスタンプ。 |

### `DuoWorkflow`

GitLab Duo Workflow

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkflowcreatedat"></a>`createdAt` | [`Time!`](#time) | ワークフロー作成時のタイムスタンプ。 |
| <a id="duoworkflowgoal"></a>`goal` | [`String`](#string) | ワークフローの目標。 |
| <a id="duoworkflowhumanstatus"></a>`humanStatus` | [`String!`](#string) | 人間が判読可能なワークフローの状態。 |
| <a id="duoworkflowid"></a>`id` | [`ID!`](#id) | ワークフローのID。 |
| <a id="duoworkflowprojectid"></a>`projectId` | [`ProjectID!`](#projectid) | プロジェクトのID。 |
| <a id="duoworkflowupdatedat"></a>`updatedAt` | [`Time!`](#time) | ワークフローの最終更新時のタイムスタンプ。 |
| <a id="duoworkflowuserid"></a>`userId` | [`UserID!`](#userid) | ユーザーのID。 |
| <a id="duoworkflowworkflowdefinition"></a>`workflowDefinition` | [`String`](#string) | 機能に基づくGitLab Duo Workflowタイプ。 |

### `DuoWorkflowEnablement`

GitLab Duo Workflowのイネーブルメント状態チェック。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkflowenablementchecks"></a>`checks` | [`[DuoWorkflowEnablementCheck!]`](#duoworkflowenablementcheck) | イネーブルメントチェック。 |
| <a id="duoworkflowenablementenabled"></a>`enabled` | [`Boolean!`](#boolean) | 現在のユーザーとプロジェクトに対してGitLab Duo Workflowが有効になっているかどうかを示します。 |

### `DuoWorkflowEnablementCheck`

単一のGitLab Duo Workflowイネーブルメントチェックを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkflowenablementcheckmessage"></a>`message` | [`String`](#string) | 状態チェックの説明。 |
| <a id="duoworkflowenablementcheckname"></a>`name` | [`String!`](#string) | 状態チェックの名前。 |
| <a id="duoworkflowenablementcheckvalue"></a>`value` | [`Boolean!`](#boolean) | チェックが成功したかどうか。 |

### `DuoWorkflowEvent`

GitLab Duo Workflowの履歴と進捗を説明するイベント。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="duoworkfloweventcheckpoint"></a>`checkpoint` | [`JsonString`](#jsonstring) | イベントのチェックポイント。 |
| <a id="duoworkfloweventerrors"></a>`errors` | [`[String!]`](#string) | メッセージのエラー。 |
| <a id="duoworkfloweventexecutionstatus"></a>`executionStatus` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.10で**導入**。**状態**: 実験。ワークフロー実行のきめ細かい状態。 |
| <a id="duoworkfloweventmetadata"></a>`metadata` | [`JsonString`](#jsonstring) | イベントに関連付けられているメタデータ。 |
| <a id="duoworkfloweventparenttimestamp"></a>`parentTimestamp` | [`Time`](#time) | 親イベントの名前時刻。 |
| <a id="duoworkfloweventtimestamp"></a>`timestamp` | [`Time`](#time) | イベントの時刻。 |
| <a id="duoworkfloweventworkflowdefinition"></a>`workflowDefinition` | [`String`](#string) | 機能に基づくGitLab Duo Workflowタイプ。 |
| <a id="duoworkfloweventworkflowgoal"></a>`workflowGoal` | [`String`](#string) | ワークフローの目標。 |
| <a id="duoworkfloweventworkflowstatus"></a>`workflowStatus` | [`DuoWorkflowStatus`](#duoworkflowstatus) | ワークフローの状態。 |

### `EgressNode`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="egressnodeartifactsegress"></a>`artifactsEgress` | [`BigInt!`](#bigint) | その期間におけるそのプロジェクトのアーティファクトエグレス。 |
| <a id="egressnodedate"></a>`date` | [`String!`](#string) | ノード範囲の最初の日。1か月につき1つのノードです。 |
| <a id="egressnodepackagesegress"></a>`packagesEgress` | [`BigInt!`](#bigint) | その期間におけるそのプロジェクトのパッケージエグレス。 |
| <a id="egressnoderegistryegress"></a>`registryEgress` | [`BigInt!`](#bigint) | その期間におけるそのプロジェクトのレジストリエグレス。 |
| <a id="egressnoderepositoryegress"></a>`repositoryEgress` | [`BigInt!`](#bigint) | その期間におけるそのプロジェクトのリポジトリエグレス。 |
| <a id="egressnodetotalegress"></a>`totalEgress` | [`BigInt!`](#bigint) | その期間におけるそのプロジェクトの合計エグレス。 |

### `Email`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailconfirmedat"></a>`confirmedAt` | [`Time`](#time) | メール確認のタイムスタンプ。 |
| <a id="emailcreatedat"></a>`createdAt` | [`Time!`](#time) | メール作成のタイムスタンプ。 |
| <a id="emailemail"></a>`email` | [`String!`](#string) | メールアドレス。 |
| <a id="emailid"></a>`id` | [`ID!`](#id) | メールの内部ID。 |
| <a id="emailupdatedat"></a>`updatedAt` | [`Time!`](#time) | メールの最終更新時のタイムスタンプ。 |

### `EmailParticipantType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="emailparticipanttypeemail"></a>`email` | [`String!`](#string) | メール参加者のメールアドレス。ゲストの場合、メールアドレスは難読化されます。 |

### `Environment`

プロジェクトのコードがデプロイされる場所を記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentautodeleteat"></a>`autoDeleteAt` | [`Time`](#time) | 環境が自動的に削除されるタイミング。 |
| <a id="environmentautostopat"></a>`autoStopAt` | [`Time`](#time) | 環境が自動的に停止するタイミング。 |
| <a id="environmentautostopsetting"></a>`autoStopSetting` | [`AutoStopSetting`](#autostopsetting) | 環境の自動停止設定。 |
| <a id="environmentclusteragent"></a>`clusterAgent` | [`ClusterAgent`](#clusteragent) | 環境のクラスターエージェント。 |
| <a id="environmentcreatedat"></a>`createdAt` | [`Time`](#time) | 環境が作成された日時。 |
| <a id="environmentdeployfreezes"></a>`deployFreezes` | [`[CiFreezePeriod!]`](#cifreezeperiod) | 環境のデプロイフリーズ期間。 |
| <a id="environmentdeploymentsdisplaycount"></a>`deploymentsDisplayCount` | [`String`](#string) | 環境内でのデプロイ数の表示。999までは正確な数を返します。それを超えた後は「999+」を返します。 |
| <a id="environmentdescription"></a>`description` | [`String`](#string) | 環境の説明。 |
| <a id="environmentdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="environmentenvironmenttype"></a>`environmentType` | [`String`](#string) | 環境のフォルダー名。 |
| <a id="environmentexternalurl"></a>`externalUrl` | [`String`](#string) | 環境の外部URL。 |
| <a id="environmentfluxresourcepath"></a>`fluxResourcePath` | [`String`](#string) | 環境のFluxリソースパス。 |
| <a id="environmentid"></a>`id` | [`ID!`](#id) | 環境のID。 |
| <a id="environmentkubernetesnamespace"></a>`kubernetesNamespace` | [`String`](#string) | 環境のKubernetesネームスペース。 |
| <a id="environmentlatestopenedmostseverealert"></a>`latestOpenedMostSevereAlert` | [`AlertManagementAlert`](#alertmanagementalert) | 環境に対する重大度最高のオープンアラート。複数のアラートの重大度が同じ場合、最新のものが返されます。 |
| <a id="environmentname"></a>`name` | [`String!`](#string) | 人間が判読可能な環境名。 |
| <a id="environmentpath"></a>`path` | [`String!`](#string) | 環境のパス。 |
| <a id="environmentprotectedenvironments"></a>`protectedEnvironments` | [`ProtectedEnvironmentConnection`](#protectedenvironmentconnection) | 環境の保護環境（[接続](#connections)を参照） |
| <a id="environmentslug"></a>`slug` | [`String`](#string) | 環境のslug。 |
| <a id="environmentstate"></a>`state` | [`String!`](#string) | 環境の状態。利用可能/停止など。 |
| <a id="environmenttier"></a>`tier` | [`DeploymentTier`](#deploymenttier) | 環境のデプロイプラン。 |
| <a id="environmentupdatedat"></a>`updatedAt` | [`Time`](#time) | 環境が更新された日時。 |
| <a id="environmentuserpermissions"></a>`userPermissions` | [`EnvironmentPermissions!`](#environmentpermissions) | リソースに対する現在のユーザーの権限。このフィールドは、1回のリクエストにつき1つの環境に対してのみ解決できます。 |

#### 引数のあるフィールド

##### `Environment.deployments`

環境のデプロイ。このフィールドは、1回のリクエストにつき1つの環境に対してのみ解決できます。

[`DeploymentConnection`](#deploymentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentdeploymentsorderby"></a>`orderBy` | [`DeploymentsOrderByInput`](#deploymentsorderbyinput) | 指定されたフィールドで並べ替えます。 |
| <a id="environmentdeploymentsstatuses"></a>`statuses` | [`[DeploymentStatus!]`](#deploymentstatus) | デプロイの状態。 |

##### `Environment.lastDeployment`

環境の最後のデプロイ。

[`Deployment`](#deployment)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentlastdeploymentstatus"></a>`status` | [`DeploymentStatus!`](#deploymentstatus) | デプロイの状態。 |

### `EnvironmentPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="environmentpermissionsdestroyenvironment"></a>`destroyEnvironment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_environment`を実行できます。 |
| <a id="environmentpermissionsstopenvironment"></a>`stopEnvironment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`stop_environment`を実行できます。 |
| <a id="environmentpermissionsupdateenvironment"></a>`updateEnvironment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_environment`を実行できます。 |

### `Epic`

エピックを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicauthor"></a>`author` | [`UserCore!`](#usercore) | エピックの作成者。 |
| <a id="epicawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | エピックに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="epicblocked"></a>`blocked` | [`Boolean`](#boolean) | エピックがブロックされていることを示します。 |
| <a id="epicblockedbycount"></a>`blockedByCount` | [`Int`](#int) | このエピックをブロックしているエピックの数。 |
| <a id="epicblockedbyepics"></a>`blockedByEpics` | [`EpicConnection`](#epicconnection) | このエピックをブロックしているエピック。（[接続](#connections)を参照） |
| <a id="epicblockingcount"></a>`blockingCount` | [`Int`](#int) | このエピックがブロックしているエピックの数。 |
| <a id="epicclosedat"></a>`closedAt` | [`Time`](#time) | エピッククローズ時のタイムスタンプ。 |
| <a id="epiccolor"></a>`color` | [`String`](#string) | エピックの色。 |
| <a id="epiccommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="epicconfidential"></a>`confidential` | [`Boolean`](#boolean) | エピックが機密かどうかを示します。 |
| <a id="epiccreatedat"></a>`createdAt` | [`Time`](#time) | エピック作成時のタイムスタンプ。 |
| <a id="epicdefaultprojectforissuecreation"></a>`defaultProjectForIssueCreation` | [`Project`](#project) | イシュー作成のデフォルトプロジェクト。ユーザーが最後のイシューを作成したプロジェクトに基づきます。 |
| <a id="epicdescendantcounts"></a>`descendantCounts` | [`EpicDescendantCount`](#epicdescendantcount) | 未解決/完了子孫エピック/イシューの数。 |
| <a id="epicdescendantweightsum"></a>`descendantWeightSum` | [`EpicDescendantWeights`](#epicdescendantweights) | エピックとその子孫の未解決イシューと完了イシューの合計ウェイト。 |
| <a id="epicdescription"></a>`description` | [`String`](#string) | エピックの説明。 |
| <a id="epicdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="epicdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="epicdownvotes"></a>`downvotes` | [`Int!`](#int) | エピックが受け取った不同意票の数。 |
| <a id="epicduedate"></a>`dueDate` | [`Time`](#time) | エピックの期限。 |
| <a id="epicduedatefixed"></a>`dueDateFixed` | [`Time`](#time) | エピックの修正期限。 |
| <a id="epicduedatefrominheritedsource"></a>`dueDateFromInheritedSource` | [`Time`](#time) | 子エピックまたはマイルストーンから継承されたエピックの期限。 |
| <a id="epicduedatefrommilestones"></a>`dueDateFromMilestones` | [`Time`](#time) | マイルストーンから継承されたエピックの期限。 |
| <a id="epicduedateisfixed"></a>`dueDateIsFixed` | [`Boolean`](#boolean) | 期限が手動で設定されたかどうかを示します。 |
| <a id="epicevents"></a>`events` | [`EventConnection`](#eventconnection) | オブジェクトに関連付けられているイベントのリスト。（[接続](#connections)を参照） |
| <a id="epicgroup"></a>`group` | [`Group!`](#group) | エピックが属するグループ。 |
| <a id="epichaschildren"></a>`hasChildren` | [`Boolean!`](#boolean) | エピックに子があるかどうかを示します。 |
| <a id="epichaschildrenwithintimeframe"></a>`hasChildrenWithinTimeframe` | [`Boolean!`](#boolean) | 指定された期間内にエピックに子があるかどうかを示します。 |
| <a id="epichasissues"></a>`hasIssues` | [`Boolean!`](#boolean) | エピックに直接イシューがあるかどうかを示します。 |
| <a id="epichasparent"></a>`hasParent` | [`Boolean!`](#boolean) | エピックに親エピックがあるかどうかを示します。 |
| <a id="epichealthstatus"></a>`healthStatus` | [`EpicHealthStatus`](#epichealthstatus) | エピックの現在のヘルスステータス。 |
| <a id="epicid"></a>`id` | [`ID!`](#id) | エピックのID。 |
| <a id="epiciid"></a>`iid` | [`String!`](#string) | エピックの内部ID。 |
| <a id="epicissues"></a>`issues` | [`EpicIssueConnection`](#epicissueconnection) | エピックに関連付けられているイシューのリスト。（[接続](#connections)を参照） |
| <a id="epiclabels"></a>`labels` | [`LabelConnection`](#labelconnection) | エピックに割り当てられたラベル。（[接続](#connections)を参照） |
| <a id="epicname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="epicparent"></a>`parent` | [`Epic`](#epic) | エピックの親エピック。 |
| <a id="epicparticipants"></a>`participants` | [`UserCoreConnection`](#usercoreconnection) | エピックの参加者のリスト。（[接続](#connections)を参照） |
| <a id="epicrelationpath"></a>`relationPath` | [`String`](#string) | エピックとイシューの関係のURIパス。 |
| <a id="epicrelativeposition"></a>`relativePosition` | [`Int`](#int) | Epic Tree内でのエピックの相対的な位置。 |
| <a id="epicstartdate"></a>`startDate` | [`Time`](#time) | エピックの開始日。 |
| <a id="epicstartdatefixed"></a>`startDateFixed` | [`Time`](#time) | エピックの修正開始日。 |
| <a id="epicstartdatefrominheritedsource"></a>`startDateFromInheritedSource` | [`Time`](#time) | 子エピックまたはマイルストーンから継承されたエピックの開始日。 |
| <a id="epicstartdatefrommilestones"></a>`startDateFromMilestones` | [`Time`](#time) | マイルストーンから継承されたエピックの開始日。 |
| <a id="epicstartdateisfixed"></a>`startDateIsFixed` | [`Boolean`](#boolean) | 開始日が手動で設定されたかどうかを示します。 |
| <a id="epicstate"></a>`state` | [`EpicState!`](#epicstate) | エピックの状態。 |
| <a id="epicsubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在ログインしているユーザーがエピックをサブスクライブしているかどうかを示します。 |
| <a id="epictextcolor"></a>`textColor` | [`String`](#string) | エピック用に生成されるテキストの色。 |
| <a id="epictitle"></a>`title` | [`String`](#string) | エピックのタイトル。 |
| <a id="epictitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="epicupdatedat"></a>`updatedAt` | [`Time`](#time) | エピック更新時のタイムスタンプ。 |
| <a id="epicupvotes"></a>`upvotes` | [`Int!`](#int) | エピックが受け取った同意票の数。 |
| <a id="epicuserdiscussionscount"></a>`userDiscussionsCount` | [`Int!`](#int) | エピック内のユーザーディスカッションの数。 |
| <a id="epicusernotescount"></a>`userNotesCount` | [`Int!`](#int) | エピックのユーザーノートの数。 |
| <a id="epicuserpermissions"></a>`userPermissions` | [`EpicPermissions!`](#epicpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="epicwebpath"></a>`webPath` | [`String!`](#string) | エピックのWebパス。 |
| <a id="epicweburl"></a>`webUrl` | [`String!`](#string) | エピックのWeb URL。 |

#### 引数のあるフィールド

##### `Epic.ancestors`

エピックの祖先（親）。

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicancestorsauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="epicancestorsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="epicancestorscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="epicancestorscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="epicancestorscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="epicancestorsiid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="epicancestorsiidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="epicancestorsiids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="epicancestorsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="epicancestorsincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのエピックを含めます。 |
| <a id="epicancestorsincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="epicancestorslabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="epicancestorsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="epicancestorsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="epicancestorsnot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="epicancestorsor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="epicancestorssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="epicancestorssort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="epicancestorsstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="epicancestorssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="epicancestorstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="epicancestorstoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="epicancestorsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="epicancestorsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `Epic.children`

エピックの子（サブエピック）。

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicchildrenauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="epicchildrenconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="epicchildrencreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="epicchildrencreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="epicchildrencustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="epicchildreniid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="epicchildreniidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="epicchildreniids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="epicchildrenin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="epicchildrenincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループの子エピックを含めます。 |
| <a id="epicchildrenincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="epicchildrenlabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="epicchildrenmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="epicchildrenmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="epicchildrennot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="epicchildrenor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="epicchildrensearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="epicchildrensort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="epicchildrenstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="epicchildrensubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="epicchildrentimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="epicchildrentoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="epicchildrenupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="epicchildrenupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `Epic.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiccurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `Epic.linkedWorkItems`

エピックにリンクされた作業アイテム。

[`LinkedWorkItemTypeConnection`](#linkedworkitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclinkedworkitemsfilter"></a>`filter` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプでフィルタリングします。サポートされている値: RELATED、BLOCKED_BY、BLOCKS。省略すると、すべてのタイプが返されます。 |

##### `Epic.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `Epic.reference`

エピックの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicreferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフルで返すかどうかを示します。 |

### `EpicBoard`

エピックボードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicboarddisplaycolors"></a>`displayColors` | [`Boolean`](#boolean) | エピックの色を表示するかどうか。 |
| <a id="epicboardhidebackloglist"></a>`hideBacklogList` | [`Boolean`](#boolean) | バックログリストを非表示にするかどうか。 |
| <a id="epicboardhideclosedlist"></a>`hideClosedList` | [`Boolean`](#boolean) | 完了リストを非表示にするかどうか。 |
| <a id="epicboardid"></a>`id` | [`BoardsEpicBoardID!`](#boardsepicboardid) | エピックボードのグローバルID。 |
| <a id="epicboardlabels"></a>`labels` | [`LabelConnection`](#labelconnection) | ボードのラベル。（[接続](#connections)を参照） |
| <a id="epicboardname"></a>`name` | [`String`](#string) | エピックボードの名前。 |
| <a id="epicboardwebpath"></a>`webPath` | [`String!`](#string) | エピックボードのWebパス。 |
| <a id="epicboardweburl"></a>`webUrl` | [`String!`](#string) | エピックボードのWeb URL。 |

#### 引数のあるフィールド

##### `EpicBoard.lists`

エピックボードのリスト。

[`EpicListConnection`](#epiclistconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicboardlistsepicfilters"></a>`epicFilters` | [`EpicFilters`](#epicfilters) | エピックボードリストでエピックメタデータを取得する際に適用されるフィルター。 |
| <a id="epicboardlistsid"></a>`id` | [`BoardsEpicListID`](#boardsepiclistid) | エピックボードリストをIDで検索します。 |

### `EpicDescendantCount`

子孫エピックの数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicdescendantcountclosedepics"></a>`closedEpics` | [`Int`](#int) | 完了した子エピックの数。 |
| <a id="epicdescendantcountclosedissues"></a>`closedIssues` | [`Int`](#int) | 完了したエピックイシューの数。 |
| <a id="epicdescendantcountopenedepics"></a>`openedEpics` | [`Int`](#int) | 未解決子エピックの数。 |
| <a id="epicdescendantcountopenedissues"></a>`openedIssues` | [`Int`](#int) | 未解決エピックイシューの数。 |

### `EpicDescendantWeights`

未解決/完了子孫イシューの合計ウェイト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicdescendantweightsclosedissues"></a>`closedIssues` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 16.6で**非推奨**になりました。`closedIssuesTotal`を使用してください。 |
| <a id="epicdescendantweightsclosedissuestotal"></a>`closedIssuesTotal` | [`BigInt`](#bigint) | このエピックの完了（クローズ）イシューの合計ウェイト（エピックの子孫を含む）。文字列としてエンコードされます。 |
| <a id="epicdescendantweightsopenedissues"></a>`openedIssues` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 16.6で**非推奨**になりました。`OpenedIssuesTotal`を使用してください。 |
| <a id="epicdescendantweightsopenedissuestotal"></a>`openedIssuesTotal` | [`BigInt`](#bigint) | このエピックの未解決イシューの合計ウェイト（エピックの子孫を含む）。文字列としてエンコードされます。 |

### `EpicHealthStatus`

子イシューのヘルスステータス。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epichealthstatusissuesatrisk"></a>`issuesAtRisk` | [`Int`](#int) | リスクのあるイシューの数。 |
| <a id="epichealthstatusissuesneedingattention"></a>`issuesNeedingAttention` | [`Int`](#int) | 注意が必要なイシューの数。 |
| <a id="epichealthstatusissuesontrack"></a>`issuesOnTrack` | [`Int`](#int) | 追跡対象のイシューの数。 |

### `EpicIssue`

エピックとイシューの関係。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuealertmanagementalert"></a>`alertManagementAlert` {{< icon name="warning-solid" >}} | [`AlertManagementAlert`](#alertmanagementalert) | GitLab 15.6で**非推奨**になりました。`alert_management_alerts`を使用してください。 |
| <a id="epicissueassignees"></a>`assignees` | [`UserCoreConnection`](#usercoreconnection) | イシューの割り当て先。（[接続](#connections)を参照） |
| <a id="epicissueauthor"></a>`author` | [`UserCore!`](#usercore) | イシューを作成したユーザー。 |
| <a id="epicissueblocked"></a>`blocked` | [`Boolean!`](#boolean) | イシューがブロックされていることを示します。 |
| <a id="epicissueblockedbycount"></a>`blockedByCount` | [`Int`](#int) | このイシューをブロックしているイシューの数。 |
| <a id="epicissueblockedbyissues"></a>`blockedByIssues` | [`IssueConnection`](#issueconnection) | このイシューをブロックしているイシュー。（[接続](#connections)を参照） |
| <a id="epicissueblockingcount"></a>`blockingCount` | [`Int!`](#int) | このイシューがブロックしているイシューの数。 |
| <a id="epicissueclosedasduplicateof"></a>`closedAsDuplicateOf` | [`Issue`](#issue) | これが重複イシューとしてクローズされることになったイシュー。 |
| <a id="epicissueclosedat"></a>`closedAt` | [`Time`](#time) | イシュークローズ時のタイムスタンプ。 |
| <a id="epicissuecommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="epicissueconfidential"></a>`confidential` | [`Boolean!`](#boolean) | イシューが機密であることを示します。 |
| <a id="epicissuecreatenoteemail"></a>`createNoteEmail` | [`String`](#string) | イシューのユーザー固有メールアドレス。 |
| <a id="epicissuecreatedat"></a>`createdAt` | [`Time!`](#time) | イシュー作成時のタイムスタンプ。 |
| <a id="epicissuecustomerrelationscontacts"></a>`customerRelationsContacts` | [`CustomerRelationsContactConnection`](#customerrelationscontactconnection) | イシューの顧客関係の連絡先。（[接続](#connections)を参照） |
| <a id="epicissuedescription"></a>`description` | [`String`](#string) | イシューの説明。 |
| <a id="epicissuedescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="epicissuedesigncollection"></a>`designCollection` | [`DesignCollection`](#designcollection) | イシューに関連付けられているデザイン画像のコレクション。 |
| <a id="epicissuediscussionlocked"></a>`discussionLocked` | [`Boolean!`](#boolean) | イシューでディスカッションがロックされていることを示します。 |
| <a id="epicissuediscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="epicissuedownvotes"></a>`downvotes` | [`Int!`](#int) | イシューが受け取った不同意の数。 |
| <a id="epicissueduedate"></a>`dueDate` | [`Time`](#time) | イシューの期限。 |
| <a id="epicissueemailsdisabled"></a>`emailsDisabled` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.3で**非推奨**になりました。`emails_enabled`を使用してください。 |
| <a id="epicissueemailsenabled"></a>`emailsEnabled` | [`Boolean!`](#boolean) | 親プロジェクトまたはグループでメール通知が無効になっているかどうかを示します。メール通知が無効になっている場合は`false`。 |
| <a id="epicissueepic"></a>`epic` {{< icon name="warning-solid" >}} | [`Epic`](#epic) | GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。 |
| <a id="epicissueepicissueid"></a>`epicIssueId` | [`ID!`](#id) | エピックとイシューの関係のID。 |
| <a id="epicissueescalationpolicy"></a>`escalationPolicy` | [`EscalationPolicyType`](#escalationpolicytype) | イシューに関連付けられているエスカレーションポリシー。エスカレーションをサポートするイシューで使用できます。 |
| <a id="epicissueescalationstatus"></a>`escalationStatus` | [`IssueEscalationStatus`](#issueescalationstatus) | イシューのエスカレーション状態。 |
| <a id="epicissueexternalauthor"></a>`externalAuthor` | [`String`](#string) | イシューを報告している非GitLabユーザーのメールアドレス。ゲストの場合、メールアドレスは難読化されます。 |
| <a id="epicissuehasepic"></a>`hasEpic` | [`Boolean!`](#boolean) | イシューがエピックに属しているかどうかを示します。ユーザーにエピックへのアクセス権がない場合、trueを返しても関連付けられているエピックが表示されないことがあります。 |
| <a id="epicissuehasparent"></a>`hasParent` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.5で**導入**。**状態**: 実験。イシューに親作業アイテムがあるかどうかを示します。 |
| <a id="epicissuehealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 現在のヘルスステータス。 |
| <a id="epicissuehidden"></a>`hidden` | [`Boolean`](#boolean) | 作成者がBANされたため、イシューが非表示になっていることを示します。 |
| <a id="epicissuehumantimeestimate"></a>`humanTimeEstimate` | [`String`](#string) | 人間が判読可能なイシューの見積もり時間。 |
| <a id="epicissuehumantotaltimespent"></a>`humanTotalTimeSpent` | [`String`](#string) | イシューで費やされたとして報告された合計時間（人間が判読可能な形式）。 |
| <a id="epicissueid"></a>`id` | [`ID`](#id) | エピックとイシューの関係のグローバルID。 |
| <a id="epicissueiid"></a>`iid` | [`String!`](#string) | イシューの内部ID。 |
| <a id="epicissueiteration"></a>`iteration` | [`Iteration`](#iteration) | イシューのイテレーション。 |
| <a id="epicissuelabels"></a>`labels` | [`LabelConnection`](#labelconnection) | イシューのラベル。（[接続](#connections)を参照） |
| <a id="epicissuemergerequestscount"></a>`mergeRequestsCount` | [`Int!`](#int) | マージ時にイシューをクローズするマージリクエストの数 |
| <a id="epicissuemetricimages"></a>`metricImages` | [`[MetricImage!]`](#metricimage) | イシューに関連付けられているメトリクスイメージ。 |
| <a id="epicissuemilestone"></a>`milestone` | [`Milestone`](#milestone) | イシューのマイルストーン。 |
| <a id="epicissuemoved"></a>`moved` | [`Boolean`](#boolean) | イシューが他のプロジェクトから移動されたかどうかを示します。 |
| <a id="epicissuemovedto"></a>`movedTo` | [`Issue`](#issue) | 別のプロジェクトに移動された後に更新されたイシュー。 |
| <a id="epicissuename"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="epicissueparticipants"></a>`participants` | [`UserCoreConnection`](#usercoreconnection) | イシューの参加者のリスト。（[接続](#connections)を参照） |
| <a id="epicissueprojectid"></a>`projectId` | [`Int`](#int) | イシュープロジェクトのID。 |
| <a id="epicissuerelatedmergerequests"></a>`relatedMergeRequests` | [`MergeRequestConnection`](#mergerequestconnection) | イシューに関連するマージリクエスト。このフィールドは、1回のリクエストで1つのイシューに対してのみ解決できます。（[接続](#connections)を参照） |
| <a id="epicissuerelatedvulnerabilities"></a>`relatedVulnerabilities` | [`VulnerabilityConnection`](#vulnerabilityconnection) | イシューの関連脆弱性。（[接続](#connections)を参照） |
| <a id="epicissuerelationpath"></a>`relationPath` | [`String`](#string) | エピックとイシューの関係のURIパス。 |
| <a id="epicissuerelativeposition"></a>`relativePosition` | [`Int`](#int) | イシューの相対位置（Epic Treeとイシューボードでの位置指定に使用）。 |
| <a id="epicissueseverity"></a>`severity` | [`IssuableSeverity`](#issuableseverity) | インシデントの重大度レベル。 |
| <a id="epicissuesladueat"></a>`slaDueAt` | [`Time`](#time) | イシューSLAの有効期限のタイムスタンプ。 |
| <a id="epicissuestate"></a>`state` | [`IssueState!`](#issuestate) | イシューの状態。 |
| <a id="epicissuestatuspagepublishedincident"></a>`statusPagePublishedIncident` | [`Boolean`](#boolean) | イシューが状態ページに公開されているかどうかを示します。 |
| <a id="epicissuesubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在ログインしているユーザーがイシューをサブスクライブしているかどうかを示します。 |
| <a id="epicissuetaskcompletionstatus"></a>`taskCompletionStatus` | [`TaskCompletionStatus!`](#taskcompletionstatus) | イシューのタスク完了状態。 |
| <a id="epicissuetimeestimate"></a>`timeEstimate` | [`Int!`](#int) | イシューの見積もり時間。 |
| <a id="epicissuetimelogs"></a>`timelogs` | [`TimelogConnection!`](#timelogconnection) | イシューのタイムログ。（[接続](#connections)を参照） |
| <a id="epicissuetitle"></a>`title` | [`String!`](#string) | イシューのタイトル。 |
| <a id="epicissuetitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="epicissuetotaltimespent"></a>`totalTimeSpent` | [`Int!`](#int) | イシューで費やされたとして報告された合計時間（秒）。 |
| <a id="epicissuetype"></a>`type` | [`IssueType`](#issuetype) | イシューのタイプ。 |
| <a id="epicissueupdatedat"></a>`updatedAt` | [`Time!`](#time) | イシューの最終更新タイムスタンプ。 |
| <a id="epicissueupdatedby"></a>`updatedBy` | [`UserCore`](#usercore) | イシューを最後に更新したユーザー。 |
| <a id="epicissueupvotes"></a>`upvotes` | [`Int!`](#int) | イシューが受け取った同意の数。 |
| <a id="epicissueuserdiscussionscount"></a>`userDiscussionsCount` | [`Int!`](#int) | イシュー内のユーザーディスカッションの数。 |
| <a id="epicissueusernotescount"></a>`userNotesCount` | [`Int!`](#int) | イシューのユーザーノートの数。 |
| <a id="epicissueuserpermissions"></a>`userPermissions` | [`IssuePermissions!`](#issuepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="epicissuewebpath"></a>`webPath` | [`String!`](#string) | イシューのWebパス。 |
| <a id="epicissueweburl"></a>`webUrl` | [`String!`](#string) | イシューのWeb URL。 |
| <a id="epicissueweight"></a>`weight` | [`Int`](#int) | イシューのウェイト。 |

#### 引数のあるフィールド

##### `EpicIssue.alertManagementAlerts`

このイシューに関連付けられているアラート管理アラート。

[`AlertManagementAlertConnection`](#alertmanagementalertconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuealertmanagementalertsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="epicissuealertmanagementalertsdomain"></a>`domain` | [`AlertManagementDomainFilter!`](#alertmanagementdomainfilter) | 特定のドメインのフィルタークエリ。 |
| <a id="epicissuealertmanagementalertsiid"></a>`iid` | [`String`](#string) | アラートのIID。例：「1」。 |
| <a id="epicissuealertmanagementalertssearch"></a>`search` | [`String`](#string) | タイトル、説明、サービス、またはmonitoring_toolの検索クエリ。 |
| <a id="epicissuealertmanagementalertssort"></a>`sort` | [`AlertManagementAlertSort`](#alertmanagementalertsort) | アラートを基準でソートします。 |
| <a id="epicissuealertmanagementalertsstatuses"></a>`statuses` | [`[AlertManagementStatus!]`](#alertmanagementstatus) | 指定された状態のアラート。例: `[TRIGGERED]`。 |

##### `EpicIssue.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuecurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `EpicIssue.issuableResourceLinks`

インシデントイシューのイシュー可能リソースリンク。

[`IssuableResourceLinkConnection`](#issuableresourcelinkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissueissuableresourcelinksincidentid"></a>`incidentId` | [`IssueID!`](#issueid) | インシデントのID。 |

##### `EpicIssue.linkedWorkItems`

イシューにリンクされている作業アイテム。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

[`LinkedWorkItemTypeConnection`](#linkedworkitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuelinkedworkitemsfilter"></a>`filter` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプでフィルタリングします。サポートされている値: RELATED、BLOCKED_BY、BLOCKS。省略すると、すべてのタイプが返されます。 |

##### `EpicIssue.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuenotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `EpicIssue.reference`

イシューの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicissuereferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフル形式で返すかどうかを指定するブール値オプション。 |

### `EpicList`

エピックボードリストを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclistcollapsed"></a>`collapsed` | [`Boolean`](#boolean) | ユーザーに対してリストを折りたたみ表示するかどうかを示します。 |
| <a id="epiclistid"></a>`id` | [`BoardsEpicListID!`](#boardsepiclistid) | ボードリストのグローバルID。 |
| <a id="epiclistlabel"></a>`label` | [`Label`](#label) | リストのラベル。 |
| <a id="epiclistlisttype"></a>`listType` | [`String!`](#string) | リストのタイプ。 |
| <a id="epiclistmetadata"></a>`metadata` | [`EpicListMetadata`](#epiclistmetadata) | エピックリストのメタデータ。 |
| <a id="epiclistposition"></a>`position` | [`Int`](#int) | ボード内のリストの位置。 |
| <a id="epiclisttitle"></a>`title` | [`String!`](#string) | リストのタイトル。 |

#### 引数のあるフィールド

##### `EpicList.epics`

エピックを一覧表示します。

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclistepicsfilters"></a>`filters` | [`EpicFilters`](#epicfilters) | ボードリスト内のエピックを選択する際に適用されるフィルター。 |

### `EpicListMetadata`

エピックボードリストのメタデータを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epiclistmetadataepicscount"></a>`epicsCount` | [`Int`](#int) | リスト内のエピックの数。 |
| <a id="epiclistmetadatatotalweight"></a>`totalWeight` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 14.7で**導入**。**状態**: 実験。リスト内のすべてのイシューの合計ウェイト。 |

### `EpicPermissions`

エピックに対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicpermissionsadminepic"></a>`adminEpic` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_epic`を実行できます。 |
| <a id="epicpermissionsadminepicrelation"></a>`adminEpicRelation` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_epic_relation`を実行できます。 |
| <a id="epicpermissionsawardemoji"></a>`awardEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`award_emoji`を実行できます。 |
| <a id="epicpermissionscreateepic"></a>`createEpic` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_epic`を実行できます。 |
| <a id="epicpermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="epicpermissionsdestroyepic"></a>`destroyEpic` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_epic`を実行できます。 |
| <a id="epicpermissionsreadepic"></a>`readEpic` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_epic`を実行できます。 |
| <a id="epicpermissionsreadepiciid"></a>`readEpicIid` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_epic_iid`を実行できます。 |
| <a id="epicpermissionsupdateepic"></a>`updateEpic` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_epic`を実行できます。 |

### `ErrorTrackingStackTrace`

スタックトレースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="errortrackingstacktraceabsolutepath"></a>`absolutePath` | [`String`](#string) | スタックトレースの絶対パス。 |
| <a id="errortrackingstacktracecolumnnumber"></a>`columnNumber` | [`Int`](#int) | スタックトレースの列番号。 |
| <a id="errortrackingstacktracecontext"></a>`context` | [`[WorkItemWidgetErrorTrackingStackTraceContext!]`](#workitemwidgeterrortrackingstacktracecontext) | スタックトレースのコンテキスト。 |
| <a id="errortrackingstacktracefilename"></a>`filename` | [`String`](#string) | スタックトレースのファイル名。 |
| <a id="errortrackingstacktracefunction"></a>`function` | [`String`](#string) | エラーが発生した関数の名前。 |
| <a id="errortrackingstacktracelinenumber"></a>`lineNumber` | [`Int`](#int) | スタックトレースの行番号。 |

### `EscalationPolicyType`

エスカレーションポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="escalationpolicytypedescription"></a>`description` | [`String`](#string) | エスカレーションポリシーの説明。 |
| <a id="escalationpolicytypeid"></a>`id` | [`IncidentManagementEscalationPolicyID`](#incidentmanagementescalationpolicyid) | エスカレーションポリシーのID。 |
| <a id="escalationpolicytypename"></a>`name` | [`String`](#string) | エスカレーションポリシーの名前。 |
| <a id="escalationpolicytyperules"></a>`rules` | [`[EscalationRuleType!]`](#escalationruletype) | エスカレーションポリシーのステップ。 |

### `EscalationRuleType`

エスカレーションポリシーのエスカレーションルールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="escalationruletypeelapsedtimeseconds"></a>`elapsedTimeSeconds` | [`Int`](#int) | ルールがアクティブになるまでの秒数。 |
| <a id="escalationruletypeid"></a>`id` | [`IncidentManagementEscalationRuleID`](#incidentmanagementescalationruleid) | エスカレーションポリシーのID。 |
| <a id="escalationruletypeoncallschedule"></a>`oncallSchedule` | [`IncidentManagementOncallSchedule`](#incidentmanagementoncallschedule) | 通知するオンコールスケジュール。 |
| <a id="escalationruletypestatus"></a>`status` | [`EscalationRuleStatus`](#escalationrulestatus) | ルールがアクティブになるのを防ぐために必要な状態。 |
| <a id="escalationruletypeuser"></a>`user` | [`UserCore`](#usercore) | 通知するユーザー。 |

### `Event`

イベントを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="eventaction"></a>`action` | [`EventAction!`](#eventaction) | イベントのアクション。 |
| <a id="eventauthor"></a>`author` | [`UserCore!`](#usercore) | イベントの作成者。 |
| <a id="eventcreatedat"></a>`createdAt` | [`Time!`](#time) | イベントの作成日時。 |
| <a id="eventid"></a>`id` | [`ID!`](#id) | イベントのID。 |
| <a id="eventproject"></a>`project` | [`Project`](#project) | イベントのプロジェクト。 |
| <a id="eventtarget"></a>`target` | [`EventTargetType`](#eventtargettype) | イベントのターゲット。 |
| <a id="eventupdatedat"></a>`updatedAt` | [`Time!`](#time) | イベントが更新された日時。 |

### `ExternalAuditEventDestination`

監査イベント送信先の外部リソースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalauditeventdestinationdestinationurl"></a>`destinationUrl` | [`String!`](#string) | 監査イベント送信先の外部宛先。 |
| <a id="externalauditeventdestinationeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="externalauditeventdestinationgroup"></a>`group` | [`Group!`](#group) | 宛先が属するグループ。 |
| <a id="externalauditeventdestinationheaders"></a>`headers` | [`AuditEventStreamingHeaderConnection!`](#auditeventstreamingheaderconnection) | 各イベントとともに送信される追加のHTTPヘッダーのリスト。（[接続](#connections)を参照） |
| <a id="externalauditeventdestinationid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="externalauditeventdestinationname"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="externalauditeventdestinationnamespacefilter"></a>`namespaceFilter` | [`AuditEventStreamingHTTPNamespaceFilter`](#auditeventstreaminghttpnamespacefilter) | 宛先のサブグループまたはプロジェクトフィルターのリスト。 |
| <a id="externalauditeventdestinationverificationtoken"></a>`verificationToken` | [`String!`](#string) | イベントのソースを検証するための検証トークン。 |

### `ExternalIssue`

外部イシューを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalissuecreatedat"></a>`createdAt` | [`Time`](#time) | イシュー作成時のタイムスタンプ。 |
| <a id="externalissueexternaltracker"></a>`externalTracker` | [`String`](#string) | 外部トラッカーのタイプ。 |
| <a id="externalissuerelativereference"></a>`relativeReference` | [`String`](#string) | 外部トラッカー内のイシューの相対参照。 |
| <a id="externalissuestatus"></a>`status` | [`String`](#string) | 外部トラッカー内のイシューの状態。 |
| <a id="externalissuetitle"></a>`title` | [`String`](#string) | 外部トラッカー内のイシューのタイトル。 |
| <a id="externalissueupdatedat"></a>`updatedAt` | [`Time`](#time) | イシュー更新時のタイムスタンプ。 |
| <a id="externalissueweburl"></a>`webUrl` | [`String`](#string) | 外部トラッカー内のイシューのURL。 |

### `ExternalStatusCheck`

外部状態チェックについて説明します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalstatuscheckexternalurl"></a>`externalUrl` | [`String!`](#string) | 状態チェックの外部URL。 |
| <a id="externalstatuscheckhmac"></a>`hmac` | [`Boolean!`](#boolean) | 状態チェックでHMACシークレットが有効になっているかどうか。 |
| <a id="externalstatuscheckid"></a>`id` | [`GlobalID!`](#globalid) | ルールのID。 |
| <a id="externalstatuscheckname"></a>`name` | [`String!`](#string) | ルールの名前。 |

### `FeatureFlag`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="featureflagactive"></a>`active` | [`Boolean!`](#boolean) | 機能フラグがアクティブかどうか。 |
| <a id="featureflagid"></a>`id` | [`OperationsFeatureFlagID!`](#operationsfeatureflagid) | 機能フラグのグローバルID。 |
| <a id="featureflagname"></a>`name` | [`String!`](#string) | 機能フラグの名前。 |
| <a id="featureflagpath"></a>`path` | [`String!`](#string) | 機能フラグのパス。 |
| <a id="featureflagreference"></a>`reference` | [`String!`](#string) | 機能フラグへの参照。 |

### `FileUpload`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="fileuploadid"></a>`id` | [`UploadID!`](#uploadid) | アップロードのグローバルID。 |
| <a id="fileuploadpath"></a>`path` | [`String!`](#string) | アップロードのパス。 |
| <a id="fileuploadsize"></a>`size` | [`Int!`](#int) | アップロードのサイズ（バイト単位）。 |

### `FindingReportsComparer`

脆弱性発見のためのセキュリティレポートの比較を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="findingreportscomparerreport"></a>`report` {{< icon name="warning-solid" >}} | [`ComparedSecurityReport`](#comparedsecurityreport) | GitLab 16.1で**導入**。**状態**: 実験。比較対象のセキュリティレポート。 |
| <a id="findingreportscomparerstatus"></a>`status` | [`FindingReportsComparerStatus`](#findingreportscomparerstatus) | 比較状態。 |
| <a id="findingreportscomparerstatusreason"></a>`statusReason` | [`String`](#string) | 状態を説明するテキスト。 |

### `ForkDetails`

アップストリームプロジェクトと比較するフォークプロジェクトの詳細。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="forkdetailsahead"></a>`ahead` | [`Int`](#int) | アップストリームより進んでいるコミットの数。 |
| <a id="forkdetailsbehind"></a>`behind` | [`Int`](#int) | アップストリームより遅れているコミットの数。 |
| <a id="forkdetailshasconflicts"></a>`hasConflicts` | [`Boolean`](#boolean) | フォークがそのアップストリームプロジェクトと競合するかどうかを示します。 |
| <a id="forkdetailsissyncing"></a>`isSyncing` | [`Boolean`](#boolean) | 同期が進行中かどうかを示します。 |

### `GeoNode`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodecontainerrepositoriesmaxcapacity"></a>`containerRepositoriesMaxCapacity` | [`Int`](#int) | セカンダリノードのコンテナリポジトリ同期の最大並行処理。 |
| <a id="geonodeenabled"></a>`enabled` | [`Boolean`](#boolean) | Geoノードが有効かどうかを示します。 |
| <a id="geonodefilesmaxcapacity"></a>`filesMaxCapacity` | [`Int`](#int) | セカンダリノードのLFS/添付ファイル埋め戻しの最大並行処理。 |
| <a id="geonodeid"></a>`id` | [`ID!`](#id) | GeoNodeのID。 |
| <a id="geonodeinternalurl"></a>`internalUrl` | [`String`](#string) | プライマリノードで定義された、セカンダリノードで接続に使用するURL。 |
| <a id="geonodeminimumreverificationinterval"></a>`minimumReverificationInterval` | [`Int`](#int) | リポジトリの検証が有効な間隔（日数）。この有効期限が過ぎると、取り消されます。 |
| <a id="geonodename"></a>`name` | [`String`](#string) | Geoノードの固有識別子。 |
| <a id="geonodeprimary"></a>`primary` | [`Boolean`](#boolean) | Geoノードがプライマリかどうかを示します。 |
| <a id="geonodereposmaxcapacity"></a>`reposMaxCapacity` | [`Int`](#int) | セカンダリノードのリポジトリ埋め戻しの最大並行処理。 |
| <a id="geonodeselectivesyncnamespaces"></a>`selectiveSyncNamespaces` | [`NamespaceConnection`](#namespaceconnection) | `selective_sync_type` == `namespaces`の場合に同期するネームスペース。（[接続](#connections)を参照） |
| <a id="geonodeselectivesyncshards"></a>`selectiveSyncShards` | [`[String!]`](#string) | `selective_sync_type` == `shards`の場合にプロジェクトを同期するリポジトリストレージ。 |
| <a id="geonodeselectivesynctype"></a>`selectiveSyncType` | [`String`](#string) | 同期が特定のグループまたはシャードのみに制限されているかどうかを示します。 |
| <a id="geonodesyncobjectstorage"></a>`syncObjectStorage` | [`Boolean`](#boolean) | セカンダリノードがオブジェクトストレージ内のblobをレプリケートするかどうかを示します。 |
| <a id="geonodeurl"></a>`url` | [`String`](#string) | Geoノードのユーザー向けURL。 |
| <a id="geonodeverificationmaxcapacity"></a>`verificationMaxCapacity` | [`Int`](#int) | セカンダリノードのリポジトリ検証の最大並行処理。 |

#### 引数のあるフィールド

##### `GeoNode.ciSecureFileRegistries`

このGeoノードでCi Secureファイルレジストリを検索します。

[`CiSecureFileRegistryConnection`](#cisecurefileregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodecisecurefileregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodecisecurefileregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodecisecurefileregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodecisecurefileregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodecisecurefileregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.containerRepositoryRegistries`

このGeoノードでコンテナリポジトリレジストリを検索します。

[`ContainerRepositoryRegistryConnection`](#containerrepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodecontainerrepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodecontainerrepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodecontainerrepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodecontainerrepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodecontainerrepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.dependencyProxyBlobRegistries`

このGeoノードで依存プロキシblobレジストリを検索します。

{{< details >}}GitLab 15.6で**導入**。**状態**: 実験。{{< /details >}}

[`DependencyProxyBlobRegistryConnection`](#dependencyproxyblobregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodedependencyproxyblobregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodedependencyproxyblobregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodedependencyproxyblobregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodedependencyproxyblobregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodedependencyproxyblobregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.dependencyProxyManifestRegistries`

このGeoノードで依存プロキシmanifestレジストリを検索します。

[`DependencyProxyManifestRegistryConnection`](#dependencyproxymanifestregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodedependencyproxymanifestregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodedependencyproxymanifestregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodedependencyproxymanifestregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodedependencyproxymanifestregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodedependencyproxymanifestregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.designManagementRepositoryRegistries`

このGeoノードで設計監理リポジトリレジストリを検索します。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

[`DesignManagementRepositoryRegistryConnection`](#designmanagementrepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodedesignmanagementrepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodedesignmanagementrepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodedesignmanagementrepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodedesignmanagementrepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodedesignmanagementrepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.groupWikiRepositoryRegistries`

このGeoノードでグループWikiリポジトリレジストリを検索します。

[`GroupWikiRepositoryRegistryConnection`](#groupwikirepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodegroupwikirepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodegroupwikirepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodegroupwikirepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodegroupwikirepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodegroupwikirepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.jobArtifactRegistries`

このGeoノードでジョブアーティファクトレジストリを検索します。

[`JobArtifactRegistryConnection`](#jobartifactregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodejobartifactregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodejobartifactregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodejobartifactregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodejobartifactregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodejobartifactregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.lfsObjectRegistries`

このGeoノードでLFSオブジェクトレジストリを検索します。

[`LfsObjectRegistryConnection`](#lfsobjectregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodelfsobjectregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodelfsobjectregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodelfsobjectregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodelfsobjectregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodelfsobjectregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.mergeRequestDiffRegistries`

このGeoノードでマージリクエスト差分レジストリを検索します。

[`MergeRequestDiffRegistryConnection`](#mergerequestdiffregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodemergerequestdiffregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodemergerequestdiffregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodemergerequestdiffregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodemergerequestdiffregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodemergerequestdiffregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.packageFileRegistries`

GeoNodeのパッケージファイルレジストリ。

[`PackageFileRegistryConnection`](#packagefileregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodepackagefileregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodepackagefileregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodepackagefileregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodepackagefileregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodepackagefileregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.pagesDeploymentRegistries`

このGeoノードでPagesデプロイレジストリを検索します。

[`PagesDeploymentRegistryConnection`](#pagesdeploymentregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodepagesdeploymentregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodepagesdeploymentregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodepagesdeploymentregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodepagesdeploymentregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodepagesdeploymentregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.pipelineArtifactRegistries`

このGeoノードでパイプラインアーティファクトレジストリを検索します。

[`PipelineArtifactRegistryConnection`](#pipelineartifactregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodepipelineartifactregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodepipelineartifactregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodepipelineartifactregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodepipelineartifactregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodepipelineartifactregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.projectRepositoryRegistries`

このGeoノードでプロジェクトレジストリを検索します。`geo_project_repository_replication`機能フラグが無効になっている場合は無視されます。

[`ProjectRepositoryRegistryConnection`](#projectrepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodeprojectrepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodeprojectrepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodeprojectrepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodeprojectrepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodeprojectrepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.projectWikiRepositoryRegistries`

このGeoノードでプロジェクトWikiリポジトリレジストリを検索します。`geo_project_wiki_repository_replication`機能フラグが無効になっている場合は無視されます。

[`ProjectWikiRepositoryRegistryConnection`](#projectwikirepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodeprojectwikirepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodeprojectwikirepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodeprojectwikirepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodeprojectwikirepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodeprojectwikirepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.snippetRepositoryRegistries`

このGeoノードでスニペットリポジトリレジストリを検索します。

[`SnippetRepositoryRegistryConnection`](#snippetrepositoryregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodesnippetrepositoryregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodesnippetrepositoryregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodesnippetrepositoryregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodesnippetrepositoryregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodesnippetrepositoryregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.terraformStateVersionRegistries`

このGeoノードでTerraform状態バージョンのレジストリを検索します。

[`TerraformStateVersionRegistryConnection`](#terraformstateversionregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodeterraformstateversionregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodeterraformstateversionregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodeterraformstateversionregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodeterraformstateversionregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodeterraformstateversionregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

##### `GeoNode.uploadRegistries`

このGeoノードでアップロードレジストリを検索します。

[`UploadRegistryConnection`](#uploadregistryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="geonodeuploadregistriesids"></a>`ids` | [`[ID!]`](#id) | レジストリをIDでフィルタリングします。 |
| <a id="geonodeuploadregistrieskeyword"></a>`keyword` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。検索のユーザーエクスペリエンスとパフォーマンスが低いため、Geoレジストリのキーワード検索機能はUIに組み込まれません。 |
| <a id="geonodeuploadregistriesreplicationstate"></a>`replicationState` | [`ReplicationStateEnum`](#replicationstateenum) | レジストリをレプリケーション状態でフィルタリングします。 |
| <a id="geonodeuploadregistriessort"></a>`sort` | [`GeoRegistrySort`](#georegistrysort) | 指定された条件でレジストリをソートします。 |
| <a id="geonodeuploadregistriesverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | レジストリを検証状態でフィルタリングします。 |

### `GitlabInstanceFeatureFlag`

GitLabインスタンスの機能フラグ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="gitlabinstancefeatureflagenabled"></a>`enabled` | [`Boolean!`](#boolean) | GitLabインスタンスの機能フラグが有効かどうかを示します。 |
| <a id="gitlabinstancefeatureflagname"></a>`name` | [`String!`](#string) | GitLabインスタンスの機能フラグの名前。 |

### `GitlabSubscriptionHistory`

指定されたネームスペースのサブスクリプション履歴について説明します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="gitlabsubscriptionhistorychangetype"></a>`changeType` | [`SubscriptionHistoryChangeType`](#subscriptionhistorychangetype) | サブスクリプションでどのタイプの変更が発生したかを示します。 |
| <a id="gitlabsubscriptionhistorycreatedat"></a>`createdAt` | [`Time`](#time) | サブスクリプション履歴エントリ作成のタイムスタンプ。 |
| <a id="gitlabsubscriptionhistoryenddate"></a>`endDate` | [`Time`](#time) | サブスクリプションの終了日。 |
| <a id="gitlabsubscriptionhistorymaxseatsused"></a>`maxSeatsUsed` | [`Int`](#int) | サブスクリプションで使用された最大シート数。 |
| <a id="gitlabsubscriptionhistoryseats"></a>`seats` | [`Int`](#int) | サブスクリプションで購入したシート数。 |
| <a id="gitlabsubscriptionhistoryseatsinuse"></a>`seatsInUse` | [`Int`](#int) | サブスクリプションで使用中のシート数。 |
| <a id="gitlabsubscriptionhistorystartdate"></a>`startDate` | [`Time`](#time) | サブスクリプションの開始日。 |

### `GoogleCloudArtifactRegistryDockerImage`

Google Artifact RegistryのDockerアーティファクトを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistrydockerimagedigest"></a>`digest` | [`String!`](#string) | イメージのダイジェスト。 |
| <a id="googlecloudartifactregistrydockerimageimage"></a>`image` | [`String!`](#string) | イメージの名前。 |
| <a id="googlecloudartifactregistrydockerimagename"></a>`name` | [`String!`](#string) | 固有のイメージ名。 |
| <a id="googlecloudartifactregistrydockerimagetags"></a>`tags` | [`[String!]`](#string) | イメージに添付されているイシュー。 |
| <a id="googlecloudartifactregistrydockerimageupdatetime"></a>`updateTime` | [`Time`](#time) | イメージの最終更新時刻。 |
| <a id="googlecloudartifactregistrydockerimageuploadtime"></a>`uploadTime` | [`Time`](#time) | イメージがアップロードされた時刻。 |
| <a id="googlecloudartifactregistrydockerimageuri"></a>`uri` | [`String!`](#string) | イメージにアクセスするためのGoogle Cloud URI。 |

### `GoogleCloudArtifactRegistryDockerImageDetails`

Google Artifact RegistryのDockerアーティファクトに関する詳細を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistrydockerimagedetailsartifactregistryimageurl"></a>`artifactRegistryImageUrl` | [`String!`](#string) | イメージにアクセスするためのGoogle Cloud URL。 |
| <a id="googlecloudartifactregistrydockerimagedetailsbuildtime"></a>`buildTime` | [`Time`](#time) | イメージがビルドされた時刻。 |
| <a id="googlecloudartifactregistrydockerimagedetailsdigest"></a>`digest` | [`String!`](#string) | イメージのダイジェスト。 |
| <a id="googlecloudartifactregistrydockerimagedetailsimage"></a>`image` | [`String!`](#string) | イメージの名前。 |
| <a id="googlecloudartifactregistrydockerimagedetailsimagesizebytes"></a>`imageSizeBytes` | [`String`](#string) | 計算によるイメージのサイズ。 |
| <a id="googlecloudartifactregistrydockerimagedetailslocation"></a>`location` | [`String!`](#string) | Artifact Registryリポジトリの場所。 |
| <a id="googlecloudartifactregistrydockerimagedetailsmediatype"></a>`mediaType` | [`String`](#string) | イメージのメディアタイプ。 |
| <a id="googlecloudartifactregistrydockerimagedetailsname"></a>`name` | [`String!`](#string) | 固有のイメージ名。 |
| <a id="googlecloudartifactregistrydockerimagedetailsprojectid"></a>`projectId` | [`String!`](#string) | Google CloudプロジェクトのID。 |
| <a id="googlecloudartifactregistrydockerimagedetailsrepository"></a>`repository` | [`String!`](#string) | Google Artifact Registryのリポジトリ。 |
| <a id="googlecloudartifactregistrydockerimagedetailstags"></a>`tags` | [`[String!]`](#string) | イメージに添付されているイシュー。 |
| <a id="googlecloudartifactregistrydockerimagedetailsupdatetime"></a>`updateTime` | [`Time`](#time) | イメージの最終更新時刻。 |
| <a id="googlecloudartifactregistrydockerimagedetailsuploadtime"></a>`uploadTime` | [`Time`](#time) | イメージがアップロードされた時刻。 |
| <a id="googlecloudartifactregistrydockerimagedetailsuri"></a>`uri` | [`String!`](#string) | イメージにアクセスするためのGoogle Cloud URI。 |

### `GoogleCloudArtifactRegistryRepository`

Google Artifact Registryのリポジトリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistryrepositoryartifactregistryrepositoryurl"></a>`artifactRegistryRepositoryUrl` | [`String!`](#string) | リポジトリにアクセスするためのGoogle Cloud URL。 |
| <a id="googlecloudartifactregistryrepositoryprojectid"></a>`projectId` | [`String!`](#string) | Google CloudプロジェクトのID。 |
| <a id="googlecloudartifactregistryrepositoryrepository"></a>`repository` | [`String!`](#string) | Google Artifact Registryのリポジトリ。 |

#### 引数のあるフィールド

##### `GoogleCloudArtifactRegistryRepository.artifacts`

Google Artifact Registryリポジトリのアーティファクト。GitLab.comの機能が利用できない場合は、`null`を返します。

[`GoogleCloudArtifactRegistryArtifactConnection`](#googlecloudartifactregistryartifactconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudartifactregistryrepositoryartifactssort"></a>`sort` | [`GoogleCloudArtifactRegistryArtifactsSort`](#googlecloudartifactregistryartifactssort) | アーティファクトのソート条件。 |

### `GoogleCloudLoggingConfigurationType`

アクセストークンの生成に使用されるIAMサービスアカウントに関連付けられているGoogle Cloudログ記録設定を保存します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudloggingconfigurationtypeclientemail"></a>`clientEmail` | [`String!`](#string) | クライアントのメール。 |
| <a id="googlecloudloggingconfigurationtypegoogleprojectidname"></a>`googleProjectIdName` | [`String!`](#string) | GoogleプロジェクトID。 |
| <a id="googlecloudloggingconfigurationtypegroup"></a>`group` | [`Group!`](#group) | 設定が属するグループ。 |
| <a id="googlecloudloggingconfigurationtypeid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="googlecloudloggingconfigurationtypelogidname"></a>`logIdName` | [`String!`](#string) | ログID。 |
| <a id="googlecloudloggingconfigurationtypename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

### `GpgSignature`

署名付きコミットのGPG署名。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="gpgsignaturecommitsha"></a>`commitSha` | [`String`](#string) | 関連するコミットのSHA。 |
| <a id="gpgsignaturegpgkeyprimarykeyid"></a>`gpgKeyPrimaryKeyid` | [`String`](#string) | GPGキーのID。 |
| <a id="gpgsignaturegpgkeyuseremail"></a>`gpgKeyUserEmail` | [`String`](#string) | GPGキーに関連付けられているユーザーメール。 |
| <a id="gpgsignaturegpgkeyusername"></a>`gpgKeyUserName` | [`String`](#string) | GPGキーに関連付けられているユーザー名。 |
| <a id="gpgsignatureproject"></a>`project` | [`Project`](#project) | 関連するコミットのプロジェクト。 |
| <a id="gpgsignatureuser"></a>`user` | [`UserCore`](#usercore) | キーに関連付けられているユーザー。 |
| <a id="gpgsignatureverificationstatus"></a>`verificationStatus` | [`VerificationStatus`](#verificationstatus) | 関連するキーまたは証明書の検証状態を示します。 |

### `GrafanaIntegration`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grafanaintegrationcreatedat"></a>`createdAt` | [`Time!`](#time) | イシュー作成時のタイムスタンプ。 |
| <a id="grafanaintegrationenabled"></a>`enabled` | [`Boolean!`](#boolean) | Grafanaインテグレーションが有効かどうかを示します。 |
| <a id="grafanaintegrationgrafanaurl"></a>`grafanaUrl` | [`String!`](#string) | GrafanaインテグレーションのGrafanaホストのURL。 |
| <a id="grafanaintegrationid"></a>`id` | [`ID!`](#id) | Grafanaインテグレーションの内部ID。 |
| <a id="grafanaintegrationupdatedat"></a>`updatedAt` | [`Time!`](#time) | イシューの最後のアクティビティーのタイムスタンプ。 |

### `Group`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupachievementspath"></a>`achievementsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.0で**導入**。**状態**: 実験。ネームスペースのアチーブメントへのパス。ネームスペースがグループでない場合、または`achievements`機能フラグが無効になっている場合は、`null`を返します。 |
| <a id="groupactualrepositorysizelimit"></a>`actualRepositorySizeLimit` | [`Float`](#float) | ネームスペース内のリポジトリのサイズ制限（バイト単位）。この制限は、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="groupactualsizelimit"></a>`actualSizeLimit` | [`Float`](#float) | リポジトリまたはネームスペースのいずれかの適用タイプに基づく実際のストレージサイズの制限（バイト単位）。この制限は適用タイプに依存しません。 |
| <a id="groupadditionalpurchasedstoragesize"></a>`additionalPurchasedStorageSize` | [`Float`](#float) | ルートネームスペースについてて購入された追加のストレージ（バイト単位）。 |
| <a id="groupaiusagedata"></a>`aiUsageData` {{< icon name="warning-solid" >}} | [`AiUsageData`](#aiusagedata) | GitLab 17.5で**導入**。**状態**: 実験。AI関連のデータ。 |
| <a id="groupallowstalerunnerpruning"></a>`allowStaleRunnerPruning` | [`Boolean!`](#boolean) | 期限切れグループRunnerを定期的にプルーニングするかどうかを示します。デフォルトはfalseです。 |
| <a id="groupamazons3configurations"></a>`amazonS3Configurations` | [`AmazonS3ConfigurationTypeConnection`](#amazons3configurationtypeconnection) | グループに属する監査イベントを受信するAmazon S3設定。（[接続](#connections)を参照） |
| <a id="groupautodevopsenabled"></a>`autoDevopsEnabled` | [`Boolean`](#boolean) | グループ内のすべてのプロジェクトでAuto DevOpsが有効になっているかどうかを示します。 |
| <a id="groupavatarurl"></a>`avatarUrl` | [`String`](#string) | グループのアバターURL。 |
| <a id="groupcicdsettings"></a>`ciCdSettings` {{< icon name="warning-solid" >}} | [`CiCdSettings`](#cicdsettings) | GitLab 17.9で**導入**。**状態**: 実験。ネームスペースのネームスペースCI/CD設定。 |
| <a id="groupcontainerrepositoriescount"></a>`containerRepositoriesCount` | [`Int!`](#int) | グループ内のコンテナリポジトリの数。 |
| <a id="groupcontainslockedprojects"></a>`containsLockedProjects` | [`Boolean`](#boolean) | リポジトリサイズが制限を超えるプロジェクトが少なくとも1つ含まれます。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="groupcreatedat"></a>`createdAt` | [`Time`](#time) | グループの作成時のタイムスタンプ。 |
| <a id="groupcrossprojectpipelineavailable"></a>`crossProjectPipelineAvailable` | [`Boolean!`](#boolean) | ネームスペースでcross_project_pipeline機能が利用可能かどうかを示します。 |
| <a id="groupdependencyproxyblobcount"></a>`dependencyProxyBlobCount` | [`Int!`](#int) | グループにキャッシュされた依存プロキシblobの数。 |
| <a id="groupdependencyproxyblobs"></a>`dependencyProxyBlobs` | [`DependencyProxyBlobConnection`](#dependencyproxyblobconnection) | 依存プロキシblob。（[接続](#connections)を参照） |
| <a id="groupdependencyproxyimagecount"></a>`dependencyProxyImageCount` | [`Int!`](#int) | グループ内にキャッシュされた依存プロキシイメージの数。 |
| <a id="groupdependencyproxyimageprefix"></a>`dependencyProxyImagePrefix` | [`String!`](#string) | 依存プロキシを使用する場合にイメージをプルするためのプレフィックス。 |
| <a id="groupdependencyproxyimagettlpolicy"></a>`dependencyProxyImageTtlPolicy` | [`DependencyProxyImageTtlGroupPolicy`](#dependencyproxyimagettlgrouppolicy) | グループの依存プロキシTTLポリシー。 |
| <a id="groupdependencyproxymanifests"></a>`dependencyProxyManifests` | [`DependencyProxyManifestConnection`](#dependencyproxymanifestconnection) | 依存プロキシmanifest。（[接続](#connections)を参照） |
| <a id="groupdependencyproxysetting"></a>`dependencyProxySetting` | [`DependencyProxySetting`](#dependencyproxysetting) | グループの依存プロキシ設定。 |
| <a id="groupdependencyproxytotalsize"></a>`dependencyProxyTotalSize` | [`String!`](#string) | 依存プロキシキャッシュイメージの合計サイズ。 |
| <a id="groupdependencyproxytotalsizebytes"></a>`dependencyProxyTotalSizeBytes` | [`BigInt!`](#bigint) | 文字列としてエンコードされた、依存プロキシキャッシュイメージの合計サイズ（バイト単位）。 |
| <a id="groupdependencyproxytotalsizeinbytes"></a>`dependencyProxyTotalSizeInBytes` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 16.1で**非推奨**になりました。`dependencyProxyTotalSizeBytes`を使用してください。 |
| <a id="groupdescendantgroupscount"></a>`descendantGroupsCount` | [`Int!`](#int) | グループの直接の子孫グループの数。 |
| <a id="groupdescription"></a>`description` | [`String`](#string) | ネームスペースの説明。 |
| <a id="groupdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="groupdora"></a>`dora` | [`GroupDora`](#groupdora) | グループのDORAメトリクス。 |
| <a id="groupduofeaturesenabled"></a>`duoFeaturesEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.10で**導入**。**状態**: 実験。グループでGitLab Duo機能が有効になっているかどうかを示します。 |
| <a id="groupemailsdisabled"></a>`emailsDisabled` | [`Boolean`](#boolean) | グループでメール通知が無効になっているかどうかを示します。 |
| <a id="groupemailsenabled"></a>`emailsEnabled` | [`Boolean`](#boolean) | グループでメール通知が有効になっているかどうかを示します。 |
| <a id="groupenforcefreeusercap"></a>`enforceFreeUserCap` | [`Boolean`](#boolean) | グループの無料プランユーザー数が制限されているかどうかを示します。 |
| <a id="groupepicboards"></a>`epicBoards` {{< icon name="warning-solid" >}} | [`EpicBoardConnection`](#epicboardconnection) | GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。 |
| <a id="groupepicsenabled"></a>`epicsEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。 |
| <a id="groupexternalauditeventdestinations"></a>`externalAuditEventDestinations` | [`ExternalAuditEventDestinationConnection`](#externalauditeventdestinationconnection) | グループに属する監査イベントを受信する外部ロケーション。（[接続](#connections)を参照） |
| <a id="groupexternalauditeventstreamingdestinations"></a>`externalAuditEventStreamingDestinations` {{< icon name="warning-solid" >}} | [`GroupAuditEventStreamingDestinationConnection`](#groupauditeventstreamingdestinationconnection) | GitLab 16.11で**導入**。**状態**: 実験。グループに属する監査イベントを受信する外部宛先。 |
| <a id="groupflowmetrics"></a>`flowMetrics` {{< icon name="warning-solid" >}} | [`GroupValueStreamAnalyticsFlowMetrics`](#groupvaluestreamanalyticsflowmetrics) | GitLab 15.10で**導入**。**状態**: 実験。バリューストリーム分析のフローメトリクス。 |
| <a id="groupfullname"></a>`fullName` | [`String!`](#string) | ネームスペースのフルネーム。 |
| <a id="groupfullpath"></a>`fullPath` | [`ID!`](#id) | ネームスペースのフルパス。 |
| <a id="groupgooglecloudloggingconfigurations"></a>`googleCloudLoggingConfigurations` | [`GoogleCloudLoggingConfigurationTypeConnection`](#googlecloudloggingconfigurationtypeconnection) | グループに属する監査イベントを受信するGoogle Cloudログ設定。（[接続](#connections)を参照） |
| <a id="groupgroupmemberscount"></a>`groupMembersCount` | [`Int!`](#int) | グループの直接メンバーの数。 |
| <a id="groupid"></a>`id` | [`ID!`](#id) | ネームスペースのID。 |
| <a id="groupisadjourneddeletionenabled"></a>`isAdjournedDeletionEnabled` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.11で**導入**。**状態**: 実験。グループの遅延削除が有効かどうかを示します。 |
| <a id="groupislinkedtosubscription"></a>`isLinkedToSubscription` | [`Boolean`](#boolean) | グループがサブスクリプションにリンクされているかどうかを示します。 |
| <a id="grouplfsenabled"></a>`lfsEnabled` | [`Boolean`](#boolean) | ネームスペースでLarge File Storage（LFS）が有効になっているかどうかを示します。 |
| <a id="grouplockduofeaturesenabled"></a>`lockDuoFeaturesEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.10で**導入**。**状態**: 実験。GitLab Duo機能で有効になっている設定がすべてのサブグループに適用されるかどうかを示します。 |
| <a id="grouplockmathrenderinglimitsenabled"></a>`lockMathRenderingLimitsEnabled` | [`Boolean`](#boolean) | 数式レンダリングの制限がすべての子孫グループに対してロックされているかどうかを示します。 |
| <a id="groupmarkedfordeletionon"></a>`markedForDeletionOn` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 16.11で**導入**。**状態**: 実験。グループの削除がスケジュールされている日付。 |
| <a id="groupmathrenderinglimitsenabled"></a>`mathRenderingLimitsEnabled` | [`Boolean`](#boolean) | 数式レンダリングの制限がグループに使用されるかどうかを示します。 |
| <a id="groupmaxaccesslevel"></a>`maxAccessLevel` | [`AccessLevel!`](#accesslevel) | グループ内の現在のユーザーの最大アクセスレベル。 |
| <a id="groupmentionsdisabled"></a>`mentionsDisabled` | [`Boolean`](#boolean) | グループへのメンションが無効になっているかどうかを示します。 |
| <a id="groupname"></a>`name` | [`String!`](#string) | ネームスペースの名前。 |
| <a id="grouporganizationeditpath"></a>`organizationEditPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.1で**導入**。**状態**: 実験。組織レベルでグループを編集するためのパス。 |
| <a id="grouppackagesettings"></a>`packageSettings` | [`PackageSettings`](#packagesettings) | ネームスペースのパッケージ設定。 |
| <a id="groupparent"></a>`parent` | [`Group`](#group) | 親グループ。 |
| <a id="grouppath"></a>`path` | [`String!`](#string) | ネームスペースのパス。 |
| <a id="grouppendingmemberapprovals"></a>`pendingMemberApprovals` {{< icon name="warning-solid" >}} | [`MemberApprovalConnection`](#memberapprovalconnection) | GitLab 17.3で**導入**。**状態**: 実験。グループの保留中メンバープロモーション。 |
| <a id="grouppendingmembers"></a>`pendingMembers` {{< icon name="warning-solid" >}} | [`PendingMemberInterfaceConnection`](#pendingmemberinterfaceconnection) | GitLab 16.6で**導入**。**状態**: 実験。このグループ内のユーザーの保留中のメンバーシップ。 |
| <a id="grouppermanentdeletiondate"></a>`permanentDeletionDate` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.11で**導入**。**状態**: 実験。遅延グループ削除が有効になっている場合に、グループが削除される日付。 |
| <a id="groupproductanalyticsstoredeventslimit"></a>`productAnalyticsStoredEventsLimit` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 16.9で**導入**。**状態**: 実験。ネームスペースがサイクルごとに保存することを許可されているプロダクト分析イベントの数。 |
| <a id="groupprojectcreationlevel"></a>`projectCreationLevel` | [`String`](#string) | グループ内にプロジェクトを作成するために必要な権限レベル。 |
| <a id="groupprojectscount"></a>`projectsCount` | [`Int!`](#int) | グループ内の直接プロジェクトの数。 |
| <a id="grouprecentissueboards"></a>`recentIssueBoards` | [`BoardConnection`](#boardconnection) | 最近アクセスしたグループのボードのリスト。最大サイズは4です。（[接続](#connections)を参照） |
| <a id="grouprepositorysizeexcessprojectcount"></a>`repositorySizeExcessProjectCount` | [`Int`](#int) | リポジトリサイズが制限を超えているルートネームスペース内のプロジェクト数。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="grouprequestaccessenabled"></a>`requestAccessEnabled` | [`Boolean`](#boolean) | ユーザーがネームスペースへのアクセスをリクエストできるかどうかを示します。 |
| <a id="grouprequiretwofactorauthentication"></a>`requireTwoFactorAuthentication` | [`Boolean`](#boolean) | グループ内のすべてのユーザーが2要素認証を設定する必要があるかどうかを示します。 |
| <a id="grouprootstoragestatistics"></a>`rootStorageStatistics` | [`RootStorageStatistics`](#rootstoragestatistics) | ネームスペースの集約ストレージ統計。ルートネームスペースでのみ使用可能です。 |
| <a id="groupsecuritypolicyproject"></a>`securityPolicyProject` | [`Project`](#project) | ネームスペースに割り当てられているセキュリティポリシープロジェクト。 |
| <a id="groupsharewithgrouplock"></a>`shareWithGroupLock` | [`Boolean`](#boolean) | グループ内の別のグループとプロジェクトを共有することが禁止されているかどうかを示します。 |
| <a id="groupsharedrunnerssetting"></a>`sharedRunnersSetting` | [`SharedRunnersSetting`](#sharedrunnerssetting) | ネームスペースとその子孫が共有Runnerを利用できるかどうか。 |
| <a id="groupsidebar"></a>`sidebar` {{< icon name="warning-solid" >}} | [`NamespaceSidebar`](#namespacesidebar) | GitLab 17.6で**導入**。**状態**: 実験。ネームスペースのサイドバーをレンダリングするために必要なデータ。 |
| <a id="groupstats"></a>`stats` | [`GroupStats`](#groupstats) | グループ統計。 |
| <a id="groupstoragesizelimit"></a>`storageSizeLimit` | [`Float`](#float) | ルートネームスペースプランで含められるストレージの制限（バイト単位）。この制限は、ネームスペース制限が適用されるネームスペースにのみ適用されます。 |
| <a id="groupsubgroupcreationlevel"></a>`subgroupCreationLevel` | [`String`](#string) | グループ内にサブグループを作成するために必要な権限レベル。 |
| <a id="groupsubscriptionhistory"></a>`subscriptionHistory` {{< icon name="warning-solid" >}} | [`GitlabSubscriptionHistoryConnection`](#gitlabsubscriptionhistoryconnection) | GitLab 17.3で**導入**。**状態**: 実験。サブスクリプション履歴レコードを検索します。 |
| <a id="grouptimelogcategories"></a>`timelogCategories` {{< icon name="warning-solid" >}} | [`TimeTrackingTimelogCategoryConnection`](#timetrackingtimelogcategoryconnection) | GitLab 15.3で**導入**。**状態**: 実験。ネームスペースのタイムログカテゴリ。 |
| <a id="grouptotalrepositorysize"></a>`totalRepositorySize` | [`Float`](#float) | ルートネームスペース内のすべてのプロジェクトの合計リポジトリサイズ（バイト単位）。 |
| <a id="grouptotalrepositorysizeexcess"></a>`totalRepositorySizeExcess` | [`Float`](#float) | ルートネームスペース内のすべてのプロジェクトの合計超過リポジトリサイズ（バイト単位）。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="grouptwofactorgraceperiod"></a>`twoFactorGracePeriod` | [`Int`](#int) | 2要素認証が強制的に適用されるまでの時間。 |
| <a id="groupupdatedat"></a>`updatedAt` | [`Time`](#time) | グループの最終更新タイムスタンプ。 |
| <a id="groupuserpermissions"></a>`userPermissions` | [`GroupPermissions!`](#grouppermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="groupvaluestreamanalytics"></a>`valueStreamAnalytics` | [`ValueStreamAnalytics`](#valuestreamanalytics) | グループ内のバリューストリーム分析に関する情報。 |
| <a id="groupvisibility"></a>`visibility` | [`String`](#string) | ネームスペースの表示レベル。 |
| <a id="groupvulnerabilityscanners"></a>`vulnerabilityScanners` | [`VulnerabilityScannerConnection`](#vulnerabilityscannerconnection) | グループとそのサブグループのプロジェクト脆弱性について報告された脆弱性スキャナー。（[接続](#connections)を参照） |
| <a id="groupweburl"></a>`webUrl` | [`String!`](#string) | グループのWeb URL。 |

#### 引数のあるフィールド

##### `Group.achievements`

ネームスペースのアチーブメント。`achievements`機能フラグが無効になっている場合、`null`を返します。

{{< details >}}GitLab 15.8で**導入**。**状態**: 実験。{{< /details >}}

[`AchievementConnection`](#achievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupachievementsids"></a>`ids` | [`[AchievementsAchievementID!]`](#achievementsachievementid) | アチーブメントをIDでフィルタリングします。 |

##### `Group.addOnEligibleUsers`

アドオンが適用可能なネームスペース階層内のユーザー。これは、ルートネームスペースにのみ適用されます。

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

[`AddOnUserConnection`](#addonuserconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupaddoneligibleusersaddonpurchaseids"></a>`addOnPurchaseIds` | [`[GitlabSubscriptionsAddOnPurchaseID!]!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当てを検索する対象のアドオン購入のグローバルID。 |
| <a id="groupaddoneligibleusersaddontype"></a>`addOnType` | [`GitlabSubscriptionsAddOnType!`](#gitlabsubscriptionsaddontype) | 対象ユーザーのフィルタリングの基準となるアドオンのタイプ。 |
| <a id="groupaddoneligibleusersfilterbyassignedseat"></a>`filterByAssignedSeat` | [`String`](#string) | ユーザーリストを、割り当てられたシートでフィルタリングします。 |
| <a id="groupaddoneligibleuserssearch"></a>`search` | [`String`](#string) | ユーザーリストを検索します。 |
| <a id="groupaddoneligibleuserssort"></a>`sort` | [`GitlabSubscriptionsUserSort`](#gitlabsubscriptionsusersort) | ユーザーリストをソートします。 |

##### `Group.addOnPurchase`

ネームスペースに関連付けられているAddOnPurchase。

{{< details >}}GitLab 17.5で**非推奨**になりました。代わりにルートaddOnPurchasesを使用してください。{{< /details >}}

[`AddOnPurchase`](#addonpurchase)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupaddonpurchaseaddonname"></a>`addOnName` | [`String!`](#string) | アドオン名。 |

##### `Group.aiMetrics`

AI関連のメトリクス。

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

[`AiMetrics`](#aimetrics)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupaimetricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは当月末です。 |
| <a id="groupaimetricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは当月の初めです。 |

##### `Group.aiUserMetrics`

AI関連のユーザーメトリクス。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`AiUserMetricsConnection`](#aiusermetricsconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupaiusermetricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは当月末です。 |
| <a id="groupaiusermetricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは当月の初めです。 |

##### `Group.approvalPolicies`

プロジェクトの承認ポリシー。

[`ApprovalPolicyConnection`](#approvalpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupapprovalpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="groupapprovalpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Group.autocompleteUsers`

オートコンプリートのためにユーザーを検索します。

[`[AutocompletedUser!]`](#autocompleteduser)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupautocompleteuserssearch"></a>`search` | [`String`](#string) | 名前、ユーザー名、または公開メールでユーザーを検索するクエリ。 |

##### `Group.billableMembersCount`

グループ内の請求対象ユーザーの数。

[`Int`](#int)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupbillablememberscountrequestedhostedplan"></a>`requestedHostedPlan` | [`String`](#string) | 請求可能メンバーを取得するプラン。 |

##### `Group.board`

グループの単一のボード。

[`Board`](#board)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupboardid"></a>`id` | [`BoardID!`](#boardid) | ボードのID。 |

##### `Group.boards`

グループのボード。

[`BoardConnection`](#boardconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupboardsid"></a>`id` | [`BoardID`](#boardid) | ボードをIDで検索します。 |

##### `Group.ciQueueingHistory`

このグループのRunnerがCIジョブをパーセンタイルによって選択するのにかかる時間。グループのメンテナーロールを付与されているユーザーが利用できます。このクエリを使用するには、ClickHouseデータベースバックエンドを有効にします。

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

[`QueueingDelayHistory`](#queueingdelayhistory)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupciqueueinghistoryfromtime"></a>`fromTime` | [`Time`](#time) | リクエストされた時間の開始時刻。デフォルトは3時間前です。 |
| <a id="groupciqueueinghistorytotime"></a>`toTime` | [`Time`](#time) | リクエストされた時間の終了時刻。デフォルトは現在の時刻です。 |

##### `Group.ciVariables`

グループのCI/CD変数のリスト。

[`CiGroupVariableConnection`](#cigroupvariableconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcivariablessort"></a>`sort` | [`CiVariableSort`](#civariablesort) | 結果のソート順。 |

##### `Group.clusterAgents`

グループとそのサブグループ内のプロジェクトに関連付けられているクラスターエージェント。

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupclusteragentshasremotedevelopmentagentconfig"></a>`hasRemoteDevelopmentAgentConfig` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。代わりにhas_workspaces_agent_configフィルターを使用してください。 |
| <a id="groupclusteragentshasremotedevelopmentenabled"></a>`hasRemoteDevelopmentEnabled` | [`Boolean`](#boolean) | リモート開発機能で有効になっているクラスターエージェントのみを返します。 |
| <a id="groupclusteragentshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるクラスターエージェントのみを返します。 |
| <a id="groupclusteragentshasworkspacesagentconfig"></a>`hasWorkspacesAgentConfig` | [`Boolean`](#boolean) | ワークスペースエージェント設定が関連付けられているクラスターエージェントのみを返します。 |

##### `Group.codeCoverageActivities`

このグループのコードカバレッジアクティビティーを表します。

[`CodeCoverageActivityConnection`](#codecoverageactivityconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcodecoverageactivitiesstartdate"></a>`startDate` | [`Date!`](#date) | コードカバレッジアクティビティーをフェッチする対象となる最初の日（最大時間枠は90日に設定されています）。 |

##### `Group.complianceFrameworks`

このネームスペース内のプロジェクトで利用可能なコンプライアンスフレームワーク。

[`ComplianceFrameworkConnection`](#complianceframeworkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcomplianceframeworksid"></a>`id` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | 返す特定のコンプライアンスフレームワークのグローバルID。 |
| <a id="groupcomplianceframeworksids"></a>`ids` | [`[ComplianceManagementFrameworkID!]`](#compliancemanagementframeworkid) | 返すコンプライアンスフレームワークのグローバルIDのリスト。 |
| <a id="groupcomplianceframeworkssearch"></a>`search` | [`String`](#string) | 名前が最も類似しているフレームワークを検索します。 |

##### `Group.components`

ソフトウェア依存関係を名前で検索します。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`[Component!]`](#component)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcomponentsname"></a>`name` | [`String`](#string) | 名前の全体または一部。 |

##### `Group.contactStateCounts`

グループの状態ごとの連絡先の数。

[`ContactStateCounts`](#contactstatecounts)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcontactstatecountssearch"></a>`search` | [`String`](#string) | 連絡先を検索するための検索語句。 |
| <a id="groupcontactstatecountsstate"></a>`state` | [`CustomerRelationsContactState`](#customerrelationscontactstate) | 検索する連絡先の状態。 |

##### `Group.contacts`

このグループの連絡先を検索します。

[`CustomerRelationsContactConnection`](#customerrelationscontactconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcontactsids"></a>`ids` | [`[CustomerRelationsContactID!]`](#customerrelationscontactid) | 連絡先をIDでフィルタリングします。 |
| <a id="groupcontactssearch"></a>`search` | [`String`](#string) | 連絡先を検索するための検索語句。 |
| <a id="groupcontactssort"></a>`sort` | [`ContactSort`](#contactsort) | 連絡先のソート条件。 |
| <a id="groupcontactsstate"></a>`state` | [`CustomerRelationsContactState`](#customerrelationscontactstate) | 検索する連絡先の状態。 |

##### `Group.containerRepositories`

グループのコンテナリポジトリ。

[`ContainerRepositoryConnection`](#containerrepositoryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcontainerrepositoriesname"></a>`name` | [`String`](#string) | コンテナリポジトリを名前でフィルタリングします。 |
| <a id="groupcontainerrepositoriessort"></a>`sort` | [`ContainerRepositorySort`](#containerrepositorysort) | コンテナリポジトリを条件でソートします。 |

##### `Group.contributions`

グループとそのサブグループ内のユーザーによる集約コントリビュートを提供します。

[`ContributionAnalyticsContributionConnection`](#contributionanalyticscontributionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcontributionsfrom"></a>`from` | [`ISO8601Date!`](#iso8601date) | レポート期間の開始日。 |
| <a id="groupcontributionsto"></a>`to` | [`ISO8601Date!`](#iso8601date) | レポート期間の終了日。終了日は、開始日から93日以内でなければなりません。 |

##### `Group.customEmoji`

このネームスペース内のカスタム絵文字。

[`CustomEmojiConnection`](#customemojiconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcustomemojiincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 親グループからのカスタム絵文字を含みます。 |

##### `Group.customField`

グループに設定されているカスタムフィールド。機能フラグ`custom_fields_feature`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`CustomField`](#customfield)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcustomfieldid"></a>`id` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |

##### `Group.customFields`

グループに設定されているカスタムフィールド。機能フラグ`custom_fields_feature`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`CustomFieldConnection`](#customfieldconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcustomfieldsactive"></a>`active` | [`Boolean`](#boolean) | アクティブなフィールドについてフィルタリングします。`false`の場合、アクティブなフィールドを除外します。`true`の場合、アクティブなフィールドのみを返します。 |
| <a id="groupcustomfieldsfieldtype"></a>`fieldType` | [`CustomFieldType`](#customfieldtype) | 選択したフィールドの型でフィルタリングします。 |
| <a id="groupcustomfieldssearch"></a>`search` | [`String`](#string) | カスタムフィールド名の検索クエリ。 |
| <a id="groupcustomfieldsworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID`](#workitemstypeid) | 指定された作業アイテムタイプに関連付けられているカスタムフィールドをフィルタリングします。 |

##### `Group.customizableDashboardVisualizations`

グループまたは関連する設定プロジェクトの可視化。

[`CustomizableDashboardVisualizationConnection`](#customizabledashboardvisualizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcustomizabledashboardvisualizationsslug"></a>`slug` | [`String`](#string) | 返す可視化のslug。 |

##### `Group.customizableDashboards`

グループのカスタマイズ可能ダッシュボード。

[`CustomizableDashboardConnection`](#customizabledashboardconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupcustomizabledashboardscategory"></a>`category` | [`CustomizableDashboardCategory`](#customizabledashboardcategory) | ダッシュボードのタイプで検索します。 |
| <a id="groupcustomizabledashboardsslug"></a>`slug` | [`String`](#string) | ダッシュボードのslugで検索します。 |

##### `Group.dataTransfer`

特定の期間のデータ転送データポイント。これは、開発機能フラグ下のモックデータです。

[`GroupDataTransfer`](#groupdatatransfer)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdatatransferfrom"></a>`from` | [`Date`](#date) | エグレスデータを1年間保持します。エグレスの発生に伴い、当月のデータは動的に増加します。 |
| <a id="groupdatatransferto"></a>`to` | [`Date`](#date) | データの終了日。 |

##### `Group.dependencies`

このグループのプロジェクトで使用されるソフトウェア依存関係。

[`DependencyConnection`](#dependencyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdependenciescomponentids"></a>`componentIds` | [`[SbomComponentID!]`](#sbomcomponentid) | 依存関係をコンポーネントIDでフィルタリングします。 |
| <a id="groupdependenciescomponentnames"></a>`componentNames` | [`[String!]`](#string) | 依存関係をコンポーネント名でフィルタリングします。 |
| <a id="groupdependenciespackagemanagers"></a>`packageManagers` | [`[PackageManager!]`](#packagemanager) | 依存関係をパッケージマネージャーでフィルタリングします。 |
| <a id="groupdependenciessort"></a>`sort` | [`DependencySort`](#dependencysort) | 指定された条件で依存関係をソートします。 |
| <a id="groupdependenciessourcetypes"></a>`sourceTypes` | [`[SbomSourceType!]`](#sbomsourcetype) | 依存関係をソース型でフィルタリングします。 |

##### `Group.descendantGroups`

このグループの子孫グループのリスト。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdescendantgroupsids"></a>`ids` | [`[ID!]`](#id) | グループをIDでフィルタリングします。 |
| <a id="groupdescendantgroupsincludeparentdescendants"></a>`includeParentDescendants` | [`Boolean`](#boolean) | 親グループの子孫グループのリスト。 |
| <a id="groupdescendantgroupsowned"></a>`owned` | [`Boolean`](#boolean) | 認証済みユーザーが所有するグループに結果を制限します。 |
| <a id="groupdescendantgroupssearch"></a>`search` | [`String`](#string) | グループ名またはグループのフルパスの検索クエリ。 |

##### `Group.doraPerformanceScoreCounts`

すべてのプロジェクトについてのグループのDORAスコア（先月のDORAキーメトリクス別）。

[`DoraPerformanceScoreCountConnection`](#doraperformancescorecountconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdoraperformancescorecountsprojectfilters"></a>`projectFilters` | [`DoraProjectFilterInput`](#doraprojectfilterinput) | DORAメトリクスの結果をプロジェクトの属性でフィルタリングします。 |

##### `Group.environmentScopes`

グループの環境スコープ。

[`CiGroupEnvironmentScopeConnection`](#cigroupenvironmentscopeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupenvironmentscopesname"></a>`name` | [`String`](#string) | 環境スコープの名前。 |
| <a id="groupenvironmentscopessearch"></a>`search` | [`String`](#string) | 環境スコープ名の検索クエリ。 |

##### `Group.epic`

単一のエピックを検索します。

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

[`Epic`](#epic)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupepicauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="groupepicconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="groupepiccreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="groupepiccreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="groupepiccustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="groupepiciid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="groupepiciidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="groupepiciids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="groupepicin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupepicincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのエピックを含めます。 |
| <a id="groupepicincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="groupepiclabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="groupepicmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="groupepicmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupepicnot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="groupepicor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="groupepicsearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupepicsort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="groupepicstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="groupepicsubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="groupepictimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupepictoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="groupepicupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="groupepicupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `Group.epicBoard`

単一のエピックボードを検索します。

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

[`EpicBoard`](#epicboard)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupepicboardid"></a>`id` | [`BoardsEpicBoardID!`](#boardsepicboardid) | エピックボードをIDで検索します。 |

##### `Group.epics`

エピックを検索します。

{{< details >}}GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。{{< /details >}}

[`EpicConnection`](#epicconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupepicsauthorusername"></a>`authorUsername` | [`String`](#string) | エピックを作成者でフィルタリングします。 |
| <a id="groupepicsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 指定された機密性でエピックをフィルタリングします。 |
| <a id="groupepicscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたエピック。 |
| <a id="groupepicscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたエピック。 |
| <a id="groupepicscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="groupepicsiid"></a>`iid` | [`ID`](#id) | エピックのIID（1など）。 |
| <a id="groupepicsiidstartswith"></a>`iidStartsWith` | [`String`](#string) | エピックをオートコンプリート用にIIDでフィルタリングします。 |
| <a id="groupepicsiids"></a>`iids` | [`[ID!]`](#id) | エピックのIIDのリスト（`[1, 2]`など）。 |
| <a id="groupepicsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupepicsincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのエピックを含めます。 |
| <a id="groupepicsincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのエピックを含めます。 |
| <a id="groupepicslabelname"></a>`labelName` | [`[String!]`](#string) | エピックをラベルでフィルタリングします。 |
| <a id="groupepicsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | エピックをエピックのイシューから算出されるマイルストーンのタイトルでフィルタリングします。 |
| <a id="groupepicsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupepicsnot"></a>`not` | [`NegatedEpicFilterInput`](#negatedepicfilterinput) | 否定条件となるエピック引数。 |
| <a id="groupepicsor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="groupepicssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupepicssort"></a>`sort` | [`EpicSort`](#epicsort) | エピックをソート順に一覧表示します。 |
| <a id="groupepicsstate"></a>`state` | [`EpicState`](#epicstate) | エピックを状態でフィルタリングします。 |
| <a id="groupepicssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているエピック。 |
| <a id="groupepicstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupepicstoplevelhierarchyonly"></a>`topLevelHierarchyOnly` | [`Boolean`](#boolean) | トップレベル階層でエピックをフィルタリングします。 |
| <a id="groupepicsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたエピック。 |
| <a id="groupepicsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたエピック。 |

##### `Group.gitlabSubscriptionsPreviewBillableUserChange`

請求対象ユーザーの変更をプレビューします。

[`PreviewBillableUserChange`](#previewbillableuserchange)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupgitlabsubscriptionspreviewbillableuserchangeaddgroupid"></a>`addGroupId` | [`Int`](#int) | 追加するグループID。 |
| <a id="groupgitlabsubscriptionspreviewbillableuserchangeadduseremails"></a>`addUserEmails` | [`[String!]`](#string) | 追加するユーザーメール。 |
| <a id="groupgitlabsubscriptionspreviewbillableuserchangeadduserids"></a>`addUserIds` | [`[Int!]`](#int) | 追加するユーザーID。 |
| <a id="groupgitlabsubscriptionspreviewbillableuserchangememberroleid"></a>`memberRoleId` | [`Int`](#int) | ユーザーに割り当てられているカスタムロール。 |
| <a id="groupgitlabsubscriptionspreviewbillableuserchangerole"></a>`role` | [`GitlabSubscriptionsUserRole!`](#gitlabsubscriptionsuserrole) | グループに追加するユーザーのロール。 |

##### `Group.groupMembers`

このグループ内のユーザーのメンバーシップ。

[`GroupMemberConnection`](#groupmemberconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupgroupmembersaccesslevels"></a>`accessLevels` | [`[AccessLevelEnum!]`](#accesslevelenum) | 指定されたアクセスレベルでメンバーをフィルタリングします。 |
| <a id="groupgroupmembersenterprise"></a>`enterprise` | [`Boolean`](#boolean) | Enterpriseユーザーでメンバーをフィルタリングします。 |
| <a id="groupgroupmembersrelations"></a>`relations` | [`[GroupMemberRelation!]`](#groupmemberrelation) | 指定されたメンバー関係でメンバーをフィルタリングします。 |
| <a id="groupgroupmemberssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="groupgroupmemberssort"></a>`sort` | [`MemberSort`](#membersort) | ソートクエリ。 |

##### `Group.importSourceUsers`

ネームスペースのソースユーザーをインポートします。このフィールドは、1回のリクエストにつき1つのネームスペースに対してのみ解決できます。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`ImportSourceUserConnection`](#importsourceuserconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupimportsourceuserssearch"></a>`search` | [`String`](#string) | ソースインスタンス上のユーザーの名前またはユーザー名でマッピングを検索するクエリ。 |
| <a id="groupimportsourceuserssort"></a>`sort` | [`SourceUserSort`](#sourceusersort) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングを基準によりソートします。 |
| <a id="groupimportsourceusersstatuses"></a>`statuses` | [`[ImportSourceUserStatus!]`](#importsourceuserstatus) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングを状態によりフィルタリングします。 |

##### `Group.issues`

このグループ内のプロジェクトのイシュー。

[`IssueConnection`](#issueconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupissuesassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられているユーザーのID。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="groupissuesassigneeusername"></a>`assigneeUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.11で**非推奨**になりました。`assigneeUsernames`を使用してください。 |
| <a id="groupissuesassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="groupissuesassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="groupissuesauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="groupissuesclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日付より後に完了したイシュー。 |
| <a id="groupissuesclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日付より前に完了したイシュー。 |
| <a id="groupissuesconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報イシューについてフィルタリングします。「false」の場合、機密情報イシューを除外します。「true」の場合、機密情報イシューのみを返します。 |
| <a id="groupissuescreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたイシュー。 |
| <a id="groupissuescreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたイシュー。 |
| <a id="groupissuescrmcontactid"></a>`crmContactId` | [`String`](#string) | イシューに割り当てられた連絡先のID。 |
| <a id="groupissuescrmorganizationid"></a>`crmOrganizationId` | [`String`](#string) | イシューに割り当てられている組織のID。 |
| <a id="groupissuescustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="groupissuesdueafter"></a>`dueAfter` | [`Time`](#time) | 指定時刻以降に期限が切れるイシューを返します。 |
| <a id="groupissuesduebefore"></a>`dueBefore` | [`Time`](#time) | 指定時刻以前に期限が切れるイシューを返します。 |
| <a id="groupissuesepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられているエピックのID。「none」と「any」の値がサポートされています。 |
| <a id="groupissuesepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="groupissueshealthstatus"></a>`healthStatus` {{< icon name="warning-solid" >}} | [`HealthStatus`](#healthstatus) | GitLab 15.4で**非推奨**になりました。`healthStatusFilter`を使用してください。 |
| <a id="groupissueshealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="groupissuesiid"></a>`iid` | [`String`](#string) | イシューのIID。例：「1」。 |
| <a id="groupissuesiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="groupissuesin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupissuesincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトのイシューを返します。 |
| <a id="groupissuesincludesubepics"></a>`includeSubepics` | [`Boolean`](#boolean) | epicIdでイシューをフィルタリングする際にサブエピックを含めるかどうか。 |
| <a id="groupissuesincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループに属するイシューを含めます。 |
| <a id="groupissuesiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="groupissuesiterationid"></a>`iterationId` | [`[ID]`](#id) | イシューに適用されるイテレーショングローバルIDのリスト。 |
| <a id="groupissuesiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="groupissuesiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="groupissueslabelname"></a>`labelName` | [`[String]`](#string) | イシューに適用されるラベル。 |
| <a id="groupissuesmilestonetitle"></a>`milestoneTitle` | [`[String]`](#string) | イシューに適用されるマイルストーン。 |
| <a id="groupissuesmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="groupissuesmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="groupissuesnot"></a>`not` | [`NegatedIssueFilterInput`](#negatedissuefilterinput) | 引数の否定。 |
| <a id="groupissuesor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="groupissuessearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupissuessort"></a>`sort` | [`IssueSort`](#issuesort) | 基準でイシューをソートします。 |
| <a id="groupissuesstate"></a>`state` | [`IssuableState`](#issuablestate) | イシューの現在の状態。 |
| <a id="groupissuessubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているイシュー。 |
| <a id="groupissuestypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューをフィルタリングします。 |
| <a id="groupissuesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたイシュー。 |
| <a id="groupissuesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたイシュー。 |
| <a id="groupissuesweight"></a>`weight` | [`String`](#string) | イシューに適用されるウェイト。「none」と「any」の値がサポートされています。 |
| <a id="groupissuesweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

##### `Group.iterationCadences`

イテレーションケイデンスを検索します。

[`IterationCadenceConnection`](#iterationcadenceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupiterationcadencesactive"></a>`active` | [`Boolean`](#boolean) | イテレーションケイデンスがアクティブかどうか。 |
| <a id="groupiterationcadencesautomatic"></a>`automatic` | [`Boolean`](#boolean) | イテレーションケイデンスで今後のイテレーションを自動生成するかどうか。 |
| <a id="groupiterationcadencesdurationinweeks"></a>`durationInWeeks` | [`Int`](#int) | ケイデンス内でのイテレーションの期間（週単位）。 |
| <a id="groupiterationcadencesid"></a>`id` | [`IterationsCadenceID`](#iterationscadenceid) | 検索するイテレーションケイデンスのグローバルID。 |
| <a id="groupiterationcadencesincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | イテレーションケイデンスの検索に祖先グループを含めるかどうか。 |
| <a id="groupiterationcadencestitle"></a>`title` | [`String`](#string) | タイトルであいまい検索します。 |

##### `Group.iterations`

イテレーションを検索します。

[`IterationConnection`](#iterationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupiterationsid"></a>`id` | [`ID`](#id) | 検索するイテレーションのグローバルID。 |
| <a id="groupiterationsiid"></a>`iid` | [`ID`](#id) | 検索するイテレーションの内部ID。 |
| <a id="groupiterationsin"></a>`in` | [`[IterationSearchableField!]`](#iterationsearchablefield) | 引数`search`で指定されたクエリを使用してあいまい検索を実行するフィールド。デフォルトは`[title]`です。 |
| <a id="groupiterationsincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | 祖先イテレーションを含めるかどうか。デフォルトはtrueです。 |
| <a id="groupiterationsincludedescendants"></a>`includeDescendants` | [`Boolean`](#boolean) | 子孫イテレーションを含めるかどうか。 |
| <a id="groupiterationsiterationcadenceids"></a>`iterationCadenceIds` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションの検索条件となるグローバルイテレーションケイデンスID。 |
| <a id="groupiterationssearch"></a>`search` | [`String`](#string) | 引数`in`で選択されたフィールドでのあいまい検索に使用されるクエリ。空の場合、すべてのイテレーションを返します。 |
| <a id="groupiterationssort"></a>`sort` | [`IterationSort`](#iterationsort) | イテレーションをソート順で一覧表示します。指定しない場合、任意の順序（変更される可能性があります）が使用されます。 |
| <a id="groupiterationsstate"></a>`state` | [`IterationState`](#iterationstate) | イテレーションを状態でフィルタリングします。 |
| <a id="groupiterationstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupiterationstitle"></a>`title` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.4で**非推奨**になりました。引数は15.4で削除される予定です。代わりに`search`フィールドと`in`フィールドを使用してください。 |

##### `Group.label`

グループで利用可能なラベル。

[`Label`](#label)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouplabeltitle"></a>`title` | [`String!`](#string) | ラベルのタイトル。 |

##### `Group.labels`

このグループで利用可能なラベル。

[`LabelConnection`](#labelconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouplabelsincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのラベルを含めます。 |
| <a id="grouplabelsincludedescendantgroups"></a>`includeDescendantGroups` | [`Boolean`](#boolean) | 子孫グループのラベルを含めます。 |
| <a id="grouplabelsonlygrouplabels"></a>`onlyGroupLabels` | [`Boolean`](#boolean) | グループレベルのラベルのみを含めます。 |
| <a id="grouplabelssearchin"></a>`searchIn` | [`[LabelSearchFieldList!]!`](#labelsearchfieldlist) | 検索場所となるフィールドを指定します。`title`を使用している場合は無視されます。 |
| <a id="grouplabelssearchterm"></a>`searchTerm` | [`String`](#string) | ラベルを検索するための検索語句。 |
| <a id="grouplabelstitle"></a>`title` | [`String`](#string) | タイトルの完全一致。`searchTerm`と一緒に使用することはできません。`title`引数が指定されている場合、`searchIn`は無視されます。 |

##### `Group.memberRoles`

グループで使用可能なカスタムロール。

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

[`MemberRoleConnection`](#memberroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmemberrolesid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="groupmemberrolesids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="groupmemberrolesorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="groupmemberrolessort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

##### `Group.mergeRequestViolations`

グループ内でマージされたマージリクエストで報告されたコンプライアンス違反。

[`ComplianceViolationConnection`](#complianceviolationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmergerequestviolationsfilters"></a>`filters` | [`ComplianceViolationInput`](#complianceviolationinput) | コンプライアンス違反を取得する際に適用するフィルター。 |
| <a id="groupmergerequestviolationssort"></a>`sort` | [`ComplianceViolationSort`](#complianceviolationsort) | コンプライアンス違反をソート順に一覧表示します。 |

##### `Group.mergeRequests`

このグループ内のプロジェクトのマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="groupmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="groupmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="groupmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="groupmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="groupmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="groupmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="groupmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="groupmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="groupmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="groupmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="groupmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="groupmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="groupmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="groupmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="groupmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="groupmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエストを返します。 |
| <a id="groupmergerequestsincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループに属するマージリクエストを含めます。 |
| <a id="groupmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="groupmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="groupmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="groupmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="groupmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="groupmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="groupmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="groupmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="groupmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="groupmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="groupmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="groupmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="groupmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="groupmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="groupmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="groupmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="groupmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="groupmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="groupmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="groupmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="groupmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="groupmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `Group.milestones`

グループのマイルストーン。

[`MilestoneConnection`](#milestoneconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmilestonescontainingdate"></a>`containingDate` | [`Time`](#time) | マイルストーンに含まれる日付。 |
| <a id="groupmilestonesids"></a>`ids` | [`[ID!]`](#id) | グローバルマイルストーンIDの配列（例：`"gid://gitlab/Milestone/1"`）。 |
| <a id="groupmilestonesincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | すべての親グループからのマイルストーンを含めます。 |
| <a id="groupmilestonesincludedescendants"></a>`includeDescendants` | [`Boolean`](#boolean) | すべてのサブグループとサブプロジェクトからのマイルストーンを含めます。 |
| <a id="groupmilestonessearchtitle"></a>`searchTitle` | [`String`](#string) | タイトルの検索文字列。 |
| <a id="groupmilestonessort"></a>`sort` | [`MilestoneSort`](#milestonesort) | マイルストーンを条件でソートします。 |
| <a id="groupmilestonesstate"></a>`state` | [`MilestoneStateEnum`](#milestonestateenum) | マイルストーンを状態でフィルタリングします。 |
| <a id="groupmilestonestimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupmilestonestitle"></a>`title` | [`String`](#string) | マイルストーンのタイトル。 |

##### `Group.organizationStateCounts`

グループの状態ごとの組織の数。

[`OrganizationStateCounts`](#organizationstatecounts)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouporganizationstatecountssearch"></a>`search` | [`String`](#string) | 組織の検索に使用する検索語句。 |
| <a id="grouporganizationstatecountsstate"></a>`state` | [`CustomerRelationsOrganizationState`](#customerrelationsorganizationstate) | 検索する組織の状態。 |

##### `Group.organizations`

このグループの組織を検索します。

[`CustomerRelationsOrganizationConnection`](#customerrelationsorganizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouporganizationsids"></a>`ids` | [`[CustomerRelationsOrganizationID!]`](#customerrelationsorganizationid) | 組織をIDでフィルタリングします。 |
| <a id="grouporganizationssearch"></a>`search` | [`String`](#string) | 組織の検索に使用する検索語句。 |
| <a id="grouporganizationssort"></a>`sort` | [`OrganizationSort`](#organizationsort) | 組織のソート条件。 |
| <a id="grouporganizationsstate"></a>`state` | [`CustomerRelationsOrganizationState`](#customerrelationsorganizationstate) | 検索する組織の状態。 |

##### `Group.packages`

グループのパッケージ。このフィールドは、1回のリクエストにつき1つのグループに対してのみ解決できます。

[`PackageConnection`](#packageconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouppackagesincludeversionless"></a>`includeVersionless` | [`Boolean`](#boolean) | バージョンなしのパッケージを含めます。 |
| <a id="grouppackagespackagename"></a>`packageName` | [`String`](#string) | パッケージを名前で検索します。 |
| <a id="grouppackagespackagetype"></a>`packageType` | [`PackageTypeEnum`](#packagetypeenum) | パッケージをタイプでフィルタリングします。 |
| <a id="grouppackagespackageversion"></a>`packageVersion` | [`String`](#string) | パッケージをバージョンでフィルタリングします。`include_versionless`と組み合わせて使用​​すると、バージョンなしのパッケージは返されません。 |
| <a id="grouppackagessort"></a>`sort` | [`PackageGroupSort`](#packagegroupsort) | パッケージを条件でソートします。 |
| <a id="grouppackagesstatus"></a>`status` | [`PackageStatus`](#packagestatus) | パッケージを状態でフィルタリングします。 |

##### `Group.pagesDeployments`

ネームスペースのPagesデプロイのリスト。

[`PagesDeploymentConnection`](#pagesdeploymentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouppagesdeploymentsactive"></a>`active` | [`Boolean`](#boolean) | アクティブまたは無効（非アクティブ）の状態でフィルタリングします。 |
| <a id="grouppagesdeploymentssort"></a>`sort` | [`Sort`](#sort) | 結果をソートします。 |
| <a id="grouppagesdeploymentsversioned"></a>`versioned` | [`Boolean`](#boolean) | バージョン管理されているデプロイかバージョン管理されていないデプロイかでフィルタリングします。 |

##### `Group.pipelineAnalytics`

パイプライン分析。

[`PipelineAnalytics`](#pipelineanalytics)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouppipelineanalyticsfromtime"></a>`fromTime` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 17.5で**導入**。**状態**: 実験。リクエストされた時間の開始時刻（UTC）。デフォルトは、過去1週間に開始されたパイプラインです。 |
| <a id="grouppipelineanalyticsref"></a>`ref` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.5で**導入**。**状態**: 実験。パイプラインをトリガーしたブランチ。 |
| <a id="grouppipelineanalyticssource"></a>`source` {{< icon name="warning-solid" >}} | [`CiPipelineSources`](#cipipelinesources) | GitLab 17.5で**導入**。**状態**: 実験。パイプラインのソース。 |
| <a id="grouppipelineanalyticstotime"></a>`toTime` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 17.5で**導入**。**状態**: 実験。リクエストされた時間の終了時刻（UTC）。デフォルトは、現在の日付より前に開始されたパイプラインです。 |

##### `Group.pipelineExecutionPolicies`

ネームスペースのパイプライン実行ポリシー。

[`PipelineExecutionPolicyConnection`](#pipelineexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouppipelineexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="grouppipelineexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Group.projectComplianceRequirementsStatus`

グループとそのサブグループ内のプロジェクトのコンプライアンス標準への準拠。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectComplianceRequirementStatusConnection`](#projectcompliancerequirementstatusconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupprojectcompliancerequirementsstatusfilters"></a>`filters` | [`GroupProjectRequirementComplianceStatusInput`](#groupprojectrequirementcompliancestatusinput) | コンプライアンス要件状態を取得する際に適用するフィルター。 |

##### `Group.projectComplianceStandardsAdherence`

グループとそのサブグループ内のプロジェクトのコンプライアンス標準への準拠。

[`ComplianceStandardsAdherenceConnection`](#compliancestandardsadherenceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupprojectcompliancestandardsadherencefilters"></a>`filters` | [`ComplianceStandardsAdherenceInput`](#compliancestandardsadherenceinput) | コンプライアンス標準への準拠を取得する際に適用するフィルター。 |

##### `Group.projects`

このネームスペース内のプロジェクト。ネームスペースがプロジェクトの場合、親グループからのプロジェクトを返します。

[`ProjectConnection!`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupprojectsarchivedonly"></a>`archivedOnly` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトのみを返します。 |
| <a id="groupprojectscomplianceframeworkfilters"></a>`complianceFrameworkFilters` | [`ComplianceFrameworkFilters`](#complianceframeworkfilters) | コンプライアンスフレームワークを選択する際に適用するフィルター。 |
| <a id="groupprojectshascodecoverage"></a>`hasCodeCoverage` | [`Boolean`](#boolean) | コードカバレッジのあるプロジェクトのみを返します。 |
| <a id="groupprojectshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるプロジェクトのみを返します。 |
| <a id="groupprojectsids"></a>`ids` | [`[ID!]`](#id) | プロジェクトをIDでフィルタリングします。 |
| <a id="groupprojectsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトも含めます。 |
| <a id="groupprojectsincludesiblingprojects"></a>`includeSiblingProjects` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.2で**導入**。**状態**: 実験。親グループのプロジェクトも含めます。 |
| <a id="groupprojectsincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループプロジェクトも含めます。 |
| <a id="groupprojectsnotaimedfordeletion"></a>`notAimedForDeletion` | [`Boolean`](#boolean) | 削除対象になっていないプロジェクトを含めます。 |
| <a id="groupprojectssbomcomponentid"></a>`sbomComponentId` | [`ID`](#id) | 指定されたSBOMコンポーネントに関連するプロジェクトのみを返します。 |
| <a id="groupprojectssearch"></a>`search` | [`String`](#string) | 名前またはパスが最も類似しているプロジェクトを検索します。 |
| <a id="groupprojectssort"></a>`sort` | [`NamespaceProjectSort`](#namespaceprojectsort) | プロジェクトを条件でソートします。 |
| <a id="groupprojectswithissuesenabled"></a>`withIssuesEnabled` | [`Boolean`](#boolean) | イシューが有効になっているプロジェクトのみを返します。 |
| <a id="groupprojectswithmergerequestsenabled"></a>`withMergeRequestsEnabled` | [`Boolean`](#boolean) | マージリクエストが有効になっているプロジェクトのみを返します。 |
| <a id="groupprojectswithnamespacedomainpages"></a>`withNamespaceDomainPages` | [`Boolean`](#boolean) | Pagesプロジェクトにネームスペースドメインを使用するプロジェクトのみを返します。 |

##### `Group.releases`

グループ内のプロジェクトに属するリリース。

[`ReleaseConnection`](#releaseconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupreleasessort"></a>`sort` | [`GroupReleaseSort`](#groupreleasesort) | 指定された条件でグループリリースをソートします。 |

##### `Group.remoteDevelopmentClusterAgents`

リモート開発機能のあるネームスペース内のクラスターエージェント。

{{< details >}}GitLab 17.8で**非推奨**になりました。`workspacesClusterAgents`を使用してください。{{< /details >}}

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupremotedevelopmentclusteragentsfilter"></a>`filter` | [`NamespaceClusterAgentFilter!`](#namespaceclusteragentfilter) | 返すクラスターエージェントのタイプでフィルタリングします。 |

##### `Group.runnerCloudProvisioning`

クラウドプロバイダーでRunnerをプロビジョニングするために使用する情報。GitLabインスタンスがSaaSインスタンスでない場合は、`null`を返します。

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

[`CiRunnerCloudProvisioning`](#cirunnercloudprovisioning)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouprunnercloudprovisioningcloudprojectid"></a>`cloudProjectId` | [`GoogleCloudProject!`](#googlecloudproject) | クラウドプロジェクトの識別子。 |
| <a id="grouprunnercloudprovisioningprovider"></a>`provider` | [`CiRunnerCloudProvider!`](#cirunnercloudprovider) | クラウドプロバイダーの識別子。 |

##### `Group.runners`

現在のユーザーに表示されるRunnerを検索します。

[`CiRunnerConnection`](#cirunnerconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouprunnersactive"></a>`active` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 14.8で**非推奨**になりました。名前が変更されました。`paused`を使用してください。 |
| <a id="grouprunnerscreatorid"></a>`creatorId` | [`UserID`](#userid) | Runnerを作成者IDでフィルタリングします。 |
| <a id="grouprunnerscreatorusername"></a>`creatorUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。Runnerを作成者のユーザー名でフィルタリングします。 |
| <a id="grouprunnersmembership"></a>`membership` | [`CiRunnerMembershipFilter`](#cirunnermembershipfilter) | 結果に含めるRunnerを制御します。 |
| <a id="grouprunnersownerfullpath"></a>`ownerFullPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。Runnerを、それを所有するプロジェクトまたはグループでフィルタリングします。 |
| <a id="grouprunnersownerwildcard"></a>`ownerWildcard` {{< icon name="warning-solid" >}} | [`CiRunnerOwnerWildcard`](#cirunnerownerwildcard) | GitLab 17.8で**導入**。**状態**: 実験。Runnerをオーナーのワイルドカードでフィルタリングします。 |
| <a id="grouprunnerspaused"></a>`paused` | [`Boolean`](#boolean) | Runnerを`paused`（true）または`active`（false）の状態によりフィルタリングします。 |
| <a id="grouprunnerssearch"></a>`search` | [`String`](#string) | description（説明）フィールドのフルトークンまたは部分テキストでフィルタリングします。 |
| <a id="grouprunnerssort"></a>`sort` | [`CiRunnerSort`](#cirunnersort) | 結果のソート順。 |
| <a id="grouprunnersstatus"></a>`status` | [`CiRunnerStatus`](#cirunnerstatus) | Runnerを状態でフィルタリングします。 |
| <a id="grouprunnerstaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連するタグでフィルタリングします（カンマ区切りまたは配列）。 |
| <a id="grouprunnerstype"></a>`type` | [`CiRunnerType`](#cirunnertype) | Runnerをタイプでフィルタリングします。 |
| <a id="grouprunnersupgradestatus"></a>`upgradeStatus` | [`CiRunnerUpgradeStatus`](#cirunnerupgradestatus) | アップグレード状態でフィルタリングします。 |
| <a id="grouprunnersversionprefix"></a>`versionPrefix` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.6で**導入**。**状態**: 実験。Runnerをバージョンでフィルタリングします。検索語の先頭がバージョンであるRunnerマネージャーを含むRunnerが返されます。たとえば、検索語「14.」は、バージョン「14.11.1」と「14.2.3」のRunnerマネージャーを返します。 |

##### `Group.savedReplies`

グループで利用可能な保存済み返信。このフィールドは、1回のリクエストにつき1つのグループに対してのみ解決できます。

[`GroupSavedReplyConnection`](#groupsavedreplyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsavedrepliesincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 親グループからの保存済み返信を含めます。 |

##### `Group.savedReply`

グループ内の保存済み返信。このフィールドは、1回のリクエストにつき1つのグループに対してのみ解決できます。

[`GroupSavedReply`](#groupsavedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsavedreplyid"></a>`id` | [`GroupsSavedReplyID!`](#groupssavedreplyid) | 保存済み返信のグローバルID。 |

##### `Group.scanExecutionPolicies`

ネームスペースのスキャン実行ポリシー。

[`ScanExecutionPolicyConnection`](#scanexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupscanexecutionpoliciesactionscantypes"></a>`actionScanTypes` | [`[SecurityReportTypeEnum!]`](#securityreporttypeenum) | ポリシーをアクションスキャンタイプでフィルタリングします。サポートされるスキャンタイプは、`dast`、`secret_detection`、`cluster_image_scanning`、`container_scanning`、`sast`、`sast_iac`、`dependency_scanning`だけです。 |
| <a id="groupscanexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="groupscanexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Group.scanResultPolicies`

プロジェクトのスキャン結果ポリシー。

{{< details >}}GitLab 16.9で**非推奨**になりました。`approvalPolicies`を使用してください。{{< /details >}}

[`ScanResultPolicyConnection`](#scanresultpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupscanresultpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="groupscanresultpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Group.securityPolicyProjectSuggestions`

セキュリティポリシープロジェクトの提案。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsecuritypolicyprojectsuggestionsonlylinked"></a>`onlyLinked` | [`Boolean`](#boolean) | すでにセキュリティポリシープロジェクトとしてリンクされているプロジェクトのみを提案するかどうか。 |
| <a id="groupsecuritypolicyprojectsuggestionssearch"></a>`search` | [`String!`](#string) | プロジェクトのフルパスの検索クエリ。 |

##### `Group.standardRole`

グループの単一のデフォルトロールを検索します。SaaSでのみ利用可能です。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`StandardRole`](#standardrole)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupstandardroleaccesslevel"></a>`accessLevel` | [`[MemberAccessLevel!]`](#memberaccesslevel) | フィルタリングの基準となるアクセスレベル。 |

##### `Group.standardRoles`

グループで利用可能なデフォルトロール。SaaSでのみ利用可能です。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`StandardRoleConnection`](#standardroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupstandardrolesaccesslevel"></a>`accessLevel` | [`[MemberAccessLevel!]`](#memberaccesslevel) | フィルタリングの基準となるアクセスレベル。 |

##### `Group.timelogs`

グループとそのサブグループのイシューとマージリクエストに記録された時間。

[`TimelogConnection!`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouptimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="grouptimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="grouptimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="grouptimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="grouptimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="grouptimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="grouptimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="grouptimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `Group.valueStreamDashboardUsageOverview`

グループ内で集約された使用量カウント。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`ValueStreamDashboardCount`](#valuestreamdashboardcount)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamdashboardusageoverviewidentifier"></a>`identifier` | [`ValueStreamDashboardMetric!`](#valuestreamdashboardmetric) | 取得するカウントのタイプ。 |
| <a id="groupvaluestreamdashboardusageoverviewtimeframe"></a>`timeframe` | [`Timeframe!`](#timeframe) | この期間（通常は月初めから月末まで）中に記録されたカウント（システムにより月ごとに集計が実行されます）。 |

##### `Group.valueStreams`

グループで利用可能なバリューストリーム。

[`ValueStreamConnection`](#valuestreamconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamsid"></a>`id` | [`ID`](#id) | バリューストリームID。 |

##### `Group.vulnerabilities`

グループとそのサブグループのプロジェクトについて報告された脆弱性。

[`VulnerabilityConnection`](#vulnerabilityconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilitiesclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="groupvulnerabilitiesclusterid"></a>`clusterId` | [`[ClustersClusterID!]`](#clustersclusterid) | 脆弱性を`cluster_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="groupvulnerabilitiesdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。このフィルターで含められるのは、却下された脆弱性だけです。 |
| <a id="groupvulnerabilitieshasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる可能性が高い脆弱性のみを返します。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="groupvulnerabilitieshasissues"></a>`hasIssues` | [`Boolean`](#boolean) | リンクされたイシューがある脆弱性のみを返します。 |
| <a id="groupvulnerabilitieshasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | リンクされているマージリクエストがある脆弱性のみを返します。 |
| <a id="groupvulnerabilitieshasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性のみを返します。 |
| <a id="groupvulnerabilitieshasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | デフォルトブランチで解決された脆弱性のみを返します。 |
| <a id="groupvulnerabilitiesidentifiername"></a>`identifierName` | [`String`](#string) | 脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="groupvulnerabilitiesimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="groupvulnerabilitiesowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="groupvulnerabilitiesprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="groupvulnerabilitiesreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="groupvulnerabilitiesscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をVulnerabilityScanner.externalIdでフィルタリングします。 |
| <a id="groupvulnerabilitiesscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="groupvulnerabilitiesseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="groupvulnerabilitiessort"></a>`sort` | [`VulnerabilitySort`](#vulnerabilitysort) | 脆弱性をソート順で一覧表示します。 |
| <a id="groupvulnerabilitiesstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

##### `Group.vulnerabilitiesCountByDay`

グループとそのサブグループのプロジェクトの1日あたりの脆弱性の履歴数。

[`VulnerabilitiesCountByDayConnection`](#vulnerabilitiescountbydayconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilitiescountbydayenddate"></a>`endDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最後の日付。 |
| <a id="groupvulnerabilitiescountbydaystartdate"></a>`startDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最初の日付。 |

##### `Group.vulnerabilityGrades`

各グレードの脆弱プロジェクトの数を表します。

[`[VulnerableProjectsByGrade!]`](#vulnerableprojectsbygrade)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilitygradesincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループに属するグレードを含めます。 |
| <a id="groupvulnerabilitygradeslettergrade"></a>`letterGrade` | [`VulnerabilityGrade`](#vulnerabilitygrade) | 指定された文字グレードで応答をフィルタリングします。 |

##### `Group.vulnerabilityIdentifierSearch`

脆弱性を識別子で検索します。

[`[String!]`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilityidentifiersearchname"></a>`name` | [`String!`](#string) | 識別子を名前で検索します。部分文字列または部分一致検索がサポートされています。引数は3文字を超えていなければなりません。 |

##### `Group.vulnerabilityManagementPolicies`

プロジェクトの脆弱性管理ポリシー。

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

[`VulnerabilityManagementPolicyConnection`](#vulnerabilitymanagementpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilitymanagementpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="groupvulnerabilitymanagementpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Group.vulnerabilitySeveritiesCount`

グループとそのサブグループの脆弱性の重大度ごとの数。

[`VulnerabilitySeveritiesCount`](#vulnerabilityseveritiescount)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvulnerabilityseveritiescountcapped"></a>`capped` | [`Boolean`](#boolean) | デフォルト値はfalseです。trueに設定すると、各重大度に対して返されるカウントが最大1001に制限されます。 |
| <a id="groupvulnerabilityseveritiescountclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="groupvulnerabilityseveritiescountdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescounthasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる脆弱性または解決できない脆弱性に絞り込みます。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="groupvulnerabilityseveritiescounthasissues"></a>`hasIssues` | [`Boolean`](#boolean) | イシューがある脆弱性かイシューがない脆弱性かでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescounthasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | マージリクエストがある脆弱性かマージリクエストがない脆弱性かでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescounthasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性か修正がない脆弱性かでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescounthasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | 解決策がある脆弱性か解決策がない脆弱性かでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountidentifiername"></a>`identifierName` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="groupvulnerabilityseveritiescountimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="groupvulnerabilityseveritiescountowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="groupvulnerabilityseveritiescountprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をスキャナーでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="groupvulnerabilityseveritiescountstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

##### `Group.workItem`

グループに直接関連付けられているIIDで作業アイテムを検索します。`namespace_level_work_items`機能フラグが無効になっている場合、`null`を返します。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItem`](#workitem)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkitemiid"></a>`iid` | [`String!`](#string) | 作業アイテムのIID。 |

##### `Group.workItemDescriptionTemplates`

ネームスペースで利用可能な作業アイテム説明テンプレート。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemDescriptionTemplateConnection`](#workitemdescriptiontemplateconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkitemdescriptiontemplatesname"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。フェッチには名前とプロジェクトIDの両方が必要です。代わりにDescriptionTemplateContentInputTypeを使用してください。 |
| <a id="groupworkitemdescriptiontemplatessearch"></a>`search` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**非推奨**になりました。テンプレート名での検索はFEに対してのみ実行されます。 |

##### `Group.workItemStateCounts`

ネームスペースの状態別の作業アイテム数。`namespace_level_work_items`機能フラグが無効になっている場合、`null`を返します。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemStateCountsType`](#workitemstatecountstype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkitemstatecountsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられたユーザーのユーザー名。 |
| <a id="groupworkitemstatecountsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="groupworkitemstatecountsauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="groupworkitemstatecountsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="groupworkitemstatecountsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="groupworkitemstatecountsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="groupworkitemstatecountscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="groupworkitemstatecountscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="groupworkitemstatecountscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="groupworkitemstatecountsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="groupworkitemstatecountsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="groupworkitemstatecountsexcludeprojects"></a>`excludeProjects` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。グループ内のプロジェクトから作業アイテムを除外します。 |
| <a id="groupworkitemstatecountshealthstatus"></a>`healthStatus` | [`HealthStatusFilter`](#healthstatusfilter) | 作業アイテムのヘルスステータス。noneとanyの値がサポートされています。 |
| <a id="groupworkitemstatecountsiid"></a>`iid` | [`String`](#string) | 作業アイテムのIID。例：「1」。 |
| <a id="groupworkitemstatecountsiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例: `["1", "2"]`。 |
| <a id="groupworkitemstatecountsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupworkitemstatecountsincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | 祖先グループの作業アイテムを含めます。 |
| <a id="groupworkitemstatecountsincludedescendants"></a>`includeDescendants` | [`Boolean`](#boolean) | 子孫グループとプロジェクトの作業アイテムを含めます。 |
| <a id="groupworkitemstatecountslabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="groupworkitemstatecountsmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="groupworkitemstatecountsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="groupworkitemstatecountsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="groupworkitemstatecountsnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="groupworkitemstatecountsor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="groupworkitemstatecountsrequirementlegacywidget"></a>`requirementLegacyWidget` {{< icon name="warning-solid" >}} | [`RequirementLegacyFilterInput`](#requirementlegacyfilterinput) | GitLab 15.9で**非推奨**になりました。代わりに作業アイテムIIDフィルターを使用してください。 |
| <a id="groupworkitemstatecountssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupworkitemstatecountssort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムを基準でソートします。 |
| <a id="groupworkitemstatecountsstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="groupworkitemstatecountssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="groupworkitemstatecountstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupworkitemstatecountstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定された作業アイテムタイプで作業アイテムをフィルタリングします。 |
| <a id="groupworkitemstatecountsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="groupworkitemstatecountsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |
| <a id="groupworkitemstatecountsverificationstatuswidget"></a>`verificationStatusWidget` | [`VerificationStatusFilterInput`](#verificationstatusfilterinput) | 検証状態ウィジェットフィルターのインプット。`work_items_alpha`が無効なら無視されます。 |
| <a id="groupworkitemstatecountsweight"></a>`weight` | [`String`](#string) | 作業アイテムに適用されるウェイト。noneとanyの値がサポートされています。 |

##### `Group.workItemTypes`

グループで使用できる作業アイテムタイプ。

[`WorkItemTypeConnection`](#workitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkitemtypesname"></a>`name` | [`IssueType`](#issuetype) | 指定された名前で作業アイテムタイプをフィルタリングします。 |

##### `Group.workItems`

ネームスペースに属する作業アイテム。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemConnection`](#workitemconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkitemsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられたユーザーのユーザー名。 |
| <a id="groupworkitemsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="groupworkitemsauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="groupworkitemsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="groupworkitemsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="groupworkitemsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="groupworkitemscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="groupworkitemscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="groupworkitemscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="groupworkitemsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="groupworkitemsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="groupworkitemsexcludeprojects"></a>`excludeProjects` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。グループ内のプロジェクトから作業アイテムを除外します。 |
| <a id="groupworkitemshealthstatus"></a>`healthStatus` | [`HealthStatusFilter`](#healthstatusfilter) | 作業アイテムのヘルスステータス。noneとanyの値がサポートされています。 |
| <a id="groupworkitemsiid"></a>`iid` | [`String`](#string) | 作業アイテムのIID。例：「1」。 |
| <a id="groupworkitemsiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例: `["1", "2"]`。 |
| <a id="groupworkitemsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="groupworkitemsincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | 祖先グループの作業アイテムを含めます。 |
| <a id="groupworkitemsincludedescendants"></a>`includeDescendants` | [`Boolean`](#boolean) | 子孫グループとプロジェクトの作業アイテムを含めます。 |
| <a id="groupworkitemslabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="groupworkitemsmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="groupworkitemsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="groupworkitemsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="groupworkitemsnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="groupworkitemsor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="groupworkitemsrequirementlegacywidget"></a>`requirementLegacyWidget` {{< icon name="warning-solid" >}} | [`RequirementLegacyFilterInput`](#requirementlegacyfilterinput) | GitLab 15.9で**非推奨**になりました。代わりに作業アイテムIIDフィルターを使用してください。 |
| <a id="groupworkitemssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="groupworkitemssort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムを基準でソートします。 |
| <a id="groupworkitemsstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="groupworkitemssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="groupworkitemstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="groupworkitemstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定された作業アイテムタイプで作業アイテムをフィルタリングします。 |
| <a id="groupworkitemsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="groupworkitemsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |
| <a id="groupworkitemsverificationstatuswidget"></a>`verificationStatusWidget` | [`VerificationStatusFilterInput`](#verificationstatusfilterinput) | 検証状態ウィジェットフィルターのインプット。`work_items_alpha`が無効なら無視されます。 |
| <a id="groupworkitemsweight"></a>`weight` | [`String`](#string) | 作業アイテムに適用されるウェイト。noneとanyの値がサポートされています。 |

##### `Group.workspacesClusterAgents`

ワークスペース機能のあるネームスペース内のクラスターエージェント。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupworkspacesclusteragentsfilter"></a>`filter` | [`NamespaceClusterAgentFilter!`](#namespaceclusteragentfilter) | 返すクラスターエージェントのタイプでフィルタリングします。 |

### `GroupAuditEventNamespaceFilter`

グループレベルの外部監査イベントストリーミングの宛先に属するサブグループフィルターまたはプロジェクトフィルターを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupauditeventnamespacefilterexternalstreamingdestination"></a>`externalStreamingDestination` | [`GroupAuditEventStreamingDestination!`](#groupauditeventstreamingdestination) | フィルターが属する宛先。 |
| <a id="groupauditeventnamespacefilterid"></a>`id` | [`ID!`](#id) | フィルターのID。 |
| <a id="groupauditeventnamespacefilternamespace"></a>`namespace` | [`Namespace!`](#namespace) | フィルターが属するグループまたはプロジェクトのネームスペース。 |

### `GroupAuditEventStreamingDestination`

グループレベルの監査イベントをストリーミングするための外部宛先を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupauditeventstreamingdestinationcategory"></a>`category` | [`String!`](#string) | 監査イベントの送信先外部宛先のカテゴリ。 |
| <a id="groupauditeventstreamingdestinationconfig"></a>`config` | [`JSON!`](#json) | 外部宛先の設定。 |
| <a id="groupauditeventstreamingdestinationeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="groupauditeventstreamingdestinationgroup"></a>`group` | [`Group!`](#group) | 宛先が属するグループ。 |
| <a id="groupauditeventstreamingdestinationid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="groupauditeventstreamingdestinationname"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="groupauditeventstreamingdestinationnamespacefilters"></a>`namespaceFilters` | [`[GroupAuditEventNamespaceFilter!]`](#groupauditeventnamespacefilter) | 宛先のサブグループまたはプロジェクトフィルターのリスト。 |
| <a id="groupauditeventstreamingdestinationsecrettoken"></a>`secretToken` | [`String!`](#string) | 宛先のシークレットトークン。httpカテゴリでのみ空でない値になります。 |

### `GroupDataTransfer`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdatatransferegressnodes"></a>`egressNodes` | [`EgressNodeConnection`](#egressnodeconnection) | データノード。（[接続](#connections)を参照） |

### `GroupDora`

グループDORAメトリクスに関連するすべての情報。

#### 引数のあるフィールド

##### `GroupDora.metrics`

現在のグループまたはプロジェクトのDORAメトリクス。

[`[DoraMetric!]`](#dorametric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdorametricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは現在の日付です。 |
| <a id="groupdorametricsenvironmenttiers"></a>`environmentTiers` | [`[DeploymentTier!]`](#deploymenttier) | 返す環境のデプロイプラン。デフォルトは`[PRODUCTION]`です。 |
| <a id="groupdorametricsinterval"></a>`interval` | [`DoraMetricBucketingInterval`](#dorametricbucketinginterval) | メトリクスの集約方法。デフォルトは`DAILY`です。`ALL`の場合、応答の`date`フィールドは`null`になります。 |
| <a id="groupdorametricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは3か月前です。 |

##### `GroupDora.projects`

指定された期間に少なくとも1つのDORAメトリクスのある、このグループ内のプロジェクト。

[`ProjectConnection!`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupdoraprojectsarchivedonly"></a>`archivedOnly` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトのみを返します。 |
| <a id="groupdoraprojectscomplianceframeworkfilters"></a>`complianceFrameworkFilters` | [`ComplianceFrameworkFilters`](#complianceframeworkfilters) | コンプライアンスフレームワークを選択する際に適用するフィルター。 |
| <a id="groupdoraprojectsenddate"></a>`endDate` | [`Date!`](#date) | DORAを検索する日付範囲の終了日。 |
| <a id="groupdoraprojectshascodecoverage"></a>`hasCodeCoverage` | [`Boolean`](#boolean) | コードカバレッジのあるプロジェクトのみを返します。 |
| <a id="groupdoraprojectshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるプロジェクトのみを返します。 |
| <a id="groupdoraprojectsids"></a>`ids` | [`[ID!]`](#id) | プロジェクトをIDでフィルタリングします。 |
| <a id="groupdoraprojectsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトも含めます。 |
| <a id="groupdoraprojectsincludesiblingprojects"></a>`includeSiblingProjects` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.2で**導入**。**状態**: 実験。親グループのプロジェクトも含めます。 |
| <a id="groupdoraprojectsincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループプロジェクトも含めます。 |
| <a id="groupdoraprojectsnotaimedfordeletion"></a>`notAimedForDeletion` | [`Boolean`](#boolean) | 削除対象になっていないプロジェクトを含めます。 |
| <a id="groupdoraprojectssbomcomponentid"></a>`sbomComponentId` | [`ID`](#id) | 指定されたSBOMコンポーネントに関連するプロジェクトのみを返します。 |
| <a id="groupdoraprojectssearch"></a>`search` | [`String`](#string) | 名前またはパスが最も類似しているプロジェクトを検索します。 |
| <a id="groupdoraprojectssort"></a>`sort` | [`NamespaceProjectSort`](#namespaceprojectsort) | プロジェクトを条件でソートします。 |
| <a id="groupdoraprojectsstartdate"></a>`startDate` | [`Date!`](#date) | DORAを検索する日付範囲の開始日。 |
| <a id="groupdoraprojectswithissuesenabled"></a>`withIssuesEnabled` | [`Boolean`](#boolean) | イシューが有効になっているプロジェクトのみを返します。 |
| <a id="groupdoraprojectswithmergerequestsenabled"></a>`withMergeRequestsEnabled` | [`Boolean`](#boolean) | マージリクエストが有効になっているプロジェクトのみを返します。 |
| <a id="groupdoraprojectswithnamespacedomainpages"></a>`withNamespaceDomainPages` | [`Boolean`](#boolean) | Pagesプロジェクトにネームスペースドメインを使用するプロジェクトのみを返します。 |

### `GroupMember`

グループメンバーシップを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmemberaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="groupmembercreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="groupmembercreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="groupmemberexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="groupmembergroup"></a>`group` | [`Group`](#group) | ユーザーがメンバーとして属するグループ。 |
| <a id="groupmemberid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="groupmembernotificationemail"></a>`notificationEmail` | [`String`](#string) | ユーザーのグループ通知メール。管理者のみが利用できます。 |
| <a id="groupmemberupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="groupmemberuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |
| <a id="groupmemberuserpermissions"></a>`userPermissions` | [`GroupPermissions!`](#grouppermissions) | リソースに対する現在のユーザーの権限。 |

#### 引数のあるフィールド

##### `GroupMember.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupmembermergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

### `GroupPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="grouppermissionscreatecustomemoji"></a>`createCustomEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_custom_emoji`を実行できます。 |
| <a id="grouppermissionscreateprojects"></a>`createProjects` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_projects`を実行できます。 |
| <a id="grouppermissionsgeneratedescription"></a>`generateDescription` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`generate_description`を実行できます。 |
| <a id="grouppermissionsreadgroup"></a>`readGroup` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_group`を実行できます。 |
| <a id="grouppermissionsremovegroup"></a>`removeGroup` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_group`を実行できます。 |
| <a id="grouppermissionsvieweditpage"></a>`viewEditPage` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`view_edit_page`を実行できます。 |

### `GroupReleaseStats`

グループに関するリリース関連の統計が含まれています。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupreleasestatsreleasescount"></a>`releasesCount` | [`Int`](#int) | グループのすべての子孫プロジェクトにおけるリリースの合計数。 |
| <a id="groupreleasestatsreleasespercentage"></a>`releasesPercentage` | [`Int`](#int) | グループのうち少なくとも1つのリリースがある子孫プロジェクトの割合（パーセント）。 |

### `GroupSavedReply`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsavedreplycontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="groupsavedreplyid"></a>`id` | [`GroupsSavedReplyID!`](#groupssavedreplyid) | グループレベル保存済み返信のグローバルID。 |
| <a id="groupsavedreplyname"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

### `GroupSecurityPolicySource`

グループに属するセキュリティポリシーのソースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupsecuritypolicysourceinherited"></a>`inherited` | [`Boolean!`](#boolean) | ポリシーが親グループから継承されているかどうかを示します。 |
| <a id="groupsecuritypolicysourcenamespace"></a>`namespace` | [`Namespace`](#namespace) | ポリシーが関連付けられているプロジェクト。 |

### `GroupStats`

グループに関する統計が含まれています。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupstatsreleasestats"></a>`releaseStats` | [`GroupReleaseStats`](#groupreleasestats) | グループ内のリリースに関する統計。 |

### `GroupValueStreamAnalyticsFlowMetrics`

集約されたバリューストリームフローメトリクスを公開します。

#### 引数のあるフィールド

##### `GroupValueStreamAnalyticsFlowMetrics.cycleTime`

最初のコミットからイシューが完了するまでの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimelabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimemyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimenot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricscycletimeweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `GroupValueStreamAnalyticsFlowMetrics.deploymentCount`

指定された期間の本番環境デプロイ回数。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricsdeploymentcountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsdeploymentcountprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricsdeploymentcountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |

##### `GroupValueStreamAnalyticsFlowMetrics.issueCount`

指定された期間にオープンされたイシューの数。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountlabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountnot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuecountweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `GroupValueStreamAnalyticsFlowMetrics.issuesCompletedCount`

指定された期間に完了した未解決イシューの数。最大値は10,001です。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountlabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountnot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsissuescompletedcountweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `GroupValueStreamAnalyticsFlowMetrics.leadTime`

イシューの作成から完了までの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimelabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimemyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimenot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricsleadtimeweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `GroupValueStreamAnalyticsFlowMetrics.timeToMerge`

マージリクエストの作成からマージリクエストのマージまでの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergeauthorusername"></a>`authorUsername` | [`String`](#string) | マージリクエストの作成者のユーザー名。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergelabelnames"></a>`labelNames` | [`[String!]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マージリクエストに適用されるマイルストーン。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergeprojectids"></a>`projectIds` | [`[ID!]`](#id) | グループ階層内のプロジェクトID。 |
| <a id="groupvaluestreamanalyticsflowmetricstimetomergeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |

### `GroupWikiRepositoryRegistry`

グループWikiリポジトリのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupwikirepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | GroupWikiRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="groupwikirepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | GroupWikiRepositoryRegistry作成時のタイムスタンプ。 |
| <a id="groupwikirepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="groupwikirepositoryregistrygroupwikirepositoryid"></a>`groupWikiRepositoryId` | [`ID!`](#id) | グループWikiリポジトリのID。 |
| <a id="groupwikirepositoryregistryid"></a>`id` | [`ID!`](#id) | GroupWikiRepositoryRegistryのID。 |
| <a id="groupwikirepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | GroupWikiRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="groupwikirepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | GroupWikiRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="groupwikirepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにGroupWikiRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="groupwikirepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | GroupWikiRepositoryRegistryのモデルレコードのID。 |
| <a id="groupwikirepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | GroupWikiRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="groupwikirepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | GroupWikiRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="groupwikirepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | GroupWikiRepositoryRegistryの同期状態。 |
| <a id="groupwikirepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | GroupWikiRepositoryRegistryのローカルチェックサム。 |
| <a id="groupwikirepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のGroupWikiRepositoryRegistryのチェックサムの予想値。 |
| <a id="groupwikirepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | GroupWikiRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="groupwikirepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | GroupWikiRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="groupwikirepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | GroupWikiRepositoryRegistryの検証試行の連続失敗回数。 |
| <a id="groupwikirepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | GroupWikiRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="groupwikirepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | GroupWikiRepositoryRegistryの検証状態。 |
| <a id="groupwikirepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | GroupWikiRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `Groups`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupscommit"></a>`commit` | [`Commit!`](#commit) | 指定されたグループを担当するコミット。 |
| <a id="groupscommitdata"></a>`commitData` | [`CommitData`](#commitdata) | blameを表示するために必要なコミットから派生したHTMLデータ。 |
| <a id="groupslineno"></a>`lineno` | [`Int!`](#int) | コミットグループの開始行番号。 |
| <a id="groupslines"></a>`lines` | [`[String!]!`](#string) | コミットグループに追加された行の配列。 |
| <a id="groupsspan"></a>`span` | [`Int!`](#int) | コミットグループのblameのスパンとなる連続行数。 |

### `HelmFileMetadata`

Helmファイルのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="helmfilemetadatachannel"></a>`channel` | [`String!`](#string) | Helmチャートのチャンネル。 |
| <a id="helmfilemetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="helmfilemetadatametadata"></a>`metadata` | [`PackageHelmMetadataType!`](#packagehelmmetadatatype) | Helmチャートのメタデータ。 |
| <a id="helmfilemetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `Ide`

IDEの設定と機能フラグ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="idecodesuggestionsenabled"></a>`codeSuggestionsEnabled` | [`Boolean!`](#boolean) | AIアシストコード提案が有効かどうかを示します。 |

### `ImagePullSecrets`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="imagepullsecretsname"></a>`name` | [`String!`](#string) | Kubernetesイメージプルシークレットの名前。 |
| <a id="imagepullsecretsnamespace"></a>`namespace` | [`String!`](#string) | kubernetesイメージプルシークレットのネームスペース。 |

### `ImportSourceUser`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="importsourceusercreatedat"></a>`createdAt` | [`Time!`](#time) | ソースユーザー作成時のタイムスタンプ。 |
| <a id="importsourceuserid"></a>`id` | [`ImportSourceUserID!`](#importsourceuserid) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングのグローバルID。 |
| <a id="importsourceuserimporttype"></a>`importType` | [`ImportSource!`](#importsource) | インポーターの名前。 |
| <a id="importsourceuserplaceholderuser"></a>`placeholderUser` | [`UserCore`](#usercore) | ソースユーザーのインポートに関連付けられているプレースホルダーユーザー。 |
| <a id="importsourceuserreassigntouser"></a>`reassignToUser` | [`UserCore`](#usercore) | コントリビュートの再アサイン先ユーザー。 |
| <a id="importsourceuserreassignedbyuser"></a>`reassignedByUser` | [`UserCore`](#usercore) | 再アサインをしたユーザー。 |
| <a id="importsourceuserreassignmenterror"></a>`reassignmentError` | [`String`](#string) | 再アサインが失敗した場合のエラーメッセージ。 |
| <a id="importsourceusersourcehostname"></a>`sourceHostname` | [`String!`](#string) | ソースインスタンスのホスト名。 |
| <a id="importsourceusersourcename"></a>`sourceName` | [`String`](#string) | ソースインスタンス内のユーザーの名前。 |
| <a id="importsourceusersourceuseridentifier"></a>`sourceUserIdentifier` | [`String!`](#string) | ソースインスタンス内のユーザーのID。 |
| <a id="importsourceusersourceusername"></a>`sourceUsername` | [`String`](#string) | ソースインスタンス内のユーザーのユーザー名。 |
| <a id="importsourceuserstatus"></a>`status` | [`ImportSourceUserStatus!`](#importsourceuserstatus) | マッピングの状態。 |

### `IncidentManagementOncallRotation`

インシデント管理のオンコールローテーションについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallrotationactiveperiod"></a>`activePeriod` | [`OncallRotationActivePeriodType`](#oncallrotationactiveperiodtype) | オンコールローテーションのアクティブ期間。 |
| <a id="incidentmanagementoncallrotationendsat"></a>`endsAt` | [`Time`](#time) | オンコールローテーションの終了日時。 |
| <a id="incidentmanagementoncallrotationid"></a>`id` | [`IncidentManagementOncallRotationID!`](#incidentmanagementoncallrotationid) | オンコールローテーションのID。 |
| <a id="incidentmanagementoncallrotationlength"></a>`length` | [`Int`](#int) | オンコールスケジュール期間（lengthUnitで指定される単位）。 |
| <a id="incidentmanagementoncallrotationlengthunit"></a>`lengthUnit` | [`OncallRotationUnitEnum`](#oncallrotationunitenum) | オンコールローテーション期間の単位。 |
| <a id="incidentmanagementoncallrotationname"></a>`name` | [`String!`](#string) | オンコールローテーションの名前。 |
| <a id="incidentmanagementoncallrotationparticipants"></a>`participants` | [`OncallParticipantTypeConnection`](#oncallparticipanttypeconnection) | オンコールローテーションの参加者。（[接続](#connections)を参照） |
| <a id="incidentmanagementoncallrotationstartsat"></a>`startsAt` | [`Time`](#time) | オンコールローテーションの開始日。 |

#### 引数のあるフィールド

##### `IncidentManagementOncallRotation.shifts`

特定の時間枠内で参加者がオンコールである時間ブロック。時間枠は1か月未満でなければなりません。

[`IncidentManagementOncallShiftConnection`](#incidentmanagementoncallshiftconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallrotationshiftsendtime"></a>`endTime` | [`Time!`](#time) | シフトを含める時間枠の終了時刻。開始から1か月未満でなければなりません。 |
| <a id="incidentmanagementoncallrotationshiftsstarttime"></a>`startTime` | [`Time!`](#time) | シフトを含める時間枠の開始時刻。 |

### `IncidentManagementOncallSchedule`

インシデント管理オンコールスケジュールについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallscheduledescription"></a>`description` | [`String`](#string) | オンコールスケジュールの説明。 |
| <a id="incidentmanagementoncallscheduleiid"></a>`iid` | [`String!`](#string) | オンコールスケジュールの内部ID。 |
| <a id="incidentmanagementoncallschedulename"></a>`name` | [`String!`](#string) | オンコールスケジュールの名前。 |
| <a id="incidentmanagementoncallscheduleoncallusers"></a>`oncallUsers` | [`[UserCore!]`](#usercore) |  |
| <a id="incidentmanagementoncallschedulerotations"></a>`rotations` | [`IncidentManagementOncallRotationConnection!`](#incidentmanagementoncallrotationconnection) | オンコールスケジュールのオンコールローテーション。（[接続](#connections)を参照） |
| <a id="incidentmanagementoncallscheduletimezone"></a>`timezone` | [`String!`](#string) | オンコールスケジュールのタイムゾーン。 |

#### 引数のあるフィールド

##### `IncidentManagementOncallSchedule.rotation`

オンコールスケジュールのオンコールローテーション。

[`IncidentManagementOncallRotation`](#incidentmanagementoncallrotation)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallschedulerotationid"></a>`id` | [`IncidentManagementOncallRotationID!`](#incidentmanagementoncallrotationid) | オンコールローテーションのID。 |

### `IncidentManagementOncallShift`

参加者がオンコールである時間ブロック。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="incidentmanagementoncallshiftendsat"></a>`endsAt` | [`Time`](#time) | オンコールシフトの終了時刻。 |
| <a id="incidentmanagementoncallshiftparticipant"></a>`participant` | [`OncallParticipantType`](#oncallparticipanttype) | オンコールシフトに割り当てられている参加者。 |
| <a id="incidentmanagementoncallshiftstartsat"></a>`startsAt` | [`Time`](#time) | オンコールシフトの開始時刻。 |

### `InheritedCiVariable`

プロジェクトがその親グループおよび祖先から継承するCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="inheritedcivariabledescription"></a>`description` | [`String`](#string) | 変数の説明。 |
| <a id="inheritedcivariableenvironmentscope"></a>`environmentScope` | [`String`](#string) | 変数を使用できる環境を定義するスコープ。 |
| <a id="inheritedcivariablegroupcicdsettingspath"></a>`groupCiCdSettingsPath` | [`String`](#string) | 変数が属するグループのCI/CD設定のパスを示します。 |
| <a id="inheritedcivariablegroupname"></a>`groupName` | [`String`](#string) | 変数が属するグループを示します。 |
| <a id="inheritedcivariablehidden"></a>`hidden` | [`Boolean`](#boolean) | 変数が非表示かどうかを示します。 |
| <a id="inheritedcivariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="inheritedcivariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="inheritedcivariablemasked"></a>`masked` | [`Boolean`](#boolean) | 変数がマスクされるかどうかを示します。 |
| <a id="inheritedcivariableprotected"></a>`protected` | [`Boolean`](#boolean) | 変数が保護されるかどうかを示します。 |
| <a id="inheritedcivariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="inheritedcivariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `InstanceAmazonS3ConfigurationType`

監査イベントストリーミング用のインスタンスレベルのAmazon S3設定を格納します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceamazons3configurationtypeaccesskeyxid"></a>`accessKeyXid` | [`String!`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="instanceamazons3configurationtypeawsregion"></a>`awsRegion` | [`String!`](#string) | バケットを作成するAWSリージョン。 |
| <a id="instanceamazons3configurationtypebucketname"></a>`bucketName` | [`String!`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="instanceamazons3configurationtypeid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="instanceamazons3configurationtypename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

### `InstanceAuditEventNamespaceFilter`

インスタンスレベルの外部監査イベントストリーミングの宛先に属するサブグループフィルターまたはプロジェクトフィルターを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceauditeventnamespacefilterexternalstreamingdestination"></a>`externalStreamingDestination` | [`InstanceAuditEventStreamingDestination!`](#instanceauditeventstreamingdestination) | フィルターが属する宛先。 |
| <a id="instanceauditeventnamespacefilterid"></a>`id` | [`ID!`](#id) | フィルターのID。 |
| <a id="instanceauditeventnamespacefilternamespace"></a>`namespace` | [`Namespace!`](#namespace) | フィルターが属するグループまたはプロジェクトのネームスペース。 |

### `InstanceAuditEventStreamingDestination`

インスタンスレベルの監査イベントをストリーミングするための外部宛先を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceauditeventstreamingdestinationcategory"></a>`category` | [`String!`](#string) | 監査イベントの送信先外部宛先のカテゴリ。 |
| <a id="instanceauditeventstreamingdestinationconfig"></a>`config` | [`JSON!`](#json) | 外部宛先の設定。 |
| <a id="instanceauditeventstreamingdestinationeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="instanceauditeventstreamingdestinationid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="instanceauditeventstreamingdestinationname"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="instanceauditeventstreamingdestinationnamespacefilters"></a>`namespaceFilters` | [`[InstanceAuditEventNamespaceFilter!]`](#instanceauditeventnamespacefilter) | 宛先のサブグループまたはプロジェクトフィルターのリスト。 |
| <a id="instanceauditeventstreamingdestinationsecrettoken"></a>`secretToken` | [`String!`](#string) | 宛先のシークレットトークン。httpカテゴリでのみ空でない値になります。 |

### `InstanceExternalAuditEventDestination`

インスタンス監査イベント送信先の外部リソースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instanceexternalauditeventdestinationdestinationurl"></a>`destinationUrl` | [`String!`](#string) | 監査イベント送信先の外部宛先。 |
| <a id="instanceexternalauditeventdestinationeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="instanceexternalauditeventdestinationheaders"></a>`headers` | [`AuditEventsStreamingInstanceHeaderConnection!`](#auditeventsstreaminginstanceheaderconnection) | 各イベントとともに送信される追加のHTTPヘッダーのリスト。（[接続](#connections)を参照） |
| <a id="instanceexternalauditeventdestinationid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="instanceexternalauditeventdestinationname"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="instanceexternalauditeventdestinationverificationtoken"></a>`verificationToken` | [`String!`](#string) | イベントのソースを検証するための検証トークン。 |

### `InstanceGoogleCloudLoggingConfigurationType`

アクセストークンの生成に使用されるIAMサービスアカウントに関連付けられているインスタンスレベルGoogle Cloudログ記録設定を格納します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancegooglecloudloggingconfigurationtypeclientemail"></a>`clientEmail` | [`String!`](#string) | クライアントのメール。 |
| <a id="instancegooglecloudloggingconfigurationtypegoogleprojectidname"></a>`googleProjectIdName` | [`String!`](#string) | GoogleプロジェクトID。 |
| <a id="instancegooglecloudloggingconfigurationtypeid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="instancegooglecloudloggingconfigurationtypelogidname"></a>`logIdName` | [`String!`](#string) | ログID。 |
| <a id="instancegooglecloudloggingconfigurationtypename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

### `InstanceSecurityDashboard`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancesecuritydashboardvulnerabilityscanners"></a>`vulnerabilityScanners` | [`VulnerabilityScannerConnection`](#vulnerabilityscannerconnection) | インスタンスセキュリティダッシュボードで選択されているプロジェクトの脆弱性についてレポートされた脆弱性スキャナー。（[接続](#connections)を参照） |

#### 引数のあるフィールド

##### `InstanceSecurityDashboard.clusterAgents`

インスタンスセキュリティダッシュボードで選択されているプロジェクトに関連付けられているクラスターエージェント。

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancesecuritydashboardclusteragentshasremotedevelopmentagentconfig"></a>`hasRemoteDevelopmentAgentConfig` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。代わりにhas_workspaces_agent_configフィルターを使用してください。 |
| <a id="instancesecuritydashboardclusteragentshasremotedevelopmentenabled"></a>`hasRemoteDevelopmentEnabled` | [`Boolean`](#boolean) | リモート開発機能で有効になっているクラスターエージェントのみを返します。 |
| <a id="instancesecuritydashboardclusteragentshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるクラスターエージェントのみを返します。 |
| <a id="instancesecuritydashboardclusteragentshasworkspacesagentconfig"></a>`hasWorkspacesAgentConfig` | [`Boolean`](#boolean) | ワークスペースエージェント設定が関連付けられているクラスターエージェントのみを返します。 |

##### `InstanceSecurityDashboard.projects`

インスタンスセキュリティダッシュボードで選択されているプロジェクト。

[`ProjectConnection!`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancesecuritydashboardprojectssearch"></a>`search` | [`String`](#string) | プロジェクト名、パス、または説明の検索クエリ。 |

##### `InstanceSecurityDashboard.vulnerabilityGrades`

各グレードの脆弱プロジェクトの数を表します。

[`[VulnerableProjectsByGrade!]!`](#vulnerableprojectsbygrade)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancesecuritydashboardvulnerabilitygradeslettergrade"></a>`letterGrade` | [`VulnerabilityGrade`](#vulnerabilitygrade) | 指定された文字グレードで応答をフィルタリングします。 |

##### `InstanceSecurityDashboard.vulnerabilitySeveritiesCount`

インスタンスセキュリティダッシュボードで選択されているプロジェクトの脆弱性重大度ごとのカウント。

[`VulnerabilitySeveritiesCount`](#vulnerabilityseveritiescount)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountcapped"></a>`capped` | [`Boolean`](#boolean) | デフォルト値はfalseです。trueに設定すると、各重大度に対して返されるカウントが最大1001に制限されます。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescounthasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる脆弱性または解決できない脆弱性に絞り込みます。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescounthasissues"></a>`hasIssues` | [`Boolean`](#boolean) | イシューがある脆弱性かイシューがない脆弱性かでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescounthasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | マージリクエストがある脆弱性かマージリクエストがない脆弱性かでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescounthasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性か修正がない脆弱性かでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescounthasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | 解決策がある脆弱性か解決策がない脆弱性かでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountidentifiername"></a>`identifierName` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をスキャナーでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="instancesecuritydashboardvulnerabilityseveritiescountstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

### `IntegerExpression`

整数を値とする式。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="integerexpressionfield"></a>`field` | [`String!`](#string) | 式が適用されるフィールド。 |
| <a id="integerexpressionoperator"></a>`operator` | [`String!`](#string) | 式の演算子。 |
| <a id="integerexpressionvalue"></a>`value` | [`Int!`](#int) | 式の整数値。 |

### `IntegrationExclusion`

インスタンス固有インテグレーションのレベル設定をオーバーライドするインテグレーション。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="integrationexclusiongroup"></a>`group` | [`Group`](#group) | インスタンス固有インテグレーションから除外されたグループ。 |
| <a id="integrationexclusionproject"></a>`project` | [`Project`](#project) | インスタンス固有インテグレーションから除外されたプロジェクト。 |

### `IssuableResourceLink`

インシデントイシューのissuableリソースリンクについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuableresourcelinkid"></a>`id` | [`IncidentManagementIssuableResourceLinkID!`](#incidentmanagementissuableresourcelinkid) | IssuableリソースリンクのID。 |
| <a id="issuableresourcelinkissue"></a>`issue` | [`Issue!`](#issue) | リソースリンクのインシデント。 |
| <a id="issuableresourcelinklink"></a>`link` | [`String!`](#string) | リソースへのWebリンク。 |
| <a id="issuableresourcelinklinktext"></a>`linkText` | [`String`](#string) | リンクのオプションテキスト。 |
| <a id="issuableresourcelinklinktype"></a>`linkType` | [`IssuableResourceLinkType!`](#issuableresourcelinktype) | リソースリンクのタイプ。 |

### `Issue`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuealertmanagementalert"></a>`alertManagementAlert` {{< icon name="warning-solid" >}} | [`AlertManagementAlert`](#alertmanagementalert) | GitLab 15.6で**非推奨**になりました。`alert_management_alerts`を使用してください。 |
| <a id="issueassignees"></a>`assignees` | [`UserCoreConnection`](#usercoreconnection) | イシューの割り当て先。（[接続](#connections)を参照） |
| <a id="issueauthor"></a>`author` | [`UserCore!`](#usercore) | イシューを作成したユーザー。 |
| <a id="issueblocked"></a>`blocked` | [`Boolean!`](#boolean) | イシューがブロックされていることを示します。 |
| <a id="issueblockedbycount"></a>`blockedByCount` | [`Int`](#int) | このイシューをブロックしているイシューの数。 |
| <a id="issueblockedbyissues"></a>`blockedByIssues` | [`IssueConnection`](#issueconnection) | このイシューをブロックしているイシュー。（[接続](#connections)を参照） |
| <a id="issueblockingcount"></a>`blockingCount` | [`Int!`](#int) | このイシューがブロックしているイシューの数。 |
| <a id="issueclosedasduplicateof"></a>`closedAsDuplicateOf` | [`Issue`](#issue) | これが重複イシューとしてクローズされることになったイシュー。 |
| <a id="issueclosedat"></a>`closedAt` | [`Time`](#time) | イシュークローズ時のタイムスタンプ。 |
| <a id="issuecommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="issueconfidential"></a>`confidential` | [`Boolean!`](#boolean) | イシューが機密であることを示します。 |
| <a id="issuecreatenoteemail"></a>`createNoteEmail` | [`String`](#string) | イシューのユーザー固有メールアドレス。 |
| <a id="issuecreatedat"></a>`createdAt` | [`Time!`](#time) | イシュー作成時のタイムスタンプ。 |
| <a id="issuecustomerrelationscontacts"></a>`customerRelationsContacts` | [`CustomerRelationsContactConnection`](#customerrelationscontactconnection) | イシューの顧客関係の連絡先。（[接続](#connections)を参照） |
| <a id="issuedescription"></a>`description` | [`String`](#string) | イシューの説明。 |
| <a id="issuedescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="issuedesigncollection"></a>`designCollection` | [`DesignCollection`](#designcollection) | イシューに関連付けられているデザイン画像のコレクション。 |
| <a id="issuediscussionlocked"></a>`discussionLocked` | [`Boolean!`](#boolean) | イシューでディスカッションがロックされていることを示します。 |
| <a id="issuediscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="issuedownvotes"></a>`downvotes` | [`Int!`](#int) | イシューが受け取った不同意の数。 |
| <a id="issueduedate"></a>`dueDate` | [`Time`](#time) | イシューの期限。 |
| <a id="issueemailsdisabled"></a>`emailsDisabled` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.3で**非推奨**になりました。`emails_enabled`を使用してください。 |
| <a id="issueemailsenabled"></a>`emailsEnabled` | [`Boolean!`](#boolean) | 親プロジェクトまたはグループでメール通知が無効になっているかどうかを示します。メール通知が無効になっている場合は`false`。 |
| <a id="issueepic"></a>`epic` {{< icon name="warning-solid" >}} | [`Epic`](#epic) | GitLab 17.5で**非推奨**になりました。WorkItem型に置き換えられました。 |
| <a id="issueescalationpolicy"></a>`escalationPolicy` | [`EscalationPolicyType`](#escalationpolicytype) | イシューに関連付けられているエスカレーションポリシー。エスカレーションをサポートするイシューで使用できます。 |
| <a id="issueescalationstatus"></a>`escalationStatus` | [`IssueEscalationStatus`](#issueescalationstatus) | イシューのエスカレーション状態。 |
| <a id="issueexternalauthor"></a>`externalAuthor` | [`String`](#string) | イシューを報告している非GitLabユーザーのメールアドレス。ゲストの場合、メールアドレスは難読化されます。 |
| <a id="issuehasepic"></a>`hasEpic` | [`Boolean!`](#boolean) | イシューがエピックに属しているかどうかを示します。ユーザーにエピックへのアクセス権がない場合、trueを返しても関連付けられているエピックが表示されないことがあります。 |
| <a id="issuehasparent"></a>`hasParent` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.5で**導入**。**状態**: 実験。イシューに親作業アイテムがあるかどうかを示します。 |
| <a id="issuehealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 現在のヘルスステータス。 |
| <a id="issuehidden"></a>`hidden` | [`Boolean`](#boolean) | 作成者がBANされたため、イシューが非表示になっていることを示します。 |
| <a id="issuehumantimeestimate"></a>`humanTimeEstimate` | [`String`](#string) | 人間が判読可能なイシューの見積もり時間。 |
| <a id="issuehumantotaltimespent"></a>`humanTotalTimeSpent` | [`String`](#string) | イシューで費やされたとして報告された合計時間（人間が判読可能な形式）。 |
| <a id="issueid"></a>`id` | [`ID!`](#id) | イシューのID。 |
| <a id="issueiid"></a>`iid` | [`String!`](#string) | イシューの内部ID。 |
| <a id="issueiteration"></a>`iteration` | [`Iteration`](#iteration) | イシューのイテレーション。 |
| <a id="issuelabels"></a>`labels` | [`LabelConnection`](#labelconnection) | イシューのラベル。（[接続](#connections)を参照） |
| <a id="issuemergerequestscount"></a>`mergeRequestsCount` | [`Int!`](#int) | マージ時にイシューをクローズするマージリクエストの数 |
| <a id="issuemetricimages"></a>`metricImages` | [`[MetricImage!]`](#metricimage) | イシューに関連付けられているメトリクスイメージ。 |
| <a id="issuemilestone"></a>`milestone` | [`Milestone`](#milestone) | イシューのマイルストーン。 |
| <a id="issuemoved"></a>`moved` | [`Boolean`](#boolean) | イシューが他のプロジェクトから移動されたかどうかを示します。 |
| <a id="issuemovedto"></a>`movedTo` | [`Issue`](#issue) | 別のプロジェクトに移動された後に更新されたイシュー。 |
| <a id="issuename"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="issueparticipants"></a>`participants` | [`UserCoreConnection`](#usercoreconnection) | イシューの参加者のリスト。（[接続](#connections)を参照） |
| <a id="issueprojectid"></a>`projectId` | [`Int`](#int) | イシュープロジェクトのID。 |
| <a id="issuerelatedmergerequests"></a>`relatedMergeRequests` | [`MergeRequestConnection`](#mergerequestconnection) | イシューに関連するマージリクエスト。このフィールドは、1回のリクエストで1つのイシューに対してのみ解決できます。（[接続](#connections)を参照） |
| <a id="issuerelatedvulnerabilities"></a>`relatedVulnerabilities` | [`VulnerabilityConnection`](#vulnerabilityconnection) | イシューの関連脆弱性。（[接続](#connections)を参照） |
| <a id="issuerelativeposition"></a>`relativePosition` | [`Int`](#int) | イシューの相対位置（Epic Treeとイシューボードでの位置指定に使用）。 |
| <a id="issueseverity"></a>`severity` | [`IssuableSeverity`](#issuableseverity) | インシデントの重大度レベル。 |
| <a id="issuesladueat"></a>`slaDueAt` | [`Time`](#time) | イシューSLAの有効期限のタイムスタンプ。 |
| <a id="issuestate"></a>`state` | [`IssueState!`](#issuestate) | イシューの状態。 |
| <a id="issuestatuspagepublishedincident"></a>`statusPagePublishedIncident` | [`Boolean`](#boolean) | イシューが状態ページに公開されているかどうかを示します。 |
| <a id="issuesubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在ログインしているユーザーがイシューをサブスクライブしているかどうかを示します。 |
| <a id="issuetaskcompletionstatus"></a>`taskCompletionStatus` | [`TaskCompletionStatus!`](#taskcompletionstatus) | イシューのタスク完了状態。 |
| <a id="issuetimeestimate"></a>`timeEstimate` | [`Int!`](#int) | イシューの見積もり時間。 |
| <a id="issuetimelogs"></a>`timelogs` | [`TimelogConnection!`](#timelogconnection) | イシューのタイムログ。（[接続](#connections)を参照） |
| <a id="issuetitle"></a>`title` | [`String!`](#string) | イシューのタイトル。 |
| <a id="issuetitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="issuetotaltimespent"></a>`totalTimeSpent` | [`Int!`](#int) | イシューで費やされたとして報告された合計時間（秒）。 |
| <a id="issuetype"></a>`type` | [`IssueType`](#issuetype) | イシューのタイプ。 |
| <a id="issueupdatedat"></a>`updatedAt` | [`Time!`](#time) | イシューの最終更新タイムスタンプ。 |
| <a id="issueupdatedby"></a>`updatedBy` | [`UserCore`](#usercore) | イシューを最後に更新したユーザー。 |
| <a id="issueupvotes"></a>`upvotes` | [`Int!`](#int) | イシューが受け取った同意の数。 |
| <a id="issueuserdiscussionscount"></a>`userDiscussionsCount` | [`Int!`](#int) | イシュー内のユーザーディスカッションの数。 |
| <a id="issueusernotescount"></a>`userNotesCount` | [`Int!`](#int) | イシューのユーザーノートの数。 |
| <a id="issueuserpermissions"></a>`userPermissions` | [`IssuePermissions!`](#issuepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="issuewebpath"></a>`webPath` | [`String!`](#string) | イシューのWebパス。 |
| <a id="issueweburl"></a>`webUrl` | [`String!`](#string) | イシューのWeb URL。 |
| <a id="issueweight"></a>`weight` | [`Int`](#int) | イシューのウェイト。 |

#### 引数のあるフィールド

##### `Issue.alertManagementAlerts`

このイシューに関連付けられているアラート管理アラート。

[`AlertManagementAlertConnection`](#alertmanagementalertconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuealertmanagementalertsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="issuealertmanagementalertsdomain"></a>`domain` | [`AlertManagementDomainFilter!`](#alertmanagementdomainfilter) | 特定のドメインのフィルタークエリ。 |
| <a id="issuealertmanagementalertsiid"></a>`iid` | [`String`](#string) | アラートのIID。例：「1」。 |
| <a id="issuealertmanagementalertssearch"></a>`search` | [`String`](#string) | タイトル、説明、サービス、またはmonitoring_toolの検索クエリ。 |
| <a id="issuealertmanagementalertssort"></a>`sort` | [`AlertManagementAlertSort`](#alertmanagementalertsort) | アラートを基準でソートします。 |
| <a id="issuealertmanagementalertsstatuses"></a>`statuses` | [`[AlertManagementStatus!]`](#alertmanagementstatus) | 指定された状態のアラート。例: `[TRIGGERED]`。 |

##### `Issue.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuecurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `Issue.issuableResourceLinks`

インシデントイシューのイシュー可能リソースリンク。

[`IssuableResourceLinkConnection`](#issuableresourcelinkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issueissuableresourcelinksincidentid"></a>`incidentId` | [`IssueID!`](#issueid) | インシデントのID。 |

##### `Issue.linkedWorkItems`

イシューにリンクされている作業アイテム。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

[`LinkedWorkItemTypeConnection`](#linkedworkitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuelinkedworkitemsfilter"></a>`filter` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプでフィルタリングします。サポートされている値: RELATED、BLOCKED_BY、BLOCKS。省略すると、すべてのタイプが返されます。 |

##### `Issue.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuenotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `Issue.reference`

イシューの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuereferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフル形式で返すかどうかを指定するブール値オプション。 |

### `IssuePermissions`

イシューに対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuepermissionsadminissue"></a>`adminIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_issue`を実行できます。 |
| <a id="issuepermissionsadminissuerelation"></a>`adminIssueRelation` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_issue_relation`を実行できます。 |
| <a id="issuepermissionscloneissue"></a>`cloneIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`clone_issue`を実行できます。 |
| <a id="issuepermissionscreatedesign"></a>`createDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_design`を実行できます。 |
| <a id="issuepermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="issuepermissionsdestroydesign"></a>`destroyDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_design`を実行できます。 |
| <a id="issuepermissionsmovedesign"></a>`moveDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`move_design`を実行できます。 |
| <a id="issuepermissionsmoveissue"></a>`moveIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`move_issue`を実行できます。 |
| <a id="issuepermissionsreaddesign"></a>`readDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_design`を実行できます。 |
| <a id="issuepermissionsreadissue"></a>`readIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_issue`を実行できます。 |
| <a id="issuepermissionsreopenissue"></a>`reopenIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`reopen_issue`を実行できます。 |
| <a id="issuepermissionsupdatedesign"></a>`updateDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_design`を実行できます。 |
| <a id="issuepermissionsupdateissue"></a>`updateIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_issue`を実行できます。 |

### `IssueStatusCountsType`

示された状態のイシューの総数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="issuestatuscountstypeall"></a>`all` | [`Int`](#int) | プロジェクトの状態がALLのイシューの数。 |
| <a id="issuestatuscountstypeclosed"></a>`closed` | [`Int`](#int) | プロジェクトの状態がCLOSEDのイシューの数。 |
| <a id="issuestatuscountstypeopened"></a>`opened` | [`Int`](#int) | プロジェクトの状態がOPENEDのイシューの数。 |

### `Iteration`

イテレーションオブジェクトを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationcreatedat"></a>`createdAt` | [`Time!`](#time) | イテレーション作成のタイムスタンプ。 |
| <a id="iterationdescription"></a>`description` | [`String`](#string) | イテレーションの説明。 |
| <a id="iterationdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="iterationduedate"></a>`dueDate` | [`Time`](#time) | イテレーションの期限のタイムスタンプ。 |
| <a id="iterationid"></a>`id` | [`ID!`](#id) | イテレーションのID。 |
| <a id="iterationiid"></a>`iid` | [`String!`](#string) | イテレーションの内部ID。 |
| <a id="iterationiterationcadence"></a>`iterationCadence` | [`IterationCadence!`](#iterationcadence) | イテレーションのケイデンス。 |
| <a id="iterationscopedpath"></a>`scopedPath` | [`String`](#string) | クエリの親をスコープとするイテレーションのWebパス。プロジェクトの親に対してのみ有効です。その他のコンテキストではnullを返します。 |
| <a id="iterationscopedurl"></a>`scopedUrl` | [`String`](#string) | クエリの親をスコープとするイテレーションのWeb URL。プロジェクトの親に対してのみ有効です。その他のコンテキストではnullを返します。 |
| <a id="iterationsequence"></a>`sequence` | [`Int!`](#int) | イテレーションを、それが含まれるケイデンスのイテレーションを開始日と終了日によって並べ替える際に使用する、イテレーションの順序番号。開始および終了のイテレーションが最も早いものに1が割り当てられます。 |
| <a id="iterationstartdate"></a>`startDate` | [`Time`](#time) | イテレーション開始日のタイムスタンプ。 |
| <a id="iterationstate"></a>`state` | [`IterationState!`](#iterationstate) | イテレーションの状態。 |
| <a id="iterationtitle"></a>`title` | [`String`](#string) | イテレーションのタイトル。 |
| <a id="iterationupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最後のイテレーション更新のタイムスタンプ。 |
| <a id="iterationwebpath"></a>`webPath` | [`String!`](#string) | イテレーションのWebパス。 |
| <a id="iterationweburl"></a>`webUrl` | [`String!`](#string) | イテレーションのWeb URL。 |

#### 引数のあるフィールド

##### `Iteration.report`

タイムボックスに関する、履歴として正確なレポート。

[`TimeboxReport`](#timeboxreport)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationreportfullpath"></a>`fullPath` | [`String`](#string) | レポートのスコープとして使用されるプロジェクトまたはグループのフルパス。例: `gitlab-org`、`gitlab-org/gitlab`。 |

### `IterationCadence`

イテレーションケイデンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="iterationcadenceactive"></a>`active` | [`Boolean`](#boolean) | イテレーションケイデンスがアクティブかどうか。 |
| <a id="iterationcadenceautomatic"></a>`automatic` | [`Boolean`](#boolean) | イテレーションケイデンスで今後のイテレーションを自動生成するかどうか。 |
| <a id="iterationcadencedescription"></a>`description` | [`String`](#string) | イテレーションケイデンスの説明。最大長は5000文字です。 |
| <a id="iterationcadencedurationinweeks"></a>`durationInWeeks` | [`Int`](#int) | ケイデンス内でのイテレーションの期間（週単位）。 |
| <a id="iterationcadenceid"></a>`id` | [`IterationsCadenceID!`](#iterationscadenceid) | イテレーションケイデンスのグローバルID。 |
| <a id="iterationcadenceiterationsinadvance"></a>`iterationsInAdvance` | [`Int`](#int) | イテレーションケイデンスが自動に設定されている場合に作成される今後のイテレーション。 |
| <a id="iterationcadencerollover"></a>`rollOver` | [`Boolean!`](#boolean) | イテレーションケイデンスでイシューを次のイテレーションにロールオーバーするかどうか。 |
| <a id="iterationcadencestartdate"></a>`startDate` | [`Time`](#time) | 自動化開始日時のタイムスタンプ。 |
| <a id="iterationcadencetitle"></a>`title` | [`String!`](#string) | イテレーションケイデンスのタイトル。 |

### `JiraImport`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraimportcreatedat"></a>`createdAt` | [`Time`](#time) | Jiraインポート作成時のタイムスタンプ。 |
| <a id="jiraimportfailedtoimportcount"></a>`failedToImportCount` | [`Int!`](#int) | インポートに失敗したイシューの数。 |
| <a id="jiraimportimportedissuescount"></a>`importedIssuesCount` | [`Int!`](#int) | 正常にインポートされたイシューの数。 |
| <a id="jiraimportjiraprojectkey"></a>`jiraProjectKey` | [`String!`](#string) | インポートされたJiraプロジェクトのプロジェクトキー。 |
| <a id="jiraimportscheduledat"></a>`scheduledAt` | [`Time`](#time) | Jiraインポートがスケジュールされた時点のタイムスタンプ。 |
| <a id="jiraimportscheduledby"></a>`scheduledBy` | [`UserCore`](#usercore) | Jiraのインポートを開始したユーザー。 |
| <a id="jiraimporttotalissuecount"></a>`totalIssueCount` | [`Int!`](#int) | インポートが試行されたイシューの総数。 |

### `JiraProject`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraprojectkey"></a>`key` | [`String!`](#string) | Jiraプロジェクトのキー。 |
| <a id="jiraprojectname"></a>`name` | [`String`](#string) | Jiraプロジェクトの名前。 |
| <a id="jiraprojectprojectid"></a>`projectId` | [`Int!`](#int) | JiraプロジェクトのID。 |

### `JiraService`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraserviceactive"></a>`active` | [`Boolean`](#boolean) | サービスがアクティブかどうかを示します。 |
| <a id="jiraserviceservicetype"></a>`serviceType` | [`ServiceType`](#servicetype) | サービスのタイプ。 |
| <a id="jiraservicetype"></a>`type` | [`String`](#string) | サービスのクラス名。 |

#### 引数のあるフィールド

##### `JiraService.projects`

Jira REST APIを通じてフェッチされたすべてのJiraプロジェクトのリスト。

[`JiraProjectConnection`](#jiraprojectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jiraserviceprojectsname"></a>`name` | [`String`](#string) | プロジェクトの名前またはキー。 |

### `JiraUser`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jirausergitlabid"></a>`gitlabId` | [`Int`](#int) | 一致したGitLabユーザーのID。 |
| <a id="jirausergitlabname"></a>`gitlabName` | [`String`](#string) | 一致したGitLabユーザーの名前。 |
| <a id="jirausergitlabusername"></a>`gitlabUsername` | [`String`](#string) | 一致したGitLabユーザーのユーザー名。 |
| <a id="jirauserjiraaccountid"></a>`jiraAccountId` | [`String!`](#string) | JiraユーザーのアカウントID。 |
| <a id="jirauserjiradisplayname"></a>`jiraDisplayName` | [`String!`](#string) | Jiraユーザーの表示名。 |
| <a id="jirauserjiraemail"></a>`jiraEmail` | [`String`](#string) | Jiraユーザーのメール。公開メールのあるユーザーについてのみ返されます。 |

### `JobArtifactRegistry`

job_artifactのGeoのレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobartifactregistryartifactid"></a>`artifactId` | [`ID!`](#id) | ジョブアーティファクトのID。 |
| <a id="jobartifactregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | JobArtifactRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="jobartifactregistrycreatedat"></a>`createdAt` | [`Time`](#time) | JobArtifactRegistry作成時のタイムスタンプ。 |
| <a id="jobartifactregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="jobartifactregistryid"></a>`id` | [`ID!`](#id) | JobArtifactRegistryのID。 |
| <a id="jobartifactregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | JobArtifactRegistryの同期中のエラーメッセージ。 |
| <a id="jobartifactregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | JobArtifactRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="jobartifactregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにJobArtifactRegistryが欠落しているかどうかを示します。 |
| <a id="jobartifactregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | JobArtifactRegistryのモデルレコードのID。 |
| <a id="jobartifactregistryretryat"></a>`retryAt` | [`Time`](#time) | JobArtifactRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="jobartifactregistryretrycount"></a>`retryCount` | [`Int`](#int) | JobArtifactRegistryの同期試行の連続失敗回数。 |
| <a id="jobartifactregistrystate"></a>`state` | [`RegistryState`](#registrystate) | JobArtifactRegistryの同期状態。 |
| <a id="jobartifactregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | JobArtifactRegistryのローカルチェックサム。 |
| <a id="jobartifactregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のJobArtifactRegistryのチェックサムの予想値。 |
| <a id="jobartifactregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | JobArtifactRegistryの検証中のエラーメッセージ。 |
| <a id="jobartifactregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | JobArtifactRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="jobartifactregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | JobArtifactRegistryの検証試行の連続失敗回数。 |
| <a id="jobartifactregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | JobArtifactRegistryの検証開始時のタイムスタンプ。 |
| <a id="jobartifactregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | JobArtifactRegistryの検証状態。 |
| <a id="jobartifactregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | JobArtifactRegistryの最新の検証成功のタイムスタンプ。 |

### `JobPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jobpermissionscancelbuild"></a>`cancelBuild` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`cancel_build`を実行できます。 |
| <a id="jobpermissionsreadbuild"></a>`readBuild` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_build`を実行できます。 |
| <a id="jobpermissionsreadjobartifacts"></a>`readJobArtifacts` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_job_artifacts`を実行できます。 |
| <a id="jobpermissionsupdatebuild"></a>`updateBuild` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_build`を実行できます。 |

### `Kas`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="kasenabled"></a>`enabled` | [`Boolean!`](#boolean) | Kubernetesエージェントサーバーが有効になっているかどうかを示します。 |
| <a id="kasexternalk8sproxyurl"></a>`externalK8sProxyUrl` | [`String`](#string) | KubernetesツールがKAS Kubernetes APIプロキシと通信するために使用するURL。 |
| <a id="kasexternalurl"></a>`externalUrl` | [`String`](#string) | エージェントがサーバーと通信するために使用するURL。 |
| <a id="kasversion"></a>`version` | [`String`](#string) | KASのバージョン。 |

### `Key`

SSH鍵を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="keycreatedat"></a>`createdAt` | [`Time!`](#time) | キー作成時のタイムスタンプ。 |
| <a id="keyexpiresat"></a>`expiresAt` | [`Time!`](#time) | キーの有効期限のタイムスタンプ。期限切れにならない場合はnullです。 |
| <a id="keyid"></a>`id` | [`ID!`](#id) | キーのID。 |
| <a id="keykey"></a>`key` | [`String!`](#string) | キーペアの公開キー。 |
| <a id="keyname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="keytitle"></a>`title` | [`String!`](#string) | キーのタイトル。 |
| <a id="keyweburl"></a>`webUrl` | [`String`](#string) | オブジェクトのURL。 |

### `KubernetesAnnotation`

ワークスペースの関連Kubernetesオブジェクトに適用されるアノテーション。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="kubernetesannotationkey"></a>`key` | [`String!`](#string) | アノテーションのキー。 |
| <a id="kubernetesannotationvalue"></a>`value` | [`String!`](#string) | アノテーションの値。 |

### `KubernetesLabel`

ワークスペースの関連Kubernetesオブジェクトに適用されるラベル。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="kuberneteslabelkey"></a>`key` | [`String!`](#string) | ラベルのキー。 |
| <a id="kuberneteslabelvalue"></a>`value` | [`String!`](#string) | ラベルの値。 |

### `Label`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="labelcolor"></a>`color` | [`String!`](#string) | ラベルの背景色。 |
| <a id="labelcreatedat"></a>`createdAt` | [`Time!`](#time) | ラベルが作成された日時。 |
| <a id="labeldescription"></a>`description` | [`String`](#string) | ラベルの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="labeldescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="labelid"></a>`id` | [`LabelID!`](#labelid) | ラベルのグローバルID。 |
| <a id="labellockonmerge"></a>`lockOnMerge` | [`Boolean!`](#boolean) | このラベルが、マージされたマージリクエストに対してロックされているかどうかを示します。 |
| <a id="labeltextcolor"></a>`textColor` | [`String!`](#string) | ラベルのテキストの色。 |
| <a id="labeltitle"></a>`title` | [`String!`](#string) | ラベルの内容。 |
| <a id="labelupdatedat"></a>`updatedAt` | [`Time!`](#time) | ラベルが最後に更新された日時。 |

### `LdapAdminRoleLink`

インスタンスレベルのLDAPリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ldapadminrolelinkadminmemberrole"></a>`adminMemberRole` | [`AdminMemberRole!`](#adminmemberrole) | カスタム管理者メンバーロール。 |
| <a id="ldapadminrolelinkcn"></a>`cn` | [`String`](#string) | LDAPグループの共通（CN）。 |
| <a id="ldapadminrolelinkfilter"></a>`filter` | [`String`](#string) | LDAPグループの検索フィルター。 |
| <a id="ldapadminrolelinkid"></a>`id` | [`ID!`](#id) | LDAPリンクのID。 |
| <a id="ldapadminrolelinkprovider"></a>`provider` | [`String!`](#string) | LDAPリンクのLDAPプロバイダー。 |

### `LfsObjectRegistry`

LFSオブジェクトのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="lfsobjectregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | LfsObjectRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="lfsobjectregistrycreatedat"></a>`createdAt` | [`Time`](#time) | LfsObjectRegistry作成時のタイムスタンプ。 |
| <a id="lfsobjectregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="lfsobjectregistryid"></a>`id` | [`ID!`](#id) | LfsObjectRegistryのID。 |
| <a id="lfsobjectregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | LfsObjectRegistryの同期中のエラーメッセージ。 |
| <a id="lfsobjectregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | LfsObjectRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="lfsobjectregistrylfsobjectid"></a>`lfsObjectId` | [`ID!`](#id) | LFSオブジェクトのID。 |
| <a id="lfsobjectregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにLfsObjectRegistryが欠落しているかどうかを示します。 |
| <a id="lfsobjectregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | LfsObjectRegistryのモデルレコードのID。 |
| <a id="lfsobjectregistryretryat"></a>`retryAt` | [`Time`](#time) | LfsObjectRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="lfsobjectregistryretrycount"></a>`retryCount` | [`Int`](#int) | LfsObjectRegistryの同期試行の連続失敗回数。 |
| <a id="lfsobjectregistrystate"></a>`state` | [`RegistryState`](#registrystate) | LfsObjectRegistryの同期状態。 |
| <a id="lfsobjectregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | LfsObjectRegistryのローカルチェックサム。 |
| <a id="lfsobjectregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のLfsObjectRegistryのチェックサムの予想値。 |
| <a id="lfsobjectregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | LfsObjectRegistryの検証中のエラーメッセージ。 |
| <a id="lfsobjectregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | LfsObjectRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="lfsobjectregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | LfsObjectRegistryの検証試行の連続失敗回数。 |
| <a id="lfsobjectregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | LfsObjectRegistryの検証開始時のタイムスタンプ。 |
| <a id="lfsobjectregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | LfsObjectRegistryの検証状態。 |
| <a id="lfsobjectregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | LfsObjectRegistryの最新の検証成功のタイムスタンプ。 |

### `License`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="licensename"></a>`name` | [`String!`](#string) | ライセンスの名前。 |
| <a id="licensespdxidentifier"></a>`spdxIdentifier` | [`String`](#string) | SPDX識別子の名前。 |
| <a id="licenseurl"></a>`url` | [`String`](#string) | SPDXに関連するライセンスURL。 |

### `LicenseHistoryEntry`

クラウドライセンス履歴からのエントリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="licensehistoryentryactivatedat"></a>`activatedAt` | [`Date`](#date) | ライセンスがアクティブ化された日付。 |
| <a id="licensehistoryentryblockchangesat"></a>`blockChangesAt` | [`Date`](#date) | ライセンスされた機能がブロックされる日付（猶予期間を含む）。 |
| <a id="licensehistoryentrycompany"></a>`company` | [`String`](#string) | ライセンシーの会社。 |
| <a id="licensehistoryentrycreatedat"></a>`createdAt` | [`Date`](#date) | ライセンスが追加された日付。 |
| <a id="licensehistoryentryemail"></a>`email` | [`String`](#string) | ライセンシーのメール。 |
| <a id="licensehistoryentryexpiresat"></a>`expiresAt` | [`Date`](#date) | ライセンスの有効期限の日付。 |
| <a id="licensehistoryentryid"></a>`id` | [`ID!`](#id) | ライセンスデータから抽出されたライセンスのID。 |
| <a id="licensehistoryentryname"></a>`name` | [`String`](#string) | ライセンシーの名前。 |
| <a id="licensehistoryentryplan"></a>`plan` | [`String!`](#string) | サブスクリプションプランの名前。 |
| <a id="licensehistoryentrystartsat"></a>`startsAt` | [`Date`](#date) | ライセンスの開始日付。 |
| <a id="licensehistoryentrytype"></a>`type` | [`String!`](#string) | ライセンスのタイプ。 |
| <a id="licensehistoryentryusersinlicensecount"></a>`usersInLicenseCount` | [`Int`](#int) | ライセンスに含まれる有料ユーザー数。 |

### `LinkedWorkItemType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="linkedworkitemtypelinkcreatedat"></a>`linkCreatedAt` | [`Time!`](#time) | リンク作成時のタイムスタンプ。 |
| <a id="linkedworkitemtypelinkid"></a>`linkId` | [`WorkItemsRelatedWorkItemLinkID!`](#workitemsrelatedworkitemlinkid) | リンクのグローバルID。 |
| <a id="linkedworkitemtypelinktype"></a>`linkType` | [`String!`](#string) | リンクのタイプ。 |
| <a id="linkedworkitemtypelinkupdatedat"></a>`linkUpdatedAt` | [`Time!`](#time) | リンク更新時のタイムスタンプ。 |
| <a id="linkedworkitemtypeworkitem"></a>`workItem` | [`WorkItem`](#workitem) | リンクされた作業アイテム。 |
| <a id="linkedworkitemtypeworkitemstate"></a>`workItemState` | [`WorkItemState!`](#workitemstate) | リンクされた作業アイテムの状態。 |

### `Location`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="locationancestors"></a>`ancestors` | [`[AncestorType!]`](#ancestortype) | 依存関係の祖先。 |
| <a id="locationblobpath"></a>`blobPath` | [`String`](#string) | GitLabでインプットファイルを表示するためのHTTP URIパス。 |
| <a id="locationpath"></a>`path` | [`String`](#string) | 依存関係を検出するために分析されたファイルの、リポジトリのルートからの相対パス。 |
| <a id="locationtoplevel"></a>`topLevel` | [`Boolean`](#boolean) | 最上位の依存関係かどうか。 |

### `MLCandidateLinks`

候補に対してアクションを実行するためのリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatelinksartifactpath"></a>`artifactPath` | [`String`](#string) | アーティファクトのパス。 |
| <a id="mlcandidatelinksshowpath"></a>`showPath` | [`String`](#string) | 候補の詳細ページへのパス。 |

### `MLModelLinks`

モデルに対してアクションを実行するためのリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodellinksshowpath"></a>`showPath` | [`String`](#string) | モデルの詳細ページへのパス。 |

### `MLModelVersionLinks`

モデルバージョンに対してアクションを実行するためのリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionlinksimportpath"></a>`importPath` | [`String`](#string) | 機械学習モデルのファイルアップロードパス。 |
| <a id="mlmodelversionlinkspackagepath"></a>`packagePath` | [`String`](#string) | モデルバージョンのパッケージへのパス。 |
| <a id="mlmodelversionlinksshowpath"></a>`showPath` | [`String`](#string) | モデルバージョンの詳細ページへのパス。 |

### `MavenMetadata`

Mavenメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mavenmetadataappgroup"></a>`appGroup` | [`String!`](#string) | Mavenパッケージのアプリグループ。 |
| <a id="mavenmetadataappname"></a>`appName` | [`String!`](#string) | Mavenパッケージのアプリ名。 |
| <a id="mavenmetadataappversion"></a>`appVersion` | [`String`](#string) | Mavenパッケージのアプリバージョン。 |
| <a id="mavenmetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="mavenmetadataid"></a>`id` | [`PackagesMavenMetadatumID!`](#packagesmavenmetadatumid) | メタデータのID。 |
| <a id="mavenmetadatapath"></a>`path` | [`String!`](#string) | Mavenパッケージのパス。 |
| <a id="mavenmetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

### `MemberApproval`

ロールプロモーションのキューに入れられたメンバー承認を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberapprovalcreatedat"></a>`createdAt` | [`Time`](#time) | メンバー承認作成時のタイムスタンプ。 |
| <a id="memberapprovalmember"></a>`member` | [`MemberInterface`](#memberinterface) | メンバー承認オブジェクトに関連付けられているメンバー。 |
| <a id="memberapprovalmemberroleid"></a>`memberRoleId` | [`ID`](#id) | メンバーロールのID。 |
| <a id="memberapprovalnewaccesslevel"></a>`newAccessLevel` | [`AccessLevel`](#accesslevel) | メンバーについてリクエストされた新しいGitLab::アクセスレベル。 |
| <a id="memberapprovaloldaccesslevel"></a>`oldAccessLevel` | [`AccessLevel`](#accesslevel) | メンバーの既存のGitLab::アクセスレベル。 |
| <a id="memberapprovalrequestedby"></a>`requestedBy` | [`UserCore`](#usercore) | メンバープロモーションをリクエストしたユーザー。 |
| <a id="memberapprovalreviewedby"></a>`reviewedBy` | [`UserCore`](#usercore) | メンバープロモーションをレビューしたユーザー。 |
| <a id="memberapprovalstatus"></a>`status` | [`String`](#string) | メンバー承認リクエストの状態（承認、却下、保留中）。 |
| <a id="memberapprovalupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバー承認最終更新時のタイムスタンプ。 |
| <a id="memberapprovaluser"></a>`user` | [`UserCore`](#usercore) | メンバー承認オブジェクトに関連付けられているユーザー。 |

### `MemberRole`

メンバーロールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberrolebaseaccesslevel"></a>`baseAccessLevel` {{< icon name="warning-solid" >}} | [`AccessLevel!`](#accesslevel) | GitLab 16.5で**導入**。**状態**: 実験。カスタムロールの基本アクセスレベル。 |
| <a id="memberrolecreatedat"></a>`createdAt` | [`Time!`](#time) | メンバーロール作成時のタイムスタンプ。 |
| <a id="memberroledependentsecuritypolicies"></a>`dependentSecurityPolicies` | [`[ApprovalPolicy!]`](#approvalpolicy) | カスタムロールに依存するセキュリティポリシーの配列。 |
| <a id="memberroledescription"></a>`description` | [`String`](#string) | ロールの説明。 |
| <a id="memberroledetailspath"></a>`detailsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.4で**導入**。**状態**: 実験。ロールの詳細WebページのURLパス。 |
| <a id="memberroleeditpath"></a>`editPath` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 16.11で**導入**。**状態**: 実験。カスタムロールを編集するためのWeb UIパス。 |
| <a id="memberroleenabledpermissions"></a>`enabledPermissions` {{< icon name="warning-solid" >}} | [`CustomizableStandardPermissionConnection!`](#customizablestandardpermissionconnection) | GitLab 16.5で**導入**。**状態**: 実験。カスタムロールに対して有効になっているすべての権限の配列。 |
| <a id="memberroleid"></a>`id` | [`ID!`](#id) | ロールID。 |
| <a id="memberrolememberscount"></a>`membersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.3で**導入**。**状態**: 実験。ロールがグループまたはプロジェクトメンバーに直接割り当てられた回数。 |
| <a id="memberrolename"></a>`name` | [`String`](#string) | ロール名。 |
| <a id="memberroleuserscount"></a>`usersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.5で**導入**。**状態**: 実験。少なくとも1つのグループまたはプロジェクトでロールが直接割り当てられているユーザーの数。 |

### `MergeAccessLevel`

どのユーザーロール、ユーザー、またはグループを保護ブランチにマージできるかを定義します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergeaccesslevelaccesslevel"></a>`accessLevel` | [`Int!`](#int) | GitLab::アクセスレベル。 |
| <a id="mergeaccesslevelaccessleveldescription"></a>`accessLevelDescription` | [`String!`](#string) | 人間が判読できるアクセスレベルの表示。 |
| <a id="mergeaccesslevelgroup"></a>`group` | [`AccessLevelGroup`](#accesslevelgroup) | アクセスレベルに関連付けられているグループ。 |
| <a id="mergeaccessleveluser"></a>`user` | [`AccessLevelUser`](#accessleveluser) | アクセスレベルに関連付けられているユーザー。 |

### `MergeRequest`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestallowcollaboration"></a>`allowCollaboration` | [`Boolean`](#boolean) | ターゲットプロジェクトのメンバーがフォークにプッシュできるかどうかを示します。 |
| <a id="mergerequestallowsmultipleassignees"></a>`allowsMultipleAssignees` | [`Boolean!`](#boolean) | 複数のユーザーをマージリクエストに割り当てる操作を許可します。 |
| <a id="mergerequestallowsmultiplereviewers"></a>`allowsMultipleReviewers` | [`Boolean!`](#boolean) | 複数のレビュアーをマージリクエストに割り当てる操作を許可します。 |
| <a id="mergerequestapprovalstate"></a>`approvalState` | [`MergeRequestApprovalState!`](#mergerequestapprovalstate) | マージリクエストをマージするために満たす必要のあるルールに関する情報。 |
| <a id="mergerequestapprovalsleft"></a>`approvalsLeft` | [`Int`](#int) | 残りの承認数。 |
| <a id="mergerequestapprovalsrequired"></a>`approvalsRequired` | [`Int`](#int) | 必要な承認数。 |
| <a id="mergerequestapproved"></a>`approved` | [`Boolean!`](#boolean) | マージリクエストに必要な承認がすべてあるかどうかを示します。 |
| <a id="mergerequestapprovedby"></a>`approvedBy` | [`UserCoreConnection`](#usercoreconnection) | マージリクエストを承認したユーザー。（[接続](#connections)を参照） |
| <a id="mergerequestassignees"></a>`assignees` | [`MergeRequestAssigneeConnection`](#mergerequestassigneeconnection) | マージリクエストの割り当て先。（[接続](#connections)を参照） |
| <a id="mergerequestauthor"></a>`author` | [`MergeRequestAuthor`](#mergerequestauthor) | マージリクエストを作成したユーザー。 |
| <a id="mergerequestautomergeenabled"></a>`autoMergeEnabled` | [`Boolean!`](#boolean) | マージリクエストについて自動マージが有効になっているかどうかを示します。 |
| <a id="mergerequestautomergestrategy"></a>`autoMergeStrategy` | [`String`](#string) | 選択された自動マージ戦略。 |
| <a id="mergerequestavailableautomergestrategies"></a>`availableAutoMergeStrategies` | [`[String!]`](#string) | 利用可能な自動マージ戦略の配列。 |
| <a id="mergerequestawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | マージリクエストに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="mergerequestblockingmergerequests"></a>`blockingMergeRequests` {{< icon name="warning-solid" >}} | [`BlockingMergeRequests`](#blockingmergerequests) | GitLab 16.5で**導入**。**状態**: 実験。別のマージリクエストのマージをブロックするマージリクエスト。 |
| <a id="mergerequestchangerequesters"></a>`changeRequesters` | [`UserCoreConnection`](#usercoreconnection) | マージリクエストへの変更をリクエストしたユーザー。（[接続](#connections)を参照） |
| <a id="mergerequestclosedat"></a>`closedAt` | [`Time`](#time) | マージリクエスト完了時点のタイムスタンプ。完了していない場合はnull。 |
| <a id="mergerequestcodequalityreportscomparer"></a>`codequalityReportsComparer` | [`CodequalityReportsComparer`](#codequalityreportscomparer) | マージリクエストで報告されたコード品質レポートの比較。 |
| <a id="mergerequestcommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="mergerequestcommitcount"></a>`commitCount` | [`Int`](#int) | マージリクエスト内のコミット数。 |
| <a id="mergerequestcommits"></a>`commits` | [`CommitConnection`](#commitconnection) | マージリクエストのコミット。（[接続](#connections)を参照） |
| <a id="mergerequestcommitswithoutmergecommits"></a>`commitsWithoutMergeCommits` | [`CommitConnection`](#commitconnection) | マージコミットを除くマージリクエストのコミット。（[接続](#connections)を参照） |
| <a id="mergerequestcommitters"></a>`committers` | [`UserCoreConnection`](#usercoreconnection) | マージリクエストにコミットを追加したユーザー。（[接続](#connections)を参照） |
| <a id="mergerequestconflicts"></a>`conflicts` | [`Boolean!`](#boolean) | マージリクエストに競合があるかどうかを示します。 |
| <a id="mergerequestcreatedat"></a>`createdAt` | [`Time!`](#time) | マージリクエスト作成時のタイムスタンプ。 |
| <a id="mergerequestdefaultmergecommitmessage"></a>`defaultMergeCommitMessage` | [`String`](#string) | マージリクエストのデフォルトのGitLab Duoマージコミットメッセージ。 |
| <a id="mergerequestdefaultsquashcommitmessage"></a>`defaultSquashCommitMessage` | [`String`](#string) | マージリクエストのデフォルトのスカッシュコミットメッセージ。 |
| <a id="mergerequestdescription"></a>`description` | [`String`](#string) | マージリクエストの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="mergerequestdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="mergerequestdetailedmergestatus"></a>`detailedMergeStatus` | [`DetailedMergeStatus`](#detailedmergestatus) | マージリクエストの詳細なマージ状態。 |
| <a id="mergerequestdiffheadsha"></a>`diffHeadSha` | [`String`](#string) | マージリクエストの差分ヘッドSHA。 |
| <a id="mergerequestdiffrefs"></a>`diffRefs` | [`DiffRefs`](#diffrefs) | マージリクエストのベースSHA、ヘッドSHA、および開始SHAの参照。 |
| <a id="mergerequestdiffstatssummary"></a>`diffStatsSummary` | [`DiffStatsSummary`](#diffstatssummary) | マージリクエストでどのファイルが変更されたかの概要。 |
| <a id="mergerequestdiscussionlocked"></a>`discussionLocked` | [`Boolean!`](#boolean) | マージリクエストのコメントがメンバーのみにロックされているかどうかを示します。 |
| <a id="mergerequestdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="mergerequestdivergedfromtargetbranch"></a>`divergedFromTargetBranch` | [`Boolean!`](#boolean) | ソースブランチがターゲットブランチより遅れているかどうかを示します。 |
| <a id="mergerequestdownvotes"></a>`downvotes` | [`Int!`](#int) | マージリクエストの不同意の数。 |
| <a id="mergerequestdraft"></a>`draft` | [`Boolean!`](#boolean) | マージリクエストが下書きかどうかを示します。 |
| <a id="mergerequestforceremovesourcebranch"></a>`forceRemoveSourceBranch` | [`Boolean`](#boolean) | プロジェクト設定によってマージ後にソースブランチが削除されるかどうかを示します。 |
| <a id="mergerequesthasci"></a>`hasCi` | [`Boolean!`](#boolean) | マージリクエストにCIがあるかどうかを示します。 |
| <a id="mergerequesthassecurityreports"></a>`hasSecurityReports` | [`Boolean!`](#boolean) | ソースブランチにセキュリティレポートがあるかどうかを示します。 |
| <a id="mergerequestheadpipeline"></a>`headPipeline` | [`Pipeline`](#pipeline) | マージリクエストのブランチHEADで実行されているパイプライン。 |
| <a id="mergerequesthidden"></a>`hidden` | [`Boolean`](#boolean) | 作成者がBANされたため、マージリクエストが非表示になっていることを示します。 |
| <a id="mergerequesthumantimeestimate"></a>`humanTimeEstimate` | [`String`](#string) | 人間が判読可能なマージリクエストの見積もり時間。 |
| <a id="mergerequesthumantotaltimespent"></a>`humanTotalTimeSpent` | [`String`](#string) | マージリクエストに費やされたとして報告された合計時間（人間が判読可能な形式）。 |
| <a id="mergerequestid"></a>`id` | [`ID!`](#id) | マージリクエストのID。 |
| <a id="mergerequestiid"></a>`iid` | [`String!`](#string) | マージリクエストの内部ID。 |
| <a id="mergerequestinprogressmergecommitsha"></a>`inProgressMergeCommitSha` | [`String`](#string) | マージが進行中の場合のマージリクエストのコミットSHA。 |
| <a id="mergerequestlabels"></a>`labels` | [`LabelConnection`](#labelconnection) | マージリクエストのラベル。（[接続](#connections)を参照） |
| <a id="mergerequestmergeafter"></a>`mergeAfter` | [`Time`](#time) | マージリクエストをマージできようになる日付。 |
| <a id="mergerequestmergecommitsha"></a>`mergeCommitSha` | [`String`](#string) | マージリクエストコミットのSHA（マージ後に設定）。 |
| <a id="mergerequestmergeerror"></a>`mergeError` | [`String`](#string) | マージエラーによるエラーメッセージ。 |
| <a id="mergerequestmergeongoing"></a>`mergeOngoing` | [`Boolean!`](#boolean) | 現在マージが発生しているかどうかを示します。 |
| <a id="mergerequestmergerequestdiffs"></a>`mergeRequestDiffs` {{< icon name="warning-solid" >}} | [`MergeRequestDiffConnection`](#mergerequestdiffconnection) | GitLab 16.2で**導入**。**状態**: 実験。マージリクエストの差分バージョン。 |
| <a id="mergerequestmergestatus"></a>`mergeStatus` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 14.0で**非推奨**になりました。名前が変更されました。[`MergeRequest.mergeStatusEnum`](#mergerequestmergestatusenum)を使用してください。 |
| <a id="mergerequestmergestatusenum"></a>`mergeStatusEnum` | [`MergeStatus`](#mergestatus) | マージリクエストのマージ状態。 |
| <a id="mergerequestmergetraincar"></a>`mergeTrainCar` {{< icon name="warning-solid" >}} | [`MergeTrainCar`](#mergetraincar) | GitLab 17.2で**導入**。**状態**: 実験。マージトレイン中のマージリクエストを表します。 |
| <a id="mergerequestmergetrainindex"></a>`mergeTrainIndex` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.4で**非推奨**になりました。代わりに`MergeTrains::CarType`の`index`を使用してください。 |
| <a id="mergerequestmergetrainscount"></a>`mergeTrainsCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.4で**非推奨**になりました。代わりに、`MergeTrains::TrainType`の`cars`接続から`count`を使用してください。 |
| <a id="mergerequestmergeuser"></a>`mergeUser` | [`UserCore`](#usercore) | マージリクエストをマージしたユーザー、またはそれを自動マージに設定したユーザー。 |
| <a id="mergerequestmergewhenpipelinesucceeds"></a>`mergeWhenPipelineSucceeds` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.11で**非推奨**になりました。名前が変更されました。[`MergeRequest.autoMergeEnabled`](#mergerequestautomergeenabled)を使用してください。 |
| <a id="mergerequestmergeabilitychecks"></a>`mergeabilityChecks` {{< icon name="warning-solid" >}} | [`[MergeRequestMergeabilityCheck!]!`](#mergerequestmergeabilitycheck) | GitLab 16.5で**導入**。**状態**: 実験。マージリクエストのすべてのマージ可能性チェックの状態。 |
| <a id="mergerequestmergeable"></a>`mergeable` | [`Boolean!`](#boolean) | マージリクエストがマージ可能かどうかを示します。 |
| <a id="mergerequestmergeablediscussionsstate"></a>`mergeableDiscussionsState` | [`Boolean`](#boolean) | マージリクエスト内のすべてのディスカッションが解決されて、マージリクエストをマージできるようになっているかどうかを示します。 |
| <a id="mergerequestmergedat"></a>`mergedAt` | [`Time`](#time) | マージリクエストがマージされた時点のタイムスタンプ。マージされていない場合はnull。 |
| <a id="mergerequestmilestone"></a>`milestone` | [`Milestone`](#milestone) | マージリクエストのマイルストーン。 |
| <a id="mergerequestname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="mergerequestparticipants"></a>`participants` | [`MergeRequestParticipantConnection`](#mergerequestparticipantconnection) | マージリクエストの参加者。これには、作成者、担当者、レビュアー、およびノートで言及されているユーザーが含まれます。（[接続](#connections)を参照） |
| <a id="mergerequestpoliciesoverridingapprovalsettings"></a>`policiesOverridingApprovalSettings` | [`[PolicyApprovalSettingsOverride!]`](#policyapprovalsettingsoverride) | マージリクエストのポリシーによってオーバーライドされる承認設定。 |
| <a id="mergerequestpolicyviolations"></a>`policyViolations` | [`PolicyViolationDetails`](#policyviolationdetails) | マージリクエストで報告された違反。 |
| <a id="mergerequestpreparedat"></a>`preparedAt` | [`Time`](#time) | マージリクエストが準備された時点のタイムスタンプ。 |
| <a id="mergerequestproject"></a>`project` | [`Project!`](#project) | target_projectのエイリアス。 |
| <a id="mergerequestprojectid"></a>`projectId` | [`Int!`](#int) | マージリクエストプロジェクトのID。 |
| <a id="mergerequestrebasecommitsha"></a>`rebaseCommitSha` | [`String`](#string) | マージリクエストのリベースコミットSHA。 |
| <a id="mergerequestrebaseinprogress"></a>`rebaseInProgress` | [`Boolean!`](#boolean) | マージリクエストについて現在進行中のリベースがあるかどうかを示します。 |
| <a id="mergerequestresolvablediscussionscount"></a>`resolvableDiscussionsCount` | [`Int`](#int) | マージリクエストで解決可能なユーザーディスカッションの数。 |
| <a id="mergerequestresolveddiscussionscount"></a>`resolvedDiscussionsCount` | [`Int`](#int) | マージリクエストで解決済みのユーザーディスカッションの数。 |
| <a id="mergerequestretargeted"></a>`retargeted` | [`Boolean`](#boolean) | マージリクエストのターゲットが変更されたかどうかを示します。 |
| <a id="mergerequestreviewers"></a>`reviewers` | [`MergeRequestReviewerConnection`](#mergerequestreviewerconnection) | レビューのリクエスト元ユーザー。（[接続](#connections)を参照） |
| <a id="mergerequestsecurityautofix"></a>`securityAutoFix` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.11で**非推奨**になりました。セキュリティ自動修正実験機能は削除されました。これは常に`security_auto_fix`機能フラグの背後に隠ぺいされることになりました。 |
| <a id="mergerequestsecurityreportsuptodateontargetbranch"></a>`securityReportsUpToDateOnTargetBranch` | [`Boolean!`](#boolean) | ターゲットブランチのセキュリティレポートが最新でないかどうかを示します。 |
| <a id="mergerequestshouldberebased"></a>`shouldBeRebased` | [`Boolean!`](#boolean) | マージリクエストがリベースされるかどうかを示します。 |
| <a id="mergerequestshouldremovesourcebranch"></a>`shouldRemoveSourceBranch` | [`Boolean`](#boolean) | マージ後にマージリクエストのソースブランチを削除するかどうかを示します。 |
| <a id="mergerequestsourcebranch"></a>`sourceBranch` | [`String!`](#string) | マージリクエストのソースブランチ。 |
| <a id="mergerequestsourcebranchexists"></a>`sourceBranchExists` | [`Boolean!`](#boolean) | マージリクエストのソースブランチが存在するかどうかを示します。 |
| <a id="mergerequestsourcebranchprotected"></a>`sourceBranchProtected` | [`Boolean!`](#boolean) | ソースブランチが保護されているかどうかを示します。 |
| <a id="mergerequestsourceproject"></a>`sourceProject` | [`Project`](#project) | マージリクエストのソースプロジェクト。 |
| <a id="mergerequestsourceprojectid"></a>`sourceProjectId` | [`Int`](#int) | マージリクエストソースプロジェクトのID。 |
| <a id="mergerequestsquash"></a>`squash` | [`Boolean!`](#boolean) | マージ時にマージリクエストをスカッシュするように設定するかどうかを示します。[プロジェクト設定](https://docs.gitlab.com/ee/user/project/merge_requests/squash_and_merge.html#configure-squash-options-for-a-project)でこの値がオーバーライドされる可能性があります。代わりに`squash_on_merge`を使用して、プロジェクトのスカッシュオプションを検討してください。 |
| <a id="mergerequestsquashonmerge"></a>`squashOnMerge` | [`Boolean!`](#boolean) | マージ時にマージリクエストをスカッシュするかどうかを示します。 |
| <a id="mergerequestsquashreadonly"></a>`squashReadOnly` | [`Boolean!`](#boolean) | `squashReadOnly`が有効になっているかどうかを示します。 |
| <a id="mergerequeststate"></a>`state` | [`MergeRequestState!`](#mergerequeststate) | マージリクエストの状態。 |
| <a id="mergerequestsubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在ログインしているユーザーがマージリクエストをサブスクライブしているかどうかを示します。 |
| <a id="mergerequestsuggestedreviewers"></a>`suggestedReviewers` | [`SuggestedReviewersType`](#suggestedreviewerstype) | マージリクエストの推奨レビュアー。 |
| <a id="mergerequestsupportslockonmerge"></a>`supportsLockOnMerge` | [`Boolean!`](#boolean) | ロックされたラベルがマージリクエストでサポートされているかどうかを示します。 |
| <a id="mergerequesttargetbranch"></a>`targetBranch` | [`String!`](#string) | マージリクエストのターゲットブランチ。 |
| <a id="mergerequesttargetbranchexists"></a>`targetBranchExists` | [`Boolean!`](#boolean) | マージリクエストのターゲットブランチが存在するかどうかを示します。 |
| <a id="mergerequesttargetbranchpath"></a>`targetBranchPath` | [`String`](#string) | マージリクエストのターゲットブランチのパス。 |
| <a id="mergerequesttargetproject"></a>`targetProject` | [`Project!`](#project) | マージリクエストのターゲットプロジェクト。 |
| <a id="mergerequesttargetprojectid"></a>`targetProjectId` | [`Int!`](#int) | マージリクエストターゲットプロジェクトのID。 |
| <a id="mergerequesttaskcompletionstatus"></a>`taskCompletionStatus` | [`TaskCompletionStatus!`](#taskcompletionstatus) | タスクの完了状態。 |
| <a id="mergerequesttimeestimate"></a>`timeEstimate` | [`Int!`](#int) | マージリクエストの見積もり時間。 |
| <a id="mergerequesttimelogs"></a>`timelogs` | [`TimelogConnection!`](#timelogconnection) | マージリクエストのタイムログ。（[接続](#connections)を参照） |
| <a id="mergerequesttitle"></a>`title` | [`String!`](#string) | マージリクエストのタイトル。 |
| <a id="mergerequesttitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="mergerequesttotaltimespent"></a>`totalTimeSpent` | [`Int!`](#int) | マージリクエストで費やされたとして報告された合計時間（秒）。 |
| <a id="mergerequestupdatedat"></a>`updatedAt` | [`Time!`](#time) | マージリクエストの最終更新タイムスタンプ。 |
| <a id="mergerequestupvotes"></a>`upvotes` | [`Int!`](#int) | マージリクエストの同意の数。 |
| <a id="mergerequestuserdiscussionscount"></a>`userDiscussionsCount` | [`Int`](#int) | マージリクエスト内のユーザーディスカッションの数。 |
| <a id="mergerequestusernotescount"></a>`userNotesCount` | [`Int`](#int) | マージリクエストのユーザーノートの数。 |
| <a id="mergerequestuserpermissions"></a>`userPermissions` | [`MergeRequestPermissions!`](#mergerequestpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="mergerequestwebpath"></a>`webPath` | [`String!`](#string) | マージリクエストのWebパス。 |
| <a id="mergerequestweburl"></a>`webUrl` | [`String`](#string) | マージリクエストのWeb URL。 |

#### 引数のあるフィールド

##### `MergeRequest.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestcurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

##### `MergeRequest.diffStats`

マージリクエストでどのファイルが変更されたかについての概要。

[`[DiffStats!]`](#diffstats)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffstatspath"></a>`path` | [`String`](#string) | 特定のファイルパス。 |

##### `MergeRequest.findingReportsComparer`

マージリクエストで報告された脆弱性発見レポートの比較。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

[`FindingReportsComparer`](#findingreportscomparer)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestfindingreportscomparerreporttype"></a>`reportType` | [`ComparableSecurityReportType!`](#comparablesecurityreporttype) | 脆弱性の発見をレポートのタイプでフィルタリングします。 |

##### `MergeRequest.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ:ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `MergeRequest.pipelines`

マージリクエストのパイプライン。注: パフォーマンス上の理由から、返されるパイプラインは最後の500個以下だけです。

[`PipelineConnection`](#pipelineconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestpipelinesref"></a>`ref` | [`String`](#string) | パイプラインを実行対象のrefでフィルタリングします。 |
| <a id="mergerequestpipelinesscope"></a>`scope` | [`PipelineScopeEnum`](#pipelinescopeenum) | パイプラインをスコープでフィルタリングします。 |
| <a id="mergerequestpipelinessha"></a>`sha` | [`String`](#string) | パイプラインを実行対象のコミットのSHAでフィルタリングします。 |
| <a id="mergerequestpipelinessource"></a>`source` | [`String`](#string) | パイプラインをそのソースでフィルタリングします。 |
| <a id="mergerequestpipelinesstatus"></a>`status` | [`PipelineStatusEnum`](#pipelinestatusenum) | パイプラインをその状態でフィルタリングします。 |
| <a id="mergerequestpipelinesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたパイプライン。 |
| <a id="mergerequestpipelinesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたパイプライン。 |
| <a id="mergerequestpipelinesusername"></a>`username` | [`String`](#string) | パイプラインをそのパイプラインをトリガーしたユーザーでフィルタリングします。 |

##### `MergeRequest.reference`

マージリクエストの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフル形式で返すかどうかを指定するブール値オプション。 |

### `MergeRequestApprovalState`

このマージリクエストをマージするために満たす必要のあるルールに関する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestapprovalstateapprovalrulesoverwritten"></a>`approvalRulesOverwritten` | [`Boolean`](#boolean) | マージリクエストについてマージリクエスト承認ルールが上書きされるかどうかを示します。 |
| <a id="mergerequestapprovalstateinvalidapproversrules"></a>`invalidApproversRules` | [`[ApprovalRule!]`](#approvalrule) | マージリクエストに関連付けられているが無効である承認ルールのリスト。 |
| <a id="mergerequestapprovalstaterules"></a>`rules` | [`[ApprovalRule!]`](#approvalrule) | マージリクエストに関連付けられている承認ルールのリスト。 |
| <a id="mergerequestapprovalstatesuggestedapprovers"></a>`suggestedApprovers` | [`UserCoreConnection`](#usercoreconnection) | 推奨承認者のリスト。（[接続](#connections)を参照） |

### `MergeRequestAssignee`

マージリクエストに割り当てられているユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeactive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="mergerequestassigneeavatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="mergerequestassigneebio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="mergerequestassigneebot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="mergerequestassigneecallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="mergerequestassigneecommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="mergerequestassigneecreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="mergerequestassigneediscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="mergerequestassigneeemail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="mergerequestassigneeemails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="mergerequestassigneegitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="mergerequestassigneegroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="mergerequestassigneegroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestassigneehuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="mergerequestassigneeid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="mergerequestassigneeide"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="mergerequestassigneejobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="mergerequestassigneelastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="mergerequestassigneelinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="mergerequestassigneelocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="mergerequestassigneemergerequestinteraction"></a>`mergeRequestInteraction` | [`UserMergeRequestInteraction`](#usermergerequestinteraction) | ユーザーとマージリクエストとのやり取りの詳細。 |
| <a id="mergerequestassigneename"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="mergerequestassigneenamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="mergerequestassigneenamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="mergerequestassigneeorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="mergerequestassigneepreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="mergerequestassigneeprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="mergerequestassigneeprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestassigneepronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="mergerequestassigneepublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="mergerequestassigneesavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="mergerequestassigneestate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="mergerequestassigneestatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="mergerequestassigneetwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="mergerequestassigneetype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="mergerequestassigneeuserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="mergerequestassigneeuserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="mergerequestassigneeusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="mergerequestassigneewebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="mergerequestassigneeweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `MergeRequestAssignee.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneeassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestassigneeassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestassigneeassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestassigneeassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneeassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestassigneeassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestassigneeassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestassigneeassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestassigneeassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestassigneeassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestassigneeassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestassigneeassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestassigneeassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestassigneeassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestassigneeassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestassigneeassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestassigneeassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestassigneeassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestassigneeassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestassigneeassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestassigneeassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestassigneeassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestassigneeassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestassigneeassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestassigneeassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestassigneeassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestassigneeassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestassigneeassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestassigneeassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestassigneeassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestassigneeassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestassigneeassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAssignee.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneeauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneeauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestassigneeauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestassigneeauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestassigneeauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestassigneeauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestassigneeauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestassigneeauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="mergerequestassigneeauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestassigneeauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestassigneeauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestassigneeauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestassigneeauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestassigneeauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestassigneeauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestassigneeauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestassigneeauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestassigneeauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestassigneeauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestassigneeauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestassigneeauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestassigneeauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestassigneeauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestassigneeauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestassigneeauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAssignee.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneecontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="mergerequestassigneecontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestassigneecontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestassigneecontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestassigneecontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `MergeRequestAssignee.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneegroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="mergerequestassigneegroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="mergerequestassigneegroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `MergeRequestAssignee.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="mergerequestassigneeorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `MergeRequestAssignee.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneereviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestassigneereviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestassigneereviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestassigneereviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestassigneereviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestassigneereviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAssignee.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneesavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `MergeRequestAssignee.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneesnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="mergerequestassigneesnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="mergerequestassigneesnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `MergeRequestAssignee.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneestarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestassigneestarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestassigneestarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestassigneestarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `MergeRequestAssignee.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneetimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="mergerequestassigneetimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="mergerequestassigneetimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="mergerequestassigneetimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="mergerequestassigneetimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="mergerequestassigneetimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="mergerequestassigneetimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="mergerequestassigneetimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `MergeRequestAssignee.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneetodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="mergerequestassigneetodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="mergerequestassigneetodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="mergerequestassigneetodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="mergerequestassigneetodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="mergerequestassigneetodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="mergerequestassigneetodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="mergerequestassigneetodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `MergeRequestAssignee.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeuserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `MergeRequestAssignee.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestassigneeworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="mergerequestassigneeworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="mergerequestassigneeworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="mergerequestassigneeworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="mergerequestassigneeworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `MergeRequestAuthor`

マージリクエストの作成者。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthoractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="mergerequestauthoravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="mergerequestauthorbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="mergerequestauthorbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="mergerequestauthorcallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="mergerequestauthorcommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="mergerequestauthorcreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="mergerequestauthordiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="mergerequestauthoremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="mergerequestauthoremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="mergerequestauthorgitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="mergerequestauthorgroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="mergerequestauthorgroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestauthorhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="mergerequestauthorid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="mergerequestauthoride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="mergerequestauthorjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="mergerequestauthorlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="mergerequestauthorlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="mergerequestauthorlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="mergerequestauthormergerequestinteraction"></a>`mergeRequestInteraction` | [`UserMergeRequestInteraction`](#usermergerequestinteraction) | ユーザーとマージリクエストとのやり取りの詳細。 |
| <a id="mergerequestauthorname"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="mergerequestauthornamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="mergerequestauthornamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="mergerequestauthororganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="mergerequestauthorpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="mergerequestauthorprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="mergerequestauthorprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestauthorpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="mergerequestauthorpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="mergerequestauthorsavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="mergerequestauthorstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="mergerequestauthorstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="mergerequestauthortwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="mergerequestauthortype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="mergerequestauthoruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="mergerequestauthoruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="mergerequestauthorusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="mergerequestauthorwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="mergerequestauthorweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `MergeRequestAuthor.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestauthorassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestauthorassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestauthorassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestauthorassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestauthorassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestauthorassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestauthorassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestauthorassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestauthorassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestauthorassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestauthorassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestauthorassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestauthorassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestauthorassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestauthorassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestauthorassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestauthorassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestauthorassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestauthorassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestauthorassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestauthorassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestauthorassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestauthorassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestauthorassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestauthorassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestauthorassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestauthorassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestauthorassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestauthorassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestauthorassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAuthor.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestauthorauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestauthorauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestauthorauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestauthorauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestauthorauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestauthorauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="mergerequestauthorauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestauthorauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestauthorauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestauthorauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestauthorauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestauthorauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestauthorauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestauthorauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestauthorauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestauthorauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestauthorauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestauthorauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestauthorauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestauthorauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestauthorauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestauthorauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestauthorauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAuthor.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorcontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="mergerequestauthorcontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestauthorcontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestauthorcontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestauthorcontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `MergeRequestAuthor.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorgroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="mergerequestauthorgroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="mergerequestauthorgroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `MergeRequestAuthor.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthororganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="mergerequestauthororganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `MergeRequestAuthor.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestauthorreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestauthorreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestauthorreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestauthorreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestauthorreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestAuthor.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorsavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `MergeRequestAuthor.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorsnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="mergerequestauthorsnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="mergerequestauthorsnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `MergeRequestAuthor.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestauthorstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestauthorstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestauthorstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `MergeRequestAuthor.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthortimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="mergerequestauthortimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="mergerequestauthortimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="mergerequestauthortimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="mergerequestauthortimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="mergerequestauthortimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="mergerequestauthortimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="mergerequestauthortimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `MergeRequestAuthor.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthortodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="mergerequestauthortodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="mergerequestauthortodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="mergerequestauthortodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="mergerequestauthortodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="mergerequestauthortodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="mergerequestauthortodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="mergerequestauthortodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `MergeRequestAuthor.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthoruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `MergeRequestAuthor.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestauthorworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="mergerequestauthorworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="mergerequestauthorworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="mergerequestauthorworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="mergerequestauthorworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `MergeRequestDiff`

マージリクエストの差分バージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffcreatedat"></a>`createdAt` | [`Time!`](#time) | 差分作成のタイムスタンプ。 |
| <a id="mergerequestdiffupdatedat"></a>`updatedAt` | [`Time!`](#time) | 差分更新のタイムスタンプ。 |

### `MergeRequestDiffRegistry`

マージリクエスト差分のGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestdiffregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | MergeRequestDiffRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="mergerequestdiffregistrycreatedat"></a>`createdAt` | [`Time`](#time) | MergeRequestDiffRegistry作成のタイムスタンプ。 |
| <a id="mergerequestdiffregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="mergerequestdiffregistryid"></a>`id` | [`ID!`](#id) | MergeRequestDiffRegistryのID。 |
| <a id="mergerequestdiffregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | MergeRequestDiffRegistryの同期中のエラーメッセージ。 |
| <a id="mergerequestdiffregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | MergeRequestDiffRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="mergerequestdiffregistrymergerequestdiffid"></a>`mergeRequestDiffId` | [`ID!`](#id) | マージリクエスト差分のID。 |
| <a id="mergerequestdiffregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにMergeRequestDiffRegistryが欠落しているかどうかを示します。 |
| <a id="mergerequestdiffregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | MergeRequestDiffRegistryのモデルレコードのID。 |
| <a id="mergerequestdiffregistryretryat"></a>`retryAt` | [`Time`](#time) | MergeRequestDiffRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="mergerequestdiffregistryretrycount"></a>`retryCount` | [`Int`](#int) | MergeRequestDiffRegistryの同期試行の連続失敗回数。 |
| <a id="mergerequestdiffregistrystate"></a>`state` | [`RegistryState`](#registrystate) | MergeRequestDiffRegistryの同期状態。 |
| <a id="mergerequestdiffregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | MergeRequestDiffRegistryのローカルチェックサム。 |
| <a id="mergerequestdiffregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のMergeRequestDiffRegistryのチェックサムの予想値。 |
| <a id="mergerequestdiffregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | MergeRequestDiffRegistryの検証中のエラーメッセージ。 |
| <a id="mergerequestdiffregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | MergeRequestDiffRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="mergerequestdiffregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | MergeRequestDiffRegistryの検証試行の連続失敗回数。 |
| <a id="mergerequestdiffregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | MergeRequestDiffRegistryの検証開始時のタイムスタンプ。 |
| <a id="mergerequestdiffregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | MergeRequestDiffRegistryの検証状態。 |
| <a id="mergerequestdiffregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | MergeRequestDiffRegistryの最後の検証成功のタイムスタンプ。 |

### `MergeRequestMergeabilityCheck`

マージリクエストのマージ可能性チェック。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestmergeabilitycheckidentifier"></a>`identifier` | [`MergeabilityCheckIdentifier!`](#mergeabilitycheckidentifier) | マージ可能性チェックの識別子。 |
| <a id="mergerequestmergeabilitycheckstatus"></a>`status` | [`MergeabilityCheckStatus!`](#mergeabilitycheckstatus) | マージ可能性チェックの状態。 |

### `MergeRequestParticipant`

マージリクエストに参加しているユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantactive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="mergerequestparticipantavatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="mergerequestparticipantbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="mergerequestparticipantbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="mergerequestparticipantcallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="mergerequestparticipantcommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="mergerequestparticipantcreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="mergerequestparticipantdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="mergerequestparticipantemail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="mergerequestparticipantemails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="mergerequestparticipantgitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="mergerequestparticipantgroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="mergerequestparticipantgroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestparticipanthuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="mergerequestparticipantid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="mergerequestparticipantide"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="mergerequestparticipantjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="mergerequestparticipantlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="mergerequestparticipantlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="mergerequestparticipantlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="mergerequestparticipantmergerequestinteraction"></a>`mergeRequestInteraction` | [`UserMergeRequestInteraction`](#usermergerequestinteraction) | ユーザーとマージリクエストとのやり取りの詳細。 |
| <a id="mergerequestparticipantname"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="mergerequestparticipantnamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="mergerequestparticipantnamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="mergerequestparticipantorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="mergerequestparticipantpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="mergerequestparticipantprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="mergerequestparticipantprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestparticipantpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="mergerequestparticipantpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="mergerequestparticipantsavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="mergerequestparticipantstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="mergerequestparticipantstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="mergerequestparticipanttwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="mergerequestparticipanttype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="mergerequestparticipantuserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="mergerequestparticipantuserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="mergerequestparticipantusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="mergerequestparticipantwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="mergerequestparticipantweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `MergeRequestParticipant.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestparticipantassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestparticipantassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestparticipantassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestparticipantassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestparticipantassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestparticipantassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestparticipantassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestparticipantassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestparticipantassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestparticipantassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestparticipantassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestparticipantassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestparticipantassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestparticipantassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestparticipantassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestparticipantassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestparticipantassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestparticipantassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestparticipantassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestparticipantassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestparticipantassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestparticipantassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestparticipantassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestparticipantassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestparticipantassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestparticipantassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestparticipantassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestparticipantassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestparticipantassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestparticipantassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestParticipant.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestparticipantauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestparticipantauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestparticipantauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestparticipantauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestparticipantauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestparticipantauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="mergerequestparticipantauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestparticipantauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestparticipantauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestparticipantauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestparticipantauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestparticipantauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestparticipantauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestparticipantauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestparticipantauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestparticipantauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestparticipantauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestparticipantauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestparticipantauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestparticipantauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestparticipantauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestparticipantauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestparticipantauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestParticipant.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantcontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="mergerequestparticipantcontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestparticipantcontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestparticipantcontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestparticipantcontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `MergeRequestParticipant.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantgroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="mergerequestparticipantgroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="mergerequestparticipantgroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `MergeRequestParticipant.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="mergerequestparticipantorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `MergeRequestParticipant.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestparticipantreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestParticipant.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantsavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `MergeRequestParticipant.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantsnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="mergerequestparticipantsnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="mergerequestparticipantsnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `MergeRequestParticipant.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestparticipantstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestparticipantstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestparticipantstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `MergeRequestParticipant.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipanttimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="mergerequestparticipanttimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="mergerequestparticipanttimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="mergerequestparticipanttimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="mergerequestparticipanttimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="mergerequestparticipanttimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="mergerequestparticipanttimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="mergerequestparticipanttimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `MergeRequestParticipant.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipanttodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="mergerequestparticipanttodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="mergerequestparticipanttodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="mergerequestparticipanttodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="mergerequestparticipanttodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="mergerequestparticipanttodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="mergerequestparticipanttodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="mergerequestparticipanttodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `MergeRequestParticipant.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantuserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `MergeRequestParticipant.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestparticipantworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="mergerequestparticipantworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="mergerequestparticipantworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="mergerequestparticipantworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="mergerequestparticipantworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `MergeRequestPermissions`

マージリクエストに対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestpermissionsadminmergerequest"></a>`adminMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_merge_request`を実行できます。 |
| <a id="mergerequestpermissionscanapprove"></a>`canApprove` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`can_approve`を実行できます。 |
| <a id="mergerequestpermissionscanmerge"></a>`canMerge` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`can_merge`を実行できます。 |
| <a id="mergerequestpermissionscherrypickoncurrentmergerequest"></a>`cherryPickOnCurrentMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`cherry_pick_on_current_merge_request`を実行できます。 |
| <a id="mergerequestpermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="mergerequestpermissionspushtosourcebranch"></a>`pushToSourceBranch` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`push_to_source_branch`を実行できます。 |
| <a id="mergerequestpermissionsreadmergerequest"></a>`readMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_merge_request`を実行できます。 |
| <a id="mergerequestpermissionsremovesourcebranch"></a>`removeSourceBranch` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_source_branch`を実行できます。 |
| <a id="mergerequestpermissionsrevertoncurrentmergerequest"></a>`revertOnCurrentMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`revert_on_current_merge_request`を実行できます。 |
| <a id="mergerequestpermissionsupdatemergerequest"></a>`updateMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_merge_request`を実行できます。 |

### `MergeRequestReviewer`

レビュアーとしてマージリクエストに割り当てられているユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestrevieweractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="mergerequestrevieweravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="mergerequestreviewerbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="mergerequestreviewerbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="mergerequestreviewercallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="mergerequestreviewercommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="mergerequestreviewercreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="mergerequestreviewerdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="mergerequestrevieweremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="mergerequestrevieweremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="mergerequestreviewergitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="mergerequestreviewergroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="mergerequestreviewergroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestreviewerhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="mergerequestreviewerid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="mergerequestrevieweride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="mergerequestreviewerjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="mergerequestreviewerlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="mergerequestreviewerlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="mergerequestreviewerlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="mergerequestreviewermergerequestinteraction"></a>`mergeRequestInteraction` | [`UserMergeRequestInteraction`](#usermergerequestinteraction) | ユーザーとマージリクエストとのやり取りの詳細。 |
| <a id="mergerequestreviewername"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="mergerequestreviewernamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="mergerequestreviewernamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="mergerequestreviewerorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="mergerequestreviewerpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="mergerequestreviewerprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="mergerequestreviewerprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="mergerequestreviewerpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="mergerequestreviewerpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="mergerequestreviewersavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="mergerequestreviewerstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="mergerequestreviewerstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="mergerequestreviewertwitter"></a>`twitter` | [`String`](#string) | ユーザーのX （旧Twitter）ユーザー名。 |
| <a id="mergerequestreviewertype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="mergerequestrevieweruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="mergerequestrevieweruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="mergerequestreviewerusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="mergerequestreviewerwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="mergerequestreviewerweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `MergeRequestReviewer.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestreviewerassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestreviewerassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestreviewerassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestreviewerassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestreviewerassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestreviewerassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestreviewerassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestreviewerassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestreviewerassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestreviewerassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestreviewerassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestreviewerassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestreviewerassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestreviewerassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestreviewerassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestreviewerassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestreviewerassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestreviewerassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestreviewerassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestreviewerassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestreviewerassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestreviewerassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestreviewerassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestreviewerassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestreviewerassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestreviewerassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestreviewerassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestreviewerassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestreviewerassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestreviewerassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestReviewer.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestreviewerauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestreviewerauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestreviewerauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestreviewerauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestreviewerauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestreviewerauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="mergerequestreviewerauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestreviewerauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestreviewerauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestreviewerauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestreviewerauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestreviewerauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestreviewerauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestreviewerauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestreviewerauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="mergerequestreviewerauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="mergerequestreviewerauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestreviewerauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestreviewerauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestreviewerauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestreviewerauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestreviewerauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestreviewerauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestReviewer.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewercontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="mergerequestreviewercontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestreviewercontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestreviewercontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestreviewercontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `MergeRequestReviewer.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewergroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="mergerequestreviewergroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="mergerequestreviewergroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `MergeRequestReviewer.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="mergerequestreviewerorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `MergeRequestReviewer.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="mergerequestreviewerreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `MergeRequestReviewer.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewersavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `MergeRequestReviewer.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewersnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="mergerequestreviewersnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="mergerequestreviewersnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `MergeRequestReviewer.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="mergerequestreviewerstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="mergerequestreviewerstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="mergerequestreviewerstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `MergeRequestReviewer.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewertimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="mergerequestreviewertimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="mergerequestreviewertimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="mergerequestreviewertimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="mergerequestreviewertimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="mergerequestreviewertimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="mergerequestreviewertimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="mergerequestreviewertimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `MergeRequestReviewer.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewertodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="mergerequestreviewertodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="mergerequestreviewertodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="mergerequestreviewertodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="mergerequestreviewertodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="mergerequestreviewertodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="mergerequestreviewertodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="mergerequestreviewertodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `MergeRequestReviewer.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestrevieweruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `MergeRequestReviewer.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestreviewerworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="mergerequestreviewerworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="mergerequestreviewerworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="mergerequestreviewerworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="mergerequestreviewerworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `MergeTrain`

マージのキューに入れられたcar/marge_requestのセットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetraintargetbranch"></a>`targetBranch` | [`String!`](#string) | 車両のマージリクエストのターゲットブランチ。 |

#### 引数のあるフィールド

##### `MergeTrain.cars`

トレインでキューに入れられた車両。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

[`MergeTrainCarConnection!`](#mergetraincarconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetraincarsactivitystatus"></a>`activityStatus` | [`MergeTrainStatus!`](#mergetrainstatus) | 車両の概要状態でフィルタリングします。デフォルトはACTIVEです。 |

### `MergeTrainCar`

MergeTrainCarは、マージリクエストする複数のマージトレインをマージする試行を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergetraincarcreatedat"></a>`createdAt` | [`Time!`](#time) | 車両作成時のタイムスタンプ。 |
| <a id="mergetraincarduration"></a>`duration` | [`Int`](#int) | 車両の存続時間。 |
| <a id="mergetraincarid"></a>`id` | [`MergeTrainsCarID!`](#mergetrainscarid) | 車両のグローバルID。 |
| <a id="mergetraincarindex"></a>`index` | [`Int`](#int) | マージトレイン内の車両の位置（ゼロベース）。マージトレインで車両がアクティブでない場合は、`null`を返します。 |
| <a id="mergetraincarmergerequest"></a>`mergeRequest` | [`MergeRequest!`](#mergerequest) | 車両に含まれるマージリクエスト。 |
| <a id="mergetraincarmergedat"></a>`mergedAt` | [`Time`](#time) | 車両マージのタイムスタンプ。 |
| <a id="mergetraincarpipeline"></a>`pipeline` | [`Pipeline`](#pipeline) | 車両のパイプライン。 |
| <a id="mergetraincarstatus"></a>`status` | [`CarStatus!`](#carstatus) | 車両の状態。 |
| <a id="mergetraincartargetbranch"></a>`targetBranch` | [`String!`](#string) | 車両のマージリクエストのターゲットブランチ。 |
| <a id="mergetraincartargetproject"></a>`targetProject` | [`Project!`](#project) | 車両のMRのターゲットとなるプロジェクト。 |
| <a id="mergetraincarupdatedat"></a>`updatedAt` | [`Time!`](#time) | 車両の最終更新タイムスタンプ。 |
| <a id="mergetraincaruser"></a>`user` | [`UserCore!`](#usercore) | 車両の作成者（マージリクエストをトレインに追加したユーザー）。 |
| <a id="mergetraincaruserpermissions"></a>`userPermissions` | [`CarPermissions!`](#carpermissions) | リソースに対する現在のユーザーの権限。 |

### `Metadata`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="metadataenterprise"></a>`enterprise` | [`Boolean!`](#boolean) | Enterpriseエディション。 |
| <a id="metadatakas"></a>`kas` | [`Kas!`](#kas) | KASに関するメタデータ。 |
| <a id="metadatarevision"></a>`revision` | [`String!`](#string) | リビジョン。 |
| <a id="metadataversion"></a>`version` | [`String!`](#string) | バージョン。 |

#### 引数のあるフィールド

##### `Metadata.featureFlags`

GitLabインスタンスの機能フラグ。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`[GitlabInstanceFeatureFlag!]!`](#gitlabinstancefeatureflag)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="metadatafeatureflagsnames"></a>`names` | [`[String!]!`](#string) | 検索する機能フラグの名前（最大20）。 |

### `MetricImage`

メトリクスイメージのアップロードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="metricimagefilename"></a>`fileName` | [`String`](#string) | メトリクスイメージのファイル名。 |
| <a id="metricimagefilepath"></a>`filePath` | [`String`](#string) | メトリクスイメージのファイルパス。 |
| <a id="metricimageid"></a>`id` | [`ID!`](#id) | メトリクスアップロードのID。 |
| <a id="metricimageiid"></a>`iid` | [`String!`](#string) | メトリクスアップロードの内部ID。 |
| <a id="metricimageurl"></a>`url` | [`String!`](#string) | メトリクスソースのURL。 |

### `MetricsDashboardAnnotation`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="metricsdashboardannotationdescription"></a>`description` | [`String`](#string) | アノテーションの説明。 |
| <a id="metricsdashboardannotationendingat"></a>`endingAt` | [`Time`](#time) | アノテーション付きタイムスパン終了時のタイムスタンプ。 |
| <a id="metricsdashboardannotationid"></a>`id` | [`ID!`](#id) | アノテーションのID。 |
| <a id="metricsdashboardannotationpanelid"></a>`panelId` | [`String`](#string) | アノテーションのスコープとなるダッシュボードパネルのID。 |
| <a id="metricsdashboardannotationstartingat"></a>`startingAt` | [`Time`](#time) | アノテーション付きタイムスパン開始時のタイムスタンプ。 |

### `Milestone`

マイルストーンを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="milestonecreatedat"></a>`createdAt` | [`Time!`](#time) | マイルストーン作成のタイムスタンプ。 |
| <a id="milestonedescription"></a>`description` | [`String`](#string) | マイルストーンの説明。 |
| <a id="milestoneduedate"></a>`dueDate` | [`Time`](#time) | マイルストーンの期限のタイムスタンプ。 |
| <a id="milestoneexpired"></a>`expired` | [`Boolean!`](#boolean) | マイルストーンの期限切れ状態（マイルストーンが期限切れになるのは、期限が現在の日付を過ぎている場合です）。期限が設定されていない場合のデフォルトは`false`です。 |
| <a id="milestonegroup"></a>`group` | [`Group`](#group) | マイルストーンのグループ。 |
| <a id="milestonegroupmilestone"></a>`groupMilestone` | [`Boolean!`](#boolean) | マイルストーンがグループレベルかどうかを示します。 |
| <a id="milestoneid"></a>`id` | [`ID!`](#id) | マイルストーンのID。 |
| <a id="milestoneiid"></a>`iid` | [`ID!`](#id) | マイルストーンの内部ID。 |
| <a id="milestoneproject"></a>`project` | [`Project`](#project) | マイルストーンのプロジェクト。 |
| <a id="milestoneprojectmilestone"></a>`projectMilestone` | [`Boolean!`](#boolean) | マイルストーンがプロジェクトレベルかどうかを示します。 |
| <a id="milestonereleases"></a>`releases` | [`ReleaseConnection`](#releaseconnection) | マイルストーンに関連付けられているリリース。（[接続](#connections)を参照） |
| <a id="milestonestartdate"></a>`startDate` | [`Time`](#time) | マイルストーンの開始日のタイムスタンプ。 |
| <a id="milestonestate"></a>`state` | [`MilestoneStateEnum!`](#milestonestateenum) | マイルストーンの状態。 |
| <a id="milestonestats"></a>`stats` | [`MilestoneStats`](#milestonestats) | マイルストーンの統計。 |
| <a id="milestonesubgroupmilestone"></a>`subgroupMilestone` | [`Boolean!`](#boolean) | マイルストーンがサブグループレベルかどうかを示します。 |
| <a id="milestonetitle"></a>`title` | [`String!`](#string) | マイルストーンのタイトル。 |
| <a id="milestoneupcoming"></a>`upcoming` | [`Boolean!`](#boolean) | マイルストーンの未実行状態（マイルストーンが未実行になるのは、開始日が未来である場合です）。開始日が設定されていない場合のデフォルトは`false`です。 |
| <a id="milestoneupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最後のマイルストーン更新のタイムスタンプ。 |
| <a id="milestonewebpath"></a>`webPath` | [`String!`](#string) | マイルストーンのWebパス。 |

#### 引数のあるフィールド

##### `Milestone.report`

タイムボックスに関する、履歴として正確なレポート。

[`TimeboxReport`](#timeboxreport)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="milestonereportfullpath"></a>`fullPath` | [`String`](#string) | レポートのスコープとして使用されるプロジェクトまたはグループのフルパス。例: `gitlab-org`、`gitlab-org/gitlab`。 |

### `MilestoneStats`

マイルストーンに関する統計が含まれています。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="milestonestatsclosedissuescount"></a>`closedIssuesCount` | [`Int`](#int) | マイルストーンに関連付けられている完了イシューの数。 |
| <a id="milestonestatstotalissuescount"></a>`totalIssuesCount` | [`Int`](#int) | マイルストーンに関連付けられているイシューの総数。 |

### `MlCandidate`

モデルレジストリ内のモデルバージョンの候補。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidate_links"></a>`_links` | [`MLCandidateLinks!`](#mlcandidatelinks) | 候補に対してアクションを実行するためのリンクのマップ。 |
| <a id="mlcandidatecijob"></a>`ciJob` | [`CiJob`](#cijob) | 候補を作成したジョブに関するCI情報。 |
| <a id="mlcandidatecreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="mlcandidatecreator"></a>`creator` | [`UserCore`](#usercore) | 候補を作成したユーザー。 |
| <a id="mlcandidateeid"></a>`eid` | [`String!`](#string) | 候補のMLflow UUID。 |
| <a id="mlcandidateid"></a>`id` | [`MlCandidateID!`](#mlcandidateid) | 候補のID。 |
| <a id="mlcandidateiid"></a>`iid` | [`Int!`](#int) | プロジェクトスコープの候補のIID。 |
| <a id="mlcandidatemetadata"></a>`metadata` | [`MlCandidateMetadataConnection!`](#mlcandidatemetadataconnection) | 候補のメタデータエントリ。（[接続](#connections)を参照） |
| <a id="mlcandidatemetrics"></a>`metrics` | [`MlCandidateMetricConnection!`](#mlcandidatemetricconnection) | 候補のメトリクス。（[接続](#connections)を参照） |
| <a id="mlcandidatename"></a>`name` | [`String`](#string) | 候補の名前。 |
| <a id="mlcandidateparams"></a>`params` | [`MlCandidateParamConnection!`](#mlcandidateparamconnection) | 候補のパラメータ。（[接続](#connections)を参照） |
| <a id="mlcandidatestatus"></a>`status` | [`String`](#string) | 候補の状態。 |

### `MlCandidateMetadata`

モデルレジストリ内の候補のメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetadataid"></a>`id` | [`MlCandidateMetadataID!`](#mlcandidatemetadataid) | メタデータのID。 |
| <a id="mlcandidatemetadataname"></a>`name` | [`String`](#string) | メタデータエントリの名前。 |
| <a id="mlcandidatemetadatavalue"></a>`value` | [`String!`](#string) | メタデータエントリの設定値。 |

### `MlCandidateMetric`

モデルレジストリ内の候補のメトリクス。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidatemetricid"></a>`id` | [`MlCandidateMetricID!`](#mlcandidatemetricid) | メトリクスのID。 |
| <a id="mlcandidatemetricname"></a>`name` | [`String`](#string) | メトリクスの名前。 |
| <a id="mlcandidatemetricstep"></a>`step` | [`Int!`](#int) | メトリクスが測定されたステップ。 |
| <a id="mlcandidatemetricvalue"></a>`value` | [`Float!`](#float) | メトリクスの設定値。 |

### `MlCandidateParam`

モデルレジストリ内の候補のパラメータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlcandidateparamid"></a>`id` | [`MlCandidateParamID!`](#mlcandidateparamid) | パラメータのID。 |
| <a id="mlcandidateparamname"></a>`name` | [`String`](#string) | パラメータの名前。 |
| <a id="mlcandidateparamvalue"></a>`value` | [`String!`](#string) | パラメータの設定値。 |

### `MlExperiment`

モデル検証の中の機械学習実験。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlexperimentcandidatecount"></a>`candidateCount` | [`Int!`](#int) | 実験の中の候補の数。 |
| <a id="mlexperimentcandidates"></a>`candidates` | [`MlCandidateConnection`](#mlcandidateconnection) | 実験の候補。（[接続](#connections)を参照） |
| <a id="mlexperimentcreatedat"></a>`createdAt` | [`Time!`](#time) | 実験作成のタイムスタンプ。 |
| <a id="mlexperimentcreator"></a>`creator` | [`UserCore`](#usercore) | 実験を作成したユーザー。 |
| <a id="mlexperimentid"></a>`id` | [`MlExperimentID!`](#mlexperimentid) | 実験のID。 |
| <a id="mlexperimentmodelid"></a>`modelId` | [`MlModelID`](#mlmodelid) | モデルのID。 |
| <a id="mlexperimentname"></a>`name` | [`String!`](#string) | 実験の名前。 |
| <a id="mlexperimentpath"></a>`path` | [`String!`](#string) | 実験のWeb URL。 |
| <a id="mlexperimentupdatedat"></a>`updatedAt` | [`Time!`](#time) | 実験更新のタイムスタンプ。 |

### `MlModel`

モデルレジストリ内の機械学習モデル。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodel_links"></a>`_links` | [`MLModelLinks!`](#mlmodellinks) | モデルに対してアクションを実行するためのリンクのマップ。 |
| <a id="mlmodelauthor"></a>`author` | [`UserCore`](#usercore) | モデルを作成したユーザー。 |
| <a id="mlmodelcandidatecount"></a>`candidateCount` | [`Int`](#int) | モデル内の候補の数。 |
| <a id="mlmodelcandidates"></a>`candidates` | [`MlCandidateConnection`](#mlcandidateconnection) | モデルのバージョン候補。（[接続](#connections)を参照） |
| <a id="mlmodelcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="mlmodeldefaultexperimentpath"></a>`defaultExperimentPath` | [`String`](#string) | モデルのデフォルト実験ページのパス。 |
| <a id="mlmodeldescription"></a>`description` | [`String`](#string) | モデルの説明。 |
| <a id="mlmodeldescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="mlmodelid"></a>`id` | [`MlModelID!`](#mlmodelid) | モデルのID。 |
| <a id="mlmodellatestversion"></a>`latestVersion` | [`MlModelVersion`](#mlmodelversion) | モデルの最新バージョン。 |
| <a id="mlmodelname"></a>`name` | [`String!`](#string) | モデルの名前。 |
| <a id="mlmodelversioncount"></a>`versionCount` | [`Int`](#int) | モデル内のバージョンの数。 |

#### 引数のあるフィールド

##### `MlModel.version`

モデルのバージョン。

[`MlModelVersion`](#mlmodelversion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionmodelversionid"></a>`modelVersionId` | [`MlModelVersionID`](#mlmodelversionid) | フェッチするバージョンのID。 |

##### `MlModel.versions`

モデルのバージョン。

[`MlModelVersionConnection`](#mlmodelversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversionsorderby"></a>`orderBy` | [`MlModelVersionsOrderBy`](#mlmodelversionsorderby) | 列の並べ替え。デフォルトはcreated_atです。 |
| <a id="mlmodelversionssort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはdescです。 |
| <a id="mlmodelversionsversion"></a>`version` | [`String`](#string) | この文字列が含まれる名前のバージョンを検索します。 |

### `MlModelVersion`

機械学習モデルのバージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mlmodelversion_links"></a>`_links` | [`MLModelVersionLinks!`](#mlmodelversionlinks) | モデルバージョンに対してアクションを実行するためのリンクのマップ。 |
| <a id="mlmodelversionartifactscount"></a>`artifactsCount` | [`Int`](#int) | パッケージ内のファイルの数。 |
| <a id="mlmodelversionauthor"></a>`author` | [`UserCore`](#usercore) | モデルバージョンを作成したユーザー。 |
| <a id="mlmodelversioncandidate"></a>`candidate` | [`MlCandidate!`](#mlcandidate) | モデルバージョンのメトリクス、パラメータ、およびメタデータ。 |
| <a id="mlmodelversioncreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="mlmodelversiondescription"></a>`description` | [`String`](#string) | バージョンの説明。 |
| <a id="mlmodelversiondescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="mlmodelversionid"></a>`id` | [`MlModelVersionID!`](#mlmodelversionid) | モデルバージョンのID。 |
| <a id="mlmodelversionpackageid"></a>`packageId` | [`PackagesPackageID!`](#packagespackageid) | モデルバージョンアーティファクトのパッケージ。 |
| <a id="mlmodelversionversion"></a>`version` | [`String!`](#string) | バージョンの名前。 |

### `MonthlyUsage`

特定の月と年のプロダクト分析イベント。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="monthlyusagecount"></a>`count` | [`Int`](#int) | プロダクト分析イベントの数。 |
| <a id="monthlyusagemonth"></a>`month` | [`Int!`](#int) | データの月。 |
| <a id="monthlyusageyear"></a>`year` | [`Int!`](#int) | データの年。 |

### `Namespace`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceachievementspath"></a>`achievementsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.0で**導入**。**状態**: 実験。ネームスペースのアチーブメントへのパス。ネームスペースがグループでない場合、または`achievements`機能フラグが無効になっている場合は、`null`を返します。 |
| <a id="namespaceactualrepositorysizelimit"></a>`actualRepositorySizeLimit` | [`Float`](#float) | ネームスペース内のリポジトリのサイズ制限（バイト単位）。この制限は、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="namespaceactualsizelimit"></a>`actualSizeLimit` | [`Float`](#float) | リポジトリまたはネームスペースのいずれかの適用タイプに基づく実際のストレージサイズの制限（バイト単位）。この制限は適用タイプに依存しません。 |
| <a id="namespaceadditionalpurchasedstoragesize"></a>`additionalPurchasedStorageSize` | [`Float`](#float) | ルートネームスペースについてて購入された追加のストレージ（バイト単位）。 |
| <a id="namespaceavatarurl"></a>`avatarUrl` | [`String`](#string) | ネームスペースのアバター画像ファイルのURL。 |
| <a id="namespacecicdsettings"></a>`ciCdSettings` {{< icon name="warning-solid" >}} | [`CiCdSettings`](#cicdsettings) | GitLab 17.9で**導入**。**状態**: 実験。ネームスペースのネームスペースCI/CD設定。 |
| <a id="namespacecontainslockedprojects"></a>`containsLockedProjects` | [`Boolean`](#boolean) | リポジトリサイズが制限を超えるプロジェクトが少なくとも1つ含まれます。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="namespacecrossprojectpipelineavailable"></a>`crossProjectPipelineAvailable` | [`Boolean!`](#boolean) | ネームスペースでcross_project_pipeline機能が利用可能かどうかを示します。 |
| <a id="namespacedescription"></a>`description` | [`String`](#string) | ネームスペースの説明。 |
| <a id="namespacedescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="namespacefullname"></a>`fullName` | [`String!`](#string) | ネームスペースのフルネーム。 |
| <a id="namespacefullpath"></a>`fullPath` | [`ID!`](#id) | ネームスペースのフルパス。 |
| <a id="namespaceid"></a>`id` | [`ID!`](#id) | ネームスペースのID。 |
| <a id="namespacelfsenabled"></a>`lfsEnabled` | [`Boolean`](#boolean) | ネームスペースでLarge File Storage（LFS）が有効になっているかどうかを示します。 |
| <a id="namespacename"></a>`name` | [`String!`](#string) | ネームスペースの名前。 |
| <a id="namespacepackagesettings"></a>`packageSettings` | [`PackageSettings`](#packagesettings) | ネームスペースのパッケージ設定。 |
| <a id="namespacepath"></a>`path` | [`String!`](#string) | ネームスペースのパス。 |
| <a id="namespaceproductanalyticsstoredeventslimit"></a>`productAnalyticsStoredEventsLimit` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 16.9で**導入**。**状態**: 実験。ネームスペースがサイクルごとに保存することを許可されているプロダクト分析イベントの数。 |
| <a id="namespacerepositorysizeexcessprojectcount"></a>`repositorySizeExcessProjectCount` | [`Int`](#int) | リポジトリサイズが制限を超えているルートネームスペース内のプロジェクト数。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="namespacerequestaccessenabled"></a>`requestAccessEnabled` | [`Boolean`](#boolean) | ユーザーがネームスペースへのアクセスをリクエストできるかどうかを示します。 |
| <a id="namespacerootstoragestatistics"></a>`rootStorageStatistics` | [`RootStorageStatistics`](#rootstoragestatistics) | ネームスペースの集約ストレージ統計。ルートネームスペースでのみ使用可能です。 |
| <a id="namespacesecuritypolicyproject"></a>`securityPolicyProject` | [`Project`](#project) | ネームスペースに割り当てられているセキュリティポリシープロジェクト。 |
| <a id="namespacesharedrunnerssetting"></a>`sharedRunnersSetting` | [`SharedRunnersSetting`](#sharedrunnerssetting) | ネームスペースとその子孫が共有Runnerを利用できるかどうか。 |
| <a id="namespacesidebar"></a>`sidebar` {{< icon name="warning-solid" >}} | [`NamespaceSidebar`](#namespacesidebar) | GitLab 17.6で**導入**。**状態**: 実験。ネームスペースのサイドバーをレンダリングするために必要なデータ。 |
| <a id="namespacestoragesizelimit"></a>`storageSizeLimit` | [`Float`](#float) | ルートネームスペースプランで含められるストレージの制限（バイト単位）。この制限は、ネームスペース制限が適用されるネームスペースにのみ適用されます。 |
| <a id="namespacesubscriptionhistory"></a>`subscriptionHistory` {{< icon name="warning-solid" >}} | [`GitlabSubscriptionHistoryConnection`](#gitlabsubscriptionhistoryconnection) | GitLab 17.3で**導入**。**状態**: 実験。サブスクリプション履歴レコードを検索します。 |
| <a id="namespacetimelogcategories"></a>`timelogCategories` {{< icon name="warning-solid" >}} | [`TimeTrackingTimelogCategoryConnection`](#timetrackingtimelogcategoryconnection) | GitLab 15.3で**導入**。**状態**: 実験。ネームスペースのタイムログカテゴリ。 |
| <a id="namespacetotalrepositorysize"></a>`totalRepositorySize` | [`Float`](#float) | ルートネームスペース内のすべてのプロジェクトの合計リポジトリサイズ（バイト単位）。 |
| <a id="namespacetotalrepositorysizeexcess"></a>`totalRepositorySizeExcess` | [`Float`](#float) | ルートネームスペース内のすべてのプロジェクトの合計超過リポジトリサイズ（バイト単位）。これは、プロジェクト制限が適用されるネームスペースにのみ適用されます。 |
| <a id="namespaceuserpermissions"></a>`userPermissions` | [`NamespacePermissions!`](#namespacepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="namespacevisibility"></a>`visibility` | [`String`](#string) | ネームスペースの表示レベル。 |
| <a id="namespaceweburl"></a>`webUrl` | [`String`](#string) | オブジェクトのURL。 |

#### 引数のあるフィールド

##### `Namespace.achievements`

ネームスペースのアチーブメント。`achievements`機能フラグが無効になっている場合、`null`を返します。

{{< details >}}GitLab 15.8で**導入**。**状態**: 実験。{{< /details >}}

[`AchievementConnection`](#achievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceachievementsids"></a>`ids` | [`[AchievementsAchievementID!]`](#achievementsachievementid) | アチーブメントをIDでフィルタリングします。 |

##### `Namespace.addOnEligibleUsers`

アドオンが適用可能なネームスペース階層内のユーザー。これは、ルートネームスペースにのみ適用されます。

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

[`AddOnUserConnection`](#addonuserconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceaddoneligibleusersaddonpurchaseids"></a>`addOnPurchaseIds` | [`[GitlabSubscriptionsAddOnPurchaseID!]!`](#gitlabsubscriptionsaddonpurchaseid) | 割り当てを検索する対象のアドオン購入のグローバルID。 |
| <a id="namespaceaddoneligibleusersaddontype"></a>`addOnType` | [`GitlabSubscriptionsAddOnType!`](#gitlabsubscriptionsaddontype) | 対象ユーザーのフィルタリングの基準となるアドオンのタイプ。 |
| <a id="namespaceaddoneligibleusersfilterbyassignedseat"></a>`filterByAssignedSeat` | [`String`](#string) | ユーザーリストを、割り当てられたシートでフィルタリングします。 |
| <a id="namespaceaddoneligibleuserssearch"></a>`search` | [`String`](#string) | ユーザーリストを検索します。 |
| <a id="namespaceaddoneligibleuserssort"></a>`sort` | [`GitlabSubscriptionsUserSort`](#gitlabsubscriptionsusersort) | ユーザーリストをソートします。 |

##### `Namespace.addOnPurchase`

ネームスペースに関連付けられているAddOnPurchase。

{{< details >}}GitLab 17.5で**非推奨**になりました。代わりにルートaddOnPurchasesを使用してください。{{< /details >}}

[`AddOnPurchase`](#addonpurchase)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceaddonpurchaseaddonname"></a>`addOnName` | [`String!`](#string) | アドオン名。 |

##### `Namespace.approvalPolicies`

プロジェクトの承認ポリシー。

[`ApprovalPolicyConnection`](#approvalpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceapprovalpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="namespaceapprovalpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Namespace.complianceFrameworks`

このネームスペース内のプロジェクトで利用可能なコンプライアンスフレームワーク。

[`ComplianceFrameworkConnection`](#complianceframeworkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecomplianceframeworksid"></a>`id` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | 返す特定のコンプライアンスフレームワークのグローバルID。 |
| <a id="namespacecomplianceframeworksids"></a>`ids` | [`[ComplianceManagementFrameworkID!]`](#compliancemanagementframeworkid) | 返すコンプライアンスフレームワークのグローバルIDのリスト。 |
| <a id="namespacecomplianceframeworkssearch"></a>`search` | [`String`](#string) | 名前が最も類似しているフレームワークを検索します。 |

##### `Namespace.customFields`

ネームスペースに設定されているカスタムフィールド。機能フラグ`custom_fields_feature`が有効な場合にのみ使用可能。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`CustomFieldConnection`](#customfieldconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecustomfieldsactive"></a>`active` | [`Boolean`](#boolean) | アクティブなフィールドについてフィルタリングします。`false`の場合、アクティブなフィールドを除外します。`true`の場合、アクティブなフィールドのみを返します。 |
| <a id="namespacecustomfieldsfieldtype"></a>`fieldType` | [`CustomFieldType`](#customfieldtype) | 選択したフィールドの型でフィルタリングします。 |
| <a id="namespacecustomfieldssearch"></a>`search` | [`String`](#string) | カスタムフィールド名の検索クエリ。 |
| <a id="namespacecustomfieldsworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID`](#workitemstypeid) | 指定された作業アイテムタイプに関連付けられているカスタムフィールドをフィルタリングします。 |

##### `Namespace.importSourceUsers`

ネームスペースのソースユーザーをインポートします。このフィールドは、1回のリクエストにつき1つのネームスペースに対してのみ解決できます。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`ImportSourceUserConnection`](#importsourceuserconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceimportsourceuserssearch"></a>`search` | [`String`](#string) | ソースインスタンス上のユーザーの名前またはユーザー名でマッピングを検索するクエリ。 |
| <a id="namespaceimportsourceuserssort"></a>`sort` | [`SourceUserSort`](#sourceusersort) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングを基準によりソートします。 |
| <a id="namespaceimportsourceusersstatuses"></a>`statuses` | [`[ImportSourceUserStatus!]`](#importsourceuserstatus) | ソースインスタンス上のユーザーから宛先インスタンス上のユーザーへのマッピングを状態によりフィルタリングします。 |

##### `Namespace.pagesDeployments`

ネームスペースのPagesデプロイのリスト。

[`PagesDeploymentConnection`](#pagesdeploymentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacepagesdeploymentsactive"></a>`active` | [`Boolean`](#boolean) | アクティブまたは無効（非アクティブ）の状態でフィルタリングします。 |
| <a id="namespacepagesdeploymentssort"></a>`sort` | [`Sort`](#sort) | 結果をソートします。 |
| <a id="namespacepagesdeploymentsversioned"></a>`versioned` | [`Boolean`](#boolean) | バージョン管理されているデプロイかバージョン管理されていないデプロイかでフィルタリングします。 |

##### `Namespace.pipelineExecutionPolicies`

ネームスペースのパイプライン実行ポリシー。

[`PipelineExecutionPolicyConnection`](#pipelineexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacepipelineexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="namespacepipelineexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Namespace.projects`

このネームスペース内のプロジェクト。ネームスペースがプロジェクトの場合、親グループからのプロジェクトを返します。

[`ProjectConnection!`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceprojectsarchivedonly"></a>`archivedOnly` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトのみを返します。 |
| <a id="namespaceprojectscomplianceframeworkfilters"></a>`complianceFrameworkFilters` | [`ComplianceFrameworkFilters`](#complianceframeworkfilters) | コンプライアンスフレームワークを選択する際に適用するフィルター。 |
| <a id="namespaceprojectshascodecoverage"></a>`hasCodeCoverage` | [`Boolean`](#boolean) | コードカバレッジのあるプロジェクトのみを返します。 |
| <a id="namespaceprojectshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるプロジェクトのみを返します。 |
| <a id="namespaceprojectsids"></a>`ids` | [`[ID!]`](#id) | プロジェクトをIDでフィルタリングします。 |
| <a id="namespaceprojectsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブ済みプロジェクトも含めます。 |
| <a id="namespaceprojectsincludesiblingprojects"></a>`includeSiblingProjects` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.2で**導入**。**状態**: 実験。親グループのプロジェクトも含めます。 |
| <a id="namespaceprojectsincludesubgroups"></a>`includeSubgroups` | [`Boolean`](#boolean) | サブグループプロジェクトも含めます。 |
| <a id="namespaceprojectsnotaimedfordeletion"></a>`notAimedForDeletion` | [`Boolean`](#boolean) | 削除対象になっていないプロジェクトを含めます。 |
| <a id="namespaceprojectssbomcomponentid"></a>`sbomComponentId` | [`ID`](#id) | 指定されたSBOMコンポーネントに関連するプロジェクトのみを返します。 |
| <a id="namespaceprojectssearch"></a>`search` | [`String`](#string) | 名前またはパスが最も類似しているプロジェクトを検索します。 |
| <a id="namespaceprojectssort"></a>`sort` | [`NamespaceProjectSort`](#namespaceprojectsort) | プロジェクトを条件でソートします。 |
| <a id="namespaceprojectswithissuesenabled"></a>`withIssuesEnabled` | [`Boolean`](#boolean) | イシューが有効になっているプロジェクトのみを返します。 |
| <a id="namespaceprojectswithmergerequestsenabled"></a>`withMergeRequestsEnabled` | [`Boolean`](#boolean) | マージリクエストが有効になっているプロジェクトのみを返します。 |
| <a id="namespaceprojectswithnamespacedomainpages"></a>`withNamespaceDomainPages` | [`Boolean`](#boolean) | Pagesプロジェクトにネームスペースドメインを使用するプロジェクトのみを返します。 |

##### `Namespace.remoteDevelopmentClusterAgents`

リモート開発機能のあるネームスペース内のクラスターエージェント。

{{< details >}}GitLab 17.8で**非推奨**になりました。`workspacesClusterAgents`を使用してください。{{< /details >}}

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceremotedevelopmentclusteragentsfilter"></a>`filter` | [`NamespaceClusterAgentFilter!`](#namespaceclusteragentfilter) | 返すクラスターエージェントのタイプでフィルタリングします。 |

##### `Namespace.scanExecutionPolicies`

ネームスペースのスキャン実行ポリシー。

[`ScanExecutionPolicyConnection`](#scanexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacescanexecutionpoliciesactionscantypes"></a>`actionScanTypes` | [`[SecurityReportTypeEnum!]`](#securityreporttypeenum) | ポリシーをアクションスキャンタイプでフィルタリングします。サポートされるスキャンタイプは、`dast`、`secret_detection`、`cluster_image_scanning`、`container_scanning`、`sast`、`sast_iac`、`dependency_scanning`だけです。 |
| <a id="namespacescanexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="namespacescanexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Namespace.scanResultPolicies`

プロジェクトのスキャン結果ポリシー。

{{< details >}}GitLab 16.9で**非推奨**になりました。`approvalPolicies`を使用してください。{{< /details >}}

[`ScanResultPolicyConnection`](#scanresultpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacescanresultpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="namespacescanresultpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Namespace.vulnerabilityManagementPolicies`

プロジェクトの脆弱性管理ポリシー。

{{< details >}}GitLab 17.7で**導入**。**状態**: 実験。{{< /details >}}

[`VulnerabilityManagementPolicyConnection`](#vulnerabilitymanagementpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacevulnerabilitymanagementpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="namespacevulnerabilitymanagementpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Namespace.workItem`

作業アイテムを、ネームスペース（プロジェクトまたはグループ）に直接関連付けられているIIDで検索します。`namespace_level_work_items`機能フラグが無効になっている場合、グループレベルの作業アイテムに対して`null`を返します。

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItem`](#workitem)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceworkitemiid"></a>`iid` | [`String!`](#string) | 作業アイテムのIID。 |

##### `Namespace.workItemDescriptionTemplates`

ネームスペースで利用可能な作業アイテム説明テンプレート。

{{< details >}}GitLab 17.6で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemDescriptionTemplateConnection`](#workitemdescriptiontemplateconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceworkitemdescriptiontemplatesname"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.9で**非推奨**になりました。フェッチには名前とプロジェクトIDの両方が必要です。代わりにDescriptionTemplateContentInputTypeを使用してください。 |
| <a id="namespaceworkitemdescriptiontemplatessearch"></a>`search` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**非推奨**になりました。テンプレート名での検索はFEに対してのみ実行されます。 |

##### `Namespace.workItemTypes`

ネームスペースで利用可能な作業アイテムタイプ。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemTypeConnection`](#workitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceworkitemtypesname"></a>`name` | [`IssueType`](#issuetype) | 指定された名前で作業アイテムタイプをフィルタリングします。 |

##### `Namespace.workspacesClusterAgents`

ワークスペース機能のあるネームスペース内のクラスターエージェント。

{{< details >}}GitLab 17.8で**導入**。**状態**: 実験。{{< /details >}}

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceworkspacesclusteragentsfilter"></a>`filter` | [`NamespaceClusterAgentFilter!`](#namespaceclusteragentfilter) | 返すクラスターエージェントのタイプでフィルタリングします。 |

### `NamespaceBan`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacebanid"></a>`id` | [`GlobalID!`](#globalid) | ネームスペースBANのグローバルID。 |
| <a id="namespacebannamespace"></a>`namespace` | [`Namespace!`](#namespace) | BAN適用対象のルートネームスペース。 |
| <a id="namespacebanuser"></a>`user` | [`UserCore!`](#usercore) | ネームスペースBAN適用対象のユーザー。 |

### `NamespaceCiCdSetting`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecicdsettingallowstalerunnerpruning"></a>`allowStaleRunnerPruning` | [`Boolean`](#boolean) | ネームスペースに直接属する停滞状態Runnerを定期的にプルーニングするかどうかを示します。 |
| <a id="namespacecicdsettingnamespace"></a>`namespace` | [`Namespace`](#namespace) | CI/CD設定が属するネームスペース。 |

### `NamespaceClusterAgentMapping`

ネームスペースとクラスターとエージェントのマッピングを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespaceclusteragentmappingclusteragentid"></a>`clusterAgentId` | [`ClustersAgentID!`](#clustersagentid) | クラスターエージェントのグローバルID。 |
| <a id="namespaceclusteragentmappingcreatedat"></a>`createdAt` | [`Time!`](#time) | ネームスペースとクラスターとエージェントのマッピングの作成時のタイムスタンプ。 |
| <a id="namespaceclusteragentmappingcreatorid"></a>`creatorId` | [`UserID!`](#userid) | 作成者のグローバルID。 |
| <a id="namespaceclusteragentmappingid"></a>`id` | [`RemoteDevelopmentNamespaceClusterAgentMappingID!`](#remotedevelopmentnamespaceclusteragentmappingid) | ネームスペースとクラスターとエージェントのマッピングのグローバルID。 |
| <a id="namespaceclusteragentmappingnamespaceid"></a>`namespaceId` | [`NamespaceID!`](#namespaceid) | ネームスペースのグローバルID。 |
| <a id="namespaceclusteragentmappingupdatedat"></a>`updatedAt` | [`Time!`](#time) | ネームスペースとクラスターとエージェントのマッピングの最終更新タイムスタンプ。 |

### `NamespaceCommitEmail`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacecommitemailcreatedat"></a>`createdAt` | [`Time!`](#time) | ネームスペースコミットメール作成のタイムスタンプ。 |
| <a id="namespacecommitemailemail"></a>`email` | [`Email!`](#email) | メール。 |
| <a id="namespacecommitemailid"></a>`id` | [`ID!`](#id) | ネームスペースコミットメールの内部ID。 |
| <a id="namespacecommitemailnamespace"></a>`namespace` | [`Namespace!`](#namespace) | ネームスペース。 |
| <a id="namespacecommitemailupdatedat"></a>`updatedAt` | [`Time!`](#time) | ネームスペースコミットメールの最終更新タイムスタンプ。 |

### `NamespacePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacepermissionsgeneratedescription"></a>`generateDescription` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`generate_description`を実行できます。 |
| <a id="namespacepermissionsreadnamespace"></a>`readNamespace` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_namespace`を実行できます。 |

### `NamespaceSidebar`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="namespacesidebaropenepicscount"></a>`openEpicsCount` | [`Int`](#int) | ネームスペースの未解決エピックの数。 |
| <a id="namespacesidebaropenissuescount"></a>`openIssuesCount` | [`Int`](#int) | ネームスペースの未解決イシューの数。 |
| <a id="namespacesidebaropenmergerequestscount"></a>`openMergeRequestsCount` | [`Int`](#int) | ネームスペースの未解決マージリクエストの数。 |

### `NestedEnvironment`

フォルダー別に編成されたプロジェクトのコードがどこにデプロイされるかを記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="nestedenvironmentenvironment"></a>`environment` | [`Environment`](#environment) | フォルダー内の最新の環境。 |
| <a id="nestedenvironmentname"></a>`name` | [`String!`](#string) | 人間が判読可能な環境名。 |
| <a id="nestedenvironmentsize"></a>`size` | [`Int!`](#int) | フォルダー内にネストされた環境の数。 |

### `NetworkPolicyEgress`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="networkpolicyegressallow"></a>`allow` | [`String!`](#string) | トラフィックを許可するIP範囲の開始点。 |
| <a id="networkpolicyegressexcept"></a>`except` | [`[String!]`](#string) | `allow`範囲から除外するIP範囲のリスト。 |

### `Note`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="noteauthor"></a>`author` | [`UserCore`](#usercore) | ノートを書いたユーザー。 |
| <a id="noteauthoriscontributor"></a>`authorIsContributor` | [`Boolean`](#boolean) | ノートの作成者がコントリビューターであるかどうかを示します。 |
| <a id="noteawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | ノートに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="notebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="notebodyfirstlinehtml"></a>`bodyFirstLineHtml` | [`String!`](#string) | ノートの内容の最初の行。 |
| <a id="notebodyhtml"></a>`bodyHtml` | [`String`](#string) | ノートの内容のGitLab Flavored Markdownレンダリング。 |
| <a id="notecreatedat"></a>`createdAt` | [`Time!`](#time) | ノートの作成時のタイムスタンプ。 |
| <a id="notediscussion"></a>`discussion` | [`Discussion`](#discussion) | ノートが属するディスカッション。 |
| <a id="noteexternalauthor"></a>`externalAuthor` | [`String`](#string) | ノートを追加する非GitLabユーザーのメールアドレス。ゲストの場合、メールアドレスは難読化されます。 |
| <a id="noteid"></a>`id` | [`NoteID!`](#noteid) | ノートのID。 |
| <a id="noteimported"></a>`imported` | [`Boolean`](#boolean) | ノートがインポートされたかどうかを示します。 |
| <a id="noteinternal"></a>`internal` | [`Boolean`](#boolean) | ノートが内部ノートかどうかを示します。 |
| <a id="notelasteditedat"></a>`lastEditedAt` | [`Time`](#time) | ノートが最後に編集された時点のタイムスタンプ。 |
| <a id="notelasteditedby"></a>`lastEditedBy` | [`UserCore`](#usercore) | ノートを最後に編集したユーザー。 |
| <a id="notemaxaccesslevelofauthor"></a>`maxAccessLevelOfAuthor` | [`String`](#string) | プロジェクト内でのノート作成者の最大アクセスレベル。 |
| <a id="noteposition"></a>`position` | [`DiffPosition`](#diffposition) | 差分に関するノートの位置。 |
| <a id="noteproject"></a>`project` | [`Project`](#project) | ノートに関連付けられているプロジェクト。 |
| <a id="noteresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="noteresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="noteresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="noteresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |
| <a id="notesystem"></a>`system` | [`Boolean!`](#boolean) | ノートがシステムによって作成されたか、ユーザーによって作成されたかを示します。 |
| <a id="notesystemnoteiconname"></a>`systemNoteIconName` | [`String`](#string) | システムノートに対応するアイコンの名前。 |
| <a id="notesystemnotemetadata"></a>`systemNoteMetadata` | [`SystemNoteMetadata`](#systemnotemetadata) | 特定のノートがシステムノートである場合のメタデータ。 |
| <a id="noteupdatedat"></a>`updatedAt` | [`Time!`](#time) | ノートの最後のアクティビティーのタイムスタンプ。 |
| <a id="noteurl"></a>`url` | [`String`](#string) | Web UIでノートを表示するURL。 |
| <a id="noteuserpermissions"></a>`userPermissions` | [`NotePermissions!`](#notepermissions) | リソースに対する現在のユーザーの権限。 |

### `NotePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="notepermissionsadminnote"></a>`adminNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_note`を実行できます。 |
| <a id="notepermissionsawardemoji"></a>`awardEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`award_emoji`を実行できます。 |
| <a id="notepermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="notepermissionsreadnote"></a>`readNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_note`を実行できます。 |
| <a id="notepermissionsrepositionnote"></a>`repositionNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`reposition_note`を実行できます。 |
| <a id="notepermissionsresolvenote"></a>`resolveNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`resolve_note`を実行できます。 |

### `NugetDependencyLinkMetadata`

NuGet依存関係リンクのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="nugetdependencylinkmetadataid"></a>`id` | [`PackagesNugetDependencyLinkMetadatumID!`](#packagesnugetdependencylinkmetadatumid) | メタデータのID。 |
| <a id="nugetdependencylinkmetadatatargetframework"></a>`targetFramework` | [`String!`](#string) | 依存関係リンクパッケージのターゲットフレームワーク。 |

### `NugetMetadata`

NuGetのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="nugetmetadataiconurl"></a>`iconUrl` | [`String`](#string) | NuGetパッケージのアイコンURL。 |
| <a id="nugetmetadataid"></a>`id` | [`PackagesNugetMetadatumID!`](#packagesnugetmetadatumid) | メタデータのID。 |
| <a id="nugetmetadatalicenseurl"></a>`licenseUrl` | [`String`](#string) | NuGetパッケージのライセンスURL。 |
| <a id="nugetmetadataprojecturl"></a>`projectUrl` | [`String`](#string) | NuGetパッケージのプロジェクトURL。 |

### `ObservabilityLog`

ObservabilityLogは、イシューとログエントリの間の接続を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitylogfingerprint"></a>`fingerprint` | [`String!`](#string) | ログのログフィンガープリント。 |
| <a id="observabilitylogissue"></a>`issue` | [`Issue!`](#issue) | ログに関連付けられているイシュー。 |
| <a id="observabilitylogservicename"></a>`serviceName` | [`String!`](#string) | ログのサービス名。 |
| <a id="observabilitylogseveritynumber"></a>`severityNumber` | [`Int!`](#int) | ログの重大度数値。 |
| <a id="observabilitylogtimestamp"></a>`timestamp` | [`ISO8601DateTime!`](#iso8601datetime) | ログのタイムスタンプ。 |
| <a id="observabilitylogtraceidentifier"></a>`traceIdentifier` | [`String!`](#string) | ログのトレース識別子。 |

### `ObservabilityMetric`

ObservabilityMetricは、イシューとメトリクスの間の接続を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitymetricissue"></a>`issue` | [`Issue`](#issue) | メトリクスの原因となるイシュー。 |
| <a id="observabilitymetricname"></a>`name` | [`String!`](#string) | メトリクスの名前。 |
| <a id="observabilitymetrictype"></a>`type` | [`String!`](#string) | メトリクスのOpenTelemetryメトリクスタイプ。 |

### `ObservabilityTrace`

ObservabilityTraceは、イシューとトレースの間の接続を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="observabilitytraceissue"></a>`issue` | [`Issue!`](#issue) | トレースに関連付けられているイシュー。 |
| <a id="observabilitytracetraceidentifier"></a>`traceIdentifier` | [`String!`](#string) | トレースの識別子。 |

### `OncallParticipantType`

ローテーション参加者とカラーパレット。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallparticipanttypecolorpalette"></a>`colorPalette` | [`String`](#string) | オンコールユーザーに割り当てるカラーパレット。例: blue。 |
| <a id="oncallparticipanttypecolorweight"></a>`colorWeight` | [`String`](#string) | オンコールユーザーに割り当てるカラーウェイト。例: 500。最大4文字。ユーザーを簡単に識別できるようにするためのもの。 |
| <a id="oncallparticipanttypeid"></a>`id` | [`IncidentManagementOncallParticipantID!`](#incidentmanagementoncallparticipantid) | オンコール参加者のID。 |
| <a id="oncallparticipanttypeuser"></a>`user` | [`UserCore!`](#usercore) | 参加ユーザー。 |

### `OncallRotationActivePeriodType`

オンコールローテーションのアクティブ期間の時間範囲。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallrotationactiveperiodtypeendtime"></a>`endTime` | [`String`](#string) | ローテーションのアクティブ期間の終了。 |
| <a id="oncallrotationactiveperiodtypestarttime"></a>`startTime` | [`String`](#string) | ローテーションのアクティブ期間の開始。 |

### `Organization`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationavatarurl"></a>`avatarUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。組織のアバターURL。 |
| <a id="organizationdescription"></a>`description` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。組織の説明。 |
| <a id="organizationdescriptionhtml"></a>`descriptionHtml` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。`description`のGitLab Flavored Markdownレンダリング。 |
| <a id="organizationid"></a>`id` {{< icon name="warning-solid" >}} | [`ID!`](#id) | GitLab 16.4で**導入**。**状態**: 実験。組織のID。 |
| <a id="organizationname"></a>`name` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 16.4で**導入**。**状態**: 実験。組織の名前。 |
| <a id="organizationorganizationusers"></a>`organizationUsers` {{< icon name="warning-solid" >}} | [`OrganizationUserConnection!`](#organizationuserconnection) | GitLab 16.4で**導入**。**状態**: 実験。組織にアクセスできるユーザー。 |
| <a id="organizationpath"></a>`path` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 16.4で**導入**。**状態**: 実験。組織のパス。 |
| <a id="organizationweburl"></a>`webUrl` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 16.6で**導入**。**状態**: 実験。組織のWeb URL。 |

#### 引数のあるフィールド

##### `Organization.groups`

ユーザーがアクセスできるこの組織内のグループ。

{{< details >}}GitLab 16.4で**導入**。**状態**: 実験。{{< /details >}}

[`GroupConnection!`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、および`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationgroupsallavailable"></a>`allAvailable` | [`Boolean`](#boolean) | `true`の場合、アクセス可能なすべてのグループを返します。`false`の場合、ユーザーがメンバーであるグループのみを返します。非認証のリクエストでは、常にすべてのパブリックグループが返されます。`owned_only`引数が優先されます。 |
| <a id="organizationgroupsids"></a>`ids` | [`[ID!]`](#id) | グループをIDでフィルタリングします。 |
| <a id="organizationgroupsmarkedfordeletionon"></a>`markedForDeletionOn` | [`Date`](#date) | グループが削除対象としてマークされた日付。 |
| <a id="organizationgroupsownedonly"></a>`ownedOnly` | [`Boolean`](#boolean) | 現在のユーザーがオーナーロールを付与されているグループのみを含めます。 |
| <a id="organizationgroupsparentpath"></a>`parentPath` | [`ID`](#id) | 親グループのフルパス。 |
| <a id="organizationgroupssearch"></a>`search` | [`String`](#string) | グループ名またはグループのフルパスの検索クエリ。 |
| <a id="organizationgroupssort"></a>`sort` | [`String`](#string) | 結果のソート順。形式; `<field_name>_<sort_direction>`（`id_desc`や`name_asc`など）。 |
| <a id="organizationgroupstoplevelonly"></a>`topLevelOnly` | [`Boolean`](#boolean) | トップレベルグループのみを含めます。 |

##### `Organization.projects`

ユーザーがアクセスできるこの組織内のプロジェクト。

{{< details >}}GitLab 16.8で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectConnection!`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationprojectsaimedfordeletion"></a>`aimedForDeletion` | [`Boolean`](#boolean) | 削除対象としてマークされているプロジェクトのみを返します。 |
| <a id="organizationprojectsarchived"></a>`archived` | [`ProjectArchived`](#projectarchived) | アーカイブされた状態によりプロジェクトをフィルタリングします。 |
| <a id="organizationprojectsfullpaths"></a>`fullPaths` | [`[String!]`](#string) | プロジェクトをフルパスでフィルタリングします。50を超えるフルパスを指定することはできません。 |
| <a id="organizationprojectsids"></a>`ids` | [`[ID!]`](#id) | プロジェクトをIDでフィルタリングします。 |
| <a id="organizationprojectsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | 非表示のプロジェクトを含めます。 |
| <a id="organizationprojectsmarkedfordeletionon"></a>`markedForDeletionOn` | [`Date`](#date) | プロジェクトが削除対象としてマークされた日付。 |
| <a id="organizationprojectsmembership"></a>`membership` | [`Boolean`](#boolean) | 現在のユーザーをメンバーするプロジェクトのみを返します。 |
| <a id="organizationprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="organizationprojectsnotaimedfordeletion"></a>`notAimedForDeletion` | [`Boolean`](#boolean) | 削除対象としてマークされているプロジェクトを除外します。 |
| <a id="organizationprojectspersonal"></a>`personal` | [`Boolean`](#boolean) | 個人用プロジェクトのみを返します。 |
| <a id="organizationprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="organizationprojectssearch"></a>`search` | [`String`](#string) | プロジェクト名、パス、または説明の検索クエリ。 |
| <a id="organizationprojectssearchnamespaces"></a>`searchNamespaces` | [`Boolean`](#boolean) | プロジェクト検索にネームスペースを含めます。 |
| <a id="organizationprojectssort"></a>`sort` | [`String`](#string) | 結果のソート順。形式; `<field_name>_<sort_direction>`（`id_desc`や`name_asc`など）。 |
| <a id="organizationprojectstopics"></a>`topics` | [`[String!]`](#string) | プロジェクトをトピックでフィルタリングします。 |
| <a id="organizationprojectstrending"></a>`trending` | [`Boolean`](#boolean) | トレンド中のプロジェクトのみを返します。 |
| <a id="organizationprojectswithissuesenabled"></a>`withIssuesEnabled` | [`Boolean`](#boolean) | イシューが有効になっているプロジェクトのみを返します。 |
| <a id="organizationprojectswithmergerequestsenabled"></a>`withMergeRequestsEnabled` | [`Boolean`](#boolean) | マージリクエストが有効になっているプロジェクトのみを返します。 |

##### `Organization.workspacesClusterAgents`

ワークスペース機能のある組織内のクラスターエージェント。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationworkspacesclusteragentsfilter"></a>`filter` | [`NamespaceClusterAgentFilter!`](#namespaceclusteragentfilter) | 返すクラスターエージェントのタイプでフィルタリングします。 |

### `OrganizationStateCounts`

表される状態の組織の総数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationstatecountsactive"></a>`active` | [`Int`](#int) | 状態が`ACTIVE`の組織の数。 |
| <a id="organizationstatecountsall"></a>`all` | [`Int`](#int) | 状態が`ALL`の組織の数。 |
| <a id="organizationstatecountsinactive"></a>`inactive` | [`Int`](#int) | 状態が`INACTIVE`の組織の数。 |

### `OrganizationUser`

組織にアクセスできるユーザー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuseraccesslevel"></a>`accessLevel` {{< icon name="warning-solid" >}} | [`OrganizationUserAccess!`](#organizationuseraccess) | GitLab 16.11で**導入**。**状態**: 実験。組織内のユーザーのアクセスレベル。 |
| <a id="organizationuserbadges"></a>`badges` {{< icon name="warning-solid" >}} | [`[OrganizationUserBadge!]`](#organizationuserbadge) | GitLab 16.4で**導入**。**状態**: 実験。組織内のユーザーを記述するバッジ。 |
| <a id="organizationuserid"></a>`id` {{< icon name="warning-solid" >}} | [`ID!`](#id) | GitLab 16.4で**導入**。**状態**: 実験。組織ユーザーのID。 |
| <a id="organizationuserislastowner"></a>`isLastOwner` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.11で**導入**。**状態**: 実験。ユーザーが組織の最後のオーナーかどうか。 |
| <a id="organizationuseruser"></a>`user` {{< icon name="warning-solid" >}} | [`UserCore!`](#usercore) | GitLab 16.4で**導入**。**状態**: 実験。組織に関連付けられているユーザー。 |
| <a id="organizationuseruserpermissions"></a>`userPermissions` | [`OrganizationUserPermissions!`](#organizationuserpermissions) | リソースに対する現在のユーザーの権限。 |

### `OrganizationUserAccess`

ユーザーと、それに関連する組織との間の関係のアクセスレベルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuseraccessintegervalue"></a>`integerValue` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 16.11で**導入**。**状態**: 実験。アクセスレベルの整数表記。 |
| <a id="organizationuseraccessstringvalue"></a>`stringValue` {{< icon name="warning-solid" >}} | [`OrganizationUserAccessLevel`](#organizationuseraccesslevel) | GitLab 16.11で**導入**。**状態**: 実験。アクセスレベルの文字列表記。 |

### `OrganizationUserBadge`

組織ユーザーのバッジ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuserbadgetext"></a>`text` | [`String!`](#string) | バッジのテキスト。 |
| <a id="organizationuserbadgevariant"></a>`variant` | [`String!`](#string) | バッジのバリアント。 |

### `OrganizationUserPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="organizationuserpermissionsadminorganization"></a>`adminOrganization` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_organization`を実行できます。 |
| <a id="organizationuserpermissionsdeleteuser"></a>`deleteUser` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`delete_user`を実行できます。 |
| <a id="organizationuserpermissionsremoveuser"></a>`removeUser` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_user`を実行できます。 |

### `Package`

パッケージレジストリ内でパイプラインが含まれるパッケージを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="package_links"></a>`_links` | [`PackageLinks!`](#packagelinks) | パッケージに対してアクションを実行するためのリンクのマップ。 |
| <a id="packagecreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packageid"></a>`id` | [`PackagesPackageID!`](#packagespackageid) | パッケージのID。 |
| <a id="packagemetadata"></a>`metadata` | [`PackageMetadata`](#packagemetadata) | パッケージのメタデータ。 |
| <a id="packagename"></a>`name` | [`String!`](#string) | パッケージの名前。 |
| <a id="packagepackagetype"></a>`packageType` | [`PackageTypeEnum!`](#packagetypeenum) | パッケージのタイプ。 |
| <a id="packagepipelines"></a>`pipelines` | [`PipelineConnection`](#pipelineconnection) | パッケージをビルドしたパイプライン。最大ページサイズ20。（[接続](#connections)を参照） |
| <a id="packageproject"></a>`project` | [`Project!`](#project) | パッケージが保存されているプロジェクト。 |
| <a id="packageprotectionruleexists"></a>`protectionRuleExists` | [`Boolean!`](#boolean) | パッケージについて、一致するパッケージ保護ルールが存在するかどうか。 |
| <a id="packagestatus"></a>`status` | [`PackageStatus!`](#packagestatus) | パッケージの状態。 |
| <a id="packagestatusmessage"></a>`statusMessage` | [`String`](#string) | 状態メッセージ。 |
| <a id="packagetags"></a>`tags` | [`PackageTagConnection`](#packagetagconnection) | パッケージタグ。（[接続](#connections)を参照） |
| <a id="packageupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |
| <a id="packageuserpermissions"></a>`userPermissions` | [`PackagePermissions!`](#packagepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="packageversion"></a>`version` | [`String`](#string) | バージョン文字列。 |

### `PackageBase`

パッケージレジストリ内のパッケージを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagebase_links"></a>`_links` | [`PackageLinks!`](#packagelinks) | パッケージに対してアクションを実行するためのリンクのマップ。 |
| <a id="packagebasecreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packagebaseid"></a>`id` | [`PackagesPackageID!`](#packagespackageid) | パッケージのID。 |
| <a id="packagebasemetadata"></a>`metadata` | [`PackageMetadata`](#packagemetadata) | パッケージのメタデータ。 |
| <a id="packagebasename"></a>`name` | [`String!`](#string) | パッケージの名前。 |
| <a id="packagebasepackagetype"></a>`packageType` | [`PackageTypeEnum!`](#packagetypeenum) | パッケージのタイプ。 |
| <a id="packagebaseproject"></a>`project` | [`Project!`](#project) | パッケージが保存されているプロジェクト。 |
| <a id="packagebaseprotectionruleexists"></a>`protectionRuleExists` | [`Boolean!`](#boolean) | パッケージについて、一致するパッケージ保護ルールが存在するかどうか。 |
| <a id="packagebasestatus"></a>`status` | [`PackageStatus!`](#packagestatus) | パッケージの状態。 |
| <a id="packagebasestatusmessage"></a>`statusMessage` | [`String`](#string) | 状態メッセージ。 |
| <a id="packagebasetags"></a>`tags` | [`PackageTagConnection`](#packagetagconnection) | パッケージタグ。（[接続](#connections)を参照） |
| <a id="packagebaseupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |
| <a id="packagebaseuserpermissions"></a>`userPermissions` | [`PackagePermissions!`](#packagepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="packagebaseversion"></a>`version` | [`String`](#string) | バージョン文字列。 |

### `PackageComposerJsonType`

Composer JSONファイルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagecomposerjsontypelicense"></a>`license` | [`String`](#string) | Composer JSONファイルの中で設定されているライセンス。 |
| <a id="packagecomposerjsontypename"></a>`name` | [`String`](#string) | Composer JSONファイルの中で設定されている名前。 |
| <a id="packagecomposerjsontypetype"></a>`type` | [`String`](#string) | Composer JSONファイルの中で設定されているタイプ。 |
| <a id="packagecomposerjsontypeversion"></a>`version` | [`String`](#string) | Composer JSONファイルの中で設定されているバージョン。 |

### `PackageDependency`

パッケージの依存関係を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagedependencyid"></a>`id` | [`PackagesDependencyID!`](#packagesdependencyid) | 依存関係のID。 |
| <a id="packagedependencyname"></a>`name` | [`String!`](#string) | 依存関係の名前。 |
| <a id="packagedependencyversionpattern"></a>`versionPattern` | [`String!`](#string) | 依存関係のバージョンパターン。 |

### `PackageDependencyLink`

パッケージの依存関係リンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagedependencylinkdependency"></a>`dependency` | [`PackageDependency`](#packagedependency) | 依存関係。 |
| <a id="packagedependencylinkdependencytype"></a>`dependencyType` | [`PackageDependencyType!`](#packagedependencytype) | 依存関係のタイプ。 |
| <a id="packagedependencylinkid"></a>`id` | [`PackagesDependencyLinkID!`](#packagesdependencylinkid) | 依存関係リンクのID。 |
| <a id="packagedependencylinkmetadata"></a>`metadata` | [`DependencyLinkMetadata`](#dependencylinkmetadata) | 依存関係リンクのメタデータ。 |

### `PackageDetailsType`

パッケージレジストリ内のパッケージ詳細を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagedetailstype_links"></a>`_links` | [`PackageLinks!`](#packagelinks) | パッケージに対してアクションを実行するためのリンクのマップ。 |
| <a id="packagedetailstypecomposerconfigrepositoryurl"></a>`composerConfigRepositoryUrl` | [`String`](#string) | ComposerセットアップエンドポイントのURL。 |
| <a id="packagedetailstypecomposerurl"></a>`composerUrl` | [`String`](#string) | ComposerエンドポイントのURL。 |
| <a id="packagedetailstypeconanurl"></a>`conanUrl` | [`String`](#string) | ConanプロジェクトエンドポイントのURL。 |
| <a id="packagedetailstypecreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packagedetailstypedependencylinks"></a>`dependencyLinks` | [`PackageDependencyLinkConnection`](#packagedependencylinkconnection) | 依存関係リンク。（[接続](#connections)を参照） |
| <a id="packagedetailstypeid"></a>`id` | [`PackagesPackageID!`](#packagespackageid) | パッケージのID。 |
| <a id="packagedetailstypelastdownloadedat"></a>`lastDownloadedAt` | [`Time`](#time) | パッケージのファイルが最後にダウンロードされた時刻。 |
| <a id="packagedetailstypemavenurl"></a>`mavenUrl` | [`String`](#string) | MavenプロジェクトエンドポイントのURL。 |
| <a id="packagedetailstypemetadata"></a>`metadata` | [`PackageMetadata`](#packagemetadata) | パッケージのメタデータ。 |
| <a id="packagedetailstypename"></a>`name` | [`String!`](#string) | パッケージの名前。 |
| <a id="packagedetailstypenpmurl"></a>`npmUrl` | [`String`](#string) | NPMプロジェクトエンドポイントのURL。 |
| <a id="packagedetailstypenugeturl"></a>`nugetUrl` | [`String`](#string) | NugetプロジェクトエンドポイントのURL。 |
| <a id="packagedetailstypepackagefiles"></a>`packageFiles` | [`PackageFileConnection`](#packagefileconnection) | パッケージファイル。（[接続](#connections)を参照） |
| <a id="packagedetailstypepackagetype"></a>`packageType` | [`PackageTypeEnum!`](#packagetypeenum) | パッケージのタイプ。 |
| <a id="packagedetailstypepipelines"></a>`pipelines` | [`PipelineConnection`](#pipelineconnection) | パッケージをビルドしたパイプライン。最大ページサイズ20。（[接続](#connections)を参照） |
| <a id="packagedetailstypeproject"></a>`project` | [`Project!`](#project) | パッケージが保存されているプロジェクト。 |
| <a id="packagedetailstypeprotectionruleexists"></a>`protectionRuleExists` | [`Boolean!`](#boolean) | パッケージについて、一致するパッケージ保護ルールが存在するかどうか。 |
| <a id="packagedetailstypepublicpackage"></a>`publicPackage` | [`Boolean`](#boolean) | パッケージへの公開アクセスがあるかどうかを示します。 |
| <a id="packagedetailstypepypisetupurl"></a>`pypiSetupUrl` | [`String`](#string) | PyPiプロジェクトセットアップエンドポイントのURL。 |
| <a id="packagedetailstypepypiurl"></a>`pypiUrl` | [`String`](#string) | PyPiプロジェクトエンドポイントのURL。 |
| <a id="packagedetailstypestatus"></a>`status` | [`PackageStatus!`](#packagestatus) | パッケージの状態。 |
| <a id="packagedetailstypestatusmessage"></a>`statusMessage` | [`String`](#string) | 状態メッセージ。 |
| <a id="packagedetailstypetags"></a>`tags` | [`PackageTagConnection`](#packagetagconnection) | パッケージタグ。（[接続](#connections)を参照） |
| <a id="packagedetailstypeupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |
| <a id="packagedetailstypeuserpermissions"></a>`userPermissions` | [`PackagePermissions!`](#packagepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="packagedetailstypeversion"></a>`version` | [`String`](#string) | バージョン文字列。 |
| <a id="packagedetailstypeversions"></a>`versions` | [`PackageBaseConnection`](#packagebaseconnection) | パッケージの他のバージョン。（[接続](#connections)を参照） |

### `PackageFile`

パッケージファイルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefilecreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packagefiledownloadpath"></a>`downloadPath` | [`String!`](#string) | パッケージファイルのダウンロードパス。 |
| <a id="packagefilefilemd5"></a>`fileMd5` | [`String`](#string) | パッケージファイルのMD5。 |
| <a id="packagefilefilemetadata"></a>`fileMetadata` | [`PackageFileMetadata`](#packagefilemetadata) | ファイルのメタデータ。 |
| <a id="packagefilefilename"></a>`fileName` | [`String!`](#string) | パッケージファイルの名前。 |
| <a id="packagefilefilesha1"></a>`fileSha1` | [`String`](#string) | パッケージファイルのSHA1。 |
| <a id="packagefilefilesha256"></a>`fileSha256` | [`String`](#string) | パッケージファイルのSHA256。 |
| <a id="packagefileid"></a>`id` | [`PackagesPackageFileID!`](#packagespackagefileid) | ファイルのID。 |
| <a id="packagefilesize"></a>`size` | [`String!`](#string) | パッケージファイルのサイズ。 |
| <a id="packagefileupdatedat"></a>`updatedAt` | [`Time!`](#time) | 更新日。 |

### `PackageFileRegistry`

パッケージファイルのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefileregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | PackageFileRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="packagefileregistrycreatedat"></a>`createdAt` | [`Time`](#time) | PackageFileRegistry作成時のタイムスタンプ。 |
| <a id="packagefileregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="packagefileregistryid"></a>`id` | [`ID!`](#id) | PackageFileRegistryのID。 |
| <a id="packagefileregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | PackageFileRegistryの同期中のエラーメッセージ。 |
| <a id="packagefileregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | PackageFileRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="packagefileregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにPackageFileRegistryが欠落しているかどうかを示します。 |
| <a id="packagefileregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | PackageFileRegistryのモデルレコードのID。 |
| <a id="packagefileregistrypackagefileid"></a>`packageFileId` | [`ID!`](#id) | PackageFileのID。 |
| <a id="packagefileregistryretryat"></a>`retryAt` | [`Time`](#time) | PackageFileRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="packagefileregistryretrycount"></a>`retryCount` | [`Int`](#int) | PackageFileRegistryの同期試行の連続失敗回数。 |
| <a id="packagefileregistrystate"></a>`state` | [`RegistryState`](#registrystate) | PackageFileRegistryの同期状態。 |
| <a id="packagefileregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | PackageFileRegistryのローカルチェックサム。 |
| <a id="packagefileregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のPackageFileRegistryのチェックサムの予想値。 |
| <a id="packagefileregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | PackageFileRegistryの検証中のエラーメッセージ。 |
| <a id="packagefileregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | PackageFileRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="packagefileregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | PackageFileRegistryの検証試行の連続失敗回数。 |
| <a id="packagefileregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | PackageFileRegistryの検証開始のタイムスタンプ。 |
| <a id="packagefileregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | PackageFileRegistryの検証状態。 |
| <a id="packagefileregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | PackageFileRegistryの最新の検証成功のタイムスタンプ。 |

### `PackageHelmDependencyType`

Helmの依存関係を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagehelmdependencytypealias"></a>`alias` | [`String`](#string) | 依存関係のエイリアス。 |
| <a id="packagehelmdependencytypecondition"></a>`condition` | [`String`](#string) | 依存関係の条件。 |
| <a id="packagehelmdependencytypeenabled"></a>`enabled` | [`Boolean`](#boolean) | 依存関係が有効になっていることを示します。 |
| <a id="packagehelmdependencytypeimportvalues"></a>`importValues` | [`[JSON!]`](#json) | 依存関係のインポート値。 |
| <a id="packagehelmdependencytypename"></a>`name` | [`String`](#string) | 依存関係の名前。 |
| <a id="packagehelmdependencytyperepository"></a>`repository` | [`String`](#string) | 依存関係のリポジトリ。 |
| <a id="packagehelmdependencytypetags"></a>`tags` | [`[String!]`](#string) | 依存関係のタグ。 |
| <a id="packagehelmdependencytypeversion"></a>`version` | [`String`](#string) | 依存関係のバージョン。 |

### `PackageHelmMaintainerType`

Helmのメンテナーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagehelmmaintainertypeemail"></a>`email` | [`String`](#string) | メンテナーのメール。 |
| <a id="packagehelmmaintainertypename"></a>`name` | [`String`](#string) | メンテナーの名前。 |
| <a id="packagehelmmaintainertypeurl"></a>`url` | [`String`](#string) | メンテナーのURL。 |

### `PackageHelmMetadataType`

Helm Chart.ymlファイルの内容を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagehelmmetadatatypeannotations"></a>`annotations` | [`JSON`](#json) | チャートのアノテーション。 |
| <a id="packagehelmmetadatatypeapiversion"></a>`apiVersion` | [`String!`](#string) | チャートのAPIバージョン。 |
| <a id="packagehelmmetadatatypeappversion"></a>`appVersion` | [`String`](#string) | チャートのアプリバージョン。 |
| <a id="packagehelmmetadatatypecondition"></a>`condition` | [`String`](#string) | チャートの条件。 |
| <a id="packagehelmmetadatatypedependencies"></a>`dependencies` | [`[PackageHelmDependencyType!]`](#packagehelmdependencytype) | チャートの依存関係。 |
| <a id="packagehelmmetadatatypedeprecated"></a>`deprecated` | [`Boolean`](#boolean) | チャートが非推奨かどうかを示します。 |
| <a id="packagehelmmetadatatypedescription"></a>`description` | [`String`](#string) | チャートの説明。 |
| <a id="packagehelmmetadatatypehome"></a>`home` | [`String`](#string) | ホームページのURL。 |
| <a id="packagehelmmetadatatypeicon"></a>`icon` | [`String`](#string) | チャートのSVG画像またはPNG画像のURL。 |
| <a id="packagehelmmetadatatypekeywords"></a>`keywords` | [`[String!]`](#string) | チャートのキーワード。 |
| <a id="packagehelmmetadatatypekubeversion"></a>`kubeVersion` | [`String`](#string) | チャートのKubernetesバージョン。 |
| <a id="packagehelmmetadatatypemaintainers"></a>`maintainers` | [`[PackageHelmMaintainerType!]`](#packagehelmmaintainertype) | チャートのメンテナー。 |
| <a id="packagehelmmetadatatypename"></a>`name` | [`String!`](#string) | チャートの名前。 |
| <a id="packagehelmmetadatatypesources"></a>`sources` | [`[String!]`](#string) | チャートのソースコードのURL。 |
| <a id="packagehelmmetadatatypetags"></a>`tags` | [`String`](#string) | チャートのタグ。 |
| <a id="packagehelmmetadatatypetype"></a>`type` | [`String`](#string) | チャートのタイプ。 |
| <a id="packagehelmmetadatatypeversion"></a>`version` | [`String!`](#string) | チャートのバージョン。 |

### `PackageLinks`

パッケージに対してアクションを実行するためのリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagelinkswebpath"></a>`webPath` | [`String`](#string) | パッケージ詳細ページのパス。 |

### `PackagePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagepermissionsdestroypackage"></a>`destroyPackage` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_package`を実行できます。 |

### `PackageSettings`

ネームスペースレベルのパッケージレジストリ設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagesettingsauditeventsenabled"></a>`auditEventsEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**導入**。**状態**: 実験。ネームスペースのパッケージを公開または削除する際に、監査イベントを作成するかどうかを示します（PremiumとUltimateのみ）。`package_registry_audit_events`機能フラグが無効になっている場合、`null`を返します。 |
| <a id="packagesettingsgenericduplicateexceptionregex"></a>`genericDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | generic_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="packagesettingsgenericduplicatesallowed"></a>`genericDuplicatesAllowed` | [`Boolean!`](#boolean) | ネームスペースで汎用パッケージの重複を許可するかどうかを示します。 |
| <a id="packagesettingslockmavenpackagerequestsforwarding"></a>`lockMavenPackageRequestsForwarding` | [`Boolean!`](#boolean) | すべての子孫ネームスペースに対してMavenパッケージの転送がロックされるかどうかを示します。 |
| <a id="packagesettingslocknpmpackagerequestsforwarding"></a>`lockNpmPackageRequestsForwarding` | [`Boolean!`](#boolean) | すべての子孫ネームスペースに対してnpmパッケージの転送がロックされるかどうかを示します。 |
| <a id="packagesettingslockpypipackagerequestsforwarding"></a>`lockPypiPackageRequestsForwarding` | [`Boolean!`](#boolean) | すべての子孫ネームスペースに対してPyPIパッケージの転送がロックされるかどうかを示します。 |
| <a id="packagesettingsmavenduplicateexceptionregex"></a>`mavenDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | maven_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="packagesettingsmavenduplicatesallowed"></a>`mavenDuplicatesAllowed` | [`Boolean!`](#boolean) | ネームスペースでMavenパッケージの重複を許可するかどうかを示します。 |
| <a id="packagesettingsmavenpackagerequestsforwarding"></a>`mavenPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでMavenパッケージの転送を許可するかどうかを示します。 |
| <a id="packagesettingsmavenpackagerequestsforwardinglocked"></a>`mavenPackageRequestsForwardingLocked` | [`Boolean!`](#boolean) | 親ネームスペースによりMavenパッケージの転送の設定がロックされているかどうかを示します。 |
| <a id="packagesettingsnpmpackagerequestsforwarding"></a>`npmPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでnpmパッケージの転送を許可するかどうかを示します。 |
| <a id="packagesettingsnpmpackagerequestsforwardinglocked"></a>`npmPackageRequestsForwardingLocked` | [`Boolean!`](#boolean) | 親ネームスペースによりnpmパッケージの転送の設定がロックされているかどうかを示します。 |
| <a id="packagesettingsnugetduplicateexceptionregex"></a>`nugetDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | nuget_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="packagesettingsnugetduplicatesallowed"></a>`nugetDuplicatesAllowed` | [`Boolean!`](#boolean) | ネームスペースでNuGetパッケージの重複を許可するかどうかを示します。 |
| <a id="packagesettingsnugetsymbolserverenabled"></a>`nugetSymbolServerEnabled` | [`Boolean!`](#boolean) | ネームスペースでNuGetシンボルサーバーが有効かどうかを示します。 |
| <a id="packagesettingspypipackagerequestsforwarding"></a>`pypiPackageRequestsForwarding` | [`Boolean`](#boolean) | ネームスペースでPyPIパッケージの転送を許可するかどうかを示します。 |
| <a id="packagesettingspypipackagerequestsforwardinglocked"></a>`pypiPackageRequestsForwardingLocked` | [`Boolean!`](#boolean) | 親ネームスペースによりPyPIパッケージの転送の設定がロックされているかどうかを示します。 |
| <a id="packagesettingsterraformmoduleduplicateexceptionregex"></a>`terraformModuleDuplicateExceptionRegex` | [`UntrustedRegexp`](#untrustedregexp) | terraform_module_duplicates_allowedがfalseの場合、この正規表現に一致する名前の重複パッケージを公開できます。それ以外の場合、この設定は無効です。 |
| <a id="packagesettingsterraformmoduleduplicatesallowed"></a>`terraformModuleDuplicatesAllowed` | [`Boolean!`](#boolean) | ネームスペースでTerraformパッケージの重複を許可するかどうかを示します。 |

### `PackageTag`

パッケージタグを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagetagcreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packagetagid"></a>`id` | [`ID!`](#id) | タグのID。 |
| <a id="packagetagname"></a>`name` | [`String!`](#string) | タグの名前。 |
| <a id="packagetagupdatedat"></a>`updatedAt` | [`Time!`](#time) | 更新日。 |

### `PackagesCleanupPolicy`

最も重要なパッケージとパッケージアセットのみ保持するように設計された、パッケージのクリーンアップポリシー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagescleanuppolicykeepnduplicatedpackagefiles"></a>`keepNDuplicatedPackageFiles` | [`PackagesCleanupKeepDuplicatedPackageFilesEnum!`](#packagescleanupkeepduplicatedpackagefilesenum) | 保持する重複パッケージファイルの数。 |
| <a id="packagescleanuppolicynextrunat"></a>`nextRunAt` | [`Time`](#time) | パッケージのクリーンアップポリシーが次回実行される時刻。 |

### `PackagesProtectionRule`

特定のアクセスレベルのユーザーがプッシュしないようにパッケージを保護するために設計されたパッケージ保護ルール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagesprotectionruleid"></a>`id` | [`PackagesProtectionRuleID!`](#packagesprotectionruleid) | パッケージ保護ルールのグローバルID。 |
| <a id="packagesprotectionruleminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`PackagesProtectionRuleAccessLevelForDelete`](#packagesprotectionruleaccesslevelfordelete) | GitLab 17.10で**導入**。**状態**: 実験。パッケージレジストリからパッケージを削除するために必要な最小GitLabアクセス。有効な値には、`OWNER`、`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`MAINTAINER`です。機能フラグ`packages_protected_packages_delete`が有効な場合にのみ使用可能。 |
| <a id="packagesprotectionruleminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` | [`PackagesProtectionRuleAccessLevel`](#packagesprotectionruleaccesslevel) | パッケージをパッケージレジストリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合のデフォルトの最小アクセスレベルは`DEVELOPER`です。 |
| <a id="packagesprotectionrulepackagenamepattern"></a>`packageNamePattern` | [`String!`](#string) | 保護ルールによって保護されるパッケージ名。例: `@my-scope/my-package-*`。ワイルドカード文字`*`を使用できます。 |
| <a id="packagesprotectionrulepackagetype"></a>`packageType` | [`PackagesProtectionRulePackageType!`](#packagesprotectionrulepackagetype) | 保護ルールによって保護されるパッケージのタイプ。例: `NPM`、`PYPI`。 |

### `PageInfo`

接続でのページネーションに関する情報。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pageinfoendcursor"></a>`endCursor` | [`String`](#string) | 順方向ページネーションで続行するためのカーソル。 |
| <a id="pageinfohasnextpage"></a>`hasNextPage` | [`Boolean!`](#boolean) | 順方向ページネーションで、さらにアイテムがあるかどうか？ |
| <a id="pageinfohaspreviouspage"></a>`hasPreviousPage` | [`Boolean!`](#boolean) | 逆方向ページネーションで、さらにアイテムがあるかどうか？ |
| <a id="pageinfostartcursor"></a>`startCursor` | [`String`](#string) | 逆方向ページネーションで続行するためのカーソル。 |

### `PagesDeployment`

Pagesデプロイを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentactive"></a>`active` | [`Boolean!`](#boolean) | デプロイが現在アクティブかどうか。 |
| <a id="pagesdeploymentcibuildid"></a>`ciBuildId` | [`ID`](#id) | デプロイを作成したCIビルドのID。 |
| <a id="pagesdeploymentcreatedat"></a>`createdAt` | [`ISO8601DateTime!`](#iso8601datetime) | デプロイが作成された時刻。 |
| <a id="pagesdeploymentdeletedat"></a>`deletedAt` | [`ISO8601DateTime`](#iso8601datetime) | デプロイが削除された時刻。 |
| <a id="pagesdeploymentexpiresat"></a>`expiresAt` | [`ISO8601DateTime`](#iso8601datetime) | デプロイの有効期限が切れる時刻。 |
| <a id="pagesdeploymentfilecount"></a>`fileCount` | [`Int`](#int) | デプロイで公開されたファイルの数。 |
| <a id="pagesdeploymentid"></a>`id` | [`ID!`](#id) | PagesデプロイのID。 |
| <a id="pagesdeploymentpathprefix"></a>`pathPrefix` | [`String`](#string) | デプロイを指すURLパスプレフィックス。 |
| <a id="pagesdeploymentproject"></a>`project` | [`Project!`](#project) | デプロイが属するプロジェクト。 |
| <a id="pagesdeploymentrootdirectory"></a>`rootDirectory` | [`String`](#string) | ビルドアセット内で、Pagesサイトのルートディレクトリとして機能するパス。 |
| <a id="pagesdeploymentsize"></a>`size` | [`Int`](#int) | 使用するストレージのサイズ。 |
| <a id="pagesdeploymentupdatedat"></a>`updatedAt` | [`ISO8601DateTime!`](#iso8601datetime) | デプロイの最終更新時刻。 |
| <a id="pagesdeploymenturl"></a>`url` | [`String!`](#string) | デプロイの公開アクセス用URL。 |

### `PagesDeploymentRegistry`

pages_deploymentのGeoのレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pagesdeploymentregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | PagesDeploymentRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="pagesdeploymentregistrycreatedat"></a>`createdAt` | [`Time`](#time) | PagesDeploymentRegistry作成時のタイムスタンプ。 |
| <a id="pagesdeploymentregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="pagesdeploymentregistryid"></a>`id` | [`ID!`](#id) | PagesDeploymentRegistryのID。 |
| <a id="pagesdeploymentregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | PagesDeploymentRegistryの同期中のエラーメッセージ。 |
| <a id="pagesdeploymentregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | PagesDeploymentRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="pagesdeploymentregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにPagesDeploymentRegistryが欠落しているかどうかを示します。 |
| <a id="pagesdeploymentregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | PagesDeploymentRegistryのモデルレコードのID。 |
| <a id="pagesdeploymentregistrypagesdeploymentid"></a>`pagesDeploymentId` | [`ID!`](#id) | PagesデプロイのID。 |
| <a id="pagesdeploymentregistryretryat"></a>`retryAt` | [`Time`](#time) | PagesDeploymentRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="pagesdeploymentregistryretrycount"></a>`retryCount` | [`Int`](#int) | PagesDeploymentRegistryの同期試行の連続失敗回数。 |
| <a id="pagesdeploymentregistrystate"></a>`state` | [`RegistryState`](#registrystate) | PagesDeploymentRegistryの同期状態。 |
| <a id="pagesdeploymentregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | PagesDeploymentRegistryのローカルチェックサム。 |
| <a id="pagesdeploymentregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のPagesDeploymentRegistryのチェックサムの予想値。 |
| <a id="pagesdeploymentregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | PagesDeploymentRegistryの検証中のエラーメッセージ。 |
| <a id="pagesdeploymentregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | PagesDeploymentRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="pagesdeploymentregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | PagesDeploymentRegistryの検証試行の連続失敗回数。 |
| <a id="pagesdeploymentregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | PagesDeploymentRegistryの検証開始のタイムスタンプ。 |
| <a id="pagesdeploymentregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | PagesDeploymentRegistryの検証状態。 |
| <a id="pagesdeploymentregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | PagesDeploymentRegistryの最新の検証成功のタイムスタンプ。 |

### `PathLock`

ロックされているプロジェクトリポジトリ内のファイルまたはディレクトリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pathlockid"></a>`id` | [`PathLockID!`](#pathlockid) | パスロックのID。 |
| <a id="pathlockpath"></a>`path` | [`String`](#string) | ロックされているパス。 |
| <a id="pathlockuser"></a>`user` | [`UserCore`](#usercore) | パスをロックしたユーザー。 |
| <a id="pathlockuserpermissions"></a>`userPermissions` | [`PathLockPermissions!`](#pathlockpermissions) | リソースに対する現在のユーザーの権限。 |

### `PathLockPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pathlockpermissionsdestroypathlock"></a>`destroyPathLock` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_path_lock`を実行できます。 |

### `PendingGroupMember`

保留中のグループメンバーシップを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendinggroupmemberaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="pendinggroupmemberapproved"></a>`approved` | [`Boolean`](#boolean) | 保留中のメンバーが承認されたかどうか。 |
| <a id="pendinggroupmemberavatarurl"></a>`avatarUrl` | [`String`](#string) | 保留中のメンバーのアバターの画像ファイルのURL。 |
| <a id="pendinggroupmembercreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="pendinggroupmembercreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="pendinggroupmemberemail"></a>`email` | [`String`](#string) | 保留中のメンバーの公開メール。 |
| <a id="pendinggroupmemberexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="pendinggroupmemberid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="pendinggroupmemberinvited"></a>`invited` | [`Boolean`](#boolean) | 保留中のメンバーが招待されたかどうか。 |
| <a id="pendinggroupmembername"></a>`name` | [`String`](#string) | 保留中のメンバーの名前。 |
| <a id="pendinggroupmemberupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="pendinggroupmemberuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |
| <a id="pendinggroupmemberusername"></a>`username` | [`String`](#string) | 保留中のメンバーのユーザー名。 |
| <a id="pendinggroupmemberweburl"></a>`webUrl` | [`String`](#string) | 保留中のメンバーのWeb URL。 |

#### 引数のあるフィールド

##### `PendingGroupMember.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendinggroupmembermergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

### `PendingProjectMember`

保留中のプロジェクトメンバーシップを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingprojectmemberaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="pendingprojectmemberapproved"></a>`approved` | [`Boolean`](#boolean) | 保留中のメンバーが承認されたかどうか。 |
| <a id="pendingprojectmemberavatarurl"></a>`avatarUrl` | [`String`](#string) | 保留中のメンバーのアバターの画像ファイルのURL。 |
| <a id="pendingprojectmembercreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="pendingprojectmembercreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="pendingprojectmemberemail"></a>`email` | [`String`](#string) | 保留中のメンバーの公開メール。 |
| <a id="pendingprojectmemberexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="pendingprojectmemberid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="pendingprojectmemberinvited"></a>`invited` | [`Boolean`](#boolean) | 保留中のメンバーが招待されたかどうか。 |
| <a id="pendingprojectmembername"></a>`name` | [`String`](#string) | 保留中のメンバーの名前。 |
| <a id="pendingprojectmemberupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="pendingprojectmemberuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |
| <a id="pendingprojectmemberusername"></a>`username` | [`String`](#string) | 保留中のメンバーのユーザー名。 |
| <a id="pendingprojectmemberweburl"></a>`webUrl` | [`String`](#string) | 保留中のメンバーのWeb URL。 |

#### 引数のあるフィールド

##### `PendingProjectMember.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingprojectmembermergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

### `Pipeline`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineactive"></a>`active` | [`Boolean!`](#boolean) | パイプラインがアクティブかどうかを示します。 |
| <a id="pipelinebeforesha"></a>`beforeSha` | [`String`](#string) | ソースブランチのベースSHA。 |
| <a id="pipelinecancelable"></a>`cancelable` | [`Boolean!`](#boolean) | パイプラインをキャンセルできるかどうかを指定します。 |
| <a id="pipelinechild"></a>`child` | [`Boolean!`](#boolean) | パイプラインが子かどうか。 |
| <a id="pipelinecodequalityreportsummary"></a>`codeQualityReportSummary` | [`CodeQualityReportSummary`](#codequalityreportsummary) | パイプラインのCode Qualityレポートの概要。 |
| <a id="pipelinecodequalityreports"></a>`codeQualityReports` | [`CodeQualityDegradationConnection`](#codequalitydegradationconnection) | パイプラインで報告されたCode Qualityの低下。（[接続](#connections)を参照） |
| <a id="pipelinecommit"></a>`commit` | [`Commit`](#commit) | パイプラインのGitコミット。 |
| <a id="pipelinecommitpath"></a>`commitPath` | [`String`](#string) | パイプラインをトリガーしたコミットのパス。 |
| <a id="pipelinecommittedat"></a>`committedAt` | [`Time`](#time) | パイプラインのコミットのタイムスタンプ。 |
| <a id="pipelinecomplete"></a>`complete` | [`Boolean!`](#boolean) | パイプラインが完了しているかどうかを示します。 |
| <a id="pipelinecomputeminutes"></a>`computeMinutes` | [`Float`](#float) | パイプラインの費やした合計時間（分）。 |
| <a id="pipelineconfigsource"></a>`configSource` | [`PipelineConfigSourceEnum`](#pipelineconfigsourceenum) | パイプラインの設定ソース （UNKNOWN_SOURCE、REPOSITORY_SOURCE、AUTO_DEVOPS_SOURCE、WEBIDE_SOURCE、REMOTE_SOURCE、EXTERNAL_PROJECT_SOURCE、BRIDGE_SOURCE、PARAMETER_SOURCE、COMPLIANCE_SOURCE、SECURITY_POLICIES_DEFAULT_SOURCE、PIPELINE_EXECUTION_POLICY_FORCED）。 |
| <a id="pipelinecoverage"></a>`coverage` | [`Float`](#float) | カバレッジのパーセンテージ。 |
| <a id="pipelinecreatedat"></a>`createdAt` | [`Time!`](#time) | パイプライン作成のタイムスタンプ。 |
| <a id="pipelinedastprofile"></a>`dastProfile` | [`DastProfile`](#dastprofile) | パイプラインに関連付けられているDASTプロファイル。 |
| <a id="pipelinedetailedstatus"></a>`detailedStatus` | [`DetailedStatus!`](#detailedstatus) | パイプラインの詳細な状態。 |
| <a id="pipelinedownstream"></a>`downstream` | [`PipelineConnection`](#pipelineconnection) | パイプラインがトリガーするパイプライン。（[接続](#connections)を参照） |
| <a id="pipelineduration"></a>`duration` | [`Int`](#int) | パイプラインの実行時間（秒）。 |
| <a id="pipelineerrormessages"></a>`errorMessages` | [`PipelineMessageConnection`](#pipelinemessageconnection) | パイプラインのエラーメッセージ。（[接続](#connections)を参照） |
| <a id="pipelinefailurereason"></a>`failureReason` | [`String`](#string) | パイプラインが失敗した理由。 |
| <a id="pipelinefinishedat"></a>`finishedAt` | [`Time`](#time) | パイプライン完了のタイムスタンプ。 |
| <a id="pipelineid"></a>`id` | [`ID!`](#id) | パイプラインのID。 |
| <a id="pipelineiid"></a>`iid` | [`String!`](#string) | パイプラインの内部ID。 |
| <a id="pipelinejobartifacts"></a>`jobArtifacts` | [`[CiJobArtifact!]`](#cijobartifact) | パイプラインのジョブアーティファクト。 |
| <a id="pipelinelatest"></a>`latest` | [`Boolean!`](#boolean) | パイプラインが最新のものかどうか。 |
| <a id="pipelinemanualvariables"></a>`manualVariables` | [`PipelineManualVariableConnection`](#pipelinemanualvariableconnection) | 手動パイプラインに追加されたCI/CD変数。（[接続](#connections)を参照） |
| <a id="pipelinemergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | パイプラインのアタッチ先MR。 |
| <a id="pipelinemergerequesteventtype"></a>`mergeRequestEventType` | [`PipelineMergeRequestEventType`](#pipelinemergerequesteventtype) | マージリクエストに関連付けられているパイプラインのイベントタイプ。 |
| <a id="pipelinename"></a>`name` | [`String`](#string) | パイプラインの名前。 |
| <a id="pipelinepath"></a>`path` | [`String`](#string) | パイプラインのページの相対パス。 |
| <a id="pipelineproject"></a>`project` | [`Project`](#project) | パイプラインが属するプロジェクト。 |
| <a id="pipelinequeuedduration"></a>`queuedDuration` | [`Duration`](#duration) | パイプライン開始までにキューに入っていた時間。 |
| <a id="pipelineref"></a>`ref` | [`String`](#string) | パイプラインのトリガー元ブランチへの参照。 |
| <a id="pipelinerefpath"></a>`refPath` | [`String`](#string) | パイプラインのトリガー元ブランチの参照パス。 |
| <a id="pipelinereftext"></a>`refText` | [`String!`](#string) | プレゼンターからの参照テキスト。 |
| <a id="pipelineretryable"></a>`retryable` | [`Boolean!`](#boolean) | パイプラインのジョブを再試行できるかどうかを指定します。 |
| <a id="pipelinesecurityreportsummary"></a>`securityReportSummary` | [`SecurityReportSummary`](#securityreportsummary) | パイプラインの各セキュリティスキャナーの脆弱性とスキャンされたリソースの数。 |
| <a id="pipelinesource"></a>`source` | [`String`](#string) | パイプラインのソース。 |
| <a id="pipelinesourcejob"></a>`sourceJob` | [`CiJob`](#cijob) | パイプラインのトリガー元ジョブ。 |
| <a id="pipelinestages"></a>`stages` | [`CiStageConnection`](#cistageconnection) | パイプラインのステージ。（[接続](#connections)を参照） |
| <a id="pipelinestartedat"></a>`startedAt` | [`Time`](#time) | パイプライン開始のタイムスタンプ。 |
| <a id="pipelinestatus"></a>`status` | [`PipelineStatusEnum!`](#pipelinestatusenum) | パイプラインの状態（CREATED、WAITING_FOR_RESOURCE、PREPARING、WAITING_FOR_CALLBACK、PENDING、RUNNING、FAILED、SUCCESS、CANCELED、CANCELING、SKIPPED、MANUAL、SCHEDULED）。 |
| <a id="pipelinestuck"></a>`stuck` | [`Boolean!`](#boolean) | パイプラインが停滞しているかどうか。 |
| <a id="pipelinetestreportsummary"></a>`testReportSummary` | [`TestReportSummary!`](#testreportsummary) | パイプラインによって生成されたテストレポートの概要。 |
| <a id="pipelinetotaljobs"></a>`totalJobs` | [`Int!`](#int) | パイプライン内のジョブの総数。 |
| <a id="pipelinetrigger"></a>`trigger` | [`Boolean!`](#boolean) | パイプラインがトリガーリクエストによって作成されたかどうか。 |
| <a id="pipelinetriggeredbypath"></a>`triggeredByPath` | [`String`](#string) | パイプラインをトリガーしたパス。 |
| <a id="pipelinetroubleshootjobwithai"></a>`troubleshootJobWithAi` | [`Boolean!`](#boolean) | ユーザーがパイプラインのジョブの問題解決をできるかどうか。 |
| <a id="pipelinetype"></a>`type` | [`String!`](#string) | パイプラインのタイプ。 |
| <a id="pipelineupdatedat"></a>`updatedAt` | [`Time!`](#time) | パイプラインの最後のアクティビティーのタイムスタンプ。 |
| <a id="pipelineupstream"></a>`upstream` | [`Pipeline`](#pipeline) | パイプラインをトリガーしたパイプライン。 |
| <a id="pipelineuser"></a>`user` | [`UserCore`](#usercore) | パイプラインユーザー。 |
| <a id="pipelineuserpermissions"></a>`userPermissions` | [`PipelinePermissions!`](#pipelinepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="pipelineusesneeds"></a>`usesNeeds` | [`Boolean`](#boolean) | パイプラインに依存関係が`needs`のジョブがあるかどうかを示します。 |
| <a id="pipelinewarningmessages"></a>`warningMessages` | [`PipelineMessageConnection`](#pipelinemessageconnection) | パイプラインの警告メッセージ。（[接続](#connections)を参照） |
| <a id="pipelinewarnings"></a>`warnings` | [`Boolean!`](#boolean) | パイプラインに警告があるかどうかを示します。 |
| <a id="pipelineyamlerrormessages"></a>`yamlErrorMessages` | [`String`](#string) | パイプラインのYAMLエラー。 |
| <a id="pipelineyamlerrors"></a>`yamlErrors` | [`Boolean!`](#boolean) | パイプラインにYAMLエラーがあるかどうか。 |

#### 引数のあるフィールド

##### `Pipeline.job`

名前またはIDによる、パイプライン内の特定のジョブ。

[`CiJob`](#cijob)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinejobid"></a>`id` | [`JobID`](#jobid) | ジョブのID。 |
| <a id="pipelinejobname"></a>`name` | [`String`](#string) | ジョブの名前。 |

##### `Pipeline.jobs`

パイプラインに属するジョブ。

[`CiJobConnection`](#cijobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinejobsjobkind"></a>`jobKind` | [`CiJobKind`](#cijobkind) | ジョブを種類でフィルタリングします。 |
| <a id="pipelinejobsretried"></a>`retried` | [`Boolean`](#boolean) | ジョブを再試行状態でフィルターします。 |
| <a id="pipelinejobssecurityreporttypes"></a>`securityReportTypes` | [`[SecurityReportTypeEnum!]`](#securityreporttypeenum) | ジョブを生成するセキュリティレポートのタイプでフィルターします。 |
| <a id="pipelinejobsstatuses"></a>`statuses` | [`[CiJobStatus!]`](#cijobstatus) | ジョブを状態でフィルタリングします。 |
| <a id="pipelinejobswhenexecuted"></a>`whenExecuted` | [`[String!]`](#string) | ジョブをジョブの実行時期でフィルターします。 |

##### `Pipeline.securityReportFinding`

パイプラインで報告された脆弱性の発見。

[`PipelineSecurityReportFinding`](#pipelinesecurityreportfinding)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindinguuid"></a>`uuid` | [`String!`](#string) | セキュリティレポート発見のUUID。 |

##### `Pipeline.securityReportFindings`

パイプラインで報告された脆弱性の発見。デフォルトでは、無視する状態を除くすべての状態が応答に含められます。

[`PipelineSecurityReportFindingConnection`](#pipelinesecurityreportfindingconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindingsreporttype"></a>`reportType` | [`[String!]`](#string) | 脆弱性の発見をレポートのタイプでフィルタリングします。 |
| <a id="pipelinesecurityreportfindingsscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性の発見をScanner.externalIdでフィルタリングします。 |
| <a id="pipelinesecurityreportfindingsseverity"></a>`severity` | [`[String!]`](#string) | 脆弱性の発見を重大度で絞り込みます。 |
| <a id="pipelinesecurityreportfindingssort"></a>`sort` | [`PipelineSecurityReportFindingSort`](#pipelinesecurityreportfindingsort) | 脆弱性の発見をソート順で一覧表示します。 |
| <a id="pipelinesecurityreportfindingsstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性の発見を状態で絞り込みます。 |

##### `Pipeline.sha`

パイプラインのコミットのSHA。

[`String`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineshaformat"></a>`format` | [`ShaFormat`](#shaformat) | SHAの形式。 |

##### `Pipeline.testSuite`

パイプラインテストレポートの中の特定のテストスイート。

[`TestSuite`](#testsuite)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinetestsuitebuildids"></a>`buildIds` | [`[ID!]!`](#id) | テストスイートの実行に使用されたビルドのID。 |

### `PipelineAnalytics`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineanalyticsaggregate"></a>`aggregate` {{< icon name="warning-solid" >}} | [`PipelineAnalyticsPeriod`](#pipelineanalyticsperiod) | GitLab 17.5で**導入**。**状態**: 実験。指定されたフィルターのパイプライン分析。 |
| <a id="pipelineanalyticsmonthpipelineslabels"></a>`monthPipelinesLabels` | [`[String!]`](#string) | 月間パイプライン数のラベル。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsmonthpipelinessuccessful"></a>`monthPipelinesSuccessful` | [`[Int!]`](#int) | 月間合計成功パイプライン数。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsmonthpipelinestotals"></a>`monthPipelinesTotals` | [`[Int!]`](#int) | 月間合計パイプライン数。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticspipelinetimeslabels"></a>`pipelineTimesLabels` | [`[String!]`](#string) | パイプライン時間のラベル。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticspipelinetimesvalues"></a>`pipelineTimesValues` | [`[Int!]`](#int) | パイプライン時間。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsweekpipelineslabels"></a>`weekPipelinesLabels` | [`[String!]`](#string) | 週間パイプライン数のラベル。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsweekpipelinessuccessful"></a>`weekPipelinesSuccessful` | [`[Int!]`](#int) | 週間合計成功パイプライン数。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsweekpipelinestotals"></a>`weekPipelinesTotals` | [`[Int!]`](#int) | 週間合計パイプライン数。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsyearpipelineslabels"></a>`yearPipelinesLabels` | [`[String!]`](#string) | 年間パイプライン数のラベル。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsyearpipelinessuccessful"></a>`yearPipelinesSuccessful` | [`[Int!]`](#int) | 年間合計成功パイプライン数。プロジェクトでのみ利用可能です。 |
| <a id="pipelineanalyticsyearpipelinestotals"></a>`yearPipelinesTotals` | [`[Int!]`](#int) | 年間合計パイプライン数。プロジェクトでのみ利用可能です。 |

#### 引数のあるフィールド

##### `PipelineAnalytics.timeSeries`

指定されたフィルターに基づいて、時間の経過とともに表示されるパイプライン分析。データはUTCで集計されます。解像度は適応型であり、7日間以下の場合は時間単位、それより長い場合は日単位です。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`[PipelineAnalyticsPeriod!]`](#pipelineanalyticsperiod)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineanalyticstimeseriesperiod"></a>`period` | [`AnalyticsAggregationPeriod!`](#analyticsaggregationperiod) | 集計データの周期性。 |

### `PipelineAnalyticsPeriod`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineanalyticsperioddurationstatistics"></a>`durationStatistics` {{< icon name="warning-solid" >}} | [`CiDurationStatistics`](#cidurationstatistics) | GitLab 17.5で**導入**。**状態**: 実験。パイプライン期間の統計。 |
| <a id="pipelineanalyticsperiodlabel"></a>`label` {{< icon name="warning-solid" >}} | [`Date`](#date) | GitLab 17.5で**導入**。**状態**: 実験。データポイントラベル（UTC時間）。 |

#### 引数のあるフィールド

##### `PipelineAnalyticsPeriod.count`

パイプライン数（オプションとして状態でフィルタリング）。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`BigInt`](#bigint)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineanalyticsperiodcountstatus"></a>`status` | [`PipelineAnalyticsJobStatus!`](#pipelineanalyticsjobstatus) | パイプラインの合計を状態でフィルタリングします。指定されていない場合、すべてのパイプライン状態の合計が返されます。 |

### `PipelineArtifactRegistry`

パイプラインアーティファクトのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineartifactregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | PipelineArtifactRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="pipelineartifactregistrycreatedat"></a>`createdAt` | [`Time`](#time) | PipelineArtifactRegistry作成時のタイムスタンプ。 |
| <a id="pipelineartifactregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="pipelineartifactregistryid"></a>`id` | [`ID!`](#id) | PipelineArtifactRegistryのID。 |
| <a id="pipelineartifactregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | PipelineArtifactRegistryの同期中のエラーメッセージ。 |
| <a id="pipelineartifactregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | PipelineArtifactRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="pipelineartifactregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにPipelineArtifactRegistryが欠落しているかどうかを示します。 |
| <a id="pipelineartifactregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | PipelineArtifactRegistryのモデルレコードのID。 |
| <a id="pipelineartifactregistrypipelineartifactid"></a>`pipelineArtifactId` | [`ID!`](#id) | パイプラインアーティファクトのID。 |
| <a id="pipelineartifactregistryretryat"></a>`retryAt` | [`Time`](#time) | PipelineArtifactRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="pipelineartifactregistryretrycount"></a>`retryCount` | [`Int`](#int) | PipelineArtifactRegistryの同期試行の連続失敗回数。 |
| <a id="pipelineartifactregistrystate"></a>`state` | [`RegistryState`](#registrystate) | PipelineArtifactRegistryの同期状態。 |
| <a id="pipelineartifactregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | PipelineArtifactRegistryのローカルチェックサム。 |
| <a id="pipelineartifactregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のPipelineArtifactRegistryのチェックサムの予想値。 |
| <a id="pipelineartifactregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | PipelineArtifactRegistryの検証中のエラーメッセージ。 |
| <a id="pipelineartifactregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | PipelineArtifactRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="pipelineartifactregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | PipelineArtifactRegistryの検証試行の連続失敗回数。 |
| <a id="pipelineartifactregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | PipelineArtifactRegistryの検証開始時のタイムスタンプ。 |
| <a id="pipelineartifactregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | PipelineArtifactRegistryの検証状態。 |
| <a id="pipelineartifactregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | PipelineArtifactRegistryの最新の検証成功のタイムスタンプ。 |

### `PipelineCounts`

プロジェクトのパイプライン数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinecountsall"></a>`all` | [`Int`](#int) | プロジェクトのパイプラインの総数。 |
| <a id="pipelinecountsfinished"></a>`finished` | [`Int`](#int) | プロジェクトについてスコープがFINISHEDのパイプライン数。 |
| <a id="pipelinecountspending"></a>`pending` | [`Int`](#int) | プロジェクトについてスコープがPENDINGのパイプライン数。 |
| <a id="pipelinecountsrunning"></a>`running` | [`Int`](#int) | プロジェクトについてスコープがRUNNINGのパイプライン数。 |

### `PipelineExecutionPolicy`

パイプライン実行ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineexecutionpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="pipelineexecutionpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="pipelineexecutionpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="pipelineexecutionpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="pipelineexecutionpolicypolicyblobfilepath"></a>`policyBlobFilePath` | [`String!`](#string) | プロジェクト内のポリシーファイルのパス。 |
| <a id="pipelineexecutionpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="pipelineexecutionpolicysource"></a>`source` | [`SecurityPolicySource!`](#securitypolicysource) | ポリシーのソース。そのフィールドは、ソース型に応じて異なります。 |
| <a id="pipelineexecutionpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="pipelineexecutionpolicywarnings"></a>`warnings` | [`[String!]!`](#string) | ポリシーに関連付けられている警告。 |
| <a id="pipelineexecutionpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

### `PipelineManualVariable`

手動パイプラインに追加されたCI/CD変数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemanualvariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="pipelinemanualvariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="pipelinemanualvariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |

### `PipelineMessage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinemessagecontent"></a>`content` | [`String!`](#string) | パイプラインメッセージの内容。 |
| <a id="pipelinemessageid"></a>`id` | [`ID!`](#id) | パイプラインメッセージのID。 |

### `PipelinePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinepermissionsadminpipeline"></a>`adminPipeline` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_pipeline`を実行できます。 |
| <a id="pipelinepermissionscancelpipeline"></a>`cancelPipeline` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`cancel_pipeline`を実行できます。 |
| <a id="pipelinepermissionsdestroypipeline"></a>`destroyPipeline` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_pipeline`を実行できます。 |
| <a id="pipelinepermissionsupdatepipeline"></a>`updatePipeline` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_pipeline`を実行できます。 |

### `PipelineSchedule`

パイプラインスケジュールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinescheduleactive"></a>`active` | [`Boolean!`](#boolean) | パイプラインスケジュールがアクティブかどうかを示します。 |
| <a id="pipelineschedulecreatedat"></a>`createdAt` | [`Time!`](#time) | パイプラインスケジュール作成時のタイムスタンプ。 |
| <a id="pipelineschedulecron"></a>`cron` | [`String!`](#string) | スケジュールのCron表記。 |
| <a id="pipelineschedulecrontimezone"></a>`cronTimezone` | [`String!`](#string) | パイプラインスケジュールのタイムゾーン。 |
| <a id="pipelinescheduledescription"></a>`description` | [`String`](#string) | パイプラインスケジュールの説明。 |
| <a id="pipelinescheduleeditpath"></a>`editPath` | [`String`](#string) | パイプラインスケジュールの編集パス。 |
| <a id="pipelineschedulefortag"></a>`forTag` | [`Boolean!`](#boolean) | パイプラインスケジュールがタグに属しているかどうかを示します。 |
| <a id="pipelinescheduleid"></a>`id` | [`ID!`](#id) | パイプラインスケジュールのID。 |
| <a id="pipelinescheduleinputs"></a>`inputs` {{< icon name="warning-solid" >}} | [`CiInputsFieldConnection`](#ciinputsfieldconnection) | GitLab 17.10で**導入**。**状態**: 実験。パイプラインスケジュールに設定されているインプット。 |
| <a id="pipelineschedulelastpipeline"></a>`lastPipeline` | [`Pipeline`](#pipeline) | 最後のパイプラインオブジェクト。 |
| <a id="pipelineschedulenextrunat"></a>`nextRunAt` | [`Time`](#time) | 次のパイプラインが実行される時刻。 |
| <a id="pipelinescheduleowner"></a>`owner` | [`UserCore`](#usercore) | パイプラインスケジュールのオーナー。 |
| <a id="pipelinescheduleproject"></a>`project` | [`Project`](#project) | パイプラインスケジュールのプロジェクト。 |
| <a id="pipelineschedulerealnextrun"></a>`realNextRun` | [`Time`](#time) | 次のパイプラインが実行される時刻。 |
| <a id="pipelinescheduleref"></a>`ref` | [`String`](#string) | パイプラインスケジュールのref。 |
| <a id="pipelineschedulereffordisplay"></a>`refForDisplay` | [`String`](#string) | パイプラインスケジュールのGit ref。 |
| <a id="pipelineschedulerefpath"></a>`refPath` | [`String`](#string) | パイプラインをトリガーしたrefのパス。 |
| <a id="pipelinescheduleupdatedat"></a>`updatedAt` | [`Time!`](#time) | パイプラインスケジュールの最終更新タイムスタンプ。 |
| <a id="pipelinescheduleuserpermissions"></a>`userPermissions` | [`PipelineSchedulePermissions!`](#pipelineschedulepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="pipelineschedulevariables"></a>`variables` | [`PipelineScheduleVariableConnection`](#pipelineschedulevariableconnection) | パイプラインスケジュール変数。（[接続](#connections)を参照） |

### `PipelineSchedulePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineschedulepermissionsadminpipelineschedule"></a>`adminPipelineSchedule` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_pipeline_schedule`を実行できます。 |
| <a id="pipelineschedulepermissionsplaypipelineschedule"></a>`playPipelineSchedule` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`play_pipeline_schedule`を実行できます。 |
| <a id="pipelineschedulepermissionstakeownershippipelineschedule"></a>`takeOwnershipPipelineSchedule` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 15.9で**非推奨**になりました。ユーザーがパイプラインスケジュールの所有権を取得できるかどうかを判断するには、admin_pipeline_schedule権限を使用します。 |
| <a id="pipelineschedulepermissionsupdatepipelineschedule"></a>`updatePipelineSchedule` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_pipeline_schedule`を実行できます。 |

### `PipelineScheduleVariable`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineschedulevariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="pipelineschedulevariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="pipelineschedulevariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="pipelineschedulevariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="pipelineschedulevariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `PipelineSecurityReportFinding`

パイプラインについてのセキュリティレポートの脆弱性発見結果を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindingairesolutionavailable"></a>`aiResolutionAvailable` | [`Boolean`](#boolean) | 発見のタイプをAIで解決できるかどうかを示します。 |
| <a id="pipelinesecurityreportfindingairesolutionenabled"></a>`aiResolutionEnabled` | [`Boolean`](#boolean) | 特定の発見をAIで解決できるかどうかを示します。 |
| <a id="pipelinesecurityreportfindingassets"></a>`assets` | [`[AssetType!]`](#assettype) | 脆弱性に関連付けられているアセットのリスト。 |
| <a id="pipelinesecurityreportfindingdescription"></a>`description` | [`String`](#string) | 脆弱性発見の説明。 |
| <a id="pipelinesecurityreportfindingdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="pipelinesecurityreportfindingdetails"></a>`details` | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | セキュリティ検出の詳細。 |
| <a id="pipelinesecurityreportfindingdismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | セキュリティレポート発見の却下の理由。 |
| <a id="pipelinesecurityreportfindingdismissedat"></a>`dismissedAt` | [`Time`](#time) | セキュリティレポート発見の却下の時刻。 |
| <a id="pipelinesecurityreportfindingdismissedby"></a>`dismissedBy` | [`UserCore`](#usercore) | セキュリティレポート発見を却下したユーザー。 |
| <a id="pipelinesecurityreportfindingevidence"></a>`evidence` | [`VulnerabilityEvidence`](#vulnerabilityevidence) | 脆弱性のエビデンス。 |
| <a id="pipelinesecurityreportfindingfalsepositive"></a>`falsePositive` | [`Boolean`](#boolean) | 脆弱性が誤検出であるかどうかを示します。 |
| <a id="pipelinesecurityreportfindingidentifiers"></a>`identifiers` | [`[VulnerabilityIdentifier!]!`](#vulnerabilityidentifier) | 脆弱性発見の識別子。 |
| <a id="pipelinesecurityreportfindingissuelinks"></a>`issueLinks` | [`VulnerabilityIssueLinkConnection`](#vulnerabilityissuelinkconnection) | 脆弱性に関連するイシューリンクのリスト。（[接続](#connections)を参照） |
| <a id="pipelinesecurityreportfindinglinks"></a>`links` | [`[VulnerabilityLink!]`](#vulnerabilitylink) | 脆弱性に関連付けられているリンクのリスト。 |
| <a id="pipelinesecurityreportfindinglocation"></a>`location` | [`VulnerabilityLocation`](#vulnerabilitylocation) | 脆弱性の場所メタデータ。そのフィールドは、脆弱性を検出したセキュリティスキャンのタイプによって異なります。 |
| <a id="pipelinesecurityreportfindingmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 脆弱性を修正するマージリクエスト。 |
| <a id="pipelinesecurityreportfindingproject"></a>`project` | [`Project`](#project) | 脆弱性発見が見つかったプロジェクト。 |
| <a id="pipelinesecurityreportfindingprojectfingerprint"></a>`projectFingerprint` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.1で**非推奨**になりました。代わりにuuidを使用してください。 |
| <a id="pipelinesecurityreportfindingremediations"></a>`remediations` | [`[VulnerabilityRemediationType!]`](#vulnerabilityremediationtype) | セキュリティレポート発見の修正。 |
| <a id="pipelinesecurityreportfindingreporttype"></a>`reportType` | [`VulnerabilityReportType`](#vulnerabilityreporttype) | 脆弱性発見を検出したセキュリティレポートのタイプ。 |
| <a id="pipelinesecurityreportfindingscanner"></a>`scanner` | [`VulnerabilityScanner`](#vulnerabilityscanner) | 脆弱性のスキャナーメタデータ。 |
| <a id="pipelinesecurityreportfindingseverity"></a>`severity` | [`VulnerabilitySeverity`](#vulnerabilityseverity) | 脆弱性発見の重大度。 |
| <a id="pipelinesecurityreportfindingseverityoverrides"></a>`severityOverrides` | [`SeverityOverrideConnection`](#severityoverrideconnection) | 脆弱性発見の重大度変更のリスト。（[接続](#connections)を参照） |
| <a id="pipelinesecurityreportfindingsolution"></a>`solution` | [`String`](#string) | セキュリティレポート発見を解決するためのソリューション。 |
| <a id="pipelinesecurityreportfindingsolutionhtml"></a>`solutionHtml` | [`String`](#string) | `solution`のGitLab Flavored Markdownレンダリング。 |
| <a id="pipelinesecurityreportfindingstate"></a>`state` | [`VulnerabilityState`](#vulnerabilitystate) | 発見状態。 |
| <a id="pipelinesecurityreportfindingstatecomment"></a>`stateComment` | [`String`](#string) | セキュリティレポート発見の状態に関するコメント。 |
| <a id="pipelinesecurityreportfindingtitle"></a>`title` | [`String`](#string) | 脆弱性発見のタイトル。 |
| <a id="pipelinesecurityreportfindinguserpermissions"></a>`userPermissions` | [`PipelineSecurityReportFindingPermissions!`](#pipelinesecurityreportfindingpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="pipelinesecurityreportfindinguuid"></a>`uuid` | [`String`](#string) | 脆弱性のレポートタイプ、プライマリ識別子、場所、フィンガープリント、プロジェクト識別子に基づくUUIDv5ダイジェスト。 |
| <a id="pipelinesecurityreportfindingvulnerability"></a>`vulnerability` | [`Vulnerability`](#vulnerability) | セキュリティレポート発見に関連する脆弱性。 |

### `PipelineSecurityReportFindingPermissions`

脆弱性発見に対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinesecurityreportfindingpermissionsadminvulnerability"></a>`adminVulnerability` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_vulnerability`を実行できます。 |
| <a id="pipelinesecurityreportfindingpermissionscreateissue"></a>`createIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_issue`を実行できます。 |

### `PipelineTrigger`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelinetriggercanaccessproject"></a>`canAccessProject` | [`Boolean!`](#boolean) | パイプライントリガートークンがプロジェクトにアクセスできるかどうかを示します。 |
| <a id="pipelinetriggerdescription"></a>`description` | [`String`](#string) | パイプライントリガートークンの説明。 |
| <a id="pipelinetriggerexpiresat"></a>`expiresAt` | [`Time`](#time) | パイプライントリガートークンの有効期限のタイムスタンプ。 |
| <a id="pipelinetriggerhastokenexposed"></a>`hasTokenExposed` | [`Boolean!`](#boolean) | トークンが公開されているかどうかを示します。 |
| <a id="pipelinetriggerid"></a>`id` | [`ID!`](#id) | パイプライントリガートークンのID。 |
| <a id="pipelinetriggerlastused"></a>`lastUsed` | [`Time`](#time) | パイプライントリガートークンの最終使用時のタイムスタンプ。 |
| <a id="pipelinetriggerowner"></a>`owner` | [`UserCore!`](#usercore) | パイプライントリガートークンのオーナー。 |
| <a id="pipelinetriggertoken"></a>`token` | [`String!`](#string) | パイプライントリガートークンの値。 |

### `PolicyAnyMergeRequestViolation`

`any_merge_request` report_type のポリシー違反を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyanymergerequestviolationcommits"></a>`commits` | [`JSON`](#json) | 違反の原因となっている署名なしコミットのリスト。ポリシーがコミットをターゲットにしている場合、`true`を返します。 |
| <a id="policyanymergerequestviolationname"></a>`name` | [`String!`](#string) | ポリシー名を表します。 |

### `PolicyApprovalGroup`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyapprovalgroupavatarurl"></a>`avatarUrl` | [`String`](#string) | グループのアバターURL。 |
| <a id="policyapprovalgroupfullpath"></a>`fullPath` | [`ID!`](#id) | ネームスペースのフルパス。 |
| <a id="policyapprovalgroupid"></a>`id` | [`ID!`](#id) | ネームスペースのID。 |
| <a id="policyapprovalgroupweburl"></a>`webUrl` | [`String!`](#string) | グループのWeb URL。 |

### `PolicyApprovalSettingsOverride`

ポリシーによってオーバーライドされたマージリクエストの承認設定を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyapprovalsettingsoverrideeditpath"></a>`editPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。ポリシーを編集するためのパス。 |
| <a id="policyapprovalsettingsoverridename"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。ポリシー名。 |
| <a id="policyapprovalsettingsoverridesettings"></a>`settings` | [`JSON!`](#json) | オーバーライドされたプロジェクト承認設定。 |

### `PolicyApproversType`

複数の承認者のアクション。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyapproverstypeallgroups"></a>`allGroups` | [`[PolicyApprovalGroup!]`](#policyapprovalgroup) | ユーザーがアクセスできないグループを含め、グループタイプの承認者として可能性のあるすべての承認者。 |
| <a id="policyapproverstypecustomroles"></a>`customRoles` | [`[MemberRole!]`](#memberrole) | カスタムロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="policyapproverstyperoles"></a>`roles` | [`[MemberAccessLevelName!]`](#memberaccesslevelname) | ロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="policyapproverstypeusers"></a>`users` | [`[UserCore!]`](#usercore) | ユーザータイプの承認者。 |

### `PolicyComparisonPipeline`

ポリシー評価で比較に使用されるソースパイプラインとターゲットパイプラインを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policycomparisonpipelinereporttype"></a>`reportType` | [`ApprovalReportType!`](#approvalreporttype) | パイプラインIDが評価されたreport_typeを表します。 |
| <a id="policycomparisonpipelinesource"></a>`source` | [`[CiPipelineID!]`](#cipipelineid) | ソースブランチのパイプラインGIDのリストを表します。 |
| <a id="policycomparisonpipelinetarget"></a>`target` | [`[CiPipelineID!]`](#cipipelineid) | ターゲットブランチのパイプラインGIDのリストを表します。 |

### `PolicyError`

ポリシー評価中に発生する可能性のあるエラーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyerrordata"></a>`data` | [`JSON`](#json) | エラー固有のデータを表します。 |
| <a id="policyerrorerror"></a>`error` | [`PolicyViolationErrorType!`](#policyviolationerrortype) | エラーコードを表します。 |
| <a id="policyerrormessage"></a>`message` | [`String!`](#string) | エラーメッセージを表します。 |
| <a id="policyerrorreporttype"></a>`reportType` | [`ApprovalReportType!`](#approvalreporttype) | レポートタイプを表します。 |

### `PolicyLicenseScanningViolation`

`license_scanning` report_type のポリシー違反を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policylicensescanningviolationdependencies"></a>`dependencies` | [`[String!]!`](#string) | 違反したライセンスを使用している依存関係のリスト。 |
| <a id="policylicensescanningviolationlicense"></a>`license` | [`String!`](#string) | ライセンス名。 |
| <a id="policylicensescanningviolationurl"></a>`url` | [`String`](#string) | ライセンスのURL。 |

### `PolicyProjectCreated`

セキュリティポリシー作成の応答。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyprojectcreatederrormessage"></a>`errorMessage` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.5で**非推奨**になりました。代わりにerrorsを使用してください。 |
| <a id="policyprojectcreatederrors"></a>`errors` | [`[String!]`](#string) | 状態が:errorの場合のエラーメッセージ。 |
| <a id="policyprojectcreatedproject"></a>`project` | [`Project`](#project) | 作成されたセキュリティポリシープロジェクト。 |
| <a id="policyprojectcreatedstatus"></a>`status` | [`PolicyProjectCreatedStatus`](#policyprojectcreatedstatus) | セキュリティポリシープロジェクトの作成の状態。 |

### `PolicyScanFindingViolation`

`scan_finding` report_type のポリシー違反を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyscanfindingviolationlocation"></a>`location` | [`JSON`](#json) | スキャナーによって判定された発見の場所。 |
| <a id="policyscanfindingviolationname"></a>`name` | [`String`](#string) | 発見の名前を表します。 |
| <a id="policyscanfindingviolationpath"></a>`path` | [`String`](#string) | 発見のURLパスを表します。 |
| <a id="policyscanfindingviolationreporttype"></a>`reportType` | [`VulnerabilityReportType!`](#vulnerabilityreporttype) | レポートタイプを表します。 |
| <a id="policyscanfindingviolationseverity"></a>`severity` | [`VulnerabilitySeverity`](#vulnerabilityseverity) | 発見の重大度。 |

### `PolicyScope`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyscopecomplianceframeworks"></a>`complianceFrameworks` | [`ComplianceFrameworkConnection!`](#complianceframeworkconnection) | ポリシーにリンクされているコンプライアンスフレームワーク。（[接続](#connections)を参照） |
| <a id="policyscopeexcludinggroups"></a>`excludingGroups` | [`GroupConnection!`](#groupconnection) | ポリシーを適用しないグループ。（[接続](#connections)を参照） |
| <a id="policyscopeexcludingprojects"></a>`excludingProjects` | [`ProjectConnection!`](#projectconnection) | ポリシーを適用しないプロジェクト。（[接続](#connections)を参照） |
| <a id="policyscopeincludinggroups"></a>`includingGroups` | [`GroupConnection!`](#groupconnection) | ポリシーを適用するグループ。（[接続](#connections)を参照） |
| <a id="policyscopeincludingprojects"></a>`includingProjects` | [`ProjectConnection!`](#projectconnection) | ポリシーを適用するプロジェクト（[接続](#connections)を参照） |

### `PolicyViolationDetails`

マージリクエスト承認ポリシー違反の詳細を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyviolationdetailsanymergerequest"></a>`anyMergeRequest` | [`[PolicyAnyMergeRequestViolation!]!`](#policyanymergerequestviolation) | `any_merge_request`ルールの違反を表します。 |
| <a id="policyviolationdetailscomparisonpipelines"></a>`comparisonPipelines` | [`[PolicyComparisonPipeline!]!`](#policycomparisonpipeline) | ポリシー評価で比較に使用されるソースパイプラインを表します。 |
| <a id="policyviolationdetailserrors"></a>`errors` | [`[PolicyError!]!`](#policyerror) | ポリシーエラーを表します。 |
| <a id="policyviolationdetailslicensescanning"></a>`licenseScanning` | [`[PolicyLicenseScanningViolation!]!`](#policylicensescanningviolation) | `license_scanning`ルールの違反を表します。 |
| <a id="policyviolationdetailsnewscanfinding"></a>`newScanFinding` | [`[PolicyScanFindingViolation!]!`](#policyscanfindingviolation) | `scan_finding`ルールの違反として新しく検出されたものを表します。 |
| <a id="policyviolationdetailspolicies"></a>`policies` | [`[PolicyViolationInfo!]!`](#policyviolationinfo) | 違反したポリシーに関する情報。 |
| <a id="policyviolationdetailspreviousscanfinding"></a>`previousScanFinding` | [`[PolicyScanFindingViolation!]!`](#policyscanfindingviolation) | 以前に存在していた脆弱性に対する`scan_finding`ルールの違反を表します。 |
| <a id="policyviolationdetailsviolationscount"></a>`violationsCount` | [`Int!`](#int) | 違反の合計数。 |

### `PolicyViolationInfo`

一般的なポリシー違反情報を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="policyviolationinfoname"></a>`name` | [`String!`](#string) | 違反したポリシーの名前を表します。 |
| <a id="policyviolationinforeporttype"></a>`reportType` | [`ApprovalReportType!`](#approvalreporttype) | レポートタイプを表します。 |
| <a id="policyviolationinfostatus"></a>`status` | [`PolicyViolationStatus`](#policyviolationstatus) | 違反したポリシーの状態を表します。 |

### `PreviewBillableUserChange`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="previewbillableuserchangenewbillableusercount"></a>`newBillableUserCount` | [`Int`](#int) | 変更後の請求対象ユーザーの合計数。 |
| <a id="previewbillableuserchangeseatsinsubscription"></a>`seatsInSubscription` | [`Int`](#int) | サブスクリプションのシート数。 |
| <a id="previewbillableuserchangewillincreaseoverage"></a>`willIncreaseOverage` | [`Boolean`](#boolean) | グループが変更後に超過が増大するかどうか。 |

### `ProductAnalyticsProjectSettings`

プロダクト分析プロバイダーのプロジェクトレベル設定。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="productanalyticsprojectsettingscubeapibaseurl"></a>`cubeApiBaseUrl` | [`String`](#string) | Cube APIのベースURL。 |
| <a id="productanalyticsprojectsettingscubeapikey"></a>`cubeApiKey` | [`String`](#string) | Cube APIのAPIキー。 |
| <a id="productanalyticsprojectsettingsproductanalyticsconfiguratorconnectionstring"></a>`productAnalyticsConfiguratorConnectionString` | [`String`](#string) | プロダクト分析コンフィギュレーターの接続文字列。 |
| <a id="productanalyticsprojectsettingsproductanalyticsdatacollectorhost"></a>`productAnalyticsDataCollectorHost` | [`String`](#string) | プロダクト分析データコレクターのホスト。 |

### `Project`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectactualrepositorysizelimit"></a>`actualRepositorySizeLimit` | [`Float`](#float) | リポジトリのサイズ制限（バイト単位）。 |
| <a id="projectagentconfigurations"></a>`agentConfigurations` | [`AgentConfigurationConnection`](#agentconfigurationconnection) | プロジェクトによって定義されているエージェントの設定。（[接続](#connections)を参照） |
| <a id="projectaiagents"></a>`aiAgents` {{< icon name="warning-solid" >}} | [`AiAgentConnection`](#aiagentconnection) | GitLab 16.9で**導入**。**状態**: 実験。プロジェクトのAIエージェント。 |
| <a id="projectaiusagedata"></a>`aiUsageData` {{< icon name="warning-solid" >}} | [`AiUsageData`](#aiusagedata) | GitLab 17.5で**導入**。**状態**: 実験。AI関連のデータ。 |
| <a id="projectaixrayreports"></a>`aiXrayReports` {{< icon name="warning-solid" >}} | [`AiXrayReportConnection!`](#aixrayreportconnection) | GitLab 17.8で**導入**。**状態**: 実験。プロジェクトのX-Rayレポート。 |
| <a id="projectallowmergeonskippedpipeline"></a>`allowMergeOnSkippedPipeline` | [`Boolean`](#boolean) | `only_allow_merge_if_pipeline_succeeds`がtrueの場合、プロジェクトのマージリクエストを、スキップされたジョブとマージすることもできるかどうかを示します。 |
| <a id="projectallowsmultiplemergerequestassignees"></a>`allowsMultipleMergeRequestAssignees` | [`Boolean!`](#boolean) | プロジェクトで、複数ユーザーをマージリクエストに割り当てることができるかどうか。 |
| <a id="projectallowsmultiplemergerequestreviewers"></a>`allowsMultipleMergeRequestReviewers` | [`Boolean!`](#boolean) | プロジェクトで、複数レビュアーをマージリクエストに割り当てることができるかどうか。 |
| <a id="projectapifuzzingciconfiguration"></a>`apiFuzzingCiConfiguration` | [`ApiFuzzingCiConfiguration`](#apifuzzingciconfiguration) | プロジェクトのAPIファジングの設定。 |
| <a id="projectarchived"></a>`archived` | [`Boolean`](#boolean) | プロジェクトのアーカイブ状態を示します。 |
| <a id="projectautoclosereferencedissues"></a>`autocloseReferencedIssues` | [`Boolean`](#boolean) | デフォルトブランチ内のマージリクエストとコミットによって参照されるイシューが自動的に完了するかどうかを示します。 |
| <a id="projectavatarurl"></a>`avatarUrl` | [`String`](#string) | プロジェクトのアバターの画像ファイルのURL。 |
| <a id="projectciaccessauthorizedagents"></a>`ciAccessAuthorizedAgents` | [`ClusterAgentAuthorizationCiAccessConnection`](#clusteragentauthorizationciaccessconnection) | ci_accessキーワードによるプロジェクトの承認済みクラスターエージェント。（[接続](#connections)を参照） |
| <a id="projectcicdsettings"></a>`ciCdSettings` | [`ProjectCiCdSetting`](#projectcicdsetting) | プロジェクトのCI/CD設定。 |
| <a id="projectciconfigpathordefault"></a>`ciConfigPathOrDefault` | [`String!`](#string) | CI設定ファイルのパス。 |
| <a id="projectcidownstreamprojectsubscriptions"></a>`ciDownstreamProjectSubscriptions` {{< icon name="warning-solid" >}} | [`CiProjectSubscriptionConnection`](#ciprojectsubscriptionconnection) | GitLab 17.6で**導入**。**状態**: 実験。このプロジェクトをアップストリームプロジェクトとするパイプラインサブスクリプション。このプロジェクトのパイプラインが完了すると、ダウンストリームプロジェクトでパイプラインがトリガーされます。 |
| <a id="projectcijobtokenauthlogs"></a>`ciJobTokenAuthLogs` {{< icon name="warning-solid" >}} | [`CiJobTokenAuthLogConnection`](#cijobtokenauthlogconnection) | GitLab 17.6で**導入**。**状態**: 実験。CIジョブトークンの認証ログ。 |
| <a id="projectcijobtokenscope"></a>`ciJobTokenScope` | [`CiJobTokenScopeType`](#cijobtokenscopetype) | CIジョブトークンのアクセススコープ。 |
| <a id="projectcijobtokenscopeallowlist"></a>`ciJobTokenScopeAllowlist` {{< icon name="warning-solid" >}} | [`CiJobTokenScopeAllowlist`](#cijobtokenscopeallowlist) | GitLab 17.6で**導入**。**状態**: 実験。プロジェクトがソースであるCIジョブトークンスコープのリスト。 |
| <a id="projectcisubscribedprojects"></a>`ciSubscribedProjects` {{< icon name="warning-solid" >}} | [`CiSubscriptionsProjectConnection`](#cisubscriptionsprojectconnection) | GitLab 17.6で**非推奨**になりました。`ciDownstreamProjectSubscriptions`を使用してください。 |
| <a id="projectcisubscriptionsprojects"></a>`ciSubscriptionsProjects` {{< icon name="warning-solid" >}} | [`CiSubscriptionsProjectConnection`](#cisubscriptionsprojectconnection) | GitLab 17.6で**非推奨**になりました。`ciUpstreamProjectSubscriptions`を使用してください。 |
| <a id="projectciupstreamprojectsubscriptions"></a>`ciUpstreamProjectSubscriptions` {{< icon name="warning-solid" >}} | [`CiProjectSubscriptionConnection`](#ciprojectsubscriptionconnection) | GitLab 17.6で**導入**。**状態**: 実験。このプロジェクトをダウンストリームプロジェクトとするパイプラインサブスクリプション。このアップストリームプロジェクトのパイプラインが完了すると、ダウンストリームプロジェクト（このプロジェクト）でパイプラインがトリガーされます。 |
| <a id="projectcodecoveragesummary"></a>`codeCoverageSummary` | [`CodeCoverageSummary`](#codecoveragesummary) | プロジェクトに関連付けられているコードカバレッジの概要。 |
| <a id="projectcomplianceframeworks"></a>`complianceFrameworks` | [`ComplianceFrameworkConnection`](#complianceframeworkconnection) | プロジェクトに関連付けられているコンプライアンスフレームワーク。（[接続](#connections)を参照） |
| <a id="projectcomponentusages"></a>`componentUsages` | [`CiCatalogResourceComponentUsageConnection`](#cicatalogresourcecomponentusageconnection) | プロジェクトで使用されるコンポーネント。（[接続](#connections)を参照） |
| <a id="projectcontainerexpirationpolicy"></a>`containerExpirationPolicy` {{< icon name="warning-solid" >}} | [`ContainerExpirationPolicy`](#containerexpirationpolicy) | GitLab 17.5で**非推奨**になりました。`container_tags_expiration_policy`を使用してください。 |
| <a id="projectcontainerprotectionrepositoryrules"></a>`containerProtectionRepositoryRules` {{< icon name="warning-solid" >}} | [`ContainerProtectionRepositoryRuleConnection`](#containerprotectionrepositoryruleconnection) | GitLab 16.10で**導入**。**状態**: 実験。プロジェクトのコンテナ保護ルール。 |
| <a id="projectcontainerprotectiontagrules"></a>`containerProtectionTagRules` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleConnection`](#containerprotectiontagruleconnection) | GitLab 17.8で**導入**。**状態**: 実験。プロジェクトのコンテナリポジトリタグ保護ルール。`container_registry_protected_tags`機能フラグが無効になっている場合、空の配列を返します。 |
| <a id="projectcontainerregistryenabled"></a>`containerRegistryEnabled` | [`Boolean`](#boolean) | コンテナレジストリが現在のユーザーに対して有効になっているかどうかを示します。 |
| <a id="projectcontainerrepositoriescount"></a>`containerRepositoriesCount` | [`Int!`](#int) | プロジェクト内のコンテナリポジトリの数。 |
| <a id="projectcontainertagsexpirationpolicy"></a>`containerTagsExpirationPolicy` | [`ContainerTagsExpirationPolicy`](#containertagsexpirationpolicy) | プロジェクトのコンテナタグ有効期限ポリシー。 |
| <a id="projectcorpuses"></a>`corpuses` | [`CoverageFuzzingCorpusConnection`](#coveragefuzzingcorpusconnection) | プロジェクトのコーパスを検索します。（[接続](#connections)を参照） |
| <a id="projectcreatedat"></a>`createdAt` | [`Time`](#time) | プロジェクト作成のタイムスタンプ。 |
| <a id="projectdastscannerprofiles"></a>`dastScannerProfiles` | [`DastScannerProfileConnection`](#dastscannerprofileconnection) | プロジェクトに関連付けられているDASTスキャナープロファイル。（[接続](#connections)を参照） |
| <a id="projectdastsiteprofiles"></a>`dastSiteProfiles` | [`DastSiteProfileConnection`](#dastsiteprofileconnection) | プロジェクトに関連付けられているDASTサイトプロファイル。（[接続](#connections)を参照） |
| <a id="projectdependencyproxypackagessetting"></a>`dependencyProxyPackagesSetting` | [`DependencyProxyPackagesSetting`](#dependencyproxypackagessetting) | プロジェクトのパッケージ依存プロキシの設定。設定でパッケージと依存プロキシを有効にする必要があります。プロジェクトレベルでパッケージ機能を有効にする必要があります。 |
| <a id="projectdescription"></a>`description` | [`String`](#string) | プロジェクトの短い説明。 |
| <a id="projectdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="projectdetailedimportstatus"></a>`detailedImportStatus` | [`DetailedImportStatus`](#detailedimportstatus) | プロジェクトのインポート状態の詳細。 |
| <a id="projectdora"></a>`dora` | [`Dora`](#dora) | プロジェクトのDORAメトリクス。 |
| <a id="projectduofeaturesenabled"></a>`duoFeaturesEnabled` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.9で**導入**。**状態**: 実験。プロジェクトでGitLab Duo機能が有効かどうかを示します。 |
| <a id="projectduoworkflowstatuscheck"></a>`duoWorkflowStatusCheck` {{< icon name="warning-solid" >}} | [`DuoWorkflowEnablement`](#duoworkflowenablement) | GitLab 17.7で**導入**。**状態**: 実験。プロジェクトでGitLab Duo Workflowが有効になっているかどうかを示します。 |
| <a id="projectexplorecatalogpath"></a>`exploreCatalogPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.6で**導入**。**状態**: 実験。プロジェクトカタログリソースのパス。 |
| <a id="projectflowmetrics"></a>`flowMetrics` {{< icon name="warning-solid" >}} | [`ProjectValueStreamAnalyticsFlowMetrics`](#projectvaluestreamanalyticsflowmetrics) | GitLab 15.10で**導入**。**状態**: 実験。バリューストリーム分析のフローメトリクス。 |
| <a id="projectforkedfrom"></a>`forkedFrom` | [`Project`](#project) | プロジェクトのフォーク元となったプロジェクト。 |
| <a id="projectforkingaccesslevel"></a>`forkingAccessLevel` | [`ProjectFeatureAccess`](#projectfeatureaccess) | フォークアクセスに必要なアクセスレベル。 |
| <a id="projectforkscount"></a>`forksCount` | [`Int!`](#int) | プロジェクトがフォークされた回数。 |
| <a id="projectfullpath"></a>`fullPath` | [`ID!`](#id) | プロジェクトのフルパス。 |
| <a id="projectgooglecloudartifactregistryrepository"></a>`googleCloudArtifactRegistryRepository` {{< icon name="warning-solid" >}} | [`GoogleCloudArtifactRegistryRepository`](#googlecloudartifactregistryrepository) | GitLab 16.10で**導入**。**状態**: 実験。Google Artifact Registryリポジトリ。GitLabインスタンスがSaaSインスタンスでない場合は、`null`を返します。 |
| <a id="projectgrafanaintegration"></a>`grafanaIntegration` | [`GrafanaIntegration`](#grafanaintegration) | プロジェクトのGrafanaインテグレーションの詳細。 |
| <a id="projectgroup"></a>`group` | [`Group`](#group) | プロジェクトのグループ。 |
| <a id="projecthasjiravulnerabilityissuecreationenabled"></a>`hasJiraVulnerabilityIssueCreationEnabled` | [`Boolean!`](#boolean) | 脆弱性からのJiraイシュー作成が有効かどうかを示します。 |
| <a id="projecthttpurltorepo"></a>`httpUrlToRepo` | [`String`](#string) | HTTPS経由でプロジェクトに接続するためのURL。 |
| <a id="projectid"></a>`id` | [`ID!`](#id) | プロジェクトのID。 |
| <a id="projectimportstatus"></a>`importStatus` | [`String`](#string) | プロジェクトのインポートバックグラウンドジョブの状態。 |
| <a id="projectincidentmanagementtimelineeventtags"></a>`incidentManagementTimelineEventTags` | [`[TimelineEventTagType!]`](#timelineeventtagtype) | プロジェクトのタイムラインイベントタグ。 |
| <a id="projectisadjourneddeletionenabled"></a>`isAdjournedDeletionEnabled` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.11で**導入**。**状態**: 実験。プロジェクトの遅延削除が有効かどうかを示します。 |
| <a id="projectiscatalogresource"></a>`isCatalogResource` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 15.11で**導入**。**状態**: 実験。プロジェクトがカタログリソースかどうかを示します。 |
| <a id="projectisforked"></a>`isForked` | [`Boolean!`](#boolean) | プロジェクトがフォークされるかどうか。 |
| <a id="projectissuesaccesslevel"></a>`issuesAccessLevel` | [`ProjectFeatureAccess`](#projectfeatureaccess) | イシューアクセスに必要なアクセスレベル。 |
| <a id="projectissuesenabled"></a>`issuesEnabled` | [`Boolean`](#boolean) | 現在のユーザーに対してイシューが有効かどうかを示します。 |
| <a id="projectjiraimportstatus"></a>`jiraImportStatus` | [`String`](#string) | プロジェクトのJiraインポートバックグラウンドジョブの状態。 |
| <a id="projectjiraimports"></a>`jiraImports` | [`JiraImportConnection`](#jiraimportconnection) | プロジェクトへのJiraインポート。（[接続](#connections)を参照） |
| <a id="projectjobsenabled"></a>`jobsEnabled` | [`Boolean`](#boolean) | 現在のユーザーに対してCI/CDパイプラインジョブが有効かどうかを示します。 |
| <a id="projectlanguages"></a>`languages` | [`[RepositoryLanguage!]`](#repositorylanguage) | プロジェクトで使用されているプログラミング言語。 |
| <a id="projectlastactivityat"></a>`lastActivityAt` | [`Time`](#time) | プロジェクトの最後のアクティビテーのタイムスタンプ。 |
| <a id="projectlfsenabled"></a>`lfsEnabled` | [`Boolean`](#boolean) | プロジェクトでLarge File Storage（LFS）が有効になっているかどうかを示します。 |
| <a id="projectmarkedfordeletionon"></a>`markedForDeletionOn` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 16.10で**導入**。**状態**: 実験。グループの削除がスケジュールされた日付。 |
| <a id="projectmaxaccesslevel"></a>`maxAccessLevel` | [`AccessLevel!`](#accesslevel) | プロジェクト内の現在のユーザーの最大アクセスレベル。 |
| <a id="projectmergecommittemplate"></a>`mergeCommitTemplate` | [`String`](#string) | マージリクエストでマージコミットメッセージを作成するために使用されるテンプレート。 |
| <a id="projectmergerequestsaccesslevel"></a>`mergeRequestsAccessLevel` | [`ProjectFeatureAccess`](#projectfeatureaccess) | マージリクエストのアクセスに必要なアクセスレベル。 |
| <a id="projectmergerequestsdisablecommittersapproval"></a>`mergeRequestsDisableCommittersApproval` | [`Boolean!`](#boolean) | 指定されたマージリクエストのコミッターが承認できないことを示します。 |
| <a id="projectmergerequestsenabled"></a>`mergeRequestsEnabled` | [`Boolean`](#boolean) | 現在のユーザーに対してマージリクエストが有効かどうかを示します。 |
| <a id="projectmergerequestsffonlyenabled"></a>`mergeRequestsFfOnlyEnabled` | [`Boolean`](#boolean) | マージコミットを作成せず、代わりにすべてのマージを早送りするかどうかを示します。これは、ブランチを早送りできる場合にのみマージが許可されることを意味します。 |
| <a id="projectname"></a>`name` | [`String!`](#string) | プロジェクトの名前（ネームスペースなし）。 |
| <a id="projectnamewithnamespace"></a>`nameWithNamespace` | [`String!`](#string) | プロジェクトの名前（ネームスペースあり）。 |
| <a id="projectnamespace"></a>`namespace` | [`Namespace`](#namespace) | プロジェクトのネームスペース。 |
| <a id="projectonlyallowmergeifalldiscussionsareresolved"></a>`onlyAllowMergeIfAllDiscussionsAreResolved` | [`Boolean`](#boolean) | プロジェクトのマージリクエストをマージできるのは、すべてのディスカッションが解決されている場合だけかどうかを示します。 |
| <a id="projectonlyallowmergeifallstatuscheckspassed"></a>`onlyAllowMergeIfAllStatusChecksPassed` | [`Boolean`](#boolean) | すべてのステータスチェックに合格するまで、マージリクエストのマージをブロックする必要があることを示します。 |
| <a id="projectonlyallowmergeifpipelinesucceeds"></a>`onlyAllowMergeIfPipelineSucceeds` | [`Boolean`](#boolean) | プロジェクトのマージリクエストをマージできるのは、成功したジョブとだけかどうかを示します。 |
| <a id="projectopenissuescount"></a>`openIssuesCount` | [`Int`](#int) | プロジェクトの未解決イシューの数。 |
| <a id="projectopenmergerequestscount"></a>`openMergeRequestsCount` | [`Int`](#int) | プロジェクトの未解決マージリクエストの数。 |
| <a id="projectorganizationeditpath"></a>`organizationEditPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.11で**導入**。**状態**: 実験。組織レベルでプロジェクトを編集するためのパス。 |
| <a id="projectpackagescleanuppolicy"></a>`packagesCleanupPolicy` | [`PackagesCleanupPolicy`](#packagescleanuppolicy) | プロジェクトのパッケージクリーンアップポリシー。 |
| <a id="projectpackagesprotectionrules"></a>`packagesProtectionRules` {{< icon name="warning-solid" >}} | [`PackagesProtectionRuleConnection`](#packagesprotectionruleconnection) | **GitLab 16.6で導入**。**状態**: 実験。プロジェクトのパッケージ保護ルール。 |
| <a id="projectpagesforcehttps"></a>`pagesForceHttps` | [`Boolean!`](#boolean) | プロジェクトのPagesサイトが、安全でない接続をHTTPSにリダイレクトするかどうか。 |
| <a id="projectpagesuseuniquedomain"></a>`pagesUseUniqueDomain` | [`Boolean!`](#boolean) | プロジェクトのPagesサイトが、固有のサブドメインを使用するかどうか。 |
| <a id="projectpath"></a>`path` | [`String!`](#string) | プロジェクトのパス。 |
| <a id="projectpathlocks"></a>`pathLocks` | [`PathLockConnection`](#pathlockconnection) | プロジェクトのパスロック。（[接続](#connections)を参照） |
| <a id="projectpendingmemberapprovals"></a>`pendingMemberApprovals` {{< icon name="warning-solid" >}} | [`MemberApprovalConnection`](#memberapprovalconnection) | GitLab 17.3で**導入**。**状態**: 実験。プロジェクトの保留中メンバープロモーション。 |
| <a id="projectpermanentdeletiondate"></a>`permanentDeletionDate` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.11で**導入**。**状態**: 実験。遅延プロジェクト削除が有効になっている場合に、プロジェクトが削除される日付。 |
| <a id="projectpipelinetriggers"></a>`pipelineTriggers` {{< icon name="warning-solid" >}} | [`PipelineTriggerConnection`](#pipelinetriggerconnection) | **GitLab 16.3で導入**。**状態**: 実験。パイプライントリガートークンのリスト。 |
| <a id="projectprereceivesecretdetectionenabled"></a>`preReceiveSecretDetectionEnabled` | [`Boolean`](#boolean) | プロジェクトでシークレットプッシュ保護がオンになっているかどうかを示します。 |
| <a id="projectpreventmergewithoutjiraissueenabled"></a>`preventMergeWithoutJiraIssueEnabled` | [`Boolean!`](#boolean) | Jiraからの関連イシューが必要かどうかを示します。 |
| <a id="projectprintingmergerequestlinkenabled"></a>`printingMergeRequestLinkEnabled` | [`Boolean`](#boolean) | コマンドラインからプロジェクトのGitリポジトリへのプッシュ後に、マージリクエストを作成または表示するためのリンクを表示するかどうかを示します。 |
| <a id="projectproductanalyticsinstrumentationkey"></a>`productAnalyticsInstrumentationKey` {{< icon name="warning-solid" >}} | [`String`](#string) | **GitLab 16.0で導入**。**状態**: 実験。プロジェクトに割り当てられているプロダクト分析計測キー。 |
| <a id="projectproductanalyticssettings"></a>`productAnalyticsSettings` | [`ProductAnalyticsProjectSettings`](#productanalyticsprojectsettings) | プロダクト分析のプロジェクトレベル設定。 |
| <a id="projectproductanalyticsstate"></a>`productAnalyticsState` {{< icon name="warning-solid" >}} | [`ProductAnalyticsState`](#productanalyticsstate) | GitLab 15.10で**導入**。**状態**: 実験。このプロジェクトのプロダクト分析スタックの現在の状態。1回のリクエストにつき1つのプロジェクトに対してのみ呼び出すことができます。 |
| <a id="projectprojectplanlimits"></a>`projectPlanLimits` {{< icon name="warning-solid" >}} | [`ProjectPlanLimits`](#projectplanlimits) | GitLab 16.9で**導入**。**状態**: 実験。現在のプロジェクトのプラン制限。 |
| <a id="projectprotectablebranches"></a>`protectableBranches` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.9で**導入**。**状態**: 実験。ワイルドカードブランチ規則を無視して、非保護ブランチを一覧表示します。 |
| <a id="projectpublicjobs"></a>`publicJobs` | [`Boolean`](#boolean) | 出力ログやアーティファクトなど、プロジェクトのパイプラインとジョブの詳細への公開アクセスがあるかどうかを示します。 |
| <a id="projectpushrules"></a>`pushRules` | [`PushRules`](#pushrules) | プロジェクトのプッシュルール設定。 |
| <a id="projectrecentissueboards"></a>`recentIssueBoards` | [`BoardConnection`](#boardconnection) | 最近アクセスしたプロジェクトのボードのリスト。最大サイズは4です。（[接続](#connections)を参照） |
| <a id="projectremovesourcebranchaftermerge"></a>`removeSourceBranchAfterMerge` | [`Boolean`](#boolean) | プロジェクトの新しいマージリクエストすべてに対して、`Delete source branch`オプションをデフォルトで有効にするかどうかを示します。 |
| <a id="projectrepository"></a>`repository` | [`Repository`](#repository) | プロジェクトのGitリポジトリ。 |
| <a id="projectrepositorysizeexcess"></a>`repositorySizeExcess` | [`Float`](#float) | 制限を超えているリポジトリのサイズ（バイト単位）。 |
| <a id="projectrequestaccessenabled"></a>`requestAccessEnabled` | [`Boolean`](#boolean) | ユーザーがプロジェクトスへのメンバーアクセスをリクエストできるかどうかを示します。 |
| <a id="projectrequirementstatescount"></a>`requirementStatesCount` | [`RequirementStatesCount`](#requirementstatescount) | プロジェクトの要件の数（状態別）。 |
| <a id="projectsastciconfiguration"></a>`sastCiConfiguration` | [`SastCiConfiguration`](#sastciconfiguration) | プロジェクトのSAST CI設定。 |
| <a id="projectsavedreplies"></a>`savedReplies` | [`ProjectSavedReplyConnection`](#projectsavedreplyconnection) | プロジェクトで利用可能な保存済み返信。（[接続](#connections)を参照） |
| <a id="projectsecretpushprotectionenabled"></a>`secretPushProtectionEnabled` | [`Boolean`](#boolean) | プロジェクトでシークレットプッシュ保護がオンになっているかどうかを示します。 |
| <a id="projectsecuritydashboardpath"></a>`securityDashboardPath` | [`String`](#string) | プロジェクトのセキュリティダッシュボードのパス。 |
| <a id="projectsecuritypolicyproject"></a>`securityPolicyProject` | [`Project`](#project) | プロジェクトに割り当てられているセキュリティポリシープロジェクト。親グループに割り当てられている場合は存在しません。 |
| <a id="projectsecuritypolicyprojectlinkednamespaces"></a>`securityPolicyProjectLinkedNamespaces` {{< icon name="warning-solid" >}} | [`NamespaceConnection`](#namespaceconnection) | GitLab 17.4で**非推奨**になりました。名前が変更されました。`security_policy_project_linked_groups`を使用してください。 |
| <a id="projectsecuritypolicyprojectlinkedprojects"></a>`securityPolicyProjectLinkedProjects` | [`ProjectConnection`](#projectconnection) | セキュリティポリシープロジェクトとして使用する場合に、プロジェクトにリンクされているプロジェクト。（[接続](#connections)を参照） |
| <a id="projectsecurityscanners"></a>`securityScanners` | [`SecurityScanners`](#securityscanners) | プロジェクトで使用されているセキュリティアナライザーに関する情報。 |
| <a id="projectsentryerrors"></a>`sentryErrors` | [`SentryErrorCollection`](#sentryerrorcollection) | プロジェクトに関するSentryエラーのページネーションコレクション。 |
| <a id="projectservicedeskaddress"></a>`serviceDeskAddress` | [`String`](#string) | サービスデスクのメールアドレス。 |
| <a id="projectservicedeskenabled"></a>`serviceDeskEnabled` | [`Boolean`](#boolean) | プロジェクトでサービスデスクが有効になっているかどうかを示します。 |
| <a id="projectsharedrunnersenabled"></a>`sharedRunnersEnabled` | [`Boolean`](#boolean) | プロジェクトで共有Runnerが有効になっているかどうかを示します。 |
| <a id="projectsnippetsenabled"></a>`snippetsEnabled` | [`Boolean`](#boolean) | 現在のユーザーに対してスニペットが有効になっているかどうかを示します。 |
| <a id="projectsquashcommittemplate"></a>`squashCommitTemplate` | [`String`](#string) | マージリクエストでスカッシュコミットメッセージを作成するために使用されるテンプレート。 |
| <a id="projectsquashreadonly"></a>`squashReadOnly` | [`Boolean!`](#boolean) | `squashReadOnly`が有効になっているかどうかを示します。 |
| <a id="projectsshurltorepo"></a>`sshUrlToRepo` | [`String`](#string) | SSH経由でプロジェクトに接続するためのURL。 |
| <a id="projectstarcount"></a>`starCount` | [`Int!`](#int) | プロジェクトがお気に入り登録された回数。 |
| <a id="projectstatistics"></a>`statistics` | [`ProjectStatistics`](#projectstatistics) | プロジェクトの統計。 |
| <a id="projectstatisticsdetailspaths"></a>`statisticsDetailsPaths` | [`ProjectStatisticsRedirect`](#projectstatisticsredirect) | プロジェクトの統計のリダイレクト。 |
| <a id="projectsuggestioncommitmessage"></a>`suggestionCommitMessage` | [`String`](#string) | マージリクエストの提案を適用するために使用されるコミットメッセージ。 |
| <a id="projecttaglist"></a>`tagList` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.12で**非推奨**になりました。`topics`を使用してください。 |
| <a id="projecttargetbranchrules"></a>`targetBranchRules` | [`ProjectTargetBranchRuleConnection`](#projecttargetbranchruleconnection) | プロジェクトのターゲットブランチルール。（[接続](#connections)を参照） |
| <a id="projectterraformstates"></a>`terraformStates` | [`TerraformStateConnection`](#terraformstateconnection) | プロジェクトに関連付けられているTerraform状態。（[接続](#connections)を参照） |
| <a id="projecttimelogcategories"></a>`timelogCategories` {{< icon name="warning-solid" >}} | [`TimeTrackingTimelogCategoryConnection`](#timetrackingtimelogcategoryconnection) | GitLab 15.3で**導入**。**状態**: 実験。プロジェクトのタイムログカテゴリ。 |
| <a id="projecttopics"></a>`topics` | [`[String!]`](#string) | プロジェクトトピックのリスト。 |
| <a id="projecttrackingkey"></a>`trackingKey` {{< icon name="warning-solid" >}} | [`String`](#string) | **GitLab 16.0で導入**。**状態**: 実験。プロジェクトに割り当てられている追跡キー。 |
| <a id="projectupdatedat"></a>`updatedAt` | [`Time`](#time) | プロジェクトの最終更新タイムスタンプ。 |
| <a id="projectuseraccessauthorizedagents"></a>`userAccessAuthorizedAgents` | [`ClusterAgentAuthorizationUserAccessConnection`](#clusteragentauthorizationuseraccessconnection) | user_accessキーワードによるプロジェクトの承認済みクラスターエージェント。（[接続](#connections)を参照） |
| <a id="projectuserpermissions"></a>`userPermissions` | [`ProjectPermissions!`](#projectpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="projectvaluestreamanalytics"></a>`valueStreamAnalytics` | [`ValueStreamAnalytics`](#valuestreamanalytics) | プロジェクト内のバリューストリーム分析に関する情報。 |
| <a id="projectvisibility"></a>`visibility` | [`String`](#string) | プロジェクトの表示レベル。 |
| <a id="projectvulnerabilityarchives"></a>`vulnerabilityArchives` {{< icon name="warning-solid" >}} | [`[VulnerabilityArchive!]`](#vulnerabilityarchive) | GitLab 17.9で**導入**。**状態**: 実験。プロジェクトのすべての脆弱性アーカイブ。 |
| <a id="projectvulnerabilityimages"></a>`vulnerabilityImages` | [`VulnerabilityContainerImageConnection`](#vulnerabilitycontainerimageconnection) | プロジェクトの脆弱性について報告されたコンテナイメージ。（[接続](#connections)を参照） |
| <a id="projectvulnerabilityscanners"></a>`vulnerabilityScanners` | [`VulnerabilityScannerConnection`](#vulnerabilityscannerconnection) | プロジェクトの脆弱性について報告された脆弱性スキャナー。（[接続](#connections)を参照） |
| <a id="projectweburl"></a>`webUrl` | [`String`](#string) | プロジェクトのWeb URL。 |
| <a id="projectwikienabled"></a>`wikiEnabled` | [`Boolean`](#boolean) | 現在のユーザーに対してWikiが有効になっているかどうかを示します。 |

#### 引数のあるフィールド

##### `Project.aiAgent`

特定のAIエージェントを検索します。

{{< details >}}GitLab 16.10で**導入**。**状態**: 実験。{{< /details >}}

[`AiAgent`](#aiagent)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectaiagentid"></a>`id` | [`AiAgentID!`](#aiagentid) | エージェントのID。 |

##### `Project.aiMetrics`

AI関連のメトリクス。

{{< details >}}GitLab 16.11で**導入**。**状態**: 実験。{{< /details >}}

[`AiMetrics`](#aimetrics)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectaimetricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは当月末です。 |
| <a id="projectaimetricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは当月の初めです。 |

##### `Project.aiUserMetrics`

AI関連のユーザーメトリクス。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`AiUserMetricsConnection`](#aiusermetricsconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectaiusermetricsenddate"></a>`endDate` | [`Date`](#date) | 日付範囲の終了日。デフォルトは当月末です。 |
| <a id="projectaiusermetricsstartdate"></a>`startDate` | [`Date`](#date) | 日付範囲の開始日。デフォルトは当月の初めです。 |

##### `Project.alertManagementAlert`

プロジェクトの（単一の）アラート管理アラート。

[`AlertManagementAlert`](#alertmanagementalert)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementalertassigneeusername"></a>`assigneeUsername` | [`String`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectalertmanagementalertdomain"></a>`domain` | [`AlertManagementDomainFilter!`](#alertmanagementdomainfilter) | 特定のドメインのフィルタークエリ。 |
| <a id="projectalertmanagementalertiid"></a>`iid` | [`String`](#string) | アラートのIID。例：「1」。 |
| <a id="projectalertmanagementalertsearch"></a>`search` | [`String`](#string) | タイトル、説明、サービス、またはmonitoring_toolの検索クエリ。 |
| <a id="projectalertmanagementalertsort"></a>`sort` | [`AlertManagementAlertSort`](#alertmanagementalertsort) | アラートを基準でソートします。 |
| <a id="projectalertmanagementalertstatuses"></a>`statuses` | [`[AlertManagementStatus!]`](#alertmanagementstatus) | 指定された状態のアラート。例: `[TRIGGERED]`。 |

##### `Project.alertManagementAlertStatusCounts`

プロジェクトの状態別アラート数。

[`AlertManagementAlertStatusCountsType`](#alertmanagementalertstatuscountstype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementalertstatuscountsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectalertmanagementalertstatuscountssearch"></a>`search` | [`String`](#string) | タイトル、説明、サービス、またはmonitoring_toolの検索クエリ。 |

##### `Project.alertManagementAlerts`

プロジェクトのアラート管理アラート。

[`AlertManagementAlertConnection`](#alertmanagementalertconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementalertsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectalertmanagementalertsdomain"></a>`domain` | [`AlertManagementDomainFilter!`](#alertmanagementdomainfilter) | 特定のドメインのフィルタークエリ。 |
| <a id="projectalertmanagementalertsiid"></a>`iid` | [`String`](#string) | アラートのIID。例：「1」。 |
| <a id="projectalertmanagementalertssearch"></a>`search` | [`String`](#string) | タイトル、説明、サービス、またはmonitoring_toolの検索クエリ。 |
| <a id="projectalertmanagementalertssort"></a>`sort` | [`AlertManagementAlertSort`](#alertmanagementalertsort) | アラートを基準でソートします。 |
| <a id="projectalertmanagementalertsstatuses"></a>`statuses` | [`[AlertManagementStatus!]`](#alertmanagementstatus) | 指定された状態のアラート。例: `[TRIGGERED]`。 |

##### `Project.alertManagementHttpIntegrations`

プロジェクトのアラートを受信できるHTTPインテグレーション。

[`AlertManagementHttpIntegrationConnection`](#alertmanagementhttpintegrationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementhttpintegrationsid"></a>`id` | [`AlertManagementHttpIntegrationID`](#alertmanagementhttpintegrationid) | インテグレーションのID。 |

##### `Project.alertManagementIntegrations`

プロジェクトのアラートを受信できるインテグレーション。

[`AlertManagementIntegrationConnection`](#alertmanagementintegrationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementintegrationsid"></a>`id` | [`GlobalID`](#globalid) | インテグレーションのID。 |

##### `Project.alertManagementPayloadFields`

カスタムマッピングのためにペイロードからアラートフィールドを抽出します。

[`[AlertManagementPayloadAlertField!]`](#alertmanagementpayloadalertfield)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectalertmanagementpayloadfieldspayloadexample"></a>`payloadExample` | [`String!`](#string) | カスタムマッピングのためにアラートフィールドを抽出するためのサンプルペイロード。 |

##### `Project.approvalPolicies`

プロジェクトの承認ポリシー。

[`ApprovalPolicyConnection`](#approvalpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectapprovalpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="projectapprovalpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Project.autocompleteUsers`

オートコンプリートのためにユーザーを検索します。

[`[AutocompletedUser!]`](#autocompleteduser)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectautocompleteuserssearch"></a>`search` | [`String`](#string) | 名前、ユーザー名、または公開メールでユーザーを検索するクエリ。 |

##### `Project.availableDeployKeys`

利用可能なデプロイキーのリスト。

[`AccessLevelDeployKeyConnection`](#accessleveldeploykeyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectavailabledeploykeystitlequery"></a>`titleQuery` | [`String`](#string) | デプロイキーのタイトルを検索するための検索語。 |

##### `Project.board`

プロジェクトの（単一の）ボード。

[`Board`](#board)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectboardid"></a>`id` | [`BoardID!`](#boardid) | ボードのID。 |

##### `Project.boards`

プロジェクトのボード。

[`BoardConnection`](#boardconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectboardsid"></a>`id` | [`BoardID`](#boardid) | ボードをIDで検索します。 |

##### `Project.branchRules`

プロジェクト用に設定されているブランチルール。

[`BranchRuleConnection`](#branchruleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectbranchrulesbuildmissing"></a>`buildMissing` | [`Boolean`](#boolean) | 永続化されていないカスタムブランチルールを返します。 |

##### `Project.ciConfigVariables`

CI/CD設定変数。

{{< details >}}GitLab 15.3で**導入**。**状態**: 実験。{{< /details >}}

[`[CiConfigVariable!]`](#ciconfigvariable)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectciconfigvariablesref"></a>`ref` | [`String!`](#string) | ref。 |

##### `Project.ciPipelineCreationInputs`

パイプラインを作成するためのインプット。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`[CiInputSpec!]`](#ciinputspec)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcipipelinecreationinputsref"></a>`ref` | [`String!`](#string) | パイプラインを作成するref。 |

##### `Project.ciPipelineCreationRequest`

非同期パイプライン作成リクエストに関する情報を取得します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`CiPipelineCreationRequest`](#cipipelinecreationrequest)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcipipelinecreationrequestrequestid"></a>`requestId` | [`String!`](#string) | パイプライン作成リクエストのID。 |

##### `Project.ciTemplate`

単一のCI/CDテンプレートを名前で検索します。

[`CiTemplate`](#citemplate)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcitemplatename"></a>`name` | [`String!`](#string) | 検索するCI/CDテンプレートの名前。テンプレートは`Name.gitlab-ci.yml`の形式でなければなりません。 |

##### `Project.ciVariables`

プロジェクトのCI/CD変数のリスト。

[`CiProjectVariableConnection`](#ciprojectvariableconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcivariablessort"></a>`sort` | [`CiVariableSort`](#civariablesort) | 結果のソート順。 |

##### `Project.clusterAgent`

単一のクラスターエージェントを名前で検索します。

[`ClusterAgent`](#clusteragent)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectclusteragenthasremotedevelopmentagentconfig"></a>`hasRemoteDevelopmentAgentConfig` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。代わりにhas_workspaces_agent_configフィルターを使用してください。 |
| <a id="projectclusteragenthasremotedevelopmentenabled"></a>`hasRemoteDevelopmentEnabled` | [`Boolean`](#boolean) | リモート開発機能で有効になっているクラスターエージェントのみを返します。 |
| <a id="projectclusteragenthasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるクラスターエージェントのみを返します。 |
| <a id="projectclusteragenthasworkspacesagentconfig"></a>`hasWorkspacesAgentConfig` | [`Boolean`](#boolean) | ワークスペースエージェント設定が関連付けられているクラスターエージェントのみを返します。 |
| <a id="projectclusteragentname"></a>`name` | [`String!`](#string) | クラスターエージェントの名前。 |

##### `Project.clusterAgents`

プロジェクトに関連付けられているクラスターエージェント。

[`ClusterAgentConnection`](#clusteragentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectclusteragentshasremotedevelopmentagentconfig"></a>`hasRemoteDevelopmentAgentConfig` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。代わりにhas_workspaces_agent_configフィルターを使用してください。 |
| <a id="projectclusteragentshasremotedevelopmentenabled"></a>`hasRemoteDevelopmentEnabled` | [`Boolean`](#boolean) | リモート開発機能で有効になっているクラスターエージェントのみを返します。 |
| <a id="projectclusteragentshasvulnerabilities"></a>`hasVulnerabilities` | [`Boolean`](#boolean) | 脆弱性のあるクラスターエージェントのみを返します。 |
| <a id="projectclusteragentshasworkspacesagentconfig"></a>`hasWorkspacesAgentConfig` | [`Boolean`](#boolean) | ワークスペースエージェント設定が関連付けられているクラスターエージェントのみを返します。 |

##### `Project.commitReferences`

特定のコミットを含むタグ名を取得します。

{{< details >}}GitLab 16.0で**導入**。**状態**: 実験。{{< /details >}}

[`CommitReferences`](#commitreferences)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcommitreferencescommitsha"></a>`commitSha` | [`String!`](#string) | プロジェクトのコミットSHA識別子。例: `287774414568010855642518513f085491644061`。 |

##### `Project.complianceControlStatus`

プロジェクトのコンプライアンスコントロール状態。

{{< details >}}GitLab 17.11で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectComplianceControlStatusTypeConnection`](#projectcompliancecontrolstatustypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancecontrolstatusfilters"></a>`filters` | [`ProjectComplianceControlStatusInput`](#projectcompliancecontrolstatusinput) | プロジェクトのコンプライアンスコントロール状態を取得する際に適用するフィルター。 |

##### `Project.complianceStandardsAdherence`

プロジェクトのコンプライアンス規格準拠。

[`ComplianceStandardsAdherenceConnection`](#compliancestandardsadherenceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancestandardsadherencefilters"></a>`filters` | [`ComplianceStandardsProjectAdherenceInput`](#compliancestandardsprojectadherenceinput) | コンプライアンス標準への準拠を取得する際に適用するフィルター。 |

##### `Project.componentVersions`

ソフトウェアの依存関係のバージョンをコンポーネント別に検索します。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`ComponentVersionConnection!`](#componentversionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcomponentversionscomponentid"></a>`componentId` | [`SbomComponentID!`](#sbomcomponentid) | SBoMコンポーネントのグローバルID。 |

##### `Project.components`

ソフトウェア依存関係を名前で検索します。

{{< details >}}GitLab 17.9で**導入**。**状態**: 実験。{{< /details >}}

[`[Component!]`](#component)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcomponentsname"></a>`name` | [`String`](#string) | 名前の全体または一部。 |

##### `Project.containerRepositories`

プロジェクトのコンテナリポジトリ。

[`ContainerRepositoryConnection`](#containerrepositoryconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcontainerrepositoriesname"></a>`name` | [`String`](#string) | コンテナリポジトリを名前でフィルタリングします。 |
| <a id="projectcontainerrepositoriessort"></a>`sort` | [`ContainerRepositorySort`](#containerrepositorysort) | コンテナリポジトリを条件でソートします。 |

##### `Project.customizableDashboardVisualizations`

プロジェクトまたは関連する設定プロジェクトの可視化。

{{< details >}}GitLab 16.1で**導入**。**状態**: 実験。{{< /details >}}

[`CustomizableDashboardVisualizationConnection`](#customizabledashboardvisualizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcustomizabledashboardvisualizationsslug"></a>`slug` | [`String`](#string) | 返す可視化のslug。 |

##### `Project.customizableDashboards`

プロジェクトのカスタマイズ可能ダッシュボード。

{{< details >}}GitLab 15.6で**導入**。**状態**: 実験。{{< /details >}}

[`CustomizableDashboardConnection`](#customizabledashboardconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcustomizabledashboardscategory"></a>`category` | [`CustomizableDashboardCategory`](#customizabledashboardcategory) | ダッシュボードのタイプで検索します。 |
| <a id="projectcustomizabledashboardsslug"></a>`slug` | [`String`](#string) | ダッシュボードのslugで検索します。 |

##### `Project.dastProfile`

プロジェクトに関連付けられているDASTプロファイル。

[`DastProfile`](#dastprofile)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdastprofilehasdastprofileschedule"></a>`hasDastProfileSchedule` | [`Boolean`](#boolean) | スケジュールがあるかどうかでDASTプロファイルをフィルタリングします。 |
| <a id="projectdastprofileid"></a>`id` | [`DastProfileID!`](#dastprofileid) | DASTプロファイルのID。 |

##### `Project.dastProfiles`

プロジェクトに関連付けられているDASTプロファイル。

[`DastProfileConnection`](#dastprofileconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdastprofileshasdastprofileschedule"></a>`hasDastProfileSchedule` | [`Boolean`](#boolean) | スケジュールがあるかどうかでDASTプロファイルをフィルタリングします。 |

##### `Project.dastSiteProfile`

プロジェクトに関連付けられているDASTサイトプロファイル。

[`DastSiteProfile`](#dastsiteprofile)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdastsiteprofileid"></a>`id` | [`DastSiteProfileID!`](#dastsiteprofileid) | サイトプロファイルのID。 |

##### `Project.dastSiteValidations`

プロジェクトに関連付けられていDASTサイトの検証。

[`DastSiteValidationConnection`](#dastsitevalidationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdastsitevalidationsnormalizedtargeturls"></a>`normalizedTargetUrls` | [`[String!]`](#string) | スキャンするターゲットの正規化URL。 |
| <a id="projectdastsitevalidationsstatus"></a>`status` | [`DastSiteValidationStatusEnum`](#dastsitevalidationstatusenum) | サイト検証の状態。 |

##### `Project.dataTransfer`

特定の期間のデータ転送データポイント。これは、開発機能フラグ下のモックデータです。

[`ProjectDataTransfer`](#projectdatatransfer)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdatatransferfrom"></a>`from` | [`Date`](#date) | エグレスデータを1年間保持します。エグレスの発生に伴い、当月のデータは動的に増加します。 |
| <a id="projectdatatransferto"></a>`to` | [`Date`](#date) | データの終了日。 |

##### `Project.dependencies`

プロジェクトで使用されるソフトウェア依存関係。

[`DependencyConnection`](#dependencyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdependenciescomponentids"></a>`componentIds` | [`[SbomComponentID!]`](#sbomcomponentid) | 依存関係をコンポーネントIDでフィルタリングします。 |
| <a id="projectdependenciescomponentnames"></a>`componentNames` | [`[String!]`](#string) | 依存関係をコンポーネント名でフィルタリングします。 |
| <a id="projectdependenciespackagemanagers"></a>`packageManagers` | [`[PackageManager!]`](#packagemanager) | 依存関係をパッケージマネージャーでフィルタリングします。 |
| <a id="projectdependenciessort"></a>`sort` | [`DependencySort`](#dependencysort) | 指定された条件で依存関係をソートします。 |
| <a id="projectdependenciessourcetypes"></a>`sourceTypes` | [`[SbomSourceType!]`](#sbomsourcetype) | 依存関係をソース型でフィルタリングします。 |

##### `Project.dependencyPaths`

プロジェクトで使用される依存関係の祖先依存パス。\
          `null`機能フラグが無効になっている場合、`dependency_graph_graphql`を返します。

{{< details >}}GitLab 17.10で**導入**。**状態**: 実験。{{< /details >}}

[`[DependencyPath!]`](#dependencypath)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdependencypathsoccurrence"></a>`occurrence` | [`SbomOccurrenceID!`](#sbomoccurrenceid) | オカレンスの依存パス。 |

##### `Project.deployment`

プロジェクトのデプロイの詳細。

[`Deployment`](#deployment)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdeploymentiid"></a>`iid` | [`ID!`](#id) | デプロイのプロジェクトレベル内部ID。 |

##### `Project.environment`

プロジェクトの（単一の）環境。

[`Environment`](#environment)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectenvironmentname"></a>`name` | [`String`](#string) | 環境の名前。 |
| <a id="projectenvironmentsearch"></a>`search` | [`String`](#string) | 環境名の検索クエリ。 |
| <a id="projectenvironmentstates"></a>`states` | [`[String!]`](#string) | 結果に含める環境の状態。 |
| <a id="projectenvironmenttype"></a>`type` | [`String`](#string) | 環境タイプの検索クエリ。 |

##### `Project.environments`

プロジェクトの環境。このフィールドは、1回のリクエストにつき1つのプロジェクトに対してのみ解決できます。

[`EnvironmentConnection`](#environmentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectenvironmentsname"></a>`name` | [`String`](#string) | 環境の名前。 |
| <a id="projectenvironmentssearch"></a>`search` | [`String`](#string) | 環境名の検索クエリ。 |
| <a id="projectenvironmentsstates"></a>`states` | [`[String!]`](#string) | 結果に含める環境の状態。 |
| <a id="projectenvironmentstype"></a>`type` | [`String`](#string) | 環境タイプの検索クエリ。 |

##### `Project.forkDetails`

アップストリームプロジェクトと比較するフォークプロジェクトの詳細。

{{< details >}}GitLab 15.7で**導入**。**状態**: 実験。{{< /details >}}

[`ForkDetails`](#forkdetails)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectforkdetailsref"></a>`ref` | [`String`](#string) | フォークの参照。デフォルト値はHEADです。 |

##### `Project.forkTargets`

現在のユーザーがプロジェクトをフォークできるネームスペース。

[`NamespaceConnection`](#namespaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectforktargetssearch"></a>`search` | [`String`](#string) | パスまたは名前の検索クエリ。 |

##### `Project.gitlabSubscriptionsPreviewBillableUserChange`

請求対象ユーザーの変更をプレビューします。

[`PreviewBillableUserChange`](#previewbillableuserchange)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectgitlabsubscriptionspreviewbillableuserchangeaddgroupid"></a>`addGroupId` | [`Int`](#int) | 追加するグループID。 |
| <a id="projectgitlabsubscriptionspreviewbillableuserchangeadduseremails"></a>`addUserEmails` | [`[String!]`](#string) | 追加するユーザーメール。 |
| <a id="projectgitlabsubscriptionspreviewbillableuserchangeadduserids"></a>`addUserIds` | [`[Int!]`](#int) | 追加するユーザーID。 |
| <a id="projectgitlabsubscriptionspreviewbillableuserchangememberroleid"></a>`memberRoleId` | [`Int`](#int) | ユーザーに割り当てられているカスタムロール。 |
| <a id="projectgitlabsubscriptionspreviewbillableuserchangerole"></a>`role` | [`GitlabSubscriptionsUserRole!`](#gitlabsubscriptionsuserrole) | グループに追加するユーザーのロール。 |

##### `Project.incidentManagementEscalationPolicies`

プロジェクトのインシデント管理エスカレーションポリシー。

[`EscalationPolicyTypeConnection`](#escalationpolicytypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectincidentmanagementescalationpoliciesname"></a>`name` | [`String`](#string) | エスカレーションポリシー名によるあいまい検索。 |

##### `Project.incidentManagementEscalationPolicy`

プロジェクトのインシデント管理エスカレーションポリシー。

[`EscalationPolicyType`](#escalationpolicytype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectincidentmanagementescalationpolicyid"></a>`id` | [`IncidentManagementEscalationPolicyID!`](#incidentmanagementescalationpolicyid) | エスカレーションポリシーのID。 |
| <a id="projectincidentmanagementescalationpolicyname"></a>`name` | [`String`](#string) | エスカレーションポリシー名によるあいまい検索。 |

##### `Project.incidentManagementOncallSchedules`

プロジェクトのインシデント管理オンコールスケジュール。

[`IncidentManagementOncallScheduleConnection`](#incidentmanagementoncallscheduleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectincidentmanagementoncallschedulesiids"></a>`iids` | [`[ID!]`](#id) | オンコールスケジュールのIID。 |

##### `Project.incidentManagementTimelineEvent`

インシデントに関連付けられているインシデント管理タイムラインイベント。

[`TimelineEventType`](#timelineeventtype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectincidentmanagementtimelineeventid"></a>`id` | [`IncidentManagementTimelineEventID!`](#incidentmanagementtimelineeventid) | タイムラインイベントのID。 |
| <a id="projectincidentmanagementtimelineeventincidentid"></a>`incidentId` | [`IssueID!`](#issueid) | インシデントのID。 |

##### `Project.incidentManagementTimelineEvents`

インシデントに関連付けられているインシデント管理タイムラインイベント。

[`TimelineEventTypeConnection`](#timelineeventtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectincidentmanagementtimelineeventsincidentid"></a>`incidentId` | [`IssueID!`](#issueid) | インシデントのID。 |

##### `Project.inheritedCiVariables`

プロジェクトがその親グループおよび祖先から継承するCI/CD変数のリスト。

[`InheritedCiVariableConnection`](#inheritedcivariableconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectinheritedcivariablessort"></a>`sort` | [`CiGroupVariablesSort`](#cigroupvariablessort) | 変数を条件でソートします。 |

##### `Project.issue`

プロジェクトの（単一の）イシュー。

[`Issue`](#issue)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectissueassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられているユーザーのID。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissueassigneeusername"></a>`assigneeUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.11で**非推奨**になりました。`assigneeUsernames`を使用してください。 |
| <a id="projectissueassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectissueassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="projectissueauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectissueclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日付より後に完了したイシュー。 |
| <a id="projectissueclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日付より前に完了したイシュー。 |
| <a id="projectissueconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報イシューについてフィルタリングします。「false」の場合、機密情報イシューを除外します。「true」の場合、機密情報イシューのみを返します。 |
| <a id="projectissuecreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたイシュー。 |
| <a id="projectissuecreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたイシュー。 |
| <a id="projectissuecrmcontactid"></a>`crmContactId` | [`String`](#string) | イシューに割り当てられている連絡先のID。 |
| <a id="projectissuecrmorganizationid"></a>`crmOrganizationId` | [`String`](#string) | イシューに割り当てられている組織のID。 |
| <a id="projectissuecustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="projectissuedueafter"></a>`dueAfter` | [`Time`](#time) | 指定時刻以降に期限が切れるイシューを返します。 |
| <a id="projectissueduebefore"></a>`dueBefore` | [`Time`](#time) | 指定時刻以前に期限が切れるイシューを返します。 |
| <a id="projectissueepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられているエピックのID。「none」と「any」の値がサポートされています。 |
| <a id="projectissueepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="projectissuehealthstatus"></a>`healthStatus` {{< icon name="warning-solid" >}} | [`HealthStatus`](#healthstatus) | GitLab 15.4で**非推奨**になりました。`healthStatusFilter`を使用してください。 |
| <a id="projectissuehealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="projectissueiid"></a>`iid` | [`String`](#string) | イシューのIID。例：「1」。 |
| <a id="projectissueiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="projectissuein"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectissueincludesubepics"></a>`includeSubepics` | [`Boolean`](#boolean) | epicIdでイシューをフィルタリングする際にサブエピックを含めるかどうか。 |
| <a id="projectissueiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="projectissueiterationid"></a>`iterationId` | [`[ID]`](#id) | イシューに適用されるイテレーショングローバルIDのリスト。 |
| <a id="projectissueiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="projectissueiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="projectissuelabelname"></a>`labelName` | [`[String]`](#string) | イシューに適用されるラベル。 |
| <a id="projectissuemilestonetitle"></a>`milestoneTitle` | [`[String]`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectissuemilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuemyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissuenot"></a>`not` | [`NegatedIssueFilterInput`](#negatedissuefilterinput) | 否定条件となる引数。 |
| <a id="projectissueor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="projectissuereleasetag"></a>`releaseTag` | [`[String!]`](#string) | イシューのマイルストーンに関連付けられているリリースタグ。 |
| <a id="projectissuereleasetagwildcardid"></a>`releaseTagWildcardId` | [`ReleaseTagWildcardId`](#releasetagwildcardid) | リリースタグIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuesearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectissuesort"></a>`sort` | [`IssueSort`](#issuesort) | 基準でイシューをソートします。 |
| <a id="projectissuestate"></a>`state` | [`IssuableState`](#issuablestate) | イシューの現在の状態。 |
| <a id="projectissuesubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているイシュー。 |
| <a id="projectissuetypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューをフィルタリングします。 |
| <a id="projectissueupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたイシュー。 |
| <a id="projectissueupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたイシュー。 |
| <a id="projectissueweight"></a>`weight` | [`String`](#string) | イシューに適用されるウェイト。「none」と「any」の値がサポートされています。 |
| <a id="projectissueweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

##### `Project.issueStatusCounts`

プロジェクトの状態別イシュー数。

[`IssueStatusCountsType`](#issuestatuscountstype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectissuestatuscountsassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられているユーザーのID。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissuestatuscountsassigneeusername"></a>`assigneeUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.11で**非推奨**になりました。`assigneeUsernames`を使用してください。 |
| <a id="projectissuestatuscountsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectissuestatuscountsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="projectissuestatuscountsauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectissuestatuscountsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日付より後に完了したイシュー。 |
| <a id="projectissuestatuscountsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日付より前に完了したイシュー。 |
| <a id="projectissuestatuscountsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報イシューについてフィルタリングします。「false」の場合、機密情報イシューを除外します。「true」の場合、機密情報イシューのみを返します。 |
| <a id="projectissuestatuscountscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたイシュー。 |
| <a id="projectissuestatuscountscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたイシュー。 |
| <a id="projectissuestatuscountscrmcontactid"></a>`crmContactId` | [`String`](#string) | イシューに割り当てられている連絡先のID。 |
| <a id="projectissuestatuscountscrmorganizationid"></a>`crmOrganizationId` | [`String`](#string) | イシューに割り当てられている組織のID。 |
| <a id="projectissuestatuscountscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="projectissuestatuscountsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定時刻以降に期限が切れるイシューを返します。 |
| <a id="projectissuestatuscountsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定時刻以前に期限が切れるイシューを返します。 |
| <a id="projectissuestatuscountsepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられているエピックのID。「none」と「any」の値がサポートされています。 |
| <a id="projectissuestatuscountsepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="projectissuestatuscountshealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="projectissuestatuscountsiid"></a>`iid` | [`String`](#string) | イシューのIID。例：「1」。 |
| <a id="projectissuestatuscountsiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="projectissuestatuscountsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectissuestatuscountsincludesubepics"></a>`includeSubepics` | [`Boolean`](#boolean) | epicIdでイシューをフィルタリングする際にサブエピックを含めるかどうか。 |
| <a id="projectissuestatuscountsiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="projectissuestatuscountsiterationid"></a>`iterationId` | [`[ID]`](#id) | イシューに適用されるイテレーショングローバルIDのリスト。 |
| <a id="projectissuestatuscountsiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="projectissuestatuscountsiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="projectissuestatuscountslabelname"></a>`labelName` | [`[String]`](#string) | イシューに適用されるラベル。 |
| <a id="projectissuestatuscountsmilestonetitle"></a>`milestoneTitle` | [`[String]`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectissuestatuscountsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuestatuscountsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissuestatuscountsnot"></a>`not` | [`NegatedIssueFilterInput`](#negatedissuefilterinput) | 否定条件となる引数。 |
| <a id="projectissuestatuscountsor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="projectissuestatuscountsreleasetag"></a>`releaseTag` | [`[String!]`](#string) | イシューのマイルストーンに関連付けられているリリースタグ。 |
| <a id="projectissuestatuscountsreleasetagwildcardid"></a>`releaseTagWildcardId` | [`ReleaseTagWildcardId`](#releasetagwildcardid) | リリースタグIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuestatuscountssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectissuestatuscountssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているイシュー。 |
| <a id="projectissuestatuscountstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューをフィルタリングします。 |
| <a id="projectissuestatuscountsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたイシュー。 |
| <a id="projectissuestatuscountsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたイシュー。 |
| <a id="projectissuestatuscountsweight"></a>`weight` | [`String`](#string) | イシューに適用されるウェイト。「none」と「any」の値がサポートされています。 |
| <a id="projectissuestatuscountsweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

##### `Project.issues`

プロジェクトのイシュー。

[`IssueConnection`](#issueconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectissuesassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられているユーザーのID。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissuesassigneeusername"></a>`assigneeUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.11で**非推奨**になりました。`assigneeUsernames`を使用してください。 |
| <a id="projectissuesassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectissuesassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="projectissuesauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectissuesclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日付より後に完了したイシュー。 |
| <a id="projectissuesclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日付より前に完了したイシュー。 |
| <a id="projectissuesconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報イシューについてフィルタリングします。「false」の場合、機密情報イシューを除外します。「true」の場合、機密情報イシューのみを返します。 |
| <a id="projectissuescreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定日付より後に作成されたイシュー。 |
| <a id="projectissuescreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定日付より前に作成されたイシュー。 |
| <a id="projectissuescrmcontactid"></a>`crmContactId` | [`String`](#string) | イシューに割り当てられている連絡先のID。 |
| <a id="projectissuescrmorganizationid"></a>`crmOrganizationId` | [`String`](#string) | イシューに割り当てられている組織のID。 |
| <a id="projectissuescustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="projectissuesdueafter"></a>`dueAfter` | [`Time`](#time) | 指定時刻以降に期限が切れるイシューを返します。 |
| <a id="projectissuesduebefore"></a>`dueBefore` | [`Time`](#time) | 指定時刻以前に期限が切れるイシューを返します。 |
| <a id="projectissuesepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられているエピックのID。「none」と「any」の値がサポートされています。 |
| <a id="projectissuesepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="projectissueshealthstatus"></a>`healthStatus` {{< icon name="warning-solid" >}} | [`HealthStatus`](#healthstatus) | GitLab 15.4で**非推奨**になりました。`healthStatusFilter`を使用してください。 |
| <a id="projectissueshealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="projectissuesiid"></a>`iid` | [`String`](#string) | イシューのIID。例：「1」。 |
| <a id="projectissuesiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="projectissuesin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectissuesincludesubepics"></a>`includeSubepics` | [`Boolean`](#boolean) | epicIdでイシューをフィルタリングする際にサブエピックを含めるかどうか。 |
| <a id="projectissuesiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="projectissuesiterationid"></a>`iterationId` | [`[ID]`](#id) | イシューに適用されるイテレーショングローバルIDのリスト。 |
| <a id="projectissuesiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="projectissuesiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="projectissueslabelname"></a>`labelName` | [`[String]`](#string) | イシューに適用されるラベル。 |
| <a id="projectissuesmilestonetitle"></a>`milestoneTitle` | [`[String]`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectissuesmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuesmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="projectissuesnot"></a>`not` | [`NegatedIssueFilterInput`](#negatedissuefilterinput) | 否定条件となる引数。 |
| <a id="projectissuesor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="projectissuesreleasetag"></a>`releaseTag` | [`[String!]`](#string) | イシューのマイルストーンに関連付けられているリリースタグ。 |
| <a id="projectissuesreleasetagwildcardid"></a>`releaseTagWildcardId` | [`ReleaseTagWildcardId`](#releasetagwildcardid) | リリースタグIDのワイルドカードでイシューをフィルタリングします。 |
| <a id="projectissuessearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectissuessort"></a>`sort` | [`IssueSort`](#issuesort) | 基準でイシューをソートします。 |
| <a id="projectissuesstate"></a>`state` | [`IssuableState`](#issuablestate) | イシューの現在の状態。 |
| <a id="projectissuessubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているイシュー。 |
| <a id="projectissuestypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューをフィルタリングします。 |
| <a id="projectissuesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたイシュー。 |
| <a id="projectissuesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたイシュー。 |
| <a id="projectissuesweight"></a>`weight` | [`String`](#string) | イシューに適用されるウェイト。「none」と「any」の値がサポートされています。 |
| <a id="projectissuesweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

##### `Project.iterationCadences`

イテレーションケイデンスを検索します。

[`IterationCadenceConnection`](#iterationcadenceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectiterationcadencesactive"></a>`active` | [`Boolean`](#boolean) | イテレーションケイデンスがアクティブかどうか。 |
| <a id="projectiterationcadencesautomatic"></a>`automatic` | [`Boolean`](#boolean) | イテレーションケイデンスで今後のイテレーションを自動生成するかどうか。 |
| <a id="projectiterationcadencesdurationinweeks"></a>`durationInWeeks` | [`Int`](#int) | ケイデンス内でのイテレーションの期間（週単位）。 |
| <a id="projectiterationcadencesid"></a>`id` | [`IterationsCadenceID`](#iterationscadenceid) | 検索するイテレーションケイデンスのグローバルID。 |
| <a id="projectiterationcadencesincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | イテレーションケイデンスの検索に祖先グループを含めるかどうか。 |
| <a id="projectiterationcadencestitle"></a>`title` | [`String`](#string) | タイトルであいまい検索します。 |

##### `Project.iterations`

イテレーションを検索します。

[`IterationConnection`](#iterationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectiterationsid"></a>`id` | [`ID`](#id) | 検索するイテレーションのグローバルID。 |
| <a id="projectiterationsiid"></a>`iid` | [`ID`](#id) | 検索するイテレーションの内部ID。 |
| <a id="projectiterationsin"></a>`in` | [`[IterationSearchableField!]`](#iterationsearchablefield) | 引数`search`で指定されたクエリを使用してあいまい検索を実行するフィールド。デフォルトは`[title]`です。 |
| <a id="projectiterationsincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | 祖先イテレーションを含めるかどうか。デフォルトはtrueです。 |
| <a id="projectiterationsincludedescendants"></a>`includeDescendants` | [`Boolean`](#boolean) | 子孫イテレーションを含めるかどうか。 |
| <a id="projectiterationsiterationcadenceids"></a>`iterationCadenceIds` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションの検索条件となるグローバルイテレーションケイデンスID。 |
| <a id="projectiterationssearch"></a>`search` | [`String`](#string) | 引数`in`で選択されたフィールドでのあいまい検索に使用されるクエリ。空の場合、すべてのイテレーションを返します。 |
| <a id="projectiterationssort"></a>`sort` | [`IterationSort`](#iterationsort) | イテレーションをソート順で一覧表示します。指定しない場合、任意の順序（変更される可能性があります）が使用されます。 |
| <a id="projectiterationsstate"></a>`state` | [`IterationState`](#iterationstate) | イテレーションを状態でフィルタリングします。 |
| <a id="projectiterationstimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="projectiterationstitle"></a>`title` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.4で**非推奨**になりました。引数は15.4で削除される予定です。代わりに`search`フィールドと`in`フィールドを使用してください。 |

##### `Project.job`

IDで選択する、プロジェクトに属する1つのジョブ。

[`CiJob`](#cijob)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectjobid"></a>`id` | [`JobID!`](#jobid) | ジョブのID。 |

##### `Project.jobs`

プロジェクトのジョブ。このフィールドは、1回のリクエストにつき1つのプロジェクトに対してのみ解決できます。

[`CiJobConnection`](#cijobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectjobsname"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.1で**導入**。**状態**: 実験。ジョブを名前でフィルタリングします。 |
| <a id="projectjobssources"></a>`sources` {{< icon name="warning-solid" >}} | [`[CiJobSource!]`](#cijobsource) | GitLab 17.7で**導入**。**状態**: 実験。ジョブをソースでフィルタリングします。populate_and_use_build_source_table機能フラグが無効になっている場合は無視されます。 |
| <a id="projectjobsstatuses"></a>`statuses` | [`[CiJobStatus!]`](#cijobstatus) | ジョブを状態でフィルタリングします。 |
| <a id="projectjobswithartifacts"></a>`withArtifacts` | [`Boolean`](#boolean) | アーティファクトの有無でフィルタリングします。 |

##### `Project.label`

プロジェクトで利用可能なラベル。

[`Label`](#label)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectlabeltitle"></a>`title` | [`String!`](#string) | ラベルのタイトル。 |

##### `Project.labels`

このプロジェクトで利用可能なラベル。

[`LabelConnection`](#labelconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectlabelsincludeancestorgroups"></a>`includeAncestorGroups` | [`Boolean`](#boolean) | 祖先グループのラベルを含めます。 |
| <a id="projectlabelssearchin"></a>`searchIn` | [`[LabelSearchFieldList!]!`](#labelsearchfieldlist) | 検索場所となるフィールドを指定します。`title`を使用している場合は無視されます。 |
| <a id="projectlabelssearchterm"></a>`searchTerm` | [`String`](#string) | ラベルを検索するための検索語句。 |
| <a id="projectlabelstitle"></a>`title` | [`String`](#string) | タイトルの完全一致。`searchTerm`と一緒に使用することはできません。`title`引数が指定されている場合、`searchIn`は無視されます。 |

##### `Project.memberRoles`

グループで使用可能なメンバーロール。

{{< details >}}GitLab 16.5で**導入**。**状態**: 実験。{{< /details >}}

[`MemberRoleConnection`](#memberroleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmemberrolesid"></a>`id` | [`MemberRoleID`](#memberroleid) | 検索するメンバーロールのグローバルID。 |
| <a id="projectmemberrolesids"></a>`ids` | [`[MemberRoleID!]`](#memberroleid) | 検索するメンバーロールの複数個のグローバルID。 |
| <a id="projectmemberrolesorderby"></a>`orderBy` | [`MemberRolesOrderBy`](#memberrolesorderby) | 列の並べ替え。デフォルトはNAMEです。 |
| <a id="projectmemberrolessort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはASCです。 |

##### `Project.mergeRequest`

プロジェクトの（単一の）マージリクエスト。

[`MergeRequest`](#mergerequest)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmergerequestiid"></a>`iid` | [`String!`](#string) | マージリクエストのIID （`1`など）。 |

##### `Project.mergeRequestViolations`

プロジェクト内でマージされたマージリクエストで報告されたコンプライアンス違反。

[`ComplianceViolationConnection`](#complianceviolationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmergerequestviolationsfilters"></a>`filters` | [`ComplianceViolationProjectInput`](#complianceviolationprojectinput) | コンプライアンス違反を取得する際に適用するフィルター。 |
| <a id="projectmergerequestviolationssort"></a>`sort` | [`ComplianceViolationSort`](#complianceviolationsort) | コンプライアンス違反をソート順に一覧表示します。 |

##### `Project.mergeRequests`

プロジェクトのマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="projectmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="projectmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="projectmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="projectmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="projectmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="projectmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="projectmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="projectmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="projectmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="projectmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="projectmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="projectmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="projectmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="projectmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="projectmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="projectmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="projectmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="projectmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="projectmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="projectmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="projectmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="projectmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="projectmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="projectmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="projectmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="projectmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="projectmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="projectmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="projectmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="projectmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="projectmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="projectmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="projectmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="projectmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="projectmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="projectmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="projectmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `Project.mergeTrains`

プロジェクトで利用可能なマージトレイン。

{{< details >}}GitLab 17.1で**導入**。**状態**: 実験。{{< /details >}}

[`MergeTrainConnection`](#mergetrainconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmergetrainsstatus"></a>`status` | [`MergeTrainStatus`](#mergetrainstatus) | マージトレインを特定の状態でフィルタリングします。 |
| <a id="projectmergetrainstargetbranches"></a>`targetBranches` | [`[String!]`](#string) | マージトレインをターゲットブランチのリストでフィルタリングします。 |

##### `Project.milestones`

プロジェクトのマイルストーン。

[`MilestoneConnection`](#milestoneconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmilestonescontainingdate"></a>`containingDate` | [`Time`](#time) | マイルストーンに含まれる日付。 |
| <a id="projectmilestonesids"></a>`ids` | [`[ID!]`](#id) | グローバルマイルストーンIDの配列（例：`"gid://gitlab/Milestone/1"`）。 |
| <a id="projectmilestonesincludeancestors"></a>`includeAncestors` | [`Boolean`](#boolean) | プロジェクトの親グループとその祖先のマイルストーンも返します。 |
| <a id="projectmilestonessearchtitle"></a>`searchTitle` | [`String`](#string) | タイトルの検索文字列。 |
| <a id="projectmilestonessort"></a>`sort` | [`MilestoneSort`](#milestonesort) | マイルストーンを条件でソートします。 |
| <a id="projectmilestonesstate"></a>`state` | [`MilestoneStateEnum`](#milestonestateenum) | マイルストーンを状態でフィルタリングします。 |
| <a id="projectmilestonestimeframe"></a>`timeframe` | [`Timeframe`](#timeframe) | 指定された期間とオーバーラップするアイテムを一覧表示します。 |
| <a id="projectmilestonestitle"></a>`title` | [`String`](#string) | マイルストーンのタイトル。 |

##### `Project.mlExperiments`

機械学習の実験を検索します。

[`MlExperimentConnection`](#mlexperimentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmlexperimentsname"></a>`name` | [`String`](#string) | この文字列を含む名前を検索します。 |
| <a id="projectmlexperimentsorderby"></a>`orderBy` | [`MlModelsOrderBy`](#mlmodelsorderby) | 列の並べ替え。デフォルトはcreated_atです。 |
| <a id="projectmlexperimentssort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 並べ替えの方向。デフォルトはdescです。 |

##### `Project.mlModels`

機械学習モデルを検索します。

{{< details >}}GitLab 16.8で**導入**。**状態**: 実験。{{< /details >}}

[`MlModelConnection`](#mlmodelconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmlmodelsname"></a>`name` | [`String`](#string) | この文字列を含む名前を検索します。 |
| <a id="projectmlmodelsorderby"></a>`orderBy` | [`MlModelsOrderBy`](#mlmodelsorderby) | 列の並べ替え。デフォルトはcreated_atです。 |
| <a id="projectmlmodelssort"></a>`sort` | [`SortDirectionEnum`](#sortdirectionenum) | 列の並べ替え。デフォルトはdescです。 |

##### `Project.nestedEnvironments`

ネストされたフォルダーを含むこのプロジェクトの環境。1回のリクエストにつき1つのプロジェクトに対してのみ解決できます。

[`NestedEnvironmentConnection`](#nestedenvironmentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectnestedenvironmentsname"></a>`name` | [`String`](#string) | 環境の名前。 |
| <a id="projectnestedenvironmentssearch"></a>`search` | [`String`](#string) | 環境名の検索クエリ。 |
| <a id="projectnestedenvironmentsstates"></a>`states` | [`[String!]`](#string) | 結果に含める環境の状態。 |
| <a id="projectnestedenvironmentstype"></a>`type` | [`String`](#string) | 環境タイプの検索クエリ。 |

##### `Project.observabilityLogsLinks`

プロジェクトに添付されているログ。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ObservabilityLogConnection`](#observabilitylogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectobservabilitylogslinksfingerprint"></a>`fingerprint` | [`String`](#string) | ログのフィンガープリント。 |
| <a id="projectobservabilitylogslinksservicename"></a>`serviceName` | [`String`](#string) | ログのサービス名。 |
| <a id="projectobservabilitylogslinksseveritynumber"></a>`severityNumber` | [`Int`](#int) | ログの重大度数値。 |
| <a id="projectobservabilitylogslinkstimestamp"></a>`timestamp` | [`ISO8601DateTime`](#iso8601datetime) | ログのログタイムスタンプ。 |
| <a id="projectobservabilitylogslinkstraceidentifier"></a>`traceIdentifier` | [`String`](#string) | ログのトレースID。 |

##### `Project.observabilityMetricsLinks`

プロジェクトに添付されているメトリクス。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ObservabilityMetricConnection`](#observabilitymetricconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectobservabilitymetricslinksname"></a>`name` | [`String`](#string) | メトリクスの名前。 |
| <a id="projectobservabilitymetricslinkstype"></a>`type` | [`OpenTelemetryMetricType`](#opentelemetrymetrictype) | メトリクスのタイプ。 |

##### `Project.observabilityTracesLinks`

プロジェクトに添付されているトレース。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ObservabilityTraceConnection`](#observabilitytraceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectobservabilitytraceslinkstraceidentifier"></a>`traceIdentifier` | [`String`](#string) | トレースの識別子。 |

##### `Project.packages`

プロジェクトのパッケージ。

[`PackageConnection`](#packageconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpackagesincludeversionless"></a>`includeVersionless` | [`Boolean`](#boolean) | バージョンなしのパッケージを含めます。 |
| <a id="projectpackagespackagename"></a>`packageName` | [`String`](#string) | パッケージを名前で検索します。 |
| <a id="projectpackagespackagetype"></a>`packageType` | [`PackageTypeEnum`](#packagetypeenum) | パッケージをタイプでフィルタリングします。 |
| <a id="projectpackagespackageversion"></a>`packageVersion` | [`String`](#string) | パッケージをバージョンでフィルタリングします。`include_versionless`と組み合わせて使用​​すると、バージョンなしのパッケージは返されません。 |
| <a id="projectpackagessort"></a>`sort` | [`PackageSort`](#packagesort) | パッケージを条件でソートします。 |
| <a id="projectpackagesstatus"></a>`status` | [`PackageStatus`](#packagestatus) | パッケージを状態でフィルタリングします。 |

##### `Project.pagesDeployments`

プロジェクトのPagesデプロイのリスト。

[`PagesDeploymentConnection`](#pagesdeploymentconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpagesdeploymentsactive"></a>`active` | [`Boolean`](#boolean) | アクティブまたは（非アクティブ）の状態でフィルタリングします。 |
| <a id="projectpagesdeploymentssort"></a>`sort` | [`Sort`](#sort) | 結果をソートします。 |
| <a id="projectpagesdeploymentsversioned"></a>`versioned` | [`Boolean`](#boolean) | バージョン管理されているデプロイかバージョン管理されていないデプロイかでフィルタリングします。 |

##### `Project.pipeline`

プロジェクトのパイプライン。引数が指定されていない場合、デフォルトブランチのヘッドコミットの最新のパイプラインを返します。

[`Pipeline`](#pipeline)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelineid"></a>`id` | [`CiPipelineID`](#cipipelineid) | パイプラインのグローバルID。例, "gid://gitlab/Ci::Pipeline/314"。 |
| <a id="projectpipelineiid"></a>`iid` | [`ID`](#id) | パイプラインのIID。例：「1」。 |
| <a id="projectpipelinesha"></a>`sha` | [`String`](#string) | パイプラインのSHA。例: dyd0f15ay83993f5ab66k927w28673882x99100b。 |

##### `Project.pipelineAnalytics`

パイプライン分析。

[`PipelineAnalytics`](#pipelineanalytics)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelineanalyticsfromtime"></a>`fromTime` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 17.5で**導入**。**状態**: 実験。リクエストされた時間の開始時刻（UTC）。デフォルトは、過去1週間に開始されたパイプラインです。 |
| <a id="projectpipelineanalyticsref"></a>`ref` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.5で**導入**。**状態**: 実験。パイプラインをトリガーしたブランチ。 |
| <a id="projectpipelineanalyticssource"></a>`source` {{< icon name="warning-solid" >}} | [`CiPipelineSources`](#cipipelinesources) | GitLab 17.5で**導入**。**状態**: 実験。パイプラインのソース。 |
| <a id="projectpipelineanalyticstotime"></a>`toTime` {{< icon name="warning-solid" >}} | [`Time`](#time) | GitLab 17.5で**導入**。**状態**: 実験。リクエストされた時間の終了時刻（UTC）。デフォルトは、現在の日付より前に開始されたパイプラインです。 |

##### `Project.pipelineCounts`

プロジェクトのパイプライン数。

[`PipelineCounts`](#pipelinecounts)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelinecountsref"></a>`ref` | [`String`](#string) | パイプラインを実行対象のrefでフィルタリングします。 |
| <a id="projectpipelinecountssha"></a>`sha` | [`String`](#string) | パイプラインを実行対象のコミットのSHAでフィルタリングします。 |
| <a id="projectpipelinecountssource"></a>`source` | [`String`](#string) | パイプラインをそのソースでフィルタリングします。 |

##### `Project.pipelineExecutionPolicies`

プロジェクトのパイプライン実行ポリシー。

[`PipelineExecutionPolicyConnection`](#pipelineexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelineexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="projectpipelineexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Project.pipelineSchedules`

プロジェクトのパイプラインスケジュール。このフィールドは、1回のリクエストにつき1つのプロジェクトに対してのみ解決できます。

[`PipelineScheduleConnection`](#pipelinescheduleconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelineschedulesids"></a>`ids` | [`[ID!]`](#id) | パイプラインスケジュールをIDでフィルタリングします。 |
| <a id="projectpipelineschedulessort"></a>`sort` | [`PipelineScheduleSort`](#pipelineschedulesort) | パイプラインスケジュールをソート順で一覧表示します。デフォルトは`id_desc`です。 |
| <a id="projectpipelineschedulesstatus"></a>`status` | [`PipelineScheduleStatus`](#pipelineschedulestatus) | パイプラインスケジュールを有効な状態でフィルターします。 |

##### `Project.pipelines`

プロジェクトのパイプライン。

[`PipelineConnection`](#pipelineconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpipelinesref"></a>`ref` | [`String`](#string) | パイプラインを実行対象のrefでフィルタリングします。 |
| <a id="projectpipelinesscope"></a>`scope` | [`PipelineScopeEnum`](#pipelinescopeenum) | パイプラインをスコープでフィルタリングします。 |
| <a id="projectpipelinessha"></a>`sha` | [`String`](#string) | パイプラインを実行対象のコミットのSHAでフィルタリングします。 |
| <a id="projectpipelinessource"></a>`source` | [`String`](#string) | パイプラインをそのソースでフィルタリングします。 |
| <a id="projectpipelinesstatus"></a>`status` | [`PipelineStatusEnum`](#pipelinestatusenum) | パイプラインをその状態でフィルタリングします。 |
| <a id="projectpipelinesupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定日付より後に更新されたパイプライン。 |
| <a id="projectpipelinesupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定日付より前に更新されたパイプライン。 |
| <a id="projectpipelinesusername"></a>`username` | [`String`](#string) | パイプラインをそのパイプラインをトリガーしたユーザーでフィルタリングします。 |

##### `Project.productAnalyticsEventsStored`

使用されたすべてのイベントの数を月ごとに分類します。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`[MonthlyUsage!]`](#monthlyusage)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectproductanalyticseventsstoredmonthselection"></a>`monthSelection` | [`[MonthSelectionInput!]!`](#monthselectioninput) | 返す期間の選択。 |

##### `Project.projectMembers`

プロジェクトのメンバー。

[`MemberInterfaceConnection`](#memberinterfaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectprojectmembersrelations"></a>`relations` | [`[ProjectMemberRelation!]`](#projectmemberrelation) | 指定されたメンバー関係でメンバーをフィルタリングします。 |
| <a id="projectprojectmemberssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="projectprojectmemberssort"></a>`sort` | [`MemberSort`](#membersort) | ソートクエリ。 |

##### `Project.release`

プロジェクトの（単一の）リリース。

[`Release`](#release)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectreleasetagname"></a>`tagName` | [`String!`](#string) | リリースに関連付けられているタグの名前。 |

##### `Project.releases`

プロジェクトのリリース。

[`ReleaseConnection`](#releaseconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectreleasessort"></a>`sort` | [`ReleaseSort`](#releasesort) | 指定された条件でリリースをソートします。 |

##### `Project.requirement`

単一の要件を検索します。

[`Requirement`](#requirement)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrequirementauthorusername"></a>`authorUsername` | [`[String!]`](#string) | 要件を作成者のユーザー名でフィルタリングします。 |
| <a id="projectrequirementiid"></a>`iid` {{< icon name="warning-solid" >}} | [`ID`](#id) | GitLab 15.8で**非推奨**になりました。代わりにwork_item_iidを使用してください。 |
| <a id="projectrequirementiids"></a>`iids` {{< icon name="warning-solid" >}} | [`[ID!]`](#id) | GitLab 15.8で**非推奨**になりました。代わりにwork_item_iidsを使用してください。 |
| <a id="projectrequirementlasttestreportstate"></a>`lastTestReportState` | [`RequirementStatusFilter`](#requirementstatusfilter) | 最新の要件テストレポートの状態。 |
| <a id="projectrequirementsearch"></a>`search` | [`String`](#string) | 要件タイトルの検索クエリ。 |
| <a id="projectrequirementsort"></a>`sort` | [`Sort`](#sort) | 要件をソート順に一覧表示します。 |
| <a id="projectrequirementstate"></a>`state` | [`RequirementState`](#requirementstate) | 要件を状態でフィルタリングします。 |
| <a id="projectrequirementworkitemiid"></a>`workItemIid` | [`ID`](#id) | 更新する要件作業アイテムのIID（例: 1）。 |
| <a id="projectrequirementworkitemiids"></a>`workItemIids` | [`[ID!]`](#id) | 要件作業アイテムのIIDのリスト（例: `[1, 2]`）。 |

##### `Project.requirements`

要件を検索します。

[`RequirementConnection`](#requirementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrequirementsauthorusername"></a>`authorUsername` | [`[String!]`](#string) | 要件を作成者のユーザー名でフィルタリングします。 |
| <a id="projectrequirementsiid"></a>`iid` {{< icon name="warning-solid" >}} | [`ID`](#id) | GitLab 15.8で**非推奨**になりました。代わりにwork_item_iidを使用してください。 |
| <a id="projectrequirementsiids"></a>`iids` {{< icon name="warning-solid" >}} | [`[ID!]`](#id) | GitLab 15.8で**非推奨**になりました。代わりにwork_item_iidsを使用してください。 |
| <a id="projectrequirementslasttestreportstate"></a>`lastTestReportState` | [`RequirementStatusFilter`](#requirementstatusfilter) | 最新の要件テストレポートの状態。 |
| <a id="projectrequirementssearch"></a>`search` | [`String`](#string) | 要件タイトルの検索クエリ。 |
| <a id="projectrequirementssort"></a>`sort` | [`Sort`](#sort) | 要件をソート順に一覧表示します。 |
| <a id="projectrequirementsstate"></a>`state` | [`RequirementState`](#requirementstate) | 要件を状態でフィルタリングします。 |
| <a id="projectrequirementsworkitemiid"></a>`workItemIid` | [`ID`](#id) | 更新する要件作業アイテムのIID（例: 1）。 |
| <a id="projectrequirementsworkitemiids"></a>`workItemIids` | [`[ID!]`](#id) | 要件作業アイテムのIIDのリスト（例: `[1, 2]`）。 |

##### `Project.runnerCloudProvisioning`

クラウドプロバイダーでRunnerをプロビジョニングするために使用する情報。GitLabインスタンスがSaaSインスタンスでない場合は、`null`を返します。

{{< details >}}GitLab 16.9で**導入**。**状態**: 実験。{{< /details >}}

[`CiRunnerCloudProvisioning`](#cirunnercloudprovisioning)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrunnercloudprovisioningcloudprojectid"></a>`cloudProjectId` | [`GoogleCloudProject!`](#googlecloudproject) | クラウドプロジェクトの識別子。 |
| <a id="projectrunnercloudprovisioningprovider"></a>`provider` | [`CiRunnerCloudProvider!`](#cirunnercloudprovider) | クラウドプロバイダーの識別子。 |

##### `Project.runners`

現在のユーザーに表示されるRunnerを検索します。

[`CiRunnerConnection`](#cirunnerconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrunnersactive"></a>`active` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 14.8で**非推奨**になりました。名前が変更されました。`paused`を使用してください。 |
| <a id="projectrunnerscreatorid"></a>`creatorId` | [`UserID`](#userid) | Runnerを作成者IDでフィルタリングします。 |
| <a id="projectrunnerscreatorusername"></a>`creatorUsername` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 16.7で**導入**。**状態**: 実験。Runnerを作成者のユーザー名でフィルタリングします。 |
| <a id="projectrunnersownerfullpath"></a>`ownerFullPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。Runnerを、それを所有するプロジェクトまたはグループでフィルタリングします。 |
| <a id="projectrunnersownerwildcard"></a>`ownerWildcard` {{< icon name="warning-solid" >}} | [`CiRunnerOwnerWildcard`](#cirunnerownerwildcard) | GitLab 17.8で**導入**。**状態**: 実験。Runnerをオーナーのワイルドカードでフィルタリングします。 |
| <a id="projectrunnerspaused"></a>`paused` | [`Boolean`](#boolean) | Runnerを`paused`（true）または`active`（false）の状態によりフィルタリングします。 |
| <a id="projectrunnerssearch"></a>`search` | [`String`](#string) | description（説明）フィールドのフルトークンまたは部分テキストでフィルタリングします。 |
| <a id="projectrunnerssort"></a>`sort` | [`CiRunnerSort`](#cirunnersort) | 結果のソート順。 |
| <a id="projectrunnersstatus"></a>`status` | [`CiRunnerStatus`](#cirunnerstatus) | Runnerを状態でフィルタリングします。 |
| <a id="projectrunnerstaglist"></a>`tagList` | [`[String!]`](#string) | Runnerに関連するタグでフィルタリングします（カンマ区切りまたは配列）。 |
| <a id="projectrunnerstype"></a>`type` | [`CiRunnerType`](#cirunnertype) | Runnerをタイプでフィルタリングします。 |
| <a id="projectrunnersupgradestatus"></a>`upgradeStatus` | [`CiRunnerUpgradeStatus`](#cirunnerupgradestatus) | アップグレード状態でフィルタリングします。 |
| <a id="projectrunnersversionprefix"></a>`versionPrefix` {{< icon name="warning-solid" >}} | [`String`](#string) | **GitLab 16.6で導入**。**状態**: 実験。Runnerをバージョンでフィルタリングします。検索語の先頭がバージョンであるRunnerマネージャーを含むRunnerが返されます。たとえば、検索語「14.」は、バージョン「14.11.1」と「14.2.3」のRunnerマネージャーを返します。 |

##### `Project.savedReply`

プロジェクト内の保存済み返信。

[`ProjectSavedReply`](#projectsavedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsavedreplyid"></a>`id` | [`ProjectsSavedReplyID!`](#projectssavedreplyid) | 保存済み返信のグローバルID。 |

##### `Project.scanExecutionPolicies`

プロジェクトのスキャン実行ポリシー。

[`ScanExecutionPolicyConnection`](#scanexecutionpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectscanexecutionpoliciesactionscantypes"></a>`actionScanTypes` | [`[SecurityReportTypeEnum!]`](#securityreporttypeenum) | ポリシーをアクションスキャンタイプでフィルタリングします。サポートされるスキャンタイプは、`dast`、`secret_detection`、`cluster_image_scanning`、`container_scanning`、`sast`、`sast_iac`、`dependency_scanning`だけです。 |
| <a id="projectscanexecutionpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="projectscanexecutionpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Project.scanResultPolicies`

プロジェクトのスキャン結果ポリシー。

{{< details >}}GitLab 16.9で**非推奨**になりました。`approvalPolicies`を使用してください。{{< /details >}}

[`ScanResultPolicyConnection`](#scanresultpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectscanresultpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="projectscanresultpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Project.securityExclusion`

プロジェクトの（単一の）セキュリティ除外。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectSecurityExclusion`](#projectsecurityexclusion)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecurityexclusionactive"></a>`active` | [`Boolean`](#boolean) | エントリをアクティブな状態でフィルタリングします。 |
| <a id="projectsecurityexclusionid"></a>`id` | [`SecurityProjectSecurityExclusionID!`](#securityprojectsecurityexclusionid) | プロジェクトセキュリティ除外のID。 |
| <a id="projectsecurityexclusionscanner"></a>`scanner` | [`ExclusionScannerEnum`](#exclusionscannerenum) | エントリをスキャナーでフィルタリングします。 |
| <a id="projectsecurityexclusiontype"></a>`type` | [`ExclusionTypeEnum`](#exclusiontypeenum) | エントリを除外タイプでフィルタリングします。 |

##### `Project.securityExclusions`

プロジェクトのセキュリティ除外。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectSecurityExclusionConnection`](#projectsecurityexclusionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecurityexclusionsactive"></a>`active` | [`Boolean`](#boolean) | エントリをアクティブな状態でフィルタリングします。 |
| <a id="projectsecurityexclusionsscanner"></a>`scanner` | [`ExclusionScannerEnum`](#exclusionscannerenum) | エントリをスキャナーでフィルタリングします。 |
| <a id="projectsecurityexclusionstype"></a>`type` | [`ExclusionTypeEnum`](#exclusiontypeenum) | エントリを除外タイプでフィルタリングします。 |

##### `Project.securityPolicyProjectLinkedGroups`

セキュリティポリシープロジェクトとして使用する場合に、プロジェクトにリンクされているグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritypolicyprojectlinkedgroupsids"></a>`ids` | [`[ID!]`](#id) | グループをIDでフィルタリングします。 |
| <a id="projectsecuritypolicyprojectlinkedgroupssearch"></a>`search` | [`String`](#string) | グループの検索クエリ。 |
| <a id="projectsecuritypolicyprojectlinkedgroupstoplevelonly"></a>`topLevelOnly` | [`Boolean`](#boolean) | トップレベルグループのみを含めます。 |

##### `Project.securityPolicyProjectSuggestions`

セキュリティポリシープロジェクトの提案。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritypolicyprojectsuggestionsonlylinked"></a>`onlyLinked` | [`Boolean`](#boolean) | すでにセキュリティポリシープロジェクトとしてリンクされているプロジェクトのみを提案するかどうか。 |
| <a id="projectsecuritypolicyprojectsuggestionssearch"></a>`search` | [`String!`](#string) | プロジェクトのフルパスの検索クエリ。 |

##### `Project.securityTrainingProviders`

プロジェクトのセキュリティトレーニングプロバイダーのリスト。

[`[ProjectSecurityTraining!]`](#projectsecuritytraining)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritytrainingprovidersonlyenabled"></a>`onlyEnabled` | [`Boolean`](#boolean) | リストを有効になっているセキュリティトレーニングのみになるようフィルタリングします。 |

##### `Project.securityTrainingUrls`

プロジェクトで有効になっているトレーニングプロバイダーのセキュリティトレーニングURL。

[`[SecurityTrainingUrl!]`](#securitytrainingurl)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritytrainingurlsfilename"></a>`filename` | [`String`](#string) | セキュリティトレーニングURLをプログラミング言語でフィルタリングするためのファイル名。 |
| <a id="projectsecuritytrainingurlsidentifierexternalids"></a>`identifierExternalIds` | [`[String!]!`](#string) | 脆弱性識別子の外部IDのリスト。 |

##### `Project.sentryDetailedError`

プロジェクトに関するSentryエラーの詳細バージョン。

[`SentryDetailedError`](#sentrydetailederror)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsentrydetailederrorid"></a>`id` | [`GitlabErrorTrackingDetailedErrorID!`](#gitlaberrortrackingdetailederrorid) | SentryイシューのID。 |

##### `Project.services`

プロジェクトサービス。

{{< details >}}GitLab 15.9で**非推奨**になりました。代わりに、[イシュー389904](https://gitlab.com/gitlab-org/gitlab/-/issues/389904)で`Project.integrations`フィールドが提案されています。{{< /details >}}

[`ServiceConnection`](#serviceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectservicesactive"></a>`active` | [`Boolean`](#boolean) | インテグレーションがアクティブかどうかを示します。 |
| <a id="projectservicestype"></a>`type` | [`ServiceType`](#servicetype) | インテグレーションのタイプ。 |

##### `Project.snippets`

プロジェクトのスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="projectsnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `Project.terraformState`

単一のTerraform状態を名前で検索します。

[`TerraformState`](#terraformstate)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectterraformstatename"></a>`name` | [`String!`](#string) | Terraform状態の名前。 |

##### `Project.timelogs`

プロジェクト内のイシューとマージリクエストに記録された時間。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projecttimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="projecttimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="projecttimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="projecttimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="projecttimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="projecttimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="projecttimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="projecttimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `Project.valueStreamDashboardUsageOverview`

プロジェクト内で集約された使用量カウント。

{{< details >}}GitLab 17.2で**導入**。**状態**: 実験。{{< /details >}}

[`ValueStreamDashboardCount`](#valuestreamdashboardcount)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamdashboardusageoverviewidentifier"></a>`identifier` | [`ValueStreamDashboardProjectLevelMetric!`](#valuestreamdashboardprojectlevelmetric) | 取得するカウントのタイプ。 |
| <a id="projectvaluestreamdashboardusageoverviewtimeframe"></a>`timeframe` | [`Timeframe!`](#timeframe) | この期間（通常は月初めから月末まで）中に記録されたカウント（システムにより月ごとに集計が実行されます）。 |

##### `Project.valueStreams`

プロジェクトで利用可能なバリューストリーム。

[`ValueStreamConnection`](#valuestreamconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamsid"></a>`id` | [`ID`](#id) | バリューストリームID。 |

##### `Project.visibleForks`

プロジェクトの可視フォーク。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvisibleforksminimumaccesslevel"></a>`minimumAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 最小アクセスレベル。 |

##### `Project.vulnerabilities`

プロジェクトで報告された脆弱性。

[`VulnerabilityConnection`](#vulnerabilityconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvulnerabilitiesclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="projectvulnerabilitiesclusterid"></a>`clusterId` | [`[ClustersClusterID!]`](#clustersclusterid) | 脆弱性を`cluster_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="projectvulnerabilitiesdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。このフィルターで含められるのは、却下された脆弱性だけです。 |
| <a id="projectvulnerabilitieshasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる可能性が高い脆弱性のみを返します。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="projectvulnerabilitieshasissues"></a>`hasIssues` | [`Boolean`](#boolean) | リンクされたイシューがある脆弱性のみを返します。 |
| <a id="projectvulnerabilitieshasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | リンクされているマージリクエストがある脆弱性のみを返します。 |
| <a id="projectvulnerabilitieshasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性のみを返します。 |
| <a id="projectvulnerabilitieshasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | デフォルトブランチで解決された脆弱性のみを返します。 |
| <a id="projectvulnerabilitiesidentifiername"></a>`identifierName` | [`String`](#string) | 脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="projectvulnerabilitiesimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="projectvulnerabilitiesowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="projectvulnerabilitiesprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="projectvulnerabilitiesreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="projectvulnerabilitiesscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をVulnerabilityScanner.externalIdでフィルタリングします。 |
| <a id="projectvulnerabilitiesscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="projectvulnerabilitiesseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="projectvulnerabilitiessort"></a>`sort` | [`VulnerabilitySort`](#vulnerabilitysort) | 脆弱性をソート順で一覧表示します。 |
| <a id="projectvulnerabilitiesstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

##### `Project.vulnerabilitiesCountByDay`

プロジェクトの1日あたりの脆弱性の履歴数。

[`VulnerabilitiesCountByDayConnection`](#vulnerabilitiescountbydayconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvulnerabilitiescountbydayenddate"></a>`endDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最後の日付。 |
| <a id="projectvulnerabilitiescountbydaystartdate"></a>`startDate` | [`ISO8601Date!`](#iso8601date) | 脆弱性の履歴をフェッチする対象となる最初の日付。 |

##### `Project.vulnerabilityIdentifierSearch`

脆弱性を識別子で検索します。

[`[String!]`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvulnerabilityidentifiersearchname"></a>`name` | [`String!`](#string) | 識別子を名前で検索します。部分文字列または部分一致検索がサポートされています。引数は3文字を超えていなければなりません。 |

##### `Project.vulnerabilityManagementPolicies`

プロジェクトの脆弱性管理ポリシー。

{{< details >}}GitLab 17.5で**導入**。**状態**: 実験。{{< /details >}}

[`VulnerabilityManagementPolicyConnection`](#vulnerabilitymanagementpolicyconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvulnerabilitymanagementpoliciesincludeunscoped"></a>`includeUnscoped` | [`Boolean`](#boolean) | プロジェクトをスコープとするポリシーをフィルタリングします。 |
| <a id="projectvulnerabilitymanagementpoliciesrelationship"></a>`relationship` | [`SecurityPolicyRelationType`](#securitypolicyrelationtype) | 指定されたポリシー関係でポリシーをフィルタリングします。 |

##### `Project.vulnerabilitySeveritiesCount`

プロジェクト内の脆弱性の重大度ごとの数。

[`VulnerabilitySeveritiesCount`](#vulnerabilityseveritiescount)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvulnerabilityseveritiescountcapped"></a>`capped` | [`Boolean`](#boolean) | デフォルト値はfalseです。trueに設定すると、各重大度に対して返されるカウントが最大1001に制限されます。 |
| <a id="projectvulnerabilityseveritiescountclusteragentid"></a>`clusterAgentId` | [`[ClustersAgentID!]`](#clustersagentid) | 脆弱性を`cluster_agent_id`でフィルタリングします。このフィルターで含められるのは、`reportType`が`cluster_image_scanning`の脆弱性だけです。 |
| <a id="projectvulnerabilityseveritiescountdismissalreason"></a>`dismissalReason` | [`[VulnerabilityDismissalReason!]`](#vulnerabilitydismissalreason) | 却下理由でフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescounthasairesolution"></a>`hasAiResolution` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.5で**導入**。**状態**: 実験。GitLab Duo脆弱性の修正で解決できる脆弱性または解決できない脆弱性に絞り込みます。`vulnerability_report_vr_filter`機能フラグを有効にすることが必要です。そうでない場合、引数は無視されます。 |
| <a id="projectvulnerabilityseveritiescounthasissues"></a>`hasIssues` | [`Boolean`](#boolean) | イシューがある脆弱性かイシューがない脆弱性かでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescounthasmergerequest"></a>`hasMergeRequest` | [`Boolean`](#boolean) | マージリクエストがある脆弱性かマージリクエストがない脆弱性かでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescounthasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 修正がある脆弱性か修正がない脆弱性かでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescounthasresolution"></a>`hasResolution` | [`Boolean`](#boolean) | 解決策がある脆弱性か解決策がない脆弱性かでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountidentifiername"></a>`identifierName` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。脆弱性を識別子の名前でフィルタリングします。インスタンスセキュリティダッシュボードのクエリに適用した場合、無視されます。 |
| <a id="projectvulnerabilityseveritiescountimage"></a>`image` | [`[String!]`](#string) | 脆弱性を場所のイメージでフィルタリングします。このフィルターが存在する場合、一致するのは`container_scanning`、`cluster_image_scanning`を含む`reportType`のエントリだけです。 |
| <a id="projectvulnerabilityseveritiescountowasptopten"></a>`owaspTopTen` | [`[VulnerabilityOwaspTop10!]`](#vulnerabilityowasptop10) | 脆弱性をOWASP Top 10カテゴリでフィルタリングします。ワイルドカード値「NONE」もサポートされています。他のOWASP Top 10値と組み合わせることはできません。 |
| <a id="projectvulnerabilityseveritiescountprojectid"></a>`projectId` | [`[ID!]`](#id) | 脆弱性をプロジェクトでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountreporttype"></a>`reportType` | [`[VulnerabilityReportType!]`](#vulnerabilityreporttype) | 脆弱性をレポートタイプでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountscanner"></a>`scanner` | [`[String!]`](#string) | 脆弱性をスキャナーでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountscannerid"></a>`scannerId` | [`[VulnerabilitiesScannerID!]`](#vulnerabilitiesscannerid) | 脆弱性をスキャナーIDでフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountseverity"></a>`severity` | [`[VulnerabilitySeverity!]`](#vulnerabilityseverity) | 脆弱性を重大度でフィルタリングします。 |
| <a id="projectvulnerabilityseveritiescountstate"></a>`state` | [`[VulnerabilityState!]`](#vulnerabilitystate) | 脆弱性を状態でフィルタリングします。 |

##### `Project.workItemStateCounts`

プロジェクトの状態別の作業アイテム数。

{{< details >}}GitLab 16.7で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemStateCountsType`](#workitemstatecountstype)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectworkitemstatecountsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられたユーザーのユーザー名。 |
| <a id="projectworkitemstatecountsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="projectworkitemstatecountsauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="projectworkitemstatecountsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="projectworkitemstatecountsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="projectworkitemstatecountsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="projectworkitemstatecountscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="projectworkitemstatecountscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="projectworkitemstatecountscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="projectworkitemstatecountsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="projectworkitemstatecountsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="projectworkitemstatecountshealthstatus"></a>`healthStatus` | [`HealthStatusFilter`](#healthstatusfilter) | 作業アイテムのヘルスステータス。noneとanyの値がサポートされています。 |
| <a id="projectworkitemstatecountsiid"></a>`iid` | [`String`](#string) | 作業アイテムのIID。例：「1」。 |
| <a id="projectworkitemstatecountsiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例: `["1", "2"]`。 |
| <a id="projectworkitemstatecountsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectworkitemstatecountslabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="projectworkitemstatecountsmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="projectworkitemstatecountsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="projectworkitemstatecountsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="projectworkitemstatecountsnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="projectworkitemstatecountsor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="projectworkitemstatecountsrequirementlegacywidget"></a>`requirementLegacyWidget` {{< icon name="warning-solid" >}} | [`RequirementLegacyFilterInput`](#requirementlegacyfilterinput) | GitLab 15.9で**非推奨**になりました。代わりに作業アイテムIIDフィルターを使用してください。 |
| <a id="projectworkitemstatecountssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectworkitemstatecountssort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムを基準でソートします。 |
| <a id="projectworkitemstatecountsstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="projectworkitemstatecountssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="projectworkitemstatecountstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定された作業アイテムタイプで作業アイテムをフィルタリングします。 |
| <a id="projectworkitemstatecountsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="projectworkitemstatecountsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |
| <a id="projectworkitemstatecountsverificationstatuswidget"></a>`verificationStatusWidget` | [`VerificationStatusFilterInput`](#verificationstatusfilterinput) | 検証状態ウィジェットフィルターのインプット。`work_items_alpha`が無効なら無視されます。 |
| <a id="projectworkitemstatecountsweight"></a>`weight` | [`String`](#string) | 作業アイテムに適用されるウェイト。noneとanyの値がサポートされています。 |

##### `Project.workItemTypes`

プロジェクトで使用できる作業アイテムタイプ。

[`WorkItemTypeConnection`](#workitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectworkitemtypesname"></a>`name` | [`IssueType`](#issuetype) | 指定された名前で作業アイテムタイプをフィルタリングします。 |

##### `Project.workItems`

プロジェクトの作業アイテム。

{{< details >}}GitLab 15.1で**導入**。**状態**: 実験。{{< /details >}}

[`WorkItemConnection`](#workitemconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectworkitemsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられたユーザーのユーザー名。 |
| <a id="projectworkitemsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。`assigneeUsernames`と互換性がありません。 |
| <a id="projectworkitemsauthorusername"></a>`authorUsername` | [`String`](#string) | 作業アイテムを作成者のユーザー名でフィルタリングします。 |
| <a id="projectworkitemsclosedafter"></a>`closedAfter` | [`Time`](#time) | 指定日より後にクローズされた作業アイテム。 |
| <a id="projectworkitemsclosedbefore"></a>`closedBefore` | [`Time`](#time) | 指定日より前にクローズされた作業アイテム。 |
| <a id="projectworkitemsconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密情報作業アイテムをフィルタリングします。`false`の場合、機密情報作業アイテムを除外します。`true`の場合、機密情報作業アイテムのみ返します。 |
| <a id="projectworkitemscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成された作業アイテム。 |
| <a id="projectworkitemscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成された作業アイテム。 |
| <a id="projectworkitemscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | GitLab 17.10で**導入**。**状態**: 実験。カスタムフィールドでフィルタリングします。 |
| <a id="projectworkitemsdueafter"></a>`dueAfter` | [`Time`](#time) | 指定タイムスタンプより後に期限切れになる作業アイテム。 |
| <a id="projectworkitemsduebefore"></a>`dueBefore` | [`Time`](#time) | 指定タイムスタンプより前に期限切れになる作業アイテム。 |
| <a id="projectworkitemshealthstatus"></a>`healthStatus` | [`HealthStatusFilter`](#healthstatusfilter) | 作業アイテムのヘルスステータス。noneとanyの値がサポートされています。 |
| <a id="projectworkitemsiid"></a>`iid` | [`String`](#string) | 作業アイテムのIID。例：「1」。 |
| <a id="projectworkitemsiids"></a>`iids` | [`[String!]`](#string) | 作業アイテムのIIDのリスト。例: `["1", "2"]`。 |
| <a id="projectworkitemsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="projectworkitemslabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されるラベル。 |
| <a id="projectworkitemsmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されるマイルストーン。 |
| <a id="projectworkitemsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。`milestoneTitle`と互換性がありません。 |
| <a id="projectworkitemsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値として`NONE`と`ANY`がサポートされています。 |
| <a id="projectworkitemsnot"></a>`not` | [`NegatedWorkItemFilterInput`](#negatedworkitemfilterinput) | 否定条件となる作業アイテム引数。 |
| <a id="projectworkitemsor"></a>`or` | [`UnionedWorkItemFilterInput`](#unionedworkitemfilterinput) | 引数のリストのインクルーシブ`OR`結合。 |
| <a id="projectworkitemsrequirementlegacywidget"></a>`requirementLegacyWidget` {{< icon name="warning-solid" >}} | [`RequirementLegacyFilterInput`](#requirementlegacyfilterinput) | GitLab 15.9で**非推奨**になりました。代わりに作業アイテムIIDフィルターを使用してください。 |
| <a id="projectworkitemssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="projectworkitemssort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムを基準でソートします。 |
| <a id="projectworkitemsstate"></a>`state` | [`IssuableState`](#issuablestate) | 作業アイテムの現在の状態。 |
| <a id="projectworkitemssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしている作業アイテム。 |
| <a id="projectworkitemstypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定された作業アイテムタイプで作業アイテムをフィルタリングします。 |
| <a id="projectworkitemsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新された作業アイテム。 |
| <a id="projectworkitemsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新された作業アイテム。 |
| <a id="projectworkitemsverificationstatuswidget"></a>`verificationStatusWidget` | [`VerificationStatusFilterInput`](#verificationstatusfilterinput) | 検証状態ウィジェットフィルターのインプット。`work_items_alpha`が無効なら無視されます。 |
| <a id="projectworkitemsweight"></a>`weight` | [`String`](#string) | 作業アイテムに適用されるウェイト。noneとanyの値がサポートされています。 |

### `ProjectCiCdSetting`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcicdsettinginboundjobtokenscopeenabled"></a>`inboundJobTokenScopeEnabled` | [`Boolean`](#boolean) | このプロジェクトへのアクセスが他のプロジェクトで生成されたCI/CDジョブトークンによって制限されているかどうかを示します。 |
| <a id="projectcicdsettingjobtokenscopeenabled"></a>`jobTokenScopeEnabled` | [`Boolean`](#boolean) | 他のプロジェクトへのアクセスがこのプロジェクトで生成されたCI/CDジョブトークンによって制限されているかどうかを示します。 |
| <a id="projectcicdsettingkeeplatestartifact"></a>`keepLatestArtifact` | [`Boolean`](#boolean) | 最後のビルドアーティファクトを保持するかどうか。 |
| <a id="projectcicdsettingmergepipelinesenabled"></a>`mergePipelinesEnabled` | [`Boolean`](#boolean) | マージ結果パイプラインが有効になっているかどうか。 |
| <a id="projectcicdsettingmergetrainsenabled"></a>`mergeTrainsEnabled` | [`Boolean`](#boolean) | マージトレインが有効になっているかどうか。 |
| <a id="projectcicdsettingmergetrainsskiptrainallowed"></a>`mergeTrainsSkipTrainAllowed` | [`Boolean!`](#boolean) | マージトレインで即時マージが許可されているかどうか。 |
| <a id="projectcicdsettingpipelinevariablesminimumoverriderole"></a>`pipelineVariablesMinimumOverrideRole` | [`String!`](#string) | パイプライン作成時またはジョブ実行時に変数を設定するために必要な最小ロール。 |
| <a id="projectcicdsettingproject"></a>`project` | [`Project`](#project) | CI/CD設定が属するプロジェクト。 |
| <a id="projectcicdsettingpushrepositoryforjobtokenallowed"></a>`pushRepositoryForJobTokenAllowed` | [`Boolean`](#boolean) | ジョブトークンを使用して元のプロジェクトリポジトリにプッシュすることができるかどうかを示します。 |

### `ProjectComplianceControlStatusType`

プロジェクトのコンプライアンスコントロール状態。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancecontrolstatustypecompliancerequirementscontrol"></a>`complianceRequirementsControl` | [`ComplianceRequirementsControl!`](#compliancerequirementscontrol) | コンプライアンス状態の制御。 |
| <a id="projectcompliancecontrolstatustypeid"></a>`id` | [`ID!`](#id) | コンプライアンスコントロール状態ID。 |
| <a id="projectcompliancecontrolstatustypestatus"></a>`status` | [`ProjectComplianceControlStatus!`](#projectcompliancecontrolstatus) | 制御のプロジェクトのコンプライアンス状態。 |
| <a id="projectcompliancecontrolstatustypeupdatedat"></a>`updatedAt` | [`Time!`](#time) | 制御状態の最終更新タイムスタンプ。 |

### `ProjectComplianceRequirementStatus`

プロジェクトのコンプライアンス要件状態。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancerequirementstatuscomplianceframework"></a>`complianceFramework` | [`ComplianceFramework!`](#complianceframework) | コンプライアンス状態のフレームワーク。 |
| <a id="projectcompliancerequirementstatuscompliancerequirement"></a>`complianceRequirement` | [`ComplianceRequirement!`](#compliancerequirement) | コンプライアンス状態の要件。 |
| <a id="projectcompliancerequirementstatusfailcount"></a>`failCount` | [`Int!`](#int) | 要件を満たさないコンプライアンスコントロールの総数。 |
| <a id="projectcompliancerequirementstatusid"></a>`id` | [`ID!`](#id) | コンプライアンス要件状態ID。 |
| <a id="projectcompliancerequirementstatuspasscount"></a>`passCount` | [`Int!`](#int) | 要件を満たすコンプライアンスコントロールの総数。 |
| <a id="projectcompliancerequirementstatuspendingcount"></a>`pendingCount` | [`Int!`](#int) | 要件について保留中コンプライアンス制御の総数。 |
| <a id="projectcompliancerequirementstatusproject"></a>`project` | [`Project!`](#project) | コンプライアンス状態のプロジェクト。 |
| <a id="projectcompliancerequirementstatusupdatedat"></a>`updatedAt` | [`Time!`](#time) | 要件状態の最終更新タイムスタンプ。 |

### `ProjectDataTransfer`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectdatatransferegressnodes"></a>`egressNodes` | [`EgressNodeConnection`](#egressnodeconnection) | データノード。（[接続](#connections)を参照） |
| <a id="projectdatatransfertotalegress"></a>`totalEgress` | [`BigInt`](#bigint) | その期間におけるそのプロジェクトの合計エグレス。 |

### `ProjectFeatureAccess`

ユーザーがプロジェクト機能にアクセスするために必要なアクセスレベルを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectfeatureaccessintegervalue"></a>`integerValue` | [`Int`](#int) | アクセスレベルの整数表記。 |
| <a id="projectfeatureaccessstringvalue"></a>`stringValue` | [`ProjectFeatureAccessLevel`](#projectfeatureaccesslevel) | アクセスレベルの文字列表記。 |

### `ProjectMember`

プロジェクトメンバーシップを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmemberaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="projectmembercreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="projectmembercreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="projectmemberexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="projectmemberid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="projectmemberproject"></a>`project` | [`Project`](#project) | ユーザーがメンバーとして属するプロジェクト。 |
| <a id="projectmemberupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="projectmemberuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |
| <a id="projectmemberuserpermissions"></a>`userPermissions` | [`ProjectPermissions!`](#projectpermissions) | リソースに対する現在のユーザーの権限。 |

#### 引数のあるフィールド

##### `ProjectMember.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectmembermergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

### `ProjectPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectpermissionsadminoperations"></a>`adminOperations` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_operations`を実行できます。 |
| <a id="projectpermissionsadminpathlocks"></a>`adminPathLocks` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_path_locks`を実行できます。 |
| <a id="projectpermissionsadminproject"></a>`adminProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_project`を実行できます。 |
| <a id="projectpermissionsadminremotemirror"></a>`adminRemoteMirror` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_remote_mirror`を実行できます。 |
| <a id="projectpermissionsadminwiki"></a>`adminWiki` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_wiki`を実行できます。 |
| <a id="projectpermissionsarchiveproject"></a>`archiveProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`archive_project`を実行できます。 |
| <a id="projectpermissionschangenamespace"></a>`changeNamespace` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`change_namespace`を実行できます。 |
| <a id="projectpermissionschangevisibilitylevel"></a>`changeVisibilityLevel` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`change_visibility_level`を実行できます。 |
| <a id="projectpermissionscreatedeployment"></a>`createDeployment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_deployment`を実行できます。 |
| <a id="projectpermissionscreatedesign"></a>`createDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_design`を実行できます。 |
| <a id="projectpermissionscreateissue"></a>`createIssue` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_issue`を実行できます。 |
| <a id="projectpermissionscreatelabel"></a>`createLabel` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_label`を実行できます。 |
| <a id="projectpermissionscreatemergerequestfrom"></a>`createMergeRequestFrom` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_merge_request_from`を実行できます。 |
| <a id="projectpermissionscreatemergerequestin"></a>`createMergeRequestIn` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_merge_request_in`を実行できます。 |
| <a id="projectpermissionscreatepages"></a>`createPages` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_pages`を実行できます。 |
| <a id="projectpermissionscreatepathlock"></a>`createPathLock` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_path_lock`を実行できます。 |
| <a id="projectpermissionscreatepipeline"></a>`createPipeline` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_pipeline`を実行できます。 |
| <a id="projectpermissionscreatepipelineschedule"></a>`createPipelineSchedule` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_pipeline_schedule`を実行できます。 |
| <a id="projectpermissionscreatesnippet"></a>`createSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_snippet`を実行できます。 |
| <a id="projectpermissionscreatewiki"></a>`createWiki` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_wiki`を実行できます。 |
| <a id="projectpermissionsdestroydesign"></a>`destroyDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_design`を実行できます。 |
| <a id="projectpermissionsdestroypages"></a>`destroyPages` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_pages`を実行できます。 |
| <a id="projectpermissionsdestroywiki"></a>`destroyWiki` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_wiki`を実行できます。 |
| <a id="projectpermissionsdownloadcode"></a>`downloadCode` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`download_code`を実行できます。 |
| <a id="projectpermissionsdownloadwikicode"></a>`downloadWikiCode` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`download_wiki_code`を実行できます。 |
| <a id="projectpermissionsforkproject"></a>`forkProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`fork_project`を実行できます。 |
| <a id="projectpermissionsgeneratedescription"></a>`generateDescription` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`generate_description`を実行できます。 |
| <a id="projectpermissionsmovedesign"></a>`moveDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`move_design`を実行できます。 |
| <a id="projectpermissionspushcode"></a>`pushCode` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`push_code`を実行できます。 |
| <a id="projectpermissionspushtodeleteprotectedbranch"></a>`pushToDeleteProtectedBranch` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`push_to_delete_protected_branch`を実行できます。 |
| <a id="projectpermissionsreadcommitstatus"></a>`readCommitStatus` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_commit_status`を実行できます。 |
| <a id="projectpermissionsreadcycleanalytics"></a>`readCycleAnalytics` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_cycle_analytics`を実行できます。 |
| <a id="projectpermissionsreaddesign"></a>`readDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_design`を実行できます。 |
| <a id="projectpermissionsreadenvironment"></a>`readEnvironment` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_environment`を実行できます。 |
| <a id="projectpermissionsreadmergerequest"></a>`readMergeRequest` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_merge_request`を実行できます。 |
| <a id="projectpermissionsreadpagescontent"></a>`readPagesContent` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_pages_content`を実行できます。 |
| <a id="projectpermissionsreadpathlocks"></a>`readPathLocks` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_path_locks`を実行できます。 |
| <a id="projectpermissionsreadproject"></a>`readProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_project`を実行できます。 |
| <a id="projectpermissionsreadprojectmember"></a>`readProjectMember` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_project_member`を実行できます。 |
| <a id="projectpermissionsreadwiki"></a>`readWiki` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_wiki`を実行できます。 |
| <a id="projectpermissionsremoveforkproject"></a>`removeForkProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_fork_project`を実行できます。 |
| <a id="projectpermissionsremovepages"></a>`removePages` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_pages`を実行できます。 |
| <a id="projectpermissionsremoveproject"></a>`removeProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`remove_project`を実行できます。 |
| <a id="projectpermissionsrenameproject"></a>`renameProject` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`rename_project`を実行できます。 |
| <a id="projectpermissionsrequestaccess"></a>`requestAccess` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`request_access`を実行できます。 |
| <a id="projectpermissionsupdatedesign"></a>`updateDesign` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_design`を実行できます。 |
| <a id="projectpermissionsupdatepages"></a>`updatePages` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_pages`を実行できます。 |
| <a id="projectpermissionsupdatewiki"></a>`updateWiki` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_wiki`を実行できます。 |
| <a id="projectpermissionsuploadfile"></a>`uploadFile` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`upload_file`を実行できます。 |
| <a id="projectpermissionsvieweditpage"></a>`viewEditPage` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`view_edit_page`を実行できます。 |

### `ProjectPlanLimits`

現在のプロジェクトのプラン制限。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectplanlimitscipipelineschedules"></a>`ciPipelineSchedules` | [`Int`](#int) | プロジェクトごとに許可されるパイプラインスケジュールの最大数。 |

### `ProjectRepositoryRegistry`

プロジェクトリポジトリのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectrepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | ProjectRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="projectrepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | ProjectRepositoryRegistry作成時のタイムスタンプ。 |
| <a id="projectrepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="projectrepositoryregistryid"></a>`id` | [`ID!`](#id) | ProjectRepositoryRegistryのID。 |
| <a id="projectrepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | ProjectRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="projectrepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | ProjectRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="projectrepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにProjectRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="projectrepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | ProjectRepositoryRegistryのモデルレコードのID。 |
| <a id="projectrepositoryregistryprojectid"></a>`projectId` | [`ID!`](#id) | プロジェクトのID。 |
| <a id="projectrepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | ProjectRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="projectrepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | ProjectRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="projectrepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | ProjectRepositoryRegistryの同期状態。 |
| <a id="projectrepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | ProjectRepositoryRegistryのローカルチェックサム。 |
| <a id="projectrepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のProjectRepositoryRegistryのチェックサムの予想値。 |
| <a id="projectrepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | ProjectRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="projectrepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | ProjectRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="projectrepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | ProjectRepositoryRegistryの検証試行の連続失敗回数。 |
| <a id="projectrepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | ProjectRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="projectrepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | ProjectRepositoryRegistryの検証状態。 |
| <a id="projectrepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | ProjectRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `ProjectSavedReply`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsavedreplycontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="projectsavedreplyid"></a>`id` | [`ProjectsSavedReplyID!`](#projectssavedreplyid) | プロジェクトレベルの保存済み返信のグローバルID。 |
| <a id="projectsavedreplyname"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

### `ProjectSecret`

プロジェクトシークレットの表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecretbranch"></a>`branch` | [`String!`](#string) | シークレットにアクセスできるブランチ。 |
| <a id="projectsecretdescription"></a>`description` | [`String`](#string) | プロジェクトシークレットの説明。 |
| <a id="projectsecretenvironment"></a>`environment` | [`String!`](#string) | シークレットにアクセスできる環境。 |
| <a id="projectsecretname"></a>`name` | [`String!`](#string) | プロジェクトシークレットの名前。 |
| <a id="projectsecretproject"></a>`project` | [`Project!`](#project) | シークレットが属するプロジェクト。 |

### `ProjectSecretsManager`

プロジェクトシークレットマネージャーの表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecretsmanagercisecretsmountpath"></a>`ciSecretsMountPath` | [`String!`](#string) | プロジェクトのシークレットエンジンのマウントパス。 |
| <a id="projectsecretsmanagerproject"></a>`project` | [`Project!`](#project) | シークレットマネージャーが属するプロジェクト。 |
| <a id="projectsecretsmanagerstatus"></a>`status` | [`ProjectSecretsManagerStatus`](#projectsecretsmanagerstatus) | プロジェクトシークレットマネージャーの状態。 |

### `ProjectSecurityExclusion`

プロジェクトレベルでのセキュリティスキャナーの除外を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecurityexclusionactive"></a>`active` | [`Boolean!`](#boolean) | 除外がアクティブかどうか。 |
| <a id="projectsecurityexclusioncreatedat"></a>`createdAt` | [`Time!`](#time) | 除外作成時のタイムスタンプ。 |
| <a id="projectsecurityexclusiondescription"></a>`description` | [`String`](#string) | （オプション）除外の説明。 |
| <a id="projectsecurityexclusionid"></a>`id` | [`SecurityProjectSecurityExclusionID!`](#securityprojectsecurityexclusionid) | 除外のID。 |
| <a id="projectsecurityexclusionscanner"></a>`scanner` | [`ExclusionScannerEnum!`](#exclusionscannerenum) | 除外を使用する対象となるセキュリティスキャナー。 |
| <a id="projectsecurityexclusiontype"></a>`type` | [`ExclusionTypeEnum!`](#exclusiontypeenum) | 除外のタイプ。 |
| <a id="projectsecurityexclusionupdatedat"></a>`updatedAt` | [`Time!`](#time) | 除外更新時のタイムスタンプ。 |
| <a id="projectsecurityexclusionvalue"></a>`value` | [`String!`](#string) | 除外の値。 |

### `ProjectSecurityPolicySource`

プロジェクトに属するセキュリティポリシーのソースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritypolicysourceproject"></a>`project` | [`Project`](#project) | ポリシーが関連付けられているプロジェクト。 |

### `ProjectSecurityTraining`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsecuritytrainingdescription"></a>`description` | [`String`](#string) | トレーニングプロバイダーの説明。 |
| <a id="projectsecuritytrainingid"></a>`id` | [`GlobalID!`](#globalid) | トレーニングプロバイダーのID。 |
| <a id="projectsecuritytrainingisenabled"></a>`isEnabled` | [`Boolean!`](#boolean) | プロバイダーが有効になっているかどうかを表します。 |
| <a id="projectsecuritytrainingisprimary"></a>`isPrimary` | [`Boolean!`](#boolean) | プロバイダーがプライマリとして設定されているかどうかを表します。 |
| <a id="projectsecuritytraininglogourl"></a>`logoUrl` | [`String`](#string) | プロバイダーのロゴURL。 |
| <a id="projectsecuritytrainingname"></a>`name` | [`String!`](#string) | トレーニングプロバイダーの名前。 |
| <a id="projectsecuritytrainingurl"></a>`url` | [`String!`](#string) | プロバイダーのURL。 |

### `ProjectSetting`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectsettingduofeaturesenabled"></a>`duoFeaturesEnabled` | [`Boolean`](#boolean) | プロジェクトでGitLab Duo機能が有効かどうかを示します。 |
| <a id="projectsettingproject"></a>`project` | [`Project`](#project) | 設定が属するプロジェクト。 |

### `ProjectStatistics`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectstatisticsbuildartifactssize"></a>`buildArtifactsSize` | [`Float!`](#float) | プロジェクトのビルドアーティファクトのサイズ（バイト単位）。 |
| <a id="projectstatisticscommitcount"></a>`commitCount` | [`Float!`](#float) | プロジェクトのコミット数。 |
| <a id="projectstatisticscontainerregistrysize"></a>`containerRegistrySize` | [`Float`](#float) | プロジェクトのコンテナレジストリのサイズ（バイト単位）。 |
| <a id="projectstatisticscostfactoredbuildartifactssize"></a>`costFactoredBuildArtifactsSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したビルドアーティファクトのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはbuild_artifacts_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredlfsobjectssize"></a>`costFactoredLfsObjectsSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したLFSオブジェクトのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはlfs_objects_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredpackagessize"></a>`costFactoredPackagesSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したパッケージのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはpackages_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredrepositorysize"></a>`costFactoredRepositorySize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したリポジトリのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはrepository_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredsnippetssize"></a>`costFactoredSnippetsSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したスニペットのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはsnippets_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredstoragesize"></a>`costFactoredStorageSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | GitLab 16.2で**導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したストレージのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはstorage_sizeに等しくなります。 |
| <a id="projectstatisticscostfactoredwikisize"></a>`costFactoredWikiSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | **GitLab 16.6で導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したWikiのサイズ（バイト単位）。適用可能なコストファクターがない場合、これはwiki_sizeに等しくなります。 |
| <a id="projectstatisticslfsobjectssize"></a>`lfsObjectsSize` | [`Float!`](#float) | プロジェクトのLarge File Storage（LFS）オブジェクトのサイズ（バイト単位）。 |
| <a id="projectstatisticspackagessize"></a>`packagesSize` | [`Float!`](#float) | プロジェクトのパッケージのサイズ（バイト単位）。 |
| <a id="projectstatisticspipelineartifactssize"></a>`pipelineArtifactsSize` | [`Float`](#float) | CIパイプラインアーティファクトのサイズ（バイト単位）。 |
| <a id="projectstatisticsrepositorysize"></a>`repositorySize` | [`Float!`](#float) | プロジェクトのリポジトリのサイズ（バイト単位）。 |
| <a id="projectstatisticssnippetssize"></a>`snippetsSize` | [`Float`](#float) | プロジェクトのスニペットのサイズ（バイト単位）。 |
| <a id="projectstatisticsstoragesize"></a>`storageSize` | [`Float!`](#float) | プロジェクトのストレージのサイズ（バイト単位）。 |
| <a id="projectstatisticsuploadssize"></a>`uploadsSize` | [`Float`](#float) | プロジェクトのアップロードのサイズ（バイト単位）。 |
| <a id="projectstatisticswikisize"></a>`wikiSize` | [`Float`](#float) | プロジェクトのWikiのサイズ（バイト単位）。 |

### `ProjectStatisticsRedirect`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectstatisticsredirectbuildartifacts"></a>`buildArtifacts` | [`String!`](#string) | job_artifactsのリダイレクトルート。 |
| <a id="projectstatisticsredirectcontainerregistry"></a>`containerRegistry` | [`String!`](#string) | container_registryのリダイレクトルート。 |
| <a id="projectstatisticsredirectpackages"></a>`packages` | [`String!`](#string) | パッケージのリダイレクトルート。 |
| <a id="projectstatisticsredirectrepository"></a>`repository` | [`String!`](#string) | リポジトリのリダイレクトルート。 |
| <a id="projectstatisticsredirectsnippets"></a>`snippets` | [`String!`](#string) | スニペットのリダイレクトルート。 |
| <a id="projectstatisticsredirectwiki"></a>`wiki` | [`String!`](#string) | Wikiのリダイレクトルート。 |

### `ProjectTargetBranchRule`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projecttargetbranchrulecreatedat"></a>`createdAt` | [`Time!`](#time) | ターゲットブランチルール作成時のタイムスタンプ。 |
| <a id="projecttargetbranchruleid"></a>`id` | [`ProjectsTargetBranchRuleID!`](#projectstargetbranchruleid) | ターゲットブランチルールのID。 |
| <a id="projecttargetbranchrulename"></a>`name` | [`String!`](#string) | ターゲットブランチルールの名前。 |
| <a id="projecttargetbranchruletargetbranch"></a>`targetBranch` | [`String!`](#string) | ターゲットブランチルールのターゲットブランチ。 |

### `ProjectValueStreamAnalyticsFlowMetrics`

集約されたバリューストリームフローメトリクスを公開します。

#### 引数のあるフィールド

##### `ProjectValueStreamAnalyticsFlowMetrics.cycleTime`

最初のコミットからイシューが完了するまでの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimelabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimemyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimenot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricscycletimeweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `ProjectValueStreamAnalyticsFlowMetrics.deploymentCount`

指定された期間の本番環境デプロイ回数。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricsdeploymentcountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsdeploymentcountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |

##### `ProjectValueStreamAnalyticsFlowMetrics.issueCount`

指定された期間にオープンされたイシューの数。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountlabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountnot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuecountweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `ProjectValueStreamAnalyticsFlowMetrics.issuesCompletedCount`

指定された期間にクローズ（完了）したオープンイシューの数。最大値は10,001です。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountfrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountlabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountnot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsissuescompletedcountweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `ProjectValueStreamAnalyticsFlowMetrics.leadTime`

イシューの作成から完了までの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられているユーザーのユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeauthorusername"></a>`authorUsername` | [`String`](#string) | イシューの作成者のユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimelabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューに適用されるラベル。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューに適用されるマイルストーン。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimemyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimenot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricsleadtimeweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。 |

##### `ProjectValueStreamAnalyticsFlowMetrics.timeToMerge`

マージリクエストの作成からマージリクエストのマージまでの時間の中央値。

[`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergeassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergeauthorusername"></a>`authorUsername` | [`String`](#string) | マージリクエストの作成者のユーザー名。 |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergefrom"></a>`from` | [`Time!`](#time) | 開始日時を示すタイムスタンプ。 |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergelabelnames"></a>`labelNames` | [`[String!]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergemilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マージリクエストに適用されるマイルストーン。 |
| <a id="projectvaluestreamanalyticsflowmetricstimetomergeto"></a>`to` | [`Time!`](#time) | 終了日時を示すタイムスタンプ。 |

### `ProjectWikiRepositoryRegistry`

project_wiki_repositoryのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectwikirepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | ProjectWikiRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="projectwikirepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | ProjectWikiRepositoryRegistry作成時のタイムスタンプ。 |
| <a id="projectwikirepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="projectwikirepositoryregistryid"></a>`id` | [`ID!`](#id) | ProjectWikiRepositoryRegistryのID。 |
| <a id="projectwikirepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | ProjectWikiRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="projectwikirepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | ProjectWikiRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="projectwikirepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにProjectWikiRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="projectwikirepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | ProjectWikiRepositoryRegistryのモデルレコードのID。 |
| <a id="projectwikirepositoryregistryprojectwikirepositoryid"></a>`projectWikiRepositoryId` | [`ID!`](#id) | プロジェクトWikiリポジトリのID。 |
| <a id="projectwikirepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | ProjectWikiRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="projectwikirepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | ProjectWikiRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="projectwikirepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | ProjectWikiRepositoryRegistryの同期状態。 |
| <a id="projectwikirepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | ProjectWikiRepositoryRegistryのローカル チェックサム。 |
| <a id="projectwikirepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のProjectWikiRepositoryRegistryのチェックサムの予想値。 |
| <a id="projectwikirepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | ProjectWikiRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="projectwikirepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | ProjectWikiRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="projectwikirepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | ProjectWikiRepositoryRegistryの検証試行の連続失敗回数。 |
| <a id="projectwikirepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | ProjectWikiRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="projectwikirepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | ProjectWikiRepositoryRegistryの検証状態。 |
| <a id="projectwikirepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | ProjectWikiRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `PrometheusAlert`

Prometheusのアラート条件。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="prometheusalerthumanizedtext"></a>`humanizedText` | [`String!`](#string) | 人間が判読できるアラート条件のテキスト。 |
| <a id="prometheusalertid"></a>`id` | [`ID!`](#id) | アラート条件のID。 |

### `ProtectedEnvironment`

環境の保護環境。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentapprovalrules"></a>`approvalRules` | [`ProtectedEnvironmentApprovalRuleConnection`](#protectedenvironmentapprovalruleconnection) | 環境へのデプロイを承認できるグループ、ユーザー、またはロール。（[接続](#connections)を参照） |
| <a id="protectedenvironmentdeployaccesslevels"></a>`deployAccessLevels` | [`ProtectedEnvironmentDeployAccessLevelConnection`](#protectedenvironmentdeployaccesslevelconnection) | 環境へのデプロイを実行できるグループ、ユーザー、またはロール。（[接続](#connections)を参照） |
| <a id="protectedenvironmentgroup"></a>`group` | [`Group`](#group) | グループの詳細。グループレベルの保護環境の場合に存在します。 |
| <a id="protectedenvironmentname"></a>`name` | [`String`](#string) | プロジェクトレベルの保護環境の場合の環境の名前。グループレベルの保護環境の場合の環境のプラン。 |
| <a id="protectedenvironmentproject"></a>`project` | [`Project`](#project) | プロジェクトの詳細。プロジェクトレベルの保護環境の場合に存在します。 |
| <a id="protectedenvironmentrequiredapprovalcount"></a>`requiredApprovalCount` | [`Int`](#int) | 統一承認設定に必要な承認数。 |

### `ProtectedEnvironmentApprovalRule`

環境へのデプロイを承認できるグループ、ユーザー、またはロール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentapprovalruleaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | ロールの詳細。ロール固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentapprovalrulegroup"></a>`group` | [`Group`](#group) | グループの詳細。グループ固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentapprovalrulerequiredapprovals"></a>`requiredApprovals` | [`Int`](#int) | 必要な承認の数。 |
| <a id="protectedenvironmentapprovalruleuser"></a>`user` | [`UserCore`](#usercore) | ユーザーの詳細。ユーザー固有のアクセス制御の場合に存在します。 |

### `ProtectedEnvironmentApprovalRuleForSummary`

環境へのデプロイを承認できるグループ、ユーザー、またはロール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentapprovalruleforsummaryaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | ロールの詳細。ロール固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentapprovalruleforsummaryapprovals"></a>`approvals` | [`[DeploymentApproval!]`](#deploymentapproval) | デプロイの現在の承認。 |
| <a id="protectedenvironmentapprovalruleforsummaryapprovedcount"></a>`approvedCount` | [`Int`](#int) | 承認数。 |
| <a id="protectedenvironmentapprovalruleforsummarycanapprove"></a>`canApprove` | [`Boolean`](#boolean) | ユーザーに承認権限があるかどうかを示します。 |
| <a id="protectedenvironmentapprovalruleforsummarygroup"></a>`group` | [`Group`](#group) | グループの詳細。グループ固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentapprovalruleforsummarypendingapprovalcount"></a>`pendingApprovalCount` | [`Int`](#int) | 保留中の承認数。 |
| <a id="protectedenvironmentapprovalruleforsummaryrequiredapprovals"></a>`requiredApprovals` | [`Int`](#int) | 必要な承認の数。 |
| <a id="protectedenvironmentapprovalruleforsummarystatus"></a>`status` | [`DeploymentApprovalSummaryStatus`](#deploymentapprovalsummarystatus) | 承認サマリーの状態。 |
| <a id="protectedenvironmentapprovalruleforsummaryuser"></a>`user` | [`UserCore`](#usercore) | ユーザーの詳細。ユーザー固有のアクセス制御の場合に存在します。 |

### `ProtectedEnvironmentDeployAccessLevel`

環境へのデプロイを実行できるグループ、ユーザー、またはロール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="protectedenvironmentdeployaccesslevelaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | ロールの詳細。ロール固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentdeployaccesslevelgroup"></a>`group` | [`Group`](#group) | グループの詳細。グループ固有のアクセス制御の場合に存在します。 |
| <a id="protectedenvironmentdeployaccessleveluser"></a>`user` | [`UserCore`](#usercore) | ユーザーの詳細。ユーザー固有のアクセス制御の場合に存在します。 |

### `PushAccessLevel`

どのユーザーロール、ユーザー、またはグループが保護ブランチにプッシュできるかを定義します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pushaccesslevelaccesslevel"></a>`accessLevel` | [`Int!`](#int) | GitLab::アクセスレベル。 |
| <a id="pushaccesslevelaccessleveldescription"></a>`accessLevelDescription` | [`String!`](#string) | 人間が判読できるアクセスレベルの表示。 |
| <a id="pushaccessleveldeploykey"></a>`deployKey` | [`AccessLevelDeployKey`](#accessleveldeploykey) | アクセスレベルに割り当てられているデプロイキー。 |
| <a id="pushaccesslevelgroup"></a>`group` | [`AccessLevelGroup`](#accesslevelgroup) | アクセスレベルに関連付けられているグループ。 |
| <a id="pushaccessleveluser"></a>`user` | [`AccessLevelUser`](#accessleveluser) | アクセスレベルに関連付けられているユーザー。 |

### `PushRules`

コミットプッシュで従わなければならないルールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pushrulesrejectunsignedcommits"></a>`rejectUnsignedCommits` | [`Boolean!`](#boolean) | GPGによる署名のないコミットが却下されるかどうかを示します。 |

### `PypiMetadata`

PyPiメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pypimetadataauthoremail"></a>`authorEmail` | [`String`](#string) | 作成者メールアドレス（RFC-822形式） |
| <a id="pypimetadatadescription"></a>`description` | [`String`](#string) | 長い説明（複数段落が可能） |
| <a id="pypimetadatadescriptioncontenttype"></a>`descriptionContentType` | [`String`](#string) | 説明フィールドで使用するマークアップ構文。 |
| <a id="pypimetadataid"></a>`id` | [`PackagesPypiMetadatumID!`](#packagespypimetadatumid) | メタデータのID。 |
| <a id="pypimetadatakeywords"></a>`keywords` | [`String`](#string) | キーワードのカンマ区切りリスト。 |
| <a id="pypimetadatametadataversion"></a>`metadataVersion` | [`String`](#string) | メタデータのバージョン。 |
| <a id="pypimetadatarequiredpython"></a>`requiredPython` | [`String`](#string) | Pypiパッケージに必要なPythonのバージョン。 |
| <a id="pypimetadatasummary"></a>`summary` | [`String`](#string) | 説明の1行要約。 |

### `QueryComplexity`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="querycomplexitylimit"></a>`limit` | [`Int`](#int) | GraphQLクエリの複雑さの制限。[この制限に関するGitLabドキュメント](https://docs.gitlab.com/ee/api/graphql/#maximum-query-complexity)を参照。 |
| <a id="querycomplexityscore"></a>`score` | [`Int`](#int) | GraphQLクエリの複雑さスコア。 |

### `QueueingDelayHistory`

CIジョブのキューイング時間に関して集約された統計。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queueingdelayhistorytimeseries"></a>`timeSeries` | [`[QueueingHistoryTimeSeries!]`](#queueinghistorytimeseries) | 時系列。 |

### `QueueingHistoryTimeSeries`

Runnerによってジョブが実行開始されるまでの時間（パーセンタイル表記）。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="queueinghistorytimeseriesp50"></a>`p50` | [`Duration`](#duration) | 50パーセンタイル。期間の50％がこの値より低くなっています。 |
| <a id="queueinghistorytimeseriesp75"></a>`p75` | [`Duration`](#duration) | 75パーセンタイル。期間の75％がこの値より低くなっています。 |
| <a id="queueinghistorytimeseriesp90"></a>`p90` | [`Duration`](#duration) | 90パーセンタイル。期間の90％がこの値より低くなっています。 |
| <a id="queueinghistorytimeseriesp95"></a>`p95` | [`Duration`](#duration) | 95パーセンタイル。期間の95％がこの値より低くなっています。 |
| <a id="queueinghistorytimeseriesp99"></a>`p99` | [`Duration`](#duration) | 99パーセンタイル。期間の99％がこの値より低くなっています。 |
| <a id="queueinghistorytimeseriestime"></a>`time` | [`Time!`](#time) | 期間の開始時刻。 |

### `QuickActionsStatus`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="quickactionsstatuscommandnames"></a>`commandNames` | [`[String!]`](#string) | クイックアクションのコマンド名。 |
| <a id="quickactionsstatuscommandsonly"></a>`commandsOnly` | [`Boolean`](#boolean) | ノートに含まれるのがクイックアクションのコマンドだけである場合にtrueを返します。 |
| <a id="quickactionsstatuserrormessages"></a>`errorMessages` | [`[String!]`](#string) | 適用に失敗したクイックアクションからのエラーメッセージ。 |
| <a id="quickactionsstatusmessages"></a>`messages` | [`[String!]`](#string) | クイックアクションからの応答メッセージ。 |

### `RecentFailures`

テストケースの最後の失敗履歴。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="recentfailuresbasebranch"></a>`baseBranch` | [`String`](#string) | プロジェクトのベースブランチの名前。 |
| <a id="recentfailurescount"></a>`count` | [`Int`](#int) | 過去14日間にテストケースが失敗した回数。 |

### `Release`

リリースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassets"></a>`assets` | [`ReleaseAssets`](#releaseassets) | リリースのアセット。 |
| <a id="releaseauthor"></a>`author` | [`UserCore`](#usercore) | リリースを作成したユーザー。 |
| <a id="releasecommit"></a>`commit` | [`Commit`](#commit) | リリースに関連付けられているコミット。 |
| <a id="releasecreatedat"></a>`createdAt` | [`Time`](#time) | リリース作成時のタイムスタンプ。 |
| <a id="releasedescription"></a>`description` | [`String`](#string) | リリースの説明（「リリースノート」）。 |
| <a id="releasedescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="releaseevidences"></a>`evidences` | [`ReleaseEvidenceConnection`](#releaseevidenceconnection) | リリースのエビデンス。（[接続](#connections)を参照） |
| <a id="releasehistoricalrelease"></a>`historicalRelease` | [`Boolean`](#boolean) | リリースが過去のリリースであるかを示します。 |
| <a id="releaseid"></a>`id` | [`ReleaseID!`](#releaseid) | リリースのグローバルID。 |
| <a id="releaselinks"></a>`links` | [`ReleaseLinks`](#releaselinks) | リリースのリンク。 |
| <a id="releasemilestones"></a>`milestones` | [`MilestoneConnection`](#milestoneconnection) | リリースに関連付けられているマイルストーン。（[接続](#connections)を参照） |
| <a id="releasename"></a>`name` | [`String`](#string) | リリースの名前。 |
| <a id="releasereleasedat"></a>`releasedAt` | [`Time`](#time) | リリースをリリースした時点のタイムスタンプ。 |
| <a id="releasetagname"></a>`tagName` | [`String`](#string) | リリースに関連付けられているタグの名前。 |
| <a id="releasetagpath"></a>`tagPath` | [`String`](#string) | リリースに関連付けられているタグの相対Webパス。 |
| <a id="releaseupcomingrelease"></a>`upcomingRelease` | [`Boolean`](#boolean) | リリースが将来のリリースかどうかを示します。 |

### `ReleaseAssetLink`

リリースに関連付けられているアセットリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetlinkdirectassetpath"></a>`directAssetPath` | [`String`](#string) | ダイレクトアセットリンクの相対パス。 |
| <a id="releaseassetlinkdirectasseturl"></a>`directAssetUrl` | [`String`](#string) | リンクのダイレクトアセットURL。 |
| <a id="releaseassetlinkid"></a>`id` | [`ID!`](#id) | リンクのID。 |
| <a id="releaseassetlinklinktype"></a>`linkType` | [`ReleaseAssetLinkType`](#releaseassetlinktype) | リンクのタイプ（`other`、`runbook`、`image`、`package`）。デフォルトは`other`。 |
| <a id="releaseassetlinkname"></a>`name` | [`String`](#string) | リンクの名前。 |
| <a id="releaseassetlinkurl"></a>`url` | [`String`](#string) | リンクのURL。 |

### `ReleaseAssets`

リリースに関連付けられている全アセットのコンテナ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetscount"></a>`count` | [`Int`](#int) | リリースのアセット数。 |
| <a id="releaseassetslinks"></a>`links` | [`ReleaseAssetLinkConnection`](#releaseassetlinkconnection) | リリースのアセットリンク。（[接続](#connections)を参照） |
| <a id="releaseassetssources"></a>`sources` | [`ReleaseSourceConnection`](#releasesourceconnection) | リリースのソース。（[接続](#connections)を参照） |

### `ReleaseEvidence`

リリースのエビデンス。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseevidencecollectedat"></a>`collectedAt` | [`Time`](#time) | エビデンス収集時のタイムスタンプ。 |
| <a id="releaseevidencefilepath"></a>`filepath` | [`String`](#string) | エビデンスのダウンロード元URL。 |
| <a id="releaseevidenceid"></a>`id` | [`ID!`](#id) | エビデンスのID。 |
| <a id="releaseevidencesha"></a>`sha` | [`String`](#string) | エビデンスハッシュのSHA1 ID。 |

### `ReleaseLinks`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaselinksclosedissuesurl"></a>`closedIssuesUrl` | [`String`](#string) | イシューページのHTTP URL（リリースと`state=closed`によりフィルタリング）。 |
| <a id="releaselinksclosedmergerequestsurl"></a>`closedMergeRequestsUrl` | [`String`](#string) | マージリクエストページのHTTP URL（リリースと`state=closed`によりフィルタリング）。 |
| <a id="releaselinksediturl"></a>`editUrl` | [`String`](#string) | リリースの編集ページのHTTP URL。 |
| <a id="releaselinksmergedmergerequestsurl"></a>`mergedMergeRequestsUrl` | [`String`](#string) | マージリクエストページのHTTP URL（リリースと`state=merged`によりフィルタリング）。 |
| <a id="releaselinksopenedissuesurl"></a>`openedIssuesUrl` | [`String`](#string) | イシューページのHTTP URL（リリースと`state=open`によりフィルタリング）。 |
| <a id="releaselinksopenedmergerequestsurl"></a>`openedMergeRequestsUrl` | [`String`](#string) | マージリクエストページのHTTP URL（リリースと`state=open`によりフィルタリング）。 |
| <a id="releaselinksselfurl"></a>`selfUrl` | [`String`](#string) | リリースのHTTP URL。 |

### `ReleaseSource`

リリースに添付される、特定の形式のソースコードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releasesourceformat"></a>`format` | [`String`](#string) | ソースの形式。 |
| <a id="releasesourceurl"></a>`url` | [`String`](#string) | ソースのダウンロードURL。 |

### `Repository`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorydiskpath"></a>`diskPath` | [`String`](#string) | リポジトリのディスクパスを示します。 |
| <a id="repositoryempty"></a>`empty` | [`Boolean!`](#boolean) | リポジトリに表示可能なコンテンツがないことを示します。 |
| <a id="repositoryexists"></a>`exists` | [`Boolean!`](#boolean) | 対応するGitリポジトリがディスク上に存在することを示します。 |
| <a id="repositoryrootref"></a>`rootRef` | [`String`](#string) | リポジトリのデフォルトブランチ。 |

#### 引数のあるフィールド

##### `Repository.blobs`

リポジトリに含まれるblob。

[`RepositoryBlobConnection`](#repositoryblobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryblobspaths"></a>`paths` | [`[String!]!`](#string) | 対象となるblobパスの配列。 |
| <a id="repositoryblobsref"></a>`ref` | [`String`](#string) | blobの取得元コミットref。デフォルト値はHEADです。 |
| <a id="repositoryblobsreftype"></a>`refType` | [`RefType`](#reftype) | refのタイプ。 |

##### `Repository.branchNames`

検索パターンに一致する、このリポジトリで使用可能なブランチの名前。

[`[String!]`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorybranchnameslimit"></a>`limit` | [`Int!`](#int) | 返すブランチ名の数。 |
| <a id="repositorybranchnamesoffset"></a>`offset` | [`Int!`](#int) | スキップするブランチ名の数。 |
| <a id="repositorybranchnamessearchpattern"></a>`searchPattern` | [`String!`](#string) | ブランチ名を検索するためのパターン。 |

##### `Repository.codeOwnersPath`

ref内のCODEOWNERSファイルのパス。

[`String`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorycodeownerspathref"></a>`ref` | [`String`](#string) | refの名前。 |

##### `Repository.commit`

リポジトリからのコミット。

[`Commit`](#commit)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorycommitref"></a>`ref` | [`String!`](#string) | コミット参照（SHA、ブランチ名、またはタグ名）。 |

##### `Repository.lastCommit`

指定されたパスとrefについてリポジトリ内で最後に実行されたコミット。

[`Commit`](#commit)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorylastcommitpath"></a>`path` | [`String`](#string) | 最後のコミットを取得する対象となるパス。デフォルト値は、リポジトリのルートです。 |
| <a id="repositorylastcommitref"></a>`ref` | [`String`](#string) | 最後のコミットを取得する対象となるコミットref。デフォルト値はHEADです。 |
| <a id="repositorylastcommitreftype"></a>`refType` | [`RefType`](#reftype) | refのタイプ。 |

##### `Repository.paginatedTree`

リポジトリのページネーションツリー。

[`TreeConnection`](#treeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorypaginatedtreepath"></a>`path` | [`String`](#string) | ツリーを取得する対象となるパス。デフォルト値は、リポジトリのルートです。 |
| <a id="repositorypaginatedtreerecursive"></a>`recursive` | [`Boolean`](#boolean) | 再帰的なツリーを取得するために使用されます。デフォルトはfalseです。 |
| <a id="repositorypaginatedtreeref"></a>`ref` | [`String`](#string) | ツリーを取得する対象となるコミットref。デフォルト値はHEADです。 |
| <a id="repositorypaginatedtreereftype"></a>`refType` | [`RefType`](#reftype) | refのタイプ。 |

##### `Repository.tree`

リポジトリのツリー。

[`Tree`](#tree)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorytreepath"></a>`path` | [`String`](#string) | ツリーを取得する対象となるパス。デフォルト値は、リポジトリのルートです。 |
| <a id="repositorytreerecursive"></a>`recursive` | [`Boolean`](#boolean) | 再帰的なツリーを取得するために使用されます。デフォルトはfalseです。 |
| <a id="repositorytreeref"></a>`ref` | [`String`](#string) | ツリーを取得する対象となるコミットref。デフォルト値はHEADです。 |
| <a id="repositorytreereftype"></a>`refType` | [`RefType`](#reftype) | refのタイプ。 |

##### `Repository.validateCodeownerFile`

リポジトリのCODEOWNERファイルに含まれるLintエラーを表示します。

[`RepositoryCodeownerValidation`](#repositorycodeownervalidation)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryvalidatecodeownerfilepath"></a>`path` | [`String`](#string) | 検証する必要のあるCODEOWNERSという名前のファイルのパス。デフォルトは使用中のファイルです。 |
| <a id="repositoryvalidatecodeownerfileref"></a>`ref` | [`String`](#string) | コードオーナーファイルをチェックする必要があるref。デフォルトはリポジトリのデフォルトブランチです。 |

### `RepositoryBlob`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryblobarchived"></a>`archived` | [`Boolean`](#boolean) | 現在のプロジェクトがアーカイブされているかどうか。 |
| <a id="repositoryblobbase64encodedblob"></a>`base64EncodedBlob` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.1で**導入**。**状態**: 実験。blobの内容のエンコードはbase64です。`unicode_escaped_data`機能フラグが無効になっている場合、`null`を返します。 |
| <a id="repositoryblobblamepath"></a>`blamePath` | [`String`](#string) | blob blameページのWebパス。 |
| <a id="repositoryblobcancurrentuserpushtobranch"></a>`canCurrentUserPushToBranch` | [`Boolean`](#boolean) | 現在のユーザーがブランチにプッシュできるかどうか。 |
| <a id="repositoryblobcanmodifyblob"></a>`canModifyBlob` | [`Boolean`](#boolean) | 現在のユーザーがblobに変更を加えることができるかどうか。 |
| <a id="repositoryblobcanmodifyblobwithwebide"></a>`canModifyBlobWithWebIde` | [`Boolean!`](#boolean) | 現在のユーザーがWeb IDEでblobに変更を加えることができるかどうか。 |
| <a id="repositoryblobcodenavigationpath"></a>`codeNavigationPath` | [`String`](#string) | コードナビゲーションのWebパス。 |
| <a id="repositoryblobcodeowners"></a>`codeOwners` | [`[UserCore!]`](#usercore) | blobのコードオーナーのリスト。 |
| <a id="repositoryblobeditblobpath"></a>`editBlobPath` | [`String`](#string) | 旧式エディタでblobを編集するためのWebパス。 |
| <a id="repositoryblobenvironmentexternalurlforroutemap"></a>`environmentExternalUrlForRouteMap` | [`String`](#string) | 環境上のblobのWebパス。 |
| <a id="repositoryblobenvironmentformattedexternalurl"></a>`environmentFormattedExternalUrl` | [`String`](#string) | blobが利用可能な環境。 |
| <a id="repositoryblobexternalstorage"></a>`externalStorage` | [`String`](#string) | 使用される外部ストレージ（有効な場合）（「LFS」など）。 |
| <a id="repositoryblobexternalstorageurl"></a>`externalStorageUrl` | [`String`](#string) | 外部ストレージが有効な場合に、それによりraw blobをダウンロードするためのWebパス。 |
| <a id="repositoryblobfiletype"></a>`fileType` | [`String`](#string) | 拡張子に基づいて予期されるblobの形式。 |
| <a id="repositoryblobfindfilepath"></a>`findFilePath` | [`String`](#string) | ファイルを検索するためのWebパス。 |
| <a id="repositoryblobforkandeditpath"></a>`forkAndEditPath` | [`String`](#string) | フォークしたプロジェクトを使用してblobを編集するためのWebパス。 |
| <a id="repositoryblobforkandviewpath"></a>`forkAndViewPath` | [`String`](#string) | フォークしたプロジェクトを使用してblobを表示するためのWebパス。 |
| <a id="repositoryblobgitpodbloburl"></a>`gitpodBlobUrl` | [`String`](#string) | Gitpod内のblobのURL。 |
| <a id="repositoryblobhistorypath"></a>`historyPath` | [`String`](#string) | blob履歴ページのWebパス。 |
| <a id="repositoryblobid"></a>`id` | [`ID!`](#id) | blobのID。 |
| <a id="repositoryblobideeditpath"></a>`ideEditPath` | [`String`](#string) | Web IDEでblobを編集するためのWebパス。 |
| <a id="repositoryblobideforkandeditpath"></a>`ideForkAndEditPath` | [`String`](#string) | フォークしたプロジェクトを使用してWeb IDEでblobを編集するためのWebパス。 |
| <a id="repositorybloblanguage"></a>`language` | [`String`](#string) | blob言語。 |
| <a id="repositorybloblfsoid"></a>`lfsOid` | [`String`](#string) | blobのLFS OID。 |
| <a id="repositoryblobmode"></a>`mode` | [`String`](#string) | blobモード。 |
| <a id="repositoryblobname"></a>`name` | [`String`](#string) | blob名。 |
| <a id="repositorybloboid"></a>`oid` | [`String!`](#string) | blobのOID。 |
| <a id="repositoryblobpath"></a>`path` | [`String!`](#string) | blobのパス。 |
| <a id="repositoryblobpermalinkpath"></a>`permalinkPath` | [`String`](#string) | blob permalinkのWebパス。 |
| <a id="repositoryblobpipelineeditorpath"></a>`pipelineEditorPath` | [`String`](#string) | .gitlab-ci.ymlファイルを編集するためのWebパス。 |
| <a id="repositoryblobplaindata"></a>`plainData` | [`String`](#string) | blobプレーン強調表示データ。 |
| <a id="repositoryblobprojectblobpathroot"></a>`projectBlobPathRoot` | [`String`](#string) | blobのルートのWebパス。 |
| <a id="repositoryblobrawblob"></a>`rawBlob` | [`String`](#string) | blobのrawコンテンツ。 |
| <a id="repositoryblobrawpath"></a>`rawPath` | [`String`](#string) | raw blobをダウンロードするためのWebパス。 |
| <a id="repositoryblobrawsize"></a>`rawSize` | [`BigInt`](#bigint) | blob、または外部に保存されている場合はblobターゲットのサイズ（バイト単位）。 |
| <a id="repositoryblobrawtextblob"></a>`rawTextBlob` | [`String`](#string) | blobがテキストデータの場合に、blobのrawコンテンツ。 |
| <a id="repositoryblobreplacepath"></a>`replacePath` | [`String`](#string) | blobコンテンツを置き換えるためのWebパス。 |
| <a id="repositoryblobrichviewer"></a>`richViewer` | [`BlobViewer`](#blobviewer) | blobコンテンツのリッチビューアー。 |
| <a id="repositoryblobsimpleviewer"></a>`simpleViewer` | [`BlobViewer!`](#blobviewer) | blobコンテンツのシンプルビューアー。 |
| <a id="repositoryblobsize"></a>`size` | [`BigInt`](#bigint) | blobのサイズ（バイト単位）。 |
| <a id="repositoryblobstoredexternally"></a>`storedExternally` | [`Boolean`](#boolean) | blobのコンテンツが外部（LFSなど）に保存されているかどうか。 |
| <a id="repositoryblobwebpath"></a>`webPath` | [`String`](#string) | blobのWebパス。 |

#### 引数のあるフィールド

##### `RepositoryBlob.blame`

blob blame。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

[`Blame`](#blame)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositoryblobblamefromline"></a>`fromLine` | [`Int`](#int) | 範囲の開始行。1以上`to_line`以下でなければなりません。 |
| <a id="repositoryblobblametoline"></a>`toLine` | [`Int`](#int) | 範囲の終了行。`from_line`以上`from_line` \+ 100以下でなければなりません。 |

### `RepositoryCodeownerError`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorycodeownererrorcode"></a>`code` | [`String!`](#string) | Lintエラーコード。 |
| <a id="repositorycodeownererrorlines"></a>`lines` | [`[Int!]!`](#int) | エラーが発生した行。 |

### `RepositoryCodeownerValidation`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorycodeownervalidationtotal"></a>`total` | [`Int!`](#int) | ファイル内の検証エラーの合計数。 |
| <a id="repositorycodeownervalidationvalidationerrors"></a>`validationErrors` | [`[RepositoryCodeownerError!]!`](#repositorycodeownererror) | 特定のLintエラーコード。 |

### `RepositoryLanguage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="repositorylanguagecolor"></a>`color` | [`Color`](#color) | リポジトリ言語を視覚化するための色。 |
| <a id="repositorylanguagename"></a>`name` | [`String!`](#string) | リポジトリ言語の名前。 |
| <a id="repositorylanguageshare"></a>`share` | [`Float`](#float) | リポジトリ言語の割合（％）。 |

### `Requirement`

要件を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementauthor"></a>`author` | [`UserCore!`](#usercore) | 要件の作成者。 |
| <a id="requirementcreatedat"></a>`createdAt` | [`Time!`](#time) | 要件作成のタイムスタンプ。 |
| <a id="requirementdescription"></a>`description` | [`String`](#string) | 要件の説明。 |
| <a id="requirementdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="requirementid"></a>`id` | [`ID!`](#id) | 要件のID。 |
| <a id="requirementiid"></a>`iid` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 15.8で**非推奨**になりました。代わりにwork_item_iidを使用してください。 |
| <a id="requirementlasttestreportmanuallycreated"></a>`lastTestReportManuallyCreated` | [`Boolean`](#boolean) | 最新のテストレポートがユーザーによって作成されたかどうかを示します。 |
| <a id="requirementlasttestreportstate"></a>`lastTestReportState` | [`TestReportState`](#testreportstate) | 最新の要件テストレポートの状態。 |
| <a id="requirementproject"></a>`project` | [`Project!`](#project) | 要件が属するプロジェクト。 |
| <a id="requirementstate"></a>`state` | [`RequirementState!`](#requirementstate) | 要件の状態。 |
| <a id="requirementtitle"></a>`title` | [`String`](#string) | 要件のタイトル。 |
| <a id="requirementtitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="requirementupdatedat"></a>`updatedAt` | [`Time!`](#time) | 要件の最終更新タイムスタンプ。 |
| <a id="requirementuserpermissions"></a>`userPermissions` | [`RequirementPermissions!`](#requirementpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="requirementworkitemiid"></a>`workItemIid` | [`String!`](#string) | 要件の作業アイテムIID。近々、識別子として現在のIIDを置き換えることになる予定。 |

#### 引数のあるフィールド

##### `Requirement.testReports`

要件のテストレポート。

[`TestReportConnection`](#testreportconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementtestreportssort"></a>`sort` | [`Sort`](#sort) | テストレポートをソート順で一覧表示します。 |

### `RequirementPermissions`

要件に対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementpermissionsadminrequirement"></a>`adminRequirement` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_requirement`を実行できます。 |
| <a id="requirementpermissionscreaterequirement"></a>`createRequirement` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_requirement`を実行できます。 |
| <a id="requirementpermissionsdestroyrequirement"></a>`destroyRequirement` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_requirement`を実行できます。 |
| <a id="requirementpermissionsreadrequirement"></a>`readRequirement` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_requirement`を実行できます。 |
| <a id="requirementpermissionsupdaterequirement"></a>`updateRequirement` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_requirement`を実行できます。 |

### `RequirementStatesCount`

状態別の要件数。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementstatescountarchived"></a>`archived` | [`Int`](#int) | アーカイブされた要件の数。 |
| <a id="requirementstatescountopened"></a>`opened` | [`Int`](#int) | 開かれた要件の数。 |

### `ResourceQuotas`

ワークスペースのリソースクォータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="resourcequotascpu"></a>`cpu` | [`String!`](#string) | CPUコアの数。 |
| <a id="resourcequotasmemory"></a>`memory` | [`String!`](#string) | メモリのバイト数。 |

### `RootStorageStatistics`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="rootstoragestatisticsbuildartifactssize"></a>`buildArtifactsSize` | [`Float!`](#float) | CIアーティファクトのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticscontainerregistrysize"></a>`containerRegistrySize` | [`Float!`](#float) | コンテナレジストリのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticscontainerregistrysizeisestimated"></a>`containerRegistrySizeIsEstimated` | [`Boolean!`](#boolean) | ネームスペースの重複排除済みコンテナレジストリサイズが推定値かどうかを示します。 |
| <a id="rootstoragestatisticscostfactoredstoragesize"></a>`costFactoredStorageSize` {{< icon name="warning-solid" >}} | [`Float!`](#float) | GitLab 16.2で**導入**。**状態**: 実験。フォークに適用可能なコストファクターを適用したストレージの合計サイズ（バイト単位）。適用可能なコストファクターがない場合、これはstorage_sizeに等しくなります。 |
| <a id="rootstoragestatisticsdependencyproxysize"></a>`dependencyProxySize` | [`Float!`](#float) | 依存プロキシのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticslfsobjectssize"></a>`lfsObjectsSize` | [`Float!`](#float) | LFSオブジェクトのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticspackagessize"></a>`packagesSize` | [`Float!`](#float) | パッケージのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticspipelineartifactssize"></a>`pipelineArtifactsSize` | [`Float!`](#float) | CIパイプラインアーティファクトのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticsregistrysizeestimated"></a>`registrySizeEstimated` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.2で**非推奨**になりました。`container_registry_size_is_estimated`を使用してください。 |
| <a id="rootstoragestatisticsrepositorysize"></a>`repositorySize` | [`Float!`](#float) | Gitリポジトリのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticssnippetssize"></a>`snippetsSize` | [`Float!`](#float) | スニペットのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticsstoragesize"></a>`storageSize` | [`Float!`](#float) | 合計ストレージ（バイト単位）。 |
| <a id="rootstoragestatisticsuploadssize"></a>`uploadsSize` | [`Float!`](#float) | アップロードのサイズ（バイト単位）。 |
| <a id="rootstoragestatisticswikisize"></a>`wikiSize` | [`Float!`](#float) | Wikiのサイズ（バイト単位）。 |

### `RunnerArchitecture`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerarchitecturedownloadlocation"></a>`downloadLocation` | [`String!`](#string) | プラットフォームアーキテクチャでのRunnerのダウンロード場所。 |
| <a id="runnerarchitecturename"></a>`name` | [`String!`](#string) | Runnerプラットフォームアーキテクチャの名前。 |

### `RunnerPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerpermissionsassignrunner"></a>`assignRunner` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`assign_runner`を実行できます。 |
| <a id="runnerpermissionsdeleterunner"></a>`deleteRunner` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`delete_runner`を実行できます。 |
| <a id="runnerpermissionsreadrunner"></a>`readRunner` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_runner`を実行できます。 |
| <a id="runnerpermissionsupdaterunner"></a>`updateRunner` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_runner`を実行できます。 |

### `RunnerPlatform`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnerplatformarchitectures"></a>`architectures` | [`RunnerArchitectureConnection`](#runnerarchitectureconnection) | プラットフォームでサポートされるRunnerアーキテクチャ。（[接続](#connections)を参照） |
| <a id="runnerplatformhumanreadablename"></a>`humanReadableName` | [`String!`](#string) | 人間が判読できる、Runnerプラットフォームの名前。 |
| <a id="runnerplatformname"></a>`name` | [`String!`](#string) | Runnerプラットフォームの名前slug。 |

### `RunnerSetup`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="runnersetupinstallinstructions"></a>`installInstructions` | [`String!`](#string) | 指定されたアーキテクチャにRunnerをインストールする手順。 |
| <a id="runnersetupregisterinstructions"></a>`registerInstructions` | [`String`](#string) | Runnerの登録手順。コマンドに実際の登録トークンは含まれません。代わりに、プレースホルダー`$REGISTRATION_TOKEN`が表示されます。 |

### `SastCiConfiguration`

SASTのCI設定を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationanalyzers"></a>`analyzers` | [`SastCiConfigurationAnalyzersEntityConnection`](#sastciconfigurationanalyzersentityconnection) | SAST設定に添付されているアナライザーエンティティのリスト。（[接続](#connections)を参照） |
| <a id="sastciconfigurationglobal"></a>`global` | [`SastCiConfigurationEntityConnection`](#sastciconfigurationentityconnection) | SAST設定に関連するグローバルエンティティのリスト。（[接続](#connections)を参照） |
| <a id="sastciconfigurationpipeline"></a>`pipeline` | [`SastCiConfigurationEntityConnection`](#sastciconfigurationentityconnection) | SAST設定に関連するパイプラインエンティティのリスト。（[接続](#connections)を参照） |

### `SastCiConfigurationAnalyzersEntity`

SAST CI設定の中でのアナライザーエンティティを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationanalyzersentitydescription"></a>`description` | [`String`](#string) | フォームに表示されるアナライザーの説明。 |
| <a id="sastciconfigurationanalyzersentityenabled"></a>`enabled` | [`Boolean`](#boolean) | アナライザーが有効かどうかを示します。 |
| <a id="sastciconfigurationanalyzersentitylabel"></a>`label` | [`String`](#string) | 設定UIで使用するアナライザーのラベル。 |
| <a id="sastciconfigurationanalyzersentityname"></a>`name` | [`String`](#string) | アナライザーの名前。 |
| <a id="sastciconfigurationanalyzersentityvariables"></a>`variables` | [`SastCiConfigurationEntityConnection`](#sastciconfigurationentityconnection) | サポートされている変数のリスト。（[接続](#connections)を参照） |

### `SastCiConfigurationEntity`

SAST CI設定の中でのエンティティを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationentitydefaultvalue"></a>`defaultValue` | [`String`](#string) | 値が空の場合に使用されるデフォルト値。 |
| <a id="sastciconfigurationentitydescription"></a>`description` | [`String`](#string) | フォームに表示されるエンティティの説明。 |
| <a id="sastciconfigurationentityfield"></a>`field` | [`String`](#string) | エンティティのCIキーワード。 |
| <a id="sastciconfigurationentitylabel"></a>`label` | [`String`](#string) | フォームで使用されるエンティティのラベル。 |
| <a id="sastciconfigurationentityoptions"></a>`options` | [`SastCiConfigurationOptionsEntityConnection`](#sastciconfigurationoptionsentityconnection) | フィールドの値候補。（[接続](#connections)を参照） |
| <a id="sastciconfigurationentitysize"></a>`size` | [`SastUiComponentSize`](#sastuicomponentsize) | UIコンポーネントのサイズ。 |
| <a id="sastciconfigurationentitytype"></a>`type` | [`String`](#string) | フィールド値の型。 |
| <a id="sastciconfigurationentityvalue"></a>`value` | [`String`](#string) | エンティティの現在の値。 |

### `SastCiConfigurationOptionsEntity`

SAST CI設定の中でのオプションのエンティティを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationoptionsentitylabel"></a>`label` | [`String`](#string) | オプションエンティティのラベル。 |
| <a id="sastciconfigurationoptionsentityvalue"></a>`value` | [`String`](#string) | オプションエンティティの値。 |

### `SavedReply`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="savedreplycontent"></a>`content` | [`String!`](#string) | 保存済み返信の内容。 |
| <a id="savedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | ユーザー保存済み返信のグローバルID。 |
| <a id="savedreplyname"></a>`name` | [`String!`](#string) | 保存済み返信の名前。 |

### `Scan`

セキュリティスキャン情報を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanerrors"></a>`errors` | [`[String!]!`](#string) | エラーのリスト。 |
| <a id="scanname"></a>`name` | [`String!`](#string) | スキャンの名前。 |
| <a id="scanstatus"></a>`status` | [`ScanStatus!`](#scanstatus) | スキャンの状態を示します。 |
| <a id="scanwarnings"></a>`warnings` | [`[String!]!`](#string) | 警告のリスト。 |

### `ScanExecutionPolicy`

スキャン実行ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanexecutionpolicydeprecatedproperties"></a>`deprecatedProperties` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.3で**導入**。**状態**: 実験。ポリシー内のすべての非推奨プロパティ。 |
| <a id="scanexecutionpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="scanexecutionpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="scanexecutionpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="scanexecutionpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="scanexecutionpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="scanexecutionpolicysource"></a>`source` | [`SecurityPolicySource!`](#securitypolicysource) | ポリシーのソース。そのフィールドは、ソース型に応じて異なります。 |
| <a id="scanexecutionpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="scanexecutionpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

### `ScanResultPolicy`

スキャン結果ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scanresultpolicyactionapprovers"></a>`actionApprovers` | [`[PolicyApproversType!]`](#policyapproverstype) | 複数の承認者のアクション。 |
| <a id="scanresultpolicyallgroupapprovers"></a>`allGroupApprovers` | [`[PolicyApprovalGroup!]`](#policyapprovalgroup) | ユーザーがアクセスできないグループを含め、グループタイプの承認者として可能性のあるすべての承認者。 |
| <a id="scanresultpolicycustomroles"></a>`customRoles` | [`[MemberRole!]`](#memberrole) | カスタムロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="scanresultpolicydeprecatedproperties"></a>`deprecatedProperties` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.10で**導入**。**状態**: 実験。ポリシー内のすべての非推奨プロパティ。 |
| <a id="scanresultpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="scanresultpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="scanresultpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="scanresultpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="scanresultpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="scanresultpolicyroleapprovers"></a>`roleApprovers` | [`[MemberAccessLevelName!]`](#memberaccesslevelname) | ロールタイプの承認者。これらのロールに属するユーザーのみが承認者になります。 |
| <a id="scanresultpolicysource"></a>`source` | [`SecurityPolicySource!`](#securitypolicysource) | ポリシーのソース。そのフィールドは、ソース型に応じて異なります。 |
| <a id="scanresultpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="scanresultpolicyuserapprovers"></a>`userApprovers` | [`[UserCore!]`](#usercore) | ユーザータイプの承認者。 |
| <a id="scanresultpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

### `ScannedResource`

セキュリティスキャンでスキャンされたリソースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="scannedresourcerequestmethod"></a>`requestMethod` | [`String`](#string) | URLへのアクセスに使用するHTTPリクエスト方式。 |
| <a id="scannedresourceurl"></a>`url` | [`String`](#string) | スキャナーでのスキャン対象のURL。 |

### `SearchBlobChunk`

一致したチャンクのJSON構造。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="searchblobchunklines"></a>`lines` {{< icon name="warning-solid" >}} | [`[SearchBlobLine!]`](#searchblobline) | GitLab 17.2で**導入**。**状態**: 実験。ファイルのパス。 |
| <a id="searchblobchunkmatchcountinchunk"></a>`matchCountInChunk` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。チャンク内の一致数。 |

### `SearchBlobFileType`

一致を含むファイルのJSON構造。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="searchblobfiletypeblameurl"></a>`blameUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。ファイルのblame URL。 |
| <a id="searchblobfiletypechunks"></a>`chunks` {{< icon name="warning-solid" >}} | [`[SearchBlobChunk!]`](#searchblobchunk) | GitLab 17.2で**導入**。**状態**: 実験。ファイルあたりの最大一致数。 |
| <a id="searchblobfiletypefileurl"></a>`fileUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。ファイルのURL。 |
| <a id="searchblobfiletypelanguage"></a>`language` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**導入**。**状態**: 実験。ファイルの言語。 |
| <a id="searchblobfiletypematchcount"></a>`matchCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。ファイルごとの一致数（最大50チャンク）。デフォルトは3です。 |
| <a id="searchblobfiletypematchcounttotal"></a>`matchCountTotal` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。ファイルごとの一致の合計数。 |
| <a id="searchblobfiletypepath"></a>`path` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。ファイルのパス。 |
| <a id="searchblobfiletypeprojectpath"></a>`projectPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。プロジェクトのフルパス。 |

### `SearchBlobLine`

一致したチャンク内の各行のJSON構造。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="searchbloblinehighlights"></a>`highlights` {{< icon name="warning-solid" >}} | [`[[Int!]!]`](#int) | GitLab 17.8で**導入**。**状態**: 実験。行の中の強調表示の最初の文字と最後の文字の列番号。 |
| <a id="searchbloblinelinenumber"></a>`lineNumber` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。blobの行番号。 |
| <a id="searchbloblinetext"></a>`text` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.2で**導入**。**状態**: 実験。blobのテキストコンテンツ。 |

### `SecurityPolicyValidationError`

セキュリティポリシーの検証エラー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="securitypolicyvalidationerrorfield"></a>`field` | [`String!`](#string) | エラーフィールド。 |
| <a id="securitypolicyvalidationerrorindex"></a>`index` | [`Int`](#int) | エラーが発生したアクションのインデックス。 |
| <a id="securitypolicyvalidationerrorlevel"></a>`level` | [`String!`](#string) | エラーレベル。 |
| <a id="securitypolicyvalidationerrormessage"></a>`message` | [`String!`](#string) | エラーメッセージ。 |
| <a id="securitypolicyvalidationerrortitle"></a>`title` | [`String`](#string) | エラータイトル。 |

### `SecurityReportSummary`

セキュリティレポートの概要を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="securityreportsummaryapifuzzing"></a>`apiFuzzing` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `api_fuzzing`スキャンの集約カウント。 |
| <a id="securityreportsummaryclusterimagescanning"></a>`clusterImageScanning` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `cluster_image_scanning`スキャンの集約カウント。 |
| <a id="securityreportsummarycontainerscanning"></a>`containerScanning` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `container_scanning`スキャンの集約カウント。 |
| <a id="securityreportsummarycontainerscanningforregistry"></a>`containerScanningForRegistry` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `container_scanning_for_registry`スキャンの集約カウント。 |
| <a id="securityreportsummarycoveragefuzzing"></a>`coverageFuzzing` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `coverage_fuzzing`スキャンの集約カウント。 |
| <a id="securityreportsummarydast"></a>`dast` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `dast`スキャンの集約カウント。 |
| <a id="securityreportsummarydependencyscanning"></a>`dependencyScanning` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `dependency_scanning`スキャンの集約カウント。 |
| <a id="securityreportsummarygeneric"></a>`generic` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `generic`スキャンの集約カウント。 |
| <a id="securityreportsummarysast"></a>`sast` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `sast`スキャンの集約カウント。 |
| <a id="securityreportsummarysecretdetection"></a>`secretDetection` | [`SecurityReportSummarySection`](#securityreportsummarysection) | `secret_detection`スキャンの集約カウント。 |

### `SecurityReportSummarySection`

セキュリティレポートの概要のセクションを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="securityreportsummarysectionscannedresources"></a>`scannedResources` | [`ScannedResourceConnection`](#scannedresourceconnection) | スキャンされたリソースのうち最初の20個のリスト。（[接続](#connections)を参照） |
| <a id="securityreportsummarysectionscannedresourcescount"></a>`scannedResourcesCount` | [`Int`](#int) | スキャンされたリソースの総数。 |
| <a id="securityreportsummarysectionscannedresourcescsvpath"></a>`scannedResourcesCsvPath` | [`String`](#string) | スキャンされたすべてのリソースをCSV形式でダウンロードするためのパス。 |
| <a id="securityreportsummarysectionscans"></a>`scans` | [`ScanConnection!`](#scanconnection) | タイプ別に実行されたセキュリティスキャンのリスト。（[接続](#connections)を参照） |
| <a id="securityreportsummarysectionvulnerabilitiescount"></a>`vulnerabilitiesCount` | [`Int`](#int) | 脆弱性の総数。 |

### `SecurityScanners`

セキュリティスキャナーのリストを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="securityscannersavailable"></a>`available` | [`[SecurityScannerType!]`](#securityscannertype) | プロジェクトで使用可能なアナライザーのリスト。 |
| <a id="securityscannersenabled"></a>`enabled` | [`[SecurityScannerType!]`](#securityscannertype) | プロジェクトで有効になっているアナライザーのリスト。 |
| <a id="securityscannerspipelinerun"></a>`pipelineRun` | [`[SecurityScannerType!]`](#securityscannertype) | 最後のパイプラインで正常に実行されたアナライザーのリスト。 |

### `SecurityTrainingUrl`

セキュリティトレーニングに関連するURLを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="securitytrainingurlidentifier"></a>`identifier` | [`String`](#string) | 脆弱性識別子の名前。 |
| <a id="securitytrainingurlname"></a>`name` | [`String`](#string) | トレーニングプロバイダーの名前。 |
| <a id="securitytrainingurlstatus"></a>`status` | [`TrainingUrlRequestStatus`](#trainingurlrequeststatus) | トレーニングプロバイダーに対するリクエストの状態。 |
| <a id="securitytrainingurlurl"></a>`url` | [`String`](#string) | セキュリティトレーニングコンテンツのリンクのURL。 |

### `SentryDetailedError`

Sentryエラー。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentrydetailederrorcount"></a>`count` | [`Int!`](#int) | 発生回数。 |
| <a id="sentrydetailederrorculprit"></a>`culprit` | [`String!`](#string) | エラーの発生源。 |
| <a id="sentrydetailederrorexternalbaseurl"></a>`externalBaseUrl` | [`String!`](#string) | Sentryインスタンスの外部ベースURL。 |
| <a id="sentrydetailederrorexternalurl"></a>`externalUrl` | [`String!`](#string) | エラーの外部URL。 |
| <a id="sentrydetailederrorfirstreleaselastcommit"></a>`firstReleaseLastCommit` | [`String`](#string) | エラーが最初に確認されたコミット。 |
| <a id="sentrydetailederrorfirstreleaseshortversion"></a>`firstReleaseShortVersion` | [`String`](#string) | エラーが最初に確認されたリリースの短いバージョン。 |
| <a id="sentrydetailederrorfirstreleaseversion"></a>`firstReleaseVersion` | [`String`](#string) | エラーが最初に確認されたリリースのバージョン。 |
| <a id="sentrydetailederrorfirstseen"></a>`firstSeen` | [`Time!`](#time) | エラーが最初に確認された時点のタイムスタンプ。 |
| <a id="sentrydetailederrorfrequency"></a>`frequency` | [`[SentryErrorFrequency!]!`](#sentryerrorfrequency) | エラーの過去24時間の統計。 |
| <a id="sentrydetailederrorgitlabcommit"></a>`gitlabCommit` | [`String`](#string) | リリースバージョンに基づく、エラーに起因するGitLabコミットSHA。 |
| <a id="sentrydetailederrorgitlabcommitpath"></a>`gitlabCommitPath` | [`String`](#string) | エラーに起因するGitLabコミットのGitLabページのパス。 |
| <a id="sentrydetailederrorgitlabissuepath"></a>`gitlabIssuePath` | [`String`](#string) | GitLabイシューのURL。 |
| <a id="sentrydetailederrorid"></a>`id` | [`ID!`](#id) | エラーのID（グローバルID）。 |
| <a id="sentrydetailederrorintegrated"></a>`integrated` | [`Boolean`](#boolean) | エラートラッキングバックエンド。 |
| <a id="sentrydetailederrorlastreleaselastcommit"></a>`lastReleaseLastCommit` | [`String`](#string) | エラーが最後に確認されたコミット。 |
| <a id="sentrydetailederrorlastreleaseshortversion"></a>`lastReleaseShortVersion` | [`String`](#string) | エラーが最後に確認されたリリースの短いバージョン。 |
| <a id="sentrydetailederrorlastreleaseversion"></a>`lastReleaseVersion` | [`String`](#string) | エラーが最後に確認されたリリースバージョン。 |
| <a id="sentrydetailederrorlastseen"></a>`lastSeen` | [`Time!`](#time) | エラーが最後に確認されたタイムスタンプ。 |
| <a id="sentrydetailederrormessage"></a>`message` | [`String`](#string) | エラーのSentryメタデータメッセージ。 |
| <a id="sentrydetailederrorsentryid"></a>`sentryId` | [`String!`](#string) | エラーのID（Sentry ID）。 |
| <a id="sentrydetailederrorsentryprojectid"></a>`sentryProjectId` | [`ID!`](#id) | プロジェクト（Sentryプロジェクト）のID。 |
| <a id="sentrydetailederrorsentryprojectname"></a>`sentryProjectName` | [`String!`](#string) | エラーの影響を受けるプロジェクトの名前。 |
| <a id="sentrydetailederrorsentryprojectslug"></a>`sentryProjectSlug` | [`String!`](#string) | エラーの影響を受けるプロジェクトのslug。 |
| <a id="sentrydetailederrorshortid"></a>`shortId` | [`String!`](#string) | エラーの短いID（Sentry ID）。 |
| <a id="sentrydetailederrorstatus"></a>`status` | [`SentryErrorStatus!`](#sentryerrorstatus) | エラーの状態。 |
| <a id="sentrydetailederrortags"></a>`tags` | [`SentryErrorTags!`](#sentryerrortags) | Sentryエラーに関連付けられているタグ。 |
| <a id="sentrydetailederrortitle"></a>`title` | [`String!`](#string) | エラーのタイトル。 |
| <a id="sentrydetailederrortype"></a>`type` | [`String!`](#string) | エラーのタイプ。 |
| <a id="sentrydetailederrorusercount"></a>`userCount` | [`Int!`](#int) | エラーの影響を受けるユーザーの数。 |

### `SentryError`

Sentryエラー。SentryDetailedErrorの簡略バージョン。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorcount"></a>`count` | [`Int!`](#int) | 発生回数。 |
| <a id="sentryerrorculprit"></a>`culprit` | [`String!`](#string) | エラーの発生源。 |
| <a id="sentryerrorexternalurl"></a>`externalUrl` | [`String!`](#string) | エラーの外部URL。 |
| <a id="sentryerrorfirstseen"></a>`firstSeen` | [`Time!`](#time) | エラーが最初に確認された時点のタイムスタンプ。 |
| <a id="sentryerrorfrequency"></a>`frequency` | [`[SentryErrorFrequency!]!`](#sentryerrorfrequency) | エラーの過去24時間の統計。 |
| <a id="sentryerrorid"></a>`id` | [`ID!`](#id) | エラーのID（グローバルID）。 |
| <a id="sentryerrorlastseen"></a>`lastSeen` | [`Time!`](#time) | エラーが最後に確認されたタイムスタンプ。 |
| <a id="sentryerrormessage"></a>`message` | [`String`](#string) | エラーのSentryメタデータメッセージ。 |
| <a id="sentryerrorsentryid"></a>`sentryId` | [`String!`](#string) | エラーのID（Sentry ID）。 |
| <a id="sentryerrorsentryprojectid"></a>`sentryProjectId` | [`ID!`](#id) | プロジェクト（Sentryプロジェクト）のID。 |
| <a id="sentryerrorsentryprojectname"></a>`sentryProjectName` | [`String!`](#string) | エラーの影響を受けるプロジェクトの名前。 |
| <a id="sentryerrorsentryprojectslug"></a>`sentryProjectSlug` | [`String!`](#string) | エラーの影響を受けるプロジェクトのslug。 |
| <a id="sentryerrorshortid"></a>`shortId` | [`String!`](#string) | エラーの短いID（Sentry ID）。 |
| <a id="sentryerrorstatus"></a>`status` | [`SentryErrorStatus!`](#sentryerrorstatus) | エラーの状態。 |
| <a id="sentryerrortitle"></a>`title` | [`String!`](#string) | エラーのタイトル。 |
| <a id="sentryerrortype"></a>`type` | [`String!`](#string) | エラーのタイプ。 |
| <a id="sentryerrorusercount"></a>`userCount` | [`Int!`](#int) | エラーの影響を受けるユーザーの数。 |

### `SentryErrorCollection`

Sentryエラーのコレクションと、エラーの詳細を含むオブジェクト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorcollectionexternalurl"></a>`externalUrl` | [`String`](#string) | Sentryの外部URL。 |

#### 引数のあるフィールド

##### `SentryErrorCollection.detailedError`

プロジェクトに関するSentryエラーの詳細バージョン。

[`SentryDetailedError`](#sentrydetailederror)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorcollectiondetailederrorid"></a>`id` | [`GitlabErrorTrackingDetailedErrorID!`](#gitlaberrortrackingdetailederrorid) | SentryイシューのID。 |

##### `SentryErrorCollection.errorStackTrace`

Sentryエラーのスタックトレース。

[`SentryErrorStackTrace`](#sentryerrorstacktrace)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorcollectionerrorstacktraceid"></a>`id` | [`GitlabErrorTrackingDetailedErrorID!`](#gitlaberrortrackingdetailederrorid) | SentryイシューのID。 |

##### `SentryErrorCollection.errors`

Sentryエラーのコレクション。

[`SentryErrorConnection`](#sentryerrorconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorcollectionerrorssearchterm"></a>`searchTerm` | [`String`](#string) | Sentryエラー詳細の検索クエリ。 |
| <a id="sentryerrorcollectionerrorssort"></a>`sort` | [`String`](#string) | ソートの基準となる属性。オプションは、frequency、first_seen、last_seenです。last_seenがデフォルトです。 |

### `SentryErrorFrequency`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorfrequencycount"></a>`count` | [`Int!`](#int) | 前回記録時刻以来に受信したエラーの数。 |
| <a id="sentryerrorfrequencytime"></a>`time` | [`Time!`](#time) | エラー頻度の統計が記録された時刻。 |

### `SentryErrorStackTrace`

Sentryエラーのスタックトレースエントリを含むオブジェクト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorstacktracedatereceived"></a>`dateReceived` | [`String!`](#string) | スタックトレースをSentryが受信した時刻。 |
| <a id="sentryerrorstacktraceissueid"></a>`issueId` | [`String!`](#string) | SentryエラーのID。 |
| <a id="sentryerrorstacktracestacktraceentries"></a>`stackTraceEntries` | [`[SentryErrorStackTraceEntry!]!`](#sentryerrorstacktraceentry) | Sentryエラーのスタックトレースエントリ。 |

### `SentryErrorStackTraceContext`

Sentryエラースタックトレースのオブジェクトコンテキスト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorstacktracecontextcode"></a>`code` | [`String!`](#string) | コンテキストのコード番号。 |
| <a id="sentryerrorstacktracecontextline"></a>`line` | [`Int!`](#int) | コンテキストの行番号。 |

### `SentryErrorStackTraceEntry`

Sentryエラーのスタックトレースエントリを含むオブジェクト。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrorstacktraceentrycol"></a>`col` | [`String`](#string) | Sentryエラーが発生した関数。 |
| <a id="sentryerrorstacktraceentryfilename"></a>`fileName` | [`String`](#string) | Sentryエラーが発生したファイル。 |
| <a id="sentryerrorstacktraceentryfunction"></a>`function` | [`String`](#string) | Sentryエラーが発生した関数。 |
| <a id="sentryerrorstacktraceentryline"></a>`line` | [`String`](#string) | Sentryエラーが発生した関数。 |
| <a id="sentryerrorstacktraceentrytracecontext"></a>`traceContext` | [`[SentryErrorStackTraceContext!]`](#sentryerrorstacktracecontext) | Sentryエラーのコンテキスト。 |

### `SentryErrorTags`

Sentryエラーの状態。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sentryerrortagslevel"></a>`level` | [`String`](#string) | Sentryエラーの重大度レベル。 |
| <a id="sentryerrortagslogger"></a>`logger` | [`String`](#string) | Sentryエラーのロガー。 |

### `SeverityOverride`

脆弱性の重大度オーバーライドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="severityoverrideauthor"></a>`author` | [`UserCore!`](#usercore) | 重大度を変更したユーザー。 |
| <a id="severityoverridecreatedat"></a>`createdAt` | [`Time`](#time) | 重大度変更の時刻。 |
| <a id="severityoverridenewseverity"></a>`newSeverity` | [`VulnerabilitySeverity!`](#vulnerabilityseverity) | 脆弱性の新しい重大度。 |
| <a id="severityoverrideoriginalseverity"></a>`originalSeverity` | [`VulnerabilitySeverity!`](#vulnerabilityseverity) | 脆弱性の元の重大度。 |

### `SlashCommand`

Duo Chatスラッシュコマンド。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="slashcommanddescription"></a>`description` | [`String!`](#string) | スラッシュコマンドの機能の説明。 |
| <a id="slashcommandname"></a>`name` | [`String!`](#string) | スラッシュコマンドの名前。 |
| <a id="slashcommandshouldsubmit"></a>`shouldSubmit` | [`Boolean!`](#boolean) | クリック時にコマンドを自動送信するかどうかを示します。 |

### `Snippet`

スニペットエントリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetauthor"></a>`author` | [`UserCore`](#usercore) | スニペットのオーナー。 |
| <a id="snippetcommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="snippetcreatedat"></a>`createdAt` | [`Time!`](#time) | スニペット作成のタイムスタンプ。 |
| <a id="snippetdescription"></a>`description` | [`String`](#string) | スニペットの説明。 |
| <a id="snippetdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="snippetdiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="snippetfilename"></a>`fileName` | [`String`](#string) | スニペットのファイル名。 |
| <a id="snippethidden"></a>`hidden` | [`Boolean!`](#boolean) | 作成者がBANされたため、スニペットが非表示になっていることを示します。 |
| <a id="snippethttpurltorepo"></a>`httpUrlToRepo` | [`String`](#string) | スニペットリポジトリのHTTP URL。 |
| <a id="snippetid"></a>`id` | [`SnippetID!`](#snippetid) | スニペットのID。 |
| <a id="snippetimported"></a>`imported` | [`Boolean!`](#boolean) | スニペットがインポートされたかどうかを示します。 |
| <a id="snippetimportedfrom"></a>`importedFrom` | [`ImportSource!`](#importsource) | スニペットのインポート元。 |
| <a id="snippetproject"></a>`project` | [`Project`](#project) | スニペットが関連付けられているプロジェクト。 |
| <a id="snippetrawurl"></a>`rawUrl` | [`String!`](#string) | スニペットのraw URL。 |
| <a id="snippetsshurltorepo"></a>`sshUrlToRepo` | [`String`](#string) | スニペットリポジトリのSSH URL。 |
| <a id="snippettitle"></a>`title` | [`String!`](#string) | スニペットのタイトル。 |
| <a id="snippetupdatedat"></a>`updatedAt` | [`Time!`](#time) | スニペット更新のタイムスタンプ。 |
| <a id="snippetuserpermissions"></a>`userPermissions` | [`SnippetPermissions!`](#snippetpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="snippetvisibilitylevel"></a>`visibilityLevel` | [`VisibilityLevelsEnum!`](#visibilitylevelsenum) | スニペットの表示レベル。 |
| <a id="snippetweburl"></a>`webUrl` | [`String!`](#string) | スニペットのWeb URL。 |

#### 引数のあるフィールド

##### `Snippet.blobs`

スニペットblob。

[`SnippetBlobConnection`](#snippetblobconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobspaths"></a>`paths` | [`[String!]`](#string) | blobのパス。 |

##### `Snippet.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

### `SnippetBlob`

スニペットblobを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobbinary"></a>`binary` | [`Boolean!`](#boolean) | blobがバイナリかどうかを示します。 |
| <a id="snippetblobexternalstorage"></a>`externalStorage` | [`String`](#string) | blob外部ストレージ。 |
| <a id="snippetblobmode"></a>`mode` | [`String`](#string) | blobモード。 |
| <a id="snippetblobname"></a>`name` | [`String`](#string) | blob名。 |
| <a id="snippetblobpath"></a>`path` | [`String`](#string) | blobパス。 |
| <a id="snippetblobplaindata"></a>`plainData` | [`String`](#string) | blobプレーン強調表示データ。 |
| <a id="snippetblobrawpath"></a>`rawPath` | [`String!`](#string) | blob rawコンテンツエンドポイントパス。 |
| <a id="snippetblobrawplaindata"></a>`rawPlainData` | [`String`](#string) | blobがテキストデータの場合に、blobのrawコンテンツ。 |
| <a id="snippetblobrenderedastext"></a>`renderedAsText` | [`Boolean!`](#boolean) | blobがテキストとしてレンダリングされるかどうかを示します。 |
| <a id="snippetblobrichdata"></a>`richData` | [`String`](#string) | blob強調表示データ。 |
| <a id="snippetblobrichviewer"></a>`richViewer` | [`SnippetBlobViewer`](#snippetblobviewer) | blobコンテンツのリッチビューアー。 |
| <a id="snippetblobsimpleviewer"></a>`simpleViewer` | [`SnippetBlobViewer!`](#snippetblobviewer) | blobコンテンツのシンプルビューアー。 |
| <a id="snippetblobsize"></a>`size` | [`Int!`](#int) | blobのサイズ。 |

### `SnippetBlobViewer`

blobコンテンツの表示方法を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobviewercollapsed"></a>`collapsed` | [`Boolean!`](#boolean) | blobを折りたたんで表示するかどうかを示します。 |
| <a id="snippetblobviewerfiletype"></a>`fileType` | [`String!`](#string) | コンテンツのファイルタイプ。 |
| <a id="snippetblobviewerloadasync"></a>`loadAsync` | [`Boolean!`](#boolean) | blobコンテンツを非同期でロードするかどうかを示します。 |
| <a id="snippetblobviewerloadingpartialname"></a>`loadingPartialName` | [`String!`](#string) | 部分的な読み込み名。 |
| <a id="snippetblobviewerrendererror"></a>`renderError` | [`String`](#string) | blobコンテンツのレンダリングエラー。 |
| <a id="snippetblobviewertoolarge"></a>`tooLarge` | [`Boolean!`](#boolean) | blobが大きすぎて表示できないかどうかを示します。 |
| <a id="snippetblobviewertype"></a>`type` | [`BlobViewersType!`](#blobviewerstype) | blobビューアーのタイプ。 |

### `SnippetPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetpermissionsadminsnippet"></a>`adminSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_snippet`を実行できます。 |
| <a id="snippetpermissionsawardemoji"></a>`awardEmoji` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`award_emoji`を実行できます。 |
| <a id="snippetpermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="snippetpermissionsreadsnippet"></a>`readSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_snippet`を実行できます。 |
| <a id="snippetpermissionsreportsnippet"></a>`reportSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`report_snippet`を実行できます。 |
| <a id="snippetpermissionsupdatesnippet"></a>`updateSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_snippet`を実行できます。 |

### `SnippetRepositoryRegistry`

スニペットリポジトリのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetrepositoryregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | SnippetRepositoryRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="snippetrepositoryregistrycreatedat"></a>`createdAt` | [`Time`](#time) | SnippetRepositoryRegistry作成時のタイムスタンプ。 |
| <a id="snippetrepositoryregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="snippetrepositoryregistryid"></a>`id` | [`ID!`](#id) | SnippetRepositoryRegistryのID。 |
| <a id="snippetrepositoryregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | SnippetRepositoryRegistryの同期中のエラーメッセージ。 |
| <a id="snippetrepositoryregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | SnippetRepositoryRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="snippetrepositoryregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにSnippetRepositoryRegistryが欠落しているかどうかを示します。 |
| <a id="snippetrepositoryregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | SnippetRepositoryRegistryのモデルレコードのID。 |
| <a id="snippetrepositoryregistryretryat"></a>`retryAt` | [`Time`](#time) | SnippetRepositoryRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="snippetrepositoryregistryretrycount"></a>`retryCount` | [`Int`](#int) | SnippetRepositoryRegistryの同期試行の連続失敗回数。 |
| <a id="snippetrepositoryregistrysnippetrepositoryid"></a>`snippetRepositoryId` | [`ID!`](#id) | スニペットリポジトリのID。 |
| <a id="snippetrepositoryregistrystate"></a>`state` | [`RegistryState`](#registrystate) | SnippetRepositoryRegistryの同期状態。 |
| <a id="snippetrepositoryregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | SnippetRepositoryRegistryのローカルチェックサム。 |
| <a id="snippetrepositoryregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のSnippetRepositoryRegistryのチェックサムの予想値。 |
| <a id="snippetrepositoryregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | SnippetRepositoryRegistryの検証中のエラーメッセージ。 |
| <a id="snippetrepositoryregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | SnippetRepositoryRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="snippetrepositoryregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | SnippetRepositoryRegistryの検証試行の連続失敗回数。 |
| <a id="snippetrepositoryregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | SnippetRepositoryRegistryの検証開始のタイムスタンプ。 |
| <a id="snippetrepositoryregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | SnippetRepositoryRegistryの検証状態。 |
| <a id="snippetrepositoryregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | SnippetRepositoryRegistryの最後の検証成功のタイムスタンプ。 |

### `SquashOption`

保護ブランチのスカッシュオプションオーバーライド。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="squashoptionhelptext"></a>`helpText` | [`String!`](#string) | スカッシュオプションのヘルプテキスト。 |
| <a id="squashoptionoption"></a>`option` | [`String!`](#string) | 人間が判別できるスカッシュオプションの説明。 |

### `SshSignature`

署名付きコミットのSSH署名。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sshsignaturecommitsha"></a>`commitSha` | [`String`](#string) | 関連するコミットのSHA。 |
| <a id="sshsignaturekey"></a>`key` | [`Key`](#key) | 署名に使用するSSH鍵。 |
| <a id="sshsignaturekeyfingerprintsha256"></a>`keyFingerprintSha256` | [`String`](#string) | キーのフィンガープリント。 |
| <a id="sshsignatureproject"></a>`project` | [`Project`](#project) | 関連するコミットのプロジェクト。 |
| <a id="sshsignatureuser"></a>`user` | [`UserCore`](#usercore) | キーに関連付けられているユーザー |
| <a id="sshsignatureverificationstatus"></a>`verificationStatus` | [`VerificationStatus`](#verificationstatus) | 関連するキーまたは証明書の検証状態を示します。 |

### `StandardRole`

標準ロールを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="standardroleaccesslevel"></a>`accessLevel` | [`Int!`](#int) | アクセスレベルの数値。 |
| <a id="standardroledescription"></a>`description` | [`String`](#string) | ロールの説明。 |
| <a id="standardroledetailspath"></a>`detailsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.4で**導入**。**状態**: 実験。ロールの詳細WebページのURLパス。 |
| <a id="standardroleid"></a>`id` | [`ID!`](#id) | ロールID。 |
| <a id="standardrolememberscount"></a>`membersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.3で**導入**。**状態**: 実験。ロールがグループまたはプロジェクトメンバーに直接割り当てられた回数。 |
| <a id="standardrolename"></a>`name` | [`String`](#string) | ロール名。 |
| <a id="standardroleuserscount"></a>`usersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.5で**導入**。**状態**: 実験。少なくとも1つのグループまたはプロジェクトでロールが直接割り当てられているユーザーの数。 |

### `StandardsAdherenceChecksStatus`

標準準拠チェックの進行状況。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="standardsadherencechecksstatuscheckscompleted"></a>`checksCompleted` | [`Int!`](#int) | 正常に完了した準拠チェックの数。 |
| <a id="standardsadherencechecksstatusstartedat"></a>`startedAt` | [`Time!`](#time) | 準拠チェックのスキャン開始のUTCタイムスタンプ。 |
| <a id="standardsadherencechecksstatustotalchecks"></a>`totalChecks` | [`Int!`](#int) | 準拠チェックの数に、グループ内のプロジェクト数を乗算した数。 |

### `StatusAction`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="statusactionbuttontitle"></a>`buttonTitle` | [`String`](#string) | ボタンのタイトル、例: ジョブを再試行。 |
| <a id="statusactionconfirmationmessage"></a>`confirmationMessage` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.0で**導入**。**状態**: 実験。手動ジョブのカスタム確認メッセージ。 |
| <a id="statusactionicon"></a>`icon` | [`String`](#string) | アクションボタンで使用されるアイコン。 |
| <a id="statusactionid"></a>`id` | [`String!`](#string) | 状態アクションのID。 |
| <a id="statusactionmethod"></a>`method` | [`String`](#string) | アクションのメソッド（postなど）。 |
| <a id="statusactionpath"></a>`path` | [`String`](#string) | アクションのパス。 |
| <a id="statusactiontitle"></a>`title` | [`String`](#string) | アクションのタイトル、例: 再試行。 |

### `StringExpression`

文字列を値とする式。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="stringexpressionfield"></a>`field` | [`String!`](#string) | 式が適用されるフィールド。 |
| <a id="stringexpressionoperator"></a>`operator` | [`String!`](#string) | 式の演算子。 |
| <a id="stringexpressionvalue"></a>`value` | [`String!`](#string) | 式の文字列値。 |

### `Submodule`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="submoduleflatpath"></a>`flatPath` | [`String!`](#string) | エントリのフラットパス。 |
| <a id="submoduleid"></a>`id` | [`ID!`](#id) | エントリのID。 |
| <a id="submodulename"></a>`name` | [`String!`](#string) | エントリの名前。 |
| <a id="submodulepath"></a>`path` | [`String!`](#string) | エントリのパス。 |
| <a id="submodulesha"></a>`sha` | [`String!`](#string) | エントリのSHA。 |
| <a id="submoduletreeurl"></a>`treeUrl` | [`String`](#string) | サブモジュールのツリーURL。 |
| <a id="submoduletype"></a>`type` | [`EntryType!`](#entrytype) | ツリーエントリのタイプ。 |
| <a id="submoduleweburl"></a>`webUrl` | [`String`](#string) | サブモジュールのWeb URL。 |

### `SubscriptionFutureEntry`

将来のサブスクリプションのエントリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="subscriptionfutureentrycompany"></a>`company` | [`String`](#string) | ライセンシーの会社。 |
| <a id="subscriptionfutureentryemail"></a>`email` | [`String`](#string) | ライセンシーのメール。 |
| <a id="subscriptionfutureentryexpiresat"></a>`expiresAt` | [`Date`](#date) | ライセンスの有効期限の日付。 |
| <a id="subscriptionfutureentryname"></a>`name` | [`String`](#string) | ライセンシーの名前。 |
| <a id="subscriptionfutureentryplan"></a>`plan` | [`String!`](#string) | サブスクリプションプランの名前。 |
| <a id="subscriptionfutureentrystartsat"></a>`startsAt` | [`Date`](#date) | ライセンスの開始日付。 |
| <a id="subscriptionfutureentrytype"></a>`type` | [`String!`](#string) | サブスクリプションから生成されるライセンスの種類。 |
| <a id="subscriptionfutureentryusersinlicensecount"></a>`usersInLicenseCount` | [`Int`](#int) | 有料ユーザーのシート数。 |

### `SuggestedReviewersType`

レビュアー推奨結果セットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="suggestedreviewerstypeaccepted"></a>`accepted` | [`[String!]`](#string) | 承認されたレビュアーのユーザー名のリスト。 |
| <a id="suggestedreviewerstypecreatedat"></a>`createdAt` | [`Time!`](#time) | 推奨作成のタイムスタンプ。 |
| <a id="suggestedreviewerstypesuggested"></a>`suggested` | [`[String!]!`](#string) | 推奨されるレビュアーのユーザー名のリスト。 |
| <a id="suggestedreviewerstypeupdatedat"></a>`updatedAt` | [`Time!`](#time) | 推奨更新のタイムスタンプ。 |

### `SystemNoteMetadata`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="systemnotemetadataaction"></a>`action` | [`String`](#string) | システムノートのメタデータアクション。 |
| <a id="systemnotemetadatadescriptionversion"></a>`descriptionVersion` | [`DescriptionVersion`](#descriptionversion) | 変更された説明のバージョン。 |
| <a id="systemnotemetadataid"></a>`id` | [`SystemNoteMetadataID!`](#systemnotemetadataid) | 特定のシステムノートメタデータのグローバルID。 |

### `Tag`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="tagcommit"></a>`commit` | [`Commit`](#commit) | タグのコミット。 |
| <a id="tagmessage"></a>`message` | [`String`](#string) | タグ付けメッセージ。 |
| <a id="tagname"></a>`name` | [`String!`](#string) | タグの名前。 |

### `TaskCompletionStatus`

タスクの完了状態。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="taskcompletionstatuscompletedcount"></a>`completedCount` | [`Int!`](#int) | 完了したタスクの数。 |
| <a id="taskcompletionstatuscount"></a>`count` | [`Int!`](#int) | タスクの合計数。 |

### `TerraformModuleMetadata`

Terraformモジュールのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | メタデータ作成のタイムスタンプ。 |
| <a id="terraformmodulemetadatafields"></a>`fields` | [`TerraformModuleMetadataFields!`](#terraformmodulemetadatafields) | メタデータのフィールド。 |
| <a id="terraformmodulemetadataid"></a>`id` | [`PackagesTerraformModuleMetadatumID!`](#packagesterraformmodulemetadatumid) | メタデータのID。 |
| <a id="terraformmodulemetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | メタデータの最終更新タイムスタンプ。 |

### `TerraformModuleMetadataDependencies`

Terraformモジュールのメタデータの依存関係。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatadependenciesmodules"></a>`modules` | [`[TerraformModuleMetadataDependency!]`](#terraformmodulemetadatadependency) | モジュールのモジュール。 |
| <a id="terraformmodulemetadatadependenciesproviders"></a>`providers` | [`[TerraformModuleMetadataDependency!]`](#terraformmodulemetadatadependency) | モジュールのプロバイダー。 |

### `TerraformModuleMetadataDependency`

Terraformモジュールのメタデータの依存関係。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatadependencyname"></a>`name` | [`String!`](#string) | 依存関係の名前。 |
| <a id="terraformmodulemetadatadependencysource"></a>`source` | [`String`](#string) | 依存関係のソース。 |
| <a id="terraformmodulemetadatadependencyversion"></a>`version` | [`String`](#string) | 依存関係のバージョン。 |

### `TerraformModuleMetadataExample`

Terraformモジュールのメタデータの例。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadataexampleinputs"></a>`inputs` | [`[TerraformModuleMetadataInput!]`](#terraformmodulemetadatainput) | モジュールのインプット。 |
| <a id="terraformmodulemetadataexamplename"></a>`name` | [`String!`](#string) | 例の名前。 |
| <a id="terraformmodulemetadataexampleoutputs"></a>`outputs` | [`[TerraformModuleMetadataOutput!]`](#terraformmodulemetadataoutput) | モジュールの出力。 |
| <a id="terraformmodulemetadataexamplereadme"></a>`readme` | [`String`](#string) | Readmeデータ。 |
| <a id="terraformmodulemetadataexamplereadmehtml"></a>`readmeHtml` | [`String`](#string) | `readme`のGitLab Flavored Markdownレンダリング。 |

### `TerraformModuleMetadataFields`

Terraformモジュールのメタデータのフィールド型。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatafieldsexamples"></a>`examples` | [`[TerraformModuleMetadataExample!]`](#terraformmodulemetadataexample) | モジュールの例。 |
| <a id="terraformmodulemetadatafieldsroot"></a>`root` | [`TerraformModuleMetadataRoot!`](#terraformmodulemetadataroot) | ルートモジュール。 |
| <a id="terraformmodulemetadatafieldssubmodules"></a>`submodules` | [`[TerraformModuleMetadataSubmodule!]`](#terraformmodulemetadatasubmodule) | モジュールのサブモジュール。 |

### `TerraformModuleMetadataInput`

Terraformモジュールのメタデータのインプット型。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatainputdefault"></a>`default` | [`String`](#string) | インプットのデフォルト値。 |
| <a id="terraformmodulemetadatainputdescription"></a>`description` | [`String`](#string) | インプットの説明。 |
| <a id="terraformmodulemetadatainputname"></a>`name` | [`String!`](#string) | インプットの名前。 |
| <a id="terraformmodulemetadatainputtype"></a>`type` | [`String!`](#string) | インプットの型。 |

### `TerraformModuleMetadataOutput`

Terraformモジュールのメタデータの出力。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadataoutputdescription"></a>`description` | [`String`](#string) | 出力フィールドの説明。 |
| <a id="terraformmodulemetadataoutputname"></a>`name` | [`String!`](#string) | 出力フィールドの名前。 |

### `TerraformModuleMetadataRoot`

Terraformルートモジュールのメタデータ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatarootdependencies"></a>`dependencies` | [`TerraformModuleMetadataDependencies`](#terraformmodulemetadatadependencies) | モジュールの依存関係。 |
| <a id="terraformmodulemetadatarootinputs"></a>`inputs` | [`[TerraformModuleMetadataInput!]`](#terraformmodulemetadatainput) | モジュールのインプット。 |
| <a id="terraformmodulemetadatarootoutputs"></a>`outputs` | [`[TerraformModuleMetadataOutput!]`](#terraformmodulemetadataoutput) | モジュールの出力。 |
| <a id="terraformmodulemetadatarootreadme"></a>`readme` | [`String`](#string) | Readmeデータ。 |
| <a id="terraformmodulemetadatarootreadmehtml"></a>`readmeHtml` | [`String`](#string) | `readme`のGitLab Flavored Markdownレンダリング。 |
| <a id="terraformmodulemetadatarootresources"></a>`resources` | [`[String!]`](#string) | モジュールのリソース。 |

### `TerraformModuleMetadataSubmodule`

Terraformモジュールのメタデータのサブモジュール。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatasubmoduledependencies"></a>`dependencies` | [`TerraformModuleMetadataDependencies`](#terraformmodulemetadatadependencies) | サブモジュールの依存関係。 |
| <a id="terraformmodulemetadatasubmoduleinputs"></a>`inputs` | [`[TerraformModuleMetadataInput!]`](#terraformmodulemetadatainput) | モジュールのインプット。 |
| <a id="terraformmodulemetadatasubmodulename"></a>`name` | [`String!`](#string) | サブモジュールの名前。 |
| <a id="terraformmodulemetadatasubmoduleoutputs"></a>`outputs` | [`[TerraformModuleMetadataOutput!]`](#terraformmodulemetadataoutput) | モジュールの出力。 |
| <a id="terraformmodulemetadatasubmodulereadme"></a>`readme` | [`String`](#string) | Readmeデータ。 |
| <a id="terraformmodulemetadatasubmodulereadmehtml"></a>`readmeHtml` | [`String`](#string) | `readme`のGitLab Flavored Markdownレンダリング。 |
| <a id="terraformmodulemetadatasubmoduleresources"></a>`resources` | [`[String!]`](#string) | サブモジュールのリソース。 |

### `TerraformState`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstatecreatedat"></a>`createdAt` | [`Time!`](#time) | Terraform状態作成時のタイムスタンプ。 |
| <a id="terraformstatedeletedat"></a>`deletedAt` | [`Time`](#time) | Terraform状態削除時のタイムスタンプ。 |
| <a id="terraformstateid"></a>`id` | [`ID!`](#id) | Terraform状態のID。 |
| <a id="terraformstatelatestversion"></a>`latestVersion` | [`TerraformStateVersion`](#terraformstateversion) | Terraform状態の最新バージョン。 |
| <a id="terraformstatelockedat"></a>`lockedAt` | [`Time`](#time) | Terraform状態ロック時のタイムスタンプ。 |
| <a id="terraformstatelockedbyuser"></a>`lockedByUser` | [`UserCore`](#usercore) | 現在Terraform状態のロックを保持しているユーザー。 |
| <a id="terraformstatename"></a>`name` | [`String!`](#string) | Terraform状態の名前。 |
| <a id="terraformstateupdatedat"></a>`updatedAt` | [`Time!`](#time) | Terraform状態更新時のタイムスタンプ。 |

### `TerraformStateVersion`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateversioncreatedat"></a>`createdAt` | [`Time!`](#time) | バージョン作成時のタイムスタンプ。 |
| <a id="terraformstateversioncreatedbyuser"></a>`createdByUser` | [`UserCore`](#usercore) | バージョンを作成したユーザー。 |
| <a id="terraformstateversiondownloadpath"></a>`downloadPath` | [`String`](#string) | バージョンのJSONファイルのダウンロード用URL。 |
| <a id="terraformstateversionid"></a>`id` | [`ID!`](#id) | Terraform状態バージョンのID。 |
| <a id="terraformstateversionjob"></a>`job` | [`CiJob`](#cijob) | バージョンを作成したジョブ。 |
| <a id="terraformstateversionserial"></a>`serial` | [`Int`](#int) | バージョンのシリアル番号。 |
| <a id="terraformstateversionupdatedat"></a>`updatedAt` | [`Time!`](#time) | バージョン更新時のタイムスタンプ。 |

### `TerraformStateVersionRegistry`

Terraform状態バージョンのGeo同期と検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformstateversionregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | TerraformStateVersionRegistryのチェックサムが、プライマリとセカンダリで不一致かどうかを示します。 |
| <a id="terraformstateversionregistrycreatedat"></a>`createdAt` | [`Time`](#time) | TerraformStateVersionRegistry作成時のタイムスタンプ。 |
| <a id="terraformstateversionregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="terraformstateversionregistryid"></a>`id` | [`ID!`](#id) | TerraformStateVersionRegistryのID。 |
| <a id="terraformstateversionregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | TerraformStateVersionRegistryの同期中のエラーメッセージ。 |
| <a id="terraformstateversionregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | TerraformStateVersionRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="terraformstateversionregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにTerraformStateVersionRegistryが欠落しているかどうかを示します。 |
| <a id="terraformstateversionregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | TerraformStateVersionRegistryのモデルレコードのID。 |
| <a id="terraformstateversionregistryretryat"></a>`retryAt` | [`Time`](#time) | TerraformStateVersionRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="terraformstateversionregistryretrycount"></a>`retryCount` | [`Int`](#int) | TerraformStateVersionRegistryの同期試行の連続失敗回数。 |
| <a id="terraformstateversionregistrystate"></a>`state` | [`RegistryState`](#registrystate) | TerraformStateVersionRegistryの同期状態。 |
| <a id="terraformstateversionregistryterraformstateversionid"></a>`terraformStateVersionId` | [`ID!`](#id) | Terraform状態バージョンのID。 |
| <a id="terraformstateversionregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | TerraformStateVersionRegistryのローカルチェックサム。 |
| <a id="terraformstateversionregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のTerraformStateVersionRegistryのチェックサムの予想値。 |
| <a id="terraformstateversionregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | TerraformStateVersionRegistryの検証中のエラーメッセージ。 |
| <a id="terraformstateversionregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | TerraformStateVersionRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="terraformstateversionregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | TerraformStateVersionRegistryの検証試行の連続失敗回数。 |
| <a id="terraformstateversionregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | TerraformStateVersionRegistryの検証開始のタイムスタンプ。 |
| <a id="terraformstateversionregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | TerraformStateVersionRegistryの検証状態。 |
| <a id="terraformstateversionregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | TerraformStateVersionRegistryの最後の検証成功のタイムスタンプ。 |

### `TestCase`

パイプラインテストレポートのテストケース。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testcaseattachmenturl"></a>`attachmentUrl` | [`String`](#string) | テストケースの添付ファイルのURL。 |
| <a id="testcaseclassname"></a>`classname` | [`String`](#string) | テストケースのクラス名。 |
| <a id="testcaseexecutiontime"></a>`executionTime` | [`Float`](#float) | テストケースの実行時間（秒）。 |
| <a id="testcasefile"></a>`file` | [`String`](#string) | テストケースのファイルのパス。 |
| <a id="testcasename"></a>`name` | [`String`](#string) | テストケースの名前。 |
| <a id="testcaserecentfailures"></a>`recentFailures` | [`RecentFailures`](#recentfailures) | ベースブランチでのテストケースの最近の失敗履歴。 |
| <a id="testcasestacktrace"></a>`stackTrace` | [`String`](#string) | テストケースのスタックトレース。 |
| <a id="testcasestatus"></a>`status` | [`TestCaseStatus`](#testcasestatus) | テストケースの状態（エラー、失敗、成功、スキップ）。 |
| <a id="testcasesystemoutput"></a>`systemOutput` | [`String`](#string) | テストケースのシステム出力。 |

### `TestReport`

要件テストレポートを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testreportauthor"></a>`author` | [`UserCore`](#usercore) | テストレポートの作成者。 |
| <a id="testreportcreatedat"></a>`createdAt` | [`Time!`](#time) | テストレポート作成のタイムスタンプ。 |
| <a id="testreportid"></a>`id` | [`ID!`](#id) | テストレポートのID。 |
| <a id="testreportstate"></a>`state` | [`TestReportState!`](#testreportstate) | テストレポートの状態。 |
| <a id="testreportuseslegacyiid"></a>`usesLegacyIid` | [`Boolean`](#boolean) | テストレポートが、レガシー要件IIDへの参照を使用して生成されたかどうかを示します。 |

### `TestReportSummary`

パイプラインのテストレポート。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testreportsummarytestsuites"></a>`testSuites` | [`TestSuiteSummaryConnection!`](#testsuitesummaryconnection) | パイプラインテストレポートに属するテストスイート。（[接続](#connections)を参照） |
| <a id="testreportsummarytotal"></a>`total` | [`TestReportTotal!`](#testreporttotal) | パイプラインテストレポートのレポート統計の合計。 |

### `TestReportTotal`

テストレポートの統計の合計。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testreporttotalcount"></a>`count` | [`Int`](#int) | テストケースの総数。 |
| <a id="testreporttotalerror"></a>`error` | [`Int`](#int) | エラーが発生したテストケースの総数。 |
| <a id="testreporttotalfailed"></a>`failed` | [`Int`](#int) | 失敗したテストケースの総数。 |
| <a id="testreporttotalskipped"></a>`skipped` | [`Int`](#int) | スキップされたテストケースの総数。 |
| <a id="testreporttotalsuccess"></a>`success` | [`Int`](#int) | 成功したテストケースの総数。 |
| <a id="testreporttotalsuiteerror"></a>`suiteError` | [`String`](#string) | テストスイートのエラーメッセージ。 |
| <a id="testreporttotaltime"></a>`time` | [`Float`](#float) | テストの合計時間。 |

### `TestSuite`

パイプラインテストレポート中のテストスイート。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testsuiteerrorcount"></a>`errorCount` | [`Int`](#int) | エラーが発生したテストケースの総数。 |
| <a id="testsuitefailedcount"></a>`failedCount` | [`Int`](#int) | テストスイートのうち失敗したテストケースの総数。 |
| <a id="testsuitename"></a>`name` | [`String`](#string) | テストスイートの名前。 |
| <a id="testsuiteskippedcount"></a>`skippedCount` | [`Int`](#int) | テストスイートのうちスキップされたテストケースの総数。 |
| <a id="testsuitesuccesscount"></a>`successCount` | [`Int`](#int) | テストスイートのうち成功したテストケースの総数。 |
| <a id="testsuitesuiteerror"></a>`suiteError` | [`String`](#string) | テストスイートのエラーメッセージ。 |
| <a id="testsuitetestcases"></a>`testCases` | [`TestCaseConnection`](#testcaseconnection) | テストスイートの中のテストケース。（[接続](#connections)を参照） |
| <a id="testsuitetotalcount"></a>`totalCount` | [`Int`](#int) | テストスイートの中のテストケースの総数。 |
| <a id="testsuitetotaltime"></a>`totalTime` | [`Float`](#float) | テストスイートの中のテストの合計時間。 |

### `TestSuiteSummary`

パイプラインテストレポートのテストスイートの概要。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="testsuitesummarybuildids"></a>`buildIds` | [`[ID!]`](#id) | テストスイートの実行に使用されたビルドのID。 |
| <a id="testsuitesummaryerrorcount"></a>`errorCount` | [`Int`](#int) | エラーが発生したテストケースの総数。 |
| <a id="testsuitesummaryfailedcount"></a>`failedCount` | [`Int`](#int) | テストスイートのうち失敗したテストケースの総数。 |
| <a id="testsuitesummaryname"></a>`name` | [`String`](#string) | テストスイートの名前。 |
| <a id="testsuitesummaryskippedcount"></a>`skippedCount` | [`Int`](#int) | テストスイートのうちスキップされたテストケースの総数。 |
| <a id="testsuitesummarysuccesscount"></a>`successCount` | [`Int`](#int) | テストスイートのうち成功したテストケースの総数。 |
| <a id="testsuitesummarysuiteerror"></a>`suiteError` | [`String`](#string) | テストスイートのエラーメッセージ。 |
| <a id="testsuitesummarytotalcount"></a>`totalCount` | [`Int`](#int) | テストスイートの中のテストケースの総数。 |
| <a id="testsuitesummarytotaltime"></a>`totalTime` | [`Float`](#float) | テストスイートの中のテストの合計時間。 |

### `TimeReportStats`

タイムボックスの時間レポートの統計を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timereportstatscomplete"></a>`complete` | [`TimeboxMetrics`](#timeboxmetrics) | 完了したイシューのメトリクス。 |
| <a id="timereportstatsincomplete"></a>`incomplete` | [`TimeboxMetrics`](#timeboxmetrics) | 未完了のイシューのメトリクス。 |
| <a id="timereportstatstotal"></a>`total` | [`TimeboxMetrics`](#timeboxmetrics) | イシューのメトリクスの合計。 |

### `TimeTrackingTimelogCategory`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timetrackingtimelogcategorybillable"></a>`billable` | [`Boolean`](#boolean) | カテゴリが請求可能かどうか。 |
| <a id="timetrackingtimelogcategorybillingrate"></a>`billingRate` | [`Float`](#float) | カテゴリの請求レート。 |
| <a id="timetrackingtimelogcategorycolor"></a>`color` | [`Color`](#color) | カテゴリに割り当てられた色。 |
| <a id="timetrackingtimelogcategorycreatedat"></a>`createdAt` | [`Time!`](#time) | カテゴリの作成日時。 |
| <a id="timetrackingtimelogcategorydescription"></a>`description` | [`String`](#string) | カテゴリの説明。 |
| <a id="timetrackingtimelogcategoryid"></a>`id` | [`ID!`](#id) | タイムログカテゴリの内部ID。 |
| <a id="timetrackingtimelogcategoryname"></a>`name` | [`String!`](#string) | カテゴリの名前。 |
| <a id="timetrackingtimelogcategoryupdatedat"></a>`updatedAt` | [`Time!`](#time) | カテゴリの最終更新日時。 |

### `TimeboxMetrics`

タイムボックスの測定統計メトリクスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timeboxmetricscount"></a>`count` | [`Int!`](#int) | カウントメトリクス |
| <a id="timeboxmetricsweight"></a>`weight` | [`Int!`](#int) | ウェイトメトリクス。 |

### `TimeboxReport`

タイムボックスに関する、履歴として正確なレポートを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timeboxreportburnuptimeseries"></a>`burnupTimeSeries` | [`[BurnupChartDailyTotals!]`](#burnupchartdailytotals) | バーンアップチャートの日次スコープと完了済み合計。 |
| <a id="timeboxreporterror"></a>`error` | [`TimeboxReportError`](#timeboxreporterror) | レポートを生成できない場合に、その理由に関する情報。 |
| <a id="timeboxreportstats"></a>`stats` | [`TimeReportStats`](#timereportstats) | タイムボックスの時間レポートの統計を表します。 |

### `TimeboxReportError`

タイムボックスレポートを生成できなかった理由を記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timeboxreporterrorcode"></a>`code` | [`TimeboxReportErrorReason`](#timeboxreporterrorreason) | エラーを分類する機械可読コード。 |
| <a id="timeboxreporterrormessage"></a>`message` | [`String`](#string) | 何が起こったかを説明する、人間が判読できるメッセージ。 |

### `TimelineEventTagType`

インシデント管理タイムラインイベントのタグについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtagtypeid"></a>`id` | [`IncidentManagementTimelineEventTagID!`](#incidentmanagementtimelineeventtagid) | タイムラインイベントタグのID。 |
| <a id="timelineeventtagtypename"></a>`name` | [`String!`](#string) | タイムラインイベントタグの名前。 |

### `TimelineEventType`

インシデント管理タイムラインイベントについて記述します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelineeventtypeaction"></a>`action` | [`String!`](#string) | タイムラインイベントのアイコンを示します。 |
| <a id="timelineeventtypeauthor"></a>`author` | [`UserCore`](#usercore) | タイムラインイベントを作成したユーザー。 |
| <a id="timelineeventtypecreatedat"></a>`createdAt` | [`Time!`](#time) | イベントが作成時のタイムスタンプ。 |
| <a id="timelineeventtypeeditable"></a>`editable` | [`Boolean!`](#boolean) | タイムラインイベントが編集可能かどうかを示します。 |
| <a id="timelineeventtypeid"></a>`id` | [`IncidentManagementTimelineEventID!`](#incidentmanagementtimelineeventid) | タイムラインイベントのID。 |
| <a id="timelineeventtypeincident"></a>`incident` | [`Issue!`](#issue) | タイムラインイベントのインシデント。 |
| <a id="timelineeventtypenote"></a>`note` | [`String`](#string) | タイムラインイベントのテキストノート。 |
| <a id="timelineeventtypenotehtml"></a>`noteHtml` | [`String`](#string) | タイムラインイベントのHTMLノート。 |
| <a id="timelineeventtypeoccurredat"></a>`occurredAt` | [`Time!`](#time) | イベント発生時点のタイムスタンプ。 |
| <a id="timelineeventtypepromotedfromnote"></a>`promotedFromNote` | [`Note`](#note) | タイムラインイベントの作成元となったノート。 |
| <a id="timelineeventtypetimelineeventtags"></a>`timelineEventTags` | [`TimelineEventTagTypeConnection`](#timelineeventtagtypeconnection) | インシデントタイムラインイベントのタグ。（[接続](#connections)を参照） |
| <a id="timelineeventtypeupdatedat"></a>`updatedAt` | [`Time!`](#time) | イベント更新時のタイムスタンプ。 |
| <a id="timelineeventtypeupdatedbyuser"></a>`updatedByUser` | [`UserCore`](#usercore) | タイムラインイベントを更新したユーザー。 |

### `Timelog`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelogid"></a>`id` | [`ID!`](#id) | タイムログの内部ID。 |
| <a id="timelogissue"></a>`issue` | [`Issue`](#issue) | タイムログの追加先となったイシュー。 |
| <a id="timelogmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | タイムログの追加先となったマージリクエスト。 |
| <a id="timelognote"></a>`note` | [`Note`](#note) | ログに記録された時間を追加するためにクイックアクションが実行された場所を示すノート。 |
| <a id="timelogproject"></a>`project` | [`Project!`](#project) | タイムログのマージリクエストまたはイシューのターゲットプロジェクト。 |
| <a id="timelogspentat"></a>`spentAt` | [`Time`](#time) | 追跡対象時間が費やされたタイムスタンプ。 |
| <a id="timelogsummary"></a>`summary` | [`String`](#string) | かかった時間の概要。 |
| <a id="timelogtimespent"></a>`timeSpent` | [`Int!`](#int) | かかった時間（秒）。 |
| <a id="timeloguser"></a>`user` | [`UserCore!`](#usercore) | 時間を記録したユーザー。 |
| <a id="timeloguserpermissions"></a>`userPermissions` | [`TimelogPermissions!`](#timelogpermissions) | リソースに対する現在のユーザーの権限。 |

### `TimelogPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timelogpermissionsadmintimelog"></a>`adminTimelog` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_timelog`を実行できます。 |

### `Todo`

To Doエントリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="todoaction"></a>`action` | [`TodoActionEnum!`](#todoactionenum) | To Doアイテムのアクション。 |
| <a id="todoauthor"></a>`author` | [`UserCore!`](#usercore) | To Doアイテムの作成者。 |
| <a id="todobody"></a>`body` | [`String!`](#string) | To Doアイテムの本体。 |
| <a id="todocreatedat"></a>`createdAt` | [`Time!`](#time) | To Doアイテム作成時のタイムスタンプ。 |
| <a id="todogroup"></a>`group` | [`Group`](#group) | To Doアイテムが関連付けられているグループ。 |
| <a id="todoid"></a>`id` | [`ID!`](#id) | To DoアイテムのID。 |
| <a id="todomemberaccesstype"></a>`memberAccessType` | [`String`](#string) | アクセスリクエストto-doアイテムのアクセスタイプ。 |
| <a id="todonote"></a>`note` | [`Note`](#note) | To Doアイテムを作成したノート。 |
| <a id="todoproject"></a>`project` | [`Project`](#project) | To Doアイテムが関連付けられているプロジェクト。 |
| <a id="todosnoozeduntil"></a>`snoozedUntil` | [`Time`](#time) | todoがスヌーズされるまでの時間。 |
| <a id="todostate"></a>`state` | [`TodoStateEnum!`](#todostateenum) | To Doアイテムの状態。 |
| <a id="todotarget"></a>`target` {{< icon name="warning-solid" >}} | [`Todoable!`](#todoable) | GitLab 17.4で**非推奨**になりました。`target_entity`フィールドを使用してください。 |
| <a id="todotargetentity"></a>`targetEntity` | [`Todoable`](#todoable) | To Doアイテムのターゲット。 |
| <a id="todotargettype"></a>`targetType` | [`TodoTargetEnum!`](#todotargetenum) | To Doアイテムのターゲットタイプ。 |
| <a id="todotargeturl"></a>`targetUrl` | [`String`](#string) | To DoアイテムターゲットのURL。 |

### `Topic`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="topicavatarurl"></a>`avatarUrl` | [`String`](#string) | トピックのアバター画像ファイルのURL。 |
| <a id="topicdescription"></a>`description` | [`String`](#string) | トピックの説明。 |
| <a id="topicdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="topicid"></a>`id` | [`ID!`](#id) | トピックのID。 |
| <a id="topicname"></a>`name` | [`String!`](#string) | トピックの名前。 |
| <a id="topictitle"></a>`title` | [`String!`](#string) | トピックのタイトル。 |

### `Tree`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeblobs"></a>`blobs` | [`BlobConnection!`](#blobconnection) | ツリーのblob。（[接続](#connections)を参照） |
| <a id="treesubmodules"></a>`submodules` | [`SubmoduleConnection!`](#submoduleconnection) | ツリーのサブモジュール。（[接続](#connections)を参照） |
| <a id="treetrees"></a>`trees` | [`TreeEntryConnection!`](#treeentryconnection) | ツリーのツリー。（[接続](#connections)を参照） |

#### 引数のあるフィールド

##### `Tree.lastCommit`

ツリーの最後のコミット。

[`Commit`](#commit)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treelastcommitpath"></a>`path` | [`String`](#string) | 最後のコミットを取得する対象となるパス。デフォルト値は、リポジトリのルートです。 |
| <a id="treelastcommitref"></a>`ref` | [`String`](#string) | 最後のコミットを取得する対象となるコミットref。デフォルト値はHEADです。 |
| <a id="treelastcommitreftype"></a>`refType` | [`RefType`](#reftype) | refのタイプ。 |

### `TreeEntry`

ディレクトリを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="treeentryflatpath"></a>`flatPath` | [`String!`](#string) | エントリのフラットパス。 |
| <a id="treeentryid"></a>`id` | [`ID!`](#id) | エントリのID。 |
| <a id="treeentryname"></a>`name` | [`String!`](#string) | エントリの名前。 |
| <a id="treeentrypath"></a>`path` | [`String!`](#string) | エントリのパス。 |
| <a id="treeentrysha"></a>`sha` | [`String!`](#string) | エントリのSHA。 |
| <a id="treeentrytype"></a>`type` | [`EntryType!`](#entrytype) | ツリーエントリのタイプ。 |
| <a id="treeentrywebpath"></a>`webPath` | [`String`](#string) | ツリーエントリ（ディレクトリ）のWebパス。 |
| <a id="treeentryweburl"></a>`webUrl` | [`String`](#string) | ツリーエントリ（ディレクトリ）のWeb URL。 |

### `UnprotectAccessLevel`

どのユーザーロール、ユーザー、またはグループが保護ブランチの保護を解除できるかを定義します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unprotectaccesslevelaccesslevel"></a>`accessLevel` | [`Int!`](#int) | GitLab::アクセスレベル。 |
| <a id="unprotectaccesslevelaccessleveldescription"></a>`accessLevelDescription` | [`String!`](#string) | 人間が判読できるアクセスレベルの表示。 |
| <a id="unprotectaccesslevelgroup"></a>`group` | [`AccessLevelGroup`](#accesslevelgroup) | アクセスレベルに関連付けられているグループ。 |
| <a id="unprotectaccessleveluser"></a>`user` | [`AccessLevelUser`](#accessleveluser) | アクセスレベルに関連付けられているユーザー。 |

### `UploadRegistry`

アップロードのGeoレプリケーションと検証の状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="uploadregistrychecksummismatch"></a>`checksumMismatch` | [`Boolean`](#boolean) | UploadRegistryのチェックサムがプライマリとセカンダリで不一致かどうかを示します。 |
| <a id="uploadregistrycreatedat"></a>`createdAt` | [`Time`](#time) | UploadRegistry作成時のタイムスタンプ。 |
| <a id="uploadregistryfileid"></a>`fileId` | [`ID!`](#id) | アップロードのID。 |
| <a id="uploadregistryforcetoredownload"></a>`forceToRedownload` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 17.10で**非推奨**になりました。より新しい再利用可能フレームワークを優先するため、データベースのレジストリテーブルから削除されました。 |
| <a id="uploadregistryid"></a>`id` | [`ID!`](#id) | UploadRegistryのID。 |
| <a id="uploadregistrylastsyncfailure"></a>`lastSyncFailure` | [`String`](#string) | UploadRegistryの同期中のエラーメッセージ。 |
| <a id="uploadregistrylastsyncedat"></a>`lastSyncedAt` | [`Time`](#time) | UploadRegistryの最後の同期成功のタイムスタンプ。 |
| <a id="uploadregistrymissingonprimary"></a>`missingOnPrimary` | [`Boolean`](#boolean) | プライマリにUploadRegistryが欠落しているかどうかを示します。 |
| <a id="uploadregistrymodelrecordid"></a>`modelRecordId` | [`Int`](#int) | UploadRegistryのモデルレコードのID。 |
| <a id="uploadregistryretryat"></a>`retryAt` | [`Time`](#time) | UploadRegistryが再同期されるようになる時点のタイムスタンプ。 |
| <a id="uploadregistryretrycount"></a>`retryCount` | [`Int`](#int) | UploadRegistryの同期試行の連続失敗回数。 |
| <a id="uploadregistrystate"></a>`state` | [`RegistryState`](#registrystate) | UploadRegistryの同期状態。 |
| <a id="uploadregistryverificationchecksum"></a>`verificationChecksum` | [`String`](#string) | UploadRegistryのローカルチェックサム。 |
| <a id="uploadregistryverificationchecksummismatched"></a>`verificationChecksumMismatched` | [`String`](#string) | 不一致の場合のUploadRegistryのチェックサムの予想値。 |
| <a id="uploadregistryverificationfailure"></a>`verificationFailure` | [`String`](#string) | UploadRegistryの検証中のエラーメッセージ。 |
| <a id="uploadregistryverificationretryat"></a>`verificationRetryAt` | [`Time`](#time) | UploadRegistryが再検証されるようになる時点のタイムスタンプ。 |
| <a id="uploadregistryverificationretrycount"></a>`verificationRetryCount` | [`Int`](#int) | UploadRegistryの検証試行の連続失敗回数。 |
| <a id="uploadregistryverificationstartedat"></a>`verificationStartedAt` | [`Time`](#time) | UploadRegistryの検証開始時のタイムスタンプ。 |
| <a id="uploadregistryverificationstate"></a>`verificationState` | [`VerificationStateEnum`](#verificationstateenum) | UploadRegistryの検証状態。 |
| <a id="uploadregistryverifiedat"></a>`verifiedAt` | [`Time`](#time) | UploadRegistryの最新の検証成功のタイムスタンプ。 |

### `UsageTrendsMeasurement`

管理者向けに記録された測定値（オブジェクト数）を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usagetrendsmeasurementcount"></a>`count` | [`Int!`](#int) | オブジェクト数。 |
| <a id="usagetrendsmeasurementidentifier"></a>`identifier` | [`MeasurementIdentifier!`](#measurementidentifier) | 測定対象オブジェクトの型。 |
| <a id="usagetrendsmeasurementrecordedat"></a>`recordedAt` | [`Time`](#time) | 測定記録時刻。 |

### `UserAchievement`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userachievementachievement"></a>`achievement` | [`Achievement!`](#achievement) | 授与されたアチーブメント。 |
| <a id="userachievementawardedbyuser"></a>`awardedByUser` | [`UserCore!`](#usercore) | 授与者。 |
| <a id="userachievementcreatedat"></a>`createdAt` | [`Time!`](#time) | アチーブメント作成時のタイムスタンプ。 |
| <a id="userachievementid"></a>`id` | [`AchievementsUserAchievementID!`](#achievementsuserachievementid) | ユーザーアチーブメントのID。 |
| <a id="userachievementpriority"></a>`priority` | [`Int`](#int) | ユーザーアチーブメントの優先度。 |
| <a id="userachievementrevokedat"></a>`revokedAt` | [`Time`](#time) | アチーブメント失効時のタイムスタンプ。 |
| <a id="userachievementrevokedbyuser"></a>`revokedByUser` | [`UserCore`](#usercore) | 失効の処理者。 |
| <a id="userachievementshowonprofile"></a>`showOnProfile` | [`Boolean!`](#boolean) | アチーブメントがプロフィールに表示されるかどうかを示します。 |
| <a id="userachievementupdatedat"></a>`updatedAt` | [`Time!`](#time) | アチーブメントの最終更新時のタイムスタンプ。 |
| <a id="userachievementuser"></a>`user` | [`UserCore!`](#usercore) | アチーブメントの受領者。 |

### `UserAddOnAssignment`

ユーザーへのAddOnPurchaseの割り当て。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="useraddonassignmentaddonpurchase"></a>`addOnPurchase` | [`AddOnPurchase!`](#addonpurchase) | ユーザーに割り当てられるアドオン購入。 |

### `UserCallout`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercalloutdismissedat"></a>`dismissedAt` | [`Time`](#time) | コールアウトが無視された日付。 |
| <a id="usercalloutfeaturename"></a>`featureName` | [`UserCalloutFeatureNameEnum`](#usercalloutfeaturenameenum) | コールアウトの対象となる機能の名前。 |

### `UserCore`

GitLabユーザーのコア表現。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreactive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="usercoreavatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="usercorebio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="usercorebot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="usercorecallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="usercorecommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="usercorecreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="usercorediscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="usercoreemail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="usercoreemails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="usercoregitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="usercoregroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="usercoregroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="usercorehuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="usercoreid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="usercoreide"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="usercorejobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="usercorelastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="usercorelinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="usercorelocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="usercorename"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="usercorenamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="usercorenamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="usercoreorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="usercorepreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="usercoreprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="usercoreprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="usercorepronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="usercorepublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="usercoresavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="usercorestate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="usercorestatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="usercoretwitter"></a>`twitter` | [`String`](#string) | ユーザーのX（旧Twitter）ユーザー名。 |
| <a id="usercoretype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="usercoreuserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="usercoreuserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="usercoreusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="usercorewebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="usercoreweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

#### 引数のあるフィールド

##### `UserCore.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="usercoreassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="usercoreassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="usercoreassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="usercoreassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="usercoreassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="usercoreassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="usercoreassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="usercoreassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="usercoreassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="usercoreassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="usercoreassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="usercoreassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="usercoreassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="usercoreassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="usercoreassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="usercoreassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="usercoreassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="usercoreassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="usercoreassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="usercoreassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="usercoreassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="usercoreassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="usercoreassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="usercoreassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="usercoreassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="usercoreassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="usercoreassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="usercoreassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="usercoreassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="usercoreassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="usercoreassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="usercoreassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="usercoreassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="usercoreassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="usercoreassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `UserCore.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="usercoreauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="usercoreauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="usercoreauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="usercoreauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="usercoreauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="usercoreauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="usercoreauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="usercoreauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="usercoreauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="usercoreauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="usercoreauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="usercoreauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="usercoreauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="usercoreauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="usercoreauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="usercoreauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="usercoreauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="usercoreauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="usercoreauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="usercoreauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="usercoreauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="usercoreauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="usercoreauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="usercoreauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="usercoreauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="usercoreauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="usercoreauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="usercoreauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="usercoreauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="usercoreauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="usercoreauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="usercoreauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="usercoreauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="usercoreauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="usercoreauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="usercoreauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `UserCore.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercorecontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="usercorecontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="usercorecontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="usercorecontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="usercorecontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

##### `UserCore.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoregroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="usercoregroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="usercoregroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

##### `UserCore.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="usercoreorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

##### `UserCore.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercorereviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="usercorereviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="usercorereviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="usercorereviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="usercorereviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="usercorereviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="usercorereviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="usercorereviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="usercorereviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="usercorereviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="usercorereviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="usercorereviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="usercorereviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="usercorereviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="usercorereviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="usercorereviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="usercorereviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="usercorereviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="usercorereviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="usercorereviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="usercorereviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="usercorereviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="usercorereviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="usercorereviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="usercorereviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="usercorereviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="usercorereviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="usercorereviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="usercorereviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

##### `UserCore.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoresavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

##### `UserCore.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoresnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="usercoresnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="usercoresnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

##### `UserCore.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercorestarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="usercorestarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="usercorestarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="usercorestarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

##### `UserCore.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoretimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="usercoretimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="usercoretimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="usercoretimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="usercoretimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="usercoretimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="usercoretimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="usercoretimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

##### `UserCore.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoretodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="usercoretodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="usercoretodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="usercoretodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="usercoretodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="usercoretodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="usercoretodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="usercoretodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

##### `UserCore.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreuserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

##### `UserCore.workspaces`

現在のユーザーが所有するワークスペース。

[`WorkspaceConnection`](#workspaceconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercoreworkspacesactualstates"></a>`actualStates` | [`[String!]`](#string) | ワークスペースを実際の状態でフィルタリングします。 |
| <a id="usercoreworkspacesagentids"></a>`agentIds` | [`[ClustersAgentID!]`](#clustersagentid) | ワークスペースをエージェントのグローバルIDでフィルタリングします。 |
| <a id="usercoreworkspacesids"></a>`ids` | [`[RemoteDevelopmentWorkspaceID!]`](#remotedevelopmentworkspaceid) | ワークスペースをワークスペースのグローバルIDでフィルタリングします。例: `["gid://gitlab/RemoteDevelopment::Workspace/1"]`。 |
| <a id="usercoreworkspacesincludeactualstates"></a>`includeActualStates` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 16.7で**非推奨**になりました。代わりにactual_statesを使用してください。 |
| <a id="usercoreworkspacesprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | ワークスペースをプロジェクトのグローバルIDでフィルタリングします。 |

### `UserMemberRole`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usermemberroleid"></a>`id` | [`GlobalID!`](#globalid) | ユーザーメンバーロール関連付けのグローバルID。 |
| <a id="usermemberrolememberrole"></a>`memberRole` | [`MemberRole!`](#memberrole) | ユーザーが属するメンバーロール。 |
| <a id="usermemberroleuser"></a>`user` | [`UserCore!`](#usercore) | メンバーロールが属するユーザー。 |

### `UserMergeRequestInteraction`

特定ユーザーになされたマージリクエストに関する情報。

このオブジェクトの状態には、`User`と`MergeRequest`の2つの部分があります。どのフィールドも、2つのエンティティの間のやり取りに関連しています。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usermergerequestinteractionapplicableapprovalrules"></a>`applicableApprovalRules` | [`[ApprovalRule!]`](#approvalrule) | マージリクエストのユーザーに適用される承認ルール。 |
| <a id="usermergerequestinteractionapproved"></a>`approved` | [`Boolean!`](#boolean) | ユーザーがマージリクエストを承認したかどうか。 |
| <a id="usermergerequestinteractioncanmerge"></a>`canMerge` | [`Boolean!`](#boolean) | ユーザーがマージリクエストをマージできるかどうか。 |
| <a id="usermergerequestinteractioncanupdate"></a>`canUpdate` | [`Boolean!`](#boolean) | ユーザーがマージリクエストを更新できるかどうか。 |
| <a id="usermergerequestinteractionreviewstate"></a>`reviewState` | [`MergeRequestReviewState`](#mergerequestreviewstate) | ユーザーによるレビューの状態。 |
| <a id="usermergerequestinteractionreviewed"></a>`reviewed` | [`Boolean!`](#boolean) | ユーザーがマージリクエストのレビューを提供したかどうか。 |

### `UserPermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userpermissionscreatesnippet"></a>`createSnippet` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_snippet`を実行できます。 |

### `UserPreferences`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userpreferencesextensionsmarketplaceoptinstatus"></a>`extensionsMarketplaceOptInStatus` | [`ExtensionsMarketplaceOptInStatus!`](#extensionsmarketplaceoptinstatus) | ユーザーのWeb IDE拡張機能マーケットプレースオプトインの状態。 |
| <a id="userpreferencesissuessort"></a>`issuesSort` | [`IssueSort`](#issuesort) | イシューリストのソート順。 |
| <a id="userpreferencesmergerequestdashboardlisttype"></a>`mergeRequestDashboardListType` | [`MergeRequestsDashboardListType`](#mergerequestsdashboardlisttype) | マージリクエストダッシュボードリストのレンダリングタイプ。 |
| <a id="userpreferencesorganizationgroupsprojectsdisplay"></a>`organizationGroupsProjectsDisplay` {{< icon name="warning-solid" >}} | [`OrganizationGroupProjectDisplay!`](#organizationgroupprojectdisplay) | GitLab 17.2で**導入**。**状態**: 実験。組織のグループとプロジェクトのデフォルトのリスト表示。 |
| <a id="userpreferencesorganizationgroupsprojectssort"></a>`organizationGroupsProjectsSort` {{< icon name="warning-solid" >}} | [`OrganizationGroupProjectSort`](#organizationgroupprojectsort) | GitLab 17.2で**導入**。**状態**: 実験。組織のグループとプロジェクトのソート順。 |
| <a id="userpreferencesprojectssort"></a>`projectsSort` | [`ProjectSort`](#projectsort) | プロジェクトのソート順。 |
| <a id="userpreferencestimezone"></a>`timezone` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。ユーザーのタイムゾーン。 |
| <a id="userpreferencesuseworkitemsview"></a>`useWorkItemsView` | [`Boolean`](#boolean) | 従来のイシュービューではなく、作業アイテムビューを使用します。 |
| <a id="userpreferencesvisibilitypipelineidtype"></a>`visibilityPipelineIdType` | [`VisibilityPipelineIdType`](#visibilitypipelineidtype) | パイプラインリストにIDまたはIIDを表示するかどうかを決定します。 |

### `UserStatus`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userstatusavailability"></a>`availability` | [`AvailabilityEnum!`](#availabilityenum) | ユーザーの可用性状態。 |
| <a id="userstatusemoji"></a>`emoji` | [`String`](#string) | 絵文字の文字列表記。 |
| <a id="userstatusmessage"></a>`message` | [`String`](#string) | ユーザー状態メッセージ。 |
| <a id="userstatusmessagehtml"></a>`messageHtml` | [`String`](#string) | ユーザー状態メッセージのHTML。 |

### `UsersQueuedForRolePromotion`

ロールプロモーションのキューに入れられた保留中メンバー承認を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usersqueuedforrolepromotionnewaccesslevel"></a>`newAccessLevel` | [`AccessLevel`](#accesslevel) | メンバーについてリクエストされた新しいGitLab::アクセスレベルの最高値。 |
| <a id="usersqueuedforrolepromotionuser"></a>`user` | [`UserCore`](#usercore) | メンバー承認オブジェクトに関連付けられているユーザー。 |

### `ValueStream`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamid"></a>`id` | [`AnalyticsCycleAnalyticsValueStreamID!`](#analyticscycleanalyticsvaluestreamid) | バリューストリームのID。 |
| <a id="valuestreamname"></a>`name` | [`String!`](#string) | バリューストリームの名前。 |
| <a id="valuestreamnamespace"></a>`namespace` | [`Namespace!`](#namespace) | バリューストリームが属するネームスペース。 |
| <a id="valuestreamproject"></a>`project` {{< icon name="warning-solid" >}} | [`Project`](#project) | GitLab 15.6で**導入**。**状態**: 実験。バリューストリームが属するプロジェクト。グループに属する場合は空を返します。 |

#### 引数のあるフィールド

##### `ValueStream.stages`

バリューストリームのステージ。

[`[ValueStreamStage!]`](#valuestreamstage)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstagesid"></a>`id` | [`ID`](#id) | バリューストリームステージID。 |

### `ValueStreamAnalytics`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamanalyticsaggregationstatus"></a>`aggregationStatus` | [`AggregationStatus`](#aggregationstatus) | バックグラウンドデータの収集と集計に関する情報を示します。 |

### `ValueStreamAnalyticsDateMetric`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamanalyticsdatemetricdate"></a>`date` | [`Date`](#date) | メトリクスの日付。 |
| <a id="valuestreamanalyticsdatemetricidentifier"></a>`identifier` | [`String!`](#string) | メトリクスの識別子。 |
| <a id="valuestreamanalyticsdatemetriclinks"></a>`links` | [`[ValueStreamMetricLinkType!]!`](#valuestreammetriclinktype) | ドリルダウン用のオプションのリンク。 |
| <a id="valuestreamanalyticsdatemetrictitle"></a>`title` | [`String!`](#string) | メトリクスのタイトル。 |
| <a id="valuestreamanalyticsdatemetricunit"></a>`unit` | [`String`](#string) | 測定単位。 |
| <a id="valuestreamanalyticsdatemetricvalue"></a>`value` | [`Float`](#float) | メトリクスの値。 |

### `ValueStreamAnalyticsMetric`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamanalyticsmetricidentifier"></a>`identifier` | [`String!`](#string) | メトリクスの識別子。 |
| <a id="valuestreamanalyticsmetriclinks"></a>`links` | [`[ValueStreamMetricLinkType!]!`](#valuestreammetriclinktype) | ドリルダウン用のオプションのリンク。 |
| <a id="valuestreamanalyticsmetrictitle"></a>`title` | [`String!`](#string) | メトリクスのタイトル。 |
| <a id="valuestreamanalyticsmetricunit"></a>`unit` | [`String`](#string) | 測定単位。 |
| <a id="valuestreamanalyticsmetricvalue"></a>`value` | [`Float`](#float) | メトリクスの値。 |

### `ValueStreamDashboardCount`

リクエストされたグループについて記録された測定値（オブジェクト数）を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamdashboardcountcount"></a>`count` | [`Int`](#int) | オブジェクト数。 |
| <a id="valuestreamdashboardcountidentifier"></a>`identifier` | [`ValueStreamDashboardMetric!`](#valuestreamdashboardmetric) | 測定対象オブジェクトの型。 |
| <a id="valuestreamdashboardcountrecordedat"></a>`recordedAt` | [`Time`](#time) | 測定時刻。 |

### `ValueStreamMetricLinkType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreammetriclinktypedocslink"></a>`docsLink` | [`Boolean`](#boolean) | メトリクスのドキュメントへのリンク。 |
| <a id="valuestreammetriclinktypelabel"></a>`label` | [`String!`](#string) | リンクのラベル。 |
| <a id="valuestreammetriclinktypename"></a>`name` | [`String!`](#string) | リンクグループの名前。 |
| <a id="valuestreammetriclinktypeurl"></a>`url` | [`String!`](#string) | ドリルダウンURL。 |

### `ValueStreamStage`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstagecustom"></a>`custom` | [`Boolean!`](#boolean) | ステージがカスタマイズされているかどうか。 |
| <a id="valuestreamstageendeventhtmldescription"></a>`endEventHtmlDescription` | [`String!`](#string) | 終了イベントのHTML説明。 |
| <a id="valuestreamstageendeventidentifier"></a>`endEventIdentifier` | [`ValueStreamStageEvent!`](#valuestreamstageevent) | 終了イベントの識別子。 |
| <a id="valuestreamstageendeventlabel"></a>`endEventLabel` | [`Label`](#label) | 終了イベントに関連付けられているラベル。 |
| <a id="valuestreamstagehidden"></a>`hidden` | [`Boolean!`](#boolean) | ステージが非表示かどうか。 |
| <a id="valuestreamstageid"></a>`id` | [`AnalyticsCycleAnalyticsStageID!`](#analyticscycleanalyticsstageid) | バリューストリームのID。 |
| <a id="valuestreamstagename"></a>`name` | [`String!`](#string) | ステージの名前。 |
| <a id="valuestreamstagestarteventhtmldescription"></a>`startEventHtmlDescription` | [`String!`](#string) | 開始イベントのHTML説明。 |
| <a id="valuestreamstagestarteventidentifier"></a>`startEventIdentifier` | [`ValueStreamStageEvent!`](#valuestreamstageevent) | 開始イベントの識別子。 |
| <a id="valuestreamstagestarteventlabel"></a>`startEventLabel` | [`Label`](#label) | 開始イベントに関連付けられているラベル。 |

#### 引数のあるフィールド

##### `ValueStreamStage.metrics`

指定されたステージについて集約されたメトリクス。

[`ValueStreamStageMetrics!`](#valuestreamstagemetrics)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstagemetricsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューまたはマージリクエストに割り当てられているユーザーのユーザー名。 |
| <a id="valuestreamstagemetricsauthorusername"></a>`authorUsername` | [`String`](#string) | イシューまたはマージリクエストの作成者のユーザー名。 |
| <a id="valuestreamstagemetricsepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられているエピックのID。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |
| <a id="valuestreamstagemetricsiterationid"></a>`iterationId` | [`ID`](#id) | イシューに関連付けられているイテレーションのID。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |
| <a id="valuestreamstagemetricslabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューまたはマージリクエストに適用されるラベル。 |
| <a id="valuestreamstagemetricsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューまたはマージリクエストに適用されるマイルストーン。 |
| <a id="valuestreamstagemetricsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="valuestreamstagemetricsnot"></a>`not` | [`NegatedValueStreamAnalyticsIssuableFilterInput`](#negatedvaluestreamanalyticsissuablefilterinput) | 否定フィルターの追加に使用される引数。 |
| <a id="valuestreamstagemetricstimeframe"></a>`timeframe` | [`Timeframe!`](#timeframe) | 集計期間。FOSSプロジェクトについてのイシューまたはマージリクエストの作成時刻、およびライセンスを受けたプロジェクトまたはグループの終了イベントタイムスタンプについてフィルタリングします。 |
| <a id="valuestreamstagemetricsweight"></a>`weight` | [`Int`](#int) | イシューに適用されるウェイト。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |

### `ValueStreamStageItems`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstageitemsduration"></a>`duration` | [`String`](#string) | ステージ上のアイテムの期間。 |
| <a id="valuestreamstageitemsdurationinmilliseconds"></a>`durationInMilliseconds` | [`BigInt`](#bigint) | ステージ上のアイテムの期間（ミリ秒単位）。 |
| <a id="valuestreamstageitemsendeventtimestamp"></a>`endEventTimestamp` | [`Time`](#time) | ステージ終了時刻。 |
| <a id="valuestreamstageitemsrecord"></a>`record` | [`Issuable`](#issuable) | アイテムレコード。 |

### `ValueStreamStageMetrics`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstagemetricsaverage"></a>`average` | [`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric) | 平均期間（秒単位）。 |
| <a id="valuestreamstagemetricscount"></a>`count` | [`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric) | 制限付きアイテムの数。バックエンドの数は、Freeプロジェクトの場合は最大1000アイテム、ライセンスプロジェクトまたはライセンスグループの場合は最大10,000アイテムです。 |
| <a id="valuestreamstagemetricsmedian"></a>`median` | [`ValueStreamAnalyticsMetric`](#valuestreamanalyticsmetric) | 期間の中央値（秒単位）。 |
| <a id="valuestreamstagemetricsseries"></a>`series` {{< icon name="warning-solid" >}} | [`ValueStreamStageSeries!`](#valuestreamstageseries) | GitLab 17.4で**導入**。**状態**: 実験。バリューストリームステージに含まれるデータ系列。 |

#### 引数のあるフィールド

##### `ValueStreamStageMetrics.items`

ステージ内のアイテム。

{{< details >}}GitLab 17.4で**導入**。**状態**: 実験。{{< /details >}}

[`ValueStreamStageItemsConnection`](#valuestreamstageitemsconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstagemetricsitemssort"></a>`sort` | [`ValueStreamStageItemSort`](#valuestreamstageitemsort) | ステージアイテムを基準でソートします。 |

### `ValueStreamStageSeries`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstageseriesaveragedurations"></a>`averageDurations` | [`[ValueStreamAnalyticsDateMetric!]`](#valuestreamanalyticsdatemetric) | 指定された日付範囲内の各日の平均期間。 |

### `VulnerabilitiesCountByDay`

特定の日における重大度別の脆弱性の数を表します。このデータは365日間保持されます。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitiescountbydaycritical"></a>`critical` | [`Int!`](#int) | 特定の日における致命的重大度の脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydaydate"></a>`date` | [`ISO8601Date!`](#iso8601date) | カウントの日付。 |
| <a id="vulnerabilitiescountbydayhigh"></a>`high` | [`Int!`](#int) | 特定の日における重大度（high）の脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydayinfo"></a>`info` | [`Int!`](#int) | 特定の日における重大度情報（info）の脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydaylow"></a>`low` | [`Int!`](#int) | 特定の日における重大度低（low）の脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydaymedium"></a>`medium` | [`Int!`](#int) | 特定の日における重大度中（medium）の脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydaytotal"></a>`total` | [`Int!`](#int) | 特定の日における脆弱性の合計数。 |
| <a id="vulnerabilitiescountbydayunknown"></a>`unknown` | [`Int!`](#int) | 特定の日における重大度不明の脆弱性の合計数。 |

### `Vulnerability`

脆弱性を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityairesolutionavailable"></a>`aiResolutionAvailable` | [`Boolean`](#boolean) | 脆弱性のタイプをAIで解決できるかどうかを示します。 |
| <a id="vulnerabilityairesolutionenabled"></a>`aiResolutionEnabled` | [`Boolean`](#boolean) | 特定の脆弱性をAIで解決できるかどうかを示します。 |
| <a id="vulnerabilitycommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="vulnerabilityconfirmedat"></a>`confirmedAt` | [`Time`](#time) | 脆弱性の状態が確認済みに変更された時点のタイムスタンプ。 |
| <a id="vulnerabilityconfirmedby"></a>`confirmedBy` | [`UserCore`](#usercore) | 脆弱性を確認したユーザー。 |
| <a id="vulnerabilitycveenrichment"></a>`cveEnrichment` | [`CveEnrichmentType`](#cveenrichmenttype) | CVE脆弱性のエンリッチメント（EPSSスコアとKEV）。 |
| <a id="vulnerabilitycvss"></a>`cvss` | [`[CvssType!]!`](#cvsstype) | 脆弱性のCVSS情報。 |
| <a id="vulnerabilitydescription"></a>`description` | [`String`](#string) | 脆弱性の説明。 |
| <a id="vulnerabilitydescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="vulnerabilitydetails"></a>`details` | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | 脆弱性の詳細。 |
| <a id="vulnerabilitydetectedat"></a>`detectedAt` | [`Time!`](#time) | 脆弱性が最初に検出された時点のタイムスタンプ。 |
| <a id="vulnerabilitydiscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="vulnerabilitydismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | 無視する理由。状態が`dismissed`以外の場合、`null`を返します。 |
| <a id="vulnerabilitydismissedat"></a>`dismissedAt` | [`Time`](#time) | 脆弱性の状態が無視に変更された時点のタイムスタンプ。 |
| <a id="vulnerabilitydismissedby"></a>`dismissedBy` | [`UserCore`](#usercore) | 脆弱性を無視するように指定したユーザー。 |
| <a id="vulnerabilityexternalissuelinks"></a>`externalIssueLinks` | [`VulnerabilityExternalIssueLinkConnection!`](#vulnerabilityexternalissuelinkconnection) | 脆弱性に関連する外部イシューリンクのリスト（[接続](#connections)を参照） |
| <a id="vulnerabilityfalsepositive"></a>`falsePositive` | [`Boolean`](#boolean) | 脆弱性が誤検出であるかどうかを示します。 |
| <a id="vulnerabilityhasremediations"></a>`hasRemediations` | [`Boolean`](#boolean) | 脆弱性について利用可能な修正があるかどうかを示します。 |
| <a id="vulnerabilityid"></a>`id` | [`ID!`](#id) | 脆弱性のGraphQL ID。 |
| <a id="vulnerabilityidentifiers"></a>`identifiers` | [`[VulnerabilityIdentifier!]!`](#vulnerabilityidentifier) | 脆弱性の識別子。 |
| <a id="vulnerabilitylinks"></a>`links` | [`[VulnerabilityLink!]!`](#vulnerabilitylink) | 脆弱性に関連付けられているリンクのリスト。 |
| <a id="vulnerabilitylocation"></a>`location` | [`VulnerabilityLocation`](#vulnerabilitylocation) | 脆弱性の場所メタデータ。そのフィールドは、脆弱性を検出したセキュリティスキャンのタイプによって異なります。 |
| <a id="vulnerabilitymergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 脆弱性を修正するマージリクエスト。 |
| <a id="vulnerabilityname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="vulnerabilitypresentondefaultbranch"></a>`presentOnDefaultBranch` | [`Boolean!`](#boolean) | 脆弱性がデフォルトブランチに存在するかどうかを示します。 |
| <a id="vulnerabilityprimaryidentifier"></a>`primaryIdentifier` | [`VulnerabilityIdentifier`](#vulnerabilityidentifier) | 脆弱性のプライマリ識別子。 |
| <a id="vulnerabilityproject"></a>`project` | [`Project`](#project) | 脆弱性が検出されたプロジェクト。 |
| <a id="vulnerabilityreporttype"></a>`reportType` | [`VulnerabilityReportType`](#vulnerabilityreporttype) | 脆弱性を検出したセキュリティレポートのタイプ（SAST、DEPENDENCY_SCANNING、CONTAINER_SCANNING、DAST、SECRET_DETECTION、COVERAGE_FUZZING、API_FUZZING、CLUSTER_IMAGE_SCANNING、CONTAINER_SCANNING_FOR_REGISTRY、GENERIC）。UIでは`Scan Type`。 |
| <a id="vulnerabilityrepresentationinformation"></a>`representationInformation` {{< icon name="warning-solid" >}} | [`VulnerabilityRepresentationInformation`](#vulnerabilityrepresentationinformation) | GitLab 17.7で**導入**。**状態**: 実験。解決済みのコミットSHAなど、脆弱性の表現に関する情報。 |
| <a id="vulnerabilityresolvedat"></a>`resolvedAt` | [`Time`](#time) | 脆弱性の状態が解決済みに変更された時点のタイムスタンプ。 |
| <a id="vulnerabilityresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | 脆弱性を解決したユーザー。 |
| <a id="vulnerabilityresolvedondefaultbranch"></a>`resolvedOnDefaultBranch` | [`Boolean!`](#boolean) | 脆弱性がデフォルトブランチで修正済みかどうかを示します。 |
| <a id="vulnerabilityscanner"></a>`scanner` | [`VulnerabilityScanner`](#vulnerabilityscanner) | 脆弱性のスキャナーメタデータ。 |
| <a id="vulnerabilityseverity"></a>`severity` | [`VulnerabilitySeverity`](#vulnerabilityseverity) | 脆弱性の重大度（INFO、UNKNOWN、LOW、MEDIUM、HIGH、CRITICAL）。 |
| <a id="vulnerabilityseverityoverrides"></a>`severityOverrides` | [`SeverityOverrideConnection`](#severityoverrideconnection) | 脆弱性の重大度変更のリスト。（[接続](#connections)を参照） |
| <a id="vulnerabilitysolution"></a>`solution` | [`String`](#string) | 脆弱性について推奨される解決策。 |
| <a id="vulnerabilitystate"></a>`state` | [`VulnerabilityState`](#vulnerabilitystate) | 脆弱性の状態（DETECTED、CONFIRMED、RESOLVED、DISMISSED）。 |
| <a id="vulnerabilitystatecomment"></a>`stateComment` | [`String`](#string) | 脆弱性の状態変更についてなされたコメント。 |
| <a id="vulnerabilitystatetransitions"></a>`stateTransitions` | [`VulnerabilityStateTransitionTypeConnection`](#vulnerabilitystatetransitiontypeconnection) | 脆弱性に関連する状態移行のリスト。（[接続](#connections)を参照） |
| <a id="vulnerabilitytitle"></a>`title` | [`String`](#string) | 脆弱性のタイトル。 |
| <a id="vulnerabilityupdatedat"></a>`updatedAt` | [`Time`](#time) | 脆弱性の最終更新タイムスタンプ。 |
| <a id="vulnerabilityusernotescount"></a>`userNotesCount` | [`Int!`](#int) | 脆弱性に添付されているユーザーノートの数。 |
| <a id="vulnerabilityuserpermissions"></a>`userPermissions` | [`VulnerabilityPermissions!`](#vulnerabilitypermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="vulnerabilityuuid"></a>`uuid` | [`String!`](#string) | 脆弱性発見のUUID。関連するセキュリティレポート発見を検索するために使用できます。 |
| <a id="vulnerabilityvulnerabilitypath"></a>`vulnerabilityPath` | [`String`](#string) | 脆弱性の詳細ページのパス。 |
| <a id="vulnerabilityweburl"></a>`webUrl` | [`String`](#string) | 脆弱性の詳細ページのURL。 |

#### 引数のあるフィールド

##### `Vulnerability.issueLinks`

脆弱性に関連するイシューリンクのリスト。

[`VulnerabilityIssueLinkConnection!`](#vulnerabilityissuelinkconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityissuelinkslinktype"></a>`linkType` | [`VulnerabilityIssueLinkType`](#vulnerabilityissuelinktype) | イシューリンクをリンクタイプでフィルタリングします。 |

##### `Vulnerability.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitynotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

### `VulnerabilityArchive`

脆弱性アーカイブを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityarchivearchivedrecordscount"></a>`archivedRecordsCount` | [`Int!`](#int) | アーカイブに含まれるレコード数。 |
| <a id="vulnerabilityarchivemonth"></a>`month` | [`Int!`](#int) | アーカイブの月。1（1月）から12（12月）までの数値で表記します。 |
| <a id="vulnerabilityarchiveyear"></a>`year` | [`Int!`](#int) | アーカイブの年。 |

### `VulnerabilityContainerImage`

関連する脆弱性について報告されたコンテナイメージを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitycontainerimagename"></a>`name` | [`String`](#string) | コンテナイメージの名前。 |

### `VulnerabilityDetailBase`

脆弱性詳細のベースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailbasedescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailbasefieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailbasename"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailBoolean`

脆弱性詳細のブール値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailbooleandescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailbooleanfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailbooleanname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailbooleanvalue"></a>`value` | [`Boolean!`](#boolean) | フィールドの値。 |

### `VulnerabilityDetailCode`

脆弱性詳細のコードフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailcodedescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailcodefieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcodelang"></a>`lang` | [`String`](#string) | コードの言語。 |
| <a id="vulnerabilitydetailcodename"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcodevalue"></a>`value` | [`String!`](#string) | ソースコード。 |

### `VulnerabilityDetailCodeFlowNode`

脆弱性詳細のコードフローノードアイテムを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailcodeflownodedescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailcodeflownodefieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcodeflownodefilelocation"></a>`fileLocation` | [`VulnerabilityDetailFileLocation!`](#vulnerabilitydetailfilelocation) | ファイルの場所。 |
| <a id="vulnerabilitydetailcodeflownodename"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcodeflownodenodetype"></a>`nodeType` | [`CodeFlowNodeType!`](#codeflownodetype) | ノードタイプ。 |

### `VulnerabilityDetailCodeFlows`

脆弱性詳細のコードフローアイテムを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailcodeflowsdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailcodeflowsfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcodeflowsitems"></a>`items` | [`[[VulnerabilityDetailCodeFlowNode!]!]!`](#vulnerabilitydetailcodeflownode) | CodeFlowNodeItemのリストで表されるフローのリスト。 |
| <a id="vulnerabilitydetailcodeflowsname"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailCommit`

脆弱性詳細のコミットフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailcommitdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailcommitfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcommitname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailcommitvalue"></a>`value` | [`String!`](#string) | コミットSHA値。 |

### `VulnerabilityDetailDiff`

脆弱性詳細の差分フィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetaildiffafter"></a>`after` | [`String!`](#string) | 変更後のフィールドの値。 |
| <a id="vulnerabilitydetaildiffbefore"></a>`before` | [`String!`](#string) | 変更前のフィールドの値。 |
| <a id="vulnerabilitydetaildiffdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetaildifffieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetaildiffname"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailFileLocation`

プロジェクトのファイル内における脆弱性詳細の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailfilelocationdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailfilelocationfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailfilelocationfilename"></a>`fileName` | [`String!`](#string) | ファイル名。 |
| <a id="vulnerabilitydetailfilelocationlineend"></a>`lineEnd` | [`Int!`](#int) | ファイルの場所の終了行番号。 |
| <a id="vulnerabilitydetailfilelocationlinestart"></a>`lineStart` | [`Int!`](#int) | ファイルの場所の開始行番号。 |
| <a id="vulnerabilitydetailfilelocationname"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailInt`

脆弱性詳細の整数値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailintdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailintfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailintname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailintvalue"></a>`value` | [`Int!`](#int) | フィールドの値。 |

### `VulnerabilityDetailList`

脆弱性詳細のリスト値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetaillistdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetaillistfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetaillistitems"></a>`items` | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | 詳細のリスト。 |
| <a id="vulnerabilitydetaillistname"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailMarkdown`

脆弱性詳細のMarkdownフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailmarkdowndescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailmarkdownfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailmarkdownname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailmarkdownvalue"></a>`value` | [`String!`](#string) | Markdownフィールドの値。 |

### `VulnerabilityDetailModuleLocation`

プロジェクトのファイル内における脆弱性詳細の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailmodulelocationdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailmodulelocationfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailmodulelocationmodulename"></a>`moduleName` | [`String!`](#string) | モジュール名。 |
| <a id="vulnerabilitydetailmodulelocationname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailmodulelocationoffset"></a>`offset` | [`Int!`](#int) | モジュールの場所のオフセット。 |

### `VulnerabilityDetailNamedList`

脆弱性詳細の名前付きリストを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailnamedlistdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailnamedlistfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailnamedlistitems"></a>`items` {{< icon name="warning-solid" >}} | [`[VulnerabilityDetailNamedListItem!]!`](#vulnerabilitydetailnamedlistitem) | GitLab 16.1で**導入**。**状態**: 実験。詳細の名前付きリスト。 |
| <a id="vulnerabilitydetailnamedlistname"></a>`name` | [`String`](#string) | フィールドの名前。 |

### `VulnerabilityDetailNamedListItem`

脆弱性詳細の名前付きリストアイテムを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailnamedlistitemdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailnamedlistitemfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailnamedlistitemname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailnamedlistitemvalue"></a>`value` {{< icon name="warning-solid" >}} | [`VulnerabilityDetail!`](#vulnerabilitydetail) | GitLab 16.1で**導入**。**状態**: 実験。フィールドの値。 |

### `VulnerabilityDetailRow`

テーブル内の個々の行を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailrowdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailrowfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailrowname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailrowrow"></a>`row` | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | フィールドの値。 |

### `VulnerabilityDetailTable`

脆弱性詳細のテーブル値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailtabledescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailtablefieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailtableheaders"></a>`headers` | [`[VulnerabilityDetail!]!`](#vulnerabilitydetail) | テーブルのヘッダー。 |
| <a id="vulnerabilitydetailtablename"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailtablerows"></a>`rows` | [`[VulnerabilityDetailRow!]!`](#vulnerabilitydetailrow) | テーブルの行。 |

### `VulnerabilityDetailText`

脆弱性詳細のテキストフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailtextdescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailtextfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailtextname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailtextvalue"></a>`value` | [`String!`](#string) | テキストフィールドの値。 |

### `VulnerabilityDetailUrl`

脆弱性詳細のURLフィールドを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitydetailurldescription"></a>`description` | [`String`](#string) | フィールドの説明。 |
| <a id="vulnerabilitydetailurlfieldname"></a>`fieldName` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailurlhref"></a>`href` | [`String!`](#string) | URLのhref。 |
| <a id="vulnerabilitydetailurlname"></a>`name` | [`String`](#string) | フィールドの名前。 |
| <a id="vulnerabilitydetailurltext"></a>`text` | [`String`](#string) | URLのテキスト。 |

### `VulnerabilityEvidence`

脆弱性エビデンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityevidencerequest"></a>`request` | [`VulnerabilityRequest`](#vulnerabilityrequest) | 脆弱性エビデンスのHTTPリクエスト。 |
| <a id="vulnerabilityevidenceresponse"></a>`response` | [`VulnerabilityResponse`](#vulnerabilityresponse) | 脆弱性エビデンスのHTTP応答。 |
| <a id="vulnerabilityevidencesource"></a>`source` | [`VulnerabilityEvidenceSource`](#vulnerabilityevidencesource) | 脆弱性エビデンスのソース。 |
| <a id="vulnerabilityevidencesummary"></a>`summary` | [`String`](#string) | 脆弱性エビデンスの概要。 |
| <a id="vulnerabilityevidencesupportingmessages"></a>`supportingMessages` | [`[VulnerabilityEvidenceSupportingMessage!]`](#vulnerabilityevidencesupportingmessage) | 脆弱性エビデンスのサポートメッセージ。 |

### `VulnerabilityEvidenceSource`

脆弱性エビデンスを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityevidencesourceidentifier"></a>`identifier` | [`String!`](#string) | 脆弱性エビデンスソースのID。 |
| <a id="vulnerabilityevidencesourcename"></a>`name` | [`String!`](#string) | 脆弱性エビデンスソースの名前。 |
| <a id="vulnerabilityevidencesourceurl"></a>`url` | [`String`](#string) | 脆弱性エビデンスソースのURL。 |

### `VulnerabilityEvidenceSupportingMessage`

脆弱性エビデンスのサポートメッセージを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityevidencesupportingmessagename"></a>`name` | [`String!`](#string) | 脆弱性のサポートメッセージの名前。 |
| <a id="vulnerabilityevidencesupportingmessagerequest"></a>`request` | [`VulnerabilityRequest`](#vulnerabilityrequest) | 脆弱性エビデンスのサポートメッセージのHTTPリクエスト。 |
| <a id="vulnerabilityevidencesupportingmessageresponse"></a>`response` | [`VulnerabilityResponse`](#vulnerabilityresponse) | 脆弱性エビデンスのサポートメッセージのHTTP応答。 |

### `VulnerabilityExternalIssueLink`

脆弱性の外部イシューリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityexternalissuelinkexternalissue"></a>`externalIssue` | [`ExternalIssue`](#externalissue) | イシューリンクに添付されている外部イシュー。 |
| <a id="vulnerabilityexternalissuelinkid"></a>`id` | [`VulnerabilitiesExternalIssueLinkID!`](#vulnerabilitiesexternalissuelinkid) | 外部イシューリンクのGraphQL ID。 |
| <a id="vulnerabilityexternalissuelinklinktype"></a>`linkType` | [`VulnerabilityExternalIssueLinkType!`](#vulnerabilityexternalissuelinktype) | 外部イシューリンクのタイプ。 |

### `VulnerabilityIdentifier`

脆弱性の識別子を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityidentifierexternalid"></a>`externalId` | [`String`](#string) | 脆弱性識別子の外部ID。 |
| <a id="vulnerabilityidentifierexternaltype"></a>`externalType` | [`String`](#string) | 脆弱性識別子の外部タイプ。 |
| <a id="vulnerabilityidentifiername"></a>`name` | [`String`](#string) | 脆弱性識別子の名前。 |
| <a id="vulnerabilityidentifierurl"></a>`url` | [`String`](#string) | 脆弱性識別子のURL。 |

### `VulnerabilityIssueLink`

脆弱性のイシューリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityissuelinkid"></a>`id` | [`ID!`](#id) | 脆弱性のGraphQL ID。 |
| <a id="vulnerabilityissuelinkissue"></a>`issue` | [`Issue`](#issue) | イシューリンクに添付されているイシュー。 |
| <a id="vulnerabilityissuelinklinktype"></a>`linkType` | [`VulnerabilityIssueLinkType!`](#vulnerabilityissuelinktype) | イシューリンクのタイプ。 |

### `VulnerabilityLink`

脆弱性に関連するリンクを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylinkname"></a>`name` | [`String`](#string) | リンクの名前。 |
| <a id="vulnerabilitylinkurl"></a>`url` | [`String!`](#string) | リンクのURL。 |

### `VulnerabilityLocationClusterImageScanning`

クラスターイメージスキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationclusterimagescanningdependency"></a>`dependency` | [`VulnerableDependency`](#vulnerabledependency) | 脆弱性を含む依存関係。 |
| <a id="vulnerabilitylocationclusterimagescanningimage"></a>`image` | [`String`](#string) | 脆弱なコンテナイメージの名前。 |
| <a id="vulnerabilitylocationclusterimagescanningkubernetesresource"></a>`kubernetesResource` | [`VulnerableKubernetesResource`](#vulnerablekubernetesresource) | 脆弱なコンテナイメージを使用するKubernetesリソース。 |
| <a id="vulnerabilitylocationclusterimagescanningoperatingsystem"></a>`operatingSystem` | [`String`](#string) | 脆弱なコンテナイメージ上で実行されているオペレーティングシステム。 |

### `VulnerabilityLocationContainerScanning`

コンテナセキュリティスキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationcontainerscanningcontainerrepositoryurl"></a>`containerRepositoryUrl` | [`String`](#string) | スキャンされたイメージのURL。 |
| <a id="vulnerabilitylocationcontainerscanningdependency"></a>`dependency` | [`VulnerableDependency`](#vulnerabledependency) | 脆弱性を含む依存関係。 |
| <a id="vulnerabilitylocationcontainerscanningimage"></a>`image` | [`String`](#string) | 脆弱なコンテナイメージの名前。 |
| <a id="vulnerabilitylocationcontainerscanningoperatingsystem"></a>`operatingSystem` | [`String`](#string) | 脆弱なコンテナイメージ上で実行されているオペレーティングシステム。 |

### `VulnerabilityLocationCoverageFuzzing`

カバレッジファジングスキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationcoveragefuzzingblobpath"></a>`blobPath` | [`String`](#string) | 脆弱性のあるファイルのblobパス。 |
| <a id="vulnerabilitylocationcoveragefuzzingcrashaddress"></a>`crashAddress` | [`String`](#string) | クラッシュが発生したメモリー内の相対アドレス。 |
| <a id="vulnerabilitylocationcoveragefuzzingcrashtype"></a>`crashType` | [`String`](#string) | クラッシュのタイプ。 |
| <a id="vulnerabilitylocationcoveragefuzzingendline"></a>`endLine` | [`String`](#string) | 脆弱性のあるファイルの最後の関連行の番号。 |
| <a id="vulnerabilitylocationcoveragefuzzingfile"></a>`file` | [`String`](#string) | 脆弱性のあるファイルのパス。 |
| <a id="vulnerabilitylocationcoveragefuzzingstacktracesnippet"></a>`stacktraceSnippet` | [`String`](#string) | クラッシュが発生したファジング中に記録されたスタックトレース。 |
| <a id="vulnerabilitylocationcoveragefuzzingstartline"></a>`startLine` | [`String`](#string) | 脆弱性のあるファイルの最初の関連行の番号。 |
| <a id="vulnerabilitylocationcoveragefuzzingvulnerableclass"></a>`vulnerableClass` | [`String`](#string) | 脆弱性を含むクラス。 |
| <a id="vulnerabilitylocationcoveragefuzzingvulnerablemethod"></a>`vulnerableMethod` | [`String`](#string) | 脆弱性を含むメソッド。 |

### `VulnerabilityLocationDast`

DASTスキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationdasthostname"></a>`hostname` | [`String`](#string) | 脆弱性のあるリクエストのドメイン名。 |
| <a id="vulnerabilitylocationdastparam"></a>`param` | [`String`](#string) | 脆弱性が発生したURLのクエリパラメータ。 |
| <a id="vulnerabilitylocationdastpath"></a>`path` | [`String`](#string) | 脆弱性のあるリクエストのURLパスとクエリ文字列。 |
| <a id="vulnerabilitylocationdastrequestmethod"></a>`requestMethod` | [`String`](#string) | 脆弱性のあるリクエストのHTTPメソッド。 |

### `VulnerabilityLocationDependencyScanning`

依存関係セキュリティスキャンで検出された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationdependencyscanningblobpath"></a>`blobPath` | [`String`](#string) | 脆弱性のあるファイルのblobパス。 |
| <a id="vulnerabilitylocationdependencyscanningdependency"></a>`dependency` | [`VulnerableDependency`](#vulnerabledependency) | 脆弱性を含む依存関係。 |
| <a id="vulnerabilitylocationdependencyscanningfile"></a>`file` | [`String`](#string) | 脆弱性のあるファイルのパス。 |

### `VulnerabilityLocationGeneric`

汎用スキャナーで検出された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationgenericdescription"></a>`description` | [`String`](#string) | 脆弱性が存在する場所の説明（自由形式）。 |

### `VulnerabilityLocationSast`

SASTスキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationsastblobpath"></a>`blobPath` | [`String`](#string) | 脆弱性のあるファイルのblobパス。 |
| <a id="vulnerabilitylocationsastendline"></a>`endLine` | [`String`](#string) | 脆弱性のあるファイルの最後の関連行の番号。 |
| <a id="vulnerabilitylocationsastfile"></a>`file` | [`String`](#string) | 脆弱性のあるファイルのパス。 |
| <a id="vulnerabilitylocationsaststartline"></a>`startLine` | [`String`](#string) | 脆弱性のあるファイルの最初の関連行の番号。 |
| <a id="vulnerabilitylocationsastvulnerableclass"></a>`vulnerableClass` | [`String`](#string) | 脆弱性を含むクラス。 |
| <a id="vulnerabilitylocationsastvulnerablemethod"></a>`vulnerableMethod` | [`String`](#string) | 脆弱性を含むメソッド。 |

### `VulnerabilityLocationSecretDetection`

シークレット検出スキャンによって発見された脆弱性の場所を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitylocationsecretdetectionblobpath"></a>`blobPath` | [`String`](#string) | 脆弱性のあるファイルのblobパス。 |
| <a id="vulnerabilitylocationsecretdetectionendline"></a>`endLine` | [`String`](#string) | 脆弱性のあるファイルの最後の関連行の番号。 |
| <a id="vulnerabilitylocationsecretdetectionfile"></a>`file` | [`String`](#string) | 脆弱性のあるファイルのパス。 |
| <a id="vulnerabilitylocationsecretdetectionstartline"></a>`startLine` | [`String`](#string) | 脆弱性のあるファイルの最初の関連行の番号。 |
| <a id="vulnerabilitylocationsecretdetectionvulnerableclass"></a>`vulnerableClass` | [`String`](#string) | 脆弱性を含むクラス。 |
| <a id="vulnerabilitylocationsecretdetectionvulnerablemethod"></a>`vulnerableMethod` | [`String`](#string) | 脆弱性を含むメソッド。 |

### `VulnerabilityManagementPolicy`

脆弱性管理ポリシーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitymanagementpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="vulnerabilitymanagementpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="vulnerabilitymanagementpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="vulnerabilitymanagementpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="vulnerabilitymanagementpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="vulnerabilitymanagementpolicysource"></a>`source` | [`SecurityPolicySource!`](#securitypolicysource) | ポリシーのソース。そのフィールドは、ソース型に応じて異なります。 |
| <a id="vulnerabilitymanagementpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="vulnerabilitymanagementpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

### `VulnerabilityPermissions`

脆弱性に対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitypermissionsadminvulnerability"></a>`adminVulnerability` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_vulnerability`を実行できます。 |
| <a id="vulnerabilitypermissionsadminvulnerabilityexternalissuelink"></a>`adminVulnerabilityExternalIssueLink` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_vulnerability_external_issue_link`を実行できます。 |
| <a id="vulnerabilitypermissionsadminvulnerabilityissuelink"></a>`adminVulnerabilityIssueLink` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_vulnerability_issue_link`を実行できます。 |
| <a id="vulnerabilitypermissionscreatevulnerabilityexport"></a>`createVulnerabilityExport` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_vulnerability_export`を実行できます。 |
| <a id="vulnerabilitypermissionscreatevulnerabilityfeedback"></a>`createVulnerabilityFeedback` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_vulnerability_feedback`を実行できます。 |
| <a id="vulnerabilitypermissionsdestroyvulnerabilityfeedback"></a>`destroyVulnerabilityFeedback` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`destroy_vulnerability_feedback`を実行できます。 |
| <a id="vulnerabilitypermissionsreadvulnerability"></a>`readVulnerability` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_vulnerability`を実行できます。 |
| <a id="vulnerabilitypermissionsreadvulnerabilityfeedback"></a>`readVulnerabilityFeedback` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_vulnerability_feedback`を実行できます。 |
| <a id="vulnerabilitypermissionsupdatevulnerabilityfeedback"></a>`updateVulnerabilityFeedback` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_vulnerability_feedback`を実行できます。 |

### `VulnerabilityRemediationType`

脆弱性の修正タイプを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityremediationtypediff"></a>`diff` | [`String`](#string) | 修正の差分。 |
| <a id="vulnerabilityremediationtypesummary"></a>`summary` | [`String`](#string) | 修正の概要。 |

### `VulnerabilityRepresentationInformation`

脆弱性情報を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityrepresentationinformationresolvedincommitsha"></a>`resolvedInCommitSha` | [`String`](#string) | 脆弱性が解決されたコミットのSHA。 |

### `VulnerabilityRequest`

脆弱性リクエストを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityrequestbody"></a>`body` | [`String`](#string) | 脆弱性リクエストの本文。 |
| <a id="vulnerabilityrequestheaders"></a>`headers` | [`[VulnerabilityRequestResponseHeader!]!`](#vulnerabilityrequestresponseheader) | 脆弱性リクエストのHTTPヘッダー。 |
| <a id="vulnerabilityrequestmethod"></a>`method` | [`String`](#string) | 脆弱性リクエストのメソッド。 |
| <a id="vulnerabilityrequesturl"></a>`url` | [`String`](#string) | 脆弱性リクエストのURL。 |

### `VulnerabilityRequestResponseHeader`

脆弱性リクエスト/応答ヘッダーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityrequestresponseheadername"></a>`name` | [`String`](#string) | 脆弱性リクエスト/応答ヘッダーの名前。 |
| <a id="vulnerabilityrequestresponseheadervalue"></a>`value` | [`String`](#string) | 脆弱性リクエスト/応答ヘッダーの値。 |

### `VulnerabilityResponse`

脆弱性応答を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityresponsebody"></a>`body` | [`String`](#string) | 脆弱性応答の本文。 |
| <a id="vulnerabilityresponseheaders"></a>`headers` | [`[VulnerabilityRequestResponseHeader!]!`](#vulnerabilityrequestresponseheader) | 脆弱性脆弱性のHTTPヘッダー。 |
| <a id="vulnerabilityresponsereasonphrase"></a>`reasonPhrase` | [`String`](#string) | 脆弱性応答の理由句。 |
| <a id="vulnerabilityresponsestatuscode"></a>`statusCode` | [`Int`](#int) | 脆弱性応答の状態コード。 |

### `VulnerabilityScanner`

脆弱性スキャナーを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityscannerexternalid"></a>`externalId` | [`String`](#string) | 脆弱性スキャナーの外部ID。 |
| <a id="vulnerabilityscannerid"></a>`id` | [`ID`](#id) | スキャナーのID。 |
| <a id="vulnerabilityscannername"></a>`name` | [`String`](#string) | 脆弱性スキャナーの名前。 |
| <a id="vulnerabilityscannerreporttype"></a>`reportType` | [`VulnerabilityReportType`](#vulnerabilityreporttype) | 脆弱性レポートのタイプ。 |
| <a id="vulnerabilityscannerreporttypehumanized"></a>`reportTypeHumanized` | [`String`](#string) | 人間が判読できる、脆弱性レポートのタイプ。 |
| <a id="vulnerabilityscannervendor"></a>`vendor` | [`String`](#string) | 脆弱性スキャナーのベンダー。 |

### `VulnerabilitySeveritiesCount`

脆弱性の重大度別数値を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityseveritiescountcritical"></a>`critical` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度CRITICALのものの数。 |
| <a id="vulnerabilityseveritiescounthigh"></a>`high` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度HIGHのものの数。 |
| <a id="vulnerabilityseveritiescountinfo"></a>`info` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度INFOのものの数。 |
| <a id="vulnerabilityseveritiescountlow"></a>`low` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度LOWのものの数。 |
| <a id="vulnerabilityseveritiescountmedium"></a>`medium` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度MEDIUMのものの数。 |
| <a id="vulnerabilityseveritiescountunknown"></a>`unknown` | [`Int`](#int) | プロジェクトの脆弱性のうち重大度UNKNOWNのものの数。 |

### `VulnerabilityStateTransitionType`

脆弱性の状態移行を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilitystatetransitiontypeauthor"></a>`author` | [`UserCore`](#usercore) | 脆弱性の状態を変更したユーザー。 |
| <a id="vulnerabilitystatetransitiontypecomment"></a>`comment` | [`String`](#string) | 状態変更のコメント。 |
| <a id="vulnerabilitystatetransitiontypecreatedat"></a>`createdAt` | [`Time!`](#time) | 脆弱性の状態変更の時刻。 |
| <a id="vulnerabilitystatetransitiontypedismissalreason"></a>`dismissalReason` | [`VulnerabilityDismissalReason`](#vulnerabilitydismissalreason) | 無視の理由。 |
| <a id="vulnerabilitystatetransitiontypefromstate"></a>`fromState` | [`VulnerabilityState!`](#vulnerabilitystate) | 移行前の脆弱性の状態。 |
| <a id="vulnerabilitystatetransitiontypeid"></a>`id` | [`VulnerabilitiesStateTransitionID!`](#vulnerabilitiesstatetransitionid) | 状態移行のID。 |
| <a id="vulnerabilitystatetransitiontypetostate"></a>`toState` | [`VulnerabilityState!`](#vulnerabilitystate) | 移行後の脆弱性の状態。 |

### `VulnerableDependency`

脆弱性のある依存関係を表します。脆弱性の場所データで使用されます。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabledependencypackage"></a>`package` | [`VulnerablePackage`](#vulnerablepackage) | 脆弱性のある依存関係に関連付けられたパッケージ。 |
| <a id="vulnerabledependencyversion"></a>`version` | [`String`](#string) | 脆弱性のある依存関係のバージョン。 |

### `VulnerableKubernetesResource`

脆弱性のあるKubernetesリソースを表します。脆弱性の場所データで使用されます。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerablekubernetesresourceagent"></a>`agent` | [`ClusterAgent`](#clusteragent) | スキャンを実行したKubernetesエージェント。 |
| <a id="vulnerablekubernetesresourceclusterid"></a>`clusterId` | [`ClustersClusterID`](#clustersclusterid) | スキャン実行に使用されたクラスターインテグレーションのID。 |
| <a id="vulnerablekubernetesresourcecontainername"></a>`containerName` | [`String!`](#string) | スキャンされたイメージが含まれていたコンテナの名前。 |
| <a id="vulnerablekubernetesresourcekind"></a>`kind` | [`String!`](#string) | Kubernetes リソースの種類。 |
| <a id="vulnerablekubernetesresourcename"></a>`name` | [`String!`](#string) | Kubernetesリソースの名前。 |
| <a id="vulnerablekubernetesresourcenamespace"></a>`namespace` | [`String!`](#string) | リソースが属するKubernetesネームスペース。 |

### `VulnerablePackage`

脆弱性のあるパッケージを表します。脆弱性依存関係データで使用されます。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerablepackagename"></a>`name` | [`String`](#string) | 脆弱性のあるパッケージの名前。 |

### `VulnerableProjectsByGrade`

関連付けられているプロジェクトを含む脆弱性の文字グレードを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerableprojectsbygradecount"></a>`count` | [`Int!`](#int) | グレード内のプロジェクト数。 |
| <a id="vulnerableprojectsbygradegrade"></a>`grade` | [`VulnerabilityGrade!`](#vulnerabilitygrade) | 存在する最も重大度の高い脆弱性に基づくグレード。 |
| <a id="vulnerableprojectsbygradeprojects"></a>`projects` | [`ProjectConnection!`](#projectconnection) | グレード内のプロジェクト。（[接続](#connections)を参照） |

### `WikiPage`

Wikiページ。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="wikipagecommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="wikipagediscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |
| <a id="wikipageid"></a>`id` | [`WikiPageMetaID!`](#wikipagemetaid) | WikiページメタデータレコードのグローバルID。 |
| <a id="wikipagename"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="wikipagetitle"></a>`title` | [`String!`](#string) | Wikiページのタイトル。 |
| <a id="wikipageuserpermissions"></a>`userPermissions` | [`WikiPagePermissions!`](#wikipagepermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="wikipageweburl"></a>`webUrl` | [`String`](#string) | オブジェクトのURL。 |

#### 引数のあるフィールド

##### `WikiPage.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="wikipagenotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

### `WikiPagePermissions`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="wikipagepermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="wikipagepermissionsreadwikipage"></a>`readWikiPage` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_wiki_page`を実行できます。 |

### `WorkItem`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemarchived"></a>`archived` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.5で**導入**。**状態**: 実験。作業アイテムがアーカイブ済みプロジェクトに属しているかどうか。グループレベルの作業アイテムでは常にfalseです。 |
| <a id="workitemauthor"></a>`author` {{< icon name="warning-solid" >}} | [`UserCore`](#usercore) | GitLab 15.9で**導入**。**状態**: 実験。作業アイテムを作成したユーザー。 |
| <a id="workitemclosedat"></a>`closedAt` | [`Time`](#time) | 作業アイテム完了時のタイムスタンプ。 |
| <a id="workitemconfidential"></a>`confidential` | [`Boolean!`](#boolean) | 作業アイテムが機密であることを示します。 |
| <a id="workitemcreatenoteemail"></a>`createNoteEmail` | [`String`](#string) | 作業アイテムのユーザー固有のメールアドレス。 |
| <a id="workitemcreatedat"></a>`createdAt` | [`Time!`](#time) | 作業アイテム作成時のタイムスタンプ。 |
| <a id="workitemdescription"></a>`description` | [`String`](#string) | 作業アイテムの説明。 |
| <a id="workitemdescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="workitemduplicatedtoworkitemurl"></a>`duplicatedToWorkItemUrl` | [`String`](#string) | 作業アイテムが複製としてマークされている作業アイテムのURL。 |
| <a id="workitemid"></a>`id` | [`WorkItemID!`](#workitemid) | 作業アイテムのグローバルID。 |
| <a id="workitemiid"></a>`iid` | [`String!`](#string) | 作業アイテムの内部ID。 |
| <a id="workitemlockversion"></a>`lockVersion` | [`Int!`](#int) | 作業アイテムのロックバージョン。作業アイテムが更新されるたびに増分されます。 |
| <a id="workitemmovedtoworkitemurl"></a>`movedToWorkItemUrl` | [`String`](#string) | 作業アイテムの移動先作業アイテムのURL。 |
| <a id="workitemname"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="workitemnamespace"></a>`namespace` {{< icon name="warning-solid" >}} | [`Namespace`](#namespace) | GitLab 15.10で**導入**。**状態**: 実験。作業アイテムが属するネームスペース。 |
| <a id="workitemproject"></a>`project` {{< icon name="warning-solid" >}} | [`Project`](#project) | GitLab 15.3で**導入**。**状態**: 実験。作業アイテムが属するプロジェクト。 |
| <a id="workitempromotedtoepicurl"></a>`promotedToEpicUrl` | [`String`](#string) | 作業アイテムのプロモート先となるエピックのURL。 |
| <a id="workitemshowplanupgradepromotion"></a>`showPlanUpgradePromotion` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 17.11で**導入**。**状態**: 実験。作業アイテムのプロモーションメッセージを表示するかどうか。 |
| <a id="workitemstate"></a>`state` | [`WorkItemState!`](#workitemstate) | 作業アイテムの状態。 |
| <a id="workitemtitle"></a>`title` | [`String!`](#string) | 作業アイテムのタイトル。 |
| <a id="workitemtitlehtml"></a>`titleHtml` | [`String`](#string) | `title`のGitLab Flavored Markdownレンダリング。 |
| <a id="workitemupdatedat"></a>`updatedAt` | [`Time!`](#time) | 作業アイテムの最終更新タイムスタンプ。 |
| <a id="workitemuserdiscussionscount"></a>`userDiscussionsCount` | [`Int!`](#int) | 作業アイテム内のユーザーディスカッションの数。 |
| <a id="workitemuserpermissions"></a>`userPermissions` | [`WorkItemPermissions!`](#workitempermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="workitemweburl"></a>`webUrl` | [`String`](#string) | オブジェクトのURL。 |
| <a id="workitemworkitemtype"></a>`workItemType` | [`WorkItemType!`](#workitemtype) | 作業アイテムに割り当てられているタイプ。 |

#### 引数のあるフィールド

##### `WorkItem.reference`

作業アイテムの内部参照。デフォルトでは短縮形式で返されます。

[`String!`](#string)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemreferencefull"></a>`full` | [`Boolean`](#boolean) | 参照をフル形式で返すかどうかを指定するブール値オプション。 |

##### `WorkItem.widgets`

作業アイテムに属するウィジェットのコレクション。

[`[WorkItemWidget!]`](#workitemwidget)を返します。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetsexcepttypes"></a>`exceptTypes` | [`[WorkItemWidgetType!]`](#workitemwidgettype) | 指定されたタイプのウィジェットを除きます。 |
| <a id="workitemwidgetsonlytypes"></a>`onlyTypes` | [`[WorkItemWidgetType!]`](#workitemwidgettype) | 指定されたタイプのウィジェットのみ。 |

### `WorkItemClosingMergeRequest`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemclosingmergerequestfrommrdescription"></a>`fromMrDescription` | [`Boolean!`](#boolean) | このマージリクエストのリンクが、完了パターンを使用し、マージリクエストの説明にある作業アイテムを参照することによって作成されたかどうか。 |
| <a id="workitemclosingmergerequestid"></a>`id` | [`MergeRequestsClosingIssuesID!`](#mergerequestsclosingissuesid) | 完了マージリクエスト関連付けのグローバルID。 |
| <a id="workitemclosingmergerequestmergerequest"></a>`mergeRequest` | [`MergeRequest`](#mergerequest) | 関連するマージリクエスト。 |

### `WorkItemDescriptionTemplate`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemdescriptiontemplatecategory"></a>`category` | [`String`](#string) | 説明テンプレートのカテゴリ。 |
| <a id="workitemdescriptiontemplatecontent"></a>`content` | [`String`](#string) | 説明テンプレートのコンテンツ。 |
| <a id="workitemdescriptiontemplatename"></a>`name` | [`String`](#string) | 説明テンプレートの名前。 |
| <a id="workitemdescriptiontemplateprojectid"></a>`projectId` | [`Int`](#int) | 説明テンプレートプロジェクトのID。 |

### `WorkItemLinkedResource`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemlinkedresourceurl"></a>`url` | [`String!`](#string) | リソースのURL。 |

### `WorkItemNumberFieldValue`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemnumberfieldvaluecustomfield"></a>`customField` | [`CustomField!`](#customfield) | カスタムフィールド値に関連付けられているカスタムフィールド。 |
| <a id="workitemnumberfieldvaluevalue"></a>`value` | [`Float`](#float) | カスタムフィールドの数値。 |

### `WorkItemPermissions`

作業アイテムに対する現在のユーザーの権限をチェックします。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitempermissionsadminparentlink"></a>`adminParentLink` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_parent_link`を実行できます。 |
| <a id="workitempermissionsadminworkitem"></a>`adminWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_work_item`を実行できます。 |
| <a id="workitempermissionsadminworkitemlink"></a>`adminWorkItemLink` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`admin_work_item_link`を実行できます。 |
| <a id="workitempermissionsblockedworkitems"></a>`blockedWorkItems` | [`Boolean`](#boolean) | `true`の場合、ユーザーはこの作業アイテムに対して`blocked_work_items`を実行できます。 |
| <a id="workitempermissionscloneworkitem"></a>`cloneWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`clone_work_item`を実行できます。 |
| <a id="workitempermissionscreatenote"></a>`createNote` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`create_note`を実行できます。 |
| <a id="workitempermissionsdeleteworkitem"></a>`deleteWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`delete_work_item`を実行できます。 |
| <a id="workitempermissionsmarknoteasinternal"></a>`markNoteAsInternal` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`mark_note_as_internal`を実行できます。 |
| <a id="workitempermissionsmoveworkitem"></a>`moveWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`move_work_item`を実行できます。 |
| <a id="workitempermissionsreadworkitem"></a>`readWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`read_work_item`を実行できます。 |
| <a id="workitempermissionsreportspam"></a>`reportSpam` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`report_spam`を実行できます。 |
| <a id="workitempermissionssetworkitemmetadata"></a>`setWorkItemMetadata` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`set_work_item_metadata`を実行できます。 |
| <a id="workitempermissionssummarizecomments"></a>`summarizeComments` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`summarize_comments`を実行できます。 |
| <a id="workitempermissionsupdateworkitem"></a>`updateWorkItem` | [`Boolean!`](#boolean) | `true`の場合、ユーザーはこのリソースに対して`update_work_item`を実行できます。 |

### `WorkItemRelatedBranch`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemrelatedbranchcomparepath"></a>`comparePath` | [`String`](#string) | ブランチからデフォルトブランチへの比較パス。 |
| <a id="workitemrelatedbranchname"></a>`name` | [`String!`](#string) | ブランチの名前。 |
| <a id="workitemrelatedbranchpipelinestatus"></a>`pipelineStatus` | [`DetailedStatus`](#detailedstatus) | ブランチのパイプラインの状態。 |

### `WorkItemSelectFieldValue`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemselectfieldvaluecustomfield"></a>`customField` | [`CustomField!`](#customfield) | カスタムフィールド値に関連付けられているカスタムフィールド。 |
| <a id="workitemselectfieldvalueselectedoptions"></a>`selectedOptions` | [`[CustomFieldSelectOption!]`](#customfieldselectoption) | カスタムフィールドの選択済みオプション。 |

### `WorkItemStateCountsType`

示された状態の作業アイテムの合計数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemstatecountstypeall"></a>`all` | [`Int`](#int) | プロジェクトまたはグループの作業アイテム数。 |
| <a id="workitemstatecountstypeclosed"></a>`closed` | [`Int`](#int) | プロジェクトまたはグループについてCLOSED状態の作業アイテム数。 |
| <a id="workitemstatecountstypeopened"></a>`opened` | [`Int`](#int) | プロジェクトまたはグループについてOPENED状態の作業アイテム数。 |

### `WorkItemStatus`

状態を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemstatuscolor"></a>`color` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.11で**導入**。**状態**: 実験。状態の色。 |
| <a id="workitemstatusiconname"></a>`iconName` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.11で**導入**。**状態**: 実験。状態のアイコン名。 |
| <a id="workitemstatusid"></a>`id` {{< icon name="warning-solid" >}} | [`GlobalID`](#globalid) | GitLab 17.11で**導入**。**状態**: 実験。状態のID。 |
| <a id="workitemstatusname"></a>`name` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.11で**導入**。**状態**: 実験。状態の名前。 |
| <a id="workitemstatusposition"></a>`position` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.11で**導入**。**状態**: 実験。カテゴリ内の状態の位置。 |

### `WorkItemTextFieldValue`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtextfieldvaluecustomfield"></a>`customField` | [`CustomField!`](#customfield) | カスタムフィールド値に関連付けられているカスタムフィールド。 |
| <a id="workitemtextfieldvaluevalue"></a>`value` | [`String`](#string) | カスタムフィールドのテキスト値。 |

### `WorkItemTimelog`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtimelogid"></a>`id` | [`ID!`](#id) | タイムログの内部ID。 |
| <a id="workitemtimelognote"></a>`note` | [`Note`](#note) | ログに記録された時間を追加するためにクイックアクションが実行された場所を示すノート。 |
| <a id="workitemtimelogspentat"></a>`spentAt` | [`Time`](#time) | 追跡対象時間が費やされたタイムスタンプ。 |
| <a id="workitemtimelogsummary"></a>`summary` | [`String`](#string) | かかった時間の概要。 |
| <a id="workitemtimelogtimespent"></a>`timeSpent` | [`Int!`](#int) | かかった時間（秒）。 |
| <a id="workitemtimeloguser"></a>`user` | [`UserCore!`](#usercore) | 時間を記録したユーザー。 |
| <a id="workitemtimeloguserpermissions"></a>`userPermissions` | [`TimelogPermissions!`](#timelogpermissions) | リソースに対する現在のユーザーの権限。 |

### `WorkItemType`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypeiconname"></a>`iconName` | [`String`](#string) | 作業アイテムタイプのアイコン名。 |
| <a id="workitemtypeid"></a>`id` | [`WorkItemsTypeID!`](#workitemstypeid) | 作業アイテムタイプのグローバルID。 |
| <a id="workitemtypename"></a>`name` | [`String!`](#string) | 作業アイテムタイプの名前。 |
| <a id="workitemtypesupportedconversiontypes"></a>`supportedConversionTypes` {{< icon name="warning-solid" >}} | [`[WorkItemType!]`](#workitemtype) | GitLab 17.8で**導入**。**状態**: 実験。作業アイテムタイプでサポートされている変換タイプ。 |
| <a id="workitemtypewidgetdefinitions"></a>`widgetDefinitions` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetDefinition!]`](#workitemwidgetdefinition) | GitLab 16.7で**導入**。**状態**: 実験。作業アイテムタイプで使用可能なウィジェット。 |

### `WorkItemTypeCountsByState`

作業アイテムタイプの作業アイテム数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypecountsbystatecountsbystate"></a>`countsByState` | [`WorkItemStateCountsType!`](#workitemstatecountstype) | 示された状態の作業アイテムの総数。 |
| <a id="workitemtypecountsbystateworkitemtype"></a>`workItemType` | [`WorkItemType!`](#workitemtype) | 作業アイテムタイプ。 |

### `WorkItemTypeDepthLimitReachedByType`

許可されている作業アイテムタイプで到達した深度制限を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypedepthlimitreachedbytypedepthlimitreached"></a>`depthLimitReached` | [`Boolean!`](#boolean) | 子孫タイプで許可される最大深度に到達したかどうかを示します。 |
| <a id="workitemtypedepthlimitreachedbytypeworkitemtype"></a>`workItemType` | [`WorkItemType!`](#workitemtype) | 作業アイテムタイプ。 |

### `WorkItemTypesUserPreference`

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemtypesuserpreferencenamespace"></a>`namespace` | [`Namespace!`](#namespace) | ユーザープリファレンスのネームスペース。 |
| <a id="workitemtypesuserpreferencesort"></a>`sort` | [`WorkItemSort`](#workitemsort) | 作業アイテムリストのソート順。 |
| <a id="workitemtypesuserpreferenceworkitemtype"></a>`workItemType` | [`WorkItemType`](#workitemtype) | 作業アイテムに割り当てられているタイプ。 |

### `WorkItemWidgetAssignees`

割り当て先ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetassigneesallowsmultipleassignees"></a>`allowsMultipleAssignees` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.7で**非推奨**になりました。フィールドはworkItemTypeウィジェット定義インターフェースに移動されました。[`workitemWidgetDefinitionAssignees.allowsMultipleAssignees`](#workitemwidgetdefinitionassigneesallowsmultipleassignees)を使用してください。 |
| <a id="workitemwidgetassigneesassignees"></a>`assignees` | [`UserCoreConnection`](#usercoreconnection) | 作業アイテムの割り当て先。（[接続](#connections)を参照） |
| <a id="workitemwidgetassigneescaninvitemembers"></a>`canInviteMembers` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 16.7で**非推奨**になりました。フィールドはworkItemTypeウィジェット定義インターフェースに移動されました。[`workitemWidgetDefinitionAssignees.canInviteMembers`](#workitemwidgetdefinitionassigneescaninvitemembers)を使用してください。 |
| <a id="workitemwidgetassigneestype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetAwardEmoji`

絵文字リアクションウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetawardemojiawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | 作業アイテムに対する絵文字リアクション。（[接続](#connections)を参照） |
| <a id="workitemwidgetawardemojidownvotes"></a>`downvotes` | [`Int!`](#int) | 作業アイテムが受け取った不同意の数。 |
| <a id="workitemwidgetawardemojitype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |
| <a id="workitemwidgetawardemojiupvotes"></a>`upvotes` | [`Int!`](#int) | 作業アイテムが受け取った同意の数。 |

### `WorkItemWidgetColor`

カラーウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcolorcolor"></a>`color` | [`String`](#string) | 作業アイテムの色。 |
| <a id="workitemwidgetcolortextcolor"></a>`textColor` | [`String`](#string) | 作業アイテム用に生成されるテキストの色。 |
| <a id="workitemwidgetcolortype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetCrmContacts`

CRM連絡先ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcrmcontactscontacts"></a>`contacts` | [`CustomerRelationsContactConnection`](#customerrelationscontactconnection) | 作業アイテムに関連付けられているCRM連絡先のコレクション。（[接続](#connections)を参照） |
| <a id="workitemwidgetcrmcontactscontactsavailable"></a>`contactsAvailable` | [`Boolean!`](#boolean) | 作業アイテムに関連付けることのできる連絡先があるかどうかを示します。 |
| <a id="workitemwidgetcrmcontactstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetCurrentUserTodos`

todoウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcurrentusertodostype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

#### 引数のあるフィールド

##### `WorkItemWidgetCurrentUserTodos.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcurrentusertodoscurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

### `WorkItemWidgetCustomFields`

カスタムフィールドウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcustomfieldscustomfieldvalues"></a>`customFieldValues` {{< icon name="warning-solid" >}} | [`[WorkItemCustomFieldValue!]`](#workitemcustomfieldvalue) | GitLab 17.9で**導入**。**状態**: 実験。作業アイテムに関連付けられているカスタムフィールド値。 |
| <a id="workitemwidgetcustomfieldstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionAssignees`

割り当て先のウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitionassigneesallowsmultipleassignees"></a>`allowsMultipleAssignees` | [`Boolean!`](#boolean) | 複数の割り当て先が許可されているかどうかを示します。 |
| <a id="workitemwidgetdefinitionassigneescaninvitemembers"></a>`canInviteMembers` | [`Boolean!`](#boolean) | 現在のユーザーが作業アイテムの親にメンバーを招待できるかどうかを示します。 |
| <a id="workitemwidgetdefinitionassigneestype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionCustomFields`

カスタムフィールドウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitioncustomfieldscustomfieldvalues"></a>`customFieldValues` {{< icon name="warning-solid" >}} | [`[WorkItemCustomFieldValue!]`](#workitemcustomfieldvalue) | GitLab 17.10で**導入**。**状態**: 実験。作業アイテムに関連付けられているカスタムフィールド値。 |
| <a id="workitemwidgetdefinitioncustomfieldstype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionGeneric`

汎用ウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitiongenerictype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionHierarchy`

階層ウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitionhierarchyallowedchildtypes"></a>`allowedChildTypes` | [`WorkItemTypeConnection`](#workitemtypeconnection) | 作業アイテムタイプについて許可されている子タイプ。（[接続](#connections)を参照） |
| <a id="workitemwidgetdefinitionhierarchyallowedparenttypes"></a>`allowedParentTypes` | [`WorkItemTypeConnection`](#workitemtypeconnection) | 作業アイテムタイプについて許可されている親タイプ。（[接続](#connections)を参照） |
| <a id="workitemwidgetdefinitionhierarchytype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionLabels`

ラベルウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitionlabelsallowsscopedlabels"></a>`allowsScopedLabels` | [`Boolean!`](#boolean) | 範囲指定したラベルが利用可能かどうかを示します。 |
| <a id="workitemwidgetdefinitionlabelstype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionStatus`

状態ウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitionstatusallowedstatuses"></a>`allowedStatuses` {{< icon name="warning-solid" >}} | [`[WorkItemStatus!]`](#workitemstatus) | GitLab 17.8で**導入**。**状態**: 実験。作業アイテムタイプについて許可されている状態。 |
| <a id="workitemwidgetdefinitionstatustype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDefinitionWeight`

ウェイトウィジェット定義を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitionweighteditable"></a>`editable` | [`Boolean!`](#boolean) | 編集可能なウェイトが利用可能かどうかを示します。 |
| <a id="workitemwidgetdefinitionweightrollup"></a>`rollUp` | [`Boolean!`](#boolean) | ロールアップウェイトが利用可能かどうかを示します。 |
| <a id="workitemwidgetdefinitionweighttype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDescription`

説明ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdescriptiondescription"></a>`description` | [`String`](#string) | 作業アイテムの説明。 |
| <a id="workitemwidgetdescriptiondescriptionhtml"></a>`descriptionHtml` | [`String`](#string) | `description`のGitLab Flavored Markdownレンダリング。 |
| <a id="workitemwidgetdescriptionedited"></a>`edited` | [`Boolean!`](#boolean) | 作業アイテムの作成以降に説明が編集されたかどうか。 |
| <a id="workitemwidgetdescriptionlasteditedat"></a>`lastEditedAt` | [`Time`](#time) | 作業アイテムの説明が最後に編集された時点のタイムスタンプ。 |
| <a id="workitemwidgetdescriptionlasteditedby"></a>`lastEditedBy` | [`UserCore`](#usercore) | 作業アイテムの説明を最後に編集したユーザー。 |
| <a id="workitemwidgetdescriptiontaskcompletionstatus"></a>`taskCompletionStatus` | [`TaskCompletionStatus!`](#taskcompletionstatus) | 作業アイテムのタスク完了状態。 |
| <a id="workitemwidgetdescriptiontype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDesigns`

デザインウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdesignsdesigncollection"></a>`designCollection` | [`DesignCollection`](#designcollection) | イシューに関連付けられているデザイン画像のコレクション。 |
| <a id="workitemwidgetdesignstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetDevelopment`

開発ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdevelopmentclosingmergerequests"></a>`closingMergeRequests` | [`WorkItemClosingMergeRequestConnection`](#workitemclosingmergerequestconnection) | マージ時に作業アイテムをクローズするマージリクエスト。（[接続](#connections)を参照） |
| <a id="workitemwidgetdevelopmentfeatureflags"></a>`featureFlags` | [`FeatureFlagConnection`](#featureflagconnection) | 作業アイテムに関連付けられている機能フラグ。（[接続](#connections)を参照） |
| <a id="workitemwidgetdevelopmentrelatedbranches"></a>`relatedBranches` | [`WorkItemRelatedBranchConnection`](#workitemrelatedbranchconnection) | 作業アイテムを参照しているものの、関連付けられているマージリクエストがないブランチ。（[接続](#connections)を参照） |
| <a id="workitemwidgetdevelopmentrelatedmergerequests"></a>`relatedMergeRequests` {{< icon name="warning-solid" >}} | [`MergeRequestConnection`](#mergerequestconnection) | GitLab 17.6で**導入**。**状態**: 実験。作業アイテムが言及されているマージリクエスト。このフィールドは、1回のリクエストにつき1つの作業アイテムに対してのみ解決できます。 |
| <a id="workitemwidgetdevelopmenttype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |
| <a id="workitemwidgetdevelopmentwillautoclosebymergerequest"></a>`willAutoCloseByMergeRequest` | [`Boolean!`](#boolean) | クローズマージリクエストのマージ時に、作業アイテムを自動的にクローズするかどうか。 |

### `WorkItemWidgetEmailParticipants`

メール参加者ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetemailparticipantsemailparticipants"></a>`emailParticipants` | [`EmailParticipantTypeConnection`](#emailparticipanttypeconnection) | 作業アイテムに関連付けられているメール参加者のコレクション。（[接続](#connections)を参照） |
| <a id="workitemwidgetemailparticipantstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetErrorTracking`

エラートラッキングウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgeterrortrackingidentifier"></a>`identifier` | [`BigInt`](#bigint) | エラートラッキングイシューID。このフィールドは、1回リクエストで1つの作業アイテムに対してのみ解決できます。 |
| <a id="workitemwidgeterrortrackingstacktrace"></a>`stackTrace` | [`ErrorTrackingStackTraceConnection`](#errortrackingstacktraceconnection) | エラーのスタックトレースの詳細。このフィールドは、1回のリクエストで1つの作業アイテムに対してのみ解決できます。（[接続](#connections)を参照） |
| <a id="workitemwidgeterrortrackingstatus"></a>`status` | [`ErrorTrackingStatus`](#errortrackingstatus) | エラーサービスの応答状態。このフィールドは、1回のリクエストにつき1つの作業アイテムに対してのみ解決できます。 |
| <a id="workitemwidgeterrortrackingtype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetErrorTrackingStackTraceContext`

スタックトレースのコード行に関する詳細を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgeterrortrackingstacktracecontextline"></a>`line` | [`String`](#string) | コード行。 |
| <a id="workitemwidgeterrortrackingstacktracecontextlinenumber"></a>`lineNumber` | [`Int`](#int) | コードの行番号。 |

### `WorkItemWidgetHealthStatus`

ヘルスステータスウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethealthstatushealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 作業アイテムのヘルスステータス。 |
| <a id="workitemwidgethealthstatusrolleduphealthstatus"></a>`rolledUpHealthStatus` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetHealthStatusCount!]`](#workitemwidgethealthstatuscount) | GitLab 17.3で**導入**。**状態**: 実験。作業アイテムのロールアップヘルスステータス。 |
| <a id="workitemwidgethealthstatustype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetHealthStatusCount`

ヘルスステータスの作業アイテム数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethealthstatuscountcount"></a>`count` | [`Int!`](#int) | ヘルスステータスの作業アイテムの数。 |
| <a id="workitemwidgethealthstatuscounthealthstatus"></a>`healthStatus` | [`HealthStatus!`](#healthstatus) | 作業アイテムのヘルスステータス。 |

### `WorkItemWidgetHierarchy`

階層ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethierarchyancestors"></a>`ancestors` | [`WorkItemConnection`](#workitemconnection) | 作業アイテムの祖先（親）。（[接続](#connections)を参照） |
| <a id="workitemwidgethierarchychildren"></a>`children` | [`WorkItemConnection`](#workitemconnection) | 子作業アイテム。（[接続](#connections)を参照） |
| <a id="workitemwidgethierarchydepthlimitreachedbytype"></a>`depthLimitReachedByType` {{< icon name="warning-solid" >}} | [`[WorkItemTypeDepthLimitReachedByType!]!`](#workitemtypedepthlimitreachedbytype) | GitLab 17.4で**導入**。**状態**: 実験。許可されている作業アイテムタイプで到達した深度制限。 |
| <a id="workitemwidgethierarchyhaschildren"></a>`hasChildren` | [`Boolean!`](#boolean) | 作業アイテムに子があるかどうかを示します。 |
| <a id="workitemwidgethierarchyhasparent"></a>`hasParent` | [`Boolean!`](#boolean) | 作業アイテムに親があるかどうかを示します。 |
| <a id="workitemwidgethierarchyparent"></a>`parent` | [`WorkItem`](#workitem) | 親作業アイテム。 |
| <a id="workitemwidgethierarchyrolledupcountsbytype"></a>`rolledUpCountsByType` {{< icon name="warning-solid" >}} | [`[WorkItemTypeCountsByState!]!`](#workitemtypecountsbystate) | GitLab 17.3で**導入**。**状態**: 実験。作業アイテムのタイプおよび状態別の子孫作業アイテムの数。 |
| <a id="workitemwidgethierarchytype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetIteration`

イテレーションウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetiterationiteration"></a>`iteration` | [`Iteration`](#iteration) | 作業アイテムのイテレーション。 |
| <a id="workitemwidgetiterationtype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetLabels`

ラベルウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlabelsallowsscopedlabels"></a>`allowsScopedLabels` {{< icon name="warning-solid" >}} | [`Boolean`](#boolean) | GitLab 16.7で**非推奨**になりました。フィールドはworkItemTypeウィジェット定義インターフェースに移動されました。[`WorkItemWidgetDefinitionLabels.allowsScopedLabels`](#workitemwidgetdefinitionlabelsallowsscopedlabels)を使用してください。 |
| <a id="workitemwidgetlabelslabels"></a>`labels` | [`LabelConnection`](#labelconnection) | 作業アイテムに割り当てられているラベル。（[接続](#connections)を参照） |
| <a id="workitemwidgetlabelstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetLinkedItems`

リンクされているアイテムウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlinkeditemsblocked"></a>`blocked` | [`Boolean`](#boolean) | 作業アイテムがブロックされていることを示します。 |
| <a id="workitemwidgetlinkeditemsblockedbycount"></a>`blockedByCount` | [`Int`](#int) | 作業アイテムをブロックしているアイテムの数。 |
| <a id="workitemwidgetlinkeditemsblockingcount"></a>`blockingCount` | [`Int`](#int) | 作業アイテムがブロックしているアイテムの数。 |
| <a id="workitemwidgetlinkeditemstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

#### 引数のあるフィールド

##### `WorkItemWidgetLinkedItems.linkedItems`

作業アイテムについてリンクされているアイテム。

{{< details >}}GitLab 16.3で**導入**。**状態**: 実験。{{< /details >}}

[`LinkedWorkItemTypeConnection`](#linkedworkitemtypeconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlinkeditemslinkeditemsfilter"></a>`filter` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプでフィルタリングします。サポートされている値: RELATED、BLOCKED_BY、BLOCKS。省略すると、すべてのタイプが返されます。 |

### `WorkItemWidgetLinkedResources`

リンクされているリソースウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlinkedresourceslinkedresources"></a>`linkedResources` | [`WorkItemLinkedResourceConnection`](#workitemlinkedresourceconnection) | 作業アイテムのリソース。（[接続](#connections)を参照） |
| <a id="workitemwidgetlinkedresourcestype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetMilestone`

マイルストーンウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetmilestonemilestone"></a>`milestone` | [`Milestone`](#milestone) | 作業アイテムのマイルストーン。 |
| <a id="workitemwidgetmilestonetype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetNotes`

ノートウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotesdiscussionlocked"></a>`discussionLocked` | [`Boolean`](#boolean) | 作業アイテムのディスカッションロック属性。 |
| <a id="workitemwidgetnotestype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

#### 引数のあるフィールド

##### `WorkItemWidgetNotes.discussions`

この作業アイテムに関するディスカッション。

[`DiscussionConnection`](#discussionconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotesdiscussionsfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

##### `WorkItemWidgetNotes.notes`

この作業アイテムに関するノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

###### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotesnotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

### `WorkItemWidgetNotifications`

通知ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotificationssubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 現在のユーザーが作業アイテムに関する通知をサブスクライブしているかどうか。 |
| <a id="workitemwidgetnotificationstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetParticipants`

参加者ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetparticipantsparticipants"></a>`participants` | [`UserCoreConnection`](#usercoreconnection) | 作業アイテムの参加者。（[接続](#connections)を参照） |
| <a id="workitemwidgetparticipantstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetProgress`

進捗状況ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetprogresscurrentvalue"></a>`currentValue` | [`Int`](#int) | 作業アイテムの現在の値。 |
| <a id="workitemwidgetprogressendvalue"></a>`endValue` | [`Int`](#int) | 作業アイテムの終了値。 |
| <a id="workitemwidgetprogressprogress"></a>`progress` | [`Int`](#int) | 作業アイテムの進捗状況。 |
| <a id="workitemwidgetprogressstartvalue"></a>`startValue` | [`Int`](#int) | 作業アイテムの開始値。 |
| <a id="workitemwidgetprogresstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |
| <a id="workitemwidgetprogressupdatedat"></a>`updatedAt` | [`Time`](#time) | 最後の進捗状況更新のタイムスタンプ。 |

### `WorkItemWidgetRequirementLegacy`

レガシー要件ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetrequirementlegacylegacyiid"></a>`legacyIid` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 15.9で**非推奨**になりました。代わりに作業アイテムIIDを使用してください。 |
| <a id="workitemwidgetrequirementlegacytype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetStartAndDueDate`

開始日と期限のウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetstartandduedateduedate"></a>`dueDate` | [`Date`](#date) | 作業アイテムの期限。 |
| <a id="workitemwidgetstartandduedateduedatesourcingmilestone"></a>`dueDateSourcingMilestone` | [`Milestone`](#milestone) | ロールアップ期限のソースとなるマイルストーンを示します。 |
| <a id="workitemwidgetstartandduedateduedatesourcingworkitem"></a>`dueDateSourcingWorkItem` | [`WorkItem`](#workitem) | ロールアップ期限のソースとなるwork_itemを示します。 |
| <a id="workitemwidgetstartandduedateisfixed"></a>`isFixed` | [`Boolean!`](#boolean) | 作業アイテムが固定日付を使用しているかどうかを示します。 |
| <a id="workitemwidgetstartandduedaterollup"></a>`rollUp` | [`Boolean!`](#boolean) | 作業アイテムでロールアップ日付を使用できるかどうかを示します。 |
| <a id="workitemwidgetstartandduedatestartdate"></a>`startDate` | [`Date`](#date) | 作業アイテムの開始日。 |
| <a id="workitemwidgetstartandduedatestartdatesourcingmilestone"></a>`startDateSourcingMilestone` | [`Milestone`](#milestone) | ロールアップ開始日のソースとなるマイルストーンを示します。 |
| <a id="workitemwidgetstartandduedatestartdatesourcingworkitem"></a>`startDateSourcingWorkItem` | [`WorkItem`](#workitem) | ロールアップ開始日のソースとなるwork_itemを示します。 |
| <a id="workitemwidgetstartandduedatetype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetStatus`

状態ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetstatusstatus"></a>`status` {{< icon name="warning-solid" >}} | [`WorkItemStatus`](#workitemstatus) | GitLab 17.11で**導入**。**状態**: 実験。作業アイテムに割り当てられている状態。 |
| <a id="workitemwidgetstatustype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetTestReports`

テストレポートウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgettestreportstestreports"></a>`testReports` | [`TestReportConnection`](#testreportconnection) | 作業アイテムのテストレポート。（[接続](#connections)を参照） |
| <a id="workitemwidgettestreportstype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetTimeTracking`

タイムトラッキングウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgettimetrackingtimeestimate"></a>`timeEstimate` | [`Int`](#int) | 作業アイテムの見積もり時間。 |
| <a id="workitemwidgettimetrackingtimelogs"></a>`timelogs` | [`WorkItemTimelogConnection`](#workitemtimelogconnection) | 作業アイテムについてのタイムログ。（[接続](#connections)を参照） |
| <a id="workitemwidgettimetrackingtotaltimespent"></a>`totalTimeSpent` | [`Int`](#int) | 作業アイテムに費やされたとして報告された合計時間（秒）。 |
| <a id="workitemwidgettimetrackingtype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetVerificationStatus`

検証状態ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetverificationstatustype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |
| <a id="workitemwidgetverificationstatusverificationstatus"></a>`verificationStatus` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 15.5で**導入**。**状態**: 実験。作業アイテムの検証状態。 |

### `WorkItemWidgetVulnerabilities`

脆弱性ウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetvulnerabilitiesrelatedvulnerabilities"></a>`relatedVulnerabilities` {{< icon name="warning-solid" >}} | [`VulnerabilityConnection`](#vulnerabilityconnection) | GitLab 17.10で**導入**。**状態**: 実験。作業アイテムの関連脆弱性。 |
| <a id="workitemwidgetvulnerabilitiestype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

### `WorkItemWidgetWeight`

ウェイトウィジェットを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetweightrolledupcompletedweight"></a>`rolledUpCompletedWeight` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.3で**導入**。**状態**: 実験。完了子孫作業アイテムからのロールアップウェイト。 |
| <a id="workitemwidgetweightrolledupweight"></a>`rolledUpWeight` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.2で**導入**。**状態**: 実験。子孫作業アイテムからのロールアップウェイト。 |
| <a id="workitemwidgetweighttype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |
| <a id="workitemwidgetweightweight"></a>`weight` | [`Int`](#int) | 作業アイテムのウェイト。 |
| <a id="workitemwidgetweightwidgetdefinition"></a>`widgetDefinition` | [`WorkItemWidgetDefinitionWeight`](#workitemwidgetdefinitionweight) | ウェイトウィジェットの定義。 |

### `Workspace`

リモート開発ワークスペースを表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspaceactualstate"></a>`actualState` | [`String!`](#string) | ワークスペースの実際の状態。 |
| <a id="workspaceactualstateupdatedat"></a>`actualStateUpdatedAt` {{< icon name="warning-solid" >}} | [`Time!`](#time) | GitLab 17.11で**導入**。**状態**: 実験。実際の状態に対する最後の更新のタイムスタンプ。 |
| <a id="workspaceclusteragent"></a>`clusterAgent` | [`ClusterAgent!`](#clusteragent) | ワークスペースに関連付けられているKubernetesエージェント。 |
| <a id="workspacecreatedat"></a>`createdAt` | [`Time!`](#time) | ワークスペース作成時のタイムスタンプ。 |
| <a id="workspacedeploymentresourceversion"></a>`deploymentResourceVersion` | [`Int`](#int) | ワークスペースのデプロイリソースのバージョン。 |
| <a id="workspacedesiredconfiggeneratorversion"></a>`desiredConfigGeneratorVersion` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.6で**導入**。**状態**: 実験。目的とするワークスペースの設定ジェネレーターのバージョン。 |
| <a id="workspacedesiredstate"></a>`desiredState` | [`String!`](#string) | 目的とするワークスペースの状態。 |
| <a id="workspacedesiredstateupdatedat"></a>`desiredStateUpdatedAt` | [`Time!`](#time) | 目的とする状態に対する最後の更新のタイムスタンプ。 |
| <a id="workspacedevfile"></a>`devfile` | [`String!`](#string) | ワークスペースの設定に使用するdevfileを含むソースYAML。 |
| <a id="workspacedevfilepath"></a>`devfilePath` | [`String`](#string) | ワークスペースの設定に使用するdevfileのパス。 |
| <a id="workspacedevfileref"></a>`devfileRef` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.8で**非推奨**になりました。フィールドの名前がproject_refに変更されました。 |
| <a id="workspacedevfileweburl"></a>`devfileWebUrl` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.8で**非推奨**になりました。フィールドは使用されていません。 |
| <a id="workspaceeditor"></a>`editor` {{< icon name="warning-solid" >}} | [`String!`](#string) | GitLab 17.5で**非推奨**になりました。フィールドは使用されていません。 |
| <a id="workspaceforceincludeallresources"></a>`forceIncludeAllResources` {{< icon name="warning-solid" >}} | [`Boolean!`](#boolean) | GitLab 17.6で**導入**。**状態**: 実験。エージェントとの次回の調整で、すべてのリソースをワークスペースに含めるようにします。 |
| <a id="workspaceid"></a>`id` | [`RemoteDevelopmentWorkspaceID!`](#remotedevelopmentworkspaceid) | ワークスペースのグローバルID。 |
| <a id="workspacemaxhoursbeforetermination"></a>`maxHoursBeforeTermination` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.9で**非推奨**になりました。フィールドは使用されていません。 |
| <a id="workspacename"></a>`name` | [`String!`](#string) | Kubernetesでのワークスペースの名前。 |
| <a id="workspacenamespace"></a>`namespace` | [`String!`](#string) | Kubernetesでのワークスペースのネームスペース。 |
| <a id="workspaceprocesseddevfile"></a>`processedDevfile` | [`String!`](#string) | ワークスペースの設定に使用するdevfileの処理済みYAML。 |
| <a id="workspaceprojectid"></a>`projectId` | [`ID!`](#id) | ワークスペースのdevfileを含むプロジェクトのID。 |
| <a id="workspaceprojectref"></a>`projectRef` | [`String!`](#string) | ワークスペースの設定に使用されるdevfileが含まれ、ワークスペース中に複製されるGit参照。 |
| <a id="workspacerespondedtoagentat"></a>`respondedToAgentAt` | [`Time`](#time) | ワークスペースでKubernetes向けGitLabエージェントに送信された最後の応答のタイムスタンプ。 |
| <a id="workspaceupdatedat"></a>`updatedAt` | [`Time!`](#time) | 変更可能ワークスペースプロパティに対する最後の更新のタイムスタンプ。 |
| <a id="workspaceurl"></a>`url` | [`String!`](#string) | ワークスペースのURL。 |
| <a id="workspaceuser"></a>`user` | [`UserCore!`](#usercore) | ワークスペースのオーナー。 |
| <a id="workspaceworkspacevariables"></a>`workspaceVariables` {{< icon name="warning-solid" >}} | [`WorkspaceVariableConnection`](#workspacevariableconnection) | GitLab 17.9で**導入**。**状態**: 実験。ワークスペースに関連付けられているユーザー定義変数。 |
| <a id="workspaceworkspacesagentconfigversion"></a>`workspacesAgentConfigVersion` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.6で**導入**。**状態**: 実験。ワークスペースで関連付けられているWorkspacesAgentConfigのバージョン。 |

### `WorkspaceResources`

ワークスペースコンテナのリソース仕様。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspaceresourceslimits"></a>`limits` | [`ResourceQuotas`](#resourcequotas) | リクエストされたワークスペースのコンテナリソースに関する制限。 |
| <a id="workspaceresourcesrequests"></a>`requests` | [`ResourceQuotas`](#resourcequotas) | リクエストされたワークスペースのコンテナリソース。 |

### `WorkspaceVariable`

リモート開発ワークスペース変数を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspacevariablecreatedat"></a>`createdAt` | [`Time!`](#time) | ワークスペース変数作成時のタイムスタンプ。 |
| <a id="workspacevariableid"></a>`id` | [`RemoteDevelopmentWorkspaceVariableID!`](#remotedevelopmentworkspacevariableid) | ワークスペース変数のグローバルID。 |
| <a id="workspacevariablekey"></a>`key` | [`String`](#string) | ワークスペース変数の名前。 |
| <a id="workspacevariableupdatedat"></a>`updatedAt` | [`Time!`](#time) | ワークスペース変数更新時のタイムスタンプ。 |
| <a id="workspacevariablevalue"></a>`value` | [`String`](#string) | ワークスペース変数の値。 |
| <a id="workspacevariablevariabletype"></a>`variableType` | [`WorkspaceVariableType`](#workspacevariabletype) | ワークスペース変数の型。 |

### `WorkspacesAgentConfig`

ワークスペースエージェントの設定を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspacesagentconfigallowprivilegeescalation"></a>`allowPrivilegeEscalation` | [`Boolean!`](#boolean) | 特権エスカレーションを許可します。 |
| <a id="workspacesagentconfigannotations"></a>`annotations` | [`[KubernetesAnnotation!]!`](#kubernetesannotation) | Kubernetesオブジェクトに適用するアノテーション。 |
| <a id="workspacesagentconfigclusteragent"></a>`clusterAgent` | [`ClusterAgent!`](#clusteragent) | ワークスペースエージェント設定が属するクラスターエージェント。 |
| <a id="workspacesagentconfigcreatedat"></a>`createdAt` | [`Time!`](#time) | ワークスペースエージェント設定作成時のタイムスタンプ。 |
| <a id="workspacesagentconfigdefaultmaxhoursbeforetermination"></a>`defaultMaxHoursBeforeTermination` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.9で**非推奨**になりました。フィールドは使用されていません。 |
| <a id="workspacesagentconfigdefaultresourcesperworkspacecontainer"></a>`defaultResourcesPerWorkspaceContainer` {{< icon name="warning-solid" >}} | [`WorkspaceResources!`](#workspaceresources) | GitLab 17.9で**導入**。**状態**: 実験。ワークスペースコンテナのデフォルトのCPUおよびメモリリソース。 |
| <a id="workspacesagentconfigdefaultruntimeclass"></a>`defaultRuntimeClass` | [`String!`](#string) | デフォルトのKubernetes RuntimeClass。 |
| <a id="workspacesagentconfigdnszone"></a>`dnsZone` | [`String!`](#string) | ワークスペースが利用可能なDNSゾーン。 |
| <a id="workspacesagentconfigenabled"></a>`enabled` | [`Boolean!`](#boolean) | GitLabエージェントについてリモート開発が有効になっているかどうかを示します。 |
| <a id="workspacesagentconfiggitlabworkspacesproxynamespace"></a>`gitlabWorkspacesProxyNamespace` | [`String!`](#string) | gitlab-workspaces-proxyがインストールされているネームスペース。 |
| <a id="workspacesagentconfigid"></a>`id` | [`RemoteDevelopmentWorkspacesAgentConfigID!`](#remotedevelopmentworkspacesagentconfigid) | ワークスペースエージェント設定のグローバルID。 |
| <a id="workspacesagentconfigimagepullsecrets"></a>`imagePullSecrets` {{< icon name="warning-solid" >}} | [`[ImagePullSecrets!]!`](#imagepullsecrets) | GitLab 17.9で**導入**。**状態**: 実験。ワークスペースのプライベートイメージをプルするためのKubernetes Secrets。 |
| <a id="workspacesagentconfiglabels"></a>`labels` | [`[KubernetesLabel!]!`](#kuberneteslabel) | Kubernetesオブジェクトに適用するラベル。 |
| <a id="workspacesagentconfigmaxhoursbeforeterminationlimit"></a>`maxHoursBeforeTerminationLimit` {{< icon name="warning-solid" >}} | [`Int!`](#int) | GitLab 17.9で**非推奨**になりました。フィールドは使用されていません。 |
| <a id="workspacesagentconfigmaxresourcesperworkspace"></a>`maxResourcesPerWorkspace` {{< icon name="warning-solid" >}} | [`WorkspaceResources!`](#workspaceresources) | GitLab 17.9で**導入**。**状態**: 実験。ワークスペースの最大CPUおよびメモリリソース。 |
| <a id="workspacesagentconfignetworkpolicyegress"></a>`networkPolicyEgress` {{< icon name="warning-solid" >}} | [`[NetworkPolicyEgress!]!`](#networkpolicyegress) | GitLab 17.9で**導入**。**状態**: 実験。ワークスペースからのエグレス宛先のIP CIDR範囲指定。 |
| <a id="workspacesagentconfignetworkpolicyenabled"></a>`networkPolicyEnabled` | [`Boolean!`](#boolean) | ワークスペースエージェント設定のネットワークポリシーが有効かどうか。 |
| <a id="workspacesagentconfigprojectid"></a>`projectId` | [`ID`](#id) | ワークスペースエージェント設定が属するプロジェクトのID。 |
| <a id="workspacesagentconfigupdatedat"></a>`updatedAt` | [`Time!`](#time) | 変更可能ワークスペースエージェント設定プロパティに対する最後の更新のタイムスタンプ。 |
| <a id="workspacesagentconfigusekubernetesusernamespaces"></a>`useKubernetesUserNamespaces` | [`Boolean!`](#boolean) | Kubernetesでユーザーネームスペースを使用するかどうかを示します。 |
| <a id="workspacesagentconfigworkspacesperuserquota"></a>`workspacesPerUserQuota` | [`Int!`](#int) | ユーザーごとのワークスペースの最大数。 |
| <a id="workspacesagentconfigworkspacesquota"></a>`workspacesQuota` | [`Int!`](#int) | GitLabエージェントのワークスペースの最大数。 |

### `X509Certificate`

X.509証明書を表します。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="x509certificatecertificatestatus"></a>`certificateStatus` | [`String!`](#string) | 証明書が有効か、それとも失効しているかを示します。 |
| <a id="x509certificatecreatedat"></a>`createdAt` | [`Time!`](#time) | 証明書保存時のタイムスタンプ。 |
| <a id="x509certificateemail"></a>`email` | [`String!`](#string) | 証明書に関連付けられているメール。 |
| <a id="x509certificateid"></a>`id` | [`ID!`](#id) | 証明書のID。 |
| <a id="x509certificateserialnumber"></a>`serialNumber` | [`String!`](#string) | 証明書のシリアル番号。 |
| <a id="x509certificatesubject"></a>`subject` | [`String!`](#string) | 証明書のサブジェクト。 |
| <a id="x509certificatesubjectkeyidentifier"></a>`subjectKeyIdentifier` | [`String!`](#string) | 証明書のサブジェクトキー識別子。 |
| <a id="x509certificateupdatedat"></a>`updatedAt` | [`Time!`](#time) | 証明書の最終更新タイムスタンプ。 |
| <a id="x509certificatex509issuer"></a>`x509Issuer` | [`X509Issuer!`](#x509issuer) | 証明書の発行者。 |

### `X509Issuer`

X.509証明書の発行者。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="x509issuercreatedat"></a>`createdAt` | [`Time`](#time) | 発行者作成時のタイムスタンプ。 |
| <a id="x509issuercrlurl"></a>`crlUrl` | [`String`](#string) | 発行者の証明書失効リスト。 |
| <a id="x509issuerid"></a>`id` | [`ID`](#id) | 発行者のID。 |
| <a id="x509issuersubject"></a>`subject` | [`String`](#string) | 発行者のサブジェクト。 |
| <a id="x509issuersubjectkeyidentifier"></a>`subjectKeyIdentifier` | [`String`](#string) | 発行者のサブジェクトキー識別子。 |
| <a id="x509issuerupdatedat"></a>`updatedAt` | [`Time`](#time) | 発行者の最終更新タイムスタンプ。 |

### `X509Signature`

署名付きコミットのX.509署名。

#### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="x509signaturecommitsha"></a>`commitSha` | [`String`](#string) | 関連するコミットのSHA。 |
| <a id="x509signatureproject"></a>`project` | [`Project`](#project) | 関連するコミットのプロジェクト。 |
| <a id="x509signatureuser"></a>`user` | [`UserCore`](#usercore) | キーに関連付けられているユーザー |
| <a id="x509signatureverificationstatus"></a>`verificationStatus` | [`VerificationStatus`](#verificationstatus) | 関連するキーまたは証明書の検証状態を示します。 |
| <a id="x509signaturex509certificate"></a>`x509Certificate` | [`X509Certificate`](#x509certificate) | 署名に使用する証明書。 |

## 列挙型

列挙型（_Enum_）は、許可された特定のセットに値が制限されている、特殊なスカラーです。

詳しくは、`graphql.org`の[列挙型](https://graphql.org/learn/schema/#enumeration-types)をご覧ください。

### `AccessLevelEnum`

リソースへのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="accesslevelenumadmin"></a>`ADMIN` | 管理者アクセス。 |
| <a id="accesslevelenumdeveloper"></a>`DEVELOPER` | デベロッパーアクセス。 |
| <a id="accesslevelenumguest"></a>`GUEST` | ゲストアクセス。 |
| <a id="accesslevelenummaintainer"></a>`MAINTAINER` | メンテナーアクセス。 |
| <a id="accesslevelenumminimal_access"></a>`MINIMAL_ACCESS` | 最小アクセス。 |
| <a id="accesslevelenumno_access"></a>`NO_ACCESS` | アクセスなし。 |
| <a id="accesslevelenumowner"></a>`OWNER` | オーナーアクセス。 |
| <a id="accesslevelenumplanner"></a>`PLANNER` | プランナーアクセス。 |
| <a id="accesslevelenumreporter"></a>`REPORTER` | レポーターアクセス。 |

### `AgentTokenStatus`

エージェントトークンの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="agenttokenstatusactive"></a>`ACTIVE` | アクティブなエージェントトークン。 |
| <a id="agenttokenstatusrevoked"></a>`REVOKED` | 失効したエージェントトークン。 |

### `AiAcceptedSelfHostedModels`

セルフホストモデル機能でサポートされているLLM。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiacceptedselfhostedmodelsclaude_3"></a>`CLAUDE_3` | コード生成とGitLab Duo Chatに適したClaude 3モデルファミリー。 |
| <a id="aiacceptedselfhostedmodelscodegemma"></a>`CODEGEMMA` | CodeGemmaコード: コード提案に適しています。 |
| <a id="aiacceptedselfhostedmodelscodellama"></a>`CODELLAMA` | Code-Llama Instruct: コード提案に適しています。 |
| <a id="aiacceptedselfhostedmodelscodestral"></a>`CODESTRAL` | Codestral: コード提案に適しています。 |
| <a id="aiacceptedselfhostedmodelsdeepseekcoder"></a>`DEEPSEEKCODER` | Deepseek Coderベースまたはインストラクト。 |
| <a id="aiacceptedselfhostedmodelsgpt"></a>`GPT` | GPT: コード提案に適しています。 |
| <a id="aiacceptedselfhostedmodelsllama3"></a>`LLAMA3` | LLaMA 3: コード提案とGitLab Duo Chatに適しています。 |
| <a id="aiacceptedselfhostedmodelsmistral"></a>`MISTRAL` | Mistral: コード提案とGitLab Duo Chatに適しています。 |
| <a id="aiacceptedselfhostedmodelsmixtral"></a>`MIXTRAL` | Mixtral: コード提案とGitLab Duo Chatに適しています。 |

### `AiAction`

サブスクライブするアクション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiactionchat"></a>`CHAT` | チャットアクション。 |

### `AiAdditionalContextCategory`

追加コンテキストのカテゴリ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiadditionalcontextcategorydependency"></a>`DEPENDENCY` | 依存関係コンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategoryfile"></a>`FILE` | ファイルコンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategoryissue"></a>`ISSUE` | イシューコンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategorylocal_git"></a>`LOCAL_GIT` | Local_gitコンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategorymerge_request"></a>`MERGE_REQUEST` | Merge_requestコンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategorysnippet"></a>`SNIPPET` | スニペットコンテンツのカテゴリ。 |
| <a id="aiadditionalcontextcategoryterminal"></a>`TERMINAL` | ターミナルコンテンツのカテゴリ。 |

### `AiConversationsThreadsConversationType`

スレッドの会話タイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiconversationsthreadsconversationtypeduo_chat"></a>`DUO_CHAT` | duo_chatスレッド。 |
| <a id="aiconversationsthreadsconversationtypeduo_chat_legacy"></a>`DUO_CHAT_LEGACY` | duo_chat_legacyスレッド。 |
| <a id="aiconversationsthreadsconversationtypeduo_code_review"></a>`DUO_CODE_REVIEW` | duo_code_reviewスレッド。 |
| <a id="aiconversationsthreadsconversationtypeduo_quick_chat"></a>`DUO_QUICK_CHAT` | duo_quick_chatスレッド。 |

### `AiFeatureProviders`

設定可能なAI機能のプロバイダー。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aifeatureprovidersdisabled"></a>`DISABLED` | 無効にされているオプション。 |
| <a id="aifeatureprovidersself_hosted"></a>`SELF_HOSTED` | セルフホストオプション。 |
| <a id="aifeatureprovidersvendored"></a>`VENDORED` | ベンダーオプション。 |

### `AiFeatures`

GitLab Duoセルフホスト機能の設定を通じて設定できるAI機能。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aifeaturescode_completions"></a>`CODE_COMPLETIONS` | コード補完機能の設定。 |
| <a id="aifeaturescode_generations"></a>`CODE_GENERATIONS` | コード生成機能の設定。 |
| <a id="aifeaturesduo_chat"></a>`DUO_CHAT` | GitLab Duo Chat機能の設定。 |
| <a id="aifeaturesduo_chat_explain_code"></a>`DUO_CHAT_EXPLAIN_CODE` | GitLab Duo Chatコード説明機能の設定。 |
| <a id="aifeaturesduo_chat_fix_code"></a>`DUO_CHAT_FIX_CODE` | GitLab Duo Chatコード修正機能の設定。 |
| <a id="aifeaturesduo_chat_refactor_code"></a>`DUO_CHAT_REFACTOR_CODE` | GitLab Duo Chatコードリファクタリング機能の設定。 |
| <a id="aifeaturesduo_chat_troubleshoot_job"></a>`DUO_CHAT_TROUBLESHOOT_JOB` | GitLab Duo Chatジョブ問題解決機能の設定。 |
| <a id="aifeaturesduo_chat_write_tests"></a>`DUO_CHAT_WRITE_TESTS` | GitLab Duo Chatテスト作成機能の設定。 |
| <a id="aifeaturesgenerate_commit_message"></a>`GENERATE_COMMIT_MESSAGE` | コミットメッセージ生成機能の設定。 |

### `AiMessageRole`

AI機能で可能なメッセージロール。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aimessageroleassistant"></a>`ASSISTANT` | アシスタントメッセージ。 |
| <a id="aimessagerolesystem"></a>`SYSTEM` | システムメッセージ。 |
| <a id="aimessageroleuser"></a>`USER` | ユーザーメッセージ。 |

### `AiMessageType`

AI機能から返されるメッセージのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aimessagetypetool"></a>`TOOL` | ツール選択メッセージ。 |

### `AiSelfHostedModelReleaseState`

モデルのGitLabリリース状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiselfhostedmodelreleasestatebeta"></a>`BETA` | ベータ状態。 |
| <a id="aiselfhostedmodelreleasestateexperimental"></a>`EXPERIMENTAL` | 実験的状態。 |
| <a id="aiselfhostedmodelreleasestatega"></a>`GA` | GA状態。 |

### `AiUsageCodeSuggestionEvent`

コード提案イベントのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="aiusagecodesuggestioneventcode_suggestion_accepted_in_ide"></a>`CODE_SUGGESTION_ACCEPTED_IN_IDE` | コード提案が承認されました。 |
| <a id="aiusagecodesuggestioneventcode_suggestion_rejected_in_ide"></a>`CODE_SUGGESTION_REJECTED_IN_IDE` | コード提案が却下されました。 |
| <a id="aiusagecodesuggestioneventcode_suggestion_shown_in_ide"></a>`CODE_SUGGESTION_SHOWN_IN_IDE` | コード提案が表示されました。 |

### `AlertManagementAlertSort`

アラートをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementalertsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="alertmanagementalertsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="alertmanagementalertsortcreated_time_asc"></a>`CREATED_TIME_ASC` | 作成時刻の昇順。 |
| <a id="alertmanagementalertsortcreated_time_desc"></a>`CREATED_TIME_DESC` | 作成時刻の降順。 |
| <a id="alertmanagementalertsortended_at_asc"></a>`ENDED_AT_ASC` | 終了時刻の昇順。 |
| <a id="alertmanagementalertsortended_at_desc"></a>`ENDED_AT_DESC` | 終了時刻の降順。 |
| <a id="alertmanagementalertsortevent_count_asc"></a>`EVENT_COUNT_ASC` | イベント数の昇順。 |
| <a id="alertmanagementalertsortevent_count_desc"></a>`EVENT_COUNT_DESC` | イベント数の降順。 |
| <a id="alertmanagementalertsortseverity_asc"></a>`SEVERITY_ASC` | 重大度、低いものから順。 |
| <a id="alertmanagementalertsortseverity_desc"></a>`SEVERITY_DESC` | 重大度、高いものから順。 |
| <a id="alertmanagementalertsortstarted_at_asc"></a>`STARTED_AT_ASC` | 開始時刻の昇順。 |
| <a id="alertmanagementalertsortstarted_at_desc"></a>`STARTED_AT_DESC` | 開始時刻の降順。 |
| <a id="alertmanagementalertsortstatus_asc"></a>`STATUS_ASC` | 状態順: `Ignored > Resolved > Acknowledged > Triggered`。 |
| <a id="alertmanagementalertsortstatus_desc"></a>`STATUS_DESC` | 状態順: `Triggered > Acknowledged > Resolved > Ignored`。 |
| <a id="alertmanagementalertsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="alertmanagementalertsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="alertmanagementalertsortupdated_time_asc"></a>`UPDATED_TIME_ASC` | 作成時刻の昇順。 |
| <a id="alertmanagementalertsortupdated_time_desc"></a>`UPDATED_TIME_DESC` | 作成時刻の降順。 |
| <a id="alertmanagementalertsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="alertmanagementalertsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="alertmanagementalertsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="alertmanagementalertsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `AlertManagementDomainFilter`

指定されたドメインに基づいてアラートをフィルタリングします。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementdomainfilteroperations"></a>`operations` | オペレーションドメインのアラート。 |
| <a id="alertmanagementdomainfilterthreat_monitoring"></a>`threat_monitoring` {{< icon name="warning-solid" >}} | GitLab 15.0で**非推奨**になりました。ネットワークポリシーは非推奨になっており、GitLab 16.0で削除されます。 |

### `AlertManagementIntegrationType`

インテグレーションのタイプの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementintegrationtypehttp"></a>`HTTP` | モニタリングツールとのインテグレーション。 |
| <a id="alertmanagementintegrationtypeprometheus"></a>`PROMETHEUS` | Prometheusインテグレーション。 |

### `AlertManagementPayloadAlertFieldName`

カスタムマッピングで使用されるアラートフィールド名の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementpayloadalertfieldnamedescription"></a>`DESCRIPTION` | 問題の概要。 |
| <a id="alertmanagementpayloadalertfieldnameend_time"></a>`END_TIME` | インシデントの解決時刻。 |
| <a id="alertmanagementpayloadalertfieldnamefingerprint"></a>`FINGERPRINT` | アラートの固有識別子。これを使うことにより、同じアラートの発生をまとめることができます。 |
| <a id="alertmanagementpayloadalertfieldnamegitlab_environment_name"></a>`GITLAB_ENVIRONMENT_NAME` | 関連付けられているGitLab環境の名前。 |
| <a id="alertmanagementpayloadalertfieldnamehosts"></a>`HOSTS` | インシデントが発生した1つ以上のホスト。 |
| <a id="alertmanagementpayloadalertfieldnamemonitoring_tool"></a>`MONITORING_TOOL` | 関連付けられているモニタリングツールの名前。 |
| <a id="alertmanagementpayloadalertfieldnameservice"></a>`SERVICE` | 影響を受けるサービス。 |
| <a id="alertmanagementpayloadalertfieldnameseverity"></a>`SEVERITY` | アラートの重大度。 |
| <a id="alertmanagementpayloadalertfieldnamestart_time"></a>`START_TIME` | インシデントの時刻。 |
| <a id="alertmanagementpayloadalertfieldnametitle"></a>`TITLE` | インシデントのタイトル。 |

### `AlertManagementPayloadAlertFieldType`

カスタムマッピングで使用されるアラートフィールド型の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementpayloadalertfieldtypearray"></a>`ARRAY` | 配列フィールド型。 |
| <a id="alertmanagementpayloadalertfieldtypedatetime"></a>`DATETIME` | DateTimeフィールド型。 |
| <a id="alertmanagementpayloadalertfieldtypenumber"></a>`NUMBER` | 数値フィールド型。 |
| <a id="alertmanagementpayloadalertfieldtypestring"></a>`STRING` | 文字列フィールド型。 |

### `AlertManagementSeverity`

アラートの重大度の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementseveritycritical"></a>`CRITICAL` | 致命的重大度。 |
| <a id="alertmanagementseverityhigh"></a>`HIGH` | 高重大度。 |
| <a id="alertmanagementseverityinfo"></a>`INFO` | 情報重大度。 |
| <a id="alertmanagementseveritylow"></a>`LOW` | 低重大度。 |
| <a id="alertmanagementseveritymedium"></a>`MEDIUM` | 中重大度。 |
| <a id="alertmanagementseverityunknown"></a>`UNKNOWN` | 不明重大度。 |

### `AlertManagementStatus`

アラートの状態の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="alertmanagementstatusacknowledged"></a>`ACKNOWLEDGED` | 誰かが積極的に問題を調査しています。 |
| <a id="alertmanagementstatusignored"></a>`IGNORED` | アクションは実行されません。 |
| <a id="alertmanagementstatusresolved"></a>`RESOLVED` | 問題は対処済みです。 |
| <a id="alertmanagementstatustriggered"></a>`TRIGGERED` | まだ調査が開始されていません。 |

### `AnalyticsAggregationPeriod`

| 値 | 説明 |
| ----- | ----------- |
| <a id="analyticsaggregationperiodday"></a>`DAY` | 毎日の集計。 |
| <a id="analyticsaggregationperiodmonth"></a>`MONTH` | 毎月の集計。 |
| <a id="analyticsaggregationperiodweek"></a>`WEEK` | 毎週の集計。 |

### `ApiFuzzingScanMode`

APIファジングスキャンのAPIサーフェスを指定するための可能なすべての方法。

| 値 | 説明 |
| ----- | ----------- |
| <a id="apifuzzingscanmodehar"></a>`HAR` | APIサーフェスをHARファイルによって指定します。 |
| <a id="apifuzzingscanmodeopenapi"></a>`OPENAPI` | APIサーフェスをOPENAPIファイルによって指定します。 |
| <a id="apifuzzingscanmodepostman"></a>`POSTMAN` | APIサーフェスをPOSTMANファイルによって指定します。 |

### `ApprovalReportType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="approvalreporttypeany_merge_request"></a>`ANY_MERGE_REQUEST` | any_merge_request関連の承認ルールのreport_typeを表します。 |
| <a id="approvalreporttypelicense_scanning"></a>`LICENSE_SCANNING` | ライセンススキャン関連の承認ルールのreport_typeを表します。 |
| <a id="approvalreporttypescan_finding"></a>`SCAN_FINDING` | 脆弱性チェック関連の承認ルールのreport_typeを表します。 |

### `ApprovalRuleType`

承認ルールの種類。

| 値 | 説明 |
| ----- | ----------- |
| <a id="approvalruletypeany_approver"></a>`ANY_APPROVER` | `any_approver`承認ルール。 |
| <a id="approvalruletypecode_owner"></a>`CODE_OWNER` | `code_owner`承認ルール。 |
| <a id="approvalruletyperegular"></a>`REGULAR` | `regular`承認ルール。 |
| <a id="approvalruletypereport_approver"></a>`REPORT_APPROVER` | `report_approver`承認ルール。 |

### `AssigneeWildcardId`

担当者IDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="assigneewildcardidany"></a>`ANY` | 担当者が割り当てられています。 |
| <a id="assigneewildcardidnone"></a>`NONE` | 担当者は割り当てられていません。 |

### `AutoStopSetting`

自動停止設定。

| 値 | 説明 |
| ----- | ----------- |
| <a id="autostopsettingalways"></a>`ALWAYS` | 常時。 |
| <a id="autostopsettingwith_action"></a>`WITH_ACTION` | アクションあり。 |

### `AvailabilityEnum`

ユーザーの可用性状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="availabilityenumbusy"></a>`BUSY` | ビジー。 |
| <a id="availabilityenumnot_set"></a>`NOT_SET` | 未設定。 |

### `AvailableExportFields`

CSVとしてエクスポートできるフィールド。

| 値 | 説明 |
| ----- | ----------- |
| <a id="availableexportfieldsauthor"></a>`AUTHOR` | 作成者の名前。 |
| <a id="availableexportfieldsauthor_username"></a>`AUTHOR_USERNAME` | 作成者のユーザー名。 |
| <a id="availableexportfieldscreated_at"></a>`CREATED_AT` | 作成日。 |
| <a id="availableexportfieldsdescription"></a>`DESCRIPTION` | 説明。 |
| <a id="availableexportfieldsid"></a>`ID` | 固有識別子。 |
| <a id="availableexportfieldstitle"></a>`TITLE` | タイトル。 |
| <a id="availableexportfieldstype"></a>`TYPE` | 作業アイテムのタイプ。 |

### `BlobViewersType`

blobビューアーのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="blobviewerstypeauxiliary"></a>`auxiliary` | 補助blobビューアータイプ。 |
| <a id="blobviewerstyperich"></a>`rich` | リッチblobビューアータイプ。 |
| <a id="blobviewerstypesimple"></a>`simple` | シンプルblobビューアータイプ。 |

### `CarStatus`

マージトレインの車両の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="carstatusfresh"></a>`FRESH` | 車両の状態: フレッシュ。 |
| <a id="carstatusidle"></a>`IDLE` | 車両の状態: アイドル。 |
| <a id="carstatusmerged"></a>`MERGED` | 車両の状態: マージ済み。 |
| <a id="carstatusmerging"></a>`MERGING` | 車両の状態: マージ中。 |
| <a id="carstatusskip_merged"></a>`SKIP_MERGED` | 車両の状態: skip_merged。 |
| <a id="carstatusstale"></a>`STALE` | 車両の状態: 停滞。 |

### `CiCatalogResourceComponentInputType`

利用可能なインプット型。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cicatalogresourcecomponentinputtypearray"></a>`ARRAY` | 配列インプット。 |
| <a id="cicatalogresourcecomponentinputtypeboolean"></a>`BOOLEAN` | ブール値インプット。 |
| <a id="cicatalogresourcecomponentinputtypenumber"></a>`NUMBER` | 数値インプット。 |
| <a id="cicatalogresourcecomponentinputtypestring"></a>`STRING` | 文字列インプット。 |

### `CiCatalogResourceScope`

範囲指定カタログリソースの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cicatalogresourcescopeall"></a>`ALL` | 現在のユーザーに表示されるすべてのカタログリソース。 |
| <a id="cicatalogresourcescopenamespaces"></a>`NAMESPACES` | ユーザーの承認済みネームスペースに属するカタログリソース。 |

### `CiCatalogResourceSort`

カタログリソースをソートする値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cicatalogresourcesortcreated_asc"></a>`CREATED_ASC` | 作成日の昇順。 |
| <a id="cicatalogresourcesortcreated_desc"></a>`CREATED_DESC` | 作成日の降順。 |
| <a id="cicatalogresourcesortlatest_released_at_asc"></a>`LATEST_RELEASED_AT_ASC` | 最終リリース日の昇順。 |
| <a id="cicatalogresourcesortlatest_released_at_desc"></a>`LATEST_RELEASED_AT_DESC` | 最終リリース日の降順。 |
| <a id="cicatalogresourcesortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="cicatalogresourcesortname_desc"></a>`NAME_DESC` | 名前の降順。 |
| <a id="cicatalogresourcesortstar_count_asc"></a>`STAR_COUNT_ASC` | 星の数の昇順。 |
| <a id="cicatalogresourcesortstar_count_desc"></a>`STAR_COUNT_DESC` | 星の数の降順。 |
| <a id="cicatalogresourcesortusage_count_asc"></a>`USAGE_COUNT_ASC` | 過去30日間の使用回数の昇順。 |
| <a id="cicatalogresourcesortusage_count_desc"></a>`USAGE_COUNT_DESC` | 過去30日間の使用回数の降順。 |

### `CiCatalogResourceVerificationLevel`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cicatalogresourceverificationlevelgitlab_maintained"></a>`GITLAB_MAINTAINED` | リソースはGitLabで保持されます。 |
| <a id="cicatalogresourceverificationlevelgitlab_partner_maintained"></a>`GITLAB_PARTNER_MAINTAINED` | リソースはGitLabパートナーによって保持されます。 |
| <a id="cicatalogresourceverificationlevelunverified"></a>`UNVERIFIED` | リソースは未検証です。 |
| <a id="cicatalogresourceverificationlevelverified_creator_maintained"></a>`VERIFIED_CREATOR_MAINTAINED` | リソースは検証済み作成者によって保持されます。 |

### `CiConfigIncludeType`

インクルードのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="ciconfigincludetypecomponent"></a>`component` | コンポーネントインクルード。 |
| <a id="ciconfigincludetypefile"></a>`file` | プロジェクトファイルのインクルード。 |
| <a id="ciconfigincludetypelocal"></a>`local` | ローカルインクルード。 |
| <a id="ciconfigincludetyperemote"></a>`remote` | リモートインクルード。 |
| <a id="ciconfigincludetypetemplate"></a>`template` | テンプレートインクルード。 |

### `CiConfigStatus`

YAMLプロセッサーの結果の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="ciconfigstatusinvalid"></a>`INVALID` | 設定ファイルが無効です。 |
| <a id="ciconfigstatusvalid"></a>`VALID` | 設定ファイルが有効です。 |

### `CiFreezePeriodStatus`

デプロイフリーズ期間の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cifreezeperiodstatusactive"></a>`ACTIVE` | フリーズ期間がアクティブです。 |
| <a id="cifreezeperiodstatusinactive"></a>`INACTIVE` | フリーズ期間が無効です。 |

### `CiGroupVariablesSort`

継承された変数をソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cigroupvariablessortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="cigroupvariablessortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="cigroupvariablessortkey_asc"></a>`KEY_ASC` | キーの昇順。 |
| <a id="cigroupvariablessortkey_desc"></a>`KEY_DESC` | キーの降順。 |

### `CiInputType`

利用可能なインプット型。

| 値 | 説明 |
| ----- | ----------- |
| <a id="ciinputtypearray"></a>`ARRAY` | 配列インプット。 |
| <a id="ciinputtypeboolean"></a>`BOOLEAN` | ブール値インプット。 |
| <a id="ciinputtypenumber"></a>`NUMBER` | 数値インプット。 |
| <a id="ciinputtypestring"></a>`STRING` | 文字列インプット。 |

### `CiJobFailureReason`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobfailurereasonapi_failure"></a>`API_FAILURE` | APIの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonarchived_failure"></a>`ARCHIVED_FAILURE` | アーカイブの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonbridge_pipeline_is_child_pipeline"></a>`BRIDGE_PIPELINE_IS_CHILD_PIPELINE` | ブリッジパイプラインが子パイプラインであるため失敗したジョブ。 |
| <a id="cijobfailurereasonbuilds_disabled"></a>`BUILDS_DISABLED` | ビルドが無効になっているため失敗したジョブ。 |
| <a id="cijobfailurereasonci_quota_exceeded"></a>`CI_QUOTA_EXCEEDED` | CIクォータ超過のため失敗したジョブ。 |
| <a id="cijobfailurereasondata_integrity_failure"></a>`DATA_INTEGRITY_FAILURE` | データ整合性の失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasondeployment_rejected"></a>`DEPLOYMENT_REJECTED` | デプロイ却下のため失敗したジョブ。 |
| <a id="cijobfailurereasondownstream_bridge_project_not_found"></a>`DOWNSTREAM_BRIDGE_PROJECT_NOT_FOUND` | ダウンストリームのブリッジプロジェクトが見つからないため失敗したジョブ。 |
| <a id="cijobfailurereasondownstream_pipeline_creation_failed"></a>`DOWNSTREAM_PIPELINE_CREATION_FAILED` | ダウンストリームパイプラインの作成に失敗したため失敗したジョブ。 |
| <a id="cijobfailurereasonenvironment_creation_failure"></a>`ENVIRONMENT_CREATION_FAILURE` | 環境作成の失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonfailed_outdated_deployment_job"></a>`FAILED_OUTDATED_DEPLOYMENT_JOB` | 期限切れデプロイジョブの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonforward_deployment_failure"></a>`FORWARD_DEPLOYMENT_FAILURE` | 転送デプロイの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasoninsufficient_bridge_permissions"></a>`INSUFFICIENT_BRIDGE_PERMISSIONS` | ブリッジの権限が不十分なため失敗したジョブ。 |
| <a id="cijobfailurereasoninsufficient_upstream_permissions"></a>`INSUFFICIENT_UPSTREAM_PERMISSIONS` | アップストリームの権限が不十分なため失敗したジョブ。 |
| <a id="cijobfailurereasoninvalid_bridge_trigger"></a>`INVALID_BRIDGE_TRIGGER` | 無効なブリッジトリガーのため失敗したジョブ。 |
| <a id="cijobfailurereasonip_restriction_failure"></a>`IP_RESTRICTION_FAILURE` | IP制限の失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonjob_execution_timeout"></a>`JOB_EXECUTION_TIMEOUT` | ジョブ実行のタイムアウトのため失敗したジョブ。 |
| <a id="cijobfailurereasonmissing_dependency_failure"></a>`MISSING_DEPENDENCY_FAILURE` | 依存関係が見つからない失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonno_matching_runner"></a>`NO_MATCHING_RUNNER` | 一致するRunnerがないため失敗したジョブ。 |
| <a id="cijobfailurereasonpipeline_loop_detected"></a>`PIPELINE_LOOP_DETECTED` | パイプラインのループが検出されたため失敗したジョブ。 |
| <a id="cijobfailurereasonproject_deleted"></a>`PROJECT_DELETED` | プロジェクトが削除されたため失敗したジョブ。 |
| <a id="cijobfailurereasonprotected_environment_failure"></a>`PROTECTED_ENVIRONMENT_FAILURE` | 保護環境の失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonreached_downstream_pipeline_trigger_rate_limit"></a>`REACHED_DOWNSTREAM_PIPELINE_TRIGGER_RATE_LIMIT` | ダウンストリームパイプラインのトリガーレート制限に達したため失敗したジョブ。 |
| <a id="cijobfailurereasonreached_max_descendant_pipelines_depth"></a>`REACHED_MAX_DESCENDANT_PIPELINES_DEPTH` | 最大子孫パイプラインの深さに達したため失敗したジョブ。 |
| <a id="cijobfailurereasonreached_max_pipeline_hierarchy_size"></a>`REACHED_MAX_PIPELINE_HIERARCHY_SIZE` | 最大パイプラインの階層サイズに達したため失敗したジョブ。 |
| <a id="cijobfailurereasonrunner_system_failure"></a>`RUNNER_SYSTEM_FAILURE` | Runnerシステムの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonrunner_unsupported"></a>`RUNNER_UNSUPPORTED` | Runnerがサポートされていないため失敗したジョブ。 |
| <a id="cijobfailurereasonscheduler_failure"></a>`SCHEDULER_FAILURE` | スケジューラーの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonscript_failure"></a>`SCRIPT_FAILURE` | スクリプトの失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonsecrets_provider_not_found"></a>`SECRETS_PROVIDER_NOT_FOUND` | シークレットプロバイダーが見つからないため失敗したジョブ。 |
| <a id="cijobfailurereasonstale_schedule"></a>`STALE_SCHEDULE` | スケジュールが古くなっているため失敗したジョブ。 |
| <a id="cijobfailurereasonstuck_or_timeout_failure"></a>`STUCK_OR_TIMEOUT_FAILURE` | 停滞またはタイムアウトによる失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasontrace_size_exceeded"></a>`TRACE_SIZE_EXCEEDED` | トレースサイズを超えたため失敗したジョブ。 |
| <a id="cijobfailurereasonunknown_failure"></a>`UNKNOWN_FAILURE` | 不明な失敗のため失敗したジョブ。 |
| <a id="cijobfailurereasonunmet_prerequisites"></a>`UNMET_PREREQUISITES` | 前提要件が満たされていないため失敗したジョブ。 |
| <a id="cijobfailurereasonupstream_bridge_project_not_found"></a>`UPSTREAM_BRIDGE_PROJECT_NOT_FOUND` | アップストリームブリッジプロジェクトが見つからないため失敗したジョブ。 |
| <a id="cijobfailurereasonuser_blocked"></a>`USER_BLOCKED` | ユーザーがブロックされているため失敗したジョブ。 |

### `CiJobKind`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobkindbridge"></a>`BRIDGE` | 親パイプラインと子パイプラインを接続するブリッジCIジョブ。 |
| <a id="cijobkindbuild"></a>`BUILD` | 標準のCIジョブ。 |

### `CiJobSource`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobsourceapi"></a>`API` | APIによって開始されたジョブ。 |
| <a id="cijobsourcechat"></a>`CHAT` | チャットによって開始されたジョブ。 |
| <a id="cijobsourcecontainer_registry_push"></a>`CONTAINER_REGISTRY_PUSH` | コンテナレジストリのプッシュによって開始されたジョブ。 |
| <a id="cijobsourceduo_workflow"></a>`DUO_WORKFLOW` | GitLab Duo Workflowによって開始されたジョブ。 |
| <a id="cijobsourceexternal"></a>`EXTERNAL` | 外部によって開始されたジョブ。 |
| <a id="cijobsourceexternal_pull_request_event"></a>`EXTERNAL_PULL_REQUEST_EVENT` | 外部プルリクエストイベントによって開始されたジョブ。 |
| <a id="cijobsourcemerge_request_event"></a>`MERGE_REQUEST_EVENT` | マージリクエストイベントによって開始されたジョブ。 |
| <a id="cijobsourceondemand_dast_scan"></a>`ONDEMAND_DAST_SCAN` | オンデマンドDASTスキャンによって開始されたジョブ。 |
| <a id="cijobsourceondemand_dast_validation"></a>`ONDEMAND_DAST_VALIDATION` | オンデマンドDAST検証によって開始されたジョブ。 |
| <a id="cijobsourceparent_pipeline"></a>`PARENT_PIPELINE` | 親パイプラインによって開始されたジョブ。 |
| <a id="cijobsourcepipeline"></a>`PIPELINE` | パイプラインによって開始されたジョブ。 |
| <a id="cijobsourcepipeline_execution_policy"></a>`PIPELINE_EXECUTION_POLICY` | パイプライン実行ポリシーによって開始されたジョブ。 |
| <a id="cijobsourcepipeline_execution_policy_schedule"></a>`PIPELINE_EXECUTION_POLICY_SCHEDULE` | パイプライン実行ポリシースケジュールによって開始されたジョブ。 |
| <a id="cijobsourcepush"></a>`PUSH` | プッシュによって開始されたジョブ。 |
| <a id="cijobsourcescan_execution_policy"></a>`SCAN_EXECUTION_POLICY` | スキャン実行ポリシーによって開始されたジョブ。 |
| <a id="cijobsourceschedule"></a>`SCHEDULE` | スケジュールによって開始されたジョブ。 |
| <a id="cijobsourcesecurity_orchestration_policy"></a>`SECURITY_ORCHESTRATION_POLICY` | セキュリティオーケストレーションポリシーによって開始されたジョブ。 |
| <a id="cijobsourcetrigger"></a>`TRIGGER` | トリガーによって開始されたジョブ。 |
| <a id="cijobsourceunknown"></a>`UNKNOWN` | 不明によって開始されたジョブ。 |
| <a id="cijobsourceweb"></a>`WEB` | Webによって開始されたジョブ。 |
| <a id="cijobsourcewebide"></a>`WEBIDE` | WebIDEによって開始されたジョブ。 |

### `CiJobStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobstatuscanceled"></a>`CANCELED` | キャンセルされたジョブ。 |
| <a id="cijobstatuscanceling"></a>`CANCELING` | キャンセル中のジョブ。 |
| <a id="cijobstatuscreated"></a>`CREATED` | 作成されたジョブ。 |
| <a id="cijobstatusfailed"></a>`FAILED` | 失敗したジョブ。 |
| <a id="cijobstatusmanual"></a>`MANUAL` | 手動ジョブ。 |
| <a id="cijobstatuspending"></a>`PENDING` | 保留中のジョブ。 |
| <a id="cijobstatuspreparing"></a>`PREPARING` | 準備中のジョブ。 |
| <a id="cijobstatusrunning"></a>`RUNNING` | 実行中のジョブ。 |
| <a id="cijobstatusscheduled"></a>`SCHEDULED` | スケジュールされているジョブ。 |
| <a id="cijobstatusskipped"></a>`SKIPPED` | スキップされたジョブ。 |
| <a id="cijobstatussuccess"></a>`SUCCESS` | 成功したジョブ。 |
| <a id="cijobstatuswaiting_for_callback"></a>`WAITING_FOR_CALLBACK` | コールバック待機中のジョブ。 |
| <a id="cijobstatuswaiting_for_resource"></a>`WAITING_FOR_RESOURCE` | リソース待機中のジョブ。 |

### `CiJobTokenScopeDirection`

アクセスの方向。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobtokenscopedirectioninbound"></a>`INBOUND` | 受信許可リストに含まれるターゲットプロジェクトは、そのジョブトークンを通じてスコーププロジェクトにアクセスできます。 |
| <a id="cijobtokenscopedirectionoutbound"></a>`OUTBOUND` | ジョブトークンスコーププロジェクトは、送信許可リストに含まれるターゲットプロジェクトにアクセスできます。 |

### `CiJobTokenScopePolicies`

CI_JOB_TOKEN ポリシー。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cijobtokenscopepoliciesadmin_containers"></a>`ADMIN_CONTAINERS` | 管理者、コンテナ。 |
| <a id="cijobtokenscopepoliciesadmin_deployments"></a>`ADMIN_DEPLOYMENTS` | 管理者、デプロイ。 |
| <a id="cijobtokenscopepoliciesadmin_environments"></a>`ADMIN_ENVIRONMENTS` | 管理者、環境。 |
| <a id="cijobtokenscopepoliciesadmin_jobs"></a>`ADMIN_JOBS` | 管理者、ジョブ。 |
| <a id="cijobtokenscopepoliciesadmin_packages"></a>`ADMIN_PACKAGES` | 管理者、パッケージ。 |
| <a id="cijobtokenscopepoliciesadmin_releases"></a>`ADMIN_RELEASES` | 管理者、リリース。 |
| <a id="cijobtokenscopepoliciesadmin_secure_files"></a>`ADMIN_SECURE_FILES` | 管理者、セキュアファイル。 |
| <a id="cijobtokenscopepoliciesadmin_terraform_state"></a>`ADMIN_TERRAFORM_STATE` | 管理者、Terraform状態。 |
| <a id="cijobtokenscopepoliciesread_containers"></a>`READ_CONTAINERS` | 読み取り、コンテナ。 |
| <a id="cijobtokenscopepoliciesread_deployments"></a>`READ_DEPLOYMENTS` | 読み取り、デプロイ。 |
| <a id="cijobtokenscopepoliciesread_environments"></a>`READ_ENVIRONMENTS` | 読み取り、環境。 |
| <a id="cijobtokenscopepoliciesread_jobs"></a>`READ_JOBS` | 読み取り、ジョブ。 |
| <a id="cijobtokenscopepoliciesread_packages"></a>`READ_PACKAGES` | 読み取り、パッケージ。 |
| <a id="cijobtokenscopepoliciesread_releases"></a>`READ_RELEASES` | 読み取り、リリース。 |
| <a id="cijobtokenscopepoliciesread_secure_files"></a>`READ_SECURE_FILES` | 読み取り、セキュアファイル。 |
| <a id="cijobtokenscopepoliciesread_terraform_state"></a>`READ_TERRAFORM_STATE` | 読み取り、Terraform状態。 |

### `CiPipelineCreationStatus`

パイプライン作成の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cipipelinecreationstatusfailed"></a>`FAILED` | パイプラインの作成に失敗しました。 |
| <a id="cipipelinecreationstatusin_progress"></a>`IN_PROGRESS` | パイプラインの作成が進行中です。 |
| <a id="cipipelinecreationstatussucceeded"></a>`SUCCEEDED` | パイプラインの作成に成功しました。 |

### `CiPipelineSources`

CIパイプラインのソースenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cipipelinesourcesapi"></a>`API` | APIイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourceschat"></a>`CHAT` | チャットイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcescontainer_registry_push"></a>`CONTAINER_REGISTRY_PUSH` | コンテナレジストリのプッシュイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesduo_workflow"></a>`DUO_WORKFLOW` | GitLab Duo Workflowイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesexternal"></a>`EXTERNAL` | 外部イベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesexternal_pull_request_event"></a>`EXTERNAL_PULL_REQUEST_EVENT` | 外部プルリクエストイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesmerge_request_event"></a>`MERGE_REQUEST_EVENT` | マージリクエストイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesondemand_dast_scan"></a>`ONDEMAND_DAST_SCAN` | オンデマンドDASTスキャンイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesondemand_dast_validation"></a>`ONDEMAND_DAST_VALIDATION` | オンデマンドDAST検証イベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesparent_pipeline"></a>`PARENT_PIPELINE` | 親パイプラインイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcespipeline"></a>`PIPELINE` | パイプラインイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcespipeline_execution_policy_schedule"></a>`PIPELINE_EXECUTION_POLICY_SCHEDULE` | パイプライン実行ポリシーのスケジュールイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcespush"></a>`PUSH` | プッシュイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesschedule"></a>`SCHEDULE` | スケジュールイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcessecurity_orchestration_policy"></a>`SECURITY_ORCHESTRATION_POLICY` | セキュリティオーケストレーションポリシーイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcestrigger"></a>`TRIGGER` | トリガーイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesunknown"></a>`UNKNOWN` | 不明なイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourcesweb"></a>`WEB` | Webイベントによって作成されたパイプライン。 |
| <a id="cipipelinesourceswebide"></a>`WEBIDE` | WebIDEイベントによって作成されたパイプライン。 |

### `CiRunnerAccessLevel`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunneraccesslevelnot_protected"></a>`NOT_PROTECTED` | 保護されていないRunner。 |
| <a id="cirunneraccesslevelref_protected"></a>`REF_PROTECTED` | refが保護されているRunner。 |

### `CiRunnerCloudProvider`

Runnerクラウドプロバイダー。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnercloudprovidergke"></a>`GKE` | Google Kubernetes Engine。 |
| <a id="cirunnercloudprovidergoogle_cloud"></a>`GOOGLE_CLOUD` | Google Cloud。 |

### `CiRunnerCreationMethod`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnercreationmethodauthenticated_user"></a>`AUTHENTICATED_USER` | 認証済みユーザーによって作成されたRunnerに適用されます。 |
| <a id="cirunnercreationmethodregistration_token"></a>`REGISTRATION_TOKEN` | Runner登録トークンによって作成されたRunnerに適用されます。 |

### `CiRunnerJobExecutionStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnerjobexecutionstatusactive"></a>`ACTIVE` {{< icon name="warning-solid" >}} | GitLab 17.2で**導入**。**状態**: 実験。Runnerはビジー状態です。 |
| <a id="cirunnerjobexecutionstatusidle"></a>`IDLE` {{< icon name="warning-solid" >}} | GitLab 15.7で**導入**。**状態**: 実験。Runnerはアイドル状態です。 |

### `CiRunnerMembershipFilter`

ネームスペース内のRunnerをフィルタリングするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnermembershipfilterall_available"></a>`ALL_AVAILABLE` {{< icon name="warning-solid" >}} | GitLab 15.5で**導入**。**状態**: 実験。すべてのRunnerを含めます。このリストには、グループとサブグループ内のすべてのプロジェクトのRunner、および親グループとインスタンスのRunnerが含まれます。 |
| <a id="cirunnermembershipfilterdescendants"></a>`DESCENDANTS` | 直接的または継承された関係のあるRunnerを含めます。これらのRunnerは、プロジェクトまたはグループに固有の可能性があります。 |
| <a id="cirunnermembershipfilterdirect"></a>`DIRECT` | 直接的な関係のあるRunnerを含めます。 |

### `CiRunnerOwnerWildcard`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnerownerwildcardadministrators"></a>`ADMINISTRATORS` | 管理者の所有するRunnerをフィルタリングします。 |

### `CiRunnerSort`

Runnerをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnersortcontacted_asc"></a>`CONTACTED_ASC` | contacted_atの昇順に並べ替え。 |
| <a id="cirunnersortcontacted_desc"></a>`CONTACTED_DESC` | contacted_atの降順に並べ替え。 |
| <a id="cirunnersortcreated_asc"></a>`CREATED_ASC` | created_atの昇順に並べ替え。 |
| <a id="cirunnersortcreated_desc"></a>`CREATED_DESC` | created_atの降順に並べ替え。 |
| <a id="cirunnersortmost_active_desc"></a>`MOST_ACTIVE_DESC` {{< icon name="warning-solid" >}} | GitLab 16.2で**導入**。**状態**: 実験。実行中のジョブ数の降順に並べ替え（Ultimateプランでのみ利用可能）。 |
| <a id="cirunnersorttoken_expires_at_asc"></a>`TOKEN_EXPIRES_AT_ASC` | token_expires_atの昇順に並べ替え。 |
| <a id="cirunnersorttoken_expires_at_desc"></a>`TOKEN_EXPIRES_AT_DESC` | token_expires_atの降順に並べ替え。 |

### `CiRunnerStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnerstatusnever_contacted"></a>`NEVER_CONTACTED` | インスタンスに接続したことがないRunner。 |
| <a id="cirunnerstatusoffline"></a>`OFFLINE` | 過去2時間以内にこのインスタンスに接続していないRunner。7日を超えてオフラインの場合、`STALE`と見なされます。 |
| <a id="cirunnerstatusonline"></a>`ONLINE` | 過去2時間以内にこのインスタンスに接続したRunner。 |
| <a id="cirunnerstatusstale"></a>`STALE` | 過去7日以内にこのインスタンスに接続していないRunner。 |

### `CiRunnerType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnertypegroup_type"></a>`GROUP_TYPE` | グループタイプのRunner。 |
| <a id="cirunnertypeinstance_type"></a>`INSTANCE_TYPE` | インスタンスタイプのRunner。 |
| <a id="cirunnertypeproject_type"></a>`PROJECT_TYPE` | プロジェクトタイプのRunner。 |

### `CiRunnerUpgradeStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="cirunnerupgradestatusavailable"></a>`AVAILABLE` | Runnerのアップグレードが利用可能です。 |
| <a id="cirunnerupgradestatusinvalid"></a>`INVALID` | Runnerのバージョンが無効です。 |
| <a id="cirunnerupgradestatusnot_available"></a>`NOT_AVAILABLE` | Runnerのアップグレードは利用できません。 |
| <a id="cirunnerupgradestatusrecommended"></a>`RECOMMENDED` | Runnerのアップグレードが利用可能であり、推奨されています。 |

### `CiVariableSort`

変数をソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="civariablesortkey_asc"></a>`KEY_ASC` | キーの昇順にソートされます。 |
| <a id="civariablesortkey_desc"></a>`KEY_DESC` | キーの降順にソートされます。 |

### `CiVariableType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="civariabletypeenv_var"></a>`ENV_VAR` | 環境変数タイプ。 |
| <a id="civariabletypefile"></a>`FILE` | ファイルタイプ。 |

### `CodeFlowNodeType`

コードフローノードタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="codeflownodetypepropagation"></a>`PROPAGATION` | 伝播ノード。 |
| <a id="codeflownodetypesink"></a>`SINK` | シンクノード。 |
| <a id="codeflownodetypesource"></a>`SOURCE` | ソースノード。 |

### `CodeQualityDegradationSeverity`

| 値 | 説明 |
| ----- | ----------- |
| <a id="codequalitydegradationseverityblocker"></a>`BLOCKER` | Code Qualityの劣化の状態はブロッカーです。 |
| <a id="codequalitydegradationseveritycritical"></a>`CRITICAL` | Code Qualityの劣化の状態は重大です。 |
| <a id="codequalitydegradationseverityinfo"></a>`INFO` | Code Qualityの劣化の状態は情報です。 |
| <a id="codequalitydegradationseveritymajor"></a>`MAJOR` | Code Qualityの劣化の状態は高です。 |
| <a id="codequalitydegradationseverityminor"></a>`MINOR` | Code Qualityの劣化の状態は低です。 |
| <a id="codequalitydegradationseverityunknown"></a>`UNKNOWN` | Code Qualityの劣化の状態は不明です。 |

### `CodequalityReportsComparerReportGenerationStatus`

比較対象のコード品質レポートの生成状態を表します。

| 値 | 説明 |
| ----- | ----------- |
| <a id="codequalityreportscomparerreportgenerationstatuserror"></a>`ERROR` | レポートの生成中にエラーが発生しました。 |
| <a id="codequalityreportscomparerreportgenerationstatusparsed"></a>`PARSED` | レポートが生成されました。 |
| <a id="codequalityreportscomparerreportgenerationstatusparsing"></a>`PARSING` | レポートを生成中です。 |

### `CodequalityReportsComparerStatus`

コード品質レポートの状態を表します。

| 値 | 説明 |
| ----- | ----------- |
| <a id="codequalityreportscomparerstatusfailed"></a>`FAILED` | レポートが生成され、コード品質の新たな劣化があります。 |
| <a id="codequalityreportscomparerstatusnot_found"></a>`NOT_FOUND` | ヘッドレポートもベースレポートも見つかりません。 |
| <a id="codequalityreportscomparerstatussuccess"></a>`SUCCESS` | ヘッドパイプラインレポートの中に劣化が見つかりませんでした。 |

### `CommitActionMode`

コミットアクションのモード。

| 値 | 説明 |
| ----- | ----------- |
| <a id="commitactionmodechmod"></a>`CHMOD` | chmodコマンド。 |
| <a id="commitactionmodecreate"></a>`CREATE` | 作成コマンド。 |
| <a id="commitactionmodedelete"></a>`DELETE` | 削除コマンド。 |
| <a id="commitactionmodemove"></a>`MOVE` | 移動コマンド。 |
| <a id="commitactionmodeupdate"></a>`UPDATE` | 更新コマンド。 |

### `CommitEncoding`

| 値 | 説明 |
| ----- | ----------- |
| <a id="commitencodingbase64"></a>`BASE64` | Base64エンコード。 |
| <a id="commitencodingtext"></a>`TEXT` | テキストエンコード。 |

### `ComparableSecurityReportType`

比較できるセキュリティレポートタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="comparablesecurityreporttypeapi_fuzzing"></a>`API_FUZZING` | APIファジングレポート。 |
| <a id="comparablesecurityreporttypecontainer_scanning"></a>`CONTAINER_SCANNING` | コンテナスキャンレポート。 |
| <a id="comparablesecurityreporttypecoverage_fuzzing"></a>`COVERAGE_FUZZING` | カバレッジファジングレポート。 |
| <a id="comparablesecurityreporttypedast"></a>`DAST` | DASTレポート。 |
| <a id="comparablesecurityreporttypedependency_scanning"></a>`DEPENDENCY_SCANNING` | 依存関係スキャンレポート |
| <a id="comparablesecurityreporttypesast"></a>`SAST` | SASTレポート。 |
| <a id="comparablesecurityreporttypesecret_detection"></a>`SECRET_DETECTION` | シークレット検出レポート。 |

### `ComplianceFrameworkPresenceFilter`

フィルタリングのためのプロジェクトのComplianceFramework。

| 値 | 説明 |
| ----- | ----------- |
| <a id="complianceframeworkpresencefilterany"></a>`ANY` | 何らかのコンプライアンスフレームワークが割り当てられています。 |
| <a id="complianceframeworkpresencefilternone"></a>`NONE` | コンプライアンスフレームワークは割り当てられていません。 |

### `ComplianceStandardsAdherenceCheckName`

コンプライアンス規格のチェックの名前。

| 値 | 説明 |
| ----- | ----------- |
| <a id="compliancestandardsadherencechecknameat_least_one_non_author_approval"></a>`AT_LEAST_ONE_NON_AUTHOR_APPROVAL` | 作成者以外の少なくとも1人による承認。 |
| <a id="compliancestandardsadherencechecknameat_least_two_approvals"></a>`AT_LEAST_TWO_APPROVALS` | 少なくとも2件の承認。 |
| <a id="compliancestandardsadherencechecknamedast"></a>`DAST` | DAST。 |
| <a id="compliancestandardsadherencechecknameprevent_approval_by_merge_request_author"></a>`PREVENT_APPROVAL_BY_MERGE_REQUEST_AUTHOR` | マージリクエストの作成者による承認を禁止します。 |
| <a id="compliancestandardsadherencechecknameprevent_approval_by_merge_request_committers"></a>`PREVENT_APPROVAL_BY_MERGE_REQUEST_COMMITTERS` | マージリクエストのコミッターによる承認を禁止します。 |
| <a id="compliancestandardsadherencechecknamesast"></a>`SAST` | SAST。 |

### `ComplianceStandardsAdherenceStandard`

コンプライアンス規格の名前。

| 値 | 説明 |
| ----- | ----------- |
| <a id="compliancestandardsadherencestandardgitlab"></a>`GITLAB` | GitLab。 |
| <a id="compliancestandardsadherencestandardsoc2"></a>`SOC2` | Soc2。 |

### `ComplianceStandardsAdherenceStatus`

コンプライアンス規格準拠の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="compliancestandardsadherencestatusfail"></a>`FAIL` | 失敗。 |
| <a id="compliancestandardsadherencestatussuccess"></a>`SUCCESS` | 成功。 |

### `ComplianceViolationReason`

コンプライアンス違反の理由。

| 値 | 説明 |
| ----- | ----------- |
| <a id="complianceviolationreasonapproved_by_committer"></a>`APPROVED_BY_COMMITTER` | コミッターによって承認されました。 |
| <a id="complianceviolationreasonapproved_by_insufficient_users"></a>`APPROVED_BY_INSUFFICIENT_USERS` | 承認したユーザー数が不十分です。 |
| <a id="complianceviolationreasonapproved_by_merge_request_author"></a>`APPROVED_BY_MERGE_REQUEST_AUTHOR` | マージリクエストの作成者によって承認されました。 |

### `ComplianceViolationSeverity`

コンプライアンス違反の重大度。

| 値 | 説明 |
| ----- | ----------- |
| <a id="complianceviolationseveritycritical"></a>`CRITICAL` | 致命的重大度。 |
| <a id="complianceviolationseverityhigh"></a>`HIGH` | 高重大度。 |
| <a id="complianceviolationseverityinfo"></a>`INFO` | 情報重大度。 |
| <a id="complianceviolationseveritylow"></a>`LOW` | 低重大度。 |
| <a id="complianceviolationseveritymedium"></a>`MEDIUM` | 中重大度。 |

### `ComplianceViolationSort`

コンプライアンス違反のソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="complianceviolationsortmerged_at_asc"></a>`MERGED_AT_ASC` | マージされた日付の昇順に、そしてIDの昇順にソートされます。 |
| <a id="complianceviolationsortmerged_at_desc"></a>`MERGED_AT_DESC` | マージされた日付の降順に、そしてIDの降順にソートされます。 |
| <a id="complianceviolationsortmerge_request_title_asc"></a>`MERGE_REQUEST_TITLE_ASC` | マージリクエストのタイトルの昇順に、そしてIDの昇順にソートされます。 |
| <a id="complianceviolationsortmerge_request_title_desc"></a>`MERGE_REQUEST_TITLE_DESC` | マージリクエストのタイトルの降順に、そしてIDの降順にソートされます。 |
| <a id="complianceviolationsortseverity_level_asc"></a>`SEVERITY_LEVEL_ASC` | 重大度の昇順に、そしてIDの昇順にソートされます。 |
| <a id="complianceviolationsortseverity_level_desc"></a>`SEVERITY_LEVEL_DESC` | 重大度の降順に、そしてIDの降順にソートされます。 |
| <a id="complianceviolationsortviolation_reason_asc"></a>`VIOLATION_REASON_ASC` | 違反理由の昇順に、そしてIDの昇順にソートされます。 |
| <a id="complianceviolationsortviolation_reason_desc"></a>`VIOLATION_REASON_DESC` | 違反理由の降順に、そしてIDの降順にソートされます。 |

### `ConanMetadatumFileTypeEnum`

Conanファイルタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="conanmetadatumfiletypeenumpackage_file"></a>`PACKAGE_FILE` | パッケージファイルタイプ。 |
| <a id="conanmetadatumfiletypeenumrecipe_file"></a>`RECIPE_FILE` | レシピファイルタイプ。 |

### `ContactSort`

連絡先をソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="contactsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="contactsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="contactsortdescription_asc"></a>`DESCRIPTION_ASC` | 説明の昇順。 |
| <a id="contactsortdescription_desc"></a>`DESCRIPTION_DESC` | 説明の降順。 |
| <a id="contactsortemail_asc"></a>`EMAIL_ASC` | メールの昇順。 |
| <a id="contactsortemail_desc"></a>`EMAIL_DESC` | メールの降順。 |
| <a id="contactsortfirst_name_asc"></a>`FIRST_NAME_ASC` | 名の昇順。 |
| <a id="contactsortfirst_name_desc"></a>`FIRST_NAME_DESC` | 名の降順。 |
| <a id="contactsortlast_name_asc"></a>`LAST_NAME_ASC` | 姓の昇順。 |
| <a id="contactsortlast_name_desc"></a>`LAST_NAME_DESC` | 姓の降順。 |
| <a id="contactsortorganization_asc"></a>`ORGANIZATION_ASC` | 組織の昇順。 |
| <a id="contactsortorganization_desc"></a>`ORGANIZATION_DESC` | 組織の降順。 |
| <a id="contactsortphone_asc"></a>`PHONE_ASC` | 電話の昇順。 |
| <a id="contactsortphone_desc"></a>`PHONE_DESC` | 電話の降順。 |
| <a id="contactsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="contactsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="contactsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="contactsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="contactsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="contactsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `ContainerExpirationPolicyCadenceEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerexpirationpolicycadenceenumevery_day"></a>`EVERY_DAY` | 毎日。 |
| <a id="containerexpirationpolicycadenceenumevery_month"></a>`EVERY_MONTH` | 毎月。 |
| <a id="containerexpirationpolicycadenceenumevery_three_months"></a>`EVERY_THREE_MONTHS` | 3か月ごと。 |
| <a id="containerexpirationpolicycadenceenumevery_two_weeks"></a>`EVERY_TWO_WEEKS` | 2週間ごと。 |
| <a id="containerexpirationpolicycadenceenumevery_week"></a>`EVERY_WEEK` | 毎週。 |

### `ContainerExpirationPolicyKeepEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerexpirationpolicykeepenumfifty_tags"></a>`FIFTY_TAGS` | イメージ名ごとに50個のタグ。 |
| <a id="containerexpirationpolicykeepenumfive_tags"></a>`FIVE_TAGS` | イメージ名ごとに5個のタグ。 |
| <a id="containerexpirationpolicykeepenumone_hundred_tags"></a>`ONE_HUNDRED_TAGS` | イメージ名ごとに100個のタグ。 |
| <a id="containerexpirationpolicykeepenumone_tag"></a>`ONE_TAG` | イメージ名ごとに1つのタグ |
| <a id="containerexpirationpolicykeepenumten_tags"></a>`TEN_TAGS` | イメージ名ごとに10個のタグ。 |
| <a id="containerexpirationpolicykeepenumtwenty_five_tags"></a>`TWENTY_FIVE_TAGS` | イメージ名ごとに25個のタグ。 |

### `ContainerExpirationPolicyOlderThanEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerexpirationpolicyolderthanenumfourteen_days"></a>`FOURTEEN_DAYS` | 14日間経過後にタグを自動削除。 |
| <a id="containerexpirationpolicyolderthanenumninety_days"></a>`NINETY_DAYS` | 90日間経過後にタグを自動削除。 |
| <a id="containerexpirationpolicyolderthanenumseven_days"></a>`SEVEN_DAYS` | 7日間経過後にタグを自動削除。 |
| <a id="containerexpirationpolicyolderthanenumsixty_days"></a>`SIXTY_DAYS` | 60日間経過後にタグを自動削除。 |
| <a id="containerexpirationpolicyolderthanenumthirty_days"></a>`THIRTY_DAYS` | 30日間経過後にタグを自動削除。 |

### `ContainerProtectionRepositoryRuleAccessLevel`

コンテナリポジトリ保護ルールリソースのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerprotectionrepositoryruleaccessleveladmin"></a>`ADMIN` | 管理者アクセス。 |
| <a id="containerprotectionrepositoryruleaccesslevelmaintainer"></a>`MAINTAINER` | メンテナーアクセス。 |
| <a id="containerprotectionrepositoryruleaccesslevelowner"></a>`OWNER` | オーナーアクセス。 |

### `ContainerProtectionTagRuleAccessLevel`

コンテナレジストリタグ保護ルールリソースのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerprotectiontagruleaccessleveladmin"></a>`ADMIN` {{< icon name="warning-solid" >}} | GitLab 17.8で**導入**。**状態**: 実験。管理者アクセス。 |
| <a id="containerprotectiontagruleaccesslevelmaintainer"></a>`MAINTAINER` {{< icon name="warning-solid" >}} | GitLab 17.8で**導入**。**状態**: 実験。メンテナーアクセス。 |
| <a id="containerprotectiontagruleaccesslevelowner"></a>`OWNER` {{< icon name="warning-solid" >}} | GitLab 17.8で**導入**。**状態**: 実験。オーナーアクセス。 |

### `ContainerRepositoryCleanupStatus`

コンテナリポジトリのタグクリーンアップの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerrepositorycleanupstatusongoing"></a>`ONGOING` | タグのクリーンアップが進行中です。 |
| <a id="containerrepositorycleanupstatusscheduled"></a>`SCHEDULED` | タグのクリーンアップがスケジュールされており、まもなく実行されます。 |
| <a id="containerrepositorycleanupstatusunfinished"></a>`UNFINISHED` | タグのクリーンアップが部分的に実行されました。削除するタグがまだ残っています。 |
| <a id="containerrepositorycleanupstatusunscheduled"></a>`UNSCHEDULED` | タグのクリーンアップはスケジュールされていません。これがデフォルトの状態です。 |

### `ContainerRepositorySort`

コンテナリポジトリをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerrepositorysortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="containerrepositorysortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="containerrepositorysortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="containerrepositorysortname_desc"></a>`NAME_DESC` | 名前の降順。 |
| <a id="containerrepositorysortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="containerrepositorysortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="containerrepositorysortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="containerrepositorysortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="containerrepositorysortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="containerrepositorysortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `ContainerRepositoryStatus`

コンテナリポジトリの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerrepositorystatusdelete_failed"></a>`DELETE_FAILED` | 削除失敗の状態。 |
| <a id="containerrepositorystatusdelete_ongoing"></a>`DELETE_ONGOING` | 削除進行中の状態。 |
| <a id="containerrepositorystatusdelete_scheduled"></a>`DELETE_SCHEDULED` | 削除スケジュール済みの状態。 |

### `ContainerRepositoryTagSort`

タグをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="containerrepositorytagsortname_asc"></a>`NAME_ASC` | 名前の昇順に並べ替え。 |
| <a id="containerrepositorytagsortname_desc"></a>`NAME_DESC` | 名前の降順に並べ替え。 |
| <a id="containerrepositorytagsortpublished_at_asc"></a>`PUBLISHED_AT_ASC` | published_atの昇順に並べ替え。GitLab.comでのみ利用可能。 |
| <a id="containerrepositorytagsortpublished_at_desc"></a>`PUBLISHED_AT_DESC` | published_atの降順に並べ替え。GitLab.comでのみ利用可能。 |

### `CustomFieldType`

カスタムフィールドの型。

| 値 | 説明 |
| ----- | ----------- |
| <a id="customfieldtypemulti_select"></a>`MULTI_SELECT` | 複数選択フィールド型。 |
| <a id="customfieldtypenumber"></a>`NUMBER` | 数値フィールド型。 |
| <a id="customfieldtypesingle_select"></a>`SINGLE_SELECT` | 単一選択フィールド型。 |
| <a id="customfieldtypetext"></a>`TEXT` | テキストフィールド型。 |

### `CustomerRelationsContactState`

| 値 | 説明 |
| ----- | ----------- |
| <a id="customerrelationscontactstateactive"></a>`active` | アクティブな連絡先。 |
| <a id="customerrelationscontactstateall"></a>`all` | 利用可能なすべての連絡先。 |
| <a id="customerrelationscontactstateinactive"></a>`inactive` | 無効な連絡先。 |

### `CustomerRelationsOrganizationState`

| 値 | 説明 |
| ----- | ----------- |
| <a id="customerrelationsorganizationstateactive"></a>`active` | アクティブな組織。 |
| <a id="customerrelationsorganizationstateall"></a>`all` | 利用可能なすべての組織。 |
| <a id="customerrelationsorganizationstateinactive"></a>`inactive` | 無効な組織。 |

### `CustomizableDashboardCategory`

カスタマイズ可能なダッシュボードのカテゴリ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="customizabledashboardcategoryanalytics"></a>`ANALYTICS` | カスタマイズ可能なダッシュボードの分析カテゴリ。 |

### `CvssSeverity`

CVSS重大度の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="cvssseveritycritical"></a>`CRITICAL` | 致命的重大度。 |
| <a id="cvssseverityhigh"></a>`HIGH` | 高重大度。 |
| <a id="cvssseveritylow"></a>`LOW` | 低重大度。 |
| <a id="cvssseveritymedium"></a>`MEDIUM` | 中重大度。 |
| <a id="cvssseveritynone"></a>`NONE` | 脆弱性ではありません。 |

### `DastPreScanVerificationCheckType`

プリスキャン検証ステップのチェックタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastprescanverificationchecktypeauthentication"></a>`AUTHENTICATION` | 認証チェック。 |
| <a id="dastprescanverificationchecktypeconnection"></a>`CONNECTION` | 接続チェック。 |
| <a id="dastprescanverificationchecktypecrawling"></a>`CRAWLING` | クロールチェック。 |

### `DastPreScanVerificationStatus`

DASTプリスキャン検証の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastprescanverificationstatuscomplete"></a>`COMPLETE` | プリスキャン検証がエラーなしで完了しました。 |
| <a id="dastprescanverificationstatuscomplete_with_errors"></a>`COMPLETE_WITH_ERRORS` | プリスキャン検証が完了し、1つ以上のエラーがありました。 |
| <a id="dastprescanverificationstatusfailed"></a>`FAILED` | プリスキャン検証を完了できませんでした。 |
| <a id="dastprescanverificationstatusrunning"></a>`RUNNING` | プリスキャン検証を実行中です。 |

### `DastProfileCadenceUnit`

DASTプロファイルケイデンスの期間の単位。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastprofilecadenceunitday"></a>`DAY` | DASTプロファイルケイデンスの期間（日）。 |
| <a id="dastprofilecadenceunitmonth"></a>`MONTH` | DASTプロファイルケイデンスの期間（月）。 |
| <a id="dastprofilecadenceunitweek"></a>`WEEK` | DASTプロファイルケイデンスの期間（週）。 |
| <a id="dastprofilecadenceunityear"></a>`YEAR` | DASTプロファイルケイデンスの期間（年）。 |

### `DastScanMethodType`

スキャナーで使用するスキャン方式。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastscanmethodtypegraphql"></a>`GRAPHQL` | GraphQLスキャン方式。 |
| <a id="dastscanmethodtypehar"></a>`HAR` | HARスキャン方式。 |
| <a id="dastscanmethodtypeopenapi"></a>`OPENAPI` | OpenAPIスキャン方式。 |
| <a id="dastscanmethodtypepostman_collection"></a>`POSTMAN_COLLECTION` | Postmanスキャン方式。 |
| <a id="dastscanmethodtypewebsite"></a>`WEBSITE` | ウェブサイトスキャン方式。 |

### `DastScanTypeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastscantypeenumactive"></a>`ACTIVE` | アクティブDASTスキャン。このスキャンは、対象サイトに対してアクティブな攻撃をします。 |
| <a id="dastscantypeenumpassive"></a>`PASSIVE` | パッシブDASTスキャン。このスキャンは、対象サイトに対してアクティブな攻撃をしません。 |

### `DastSiteProfileValidationStatusEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastsiteprofilevalidationstatusenumfailed_validation"></a>`FAILED_VALIDATION` | サイト検証プロセスは完了しましたが、失敗しました。 |
| <a id="dastsiteprofilevalidationstatusenuminprogress_validation"></a>`INPROGRESS_VALIDATION` | サイト検証プロセスが進行中です。 |
| <a id="dastsiteprofilevalidationstatusenumnone"></a>`NONE` | サイト検証が存在しません。 |
| <a id="dastsiteprofilevalidationstatusenumpassed_validation"></a>`PASSED_VALIDATION` | サイト検証プロセスが正常に完了しました。 |
| <a id="dastsiteprofilevalidationstatusenumpending_validation"></a>`PENDING_VALIDATION` | サイト検証プロセスが開始されていません。 |

### `DastSiteValidationStatusEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastsitevalidationstatusenumfailed_validation"></a>`FAILED_VALIDATION` | サイト検証プロセスは完了しましたが、失敗しました。 |
| <a id="dastsitevalidationstatusenuminprogress_validation"></a>`INPROGRESS_VALIDATION` | サイト検証プロセスが進行中です。 |
| <a id="dastsitevalidationstatusenumpassed_validation"></a>`PASSED_VALIDATION` | サイト検証プロセスが正常に完了しました。 |
| <a id="dastsitevalidationstatusenumpending_validation"></a>`PENDING_VALIDATION` | サイト検証プロセスが開始されていません。 |

### `DastSiteValidationStrategyEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dastsitevalidationstrategyenumheader"></a>`HEADER` | ヘッダー検証。 |
| <a id="dastsitevalidationstrategyenummeta_tag"></a>`META_TAG` | メタタグ検証。 |
| <a id="dastsitevalidationstrategyenumtext_file"></a>`TEXT_FILE` | テキストファイル検証。 |

### `DastTargetTypeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dasttargettypeenumapi"></a>`API` | APIターゲット。 |
| <a id="dasttargettypeenumwebsite"></a>`WEBSITE` | Webサイトターゲット。 |

### `DataVisualizationColorEnum`

データ視覚化パレットの色。

| 値 | 説明 |
| ----- | ----------- |
| <a id="datavisualizationcolorenumaqua"></a>`AQUA` | 水色。 |
| <a id="datavisualizationcolorenumblue"></a>`BLUE` | 青色。 |
| <a id="datavisualizationcolorenumgreen"></a>`GREEN` | 緑色。 |
| <a id="datavisualizationcolorenummagenta"></a>`MAGENTA` | マゼンタ色。 |
| <a id="datavisualizationcolorenumorange"></a>`ORANGE` | オレンジ色。 |

### `DataVisualizationWeightEnum`

データ視覚化パレットの太さ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="datavisualizationweightenumweight_100"></a>`WEIGHT_100` | 100ウェイト。 |
| <a id="datavisualizationweightenumweight_200"></a>`WEIGHT_200` | 200ウェイト。 |
| <a id="datavisualizationweightenumweight_300"></a>`WEIGHT_300` | 300ウェイト。 |
| <a id="datavisualizationweightenumweight_400"></a>`WEIGHT_400` | 400ウェイト。 |
| <a id="datavisualizationweightenumweight_50"></a>`WEIGHT_50` | 50ウェイト。 |
| <a id="datavisualizationweightenumweight_500"></a>`WEIGHT_500` | 500ウェイト。 |
| <a id="datavisualizationweightenumweight_600"></a>`WEIGHT_600` | 600ウェイト。 |
| <a id="datavisualizationweightenumweight_700"></a>`WEIGHT_700` | 700ウェイト。 |
| <a id="datavisualizationweightenumweight_800"></a>`WEIGHT_800` | 800ウェイト。 |
| <a id="datavisualizationweightenumweight_900"></a>`WEIGHT_900` | 900ウェイト。 |
| <a id="datavisualizationweightenumweight_950"></a>`WEIGHT_950` | 950ウェイト。 |

### `DependencyProxyManifestStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="dependencyproxymanifeststatusdefault"></a>`DEFAULT` | 依存プロキシmanifestの状態はデフォルトです。 |
| <a id="dependencyproxymanifeststatuserror"></a>`ERROR` | 依存プロキシmanifestの状態はエラーです。 |
| <a id="dependencyproxymanifeststatuspending_destruction"></a>`PENDING_DESTRUCTION` | 依存プロキシmanifestの状態はpending_destructionです。 |
| <a id="dependencyproxymanifeststatusprocessing"></a>`PROCESSING` | 依存プロキシmanifestの状態は処理中です。 |

### `DependencySort`

依存関係をソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dependencysortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="dependencysortname_desc"></a>`NAME_DESC` | 名前の降順。 |
| <a id="dependencysortpackager_asc"></a>`PACKAGER_ASC` | パッケージャーの昇順。 |
| <a id="dependencysortpackager_desc"></a>`PACKAGER_DESC` | パッケージャーの降順。 |
| <a id="dependencysortseverity_asc"></a>`SEVERITY_ASC` | 重大度の昇順。 |
| <a id="dependencysortseverity_desc"></a>`SEVERITY_DESC` | 重大度の降順。 |

### `DeploymentApprovalSummaryStatus`

デプロイ承認概要の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="deploymentapprovalsummarystatusapproved"></a>`APPROVED` | 承認済みの集計デプロイメント承認状態。 |
| <a id="deploymentapprovalsummarystatuspending_approval"></a>`PENDING_APPROVAL` | 承認待ちの集計デプロイメント承認状態。 |
| <a id="deploymentapprovalsummarystatusrejected"></a>`REJECTED` | 却下済み集計デプロイメント承認状態。 |

### `DeploymentStatus`

すべてのデプロイ状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="deploymentstatusblocked"></a>`BLOCKED` | ブロックされたデプロイ。 |
| <a id="deploymentstatuscanceled"></a>`CANCELED` | キャンセルされたデプロイ。 |
| <a id="deploymentstatuscreated"></a>`CREATED` | 作成されたデプロイ。 |
| <a id="deploymentstatusfailed"></a>`FAILED` | 失敗したデプロイ。 |
| <a id="deploymentstatusrunning"></a>`RUNNING` | 実行中のデプロイ。 |
| <a id="deploymentstatusskipped"></a>`SKIPPED` | スキップされたデプロイ。 |
| <a id="deploymentstatussuccess"></a>`SUCCESS` | 成功したデプロイメント。 |

### `DeploymentTier`

すべての環境デプロイプラン。

| 値 | 説明 |
| ----- | ----------- |
| <a id="deploymenttierdevelopment"></a>`DEVELOPMENT` | 開発。 |
| <a id="deploymenttierother"></a>`OTHER` | その他。 |
| <a id="deploymenttierproduction"></a>`PRODUCTION` | 本番環境。 |
| <a id="deploymenttierstaging"></a>`STAGING` | ステージ。 |
| <a id="deploymenttiertesting"></a>`TESTING` | テスト。 |

### `DeploymentsApprovalStatus`

デプロイ承認の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="deploymentsapprovalstatusapproved"></a>`APPROVED` | 承認されたデプロイ承認。 |
| <a id="deploymentsapprovalstatusrejected"></a>`REJECTED` | 却下されたデプロイ承認。 |

### `DesignCollectionCopyState`

DesignCollectionのコピー状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="designcollectioncopystateerror"></a>`ERROR` | DesignCollectionでコピー中にエラーが発生しました。 |
| <a id="designcollectioncopystatein_progress"></a>`IN_PROGRESS` | DesignCollectionはコピー中です。 |
| <a id="designcollectioncopystateready"></a>`READY` | DesignCollectionに進行中のコピーはありません。 |

### `DesignVersionEvent`

バージョン内のデザインの変異イベント。

| 値 | 説明 |
| ----- | ----------- |
| <a id="designversioneventcreation"></a>`CREATION` | 作成イベント。 |
| <a id="designversioneventdeletion"></a>`DELETION` | 削除イベント。 |
| <a id="designversioneventmodification"></a>`MODIFICATION` | 変更イベント。 |
| <a id="designversioneventnone"></a>`NONE` | 変更なし。 |

### `DetailedMergeStatus`

GitLabマージリクエストがマージ可能かどうかについての詳細な表現。

| 値 | 説明 |
| ----- | ----------- |
| <a id="detailedmergestatusapprovals_syncing"></a>`APPROVALS_SYNCING` | マージリクエストの承認は現在同期中です。 |
| <a id="detailedmergestatusblocked_status"></a>`BLOCKED_STATUS` | マージリクエストの依存関係をマージする必要があります。 |
| <a id="detailedmergestatuschecking"></a>`CHECKING` | 現在、マージ可能性をチェック中です。 |
| <a id="detailedmergestatusci_must_pass"></a>`CI_MUST_PASS` | マージ前にパイプラインが成功している必要があります。 |
| <a id="detailedmergestatusci_still_running"></a>`CI_STILL_RUNNING` | パイプラインはまだ実行中です。 |
| <a id="detailedmergestatuscommits_status"></a>`COMMITS_STATUS` | ソースブランチが存在し、コミットが含まれています。 |
| <a id="detailedmergestatusconflict"></a>`CONFLICT` | ソースブランチとターゲットブランチの間に競合があります。 |
| <a id="detailedmergestatusdiscussions_not_resolved"></a>`DISCUSSIONS_NOT_RESOLVED` | マージする前にディスカッションを解決する必要があります。 |
| <a id="detailedmergestatusdraft_status"></a>`DRAFT_STATUS` | マージする前にマージリクエストが下書きであってはなりません。 |
| <a id="detailedmergestatusexternal_status_checks"></a>`EXTERNAL_STATUS_CHECKS` | 状態チェックにパスする必要があります。 |
| <a id="detailedmergestatusjira_association"></a>`JIRA_ASSOCIATION` | タイトルか説明のどちらかがJiraのイシューを参照する必要があります。 |
| <a id="detailedmergestatuslocked_lfs_files"></a>`LOCKED_LFS_FILES` | マージリクエストにロックされたLFSファイルが含まれています。 |
| <a id="detailedmergestatuslocked_paths"></a>`LOCKED_PATHS` | マージリクエストにロックされたパスが含まれています。 |
| <a id="detailedmergestatusmergeable"></a>`MERGEABLE` | ブランチをマージできます。 |
| <a id="detailedmergestatusmerge_time"></a>`MERGE_TIME` | 指定された時刻を過ぎるまでマージリクエストのマージはできません。 |
| <a id="detailedmergestatusneed_rebase"></a>`NEED_REBASE` | マージリクエストをリベースする必要があります。 |
| <a id="detailedmergestatusnot_approved"></a>`NOT_APPROVED` | マージする前にマージリクエストが承認される必要があります。 |
| <a id="detailedmergestatusnot_open"></a>`NOT_OPEN` | マージする前にマージリクエストを開く必要があります。 |
| <a id="detailedmergestatuspreparing"></a>`PREPARING` | マージリクエストの差分を作成中です。 |
| <a id="detailedmergestatusrequested_changes"></a>`REQUESTED_CHANGES` | レビュアーが変更をリクエストしたことを示します。 |
| <a id="detailedmergestatussecurity_policies_violations"></a>`SECURITY_POLICIES_VIOLATIONS` | すべてのポリシー規則を満たす必要があります。 |
| <a id="detailedmergestatusunchecked"></a>`UNCHECKED` | マージ状態がチェックされていません。 |

### `DiffPositionType`

位置によって参照されるファイルのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="diffpositiontypefile"></a>`file` | 不明なファイルタイプ。 |
| <a id="diffpositiontypeimage"></a>`image` | 画像。 |
| <a id="diffpositiontypetext"></a>`text` | テキストファイル。 |

### `DoraMetricBucketingInterval`

DORAメトリクスの可能なすべての集約方法。

| 値 | 説明 |
| ----- | ----------- |
| <a id="dorametricbucketingintervalall"></a>`ALL` | すべてのデータポイントが1つの値に結合されます。 |
| <a id="dorametricbucketingintervaldaily"></a>`DAILY` | データポイントは、日ごとのチャンクに結合されます。 |
| <a id="dorametricbucketingintervalmonthly"></a>`MONTHLY` | データポイントは、月ごとのチャンクに結合されます。 |

### `DuoWorkflowStatus`

ワークフローの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="duoworkflowstatuscreated"></a>`CREATED` | ワークフローが作成されました。 |
| <a id="duoworkflowstatusfailed"></a>`FAILED` | ワークフローが失敗しました。 |
| <a id="duoworkflowstatusfinished"></a>`FINISHED` | ワークフローが完了しました。 |
| <a id="duoworkflowstatusinput_required"></a>`INPUT_REQUIRED` | ワークフローはinput_requiredです。 |
| <a id="duoworkflowstatuspaused"></a>`PAUSED` | ワークフローが一時停止しました。 |
| <a id="duoworkflowstatusplan_approval_required"></a>`PLAN_APPROVAL_REQUIRED` | ワークフローはplan_approval_requiredです。 |
| <a id="duoworkflowstatusrunning"></a>`RUNNING` | ワークフローが実行中です。 |
| <a id="duoworkflowstatusstopped"></a>`STOPPED` | ワークフローは停止しました。 |

### `EntryType`

ツリーエントリのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="entrytypeblob"></a>`blob` | ファイルツリータイプ。 |
| <a id="entrytypecommit"></a>`commit` | コミットツリータイプ。 |
| <a id="entrytypetree"></a>`tree` | ディレクトリツリータイプ。 |

### `EpicSort`

ロードマップのソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="epicsortcreated_at_asc"></a>`CREATED_AT_ASC` | created_atの昇順にソートします。 |
| <a id="epicsortcreated_at_desc"></a>`CREATED_AT_DESC` | created_atの降順にソートします。 |
| <a id="epicsortend_date_asc"></a>`END_DATE_ASC` | 終了日の昇順にソートします。 |
| <a id="epicsortend_date_desc"></a>`END_DATE_DESC` | 終了日の降順にソートします。 |
| <a id="epicsortstart_date_asc"></a>`START_DATE_ASC` | 開始日の昇順にソートします。 |
| <a id="epicsortstart_date_desc"></a>`START_DATE_DESC` | 開始日の降順にソートします。 |
| <a id="epicsorttitle_asc"></a>`TITLE_ASC` | タイトルの昇順にソートします。 |
| <a id="epicsorttitle_desc"></a>`TITLE_DESC` | タイトルの降順にソートします。 |
| <a id="epicsortupdated_at_asc"></a>`UPDATED_AT_ASC` | updated_atの昇順にソートします。 |
| <a id="epicsortupdated_at_desc"></a>`UPDATED_AT_DESC` | updated_atの降順にソートします。 |
| <a id="epicsortend_date_asc"></a>`end_date_asc` {{< icon name="warning-solid" >}} | GitLab 13.11で**非推奨**になりました。END_DATE_ASCを使用してください。 |
| <a id="epicsortend_date_desc"></a>`end_date_desc` {{< icon name="warning-solid" >}} | GitLab 13.11で**非推奨**になりました。END_DATE_DESCを使用してください。 |
| <a id="epicsortstart_date_asc"></a>`start_date_asc` {{< icon name="warning-solid" >}} | GitLab 13.11で**非推奨**になりました。START_DATE_ASCを使用してください。 |
| <a id="epicsortstart_date_desc"></a>`start_date_desc` {{< icon name="warning-solid" >}} | GitLab 13.11で**非推奨**になりました。START_DATE_DESCを使用してください。 |

### `EpicState`

エピックの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="epicstateall"></a>`all` | すべてのエピック。 |
| <a id="epicstateclosed"></a>`closed` | 完了エピック。 |
| <a id="epicstateopened"></a>`opened` | 未解決エピック。 |

### `EpicStateEvent`

エピックの状態イベント。

| 値 | 説明 |
| ----- | ----------- |
| <a id="epicstateeventclose"></a>`CLOSE` | エピックを閉じます。 |
| <a id="epicstateeventreopen"></a>`REOPEN` | エピックを再度開きます。 |

### `EpicWildcardId`

エピックIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="epicwildcardidany"></a>`ANY` | 何らかのエピックが割り当てられています。 |
| <a id="epicwildcardidnone"></a>`NONE` | エピックは割り当てられていません。 |

### `ErrorTrackingStatus`

エラートラッキングサービスの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="errortrackingstatuserror"></a>`ERROR` | エラートラッキングサービスの応答はエラーです。 |
| <a id="errortrackingstatusnot_found"></a>`NOT_FOUND` | Sentryイシューが見つかりません。 |
| <a id="errortrackingstatusretry"></a>`RETRY` | エラートラッキングサービスの準備ができていません。 |
| <a id="errortrackingstatussuccess"></a>`SUCCESS` | スタックトレースが正常にフェッチされます。 |

### `EscalationRuleStatus`

エスカレーションルールの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="escalationrulestatusacknowledged"></a>`ACKNOWLEDGED` | 。 |
| <a id="escalationrulestatusresolved"></a>`RESOLVED` | 。 |

### `EventAction`

イベントアクション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="eventactionapproved"></a>`APPROVED` | 承認済みアクション。 |
| <a id="eventactionclosed"></a>`CLOSED` | 完了アクション。 |
| <a id="eventactioncommented"></a>`COMMENTED` | コメント済みアクション。 |
| <a id="eventactioncreated"></a>`CREATED` | 作成済みアクション。 |
| <a id="eventactiondestroyed"></a>`DESTROYED` | 破棄済みアクション。 |
| <a id="eventactionexpired"></a>`EXPIRED` | 期限切れアクション。 |
| <a id="eventactionjoined"></a>`JOINED` | 参加済みアクション。 |
| <a id="eventactionleft"></a>`LEFT` | 退出済みアクション。 |
| <a id="eventactionmerged"></a>`MERGED` | マージ済みアクション。 |
| <a id="eventactionpushed"></a>`PUSHED` | プッシュ済みアクション。 |
| <a id="eventactionreopened"></a>`REOPENED` | 再オープン済みアクション。 |
| <a id="eventactionupdated"></a>`UPDATED` | 更新済みアクション。 |

### `EventTarget`

イベントターゲット。

| 値 | 説明 |
| ----- | ----------- |
| <a id="eventtargetall"></a>`ALL` | すべてのイベント。 |
| <a id="eventtargetcomments"></a>`COMMENTS` | コメントイベント。 |
| <a id="eventtargetdesigns"></a>`DESIGNS` | デザインイベント。 |
| <a id="eventtargetepic"></a>`EPIC` | エピックイベント。 |
| <a id="eventtargetissue"></a>`ISSUE` | イシューイベント。 |
| <a id="eventtargetmerged"></a>`MERGED` | マージ済みイベント。 |
| <a id="eventtargetpush"></a>`PUSH` | プッシュイベント。 |
| <a id="eventtargetteam"></a>`TEAM` | チームイベント。 |
| <a id="eventtargetwiki"></a>`WIKI` | Wikiイベント。 |

### `ExclusionScannerEnum`

除外で使用されるセキュリティスキャナーのenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="exclusionscannerenumsecret_push_protection"></a>`SECRET_PUSH_PROTECTION` | シークレットプッシュ保護。 |

### `ExclusionTypeEnum`

セキュリティスキャナーの除外タイプのためのenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="exclusiontypeenumpath"></a>`PATH` | ファイルまたはディレクトリの場所。 |
| <a id="exclusiontypeenumraw_value"></a>`RAW_VALUE` | 無視するraw値。 |
| <a id="exclusiontypeenumregex_pattern"></a>`REGEX_PATTERN` | 正規表現パターンマッチングルール。 |
| <a id="exclusiontypeenumrule"></a>`RULE` | スキャナールール識別子。 |

### `ExtensionsMarketplaceOptInStatus`

ユーザーのWeb IDE拡張機能マーケットプレースオプトインの状態の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="extensionsmarketplaceoptinstatusdisabled"></a>`DISABLED` | Web IDE拡張機能マーケットプレースオプトイン状態: 無効。 |
| <a id="extensionsmarketplaceoptinstatusenabled"></a>`ENABLED` | Web IDE拡張機能マーケットプレースオプトイン状態: 有効。 |
| <a id="extensionsmarketplaceoptinstatusunset"></a>`UNSET` | Web IDE拡張機能マーケットプレースオプトイン状態: 未設定。 |

### `FindingReportsComparerStatus`

レポート比較状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="findingreportscomparerstatuserror"></a>`ERROR` | レポートの生成中にエラーが発生しました。 |
| <a id="findingreportscomparerstatusparsed"></a>`PARSED` | レポートが生成されました。 |
| <a id="findingreportscomparerstatusparsing"></a>`PARSING` | レポートを生成中です。 |

### `GeoRegistriesBulkAction`

複数のGeoレジストリでトリガーするアクション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="georegistriesbulkactionresync_all"></a>`RESYNC_ALL` | 複数のレジストリを再同期します。 |
| <a id="georegistriesbulkactionreverify_all"></a>`REVERIFY_ALL` | 複数のレジストリを再検証します。 |

### `GeoRegistryAction`

個々のGeoレジストリについてトリガーするアクション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="georegistryactionresync"></a>`RESYNC` | レジストリを再同期します。 |
| <a id="georegistryactionreverify"></a>`REVERIFY` | レジストリを再検証します。 |

### `GeoRegistryClass`

Geoレジストリクラス。

| 値 | 説明 |
| ----- | ----------- |
| <a id="georegistryclassci_secure_file_registry"></a>`CI_SECURE_FILE_REGISTRY` | Geo::CiSecureFileRegistryレジストリクラス。 |
| <a id="georegistryclasscontainer_repository_registry"></a>`CONTAINER_REPOSITORY_REGISTRY` | Geo::ContainerRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclassdependency_proxy_blob_registry"></a>`DEPENDENCY_PROXY_BLOB_REGISTRY` | Geo::DependencyProxyBlobRegistryレジストリクラス。 |
| <a id="georegistryclassdependency_proxy_manifest_registry"></a>`DEPENDENCY_PROXY_MANIFEST_REGISTRY` | Geo::DependencyProxyManifestRegistryレジストリクラス。 |
| <a id="georegistryclassdesign_management_repository_registry"></a>`DESIGN_MANAGEMENT_REPOSITORY_REGISTRY` | Geo::DesignManagementRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclassgroup_wiki_repository_registry"></a>`GROUP_WIKI_REPOSITORY_REGISTRY` | Geo::GroupWikiRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclassjob_artifact_registry"></a>`JOB_ARTIFACT_REGISTRY` | Geo::JobArtifactRegistryレジストリクラス。 |
| <a id="georegistryclasslfs_object_registry"></a>`LFS_OBJECT_REGISTRY` | Geo::LfsObjectRegistryレジストリクラス。 |
| <a id="georegistryclassmerge_request_diff_registry"></a>`MERGE_REQUEST_DIFF_REGISTRY` | Geo::MergeRequestDiffRegistryレジストリクラス。 |
| <a id="georegistryclasspackage_file_registry"></a>`PACKAGE_FILE_REGISTRY` | Geo::PackageFileRegistryレジストリクラス。 |
| <a id="georegistryclasspages_deployment_registry"></a>`PAGES_DEPLOYMENT_REGISTRY` | Geo::PagesDeploymentRegistryレジストリクラス。 |
| <a id="georegistryclasspipeline_artifact_registry"></a>`PIPELINE_ARTIFACT_REGISTRY` | Geo::PipelineArtifactRegistryレジストリクラス。 |
| <a id="georegistryclassproject_repository_registry"></a>`PROJECT_REPOSITORY_REGISTRY` | Geo::ProjectRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclassproject_wiki_repository_registry"></a>`PROJECT_WIKI_REPOSITORY_REGISTRY` | Geo::ProjectWikiRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclasssnippet_repository_registry"></a>`SNIPPET_REPOSITORY_REGISTRY` | Geo::SnippetRepositoryRegistryレジストリクラス。 |
| <a id="georegistryclassterraform_state_version_registry"></a>`TERRAFORM_STATE_VERSION_REGISTRY` | Geo::TerraformStateVersionRegistryレジストリクラス。 |
| <a id="georegistryclassupload_registry"></a>`UPLOAD_REGISTRY` | Geo::UploadRegistryレジストリクラス。 |

### `GeoRegistrySort`

Geoレジストリをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="georegistrysortid_asc"></a>`ID_ASC` | IDの昇順。 |
| <a id="georegistrysortid_desc"></a>`ID_DESC` | IDの降順。 |
| <a id="georegistrysortlast_synced_at_asc"></a>`LAST_SYNCED_AT_ASC` | 最新同期日の昇順。 |
| <a id="georegistrysortlast_synced_at_desc"></a>`LAST_SYNCED_AT_DESC` | 最新同期日の降順。 |
| <a id="georegistrysortverified_at_asc"></a>`VERIFIED_AT_ASC` | 最新検証日の昇順。 |
| <a id="georegistrysortverified_at_desc"></a>`VERIFIED_AT_DESC` | 最新検証日の降順。 |

### `GitlabSubscriptionsAddOnType`

アドオンのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="gitlabsubscriptionsaddontypecode_suggestions"></a>`CODE_SUGGESTIONS` | GitLab Duo Proシートアドオン。 |
| <a id="gitlabsubscriptionsaddontypeduo_amazon_q"></a>`DUO_AMAZON_Q` | GitLab Duo with Amazon Qシートアドオン。 |
| <a id="gitlabsubscriptionsaddontypeduo_enterprise"></a>`DUO_ENTERPRISE` | GitLab Duo Enterpriseシートアドオン。 |

### `GitlabSubscriptionsUserRole`

ユーザーのロール。

| 値 | 説明 |
| ----- | ----------- |
| <a id="gitlabsubscriptionsuserroledeveloper"></a>`DEVELOPER` | デベロッパー。 |
| <a id="gitlabsubscriptionsuserroleguest"></a>`GUEST` | ゲスト。 |
| <a id="gitlabsubscriptionsuserrolemaintainer"></a>`MAINTAINER` | メンテナー。 |
| <a id="gitlabsubscriptionsuserroleowner"></a>`OWNER` | オーナー。 |
| <a id="gitlabsubscriptionsuserroleplanner"></a>`PLANNER` | プランナー。 |
| <a id="gitlabsubscriptionsuserrolereporter"></a>`REPORTER` | レポーター。 |

### `GitlabSubscriptionsUserSort`

ユーザーをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="gitlabsubscriptionsusersortid_asc"></a>`ID_ASC` | IDの昇順。 |
| <a id="gitlabsubscriptionsusersortid_desc"></a>`ID_DESC` | IDの降順。 |
| <a id="gitlabsubscriptionsusersortlast_activity_on_asc"></a>`LAST_ACTIVITY_ON_ASC` | 最終アクティビティーの昇順。 |
| <a id="gitlabsubscriptionsusersortlast_activity_on_desc"></a>`LAST_ACTIVITY_ON_DESC` | 最終アクティビティーの降順。 |
| <a id="gitlabsubscriptionsusersortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="gitlabsubscriptionsusersortname_desc"></a>`NAME_DESC` | 名前の降順。 |

### `GoogleCloudArtifactRegistryArtifactsSort`

アーティファクトをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="googlecloudartifactregistryartifactssortbuild_time_asc"></a>`BUILD_TIME_ASC` | `build_time`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortbuild_time_desc"></a>`BUILD_TIME_DESC` | `build_time`の降順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortimage_size_bytes_asc"></a>`IMAGE_SIZE_BYTES_ASC` | `image_size_bytes`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortimage_size_bytes_desc"></a>`IMAGE_SIZE_BYTES_DESC` | `image_size_bytes`の降順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortmedia_type_asc"></a>`MEDIA_TYPE_ASC` | `media_type`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortmedia_type_desc"></a>`MEDIA_TYPE_DESC` | `media_type`の降順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortname_asc"></a>`NAME_ASC` | `name`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortname_desc"></a>`NAME_DESC` | `name`の降順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortupdate_time_asc"></a>`UPDATE_TIME_ASC` | `update_time`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortupdate_time_desc"></a>`UPDATE_TIME_DESC` | `update_time`の降順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortupload_time_asc"></a>`UPLOAD_TIME_ASC` | `upload_time`の昇順に並べ替え。 |
| <a id="googlecloudartifactregistryartifactssortupload_time_desc"></a>`UPLOAD_TIME_DESC` | `upload_time`の降順に並べ替え。 |

### `GroupMemberRelation`

グループメンバーの関係。

| 値 | 説明 |
| ----- | ----------- |
| <a id="groupmemberrelationdescendants"></a>`DESCENDANTS` | グループのサブグループのメンバー。 |
| <a id="groupmemberrelationdirect"></a>`DIRECT` | グループ自体のメンバー。 |
| <a id="groupmemberrelationinherited"></a>`INHERITED` | グループの祖先グループのメンバー。 |
| <a id="groupmemberrelationshared_from_groups"></a>`SHARED_FROM_GROUPS` | 招待されたグループのメンバー。 |

### `GroupPermission`

グループのユーザー権限。

| 値 | 説明 |
| ----- | ----------- |
| <a id="grouppermissioncreate_projects"></a>`CREATE_PROJECTS` | ユーザーがプロジェクトを作成できるグループ。 |
| <a id="grouppermissionimport_projects"></a>`IMPORT_PROJECTS` | ユーザーがプロジェクトをインポートできるグループ。 |
| <a id="grouppermissiontransfer_projects"></a>`TRANSFER_PROJECTS` | ユーザーがプロジェクトを転送できるグループ。 |

### `GroupReleaseSort`

グループに属するリリースをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="groupreleasesortreleased_at_asc"></a>`RELEASED_AT_ASC` | リリース日の昇順。 |
| <a id="groupreleasesortreleased_at_desc"></a>`RELEASED_AT_DESC` | リリース日の降順。 |

### `GroupSort`

グループをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="groupsortsimilarity"></a>`SIMILARITY` | 検索クエリに最も類似。 |

### `GroupingEnum`

コンピューティング使用量データをグループ化するための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="groupingenuminstance_aggregate"></a>`INSTANCE_AGGREGATE` | インスタンス内のすべてのネームスペースにわたって使用量データを集計します。 |
| <a id="groupingenumper_root_namespace"></a>`PER_ROOT_NAMESPACE` | 個々のルートネームスペースごとにデータをグループ化します。 |

### `HealthStatus`

イシューまたはエピックのヘルスステータス。

| 値 | 説明 |
| ----- | ----------- |
| <a id="healthstatusatrisk"></a>`atRisk` | リスクあり。 |
| <a id="healthstatusneedsattention"></a>`needsAttention` | 注意が必要。 |
| <a id="healthstatusontrack"></a>`onTrack` | 順調。 |

### `HealthStatusFilter`

フィルタリングのためのイシューまたはエピックのヘルスステータス。

| 値 | 説明 |
| ----- | ----------- |
| <a id="healthstatusfilterany"></a>`ANY` | いずれかのヘルスステータスが割り当てられています。 |
| <a id="healthstatusfilternone"></a>`NONE` | ヘルスステータスは割り当てられていません。 |
| <a id="healthstatusfilteratrisk"></a>`atRisk` | リスクあり。 |
| <a id="healthstatusfilterneedsattention"></a>`needsAttention` | 注意が必要。 |
| <a id="healthstatusfilterontrack"></a>`onTrack` | 順調。 |

### `ImportSource`

インポート元。

| 値 | 説明 |
| ----- | ----------- |
| <a id="importsourcebitbucket"></a>`BITBUCKET` | Bitbucket。 |
| <a id="importsourcebitbucket_server"></a>`BITBUCKET_SERVER` | Bitbucket Server。 |
| <a id="importsourcecustom_template"></a>`CUSTOM_TEMPLATE` | カスタムテンプレート。 |
| <a id="importsourcefogbugz"></a>`FOGBUGZ` | Fogbugz。 |
| <a id="importsourcegit"></a>`GIT` | Git。 |
| <a id="importsourcegitea"></a>`GITEA` | Gitea。 |
| <a id="importsourcegithub"></a>`GITHUB` | Github。 |
| <a id="importsourcegitlab_group"></a>`GITLAB_GROUP` | GitLabグループ。 |
| <a id="importsourcegitlab_migration"></a>`GITLAB_MIGRATION` | GitLabの移行。 |
| <a id="importsourcegitlab_project"></a>`GITLAB_PROJECT` | GitLabプロジェクト。 |
| <a id="importsourcemanifest"></a>`MANIFEST` | Manifest。 |
| <a id="importsourcenone"></a>`NONE` | インポートされていません。 |

### `ImportSourceUserStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="importsourceuserstatusawaiting_approval"></a>`AWAITING_APPROVAL` | 承認待ちのインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatuscompleted"></a>`COMPLETED` | 完了したインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatusfailed"></a>`FAILED` | 失敗したインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatuskeep_as_placeholder"></a>`KEEP_AS_PLACEHOLDER` | プレースホルダーとして保持されているインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatuspending_reassignment"></a>`PENDING_REASSIGNMENT` | 再アサイン保留中のインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatusreassignment_in_progress"></a>`REASSIGNMENT_IN_PROGRESS` | 再アサイン処理中のインポート元ユーザーマッピング。 |
| <a id="importsourceuserstatusrejected"></a>`REJECTED` | 却下されたインポート元ユーザーマッピング。 |

### `IntegrationType`

インテグレーションの名前。

| 値 | 説明 |
| ----- | ----------- |
| <a id="integrationtypebeyond_identity"></a>`BEYOND_IDENTITY` | Beyond Identity。 |

### `IssuableResourceLinkType`

イシュー可能リソースリンクタイプのenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuableresourcelinktypegeneral"></a>`general` | 一般的なリンクタイプ。 |
| <a id="issuableresourcelinktypepagerduty"></a>`pagerduty` | Pagerdutyリンクタイプ。 |
| <a id="issuableresourcelinktypeslack"></a>`slack` | Slackリンクタイプ。 |
| <a id="issuableresourcelinktypezoom"></a>`zoom` | Zoomリンクタイプ。 |

### `IssuableSearchableField`

検索を実行するフィールド。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuablesearchablefielddescription"></a>`DESCRIPTION` | 説明フィールドで検索。 |
| <a id="issuablesearchablefieldtitle"></a>`TITLE` | タイトルフィールドで検索。 |

### `IssuableSeverity`

インシデントの重大度。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuableseveritycritical"></a>`CRITICAL` | 致命的重大度。 |
| <a id="issuableseverityhigh"></a>`HIGH` | 高重大度。 |
| <a id="issuableseveritylow"></a>`LOW` | 低重大度。 |
| <a id="issuableseveritymedium"></a>`MEDIUM` | 中重大度。 |
| <a id="issuableseverityunknown"></a>`UNKNOWN` | 不明重大度。 |

### `IssuableState`

GitLabイシューまたはマージリクエストの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuablestateall"></a>`all` | すべて利用可能。 |
| <a id="issuablestateclosed"></a>`closed` | 完了状態。 |
| <a id="issuablestatelocked"></a>`locked` | ディスカッションがロックされています。 |
| <a id="issuablestateopened"></a>`opened` | 未解決状態。 |

### `IssuableSubscriptionEvent`

issuableからのサブスクライブとサブスクライブ解除のための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuablesubscriptioneventsubscribe"></a>`SUBSCRIBE` | issuableをサブスクライブ。 |
| <a id="issuablesubscriptioneventunsubscribe"></a>`UNSUBSCRIBE` | issuableのサブスクライブを解除。 |

### `IssueCreationIterationWildcardId`

イシュー作成のイテレーションIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuecreationiterationwildcardidcurrent"></a>`CURRENT` | 現在のイテレーション。 |

### `IssueEscalationStatus`

イシューのエスカレーション状態の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issueescalationstatusacknowledged"></a>`ACKNOWLEDGED` | 誰かが積極的に問題を調査しています。 |
| <a id="issueescalationstatusignored"></a>`IGNORED` | アクションは実行されません。 |
| <a id="issueescalationstatusresolved"></a>`RESOLVED` | 問題は対処済みです。 |
| <a id="issueescalationstatustriggered"></a>`TRIGGERED` | まだ調査が開始されていません。 |

### `IssueSort`

イシューをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuesortblocking_issues_asc"></a>`BLOCKING_ISSUES_ASC` | ブロックしているイシュー数の昇順。 |
| <a id="issuesortblocking_issues_desc"></a>`BLOCKING_ISSUES_DESC` | ブロックしているイシュー数の降順。 |
| <a id="issuesortclosed_at_asc"></a>`CLOSED_AT_ASC` | 完了時刻の昇順。 |
| <a id="issuesortclosed_at_desc"></a>`CLOSED_AT_DESC` | 完了時刻の降順。 |
| <a id="issuesortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="issuesortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="issuesortdue_date_asc"></a>`DUE_DATE_ASC` | 期限の昇順。 |
| <a id="issuesortdue_date_desc"></a>`DUE_DATE_DESC` | 期限の降順。 |
| <a id="issuesortescalation_status_asc"></a>`ESCALATION_STATUS_ASC` | トリガーされた状態から解決済みの状態への順。 |
| <a id="issuesortescalation_status_desc"></a>`ESCALATION_STATUS_DESC` | 解決済みの状態からトリガーされた状態への順。 |
| <a id="issuesorthealth_status_asc"></a>`HEALTH_STATUS_ASC` | 正常なイシューから順に。 |
| <a id="issuesorthealth_status_desc"></a>`HEALTH_STATUS_DESC` | 異常なイシューから順に。 |
| <a id="issuesortlabel_priority_asc"></a>`LABEL_PRIORITY_ASC` | ラベル優先度の昇順。 |
| <a id="issuesortlabel_priority_desc"></a>`LABEL_PRIORITY_DESC` | ラベル優先度の降順。 |
| <a id="issuesortmilestone_due_asc"></a>`MILESTONE_DUE_ASC` | マイルストーン期限の昇順。 |
| <a id="issuesortmilestone_due_desc"></a>`MILESTONE_DUE_DESC` | マイルストーン期限の降順。 |
| <a id="issuesortpopularity_asc"></a>`POPULARITY_ASC` | 賛成票（「いいね」の絵文字）の数の昇順。 |
| <a id="issuesortpopularity_desc"></a>`POPULARITY_DESC` | 賛成票（「いいね」の絵文字）の数の降順。 |
| <a id="issuesortpriority_asc"></a>`PRIORITY_ASC` | 優先度の昇順。 |
| <a id="issuesortpriority_desc"></a>`PRIORITY_DESC` | 優先度の降順。 |
| <a id="issuesortpublished_asc"></a>`PUBLISHED_ASC` | 公開イシューを最後に表示。 |
| <a id="issuesortpublished_desc"></a>`PUBLISHED_DESC` | 公開イシューを最初に表示。 |
| <a id="issuesortrelative_position_asc"></a>`RELATIVE_POSITION_ASC` | 相対位置の昇順。 |
| <a id="issuesortseverity_asc"></a>`SEVERITY_ASC` | 重大度、低いものから順。 |
| <a id="issuesortseverity_desc"></a>`SEVERITY_DESC` | 重大度、高いものから順。 |
| <a id="issuesortsla_due_at_asc"></a>`SLA_DUE_AT_ASC` | 最も早いSLA期日のイシューを最初に表示。 |
| <a id="issuesortsla_due_at_desc"></a>`SLA_DUE_AT_DESC` | 最も遅いSLA期日のイシューを最初に表示。 |
| <a id="issuesorttitle_asc"></a>`TITLE_ASC` | タイトルの昇順。 |
| <a id="issuesorttitle_desc"></a>`TITLE_DESC` | タイトルの降順。 |
| <a id="issuesortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="issuesortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="issuesortweight_asc"></a>`WEIGHT_ASC` | ウェイトの昇順。 |
| <a id="issuesortweight_desc"></a>`WEIGHT_DESC` | ウェイトの降順。 |
| <a id="issuesortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="issuesortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="issuesortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="issuesortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `IssueState`

GitLabイシューの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuestateall"></a>`all` | すべて利用可能。 |
| <a id="issuestateclosed"></a>`closed` | 完了状態。 |
| <a id="issuestatelocked"></a>`locked` | ディスカッションがロックされています。 |
| <a id="issuestateopened"></a>`opened` | 未解決状態。 |

### `IssueStateEvent`

イシュー状態イベントの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuestateeventclose"></a>`CLOSE` | イシューをクローズします。 |
| <a id="issuestateeventreopen"></a>`REOPEN` | イシューを再度オープンします。 |

### `IssueType`

イシュータイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="issuetypeepic"></a>`EPIC` {{< icon name="warning-solid" >}} | GitLab 16.7で**導入**。**状態**: 実験。エピックイシュータイプ。機能エピックが利用可能で、かつ機能フラグ`work_item_epics`が有効になっている場合にのみ利用可能です。 |
| <a id="issuetypeincident"></a>`INCIDENT` | インシデントイシュータイプ。 |
| <a id="issuetypeissue"></a>`ISSUE` | イシューイシュータイプ。 |
| <a id="issuetypekey_result"></a>`KEY_RESULT` {{< icon name="warning-solid" >}} | GitLab 15.7で**導入**。**状態**: 実験。主な成果イシュータイプ。機能フラグ`okrs_mvc`が有効な場合にのみ使用可能。 |
| <a id="issuetypeobjective"></a>`OBJECTIVE` {{< icon name="warning-solid" >}} | GitLab 15.6で**導入**。**状態**: 実験。目標イシュータイプ。機能フラグ`okrs_mvc`が有効な場合にのみ使用可能。 |
| <a id="issuetyperequirement"></a>`REQUIREMENT` | 要件イシュータイプ。 |
| <a id="issuetypetask"></a>`TASK` | タスクイシュータイプ。 |
| <a id="issuetypetest_case"></a>`TEST_CASE` | テストケースイシュータイプ。 |
| <a id="issuetypeticket"></a>`TICKET` | チケットイシュータイプ。 |

### `IterationSearchableField`

検索を実行するフィールド。

| 値 | 説明 |
| ----- | ----------- |
| <a id="iterationsearchablefieldcadence_title"></a>`CADENCE_TITLE` | cadence_titleフィールドで検索。 |
| <a id="iterationsearchablefieldtitle"></a>`TITLE` | タイトルフィールドで検索。 |

### `IterationSort`

イテレーションのソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="iterationsortcadence_and_due_date_asc"></a>`CADENCE_AND_DUE_DATE_ASC` | ケイデンスIDの昇順、そして期限の昇順にソートします。 |
| <a id="iterationsortcadence_and_due_date_desc"></a>`CADENCE_AND_DUE_DATE_DESC` | ケイデンスIDの昇順、そして期限の降順にソートします。 |

### `IterationState`

GitLabイテレーションの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="iterationstateall"></a>`all` | 任意のイテレーション。 |
| <a id="iterationstateclosed"></a>`closed` | 完了したイテレーション。 |
| <a id="iterationstatecurrent"></a>`current` | 現在のイテレーション。 |
| <a id="iterationstateopened"></a>`opened` | オープン状態のイテレーション。 |
| <a id="iterationstateupcoming"></a>`upcoming` | 将来のイテレーション。 |

### `IterationWildcardId`

イテレーションIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="iterationwildcardidany"></a>`ANY` | イテレーションが割り当てられています。 |
| <a id="iterationwildcardidcurrent"></a>`CURRENT` | 現在のイテレーション。 |
| <a id="iterationwildcardidnone"></a>`NONE` | イテレーションは割り当てられていません。 |

### `JobArtifactFileType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="jobartifactfiletypeaccessibility"></a>`ACCESSIBILITY` | ACCESSIBILITYジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypeannotations"></a>`ANNOTATIONS` | ANNOTATIONSジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypeapi_fuzzing"></a>`API_FUZZING` | API FUZZINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypearchive"></a>`ARCHIVE` | ARCHIVEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypebrowser_performance"></a>`BROWSER_PERFORMANCE` | BROWSER PERFORMANCEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecluster_applications"></a>`CLUSTER_APPLICATIONS` | CLUSTER APPLICATIONSジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecluster_image_scanning"></a>`CLUSTER_IMAGE_SCANNING` | CLUSTER IMAGE SCANNINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecobertura"></a>`COBERTURA` | COBERTURAジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecodequality"></a>`CODEQUALITY` | CODE QUALITYジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecontainer_scanning"></a>`CONTAINER_SCANNING` | CONTAINER SCANNINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecoverage_fuzzing"></a>`COVERAGE_FUZZING` | COVERAGE FUZZINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypecyclonedx"></a>`CYCLONEDX` | CYCLONEDXジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypedast"></a>`DAST` | DASTジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypedependency_scanning"></a>`DEPENDENCY_SCANNING` | DEPENDENCY SCANNINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypedotenv"></a>`DOTENV` | DOTENVジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypejacoco"></a>`JACOCO` | JACOCOジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypejunit"></a>`JUNIT` | JUNITジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypelicense_scanning"></a>`LICENSE_SCANNING` | LICENSE SCANNINGジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypeload_performance"></a>`LOAD_PERFORMANCE` | LOAD PERFORMANCEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypelsif"></a>`LSIF` | LSIFジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypemetadata"></a>`METADATA` | METADATAジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypemetrics"></a>`METRICS` | METRICSジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypemetrics_referee"></a>`METRICS_REFEREE` | METRICS REFEREEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypenetwork_referee"></a>`NETWORK_REFEREE` | NETWORK REFEREEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypeperformance"></a>`PERFORMANCE` | PERFORMANCEジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletyperepository_xray"></a>`REPOSITORY_XRAY` | REPOSITORY XRAYジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletyperequirements"></a>`REQUIREMENTS` | REQUIREMENTSジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletyperequirements_v2"></a>`REQUIREMENTS_V2` | REQUIREMENTS V2ジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypesast"></a>`SAST` | SASTジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypesecret_detection"></a>`SECRET_DETECTION` | SECRET DETECTIONジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypeterraform"></a>`TERRAFORM` | TERRAFORMジョブアーティファクトファイルタイプ。 |
| <a id="jobartifactfiletypetrace"></a>`TRACE` | TRACEジョブアーティファクトファイルタイプ。 |

### `LabelSearchFieldList`

指定されたsearchTermを検索するフィールドのリスト。

| 値 | 説明 |
| ----- | ----------- |
| <a id="labelsearchfieldlistdescription"></a>`DESCRIPTION` | ラベルの説明の中で検索します。 |
| <a id="labelsearchfieldlisttitle"></a>`TITLE` | ラベルのタイトルの中で検索します。 |

### `ListLimitMetric`

リスト制限メトリクスの設定。

| 値 | 説明 |
| ----- | ----------- |
| <a id="listlimitmetricall_metrics"></a>`all_metrics` | イシューの数と合計ウェイトでリストを制限します。 |
| <a id="listlimitmetricissue_count"></a>`issue_count` | イシューの数でリストを制限します。 |
| <a id="listlimitmetricissue_weights"></a>`issue_weights` | イシューの合計ウェイトでリストを制限します。 |

### `MeasurementIdentifier`

可能な測定識別子タイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="measurementidentifiergroups"></a>`GROUPS` | グループ数。 |
| <a id="measurementidentifierissues"></a>`ISSUES` | イシュー数。 |
| <a id="measurementidentifiermerge_requests"></a>`MERGE_REQUESTS` | マージリクエスト数。 |
| <a id="measurementidentifierpipelines"></a>`PIPELINES` | パイプライン数。 |
| <a id="measurementidentifierpipelines_canceled"></a>`PIPELINES_CANCELED` | キャンセル状態のパイプライン数。 |
| <a id="measurementidentifierpipelines_failed"></a>`PIPELINES_FAILED` | 失敗状態のパイプライン数。 |
| <a id="measurementidentifierpipelines_skipped"></a>`PIPELINES_SKIPPED` | スキップ状態のパイプライン数。 |
| <a id="measurementidentifierpipelines_succeeded"></a>`PIPELINES_SUCCEEDED` | 成功状態のパイプライン数。 |
| <a id="measurementidentifierprojects"></a>`PROJECTS` | プロジェクト数。 |
| <a id="measurementidentifierusers"></a>`USERS` | ユーザー数。 |

### `MemberAccessLevel`

グループまたはプロジェクトのメンバーのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberaccessleveldeveloper"></a>`DEVELOPER` | デベロッパーロールは、機密管理アクションを制限しつつ、コードコントリビュートのためのアクセスをユーザーに提供します。 |
| <a id="memberaccesslevelguest"></a>`GUEST` | ゲストロールは、プロジェクトまたはグループの表示レベルを必要とするが、変更を加えてはならないユーザー（外部関係者など）のためのロールです。 |
| <a id="memberaccesslevelmaintainer"></a>`MAINTAINER` | メンテナーロールは、主にプロジェクトのコードレビュー、承認、および管理設定のために使用されます。このロールでは、プロジェクトのメンバーシップも管理できます。 |
| <a id="memberaccesslevelminimal_access"></a>`MINIMAL_ACCESS` | 最小アクセスロールは、グループとプロジェクトへの最小限のアクセスを必要とするユーザーを対象とするロールです。ユーザーにもっと多くの権限のある別のロールを付与する前に、このロールをデフォルトとして割り当てることができます。 |
| <a id="memberaccesslevelowner"></a>`OWNER` | オーナーロールは、通常、グループの管理とメンテナンス、またはプロジェクトの作成を担当する個人またはチームに割り当てられます。このロールには、最高レベルの管理権限があり、他のオーナーの管理を含め、グループまたはプロジェクトのすべての側面を管理できます。 |
| <a id="memberaccesslevelplanner"></a>`PLANNER` | プランナーロールは、プロジェクトの管理や作業アイテムの追跡をする必要があるが、コードのコントリビュートの必要はないチームメンバーに適しています。 |
| <a id="memberaccesslevelreporter"></a>`REPORTER` | レポーターロールは、プロジェクトまたはグループについて常に情報を得る必要はあるが、積極的にコードコントリビュートをすることはないチームメンバーに適しています。 |

### `MemberAccessLevelName`

グループまたはプロジェクトのメンバーのアクセスレベルの名前。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberaccesslevelnamedeveloper"></a>`DEVELOPER` | デベロッパーアクセス。 |
| <a id="memberaccesslevelnameguest"></a>`GUEST` | ゲストアクセス。 |
| <a id="memberaccesslevelnamemaintainer"></a>`MAINTAINER` | メンテナーアクセス。 |
| <a id="memberaccesslevelnameowner"></a>`OWNER` | オーナーアクセス。 |
| <a id="memberaccesslevelnameplanner"></a>`PLANNER` | プランナーアクセス。 |
| <a id="memberaccesslevelnamereporter"></a>`REPORTER` | レポーターアクセス。 |

### `MemberApprovalStatusType`

メンバー承認状態のタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberapprovalstatustypeapproved"></a>`APPROVED` | 承認済みプロモーションリクエスト。 |
| <a id="memberapprovalstatustypedenied"></a>`DENIED` | 却下済みプロモーションリクエスト。 |
| <a id="memberapprovalstatustypepending"></a>`PENDING` | 保留中のプロモーションリクエスト。 |

### `MemberRoleAdminPermission`

メンバーロールの管理者権限。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberroleadminpermissionread_admin_cicd"></a>`READ_ADMIN_CICD` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。Runnerとジョブを含むCI/CDの詳細を読み取ります。 |
| <a id="memberroleadminpermissionread_admin_dashboard"></a>`READ_ADMIN_DASHBOARD` {{< icon name="warning-solid" >}} | GitLab 17.6で**導入**。**状態**: 実験。管理者ダッシュボードへの読み取り専用アクセス。 |
| <a id="memberroleadminpermissionread_admin_monitoring"></a>`READ_ADMIN_MONITORING` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。システム情報、バックグラウンド移行、ヘルスチェック、監査ログ、管理者エリアのGitalyを含む、システムモニタリングへの読み取りアクセスを許可します。 |
| <a id="memberroleadminpermissionread_admin_subscription"></a>`READ_ADMIN_SUBSCRIPTION` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。管理者エリアでサブスクリプションの詳細を読み取ります。 |
| <a id="memberroleadminpermissionread_admin_users"></a>`READ_ADMIN_USERS` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。管理者エリアでのユーザーリストとユーザーの詳細への読み取りアクセスを許可します。 |

### `MemberRolePermission`

メンバーロールの権限。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberrolepermissionadmin_cicd_variables"></a>`ADMIN_CICD_VARIABLES` | CI/CD変数の作成、読み取り、更新、削除。 |
| <a id="memberrolepermissionadmin_compliance_framework"></a>`ADMIN_COMPLIANCE_FRAMEWORK` | コンプライアンスフレームワークの作成、読み取り、更新、削除。この権限を付与されたユーザーは、コンプライアンスフレームワークのラベルをプロジェクトに割り当てたり、グループのデフォルトフレームワークを設定したりすることもできます。 |
| <a id="memberrolepermissionadmin_group_member"></a>`ADMIN_GROUP_MEMBER` | グループ内のユーザーの追加や削除、およびユーザーへのロールの割り当て。ロールを割り当てる際に、このカスタム権限を付与されたユーザーは、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolepermissionadmin_integrations"></a>`ADMIN_INTEGRATIONS` | 外部アプリケーションとのインテグレーションの作成、読み取り、更新、削除。 |
| <a id="memberrolepermissionadmin_merge_request"></a>`ADMIN_MERGE_REQUEST` | マージリクエストの承認を許可します。 |
| <a id="memberrolepermissionadmin_protected_branch"></a>`ADMIN_PROTECTED_BRANCH` | プロジェクトの保護ブランチの作成、読み取り、更新、削除。 |
| <a id="memberrolepermissionadmin_protected_environments"></a>`ADMIN_PROTECTED_ENVIRONMENTS` | 環境の作成、読み取り、更新、削除。 |
| <a id="memberrolepermissionadmin_push_rules"></a>`ADMIN_PUSH_RULES` | グループレベルまたはプロジェクトレベルでリポジトリのプッシュルールを設定します。 |
| <a id="memberrolepermissionadmin_runners"></a>`ADMIN_RUNNERS` | グループまたはプロジェクトのRunnerの作成、表示、編集、削除。Runnerの設定が含まれます。 |
| <a id="memberrolepermissionadmin_security_testing"></a>`ADMIN_SECURITY_TESTING` | セキュリティテストの設定の編集と管理。 |
| <a id="memberrolepermissionadmin_terraform_state"></a>`ADMIN_TERRAFORM_STATE` | Terraformコマンドの実行、Terraform状態ファイルのロック/ロック解除、ファイルバージョンの削除。 |
| <a id="memberrolepermissionadmin_vulnerability"></a>`ADMIN_VULNERABILITY` | 脆弱性オブジェクトの状態、リンクされたイシュー、重大度の編集。`read_vulnerability`権限も必要です。 |
| <a id="memberrolepermissionadmin_web_hook"></a>`ADMIN_WEB_HOOK` | Webhookの管理。 |
| <a id="memberrolepermissionarchive_project"></a>`ARCHIVE_PROJECT` | プロジェクトのアーカイブを許可します。 |
| <a id="memberrolepermissionmanage_deploy_tokens"></a>`MANAGE_DEPLOY_TOKENS` | グループまたはプロジェクトレベルでデプロイトークンを管理します。 |
| <a id="memberrolepermissionmanage_group_access_tokens"></a>`MANAGE_GROUP_ACCESS_TOKENS` | グループアクセストークンの作成、読み取り、更新、削除。トークンを作成する際に、このカスタム権限を付与されたユーザーは、そのトークンのロールとして、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolepermissionmanage_merge_request_settings"></a>`MANAGE_MERGE_REQUEST_SETTINGS` | グループまたはプロジェクトレベルでマージリクエストを設定します。グループアクションには、マージチェックと承認設定の管理が含まれます。プロジェクトアクションには、MRの設定、承認ルールと設定、ブランチターゲットが含まれます。レビュアーの推奨を有効にするには、「プロジェクトアクセストークンの管理」カスタム権限を有効にする必要があります。 |
| <a id="memberrolepermissionmanage_project_access_tokens"></a>`MANAGE_PROJECT_ACCESS_TOKENS` | プロジェクトアクセストークンの作成、読み取り、更新、削除。トークンを作成する際に、このカスタム権限を付与されたユーザーは、そのトークンのロールとして、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolepermissionmanage_protected_tags"></a>`MANAGE_PROTECTED_TAGS` | 保護タグの作成、読み取り、更新、削除。 |
| <a id="memberrolepermissionmanage_security_policy_link"></a>`MANAGE_SECURITY_POLICY_LINK` | セキュリティポリシープロジェクトのリンクを許可します。 |
| <a id="memberrolepermissionread_admin_cicd"></a>`READ_ADMIN_CICD` | Runnerとジョブを含むCI/CDの詳細を読み取ります。 |
| <a id="memberrolepermissionread_admin_dashboard"></a>`READ_ADMIN_DASHBOARD` | 管理者ダッシュボードへの読み取り専用アクセス。 |
| <a id="memberrolepermissionread_admin_monitoring"></a>`READ_ADMIN_MONITORING` | システム情報、バックグラウンド移行、ヘルスチェック、監査ログ、管理者エリアのGitalyを含む、システムモニタリングへの読み取りアクセスを許可します。 |
| <a id="memberrolepermissionread_admin_subscription"></a>`READ_ADMIN_SUBSCRIPTION` | 管理者エリアでサブスクリプションの詳細を読み取ります。 |
| <a id="memberrolepermissionread_admin_users"></a>`READ_ADMIN_USERS` | 管理者エリアでのユーザーリストとユーザーの詳細への読み取りアクセスを許可します。 |
| <a id="memberrolepermissionread_code"></a>`READ_CODE` | ユーザーインターフェースでのソースコードへの読み取り専用アクセスを許可します。ユーザーが、リポジトリアーカイブの編集やダウンロード、リポジトリのクローンやプル、IDEでのソースコードの表示、プライベートプロジェクトのマージリクエストの表示をすることはできません。読み取り専用アクセスでは、本質的にファイルのローカルコピーを作成することが可能であるため、個々のファイルをダウンロードすることはできます。 |
| <a id="memberrolepermissionread_compliance_dashboard"></a>`READ_COMPLIANCE_DASHBOARD` | グループとプロジェクトの準拠、違反、およびフレームワークなど、コンプライアンスさまざまな機能の読み取り。 |
| <a id="memberrolepermissionread_crm_contact"></a>`READ_CRM_CONTACT` | CRM連絡先の読み取り。 |
| <a id="memberrolepermissionread_dependency"></a>`READ_DEPENDENCY` | 依存関係とライセンスへの読み取り専用アクセスを許可します。 |
| <a id="memberrolepermissionread_runners"></a>`READ_RUNNERS` | Runnerフリートダッシュボードなど、グループまたはプロジェクトRunnerへの読み取り専用アクセスを許可します。 |
| <a id="memberrolepermissionread_vulnerability"></a>`READ_VULNERABILITY` | 脆弱性レポートとセキュリティダッシュボードの読み取り。 |
| <a id="memberrolepermissionremove_group"></a>`REMOVE_GROUP` | グループを削除または復元する機能。この機能で、トップレベルグループを削除することはできません。誤って削除することがいよう、保持期間の設定を確認してください。 |
| <a id="memberrolepermissionremove_project"></a>`REMOVE_PROJECT` | プロジェクトの削除を許可します。 |

### `MemberRoleStandardPermission`

メンバーロールの標準権限。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberrolestandardpermissionadmin_cicd_variables"></a>`ADMIN_CICD_VARIABLES` | CI/CD変数の作成、読み取り、更新、削除。 |
| <a id="memberrolestandardpermissionadmin_compliance_framework"></a>`ADMIN_COMPLIANCE_FRAMEWORK` | コンプライアンスフレームワークの作成、読み取り、更新、削除。この権限を付与されたユーザーは、コンプライアンスフレームワークのラベルをプロジェクトに割り当てたり、グループのデフォルトフレームワークを設定したりすることもできます。 |
| <a id="memberrolestandardpermissionadmin_group_member"></a>`ADMIN_GROUP_MEMBER` | グループ内のユーザーの追加や削除、およびユーザーへのロールの割り当て。ロールを割り当てる際に、このカスタム権限を付与されたユーザーは、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolestandardpermissionadmin_integrations"></a>`ADMIN_INTEGRATIONS` | 外部アプリケーションとのインテグレーションの作成、読み取り、更新、削除。 |
| <a id="memberrolestandardpermissionadmin_merge_request"></a>`ADMIN_MERGE_REQUEST` | マージリクエストの承認を許可します。 |
| <a id="memberrolestandardpermissionadmin_protected_branch"></a>`ADMIN_PROTECTED_BRANCH` | プロジェクトの保護ブランチの作成、読み取り、更新、削除。 |
| <a id="memberrolestandardpermissionadmin_protected_environments"></a>`ADMIN_PROTECTED_ENVIRONMENTS` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。環境の作成、読み取り、更新、削除。 |
| <a id="memberrolestandardpermissionadmin_push_rules"></a>`ADMIN_PUSH_RULES` | グループレベルまたはプロジェクトレベルでリポジトリのプッシュルールを設定します。 |
| <a id="memberrolestandardpermissionadmin_runners"></a>`ADMIN_RUNNERS` | グループまたはプロジェクトのRunnerの作成、表示、編集、削除。Runnerの設定が含まれます。 |
| <a id="memberrolestandardpermissionadmin_security_testing"></a>`ADMIN_SECURITY_TESTING` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。セキュリティテストの設定の編集と管理。 |
| <a id="memberrolestandardpermissionadmin_terraform_state"></a>`ADMIN_TERRAFORM_STATE` | Terraformコマンドの実行、Terraform状態ファイルのロック/ロック解除、ファイルバージョンの削除。 |
| <a id="memberrolestandardpermissionadmin_vulnerability"></a>`ADMIN_VULNERABILITY` | 脆弱性オブジェクトの状態、リンクされたイシュー、重大度の編集。`read_vulnerability`権限も必要です。 |
| <a id="memberrolestandardpermissionadmin_web_hook"></a>`ADMIN_WEB_HOOK` | Webhookの管理。 |
| <a id="memberrolestandardpermissionarchive_project"></a>`ARCHIVE_PROJECT` | プロジェクトのアーカイブを許可します。 |
| <a id="memberrolestandardpermissionmanage_deploy_tokens"></a>`MANAGE_DEPLOY_TOKENS` | グループまたはプロジェクトレベルでデプロイトークンを管理します。 |
| <a id="memberrolestandardpermissionmanage_group_access_tokens"></a>`MANAGE_GROUP_ACCESS_TOKENS` | グループアクセストークンの作成、読み取り、更新、削除。トークンを作成する際に、このカスタム権限を付与されたユーザーは、そのトークンのロールとして、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolestandardpermissionmanage_merge_request_settings"></a>`MANAGE_MERGE_REQUEST_SETTINGS` | グループまたはプロジェクトレベルでマージリクエストを設定します。グループアクションには、マージチェックと承認設定の管理が含まれます。プロジェクトアクションには、MRの設定、承認ルールと設定、ブランチターゲットが含まれます。レビュアーの推奨を有効にするには、「プロジェクトアクセストークンの管理」カスタム権限を有効にする必要があります。 |
| <a id="memberrolestandardpermissionmanage_project_access_tokens"></a>`MANAGE_PROJECT_ACCESS_TOKENS` | プロジェクトアクセストークンの作成、読み取り、更新、削除。トークンを作成する際に、このカスタム権限を付与されたユーザーは、そのトークンのロールとして、カスタムロールのベースとして使用されるデフォルトロールと同じか、それよりも少ない権限のロールを選択する必要があります。 |
| <a id="memberrolestandardpermissionmanage_protected_tags"></a>`MANAGE_PROTECTED_TAGS` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。保護タグの作成、読み取り、更新、削除。 |
| <a id="memberrolestandardpermissionmanage_security_policy_link"></a>`MANAGE_SECURITY_POLICY_LINK` | セキュリティポリシープロジェクトのリンクを許可します。 |
| <a id="memberrolestandardpermissionread_code"></a>`READ_CODE` | ユーザーインターフェースでのソースコードへの読み取り専用アクセスを許可します。ユーザーが、リポジトリアーカイブの編集やダウンロード、リポジトリのクローンやプル、IDEでのソースコードの表示、プライベートプロジェクトのマージリクエストの表示をすることはできません。読み取り専用アクセスでは、本質的にファイルのローカルコピーを作成することが可能であるため、個々のファイルをダウンロードすることはできます。 |
| <a id="memberrolestandardpermissionread_compliance_dashboard"></a>`READ_COMPLIANCE_DASHBOARD` | グループとプロジェクトの準拠、違反、およびフレームワークなど、コンプライアンスさまざまな機能の読み取り。 |
| <a id="memberrolestandardpermissionread_crm_contact"></a>`READ_CRM_CONTACT` | CRM連絡先の読み取り。 |
| <a id="memberrolestandardpermissionread_dependency"></a>`READ_DEPENDENCY` | 依存関係とライセンスへの読み取り専用アクセスを許可します。 |
| <a id="memberrolestandardpermissionread_runners"></a>`READ_RUNNERS` | Runnerフリートダッシュボードなど、グループまたはプロジェクトRunnerへの読み取り専用アクセスを許可します。 |
| <a id="memberrolestandardpermissionread_vulnerability"></a>`READ_VULNERABILITY` | 脆弱性レポートとセキュリティダッシュボードの読み取り。 |
| <a id="memberrolestandardpermissionremove_group"></a>`REMOVE_GROUP` | グループを削除または復元する機能。この機能で、トップレベルグループを削除することはできません。誤って削除することがいよう、保持期間の設定を確認してください。 |
| <a id="memberrolestandardpermissionremove_project"></a>`REMOVE_PROJECT` | プロジェクトの削除を許可します。 |

### `MemberRolesAccessLevel`

グループまたはプロジェクトのメンバーのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberrolesaccessleveldeveloper"></a>`DEVELOPER` | デベロッパーロールは、機密管理アクションを制限しつつ、コードコントリビュートのためのアクセスをユーザーに提供します。 |
| <a id="memberrolesaccesslevelguest"></a>`GUEST` | ゲストロールは、プロジェクトまたはグループの表示レベルを必要とするが、変更を加えてはならないユーザー（外部関係者など）のためのロールです。 |
| <a id="memberrolesaccesslevelmaintainer"></a>`MAINTAINER` | メンテナーロールは、主にプロジェクトのコードレビュー、承認、および管理設定のために使用されます。このロールでは、プロジェクトのメンバーシップも管理できます。 |
| <a id="memberrolesaccesslevelminimal_access"></a>`MINIMAL_ACCESS` | 最小アクセスロールは、グループとプロジェクトへの最小限のアクセスを必要とするユーザーを対象とするロールです。ユーザーにもっと多くの権限のある別のロールを付与する前に、このロールをデフォルトとして割り当てることができます。 |
| <a id="memberrolesaccesslevelplanner"></a>`PLANNER` | プランナーロールは、プロジェクトの管理や作業アイテムの追跡をする必要があるが、コードのコントリビュートの必要はないチームメンバーに適しています。 |
| <a id="memberrolesaccesslevelreporter"></a>`REPORTER` | レポーターロールは、プロジェクトまたはグループについて常に情報を得る必要はあるが、積極的にコードコントリビュートをすることはないチームメンバーに適しています。 |

### `MemberRolesOrderBy`

メンバーロールを特定のフィールドにより並べ替えるための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="memberrolesorderbycreated_at"></a>`CREATED_AT` | 作成時刻で並べ替え。 |
| <a id="memberrolesorderbyid"></a>`ID` | IDで並べ替え。 |
| <a id="memberrolesorderbyname"></a>`NAME` | 名前で並べ替え。 |

### `MemberSort`

メンバーをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="membersortaccess_level_asc"></a>`ACCESS_LEVEL_ASC` | アクセスレベルの昇順。 |
| <a id="membersortaccess_level_desc"></a>`ACCESS_LEVEL_DESC` | アクセスレベルの降順。 |
| <a id="membersortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="membersortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="membersortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="membersortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="membersortuser_full_name_asc"></a>`USER_FULL_NAME_ASC` | ユーザーのフルネームの昇順。 |
| <a id="membersortuser_full_name_desc"></a>`USER_FULL_NAME_DESC` | ユーザーのフルネームの降順。 |
| <a id="membersortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="membersortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="membersortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="membersortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `MergeRequestNewState`

マージリクエストに適用する新しい状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergerequestnewstateclosed"></a>`CLOSED` | マージリクエストがオープン状態ならそれをクローズします。 |
| <a id="mergerequestnewstateopen"></a>`OPEN` | マージリクエストがクローズ状態なら、それをオープンします。 |

### `MergeRequestReviewState`

GitLabマージリクエストのレビューの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergerequestreviewstateapproved"></a>`APPROVED` | マージリクエストのレビュアーが変更を承認しました。 |
| <a id="mergerequestreviewstaterequested_changes"></a>`REQUESTED_CHANGES` | マージリクエストのレビュアーが変更をリクエストしました。 |
| <a id="mergerequestreviewstatereviewed"></a>`REVIEWED` | マージリクエストのレビュアーがレビューしました。 |
| <a id="mergerequestreviewstatereview_started"></a>`REVIEW_STARTED` | マージリクエストのレビュアーがレビューを開始しました。 |
| <a id="mergerequestreviewstateunapproved"></a>`UNAPPROVED` | マージリクエストのレビュアーが変更の承認を取り消しました。 |
| <a id="mergerequestreviewstateunreviewed"></a>`UNREVIEWED` | マージリクエストのレビュアーからのレビューを待機しています。 |

### `MergeRequestSort`

マージリクエストをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergerequestsortclosed_at_asc"></a>`CLOSED_AT_ASC` | 完了時刻の昇順。 |
| <a id="mergerequestsortclosed_at_desc"></a>`CLOSED_AT_DESC` | 完了時刻の降順。 |
| <a id="mergerequestsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="mergerequestsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="mergerequestsortlabel_priority_asc"></a>`LABEL_PRIORITY_ASC` | ラベル優先度の昇順。 |
| <a id="mergerequestsortlabel_priority_desc"></a>`LABEL_PRIORITY_DESC` | ラベル優先度の降順。 |
| <a id="mergerequestsortmerged_at_asc"></a>`MERGED_AT_ASC` | マージ時刻の昇順。 |
| <a id="mergerequestsortmerged_at_desc"></a>`MERGED_AT_DESC` | マージ時刻の降順。 |
| <a id="mergerequestsortmilestone_due_asc"></a>`MILESTONE_DUE_ASC` | マイルストーン期限の昇順。 |
| <a id="mergerequestsortmilestone_due_desc"></a>`MILESTONE_DUE_DESC` | マイルストーン期限の降順。 |
| <a id="mergerequestsortpopularity_asc"></a>`POPULARITY_ASC` | 賛成票（「いいね」の絵文字）の数の昇順。 |
| <a id="mergerequestsortpopularity_desc"></a>`POPULARITY_DESC` | 賛成票（「いいね」の絵文字）の数の降順。 |
| <a id="mergerequestsortpriority_asc"></a>`PRIORITY_ASC` | 優先度の昇順。 |
| <a id="mergerequestsortpriority_desc"></a>`PRIORITY_DESC` | 優先度の降順。 |
| <a id="mergerequestsorttitle_asc"></a>`TITLE_ASC` | タイトルの昇順。 |
| <a id="mergerequestsorttitle_desc"></a>`TITLE_DESC` | タイトルの降順。 |
| <a id="mergerequestsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="mergerequestsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="mergerequestsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="mergerequestsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="mergerequestsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="mergerequestsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `MergeRequestState`

GitLabマージリクエストの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergerequeststateall"></a>`all` | すべて利用可能。 |
| <a id="mergerequeststateclosed"></a>`closed` | 完了状態。 |
| <a id="mergerequeststatelocked"></a>`locked` | ディスカッションがロックされています。 |
| <a id="mergerequeststatemerged"></a>`merged` | マージリクエストがマージされました。 |
| <a id="mergerequeststateopened"></a>`opened` | マージリクエストがオープンされました。 |

### `MergeRequestsDashboardListType`

マージリクエストダッシュボードリストのタイプの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergerequestsdashboardlisttypeaction_based"></a>`ACTION_BASED` | アクションベースのリスト表示。 |
| <a id="mergerequestsdashboardlisttyperole_based"></a>`ROLE_BASED` | ロールベースのリスト表示。 |

### `MergeStatus`

GitLab マージリクエストをマージできるかどうかの表現。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergestatuscannot_be_merged"></a>`CANNOT_BE_MERGED` | ソースブランチとターゲットブランチの間に競合があります。 |
| <a id="mergestatuscannot_be_merged_recheck"></a>`CANNOT_BE_MERGED_RECHECK` | 現在、未チェックです。前の状態は`CANNOT_BE_MERGED`でした。 |
| <a id="mergestatuscan_be_merged"></a>`CAN_BE_MERGED` | ソースブランチとターゲットブランチの間に競合はありません。 |
| <a id="mergestatuschecking"></a>`CHECKING` | 現在、マージ可能性をチェック中です。 |
| <a id="mergestatusunchecked"></a>`UNCHECKED` | マージ状態がチェックされていません。 |

### `MergeStrategyEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergestrategyenumadd_to_merge_train_when_checks_pass"></a>`ADD_TO_MERGE_TRAIN_WHEN_CHECKS_PASS` | add_to_merge_train_when_checks_passマージ戦略を使用します。 |
| <a id="mergestrategyenummerge_train"></a>`MERGE_TRAIN` | merge_trainマージ戦略を使用します。 |
| <a id="mergestrategyenummerge_when_checks_pass"></a>`MERGE_WHEN_CHECKS_PASS` | merge_when_checks_passマージ戦略を使用します。 |
| <a id="mergestrategyenummerge_when_pipeline_succeeds"></a>`MERGE_WHEN_PIPELINE_SUCCEEDS` | merge_when_pipeline_succeedsマージ戦略を使用します。 |

### `MergeTrainStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergetrainstatusactive"></a>`ACTIVE` | アクティブなマージトレイン。 |
| <a id="mergetrainstatuscompleted"></a>`COMPLETED` | 完了したマージトレイン。 |

### `MergeabilityCheckIdentifier`

マージ可能性チェック識別子の表現。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergeabilitycheckidentifierci_must_pass"></a>`CI_MUST_PASS` | CIがパスしたかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiercommits_status"></a>`COMMITS_STATUS` | ソースブランチが存在していて、かつコミットが含まれていることをチェックします。 |
| <a id="mergeabilitycheckidentifierconflict"></a>`CONFLICT` | マージリクエストに競合があるかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierdiscussions_not_resolved"></a>`DISCUSSIONS_NOT_RESOLVED` | マージリクエストに未解決のディスカッションがあるかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierdraft_status"></a>`DRAFT_STATUS` | マージリクエストが下書きかどうかを確認します。 |
| <a id="mergeabilitycheckidentifierjira_association_missing"></a>`JIRA_ASSOCIATION_MISSING` | タイトルまたは説明がJiraのイシューを参照しているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierlocked_lfs_files"></a>`LOCKED_LFS_FILES` | マージリクエストに、マージリクエスト作成者以外のユーザーによってロックされているロックLFSファイルが含まれているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierlocked_paths"></a>`LOCKED_PATHS` | マージリクエストにロックされたパスが含まれているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiermerge_request_blocked"></a>`MERGE_REQUEST_BLOCKED` | マージリクエストがブロックされているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiermerge_time"></a>`MERGE_TIME` | マージ時刻がスケジュールされているためにマージがブロックされているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierneed_rebase"></a>`NEED_REBASE` | マージリクエストをリベースする必要があるかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiernot_approved"></a>`NOT_APPROVED` | マージリクエストが承認されているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiernot_open"></a>`NOT_OPEN` | マージリクエストがオープンされているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierrequested_changes"></a>`REQUESTED_CHANGES` | マージリクエストについて変更がリクエストされているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifiersecurity_policy_violations"></a>`SECURITY_POLICY_VIOLATIONS` | セキュリティポリシーが満たされているかどうかをチェックします。 |
| <a id="mergeabilitycheckidentifierstatus_checks_must_pass"></a>`STATUS_CHECKS_MUST_PASS` | 外部状態チェックをパスしたかどうかをチェックします。 |

### `MergeabilityCheckStatus`

マージ可能性チェックがパスしたか、チェック中か、失敗したか、それとも無効（非アクティブ）かの表現。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mergeabilitycheckstatuschecking"></a>`CHECKING` | マージ可能性チェックをチェック中です。 |
| <a id="mergeabilitycheckstatusfailed"></a>`FAILED` | マージ可能性チェックが失敗しました。マージリクエストをマージできません。 |
| <a id="mergeabilitycheckstatusinactive"></a>`INACTIVE` | マージ可能性チェックは設定で無効になっています。 |
| <a id="mergeabilitycheckstatussuccess"></a>`SUCCESS` | マージ可能性チェックはパスしました。 |
| <a id="mergeabilitycheckstatuswarning"></a>`WARNING` | マージ可能性チェックは警告付きでパスしました。 |

### `MilestoneSort`

マイルストーンをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="milestonesortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="milestonesortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="milestonesortdue_date_asc"></a>`DUE_DATE_ASC` | マイルストーン期限の昇順。 |
| <a id="milestonesortdue_date_desc"></a>`DUE_DATE_DESC` | マイルストーン期限の降順。 |
| <a id="milestonesortexpired_last_due_date_asc"></a>`EXPIRED_LAST_DUE_DATE_ASC` | マイルストーンを、期限があるが期限切れになってはいないマイルストーン、期限がなく期限切れになってはいないマイルストーン、期限切れのマイルストーンの順にグループ化し、その後、期限の昇順にソートします。 |
| <a id="milestonesortexpired_last_due_date_desc"></a>`EXPIRED_LAST_DUE_DATE_DESC` | マイルストーンを、期限があるが期限切れになってはいないマイルストーン、期限がなく期限切れになってはいないマイルストーン、期限切れのマイルストーンの順にグループ化し、その後、期限の降順にソートします。 |
| <a id="milestonesortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="milestonesortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="milestonesortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="milestonesortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="milestonesortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="milestonesortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `MilestoneStateEnum`

マイルストーンの現在の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="milestonestateenumactive"></a>`active` | マイルストーンは現在アクティブです。 |
| <a id="milestonestateenumclosed"></a>`closed` | マイルストーンは完了しました。 |

### `MilestoneWildcardId`

マイルストーンIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="milestonewildcardidany"></a>`ANY` | マイルストーンが割り当てられています。 |
| <a id="milestonewildcardidnone"></a>`NONE` | マイルストーンは割り当てられていません。 |
| <a id="milestonewildcardidstarted"></a>`STARTED` | 割り当てられたマイルストーンは、オープン状態であり、開始されています（開始日 <= 今日）。 |
| <a id="milestonewildcardidupcoming"></a>`UPCOMING` | 割り当てられたマイルストーンは、期限が将来に設定されています（期限 > 今日）。 |

### `MlModelVersionsOrderBy`

機械学習（ML）モデルのバージョンを並べ替えるためのフィールド名。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mlmodelversionsorderbycreated_at"></a>`CREATED_AT` | 作成時刻で並べ替え。 |
| <a id="mlmodelversionsorderbyid"></a>`ID` | IDで並べ替え。 |
| <a id="mlmodelversionsorderbyversion"></a>`VERSION` | 名前で並べ替え。 |

### `MlModelsOrderBy`

機械学習（ML）モデルを特定のフィールドによって並べ替えるための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mlmodelsorderbycreated_at"></a>`CREATED_AT` | 作成時刻で並べ替え。 |
| <a id="mlmodelsorderbyid"></a>`ID` | IDで並べ替え。 |
| <a id="mlmodelsorderbyname"></a>`NAME` | 名前で並べ替え。 |
| <a id="mlmodelsorderbyupdated_at"></a>`UPDATED_AT` | 更新時刻で並べ替え。 |

### `MoveType`

隣接オブジェクトの移動先となる位置。

| 値 | 説明 |
| ----- | ----------- |
| <a id="movetypeafter"></a>`after` | 隣接オブジェクトは、移動対象オブジェクトの後に移動されます。 |
| <a id="movetypebefore"></a>`before` | 隣接オブジェクトは、移動対象オブジェクトの前に移動されます。 |

### `MutationOperationMode`

Mutatorの動作を変更するためのさまざまな切替。

| 値 | 説明 |
| ----- | ----------- |
| <a id="mutationoperationmodeappend"></a>`APPEND` | 付加操作を実行します。 |
| <a id="mutationoperationmoderemove"></a>`REMOVE` | 削除操作を実行します。 |
| <a id="mutationoperationmodereplace"></a>`REPLACE` | 置換操作を実行します。 |

### `NamespaceClusterAgentFilter`

ネームスペース内のリモート開発クラスターエージェントで使用可能なフィルタータイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="namespaceclusteragentfilteravailable"></a>`AVAILABLE` | ワークスペースのホスティングに使用できる、ネームスペース内のクラスターエージェント。 |
| <a id="namespaceclusteragentfilterdirectly_mapped"></a>`DIRECTLY_MAPPED` | 指定されたネームスペースに直接マップされているクラスターエージェント。 |
| <a id="namespaceclusteragentfilterunmapped"></a>`UNMAPPED` | ネームスペース内のクラスターエージェントのうち、それに直接マップされていないもの。 |

### `NamespaceProjectSort`

プロジェクトをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="namespaceprojectsortactivity_desc"></a>`ACTIVITY_DESC` | 最新のアクティビティーの降順にソート。 |
| <a id="namespaceprojectsortbuild_artifacts_size_asc"></a>`BUILD_ARTIFACTS_SIZE_ASC` | ビルドアーティファクトの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortbuild_artifacts_size_desc"></a>`BUILD_ARTIFACTS_SIZE_DESC` | ビルドアーティファクトの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortcontainer_registry_size_asc"></a>`CONTAINER_REGISTRY_SIZE_ASC` | コンテナレジストリの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortcontainer_registry_size_desc"></a>`CONTAINER_REGISTRY_SIZE_DESC` | コンテナレジストリの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortexcess_repo_storage_size_desc"></a>`EXCESS_REPO_STORAGE_SIZE_DESC` | リポジトリストレージの超過サイズの降順にソート。 |
| <a id="namespaceprojectsortlfs_objects_size_asc"></a>`LFS_OBJECTS_SIZE_ASC` | LFSオブジェクトの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortlfs_objects_size_desc"></a>`LFS_OBJECTS_SIZE_DESC` | LFSオブジェクトの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortpackages_size_asc"></a>`PACKAGES_SIZE_ASC` | パッケージの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortpackages_size_desc"></a>`PACKAGES_SIZE_DESC` | パッケージの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortrepository_size_asc"></a>`REPOSITORY_SIZE_ASC` | リポジトリの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortrepository_size_desc"></a>`REPOSITORY_SIZE_DESC` | リポジトリの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortsimilarity"></a>`SIMILARITY` | 検索クエリに最も類似。 |
| <a id="namespaceprojectsortsnippets_size_asc"></a>`SNIPPETS_SIZE_ASC` | スニペットの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortsnippets_size_desc"></a>`SNIPPETS_SIZE_DESC` | スニペットの合計サイズの降順にソート。 |
| <a id="namespaceprojectsortstorage"></a>`STORAGE` {{< icon name="warning-solid" >}} | GitLab 16.9で**非推奨**になりました。EXCESS_REPO_STORAGE_SIZE_DESCを使用してください。 |
| <a id="namespaceprojectsortstorage_size_asc"></a>`STORAGE_SIZE_ASC` | 合計ストレージサイズの昇順にソート。 |
| <a id="namespaceprojectsortstorage_size_desc"></a>`STORAGE_SIZE_DESC` | 合計ストレージサイズの降順にソート。 |
| <a id="namespaceprojectsortwiki_size_asc"></a>`WIKI_SIZE_ASC` | Wikiの合計サイズの昇順にソート。 |
| <a id="namespaceprojectsortwiki_size_desc"></a>`WIKI_SIZE_DESC` | Wikiの合計サイズの降順にソート。 |

### `NegatedIterationWildcardId`

イテレーションIDの否定ワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="negatediterationwildcardidcurrent"></a>`CURRENT` | 現在のイテレーション。 |

### `NegatedMilestoneWildcardId`

マイルストーンIDの否定ワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="negatedmilestonewildcardidstarted"></a>`STARTED` | 割り当てられたマイルストーンは、オープン状態ですが、まだ開始されていません（開始日 > 今日）。 |
| <a id="negatedmilestonewildcardidupcoming"></a>`UPCOMING` | 割り当てられたマイルストーンは、オープン状態ですが、期限が過去に設定されています（期限 <= 今日）。 |

### `NotesFilterType`

作業アイテムノートコレクションのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="notesfiltertypeall_notes"></a>`ALL_NOTES` | すべてのアクティビティーを表示。 |
| <a id="notesfiltertypeonly_activity"></a>`ONLY_ACTIVITY` | 履歴のみを表示。 |
| <a id="notesfiltertypeonly_comments"></a>`ONLY_COMMENTS` | コメントのみを表示。 |

### `OncallRotationUnitEnum`

オンコールローテーションのローテーション長の単位。

| 値 | 説明 |
| ----- | ----------- |
| <a id="oncallrotationunitenumdays"></a>`DAYS` | 日。 |
| <a id="oncallrotationunitenumhours"></a>`HOURS` | 時間。 |
| <a id="oncallrotationunitenumweeks"></a>`WEEKS` | 週。 |

### `OpenTelemetryMetricType`

OpenTelemetryメトリクスのタイプを定義するenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="opentelemetrymetrictypeexponential_histogram_type"></a>`EXPONENTIAL_HISTOGRAM_TYPE` | 指数ヒストグラムタイプ。 |
| <a id="opentelemetrymetrictypegauge_type"></a>`GAUGE_TYPE` | ゲージタイプ。 |
| <a id="opentelemetrymetrictypehistogram_type"></a>`HISTOGRAM_TYPE` | ヒストグラムタイプ。 |
| <a id="opentelemetrymetrictypesum_type"></a>`SUM_TYPE` | 合計タイプ。 |

### `OrganizationGroupProjectDisplay`

組織のグループとプロジェクトのデフォルトのリスト表示。

| 値 | 説明 |
| ----- | ----------- |
| <a id="organizationgroupprojectdisplaygroups"></a>`GROUPS` {{< icon name="warning-solid" >}} | GitLab 17.2で**導入**。**状態**: 実験。組織グループのリストを表示します。 |
| <a id="organizationgroupprojectdisplayprojects"></a>`PROJECTS` {{< icon name="warning-solid" >}} | GitLab 17.2で**導入**。**状態**: 実験。組織プロジェクトのリストを表示します。 |

### `OrganizationGroupProjectSort`

組織のグループとプロジェクトをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="organizationgroupprojectsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="organizationgroupprojectsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="organizationgroupprojectsortname_asc"></a>`NAME_ASC` {{< icon name="warning-solid" >}} | GitLab 17.2で**導入**。**状態**: 実験。名前の昇順。 |
| <a id="organizationgroupprojectsortname_desc"></a>`NAME_DESC` {{< icon name="warning-solid" >}} | GitLab 17.2で**導入**。**状態**: 実験。名前の降順。 |
| <a id="organizationgroupprojectsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="organizationgroupprojectsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="organizationgroupprojectsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="organizationgroupprojectsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="organizationgroupprojectsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="organizationgroupprojectsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `OrganizationSort`

組織をソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="organizationsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="organizationsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="organizationsortdefault_rate_asc"></a>`DEFAULT_RATE_ASC` | デフォルトレートの昇順。 |
| <a id="organizationsortdefault_rate_desc"></a>`DEFAULT_RATE_DESC` | デフォルトレートの降順。 |
| <a id="organizationsortdescription_asc"></a>`DESCRIPTION_ASC` | 説明の昇順。 |
| <a id="organizationsortdescription_desc"></a>`DESCRIPTION_DESC` | 説明の降順。 |
| <a id="organizationsortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="organizationsortname_desc"></a>`NAME_DESC` | 名前の降順。 |
| <a id="organizationsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="organizationsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="organizationsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="organizationsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="organizationsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="organizationsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `OrganizationUserAccessLevel`

組織ユーザーのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="organizationuseraccessleveldefault"></a>`DEFAULT` {{< icon name="warning-solid" >}} | GitLab 16.11で**導入**。**状態**: 実験。ゲストアクセス。 |
| <a id="organizationuseraccesslevelowner"></a>`OWNER` {{< icon name="warning-solid" >}} | GitLab 16.11で**導入**。**状態**: 実験。オーナーアクセス。 |

### `PackageDependencyType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagedependencytypebundle_dependencies"></a>`BUNDLE_DEPENDENCIES` | bundleDependencies依存関係タイプ。 |
| <a id="packagedependencytypedependencies"></a>`DEPENDENCIES` | dependencies依存関係タイプ。 |
| <a id="packagedependencytypedev_dependencies"></a>`DEV_DEPENDENCIES` | devDependencies依存関係タイプ。 |
| <a id="packagedependencytypepeer_dependencies"></a>`PEER_DEPENDENCIES` | peerDependencies依存関係タイプ。 |

### `PackageGroupSort`

グループパッケージをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagegroupsortcreated_asc"></a>`CREATED_ASC` | created_atの昇順に並べ替え。 |
| <a id="packagegroupsortcreated_desc"></a>`CREATED_DESC` | created_atの降順に並べ替え。 |
| <a id="packagegroupsortname_asc"></a>`NAME_ASC` | 名前の昇順に並べ替え。 |
| <a id="packagegroupsortname_desc"></a>`NAME_DESC` | 名前の降順に並べ替え。 |
| <a id="packagegroupsortproject_path_asc"></a>`PROJECT_PATH_ASC` | プロジェクトパスの昇順に並べ替え。 |
| <a id="packagegroupsortproject_path_desc"></a>`PROJECT_PATH_DESC` | プロジェクトパスの降順に並べ替え。 |
| <a id="packagegroupsorttype_asc"></a>`TYPE_ASC` | タイプの昇順に並べ替え。 |
| <a id="packagegroupsorttype_desc"></a>`TYPE_DESC` | タイプの降順に並べ替え。 |
| <a id="packagegroupsortversion_asc"></a>`VERSION_ASC` | バージョンの昇順に並べ替え。 |
| <a id="packagegroupsortversion_desc"></a>`VERSION_DESC` | バージョンの降順に並べ替え。 |

### `PackageManager`

パッケージマネージャーの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagemanagerapk"></a>`APK` | パッケージマネージャー: apk。 |
| <a id="packagemanagerbundler"></a>`BUNDLER` | パッケージマネージャー: bundler。 |
| <a id="packagemanagercomposer"></a>`COMPOSER` | パッケージマネージャー: composer。 |
| <a id="packagemanagerconan"></a>`CONAN` | パッケージマネージャー: conan。 |
| <a id="packagemanagerconda"></a>`CONDA` | パッケージマネージャー: conda。 |
| <a id="packagemanagergo"></a>`GO` | パッケージマネージャー: go。 |
| <a id="packagemanagergradle"></a>`GRADLE` | パッケージマネージャー: gradle。 |
| <a id="packagemanagermaven"></a>`MAVEN` | パッケージマネージャー: maven。 |
| <a id="packagemanagernpm"></a>`NPM` | パッケージマネージャー: npm。 |
| <a id="packagemanagernuget"></a>`NUGET` | パッケージマネージャー: nuget。 |
| <a id="packagemanagerpip"></a>`PIP` | パッケージマネージャー: pip。 |
| <a id="packagemanagerpipenv"></a>`PIPENV` | パッケージマネージャー: pipenv。 |
| <a id="packagemanagerpnpm"></a>`PNPM` | パッケージマネージャー: pnpm。 |
| <a id="packagemanagerpoetry"></a>`POETRY` | パッケージマネージャー: poetry。 |
| <a id="packagemanagerpub"></a>`PUB` | パッケージマネージャー: pub。 |
| <a id="packagemanagersbt"></a>`SBT` | パッケージマネージャー: sbt。 |
| <a id="packagemanagersetuptools"></a>`SETUPTOOLS` | パッケージマネージャー: setuptools。 |
| <a id="packagemanageryarn"></a>`YARN` | パッケージマネージャー: yarn。 |

### `PackageSort`

パッケージをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagesortcreated_asc"></a>`CREATED_ASC` | created_atの昇順に並べ替え。 |
| <a id="packagesortcreated_desc"></a>`CREATED_DESC` | created_atの降順に並べ替え。 |
| <a id="packagesortname_asc"></a>`NAME_ASC` | 名前の昇順に並べ替え。 |
| <a id="packagesortname_desc"></a>`NAME_DESC` | 名前の降順に並べ替え。 |
| <a id="packagesorttype_asc"></a>`TYPE_ASC` | タイプの昇順に並べ替え。 |
| <a id="packagesorttype_desc"></a>`TYPE_DESC` | タイプの降順に並べ替え。 |
| <a id="packagesortversion_asc"></a>`VERSION_ASC` | バージョンの昇順に並べ替え。 |
| <a id="packagesortversion_desc"></a>`VERSION_DESC` | バージョンの降順に並べ替え。 |

### `PackageStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagestatusdefault"></a>`DEFAULT` | デフォルト状態のパッケージ。 |
| <a id="packagestatusdeprecated"></a>`DEPRECATED` | 非推奨状態のパッケージ。 |
| <a id="packagestatuserror"></a>`ERROR` | エラー状態のパッケージ。 |
| <a id="packagestatushidden"></a>`HIDDEN` | 非表示状態のパッケージ。 |
| <a id="packagestatuspending_destruction"></a>`PENDING_DESTRUCTION` | pending_destruction状態のパッケージ。 |
| <a id="packagestatusprocessing"></a>`PROCESSING` | 処理中状態のパッケージ。 |

### `PackageTypeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagetypeenumcomposer"></a>`COMPOSER` | Composerパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumconan"></a>`CONAN` | Conanパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumdebian"></a>`DEBIAN` | Debianパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumgeneric"></a>`GENERIC` | Genericパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumgolang"></a>`GOLANG` | Golangパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumhelm"></a>`HELM` | Helmパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenummaven"></a>`MAVEN` | Mavenパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumml_model"></a>`ML_MODEL` | Ml_modelパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumnpm"></a>`NPM` | npmパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumnuget"></a>`NUGET` | Nugetパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumpypi"></a>`PYPI` | PyPIパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumrpm"></a>`RPM` | Rpmパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumrubygems"></a>`RUBYGEMS` | Rubygemsパッケージマネージャーのパッケージ。 |
| <a id="packagetypeenumterraform_module"></a>`TERRAFORM_MODULE` | Terraform Moduleパッケージマネージャーのパッケージ。 |

### `PackagesCleanupKeepDuplicatedPackageFilesEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagescleanupkeepduplicatedpackagefilesenumall_package_files"></a>`ALL_PACKAGE_FILES` | すべてのパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumfifty_package_files"></a>`FIFTY_PACKAGE_FILES` | 50個のパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumforty_package_files"></a>`FORTY_PACKAGE_FILES` | 40個のパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumone_package_file"></a>`ONE_PACKAGE_FILE` | 1個のパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumten_package_files"></a>`TEN_PACKAGE_FILES` | 10個のパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumthirty_package_files"></a>`THIRTY_PACKAGE_FILES` | 30個のパッケージファイルを保持する値。 |
| <a id="packagescleanupkeepduplicatedpackagefilesenumtwenty_package_files"></a>`TWENTY_PACKAGE_FILES` | 20個のパッケージファイルを保持する値。 |

### `PackagesProtectionRuleAccessLevel`

パッケージ保護ルールリソースのアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagesprotectionruleaccessleveladmin"></a>`ADMIN` | 管理者アクセス。 |
| <a id="packagesprotectionruleaccesslevelmaintainer"></a>`MAINTAINER` | メンテナーアクセス。 |
| <a id="packagesprotectionruleaccesslevelowner"></a>`OWNER` | オーナーアクセス。 |

### `PackagesProtectionRuleAccessLevelForDelete`

パッケージ保護ルールリソースの削除のアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagesprotectionruleaccesslevelfordeleteadmin"></a>`ADMIN` | 管理者アクセス。機能フラグ`packages_protected_packages_delete`が有効な場合にのみ使用可能。 |
| <a id="packagesprotectionruleaccesslevelfordeleteowner"></a>`OWNER` | オーナーアクセス。機能フラグ`packages_protected_packages_delete`が有効な場合にのみ使用可能。 |

### `PackagesProtectionRulePackageType`

パッケージ保護ルールリソースのパッケージタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="packagesprotectionrulepackagetypeconan"></a>`CONAN` {{< icon name="warning-solid" >}} | GitLab 17.6で**導入**。**状態**: 実験。Conan形式のパッケージ。機能フラグ`packages_protected_packages_conan`が有効な場合にのみ使用可能。 |
| <a id="packagesprotectionrulepackagetypemaven"></a>`MAVEN` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。Maven形式のパッケージ。機能フラグ`packages_protected_packages_maven`が有効な場合にのみ使用可能。 |
| <a id="packagesprotectionrulepackagetypenpm"></a>`NPM` | npm形式のパッケージ。 |
| <a id="packagesprotectionrulepackagetypepypi"></a>`PYPI` | PyPI形式のパッケージ。 |

### `PipelineAnalyticsJobStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelineanalyticsjobstatusany"></a>`ANY` | 任意の状態のジョブ。 |
| <a id="pipelineanalyticsjobstatusfailed"></a>`FAILED` | 失敗したジョブ。 |
| <a id="pipelineanalyticsjobstatusother"></a>`OTHER` | キャンセルまたはスキップされたジョブ。 |
| <a id="pipelineanalyticsjobstatussuccess"></a>`SUCCESS` | 成功したジョブ。 |

### `PipelineConfigSourceEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelineconfigsourceenumauto_devops_source"></a>`AUTO_DEVOPS_SOURCE` | Auto DevOpsソース。 |
| <a id="pipelineconfigsourceenumbridge_source"></a>`BRIDGE_SOURCE` | ブリッジソース。 |
| <a id="pipelineconfigsourceenumcompliance_source"></a>`COMPLIANCE_SOURCE` | コンプライアンスソース。 |
| <a id="pipelineconfigsourceenumexternal_project_source"></a>`EXTERNAL_PROJECT_SOURCE` | 外部プロジェクトソース。 |
| <a id="pipelineconfigsourceenumparameter_source"></a>`PARAMETER_SOURCE` | パラメータソース。 |
| <a id="pipelineconfigsourceenumpipeline_execution_policy_forced"></a>`PIPELINE_EXECUTION_POLICY_FORCED` | 強制適用されたパイプライン実行ポリシー。 |
| <a id="pipelineconfigsourceenumremote_source"></a>`REMOTE_SOURCE` | リモートソース。 |
| <a id="pipelineconfigsourceenumrepository_source"></a>`REPOSITORY_SOURCE` | リポジトリソース。 |
| <a id="pipelineconfigsourceenumsecurity_policies_default_source"></a>`SECURITY_POLICIES_DEFAULT_SOURCE` | セキュリティポリシーのデフォルトソース。 |
| <a id="pipelineconfigsourceenumunknown_source"></a>`UNKNOWN_SOURCE` | 不明なソース。 |
| <a id="pipelineconfigsourceenumwebide_source"></a>`WEBIDE_SOURCE` | Webideソース。 |

### `PipelineMergeRequestEventType`

マージリクエストに関連付けられているパイプラインのイベントタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelinemergerequesteventtypedetached"></a>`DETACHED` | マージリクエストのソースブランチの変更に対して実行されるパイプライン。 |
| <a id="pipelinemergerequesteventtypemerged_result"></a>`MERGED_RESULT` | ソースブランチによる変更とターゲットブランチを組み合わせたものに対して実行されるパイプライン。 |
| <a id="pipelinemergerequesteventtypemerge_train"></a>`MERGE_TRAIN` | マージトレインの一部として実行されたパイプライン。 |

### `PipelineScheduleSort`

パイプラインスケジュールをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelineschedulesortcreated_at_asc"></a>`CREATED_AT_ASC` | パイプラインスケジュールを作成日の昇順にソート。 |
| <a id="pipelineschedulesortcreated_at_desc"></a>`CREATED_AT_DESC` | パイプラインスケジュールを作成日の降順にソート。 |
| <a id="pipelineschedulesortdescription_asc"></a>`DESCRIPTION_ASC` | パイプラインスケジュールを説明の昇順にソート。 |
| <a id="pipelineschedulesortdescription_desc"></a>`DESCRIPTION_DESC` | パイプラインスケジュールを説明の降順にソート。 |
| <a id="pipelineschedulesortid_asc"></a>`ID_ASC` | パイプラインスケジュールをIDの昇順にソート。 |
| <a id="pipelineschedulesortid_desc"></a>`ID_DESC` | パイプラインスケジュールをIDの降順にソート。 |
| <a id="pipelineschedulesortnext_run_at_asc"></a>`NEXT_RUN_AT_ASC` | パイプラインスケジュールを次の実行の昇順にソート。 |
| <a id="pipelineschedulesortnext_run_at_desc"></a>`NEXT_RUN_AT_DESC` | パイプラインスケジュールを次の実行の降順にソート。 |
| <a id="pipelineschedulesortref_asc"></a>`REF_ASC` | パイプラインスケジュールをターゲットの昇順にソート。 |
| <a id="pipelineschedulesortref_desc"></a>`REF_DESC` | パイプラインスケジュールをターゲットの降順にソート。 |
| <a id="pipelineschedulesortupdated_at_asc"></a>`UPDATED_AT_ASC` | パイプラインスケジュールを更新日の昇順にソート。 |
| <a id="pipelineschedulesortupdated_at_desc"></a>`UPDATED_AT_DESC` | パイプラインスケジュールを更新日の降順にソート。 |

### `PipelineScheduleStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelineschedulestatusactive"></a>`ACTIVE` | アクティブなパイプラインスケジュール。 |
| <a id="pipelineschedulestatusinactive"></a>`INACTIVE` | 無効なパイプラインスケジュール。 |

### `PipelineScopeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelinescopeenumbranches"></a>`BRANCHES` | ブランチ。 |
| <a id="pipelinescopeenumfinished"></a>`FINISHED` | パイプラインは完了しました。 |
| <a id="pipelinescopeenumpending"></a>`PENDING` | パイプラインはまだ実行を開始していません。 |
| <a id="pipelinescopeenumrunning"></a>`RUNNING` | パイプラインは実行中です。 |
| <a id="pipelinescopeenumtags"></a>`TAGS` | タグ。 |

### `PipelineSecurityReportFindingSort`

パイプラインセキュリティレポート発見のソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelinesecurityreportfindingsortseverity_asc"></a>`severity_asc` | 重大度の昇順。 |
| <a id="pipelinesecurityreportfindingsortseverity_desc"></a>`severity_desc` | 重大度の降順。 |

### `PipelineStatusEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelinestatusenumcanceled"></a>`CANCELED` | パイプラインが完了する前にキャンセルされました。 |
| <a id="pipelinestatusenumcanceling"></a>`CANCELING` | パイプラインはキャンセル処理中です。 |
| <a id="pipelinestatusenumcreated"></a>`CREATED` | パイプラインが作成されました。 |
| <a id="pipelinestatusenumfailed"></a>`FAILED` | パイプラインの少なくとも1つのステージが失敗しました。 |
| <a id="pipelinestatusenummanual"></a>`MANUAL` | パイプラインを手動で開始する必要があります。 |
| <a id="pipelinestatusenumpending"></a>`PENDING` | パイプラインはまだ実行を開始していません。 |
| <a id="pipelinestatusenumpreparing"></a>`PREPARING` | パイプラインは実行準備中です。 |
| <a id="pipelinestatusenumrunning"></a>`RUNNING` | パイプラインは実行中です。 |
| <a id="pipelinestatusenumscheduled"></a>`SCHEDULED` | パイプラインの実行がスケジュールされています。 |
| <a id="pipelinestatusenumskipped"></a>`SKIPPED` | パイプラインはスキップされました。 |
| <a id="pipelinestatusenumsuccess"></a>`SUCCESS` | パイプラインは正常に完了しました。 |
| <a id="pipelinestatusenumwaiting_for_callback"></a>`WAITING_FOR_CALLBACK` | パイプラインは外部アクションを待機中です。 |
| <a id="pipelinestatusenumwaiting_for_resource"></a>`WAITING_FOR_RESOURCE` | パイプラインの実行に必要なリソース（Runnerなど）が利用できません。 |

### `PipelineVariablesDefaultRoleType`

パイプライン変数の最小オーバーライドロール。

| 値 | 説明 |
| ----- | ----------- |
| <a id="pipelinevariablesdefaultroletypedeveloper"></a>`DEVELOPER` | デベロッパー。 |
| <a id="pipelinevariablesdefaultroletypemaintainer"></a>`MAINTAINER` | メンテナー。 |
| <a id="pipelinevariablesdefaultroletypeno_one_allowed"></a>`NO_ONE_ALLOWED` | 許可されていません。 |
| <a id="pipelinevariablesdefaultroletypeowner"></a>`OWNER` | オーナー。 |

### `PolicyProjectCreatedStatus`

セキュリティポリシープロジェクトの作成状態のタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="policyprojectcreatedstatuserror"></a>`ERROR` | セキュリティポリシープロジェクトの作成に失敗しました。 |
| <a id="policyprojectcreatedstatussuccess"></a>`SUCCESS` | セキュリティポリシープロジェクトの作成に成功しました。 |

### `PolicyViolationErrorType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="policyviolationerrortypeartifacts_missing"></a>`ARTIFACTS_MISSING` | パイプラインの設定に誤りがあり、ポリシーを評価するために必要なアーティファクトが含まれていない場合に発生するエラーを表します。 |
| <a id="policyviolationerrortypescan_removed"></a>`SCAN_REMOVED` | ソースパイプラインとターゲットパイプラインの間でスキャンの不一致があることを表します。 |
| <a id="policyviolationerrortypeunknown"></a>`UNKNOWN` | 不明なエラーを表します。 |

### `PolicyViolationStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="policyviolationstatusfailed"></a>`FAILED` | 失敗したポリシー違反を表します。 |
| <a id="policyviolationstatusrunning"></a>`RUNNING` | 実行中のポリシー違反を表します。 |
| <a id="policyviolationstatuswarning"></a>`WARNING` | ポリシー違反の警告を表します。 |

### `ProductAnalyticsState`

プロダクト分析スタックの現在の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="productanalyticsstatecomplete"></a>`COMPLETE` | スタックは初期化され、データがあります。 |
| <a id="productanalyticsstatecreate_instance"></a>`CREATE_INSTANCE` | スタックはまだ作成されていません。 |
| <a id="productanalyticsstateloading_instance"></a>`LOADING_INSTANCE` | スタックは現在初期化中です。 |
| <a id="productanalyticsstatewaiting_for_events"></a>`WAITING_FOR_EVENTS` | スタックはユーザーからのイベントを待機しています。 |

### `ProjectArchived`

archived引数の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectarchivedexclude"></a>`EXCLUDE` | アーカイブ済みプロジェクトを除外します。 |
| <a id="projectarchivedinclude"></a>`INCLUDE` | アーカイブ済みプロジェクトを含めます。 |
| <a id="projectarchivedonly"></a>`ONLY` | アーカイブ済みプロジェクトのみ。 |

### `ProjectComplianceControlStatus`

プロジェクトコントロールのコンプライアンス状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectcompliancecontrolstatusfail"></a>`FAIL` | 失敗。 |
| <a id="projectcompliancecontrolstatuspass"></a>`PASS` | パス。 |
| <a id="projectcompliancecontrolstatuspending"></a>`PENDING` | 保留中。 |

### `ProjectFeatureAccessLevel`

プロジェクト機能のアクセスレベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectfeatureaccessleveldisabled"></a>`DISABLED` | 誰に対しても有効になっていません。 |
| <a id="projectfeatureaccesslevelenabled"></a>`ENABLED` | プロジェクトにアクセスできるあらゆるユーザーに対して有効。 |
| <a id="projectfeatureaccesslevelprivate"></a>`PRIVATE` | チームメンバーに対してのみ有効。 |

### `ProjectMemberRelation`

プロジェクトメンバーの関係。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectmemberrelationdescendants"></a>`DESCENDANTS` | 子孫メンバー。 |
| <a id="projectmemberrelationdirect"></a>`DIRECT` | 直接のメンバー。 |
| <a id="projectmemberrelationinherited"></a>`INHERITED` | 継承メンバー。 |
| <a id="projectmemberrelationinvited_groups"></a>`INVITED_GROUPS` | 招待されたグループのメンバー。 |
| <a id="projectmemberrelationshared_into_ancestors"></a>`SHARED_INTO_ANCESTORS` | 祖先に共有されたメンバー。 |

### `ProjectSecretsManagerStatus`

プロジェクトシークレットマネージャーの状態の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectsecretsmanagerstatusactive"></a>`ACTIVE` | シークレットマネージャーがプロビジョニングされました。 |
| <a id="projectsecretsmanagerstatusprovisioning"></a>`PROVISIONING` | シークレットマネージャーはプロビジョニング中です。 |

### `ProjectSort`

プロジェクトをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="projectsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="projectsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="projectsortid_asc"></a>`ID_ASC` | IDの昇順。 |
| <a id="projectsortid_desc"></a>`ID_DESC` | IDの降順。 |
| <a id="projectsortlatest_activity_asc"></a>`LATEST_ACTIVITY_ASC` | 最終アクティビティーの昇順。 |
| <a id="projectsortlatest_activity_desc"></a>`LATEST_ACTIVITY_DESC` | 最終アクティビティーの降順。 |
| <a id="projectsortname_asc"></a>`NAME_ASC` | 名前の昇順。 |
| <a id="projectsortname_desc"></a>`NAME_DESC` | 名前の降順。 |
| <a id="projectsortpath_asc"></a>`PATH_ASC` | パスの昇順。 |
| <a id="projectsortpath_desc"></a>`PATH_DESC` | パスの降順。 |
| <a id="projectsortstars_asc"></a>`STARS_ASC` | スターの昇順。 |
| <a id="projectsortstars_desc"></a>`STARS_DESC` | スターの降順。 |
| <a id="projectsortstorage_size_asc"></a>`STORAGE_SIZE_ASC` | ストレージサイズの昇順。 |
| <a id="projectsortstorage_size_desc"></a>`STORAGE_SIZE_DESC` | ストレージサイズの降順。 |
| <a id="projectsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="projectsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="projectsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="projectsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="projectsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="projectsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `ReachabilityType`

依存関係到達可能性状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="reachabilitytypein_use"></a>`IN_USE` | 依存関係がインポートされ、使用中です。 |
| <a id="reachabilitytypeunknown"></a>`UNKNOWN` | 依存関係の到達可能性状態は不明です。 |

### `RefType`

refのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="reftypeheads"></a>`HEADS` | ブランチのrefタイプ。 |
| <a id="reftypetags"></a>`TAGS` | タグのrefタイプ。 |

### `RegistryState`

Geoレジストリの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="registrystatefailed"></a>`FAILED` | 同期に失敗したレジストリ。 |
| <a id="registrystatepending"></a>`PENDING` | 同期待ちのレジストリ。 |
| <a id="registrystatestarted"></a>`STARTED` | 現在同期中のレジストリ。 |
| <a id="registrystatesynced"></a>`SYNCED` | 同期済みのレジストリ。 |

### `RelativePositionType`

オブジェクトの移動先位置。

| 値 | 説明 |
| ----- | ----------- |
| <a id="relativepositiontypeafter"></a>`AFTER` | オブジェクトは、隣接オブジェクトの後に移動されます。 |
| <a id="relativepositiontypebefore"></a>`BEFORE` | オブジェクトは、隣接オブジェクトの前に移動されます。 |

### `ReleaseAssetLinkType`

リンクのタイプ: `other`、`runbook`、`image`、`package`。

| 値 | 説明 |
| ----- | ----------- |
| <a id="releaseassetlinktypeimage"></a>`IMAGE` | イメージリンクタイプ。 |
| <a id="releaseassetlinktypeother"></a>`OTHER` | その他のリンクタイプ。 |
| <a id="releaseassetlinktypepackage"></a>`PACKAGE` | パッケージリンクタイプ。 |
| <a id="releaseassetlinktyperunbook"></a>`RUNBOOK` | 手順書リンクタイプ。 |

### `ReleaseSort`

リリースをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="releasesortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="releasesortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="releasesortreleased_at_asc"></a>`RELEASED_AT_ASC` | リリース日の昇順。 |
| <a id="releasesortreleased_at_desc"></a>`RELEASED_AT_DESC` | リリース日の降順。 |

### `ReleaseTagWildcardId`

リリースタグIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="releasetagwildcardidany"></a>`ANY` | リリースタグが割り当てられています。 |
| <a id="releasetagwildcardidnone"></a>`NONE` | リリースタグが割り当てられていません。 |

### `ReplicationStateEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="replicationstateenumfailed"></a>`FAILED` | レプリケーションプロセスは完了しましたが、失敗しました。 |
| <a id="replicationstateenumpending"></a>`PENDING` | レプリケーションプロセスが開始されていません。 |
| <a id="replicationstateenumstarted"></a>`STARTED` | レプリケーションプロセスが進行中です。 |
| <a id="replicationstateenumsynced"></a>`SYNCED` | レプリケーションプロセスは正常に完了しました。 |

### `RequirementState`

要件の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="requirementstatearchived"></a>`ARCHIVED` | アーカイブ済み要件。 |
| <a id="requirementstateopened"></a>`OPENED` | 未解決要件。 |

### `RequirementStatusFilter`

最終テストレポートに基づく要件の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="requirementstatusfilterfailed"></a>`FAILED` | 失敗テストレポート。 |
| <a id="requirementstatusfiltermissing"></a>`MISSING` | テストレポートがない要件。 |
| <a id="requirementstatusfilterpassed"></a>`PASSED` | 合格テストレポート。 |

### `ReviewerWildcardId`

レビュアーIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="reviewerwildcardidany"></a>`ANY` | 任意のレビュアーが割り当てられます。 |
| <a id="reviewerwildcardidnone"></a>`NONE` | レビュアーが割り当てられません。 |

### `SastUiComponentSize`

SAST設定ページのUIコンポーネントのサイズ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sastuicomponentsizelarge"></a>`LARGE` | SAST設定ページのUIコンポーネントのサイズは大です。 |
| <a id="sastuicomponentsizemedium"></a>`MEDIUM` | SAST設定ページのUIコンポーネントのサイズは中です。 |
| <a id="sastuicomponentsizesmall"></a>`SMALL` | SAST設定ページのUIコンポーネントのサイズは小です。 |

### `SbomSourceType`

sbomソースタイプの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sbomsourcetypecontainer_scanning"></a>`CONTAINER_SCANNING` | ソースタイプ: container_scanning。 |
| <a id="sbomsourcetypecontainer_scanning_for_registry"></a>`CONTAINER_SCANNING_FOR_REGISTRY` | ソースタイプ: container_scanning_for_registry。 |
| <a id="sbomsourcetypedependency_scanning"></a>`DEPENDENCY_SCANNING` | ソースタイプ: dependency_scanning。 |
| <a id="sbomsourcetypenil_source"></a>`NIL_SOURCE` | Enumソースnil。 |

### `ScanStatus`

セキュリティスキャンの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="scanstatuscreated"></a>`CREATED` | スキャンが作成されました。 |
| <a id="scanstatusjob_failed"></a>`JOB_FAILED` | 関連するCIビルドが失敗しました。 |
| <a id="scanstatuspreparation_failed"></a>`PREPARATION_FAILED` | レポートを準備できませんでした。 |
| <a id="scanstatuspreparing"></a>`PREPARING` | スキャンのレポートを準備しています。 |
| <a id="scanstatuspurged"></a>`PURGED` | スキャンのレポートがデータベースから削除されました。 |
| <a id="scanstatusreport_error"></a>`REPORT_ERROR` | CIビルドによって提供されたレポートアーティファクトを解析できませんでした。 |
| <a id="scanstatussucceeded"></a>`SUCCEEDED` | レポートは正常に準備されました。 |

### `SearchLevel`

検索レベル。

| 値 | 説明 |
| ----- | ----------- |
| <a id="searchlevelglobal"></a>`GLOBAL` | グループとプロジェクトをすべてグローバル検索。 |
| <a id="searchlevelgroup"></a>`GROUP` | グループ検索。 |
| <a id="searchlevelproject"></a>`PROJECT` | プロジェクト検索。 |

### `SearchType`

検索のタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="searchtypeadvanced"></a>`ADVANCED` | 高度な検索。 |
| <a id="searchtypebasic"></a>`BASIC` | 基本的な検索。 |
| <a id="searchtypezoekt"></a>`ZOEKT` | 完全一致コードの検索。 |

### `SecurityPolicyRelationType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="securitypolicyrelationtypedescendant"></a>`DESCENDANT` | グループの子孫プロジェクト/グループに対してのみ定義されているポリシー。グループレベルのポリシーに対してのみ有効。 |
| <a id="securitypolicyrelationtypedirect"></a>`DIRECT` | プロジェクト/グループに対してのみ定義されているポリシー。 |
| <a id="securitypolicyrelationtypeinherited"></a>`INHERITED` | プロジェクト/グループと祖先グループに対して定義されているポリシー。 |
| <a id="securitypolicyrelationtypeinherited_only"></a>`INHERITED_ONLY` | プロジェクト/グループの祖先グループに対してのみ定義されているポリシー。 |

### `SecurityReportTypeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="securityreporttypeenumapi_fuzzing"></a>`API_FUZZING` | API FUZZINGスキャンレポート。 |
| <a id="securityreporttypeenumcluster_image_scanning"></a>`CLUSTER_IMAGE_SCANNING` | CLUSTER IMAGE SCANNINGスキャンレポート。 |
| <a id="securityreporttypeenumcontainer_scanning"></a>`CONTAINER_SCANNING` | CONTAINER SCANNINGスキャンレポート。 |
| <a id="securityreporttypeenumcoverage_fuzzing"></a>`COVERAGE_FUZZING` | COVERAGE FUZZINGスキャンレポート。 |
| <a id="securityreporttypeenumdast"></a>`DAST` | DASTスキャンレポート。 |
| <a id="securityreporttypeenumdependency_scanning"></a>`DEPENDENCY_SCANNING` | DEPENDENCY SCANNINGスキャンレポート。 |
| <a id="securityreporttypeenumsast"></a>`SAST` | SASTスキャンレポート。 |
| <a id="securityreporttypeenumsast_advanced"></a>`SAST_ADVANCED` | SAST ADVANCEDスキャンレポート。 |
| <a id="securityreporttypeenumsast_iac"></a>`SAST_IAC` | SAST IACスキャンレポート。 |
| <a id="securityreporttypeenumsecret_detection"></a>`SECRET_DETECTION` | SECRET DETECTIONスキャンレポート。 |

### `SecurityScannerType`

セキュリティスキャナーの型。

| 値 | 説明 |
| ----- | ----------- |
| <a id="securityscannertypeapi_fuzzing"></a>`API_FUZZING` | APIファジングスキャナー。 |
| <a id="securityscannertypecluster_image_scanning"></a>`CLUSTER_IMAGE_SCANNING` | クラスターイメージスキャンスキャナー。 |
| <a id="securityscannertypecontainer_scanning"></a>`CONTAINER_SCANNING` | コンテナスキャンスキャナー。 |
| <a id="securityscannertypecoverage_fuzzing"></a>`COVERAGE_FUZZING` | カバレッジファジングスキャナー。 |
| <a id="securityscannertypedast"></a>`DAST` | DASTスキャナー。 |
| <a id="securityscannertypedependency_scanning"></a>`DEPENDENCY_SCANNING` | 依存関係スキャンスキャナー。 |
| <a id="securityscannertypesast"></a>`SAST` | SASTスキャナー。 |
| <a id="securityscannertypesast_advanced"></a>`SAST_ADVANCED` | SAST高度スキャナー。 |
| <a id="securityscannertypesast_iac"></a>`SAST_IAC` | SAST IaCスキャナー。 |
| <a id="securityscannertypesecret_detection"></a>`SECRET_DETECTION` | シークレット検出スキャナー。 |

### `SentryErrorStatus`

Sentryエラーの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sentryerrorstatusignored"></a>`IGNORED` | エラーは無視されました。 |
| <a id="sentryerrorstatusresolved"></a>`RESOLVED` | エラーが解決されました。 |
| <a id="sentryerrorstatusresolved_in_next_release"></a>`RESOLVED_IN_NEXT_RELEASE` | 次のリリースまでエラーは無視されます。 |
| <a id="sentryerrorstatusunresolved"></a>`UNRESOLVED` | エラーは未解決です。 |

### `ServiceType`

| 値 | 説明 |
| ----- | ----------- |
| <a id="servicetypeapple_app_store_service"></a>`APPLE_APP_STORE_SERVICE` | AppleAppStoreService型。 |
| <a id="servicetypeasana_service"></a>`ASANA_SERVICE` | AsanaService型。 |
| <a id="servicetypeassembla_service"></a>`ASSEMBLA_SERVICE` | AssemblaService型。 |
| <a id="servicetypebamboo_service"></a>`BAMBOO_SERVICE` | BambooService型。 |
| <a id="servicetypebugzilla_service"></a>`BUGZILLA_SERVICE` | BugzillaService型。 |
| <a id="servicetypebuildkite_service"></a>`BUILDKITE_SERVICE` | BuildkiteService型。 |
| <a id="servicetypecampfire_service"></a>`CAMPFIRE_SERVICE` | CampfireService型。 |
| <a id="servicetypeclickup_service"></a>`CLICKUP_SERVICE` | ClickupService型。 |
| <a id="servicetypeconfluence_service"></a>`CONFLUENCE_SERVICE` | ConfluenceService型。 |
| <a id="servicetypecustom_issue_tracker_service"></a>`CUSTOM_ISSUE_TRACKER_SERVICE` | CustomIssueTrackerService型。 |
| <a id="servicetypedatadog_service"></a>`DATADOG_SERVICE` | DatadogService型。 |
| <a id="servicetypediffblue_cover_service"></a>`DIFFBLUE_COVER_SERVICE` | DiffblueCoverService型。 |
| <a id="servicetypediscord_service"></a>`DISCORD_SERVICE` | DiscordService型。 |
| <a id="servicetypedrone_ci_service"></a>`DRONE_CI_SERVICE` | DroneCiService型。 |
| <a id="servicetypeemails_on_push_service"></a>`EMAILS_ON_PUSH_SERVICE` | EmailsOnPushService型。 |
| <a id="servicetypeewm_service"></a>`EWM_SERVICE` | EwmService型。 |
| <a id="servicetypeexternal_wiki_service"></a>`EXTERNAL_WIKI_SERVICE` | ExternalWikiService型。 |
| <a id="servicetypegithub_service"></a>`GITHUB_SERVICE` | GithubService型。 |
| <a id="servicetypegitlab_slack_application_service"></a>`GITLAB_SLACK_APPLICATION_SERVICE` | GitlabSlackApplicationService型。 |
| <a id="servicetypegit_guardian_service"></a>`GIT_GUARDIAN_SERVICE` | GitGuardianService型。 |
| <a id="servicetypegoogle_play_service"></a>`GOOGLE_PLAY_SERVICE` | GooglePlayService型。 |
| <a id="servicetypehangouts_chat_service"></a>`HANGOUTS_CHAT_SERVICE` | HangoutsChatService型。 |
| <a id="servicetypeharbor_service"></a>`HARBOR_SERVICE` | HarborService型。 |
| <a id="servicetypeirker_service"></a>`IRKER_SERVICE` | IrkerService型。 |
| <a id="servicetypejenkins_service"></a>`JENKINS_SERVICE` | JenkinsService型。 |
| <a id="servicetypejira_cloud_app_service"></a>`JIRA_CLOUD_APP_SERVICE` | JiraCloudAppService型。 |
| <a id="servicetypejira_service"></a>`JIRA_SERVICE` | JiraService型。 |
| <a id="servicetypematrix_service"></a>`MATRIX_SERVICE` | MatrixService型。 |
| <a id="servicetypemattermost_service"></a>`MATTERMOST_SERVICE` | MattermostService型。 |
| <a id="servicetypemattermost_slash_commands_service"></a>`MATTERMOST_SLASH_COMMANDS_SERVICE` | MattermostSlashCommandsService型。 |
| <a id="servicetypemicrosoft_teams_service"></a>`MICROSOFT_TEAMS_SERVICE` | MicrosoftTeamsService型。 |
| <a id="servicetypepackagist_service"></a>`PACKAGIST_SERVICE` | PackagistService型。 |
| <a id="servicetypephorge_service"></a>`PHORGE_SERVICE` | PhorgeService型。 |
| <a id="servicetypepipelines_email_service"></a>`PIPELINES_EMAIL_SERVICE` | PipelinesEmailService型。 |
| <a id="servicetypepivotaltracker_service"></a>`PIVOTALTRACKER_SERVICE` | PivotaltrackerService型。 |
| <a id="servicetypeprometheus_service"></a>`PROMETHEUS_SERVICE` | PrometheusService型。 |
| <a id="servicetypepumble_service"></a>`PUMBLE_SERVICE` | PumbleService型。 |
| <a id="servicetypepushover_service"></a>`PUSHOVER_SERVICE` | PushoverService型。 |
| <a id="servicetyperedmine_service"></a>`REDMINE_SERVICE` | RedmineService型。 |
| <a id="servicetypeslack_service"></a>`SLACK_SERVICE` | SlackService型。 |
| <a id="servicetypeslack_slash_commands_service"></a>`SLACK_SLASH_COMMANDS_SERVICE` | SlackSlashCommandsService型。 |
| <a id="servicetypesquash_tm_service"></a>`SQUASH_TM_SERVICE` | SquashTmService型。 |
| <a id="servicetypeteamcity_service"></a>`TEAMCITY_SERVICE` | TeamcityService型。 |
| <a id="servicetypetelegram_service"></a>`TELEGRAM_SERVICE` | TelegramService型。 |
| <a id="servicetypeunify_circuit_service"></a>`UNIFY_CIRCUIT_SERVICE` | UnifyCircuitService型。 |
| <a id="servicetypewebex_teams_service"></a>`WEBEX_TEAMS_SERVICE` | WebexTeamsService型。 |
| <a id="servicetypeyoutrack_service"></a>`YOUTRACK_SERVICE` | YoutrackService型。 |
| <a id="servicetypezentao_service"></a>`ZENTAO_SERVICE` | ZentaoService型。 |

### `ShaFormat`

SHA文字列の形式。

| 値 | 説明 |
| ----- | ----------- |
| <a id="shaformatlong"></a>`LONG` | 省略されていない形式。 |
| <a id="shaformatshort"></a>`SHORT` | 省略形式。通常、短いSHAは8文字の長さです。 |

### `SharedRunnersSetting`

| 値 | 説明 |
| ----- | ----------- |
| <a id="sharedrunnerssettingdisabled_and_overridable"></a>`DISABLED_AND_OVERRIDABLE` | Runnerの共有は無効であり、オーバーライド可能です。 |
| <a id="sharedrunnerssettingdisabled_and_unoverridable"></a>`DISABLED_AND_UNOVERRIDABLE` | Runnerの共有は無効であり、オーバーライドできません。 |
| <a id="sharedrunnerssettingenabled"></a>`ENABLED` | Runnerの共有が有効になっています。 |

### `SnippetBlobActionEnum`

スニペットblobインプットアクションのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="snippetblobactionenumcreate"></a>`create` | スニペットblobを作成します。 |
| <a id="snippetblobactionenumdelete"></a>`delete` | スニペットblobを削除します。 |
| <a id="snippetblobactionenummove"></a>`move` | スニペットblobを移動します。 |
| <a id="snippetblobactionenumupdate"></a>`update` | スニペットblobを更新します。 |

### `Sort`

共通のソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="sortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="sortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="sortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="sortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="sortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="sortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="sortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `SortDirectionEnum`

ソース方向の値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sortdirectionenumasc"></a>`ASC` | 昇順。 |
| <a id="sortdirectionenumdesc"></a>`DESC` | 降順。 |

### `SourceUserSort`

ソースインスタンス上のユーザーから宛先インスタンス上へのマッピングをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="sourceusersortid_asc"></a>`ID_ASC` | ソースユーザーのIDの昇順。 |
| <a id="sourceusersortid_desc"></a>`ID_DESC` | ソースユーザーのIDの降順。 |
| <a id="sourceusersortsource_name_asc"></a>`SOURCE_NAME_ASC` | インスタンスソース名の昇順。 |
| <a id="sourceusersortsource_name_desc"></a>`SOURCE_NAME_DESC` | インスタンスソース名の降順。 |
| <a id="sourceusersortstatus_asc"></a>`STATUS_ASC` | マッピングの状態の昇順。 |
| <a id="sourceusersortstatus_desc"></a>`STATUS_DESC` | マッピングの状態の降順。 |

### `SquashOptionSetting`

マージリクエストのデフォルトのスカッシュ動作のオプション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="squashoptionsettingallowed"></a>`ALLOWED` | 許可。 |
| <a id="squashoptionsettingalways"></a>`ALWAYS` | 必須。 |
| <a id="squashoptionsettingencouraged"></a>`ENCOURAGED` | 推奨。 |
| <a id="squashoptionsettingnever"></a>`NEVER` | 許可しない。 |

### `SubscriptionHistoryChangeType`

サブスクリプション履歴レコードの変更のタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="subscriptionhistorychangetypegitlab_subscription_destroyed"></a>`GITLAB_SUBSCRIPTION_DESTROYED` | これは、サブスクリプションが破棄される前の以前の状態でした。 |
| <a id="subscriptionhistorychangetypegitlab_subscription_updated"></a>`GITLAB_SUBSCRIPTION_UPDATED` | これは、サブスクリプションが更新される前の以前の状態でした。 |

### `SubscriptionStatus`

issuableのサブスクリプションの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="subscriptionstatusexplicitly_subscribed"></a>`EXPLICITLY_SUBSCRIBED` | ユーザーはissuableを明示的にサブスクライブしています。 |
| <a id="subscriptionstatusexplicitly_unsubscribed"></a>`EXPLICITLY_UNSUBSCRIBED` | ユーザーはissuableのサブスクリプションを明示的に解除しています。 |

### `TestCaseStatus`

| 値 | 説明 |
| ----- | ----------- |
| <a id="testcasestatuserror"></a>`error` | 状態がエラーであるテストケース。 |
| <a id="testcasestatusfailed"></a>`failed` | 状態が失敗であるテストケース。 |
| <a id="testcasestatusskipped"></a>`skipped` | 状態がスキップ済みであるテストケース。 |
| <a id="testcasestatussuccess"></a>`success` | 状態が成功であるテストケース。 |

### `TestReportState`

テストレポートの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="testreportstatefailed"></a>`FAILED` | 失敗テストレポート。 |
| <a id="testreportstatepassed"></a>`PASSED` | 合格テストレポート。 |

### `TimeboxReportErrorReason`

エラーのカテゴリ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="timeboxreporterrorreasoncreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="timeboxreporterrorreasoncreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="timeboxreporterrorreasonlabel_priority_asc"></a>`LABEL_PRIORITY_ASC` | ラベル優先度の昇順。 |
| <a id="timeboxreporterrorreasonlabel_priority_desc"></a>`LABEL_PRIORITY_DESC` | ラベル優先度の降順。 |
| <a id="timeboxreporterrorreasonmilestone_due_asc"></a>`MILESTONE_DUE_ASC` | マイルストーン期限の昇順。 |
| <a id="timeboxreporterrorreasonmilestone_due_desc"></a>`MILESTONE_DUE_DESC` | マイルストーン期限の降順。 |
| <a id="timeboxreporterrorreasonmissing_dates"></a>`MISSING_DATES` | start_dateとdue_dateの一方または両方がありません。 |
| <a id="timeboxreporterrorreasonpriority_asc"></a>`PRIORITY_ASC` | 優先度の昇順。 |
| <a id="timeboxreporterrorreasonpriority_desc"></a>`PRIORITY_DESC` | 優先度の降順。 |
| <a id="timeboxreporterrorreasontoo_many_events"></a>`TOO_MANY_EVENTS` | イベントが多すぎます。 |
| <a id="timeboxreporterrorreasonunsupported"></a>`UNSUPPORTED` | このタイプはタイムボックスレポートをサポートしていません。 |
| <a id="timeboxreporterrorreasonupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="timeboxreporterrorreasonupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="timeboxreporterrorreasoncreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="timeboxreporterrorreasoncreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="timeboxreporterrorreasonupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="timeboxreporterrorreasonupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `TimelogSort`

タイムログをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="timelogsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="timelogsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="timelogsortspent_at_asc"></a>`SPENT_AT_ASC` | 消費日時の昇順。 |
| <a id="timelogsortspent_at_desc"></a>`SPENT_AT_DESC` | 消費日時の降順。 |
| <a id="timelogsorttime_spent_asc"></a>`TIME_SPENT_ASC` | 消費時間の昇順。 |
| <a id="timelogsorttime_spent_desc"></a>`TIME_SPENT_DESC` | 消費時間の降順。 |
| <a id="timelogsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="timelogsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="timelogsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="timelogsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="timelogsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="timelogsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `TodoActionEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="todoactionenumadded_approver"></a>`added_approver` | ユーザーが承認者として追加されました。 |
| <a id="todoactionenumapproval_required"></a>`approval_required` | ユーザーが承認者として設定されました。 |
| <a id="todoactionenumassigned"></a>`assigned` | ユーザーが割り当てられました。 |
| <a id="todoactionenumbuild_failed"></a>`build_failed` | ユーザーによってトリガーされたビルドが失敗しました。 |
| <a id="todoactionenumdirectly_addressed"></a>`directly_addressed` | ユーザーが直接アドレスされました。 |
| <a id="todoactionenumduo_enterprise_access_granted"></a>`duo_enterprise_access_granted` | GitLab Duo Enterpriseへのアクセス権がユーザーに付与されました。 |
| <a id="todoactionenumduo_pro_access_granted"></a>`duo_pro_access_granted` | GitLab Duo Proへのアクセス権がユーザーに付与されました。 |
| <a id="todoactionenummarked"></a>`marked` | ユーザーがTo Doアイテムを追加しました。 |
| <a id="todoactionenummember_access_requested"></a>`member_access_requested` | グループまたはプロジェクトへのアクセスがユーザーからリクエストされました。 |
| <a id="todoactionenummentioned"></a>`mentioned` | ユーザーが言及されました。 |
| <a id="todoactionenummerge_train_removed"></a>`merge_train_removed` | ユーザーが作成したマージリクエストが、マージトレインから削除されました。 |
| <a id="todoactionenumokr_checkin_requested"></a>`okr_checkin_requested` | ユーザーに割り当てられたOKRは更新が必要です。 |
| <a id="todoactionenumreview_requested"></a>`review_requested` | ユーザーからレビューのリクエストがありました。 |
| <a id="todoactionenumreview_submitted"></a>`review_submitted` | ユーザーが作成したマージリクエストがレビューを受けました。 |
| <a id="todoactionenumssh_key_expired"></a>`ssh_key_expired` | ユーザーのSSH鍵が期限切れになりました。 |
| <a id="todoactionenumssh_key_expiring_soon"></a>`ssh_key_expiring_soon` | ユーザーのSSH鍵はもうすぐ期限切れになります。 |
| <a id="todoactionenumunmergeable"></a>`unmergeable` | ユーザーが作成したマージリクエストをマージできませんでした。 |

### `TodoSort`

todoのソートオプション。

| 値 | 説明 |
| ----- | ----------- |
| <a id="todosortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="todosortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="todosortlabel_priority_asc"></a>`LABEL_PRIORITY_ASC` | ラベル優先度の昇順。 |
| <a id="todosortlabel_priority_desc"></a>`LABEL_PRIORITY_DESC` | ラベル優先度の降順。 |
| <a id="todosortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="todosortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="todosortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="todosortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="todosortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="todosortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `TodoStateEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="todostateenumdone"></a>`done` | todoの状態は完了です。 |
| <a id="todostateenumpending"></a>`pending` | todoの状態は保留中です。 |

### `TodoTargetEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="todotargetenumalert"></a>`ALERT` | アラート。 |
| <a id="todotargetenumcommit"></a>`COMMIT` | コミット。 |
| <a id="todotargetenumdesign"></a>`DESIGN` | デザイン。 |
| <a id="todotargetenumepic"></a>`EPIC` | エピック。 |
| <a id="todotargetenumissue"></a>`ISSUE` | イシュー。 |
| <a id="todotargetenumkey"></a>`KEY` | SSH鍵。 |
| <a id="todotargetenummergerequest"></a>`MERGEREQUEST` | マージリクエスト。 |
| <a id="todotargetenumnamespace"></a>`NAMESPACE` | ネームスペース。 |
| <a id="todotargetenumproject"></a>`PROJECT` | プロジェクト。 |
| <a id="todotargetenumuser"></a>`USER` | ユーザー。 |
| <a id="todotargetenumvulnerability"></a>`VULNERABILITY` | 脆弱性。 |
| <a id="todotargetenumwikipagemeta"></a>`WIKIPAGEMETA` | Wikiページ。 |
| <a id="todotargetenumworkitem"></a>`WORKITEM` | 作業アイテム。 |

### `TrainingUrlRequestStatus`

トレーニングプロバイダーへのリクエストの状態。TrainingUrlのURLは非同期で計算されます。PENDINGの場合、TrainingUrlのURLはnullになります。COMPLETEDの場合、TrainingUrlのURLが利用可能になります。

| 値 | 説明 |
| ----- | ----------- |
| <a id="trainingurlrequeststatuscompleted"></a>`COMPLETED` | 完了したリクエスト。 |
| <a id="trainingurlrequeststatuspending"></a>`PENDING` | 保留中のリクエスト。 |

### `TypeEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="typeenumpersonal"></a>`personal` | プロジェクトとは独立して作成されたスニペット。 |
| <a id="typeenumproject"></a>`project` | 特定プロジェクトに関連するスニペット。 |

### `UserCalloutFeatureNameEnum`

コールアウトの対象となる機能の名前。

| 値 | 説明 |
| ----- | ----------- |
| <a id="usercalloutfeaturenameenumactive_user_count_threshold"></a>`ACTIVE_USER_COUNT_THRESHOLD` | active_user_count_thresholdのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumbranch_rules_info_callout"></a>`BRANCH_RULES_INFO_CALLOUT` | branch_rules_info_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumbranch_rules_tip_callout"></a>`BRANCH_RULES_TIP_CALLOUT` | branch_rules_tip_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumbuy_pipeline_minutes_notification_dot"></a>`BUY_PIPELINE_MINUTES_NOTIFICATION_DOT` | buy_pipeline_minutes_notification_dotのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumcanary_deployment"></a>`CANARY_DEPLOYMENT` | canary_deploymentのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumci_deprecation_warning_for_types_keyword"></a>`CI_DEPRECATION_WARNING_FOR_TYPES_KEYWORD` | ci_deprecation_warning_for_types_keywordのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumci_minutes_limit_alert_danger_stage"></a>`CI_MINUTES_LIMIT_ALERT_DANGER_STAGE` | ci_minutes_limit_alert_danger_stageのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumci_minutes_limit_alert_exceeded_stage"></a>`CI_MINUTES_LIMIT_ALERT_EXCEEDED_STAGE` | ci_minutes_limit_alert_exceeded_stageのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumci_minutes_limit_alert_warning_stage"></a>`CI_MINUTES_LIMIT_ALERT_WARNING_STAGE` | ci_minutes_limit_alert_warning_stageのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumcluster_security_warning"></a>`CLUSTER_SECURITY_WARNING` | cluster_security_warningのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumdeployment_approvals_empty_state"></a>`DEPLOYMENT_APPROVALS_EMPTY_STATE` | deployment_approvals_empty_stateのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumdeployment_details_feedback"></a>`DEPLOYMENT_DETAILS_FEEDBACK` | deployment_details_feedbackのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumduo_chat_callout"></a>`DUO_CHAT_CALLOUT` | duo_chat_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumfeature_flags_new_version"></a>`FEATURE_FLAGS_NEW_VERSION` | feature_flags_new_versionのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumgcp_signup_offer"></a>`GCP_SIGNUP_OFFER` | gcp_signup_offerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumgeo_enable_hashed_storage"></a>`GEO_ENABLE_HASHED_STORAGE` | geo_enable_hashed_storageのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumgeo_migrate_hashed_storage"></a>`GEO_MIGRATE_HASHED_STORAGE` | geo_migrate_hashed_storageのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumgke_cluster_integration"></a>`GKE_CLUSTER_INTEGRATION` | gke_cluster_integrationのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumgold_trial_billings"></a>`GOLD_TRIAL_BILLINGS` | gold_trial_billingsのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumjoining_a_project_alert"></a>`JOINING_A_PROJECT_ALERT` | joining_a_project_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenummr_experience_survey"></a>`MR_EXPERIENCE_SURVEY` | mr_experience_surveyのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnamespace_over_storage_users_combined_alert"></a>`NAMESPACE_OVER_STORAGE_USERS_COMBINED_ALERT` | namespace_over_storage_users_combined_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnamespace_storage_limit_alert_alert_threshold"></a>`NAMESPACE_STORAGE_LIMIT_ALERT_ALERT_THRESHOLD` | namespace_storage_limit_alert_alert_thresholdのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnamespace_storage_limit_alert_error_threshold"></a>`NAMESPACE_STORAGE_LIMIT_ALERT_ERROR_THRESHOLD` | namespace_storage_limit_alert_error_thresholdのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnamespace_storage_limit_alert_warning_threshold"></a>`NAMESPACE_STORAGE_LIMIT_ALERT_WARNING_THRESHOLD` | namespace_storage_limit_alert_warning_thresholdのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnamespace_storage_pre_enforcement_banner"></a>`NAMESPACE_STORAGE_PRE_ENFORCEMENT_BANNER` | namespace_storage_pre_enforcement_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnew_merge_request_dashboard_welcome"></a>`NEW_MERGE_REQUEST_DASHBOARD_WELCOME` | new_merge_request_dashboard_welcomeのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnew_mr_dashboard_banner"></a>`NEW_MR_DASHBOARD_BANNER` | new_mr_dashboard_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnew_top_level_group_alert"></a>`NEW_TOP_LEVEL_GROUP_ALERT` | new_top_level_group_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumnew_user_signups_cap_reached"></a>`NEW_USER_SIGNUPS_CAP_REACHED` | new_user_signups_cap_reachedのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumopenssl_callout"></a>`OPENSSL_CALLOUT` | openssl_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumperiod_in_terraform_state_name_alert"></a>`PERIOD_IN_TERRAFORM_STATE_NAME_ALERT` | period_in_terraform_state_name_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpersonal_access_token_expiry"></a>`PERSONAL_ACCESS_TOKEN_EXPIRY` | personal_access_token_expiryのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpersonal_project_limitations_banner"></a>`PERSONAL_PROJECT_LIMITATIONS_BANNER` | personal_project_limitations_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipeline_inputs_announcement_banner"></a>`PIPELINE_INPUTS_ANNOUNCEMENT_BANNER` | pipeline_inputs_announcement_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipeline_needs_banner"></a>`PIPELINE_NEEDS_BANNER` | pipeline_needs_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipeline_needs_hover_tip"></a>`PIPELINE_NEEDS_HOVER_TIP` | pipeline_needs_hover_tipのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipeline_new_inputs_adoption_banner"></a>`PIPELINE_NEW_INPUTS_ADOPTION_BANNER` | pipeline_new_inputs_adoption_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipeline_schedules_inputs_adoption_banner"></a>`PIPELINE_SCHEDULES_INPUTS_ADOPTION_BANNER` | pipeline_schedules_inputs_adoption_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpipl_compliance_alert"></a>`PIPL_COMPLIANCE_ALERT` | pipl_compliance_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumplanner_role_callout"></a>`PLANNER_ROLE_CALLOUT` | planner_role_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumpreview_user_over_limit_free_plan_alert"></a>`PREVIEW_USER_OVER_LIMIT_FREE_PLAN_ALERT` | preview_user_over_limit_free_plan_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumproduct_analytics_dashboard_feedback"></a>`PRODUCT_ANALYTICS_DASHBOARD_FEEDBACK` | product_analytics_dashboard_feedbackのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumprofile_personal_access_token_expiry"></a>`PROFILE_PERSONAL_ACCESS_TOKEN_EXPIRY` | profile_personal_access_token_expiryのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumproject_quality_summary_feedback"></a>`PROJECT_QUALITY_SUMMARY_FEEDBACK` | project_quality_summary_feedbackのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumproject_repository_limit_alert_warning_threshold"></a>`PROJECT_REPOSITORY_LIMIT_ALERT_WARNING_THRESHOLD` | project_repository_limit_alert_warning_thresholdのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumregistration_enabled_callout"></a>`REGISTRATION_ENABLED_CALLOUT` | registration_enabled_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsecurity_configuration_devops_alert"></a>`SECURITY_CONFIGURATION_DEVOPS_ALERT` | security_configuration_devops_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsecurity_configuration_upgrade_banner"></a>`SECURITY_CONFIGURATION_UPGRADE_BANNER` | security_configuration_upgrade_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsecurity_newsletter_callout"></a>`SECURITY_NEWSLETTER_CALLOUT` | security_newsletter_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsecurity_policy_protected_branch_modification"></a>`SECURITY_POLICY_PROTECTED_BRANCH_MODIFICATION` | security_policy_protected_branch_modificationのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsecurity_training_feature_promotion"></a>`SECURITY_TRAINING_FEATURE_PROMOTION` | security_training_feature_promotionのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsubmit_license_usage_data_banner"></a>`SUBMIT_LICENSE_USAGE_DATA_BANNER` | submit_license_usage_data_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsuggest_pipeline"></a>`SUGGEST_PIPELINE` | suggest_pipelineのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumsuggest_popover_dismissed"></a>`SUGGEST_POPOVER_DISMISSED` | suggest_popover_dismissedのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumtabs_position_highlight"></a>`TABS_POSITION_HIGHLIGHT` | tabs_position_highlightのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumterraform_notification_dismissed"></a>`TERRAFORM_NOTIFICATION_DISMISSED` | terraform_notification_dismissedのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumthreat_monitoring_info"></a>`THREAT_MONITORING_INFO` | threat_monitoring_infoのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumtransition_to_jihu_callout"></a>`TRANSITION_TO_JIHU_CALLOUT` | transition_to_jihu_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumtrial_status_reminder_d14"></a>`TRIAL_STATUS_REMINDER_D14` | trial_status_reminder_d14のコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumtrial_status_reminder_d3"></a>`TRIAL_STATUS_REMINDER_D3` | trial_status_reminder_d3のコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumtwo_factor_auth_recovery_settings_check"></a>`TWO_FACTOR_AUTH_RECOVERY_SETTINGS_CHECK` | two_factor_auth_recovery_settings_checkのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumultimate_trial"></a>`ULTIMATE_TRIAL` | ultimate_trialのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumunfinished_tag_cleanup_callout"></a>`UNFINISHED_TAG_CLEANUP_CALLOUT` | unfinished_tag_cleanup_calloutのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumuser_reached_limit_free_plan_alert"></a>`USER_REACHED_LIMIT_FREE_PLAN_ALERT` | user_reached_limit_free_plan_alertのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumverification_reminder"></a>`VERIFICATION_REMINDER` | verification_reminderのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumvsd_feedback_banner"></a>`VSD_FEEDBACK_BANNER` | vsd_feedback_bannerのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumvulnerability_report_grouping"></a>`VULNERABILITY_REPORT_GROUPING` | vulnerability_report_groupingのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumweb_ide_alert_dismissed"></a>`WEB_IDE_ALERT_DISMISSED` | web_ide_alert_dismissedのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumweb_ide_ci_environments_guidance"></a>`WEB_IDE_CI_ENVIRONMENTS_GUIDANCE` | web_ide_ci_environments_guidanceのコールアウト機能名。 |
| <a id="usercalloutfeaturenameenumwork_item_epic_feedback"></a>`WORK_ITEM_EPIC_FEEDBACK` | work_item_epic_feedbackのコールアウト機能名。 |

### `UserPromotionStatusType`

ユーザープロモーション状態のタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="userpromotionstatustypefailed"></a>`FAILED` | ユーザーのプロモーションリクエストの適用に失敗しました。 |
| <a id="userpromotionstatustypepartial_success"></a>`PARTIAL_SUCCESS` | ユーザーのプロモーションは成功しましたが、すべてのプロモーションリクエストが正常に適用されたわけではありません。 |
| <a id="userpromotionstatustypesuccess"></a>`SUCCESS` | ユーザーのすべてのプロモーションリクエストが正常に適用されました。 |

### `UserState`

可能性のあるユーザーの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="userstateactive"></a>`active` | ユーザーはアクティブであり、システムを使用できます。 |
| <a id="userstatebanned"></a>`banned` | ユーザーはブロックされており、そのコントリビュートは非表示になっています。 |
| <a id="userstateblocked"></a>`blocked` | ユーザーは管理者によってブロックされており、システムを使用できません。 |
| <a id="userstateblocked_pending_approval"></a>`blocked_pending_approval` | ユーザーはブロックされており、承認保留中です。 |
| <a id="userstatedeactivated"></a>`deactivated` | ユーザーはアクティブではなくなり、システムを使用できません。 |
| <a id="userstateldap_blocked"></a>`ldap_blocked` | ユーザーはシステムによってブロックされています。 |

### `UserType`

可能性のあるユーザーのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="usertypeadmin_bot"></a>`ADMIN_BOT` | 管理者ボット。 |
| <a id="usertypealert_bot"></a>`ALERT_BOT` | アラートボット。 |
| <a id="usertypeautomation_bot"></a>`AUTOMATION_BOT` | 自動化ボット。 |
| <a id="usertypeduo_code_review_bot"></a>`DUO_CODE_REVIEW_BOT` | GitLab Duoコードレビューボット。 |
| <a id="usertypeghost"></a>`GHOST` | ゴースト。 |
| <a id="usertypehuman"></a>`HUMAN` | 人間。 |
| <a id="usertypeimport_user"></a>`IMPORT_USER` | インポートユーザー。 |
| <a id="usertypellm_bot"></a>`LLM_BOT` | LLMボット。 |
| <a id="usertypemigration_bot"></a>`MIGRATION_BOT` | 移行ボット。 |
| <a id="usertypeplaceholder"></a>`PLACEHOLDER` | プレースホルダー。 |
| <a id="usertypeproject_bot"></a>`PROJECT_BOT` | プロジェクトボット。 |
| <a id="usertypesecurity_bot"></a>`SECURITY_BOT` | セキュリティボット。 |
| <a id="usertypesecurity_policy_bot"></a>`SECURITY_POLICY_BOT` | セキュリティポリシーボット。 |
| <a id="usertypeservice_account"></a>`SERVICE_ACCOUNT` | サービスアカウント。 |
| <a id="usertypeservice_user"></a>`SERVICE_USER` | サービスユーザー。 |
| <a id="usertypesuggested_reviewers_bot"></a>`SUGGESTED_REVIEWERS_BOT` | レビュアーの推奨ボット。 |
| <a id="usertypesupport_bot"></a>`SUPPORT_BOT` | サポートボット。 |
| <a id="usertypevisual_review_bot"></a>`VISUAL_REVIEW_BOT` | ビジュアルレビューボット。 |

### `ValueStreamDashboardMetric`

可能な測定識別子タイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="valuestreamdashboardmetriccontributors"></a>`CONTRIBUTORS` | コントリビューター数。実験段階: ClickHouseデータベースバックエンドが有効になっている場合に、GitLabのSaaSバージョンでのみ使用できます。 |
| <a id="valuestreamdashboardmetricgroups"></a>`GROUPS` | グループ数。 |
| <a id="valuestreamdashboardmetricissues"></a>`ISSUES` | イシュー数。 |
| <a id="valuestreamdashboardmetricmerge_requests"></a>`MERGE_REQUESTS` | マージリクエスト数。 |
| <a id="valuestreamdashboardmetricpipelines"></a>`PIPELINES` | パイプライン数。 |
| <a id="valuestreamdashboardmetricprojects"></a>`PROJECTS` | プロジェクト数。 |
| <a id="valuestreamdashboardmetricusers"></a>`USERS` | ユーザー数。 |

### `ValueStreamDashboardProjectLevelMetric`

プロジェクトレベルの測定の識別子タイプ候補。

| 値 | 説明 |
| ----- | ----------- |
| <a id="valuestreamdashboardprojectlevelmetriccontributors"></a>`CONTRIBUTORS` | コントリビューター数。実験段階: ClickHouseデータベースバックエンドが有効になっている場合に、GitLabのSaaSバージョンでのみ使用できます。 |
| <a id="valuestreamdashboardprojectlevelmetricissues"></a>`ISSUES` | イシュー数。 |
| <a id="valuestreamdashboardprojectlevelmetricmerge_requests"></a>`MERGE_REQUESTS` | マージリクエスト数。 |
| <a id="valuestreamdashboardprojectlevelmetricpipelines"></a>`PIPELINES` | パイプライン数。 |

### `ValueStreamStageEvent`

ステージイベントの識別子。

| 値 | 説明 |
| ----- | ----------- |
| <a id="valuestreamstageeventcode_stage_start"></a>`CODE_STAGE_START` | コードステージ開始イベント。 |
| <a id="valuestreamstageeventissue_closed"></a>`ISSUE_CLOSED` | イシュー完了イベント。 |
| <a id="valuestreamstageeventissue_created"></a>`ISSUE_CREATED` | イシュー作成イベント。 |
| <a id="valuestreamstageeventissue_deployed_to_production"></a>`ISSUE_DEPLOYED_TO_PRODUCTION` | 本番環境へのイシューデプロイイベント。 |
| <a id="valuestreamstageeventissue_first_added_to_board"></a>`ISSUE_FIRST_ADDED_TO_BOARD` | ボードへの最初のイシュー追加イベント。 |
| <a id="valuestreamstageeventissue_first_added_to_iteration"></a>`ISSUE_FIRST_ADDED_TO_ITERATION` | イテレーションへの最初のイシュー追加イベント。 |
| <a id="valuestreamstageeventissue_first_assigned_at"></a>`ISSUE_FIRST_ASSIGNED_AT` | 最初のイシュー割り当てイベント。 |
| <a id="valuestreamstageeventissue_first_associated_with_milestone"></a>`ISSUE_FIRST_ASSOCIATED_WITH_MILESTONE` | マイルストーンとの最初のイシュー関連付けイベント。 |
| <a id="valuestreamstageeventissue_first_mentioned_in_commit"></a>`ISSUE_FIRST_MENTIONED_IN_COMMIT` | コミットでの最初のイシュー言及イベント。 |
| <a id="valuestreamstageeventissue_label_added"></a>`ISSUE_LABEL_ADDED` | イシューラベル追加イベント。 |
| <a id="valuestreamstageeventissue_label_removed"></a>`ISSUE_LABEL_REMOVED` | イシューラベル削除イベント。 |
| <a id="valuestreamstageeventissue_last_edited"></a>`ISSUE_LAST_EDITED` | イシュー最終編集イベント。 |
| <a id="valuestreamstageeventissue_stage_end"></a>`ISSUE_STAGE_END` | イシューステージ終了イベント。 |
| <a id="valuestreamstageeventmerge_request_closed"></a>`MERGE_REQUEST_CLOSED` | マージリクエストの完了イベント。 |
| <a id="valuestreamstageeventmerge_request_created"></a>`MERGE_REQUEST_CREATED` | マージリクエストの作成イベント。 |
| <a id="valuestreamstageeventmerge_request_first_assigned_at"></a>`MERGE_REQUEST_FIRST_ASSIGNED_AT` | マージリクエストの最初の割り当てイベント。 |
| <a id="valuestreamstageeventmerge_request_first_commit_at"></a>`MERGE_REQUEST_FIRST_COMMIT_AT` | マージリクエストの最初のコミットイベント。 |
| <a id="valuestreamstageeventmerge_request_first_deployed_to_production"></a>`MERGE_REQUEST_FIRST_DEPLOYED_TO_PRODUCTION` | マージリクエストの本番環境への最初のデプロイイベント。 |
| <a id="valuestreamstageeventmerge_request_label_added"></a>`MERGE_REQUEST_LABEL_ADDED` | マージリクエストラベル追加イベント。 |
| <a id="valuestreamstageeventmerge_request_label_removed"></a>`MERGE_REQUEST_LABEL_REMOVED` | マージリクエストラベル削除イベント。 |
| <a id="valuestreamstageeventmerge_request_last_approved_at"></a>`MERGE_REQUEST_LAST_APPROVED_AT` | マージリクエストの最後の承認イベント。 |
| <a id="valuestreamstageeventmerge_request_last_build_finished"></a>`MERGE_REQUEST_LAST_BUILD_FINISHED` | マージリクエストの最後のビルド完了イベント。 |
| <a id="valuestreamstageeventmerge_request_last_build_started"></a>`MERGE_REQUEST_LAST_BUILD_STARTED` | マージリクエストの最後のビルド開始イベント。 |
| <a id="valuestreamstageeventmerge_request_last_edited"></a>`MERGE_REQUEST_LAST_EDITED` | マージリクエストの最後の編集イベント。 |
| <a id="valuestreamstageeventmerge_request_merged"></a>`MERGE_REQUEST_MERGED` | マージリクエストのマージイベント。 |
| <a id="valuestreamstageeventmerge_request_reviewer_first_assigned"></a>`MERGE_REQUEST_REVIEWER_FIRST_ASSIGNED` | マージリクエストのレビュアーの最初の割り当てイベント。 |
| <a id="valuestreamstageeventplan_stage_start"></a>`PLAN_STAGE_START` | プランステージ開始イベント。 |

### `ValueStreamStageItemSort`

バリューストリームステージアイテムで使用できるソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="valuestreamstageitemsortduration_asc"></a>`DURATION_ASC` | 期間の昇順。 |
| <a id="valuestreamstageitemsortduration_desc"></a>`DURATION_DESC` | 期間の昇順。 |
| <a id="valuestreamstageitemsortend_event_asc"></a>`END_EVENT_ASC` | ステージ終了イベント時刻の昇順。 |
| <a id="valuestreamstageitemsortend_event_desc"></a>`END_EVENT_DESC` | ステージ終了イベント時刻の降順。 |

### `VerificationStateEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="verificationstateenumdisabled"></a>`DISABLED` | 検証プロセスは無効です。 |
| <a id="verificationstateenumfailed"></a>`FAILED` | 検証プロセスは終了しましたが、失敗しました。 |
| <a id="verificationstateenumpending"></a>`PENDING` | 検証プロセスは開始されていません。 |
| <a id="verificationstateenumstarted"></a>`STARTED` | 検証プロセスが進行中です。 |
| <a id="verificationstateenumsucceeded"></a>`SUCCEEDED` | 検証プロセスは正常に終了しました。 |

### `VerificationStatus`

コミットのGPG、X.509、またはSSH署名の検証状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="verificationstatusmultiple_signatures"></a>`MULTIPLE_SIGNATURES` | multiple_signatures検証状態。 |
| <a id="verificationstatusother_user"></a>`OTHER_USER` | other_user検証状態。 |
| <a id="verificationstatusrevoked_key"></a>`REVOKED_KEY` | revoked_key検証状態。 |
| <a id="verificationstatussame_user_different_email"></a>`SAME_USER_DIFFERENT_EMAIL` | same_user_different_email検証状態。 |
| <a id="verificationstatusunknown_key"></a>`UNKNOWN_KEY` | unknown_key検証状態。 |
| <a id="verificationstatusunverified"></a>`UNVERIFIED` | unverified検証状態。 |
| <a id="verificationstatusunverified_author_email"></a>`UNVERIFIED_AUTHOR_EMAIL` | unverified_author_email検証状態。 |
| <a id="verificationstatusunverified_key"></a>`UNVERIFIED_KEY` | unverified_key検証状態。 |
| <a id="verificationstatusverified"></a>`VERIFIED` | verified検証状態。 |
| <a id="verificationstatusverified_ca"></a>`VERIFIED_CA` | verified_ca検証状態。 |
| <a id="verificationstatusverified_system"></a>`VERIFIED_SYSTEM` | verified_system検証状態。 |

### `VisibilityLevelsEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="visibilitylevelsenuminternal"></a>`internal` | 内部表示レベル。 |
| <a id="visibilitylevelsenumprivate"></a>`private` | プライベート表示レベル。 |
| <a id="visibilitylevelsenumpublic"></a>`public` | 公開表示レベル。 |

### `VisibilityPipelineIdType`

パイプラインリストにIDまたはIIDを表示するかどうかを決定します。

| 値 | 説明 |
| ----- | ----------- |
| <a id="visibilitypipelineidtypeid"></a>`ID` | パイプラインIDを表示します。 |
| <a id="visibilitypipelineidtypeiid"></a>`IID` | パイプラインIIDを表示します。 |

### `VisibilityScopesEnum`

| 値 | 説明 |
| ----- | ----------- |
| <a id="visibilityscopesenuminternal"></a>`internal` | スニペットは、ログインしているすべてのユーザーに表示されます（外部ユーザーを除く）。 |
| <a id="visibilityscopesenumprivate"></a>`private` | スニペットはスニペットの作成者のみに表示されます。 |
| <a id="visibilityscopesenumpublic"></a>`public` | スニペットには認証なしでアクセスできます。 |

### `VulnerabilityDismissalReason`

脆弱性を無視する理由。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilitydismissalreasonacceptable_risk"></a>`ACCEPTABLE_RISK` | 脆弱性は既知であり、修正も緩和もされていませんが、許容できるビジネスリスクと見なされます。 |
| <a id="vulnerabilitydismissalreasonfalse_positive"></a>`FALSE_POSITIVE` | 実際には脆弱性が存在しないのに、誤ってシステムに脆弱性が存在するというテスト結果を示すレポートのエラー。 |
| <a id="vulnerabilitydismissalreasonmitigating_control"></a>`MITIGATING_CONTROL` | 同等または同程度の情報システム保護を提供するものとして、組織が採用する管理、運用、または技術的な制御（つまり保護手段または対策）。 |
| <a id="vulnerabilitydismissalreasonnot_applicable"></a>`NOT_APPLICABLE` | 脆弱性は既知であり、修正も軽減もされていませんが、更新されないアプリケーションの一部に含まれていると見なされています。 |
| <a id="vulnerabilitydismissalreasonused_in_tests"></a>`USED_IN_TESTS` | 検出結果はテストの一部またはテストデータであるため、脆弱性ではありません。 |

### `VulnerabilityExternalIssueLinkExternalTracker`

脆弱性に関連する外部イシューリンクの外部トラッカー。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityexternalissuelinkexternaltrackerjira"></a>`JIRA` | Jira外部トラッカー。 |

### `VulnerabilityExternalIssueLinkType`

脆弱性に関連する外部イシューリンクのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityexternalissuelinktypecreated"></a>`CREATED` | 作成済みリンクタイプ。 |

### `VulnerabilityGrade`

脆弱なプロジェクトのグレード。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilitygradea"></a>`A` | Aグレード。 |
| <a id="vulnerabilitygradeb"></a>`B` | Bグレード。 |
| <a id="vulnerabilitygradec"></a>`C` | Cグレード。 |
| <a id="vulnerabilitygraded"></a>`D` | Dグレード。 |
| <a id="vulnerabilitygradef"></a>`F` | Fグレード。 |

### `VulnerabilityIssueLinkType`

脆弱性に関連するイシューリンクのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityissuelinktypecreated"></a>`CREATED` | 脆弱性に対してイシューが作成されます。 |
| <a id="vulnerabilityissuelinktyperelated"></a>`RELATED` | 関連イシューがあります。 |

### `VulnerabilityOwaspTop10`

脆弱性のOwaspTop10カテゴリ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityowasptop10a01_2021"></a>`A01_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A01:2021-アクセス制御の不備、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a02_2021"></a>`A02_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A02:2021-暗号学的失敗、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a03_2021"></a>`A03_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A03:2021-インジェクション、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a04_2021"></a>`A04_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A04:2021-脆弱なデザイン、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a05_2021"></a>`A05_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A05:2021-セキュリティ設定ミス、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a06_2021"></a>`A06_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A06:2021-古い脆弱なコンポーネント、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a07_2021"></a>`A07_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A07:2021-識別と認証の不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a08_2021"></a>`A08_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A08:2021-ソフトウェアとデータの整合性の不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a09_2021"></a>`A09_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A09:2021-セキュリティログとモニタリングの不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a10_2017"></a>`A10_2017` | A10:2017-不十分なログ記録と監視、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a10_2021"></a>`A10_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A10:2021-サーバーサイドリクエストフォージェリ、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a1_2017"></a>`A1_2017` | A1:2017-インジェクション、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a1_2021"></a>`A1_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A1:2021-アクセス制御の不備、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a2_2017"></a>`A2_2017` | A2:2017-破損した認証の欠陥、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a2_2021"></a>`A2_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A2:2021-暗号学的不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a3_2017"></a>`A3_2017` | A3:2017-機密データ漏洩、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a3_2021"></a>`A3_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A3:2021-インジェクション、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a4_2017"></a>`A4_2017` | A4:2017-XML外部エンティティ（XXE）、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a4_2021"></a>`A4_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A4:2021-脆弱な設計、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a5_2017"></a>`A5_2017` | A5:2017-アクセス制御の不備、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a5_2021"></a>`A5_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A5:2021-セキュリティ設定ミス、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a6_2017"></a>`A6_2017` | A6:2017-セキュリティ設定ミス、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a6_2021"></a>`A6_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A6:2021-古い脆弱なコンポーネント、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a7_2017"></a>`A7_2017` | A7:2017-クロスサイトスクリプティング（XSS）、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a7_2021"></a>`A7_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A7:2021-識別と認証の不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a8_2017"></a>`A8_2017` | A8:2017-脆弱なデシリアライゼーション、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a8_2021"></a>`A8_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A8:2021-ソフトウェアとデータの整合性の不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a9_2017"></a>`A9_2017` | A9:2017-既知の脆弱性を含むコンポーネントの使用、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10a9_2021"></a>`A9_2021` {{< icon name="warning-solid" >}} | GitLab 16.8で**導入**。**状態**: 実験。A9:2021-セキュリティログとモニタリングの不具合、OWASPトップ10のカテゴリ。 |
| <a id="vulnerabilityowasptop10none"></a>`NONE` | OWASPトップ10のカテゴリではありません。 |

### `VulnerabilityReportType`

脆弱性を検出したセキュリティスキャンのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityreporttypeapi_fuzzing"></a>`API_FUZZING` | APIファジングレポート。 |
| <a id="vulnerabilityreporttypecluster_image_scanning"></a>`CLUSTER_IMAGE_SCANNING` | クラスターイメージスキャンレポート。 |
| <a id="vulnerabilityreporttypecontainer_scanning"></a>`CONTAINER_SCANNING` | コンテナスキャンレポート。 |
| <a id="vulnerabilityreporttypecontainer_scanning_for_registry"></a>`CONTAINER_SCANNING_FOR_REGISTRY` | レジストリのコンテナスキャンレポート。 |
| <a id="vulnerabilityreporttypecoverage_fuzzing"></a>`COVERAGE_FUZZING` | カバレッジファジングレポート。 |
| <a id="vulnerabilityreporttypedast"></a>`DAST` | DASTレポート。 |
| <a id="vulnerabilityreporttypedependency_scanning"></a>`DEPENDENCY_SCANNING` | 依存関係スキャンレポート |
| <a id="vulnerabilityreporttypegeneric"></a>`GENERIC` | 汎用レポート。 |
| <a id="vulnerabilityreporttypesast"></a>`SAST` | SASTレポート。 |
| <a id="vulnerabilityreporttypesecret_detection"></a>`SECRET_DETECTION` | シークレット検出レポート。 |

### `VulnerabilitySeverity`

脆弱性の重大度。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilityseveritycritical"></a>`CRITICAL` | 致命的重大度。 |
| <a id="vulnerabilityseverityhigh"></a>`HIGH` | 高重大度。 |
| <a id="vulnerabilityseverityinfo"></a>`INFO` | 情報重大度。 |
| <a id="vulnerabilityseveritylow"></a>`LOW` | 低重大度。 |
| <a id="vulnerabilityseveritymedium"></a>`MEDIUM` | 中重大度。 |
| <a id="vulnerabilityseverityunknown"></a>`UNKNOWN` | 不明重大度。 |

### `VulnerabilitySort`

脆弱性のソート値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilitysortdetected_asc"></a>`detected_asc` | 検出タイムスタンプの昇順。 |
| <a id="vulnerabilitysortdetected_desc"></a>`detected_desc` | 検出タイムスタンプの降順。 |
| <a id="vulnerabilitysortseverity_asc"></a>`severity_asc` | 重大度の昇順。 |
| <a id="vulnerabilitysortseverity_desc"></a>`severity_desc` | 重大度の降順。 |

### `VulnerabilityState`

脆弱性の状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="vulnerabilitystateconfirmed"></a>`CONFIRMED` | 詳細については、[脆弱性の状態の値](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/#vulnerability-status-values)を参照。 |
| <a id="vulnerabilitystatedetected"></a>`DETECTED` | 詳細については、[脆弱性の状態の値](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/#vulnerability-status-values)を参照。 |
| <a id="vulnerabilitystatedismissed"></a>`DISMISSED` | 詳細については、[脆弱性の状態の値](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/#vulnerability-status-values)を参照。 |
| <a id="vulnerabilitystateresolved"></a>`RESOLVED` | 詳細については、[脆弱性の状態の値](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/#vulnerability-status-values)を参照。 |

### `WeightWildcardId`

ウェイトIDのワイルドカード値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="weightwildcardidany"></a>`ANY` | ウェイトが割り当てられています。 |
| <a id="weightwildcardidnone"></a>`NONE` | ウェイトは割り当てられていません。 |

### `WorkItemAwardEmojiUpdateAction`

作業アイテムのアワード絵文字更新enumの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemawardemojiupdateactionadd"></a>`ADD` | 絵文字を追加します。 |
| <a id="workitemawardemojiupdateactionremove"></a>`REMOVE` | 絵文字を削除します。 |
| <a id="workitemawardemojiupdateactiontoggle"></a>`TOGGLE` | 絵文字の状態を切り替えます。 |

### `WorkItemRelatedLinkType`

作業アイテムのリンクタイプの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemrelatedlinktypeblocked_by"></a>`BLOCKED_BY` | ブロック元タイプ。 |
| <a id="workitemrelatedlinktypeblocks"></a>`BLOCKS` | ブロックタイプ。 |
| <a id="workitemrelatedlinktyperelated"></a>`RELATED` | 関連タイプ |

### `WorkItemSort`

作業アイテムをソートするための値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemsortblocking_items_asc"></a>`BLOCKING_ITEMS_ASC` | ブロックしているアイテムの数の昇順。 |
| <a id="workitemsortblocking_items_desc"></a>`BLOCKING_ITEMS_DESC` | ブロックしているアイテムの数の降順。 |
| <a id="workitemsortclosed_at_asc"></a>`CLOSED_AT_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。完了時刻の昇順。 |
| <a id="workitemsortclosed_at_desc"></a>`CLOSED_AT_DESC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。完了時刻の降順。 |
| <a id="workitemsortcreated_asc"></a>`CREATED_ASC` | 作成日時の昇順。 |
| <a id="workitemsortcreated_desc"></a>`CREATED_DESC` | 作成日時の降順。 |
| <a id="workitemsortdue_date_asc"></a>`DUE_DATE_ASC` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。期限の昇順。 |
| <a id="workitemsortdue_date_desc"></a>`DUE_DATE_DESC` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。期限の降順。 |
| <a id="workitemsortescalation_status_asc"></a>`ESCALATION_STATUS_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。トリガーされた状態から解決済みの状態への順。 |
| <a id="workitemsortescalation_status_desc"></a>`ESCALATION_STATUS_DESC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。解決済みの状態からトリガーされた状態への順。 |
| <a id="workitemsorthealth_status_asc"></a>`HEALTH_STATUS_ASC` {{< icon name="warning-solid" >}} | GitLab 17.11で**導入**。**状態**: 実験。ヘルスステータスの昇順。 |
| <a id="workitemsorthealth_status_desc"></a>`HEALTH_STATUS_DESC` {{< icon name="warning-solid" >}} | GitLab 17.11で**導入**。**状態**: 実験。ヘルスステータスの降順。 |
| <a id="workitemsortlabel_priority_asc"></a>`LABEL_PRIORITY_ASC` | ラベル優先度の昇順。 |
| <a id="workitemsortlabel_priority_desc"></a>`LABEL_PRIORITY_DESC` | ラベル優先度の降順。 |
| <a id="workitemsortmilestone_due_asc"></a>`MILESTONE_DUE_ASC` | マイルストーン期限の昇順。 |
| <a id="workitemsortmilestone_due_desc"></a>`MILESTONE_DUE_DESC` | マイルストーン期限の降順。 |
| <a id="workitemsortpopularity_asc"></a>`POPULARITY_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。賛成票（「いいね」の絵文字）の数の昇順。 |
| <a id="workitemsortpopularity_desc"></a>`POPULARITY_DESC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。賛成票（「いいね」の絵文字）の数の降順。 |
| <a id="workitemsortpriority_asc"></a>`PRIORITY_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。優先度の昇順。 |
| <a id="workitemsortpriority_desc"></a>`PRIORITY_DESC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。優先度の降順。 |
| <a id="workitemsortrelative_position_asc"></a>`RELATIVE_POSITION_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。相対位置の昇順。 |
| <a id="workitemsortseverity_asc"></a>`SEVERITY_ASC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。重大度、低いものから順。 |
| <a id="workitemsortseverity_desc"></a>`SEVERITY_DESC` {{< icon name="warning-solid" >}} | GitLab 17.10で**導入**。**状態**: 実験。重大度、高いものから順。 |
| <a id="workitemsortstart_date_asc"></a>`START_DATE_ASC` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。開始日の昇順。 |
| <a id="workitemsortstart_date_desc"></a>`START_DATE_DESC` {{< icon name="warning-solid" >}} | GitLab 17.9で**導入**。**状態**: 実験。開始日の降順。 |
| <a id="workitemsorttitle_asc"></a>`TITLE_ASC` | タイトルの昇順。 |
| <a id="workitemsorttitle_desc"></a>`TITLE_DESC` | タイトルの降順。 |
| <a id="workitemsortupdated_asc"></a>`UPDATED_ASC` | 更新日時の昇順。 |
| <a id="workitemsortupdated_desc"></a>`UPDATED_DESC` | 更新日時の降順。 |
| <a id="workitemsortweight_asc"></a>`WEIGHT_ASC` {{< icon name="warning-solid" >}} | GitLab 17.11で**導入**。**状態**: 実験。ウェイトの昇順。 |
| <a id="workitemsortweight_desc"></a>`WEIGHT_DESC` {{< icon name="warning-solid" >}} | GitLab 17.11で**導入**。**状態**: 実験。ウェイトの降順。 |
| <a id="workitemsortcreated_asc"></a>`created_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_ASC`を使用してください。 |
| <a id="workitemsortcreated_desc"></a>`created_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`CREATED_DESC`を使用してください。 |
| <a id="workitemsortupdated_asc"></a>`updated_asc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_ASC`を使用してください。 |
| <a id="workitemsortupdated_desc"></a>`updated_desc` {{< icon name="warning-solid" >}} | GitLab 13.5で**非推奨**になりました。名前が変更されました。`UPDATED_DESC`を使用してください。 |

### `WorkItemState`

GitLab作業アイテムの状態。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemstateclosed"></a>`CLOSED` | 完了状態。 |
| <a id="workitemstateopen"></a>`OPEN` | 未解決状態。 |

### `WorkItemStateEvent`

作業アイテムの状態イベントの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemstateeventclose"></a>`CLOSE` | 作業アイテムを完了します。 |
| <a id="workitemstateeventreopen"></a>`REOPEN` | 作業アイテムを再開します。 |

### `WorkItemTodoUpdateAction`

作業アイテムのTo Do更新enumの値。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemtodoupdateactionadd"></a>`ADD` | To Doを追加します。 |
| <a id="workitemtodoupdateactionmark_as_done"></a>`MARK_AS_DONE` | To Doを完了としてマークします。 |

### `WorkItemWidgetType`

作業アイテムウィジェットのタイプ。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workitemwidgettypeassignees"></a>`ASSIGNEES` | 担当者ウィジェット。 |
| <a id="workitemwidgettypeaward_emoji"></a>`AWARD_EMOJI` | アワード絵文字ウィジェット。 |
| <a id="workitemwidgettypecolor"></a>`COLOR` | 色ウィジェット。 |
| <a id="workitemwidgettypecrm_contacts"></a>`CRM_CONTACTS` | CRM連絡先ウィジェット。 |
| <a id="workitemwidgettypecurrent_user_todos"></a>`CURRENT_USER_TODOS` | 現在のユーザーtodoウィジェット。 |
| <a id="workitemwidgettypecustom_fields"></a>`CUSTOM_FIELDS` | カスタムフィールドウィジェット。 |
| <a id="workitemwidgettypedescription"></a>`DESCRIPTION` | 説明ウィジェット。 |
| <a id="workitemwidgettypedesigns"></a>`DESIGNS` | デザインウィジェット。 |
| <a id="workitemwidgettypedevelopment"></a>`DEVELOPMENT` | 開発ウィジェット。 |
| <a id="workitemwidgettypeemail_participants"></a>`EMAIL_PARTICIPANTS` | メール参加者ウィジェット。 |
| <a id="workitemwidgettypeerror_tracking"></a>`ERROR_TRACKING` | エラートラッキングウィジェット。 |
| <a id="workitemwidgettypehealth_status"></a>`HEALTH_STATUS` | ヘルスステータスウィジェット。 |
| <a id="workitemwidgettypehierarchy"></a>`HIERARCHY` | 階層ウィジェット。 |
| <a id="workitemwidgettypeiteration"></a>`ITERATION` | イテレーションウィジェット。 |
| <a id="workitemwidgettypelabels"></a>`LABELS` | ラベルウィジェット。 |
| <a id="workitemwidgettypelinked_items"></a>`LINKED_ITEMS` | リンクされたアイテムウィジェット。 |
| <a id="workitemwidgettypelinked_resources"></a>`LINKED_RESOURCES` | リンクされたリソースウィジェット。 |
| <a id="workitemwidgettypemilestone"></a>`MILESTONE` | マイルストーンウィジェット。 |
| <a id="workitemwidgettypenotes"></a>`NOTES` | ノートウィジェット。 |
| <a id="workitemwidgettypenotifications"></a>`NOTIFICATIONS` | 通知ウィジェット。 |
| <a id="workitemwidgettypeparticipants"></a>`PARTICIPANTS` | 参加者ウィジェット。 |
| <a id="workitemwidgettypeprogress"></a>`PROGRESS` | 進捗状況ウィジェット。 |
| <a id="workitemwidgettyperequirement_legacy"></a>`REQUIREMENT_LEGACY` | 要件レガシーウィジェット。 |
| <a id="workitemwidgettypestart_and_due_date"></a>`START_AND_DUE_DATE` | 開始日と期限のウィジェット。 |
| <a id="workitemwidgettypestatus"></a>`STATUS` | 状態ウィジェット。 |
| <a id="workitemwidgettypetest_reports"></a>`TEST_REPORTS` | テストレポートウィジェット。 |
| <a id="workitemwidgettypetime_tracking"></a>`TIME_TRACKING` | タイムトラッキングウィジェット。 |
| <a id="workitemwidgettypeverification_status"></a>`VERIFICATION_STATUS` | 検証状態ウィジェット。 |
| <a id="workitemwidgettypevulnerabilities"></a>`VULNERABILITIES` | 脆弱性ウィジェット。 |
| <a id="workitemwidgettypeweight"></a>`WEIGHT` | ウェイトウィジェット。 |

### `WorkspaceVariableInputType`

ワークスペースに注入する変数の型のためのenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workspacevariableinputtypeenvironment"></a>`ENVIRONMENT` | 名前タイプ。 |

### `WorkspaceVariableType`

ワークスペースに注入される変数の型のためのenum。

| 値 | 説明 |
| ----- | ----------- |
| <a id="workspacevariabletypeenvironment"></a>`ENVIRONMENT` | 環境タイプ。 |

## スカラー型

スカラー値はアトミック値であり、独自のフィールドはありません。基本的なスカラーには、文字列、ブール値、および数値が含まれます。このスキーマでは、時間や日付のための型など、さまざまなカスタムスカラー値も定義されています。

このスキーマには、識別子のカスタムスカラー型が含まれており、オブジェクトの種類ごとに固有の型があります。

詳細については、`graphql.org`の[Scalar Types](https://graphql.org/learn/schema/#scalar-types)（スカラー型）を参照してください。

### `AbuseReportID`

`AbuseReportID`はグローバルIDです。文字列としてエンコードされます。

`AbuseReportID`の例: `"gid://gitlab/AbuseReport/1"`。

### `AchievementsAchievementID`

`AchievementsAchievementID`はグローバルIDです。文字列としてエンコードされます。

`AchievementsAchievementID`の例: `"gid://gitlab/Achievements::Achievement/1"`。

### `AchievementsUserAchievementID`

`AchievementsUserAchievementID`はグローバルIDです。文字列としてエンコードされます。

`AchievementsUserAchievementID`の例: `"gid://gitlab/Achievements::UserAchievement/1"`。

### `AiAgentID`

`AiAgentID`はグローバルIDです。文字列としてエンコードされます。

`AiAgentID`の例: `"gid://gitlab/Ai::Agent/1"`。

### `AiAgentVersionID`

`AiAgentVersionID`はグローバルIDです。文字列としてエンコードされます。

`AiAgentVersionID`の例: `"gid://gitlab/Ai::AgentVersion/1"`。

### `AiConversationThreadID`

`AiConversationThreadID`はグローバルIDです。文字列としてエンコードされます。

`AiConversationThreadID`の例: `"gid://gitlab/Ai::Conversation::Thread/1"`。

### `AiDuoWorkflowsWorkflowID`

`AiDuoWorkflowsWorkflowID`はグローバルIDです。文字列としてエンコードされます。

`AiDuoWorkflowsWorkflowID`の例: `"gid://gitlab/Ai::DuoWorkflows::Workflow/1"`。

### `AiModelID`

`AiModelID`はグローバルIDです。文字列としてエンコードされます。

`AiModelID`の例: `"gid://gitlab/Ai::Model/1"`。

### `AiSelfHostedModelID`

`AiSelfHostedModelID`はグローバルIDです。文字列としてエンコードされます。

`AiSelfHostedModelID`の例: `"gid://gitlab/Ai::SelfHostedModel/1"`。

### `AlertManagementAlertID`

`AlertManagementAlertID`はグローバルIDです。文字列としてエンコードされます。

`AlertManagementAlertID`の例: `"gid://gitlab/AlertManagement::Alert/1"`。

### `AlertManagementHttpIntegrationID`

`AlertManagementHttpIntegrationID`はグローバルIDです。文字列としてエンコードされます。

`AlertManagementHttpIntegrationID`の例: `"gid://gitlab/AlertManagement::HttpIntegration/1"`。

### `AnalyticsCycleAnalyticsStageID`

`AnalyticsCycleAnalyticsStageID`はグローバルIDです。文字列としてエンコードされます。

`AnalyticsCycleAnalyticsStageID`の例: `"gid://gitlab/Analytics::CycleAnalytics::Stage/1"`。

### `AnalyticsCycleAnalyticsValueStreamID`

`AnalyticsCycleAnalyticsValueStreamID`はグローバルIDです。文字列としてエンコードされます。

`AnalyticsCycleAnalyticsValueStreamID`の例: `"gid://gitlab/Analytics::CycleAnalytics::ValueStream/1"`。

### `AnalyticsDevopsAdoptionEnabledNamespaceID`

`AnalyticsDevopsAdoptionEnabledNamespaceID`はグローバルIDです。文字列としてエンコードされます。

`AnalyticsDevopsAdoptionEnabledNamespaceID`の例: `"gid://gitlab/Analytics::DevopsAdoption::EnabledNamespace/1"`。

### `AntiAbuseReportsLabelID`

`AntiAbuseReportsLabelID`はグローバルIDです。文字列としてエンコードされます。

`AntiAbuseReportsLabelID`の例: `"gid://gitlab/AntiAbuse::Reports::Label/1"`。

### `AntiAbuseReportsNoteID`

`AntiAbuseReportsNoteID`はグローバルIDです。文字列としてエンコードされます。

`AntiAbuseReportsNoteID`の例: `"gid://gitlab/AntiAbuse::Reports::Note/1"`。

### `AppSecFuzzingCoverageCorpusID`

`AppSecFuzzingCoverageCorpusID`はグローバルIDです。文字列としてエンコードされます。

`AppSecFuzzingCoverageCorpusID`の例: `"gid://gitlab/AppSec::Fuzzing::Coverage::Corpus/1"`。

### `ApprovalProjectRuleID`

`ApprovalProjectRuleID`はグローバルIDです。文字列としてエンコードされます。

`ApprovalProjectRuleID`の例: `"gid://gitlab/ApprovalProjectRule/1"`。

### `AuditEventsAmazonS3ConfigurationID`

`AuditEventsAmazonS3ConfigurationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsAmazonS3ConfigurationID`の例: `"gid://gitlab/AuditEvents::AmazonS3Configuration/1"`。

### `AuditEventsExternalAuditEventDestinationID`

`AuditEventsExternalAuditEventDestinationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsExternalAuditEventDestinationID`の例: `"gid://gitlab/AuditEvents::ExternalAuditEventDestination/1"`。

### `AuditEventsGoogleCloudLoggingConfigurationID`

`AuditEventsGoogleCloudLoggingConfigurationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsGoogleCloudLoggingConfigurationID`の例: `"gid://gitlab/AuditEvents::GoogleCloudLoggingConfiguration/1"`。

### `AuditEventsGroupExternalStreamingDestinationID`

`AuditEventsGroupExternalStreamingDestinationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsGroupExternalStreamingDestinationID`の例: `"gid://gitlab/AuditEvents::Group::ExternalStreamingDestination/1"`。

### `AuditEventsGroupNamespaceFilterID`

`AuditEventsGroupNamespaceFilterID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsGroupNamespaceFilterID`の例: `"gid://gitlab/AuditEvents::Group::NamespaceFilter/1"`。

### `AuditEventsInstanceAmazonS3ConfigurationID`

`AuditEventsInstanceAmazonS3ConfigurationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsInstanceAmazonS3ConfigurationID`の例: `"gid://gitlab/AuditEvents::Instance::AmazonS3Configuration/1"`。

### `AuditEventsInstanceExternalAuditEventDestinationID`

`AuditEventsInstanceExternalAuditEventDestinationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsInstanceExternalAuditEventDestinationID`の例: `"gid://gitlab/AuditEvents::InstanceExternalAuditEventDestination/1"`。

### `AuditEventsInstanceExternalStreamingDestinationID`

`AuditEventsInstanceExternalStreamingDestinationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsInstanceExternalStreamingDestinationID`の例: `"gid://gitlab/AuditEvents::Instance::ExternalStreamingDestination/1"`。

### `AuditEventsInstanceGoogleCloudLoggingConfigurationID`

`AuditEventsInstanceGoogleCloudLoggingConfigurationID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsInstanceGoogleCloudLoggingConfigurationID`の例: `"gid://gitlab/AuditEvents::Instance::GoogleCloudLoggingConfiguration/1"`。

### `AuditEventsInstanceNamespaceFilterID`

`AuditEventsInstanceNamespaceFilterID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsInstanceNamespaceFilterID`の例: `"gid://gitlab/AuditEvents::Instance::NamespaceFilter/1"`。

### `AuditEventsStreamingHTTPNamespaceFilterID`

`AuditEventsStreamingHTTPNamespaceFilterID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsStreamingHTTPNamespaceFilterID`の例: `"gid://gitlab/AuditEvents::Streaming::HTTP::NamespaceFilter/1"`。

### `AuditEventsStreamingHeaderID`

`AuditEventsStreamingHeaderID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsStreamingHeaderID`の例: `"gid://gitlab/AuditEvents::Streaming::Header/1"`。

### `AuditEventsStreamingInstanceHeaderID`

`AuditEventsStreamingInstanceHeaderID`はグローバルIDです。文字列としてエンコードされます。

`AuditEventsStreamingInstanceHeaderID`の例: `"gid://gitlab/AuditEvents::Streaming::InstanceHeader/1"`。

### `AwardableID`

`AwardableID`はグローバルIDです。文字列としてエンコードされます。

`AwardableID`の例: `"gid://gitlab/Awardable/1"`。

### `BigInt`

小数部なしの符号付き整数値を表します。値が32ビット整数のサイズを超える可能性があるため、文字列としてエンコードされます。

### `BoardID`

`BoardID`はグローバルIDです。文字列としてエンコードされます。

`BoardID`の例: `"gid://gitlab/Board/1"`。

### `BoardsEpicBoardID`

`BoardsEpicBoardID`はグローバルIDです。文字列としてエンコードされます。

`BoardsEpicBoardID`の例: `"gid://gitlab/Boards::EpicBoard/1"`。

### `BoardsEpicListID`

`BoardsEpicListID`はグローバルIDです。文字列としてエンコードされます。

`BoardsEpicListID`の例: `"gid://gitlab/Boards::EpicList/1"`。

### `Boolean`

`true`または`false`の値を表します。

### `CiBuildID`

`CiBuildID`はグローバルIDです。文字列としてエンコードされます。

`CiBuildID`の例: `"gid://gitlab/Ci::Build/1"`。

### `CiCatalogResourceID`

`CiCatalogResourceID`はグローバルIDです。文字列としてエンコードされます。

`CiCatalogResourceID`の例: `"gid://gitlab/Ci::Catalog::Resource/1"`。

### `CiCatalogResourcesComponentID`

`CiCatalogResourcesComponentID`はグローバルIDです。文字列としてエンコードされます。

`CiCatalogResourcesComponentID`の例: `"gid://gitlab/Ci::Catalog::Resources::Component/1"`。

### `CiCatalogResourcesVersionID`

`CiCatalogResourcesVersionID`はグローバルIDです。文字列としてエンコードされます。

`CiCatalogResourcesVersionID`の例: `"gid://gitlab/Ci::Catalog::Resources::Version/1"`。

### `CiInputsValueInputType`

CIインプットの値。文字列、配列、数値、またはブール値が可能です。

### `CiJobArtifactID`

`CiJobArtifactID`はグローバルIDです。文字列としてエンコードされます。

`CiJobArtifactID`の例: `"gid://gitlab/Ci::JobArtifact/1"`。

### `CiPipelineID`

`CiPipelineID`はグローバルIDです。文字列としてエンコードされます。

`CiPipelineID`の例: `"gid://gitlab/Ci::Pipeline/1"`。

### `CiPipelineScheduleID`

`CiPipelineScheduleID`はグローバルIDです。文字列としてエンコードされます。

`CiPipelineScheduleID`の例: `"gid://gitlab/Ci::PipelineSchedule/1"`。

### `CiPipelineScheduleInputID`

`CiPipelineScheduleInputID`はグローバルIDです。文字列としてエンコードされます。

`CiPipelineScheduleInputID`の例: `"gid://gitlab/Ci::PipelineScheduleInput/1"`。

### `CiPipelineScheduleVariableID`

`CiPipelineScheduleVariableID`はグローバルIDです。文字列としてエンコードされます。

`CiPipelineScheduleVariableID`の例: `"gid://gitlab/Ci::PipelineScheduleVariable/1"`。

### `CiProcessableID`

`CiProcessableID`はグローバルIDです。文字列としてエンコードされます。

`CiProcessableID`の例: `"gid://gitlab/Ci::Processable/1"`。

### `CiRunnerID`

`CiRunnerID`はグローバルIDです。文字列としてエンコードされます。

`CiRunnerID`の例: `"gid://gitlab/Ci::Runner/1"`。

### `CiRunnerManagerID`

`CiRunnerManagerID`はグローバルIDです。文字列としてエンコードされます。

`CiRunnerManagerID`の例: `"gid://gitlab/Ci::RunnerManager/1"`。

### `CiStageID`

`CiStageID`はグローバルIDです。文字列としてエンコードされます。

`CiStageID`の例: `"gid://gitlab/Ci::Stage/1"`。

### `CiSubscriptionsProjectID`

`CiSubscriptionsProjectID`はグローバルIDです。文字列としてエンコードされます。

`CiSubscriptionsProjectID`の例: `"gid://gitlab/Ci::Subscriptions::Project/1"`。

### `CiTriggerID`

`CiTriggerID`はグローバルIDです。文字列としてエンコードされます。

`CiTriggerID`の例: `"gid://gitlab/Ci::Trigger/1"`。

### `ClustersAgentID`

`ClustersAgentID`はグローバルIDです。文字列としてエンコードされます。

`ClustersAgentID`の例: `"gid://gitlab/Clusters::Agent/1"`。

### `ClustersAgentTokenID`

`ClustersAgentTokenID`はグローバルIDです。文字列としてエンコードされます。

`ClustersAgentTokenID`の例: `"gid://gitlab/Clusters::AgentToken/1"`。

### `ClustersAgentsUrlConfigurationID`

`ClustersAgentsUrlConfigurationID`はグローバルIDです。文字列としてエンコードされます。

`ClustersAgentsUrlConfigurationID`の例: `"gid://gitlab/Clusters::Agents::UrlConfiguration/1"`。

### `ClustersClusterID`

`ClustersClusterID`はグローバルIDです。文字列としてエンコードされます。

`ClustersClusterID`の例: `"gid://gitlab/Clusters::Cluster/1"`。

### `Color`

16進数コードまたは色名で表される色。

例: 「#fefefe」。

### `ComplianceManagementComplianceFrameworkComplianceRequirementID`

`ComplianceManagementComplianceFrameworkComplianceRequirementID`はグローバルIDです。文字列としてエンコードされます。

`ComplianceManagementComplianceFrameworkComplianceRequirementID`の例: `"gid://gitlab/ComplianceManagement::ComplianceFramework::ComplianceRequirement/1"`。

### `ComplianceManagementComplianceFrameworkComplianceRequirementsControlID`

`ComplianceManagementComplianceFrameworkComplianceRequirementsControlID`はグローバルIDです。文字列としてエンコードされます。

`ComplianceManagementComplianceFrameworkComplianceRequirementsControlID`の例: `"gid://gitlab/ComplianceManagement::ComplianceFramework::ComplianceRequirementsControl/1"`。

### `ComplianceManagementFrameworkID`

`ComplianceManagementFrameworkID`はグローバルIDです。文字列としてエンコードされます。

`ComplianceManagementFrameworkID`の例: `"gid://gitlab/ComplianceManagement::Framework/1"`。

### `ContainerRegistryProtectionRuleID`

`ContainerRegistryProtectionRuleID`はグローバルIDです。文字列としてエンコードされます。

`ContainerRegistryProtectionRuleID`の例: `"gid://gitlab/ContainerRegistry::Protection::Rule/1"`。

### `ContainerRegistryProtectionTagRuleID`

`ContainerRegistryProtectionTagRuleID`はグローバルIDです。文字列としてエンコードされます。

`ContainerRegistryProtectionTagRuleID`の例: `"gid://gitlab/ContainerRegistry::Protection::TagRule/1"`。

### `ContainerRepositoryID`

`ContainerRepositoryID`はグローバルIDです。文字列としてエンコードされます。

`ContainerRepositoryID`の例: `"gid://gitlab/ContainerRepository/1"`。

### `CustomEmojiID`

`CustomEmojiID`はグローバルIDです。文字列としてエンコードされます。

`CustomEmojiID`の例: `"gid://gitlab/CustomEmoji/1"`。

### `CustomerRelationsContactID`

`CustomerRelationsContactID`はグローバルIDです。文字列としてエンコードされます。

`CustomerRelationsContactID`の例: `"gid://gitlab/CustomerRelations::Contact/1"`。

### `CustomerRelationsOrganizationID`

`CustomerRelationsOrganizationID`はグローバルIDです。文字列としてエンコードされます。

`CustomerRelationsOrganizationID`の例: `"gid://gitlab/CustomerRelations::Organization/1"`。

### `DastProfileID`

`DastProfileID`はグローバルIDです。文字列としてエンコードされます。

`DastProfileID`の例: `"gid://gitlab/Dast::Profile/1"`。

### `DastProfileScheduleID`

`DastProfileScheduleID`はグローバルIDです。文字列としてエンコードされます。

`DastProfileScheduleID`の例: `"gid://gitlab/Dast::ProfileSchedule/1"`。

### `DastScannerProfileID`

`DastScannerProfileID`はグローバルIDです。文字列としてエンコードされます。

`DastScannerProfileID`の例: `"gid://gitlab/DastScannerProfile/1"`。

### `DastSiteProfileID`

`DastSiteProfileID`はグローバルIDです。文字列としてエンコードされます。

`DastSiteProfileID`の例: `"gid://gitlab/DastSiteProfile/1"`。

### `DastSiteTokenID`

`DastSiteTokenID`はグローバルIDです。文字列としてエンコードされます。

`DastSiteTokenID`の例: `"gid://gitlab/DastSiteToken/1"`。

### `DastSiteValidationID`

`DastSiteValidationID`はグローバルIDです。文字列としてエンコードされます。

`DastSiteValidationID`の例: `"gid://gitlab/DastSiteValidation/1"`。

### `Date`

ISO 8601表記による日付。

### `DependencyProxyManifestID`

`DependencyProxyManifestID`はグローバルIDです。文字列としてエンコードされます。

`DependencyProxyManifestID`の例: `"gid://gitlab/DependencyProxy::Manifest/1"`。

### `DeployKeyID`

`DeployKeyID`はグローバルIDです。文字列としてエンコードされます。

`DeployKeyID`の例: `"gid://gitlab/DeployKey/1"`。

### `DeploymentID`

`DeploymentID`はグローバルIDです。文字列としてエンコードされます。

`DeploymentID`の例: `"gid://gitlab/Deployment/1"`。

### `DescriptionVersionID`

`DescriptionVersionID`はグローバルIDです。文字列としてエンコードされます。

`DescriptionVersionID`の例: `"gid://gitlab/DescriptionVersion/1"`。

### `DesignManagementDesignAtVersionID`

`DesignManagementDesignAtVersionID`はグローバルIDです。文字列としてエンコードされます。

`DesignManagementDesignAtVersionID`の例: `"gid://gitlab/DesignManagement::DesignAtVersion/1"`。

### `DesignManagementDesignID`

`DesignManagementDesignID`はグローバルIDです。文字列としてエンコードされます。

`DesignManagementDesignID`の例: `"gid://gitlab/DesignManagement::Design/1"`。

### `DesignManagementVersionID`

`DesignManagementVersionID`はグローバルIDです。文字列としてエンコードされます。

`DesignManagementVersionID`の例: `"gid://gitlab/DesignManagement::Version/1"`。

### `DiffNoteID`

`DiffNoteID`はグローバルIDです。文字列としてエンコードされます。

`DiffNoteID`の例: `"gid://gitlab/DiffNote/1"`。

### `DiscussionID`

`DiscussionID`はグローバルIDです。文字列としてエンコードされます。

`DiscussionID`の例: `"gid://gitlab/Discussion/1"`。

### `Duration`

2時点間の経過時間（秒を単位とする小数点数）。

例: 12.3334。

### `EmailID`

`EmailID`はグローバルIDです。文字列としてエンコードされます。

`EmailID`の例: `"gid://gitlab/Email/1"`。

### `EnvironmentID`

`EnvironmentID`はグローバルIDです。文字列としてエンコードされます。

`EnvironmentID`の例: `"gid://gitlab/Environment/1"`。

### `EpicID`

`EpicID`はグローバルIDです。文字列としてエンコードされます。

`EpicID`の例: `"gid://gitlab/Epic/1"`。

### `EpicTreeSortingID`

`EpicTreeSortingID`はグローバルIDです。文字列としてエンコードされます。

`EpicTreeSortingID`の例: `"gid://gitlab/EpicTreeSorting/1"`。

### `Float`

[IEEE 754](https://en.wikipedia.org/wiki/IEEE_floating_point)で指定されている、符号付き倍精度小数点数値を表します。

### `GeoBaseRegistryID`

`GeoBaseRegistryID`はグローバルIDです。文字列としてエンコードされます。

`GeoBaseRegistryID`の例: `"gid://gitlab/Geo::BaseRegistry/1"`。

### `GitlabErrorTrackingDetailedErrorID`

`GitlabErrorTrackingDetailedErrorID`はグローバルIDです。文字列としてエンコードされます。

`GitlabErrorTrackingDetailedErrorID`の例: `"gid://gitlab/Gitlab::ErrorTracking::DetailedError/1"`。

### `GitlabSubscriptionsAddOnPurchaseID`

`GitlabSubscriptionsAddOnPurchaseID`はグローバルIDです。文字列としてエンコードされます。

`GitlabSubscriptionsAddOnPurchaseID`の例: `"gid://gitlab/GitlabSubscriptions::AddOnPurchase/1"`。

### `GlobalID`

グローバル識別子。

グローバル識別子は、アプリケーション全体でオブジェクトを固有に表します。`"gid://gitlab/User/1"`は、グローバル識別子の一例です。

`gid://gitlab`はルート名を表します。`User`はレコードのActiveRecordクラスの名前です。`1`はdbテーブルのIDによるレコードIDです。

グローバル識別子は文字列としてエンコードされます。

### `GoogleCloudImage`

GKEのGoogle Cloud Imageを表します。

### `GoogleCloudMachineType`

Google Cloud Computeマシンタイプを表します。

### `GoogleCloudProject`

Google Cloud Computeプロジェクトを表します。

### `GoogleCloudRegion`

Google Cloud Computeリージョンを表します。

### `GoogleCloudZone`

Google Cloud Computeゾーンを表します。

### `GroupID`

`GroupID`はグローバルIDです。文字列としてエンコードされます。

`GroupID`の例: `"gid://gitlab/Group/1"`。

### `GroupsSavedReplyID`

`GroupsSavedReplyID`はグローバルIDです。文字列としてエンコードされます。

`GroupsSavedReplyID`の例: `"gid://gitlab/Groups::SavedReply/1"`。

### `ID`

Base64で難読化された固有識別子を表します。しばしばオブジェクトを再フェッチするために使用されたり、キャッシュのキーとして使用されたりします。ID型はJSON応答では文字列として表示されますが、人間が判読できることを目的とはしていません。インプット型として予期される場合、文字列（`"VXNlci0xMA=="`など）または整数（`4`など）のインプット値がIDとして受け入れられます。

### `ISO8601Date`

ISO 8601エンコードによる日付。

### `ISO8601DateTime`

ISO 8601エンコードによる日時。

### `ImportSourceUserID`

`ImportSourceUserID`はグローバルIDです。文字列としてエンコードされます。

`ImportSourceUserID`の例: `"gid://gitlab/Import::SourceUser/1"`。

### `IncidentManagementEscalationPolicyID`

`IncidentManagementEscalationPolicyID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementEscalationPolicyID`の例: `"gid://gitlab/IncidentManagement::EscalationPolicy/1"`。

### `IncidentManagementEscalationRuleID`

`IncidentManagementEscalationRuleID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementEscalationRuleID`の例: `"gid://gitlab/IncidentManagement::EscalationRule/1"`。

### `IncidentManagementIssuableResourceLinkID`

`IncidentManagementIssuableResourceLinkID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementIssuableResourceLinkID`の例: `"gid://gitlab/IncidentManagement::IssuableResourceLink/1"`。

### `IncidentManagementOncallParticipantID`

`IncidentManagementOncallParticipantID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementOncallParticipantID`の例: `"gid://gitlab/IncidentManagement::OncallParticipant/1"`。

### `IncidentManagementOncallRotationID`

`IncidentManagementOncallRotationID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementOncallRotationID`の例: `"gid://gitlab/IncidentManagement::OncallRotation/1"`。

### `IncidentManagementTimelineEventID`

`IncidentManagementTimelineEventID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementTimelineEventID`の例: `"gid://gitlab/IncidentManagement::TimelineEvent/1"`。

### `IncidentManagementTimelineEventTagID`

`IncidentManagementTimelineEventTagID`はグローバルIDです。文字列としてエンコードされます。

`IncidentManagementTimelineEventTagID`の例: `"gid://gitlab/IncidentManagement::TimelineEventTag/1"`。

### `Int`

小数部なしの符号付き整数値を表します。Intは、-(2^31)以上、2^31 - 1以下の値を表すことができます。

### `IntegrationsPrometheusID`

`IntegrationsPrometheusID`はグローバルIDです。文字列としてエンコードされます。

`IntegrationsPrometheusID`の例: `"gid://gitlab/Integrations::Prometheus/1"`。古い形式の`"gid://gitlab/PrometheusService/1"`は、14.1で非推奨になりました。

### `IssuableID`

`IssuableID`はグローバルIDです。文字列としてエンコードされます。

`IssuableID`の例: `"gid://gitlab/Issuable/1"`。

### `IssuablesCustomFieldID`

`IssuablesCustomFieldID`はグローバルIDです。文字列としてエンコードされます。

`IssuablesCustomFieldID`の例: `"gid://gitlab/Issuables::CustomField/1"`。

### `IssuablesCustomFieldSelectOptionID`

`IssuablesCustomFieldSelectOptionID`はグローバルIDです。文字列としてエンコードされます。

`IssuablesCustomFieldSelectOptionID`の例: `"gid://gitlab/Issuables::CustomFieldSelectOption/1"`。

### `IssueID`

`IssueID`はグローバルIDです。文字列としてエンコードされます。

`IssueID`の例: `"gid://gitlab/Issue/1"`。

### `IssueParentID`

`IssueParentID`はグローバルIDです。文字列としてエンコードされます。

`IssueParentID`の例: `"gid://gitlab/IssueParent/1"`。

### `IterationID`

`IterationID`はグローバルIDです。文字列としてエンコードされます。

`IterationID`の例: `"gid://gitlab/Iteration/1"`。古い形式の`"gid://gitlab/EEIteration/1"`は、13.3で非推奨になりました。

### `IterationsCadenceID`

`IterationsCadenceID`はグローバルIDです。文字列としてエンコードされます。

`IterationsCadenceID`の例: `"gid://gitlab/Iterations::Cadence/1"`。

### `JSON`

型未指定のJSONを表します。

### `JobID`

`CommitStatusID`はグローバルIDです。文字列としてエンコードされます。

`CommitStatusID`の例: `"gid://gitlab/CommitStatus/1"`。

### `JsonString`

raw文字列としてのJSONオブジェクト。

### `LabelID`

`LabelID`はグローバルIDです。文字列としてエンコードされます。

`LabelID`の例: `"gid://gitlab/Label/1"`。

### `ListID`

`ListID`はグローバルIDです。文字列としてエンコードされます。

`ListID`の例: `"gid://gitlab/List/1"`。

### `MemberRoleID`

`MemberRoleID`はグローバルIDです。文字列としてエンコードされます。

`MemberRoleID`の例: `"gid://gitlab/MemberRole/1"`。

### `MergeRequestID`

`MergeRequestID`はグローバルIDです。文字列としてエンコードされます。

`MergeRequestID`の例: `"gid://gitlab/MergeRequest/1"`。

### `MergeRequestsClosingIssuesID`

`MergeRequestsClosingIssuesID`はグローバルIDです。文字列としてエンコードされます。

`MergeRequestsClosingIssuesID`の例: `"gid://gitlab/MergeRequestsClosingIssues/1"`。

### `MergeRequestsExternalStatusCheckID`

`MergeRequestsExternalStatusCheckID`はグローバルIDです。文字列としてエンコードされます。

`MergeRequestsExternalStatusCheckID`の例: `"gid://gitlab/MergeRequests::ExternalStatusCheck/1"`。

### `MergeTrainsCarID`

`MergeTrainsCarID`はグローバルIDです。文字列としてエンコードされます。

`MergeTrainsCarID`の例: `"gid://gitlab/MergeTrains::Car/1"`。

### `MilestoneID`

`MilestoneID`はグローバルIDです。文字列としてエンコードされます。

`MilestoneID`の例: `"gid://gitlab/Milestone/1"`。

### `MlCandidateID`

`MlCandidateID`はグローバルIDです。文字列としてエンコードされます。

`MlCandidateID`の例: `"gid://gitlab/Ml::Candidate/1"`。

### `MlCandidateMetadataID`

`MlCandidateMetadataID`はグローバルIDです。文字列としてエンコードされます。

`MlCandidateMetadataID`の例: `"gid://gitlab/Ml::CandidateMetadata/1"`。

### `MlCandidateMetricID`

`MlCandidateMetricID`はグローバルIDです。文字列としてエンコードされます。

`MlCandidateMetricID`の例: `"gid://gitlab/Ml::CandidateMetric/1"`。

### `MlCandidateParamID`

`MlCandidateParamID`はグローバルIDです。文字列としてエンコードされます。

`MlCandidateParamID`の例: `"gid://gitlab/Ml::CandidateParam/1"`。

### `MlExperimentID`

`MlExperimentID`はグローバルIDです。文字列としてエンコードされます。

`MlExperimentID`の例: `"gid://gitlab/Ml::Experiment/1"`。

### `MlModelID`

`MlModelID`はグローバルIDです。文字列としてエンコードされます。

`MlModelID`の例: `"gid://gitlab/Ml::Model/1"`。

### `MlModelVersionID`

`MlModelVersionID`はグローバルIDです。文字列としてエンコードされます。

`MlModelVersionID`の例: `"gid://gitlab/Ml::ModelVersion/1"`。

### `NamespaceID`

`NamespaceID`はグローバルIDです。文字列としてエンコードされます。

`NamespaceID`の例: `"gid://gitlab/Namespace/1"`。

### `NamespacesNamespaceBanID`

`NamespacesNamespaceBanID`はグローバルIDです。文字列としてエンコードされます。

`NamespacesNamespaceBanID`の例: `"gid://gitlab/Namespaces::NamespaceBan/1"`。

### `NoteID`

`NoteID`はグローバルIDです。文字列としてエンコードされます。

`NoteID`の例: `"gid://gitlab/Note/1"`。

### `NoteableID`

`NoteableID`はグローバルIDです。文字列としてエンコードされます。

`NoteableID`の例: `"gid://gitlab/Noteable/1"`。

### `OperationsFeatureFlagID`

`OperationsFeatureFlagID`はグローバルIDです。文字列としてエンコードされます。

`OperationsFeatureFlagID`の例: `"gid://gitlab/Operations::FeatureFlag/1"`。

### `OrganizationsOrganizationID`

`OrganizationsOrganizationID`はグローバルIDです。文字列としてエンコードされます。

`OrganizationsOrganizationID`の例: `"gid://gitlab/Organizations::Organization/1"`。

### `OrganizationsOrganizationUserID`

`OrganizationsOrganizationUserID`はグローバルIDです。文字列としてエンコードされます。

`OrganizationsOrganizationUserID`の例: `"gid://gitlab/Organizations::OrganizationUser/1"`。

### `PackagesConanFileMetadatumID`

`PackagesConanFileMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesConanFileMetadatumID`の例: `"gid://gitlab/Packages::Conan::FileMetadatum/1"`。

### `PackagesConanMetadatumID`

`PackagesConanMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesConanMetadatumID`の例: `"gid://gitlab/Packages::Conan::Metadatum/1"`。

### `PackagesDependencyID`

`PackagesDependencyID`はグローバルIDです。文字列としてエンコードされます。

`PackagesDependencyID`の例: `"gid://gitlab/Packages::Dependency/1"`。

### `PackagesDependencyLinkID`

`PackagesDependencyLinkID`はグローバルIDです。文字列としてエンコードされます。

`PackagesDependencyLinkID`の例: `"gid://gitlab/Packages::DependencyLink/1"`。

### `PackagesMavenMetadatumID`

`PackagesMavenMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesMavenMetadatumID`の例: `"gid://gitlab/Packages::Maven::Metadatum/1"`。

### `PackagesNugetDependencyLinkMetadatumID`

`PackagesNugetDependencyLinkMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesNugetDependencyLinkMetadatumID`の例: `"gid://gitlab/Packages::Nuget::DependencyLinkMetadatum/1"`。

### `PackagesNugetMetadatumID`

`PackagesNugetMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesNugetMetadatumID`の例: `"gid://gitlab/Packages::Nuget::Metadatum/1"`。

### `PackagesPackageFileID`

`PackagesPackageFileID`はグローバルIDです。文字列としてエンコードされます。

`PackagesPackageFileID`の例: `"gid://gitlab/Packages::PackageFile/1"`。

### `PackagesPackageID`

`PackagesPackageID`はグローバルIDです。文字列としてエンコードされます。

`PackagesPackageID`の例: `"gid://gitlab/Packages::Package/1"`。

### `PackagesProtectionRuleID`

`PackagesProtectionRuleID`はグローバルIDです。文字列としてエンコードされます。

`PackagesProtectionRuleID`の例: `"gid://gitlab/Packages::Protection::Rule/1"`。

### `PackagesPypiMetadatumID`

`PackagesPypiMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesPypiMetadatumID`の例: `"gid://gitlab/Packages::Pypi::Metadatum/1"`。

### `PackagesTerraformModuleMetadatumID`

`PackagesTerraformModuleMetadatumID`はグローバルIDです。文字列としてエンコードされます。

`PackagesTerraformModuleMetadatumID`の例: `"gid://gitlab/Packages::TerraformModule::Metadatum/1"`。

### `PagesDeploymentID`

`PagesDeploymentID`はグローバルIDです。文字列としてエンコードされます。

`PagesDeploymentID`の例: `"gid://gitlab/PagesDeployment/1"`。

### `PathLockID`

`PathLockID`はグローバルIDです。文字列としてエンコードされます。

`PathLockID`の例: `"gid://gitlab/PathLock/1"`。

### `PayloadAlertFieldPathSegment`

文字列または整数。

### `ProjectID`

`ProjectID`はグローバルIDです。文字列としてエンコードされます。

`ProjectID`の例: `"gid://gitlab/Project/1"`。

### `ProjectImportStateID`

`ProjectImportStateID`はグローバルIDです。文字列としてエンコードされます。

`ProjectImportStateID`の例: `"gid://gitlab/ProjectImportState/1"`。

### `ProjectsBranchRuleID`

`ProjectsBranchRuleID`はグローバルIDです。文字列としてエンコードされます。

`ProjectsBranchRuleID`の例: `"gid://gitlab/Projects::BranchRule/1"`。

### `ProjectsSavedReplyID`

`ProjectsSavedReplyID`はグローバルIDです。文字列としてエンコードされます。

`ProjectsSavedReplyID`の例: `"gid://gitlab/Projects::SavedReply/1"`。

### `ProjectsTargetBranchRuleID`

`ProjectsTargetBranchRuleID`はグローバルIDです。文字列としてエンコードされます。

`ProjectsTargetBranchRuleID`の例: `"gid://gitlab/Projects::TargetBranchRule/1"`。

### `ReleaseID`

`ReleaseID`はグローバルIDです。文字列としてエンコードされます。

`ReleaseID`の例: `"gid://gitlab/Release/1"`。

### `ReleasesLinkID`

`ReleasesLinkID`はグローバルIDです。文字列としてエンコードされます。

`ReleasesLinkID`の例: `"gid://gitlab/Releases::Link/1"`。

### `RemoteDevelopmentNamespaceClusterAgentMappingID`

`RemoteDevelopmentNamespaceClusterAgentMappingID`はグローバルIDです。文字列としてエンコードされます。

`RemoteDevelopmentNamespaceClusterAgentMappingID`の例: `"gid://gitlab/RemoteDevelopment::NamespaceClusterAgentMapping/1"`。

### `RemoteDevelopmentWorkspaceID`

`RemoteDevelopmentWorkspaceID`はグローバルIDです。文字列としてエンコードされます。

`RemoteDevelopmentWorkspaceID`の例: `"gid://gitlab/RemoteDevelopment::Workspace/1"`。

### `RemoteDevelopmentWorkspaceVariableID`

`RemoteDevelopmentWorkspaceVariableID`はグローバルIDです。文字列としてエンコードされます。

`RemoteDevelopmentWorkspaceVariableID`の例: `"gid://gitlab/RemoteDevelopment::WorkspaceVariable/1"`。

### `RemoteDevelopmentWorkspacesAgentConfigID`

`RemoteDevelopmentWorkspacesAgentConfigID`はグローバルIDです。文字列としてエンコードされます。

`RemoteDevelopmentWorkspacesAgentConfigID`の例: `"gid://gitlab/RemoteDevelopment::WorkspacesAgentConfig/1"`。

### `SbomComponentID`

`SbomComponentID`はグローバルIDです。文字列としてエンコードされます。

`SbomComponentID`の例: `"gid://gitlab/Sbom::Component/1"`。

### `SbomComponentVersionID`

`SbomComponentVersionID`はグローバルIDです。文字列としてエンコードされます。

`SbomComponentVersionID`の例: `"gid://gitlab/Sbom::ComponentVersion/1"`。

### `SbomOccurrenceID`

`SbomOccurrenceID`はグローバルIDです。文字列としてエンコードされます。

`SbomOccurrenceID`の例: `"gid://gitlab/Sbom::Occurrence/1"`。

### `SecurityProjectSecurityExclusionID`

`SecurityProjectSecurityExclusionID`はグローバルIDです。文字列としてエンコードされます。

`SecurityProjectSecurityExclusionID`の例: `"gid://gitlab/Security::ProjectSecurityExclusion/1"`。

### `SecurityTrainingProviderID`

`SecurityTrainingProviderID`はグローバルIDです。文字列としてエンコードされます。

`SecurityTrainingProviderID`の例: `"gid://gitlab/Security::TrainingProvider/1"`。

### `SnippetID`

`SnippetID`はグローバルIDです。文字列としてエンコードされます。

`SnippetID`の例: `"gid://gitlab/Snippet/1"`。

### `String`

テキストデータをUTF-8文字シーケンスとして表します。この型は、GraphQLで人間が読める自由形式のテキストを表すためによく使用されます。

### `SystemNoteMetadataID`

`SystemNoteMetadataID`はグローバルIDです。文字列としてエンコードされます。

`SystemNoteMetadataID`の例: `"gid://gitlab/SystemNoteMetadata/1"`。

### `TerraformStateID`

`TerraformStateID`はグローバルIDです。文字列としてエンコードされます。

`TerraformStateID`の例: `"gid://gitlab/Terraform::State/1"`。

### `Time`

ISO 8601表記による時刻。

例: "2021-03-09T14:58:50+00:00"。

`https://www.iso.org/iso-8601-date-and-time-format.html`を参照してください。

### `TimelogID`

`TimelogID`はグローバルIDです。文字列としてエンコードされます。

`TimelogID`の例: `"gid://gitlab/Timelog/1"`。

### `TodoID`

`TodoID`はグローバルIDです。文字列としてエンコードされます。

`TodoID`の例: `"gid://gitlab/Todo/1"`。

### `TodoableID`

`TodoableID`はグローバルIDです。文字列としてエンコードされます。

`TodoableID`の例: `"gid://gitlab/Todoable/1"`。

### `UntrustedRegexp`

ユーザーインプットから取得したパターンを含む正規表現。

### `Upload`

### `UploadID`

`UploadID`はグローバルIDです。文字列としてエンコードされます。

`UploadID`の例: `"gid://gitlab/Upload/1"`。

### `UserID`

`UserID`はグローバルIDです。文字列としてエンコードされます。

`UserID`の例: `"gid://gitlab/User/1"`。

### `UsersSavedReplyID`

`UsersSavedReplyID`はグローバルIDです。文字列としてエンコードされます。

`UsersSavedReplyID`の例: `"gid://gitlab/Users::SavedReply/1"`。

### `VulnerabilitiesExternalIssueLinkID`

`VulnerabilitiesExternalIssueLinkID`はグローバルIDです。文字列としてエンコードされます。

`VulnerabilitiesExternalIssueLinkID`の例: `"gid://gitlab/Vulnerabilities::ExternalIssueLink/1"`。

### `VulnerabilitiesScannerID`

`VulnerabilitiesScannerID`はグローバルIDです。文字列としてエンコードされます。

`VulnerabilitiesScannerID`の例: `"gid://gitlab/Vulnerabilities::Scanner/1"`。

### `VulnerabilitiesStateTransitionID`

`VulnerabilitiesStateTransitionID`はグローバルIDです。文字列としてエンコードされます。

`VulnerabilitiesStateTransitionID`の例: `"gid://gitlab/Vulnerabilities::StateTransition/1"`。

### `VulnerabilityID`

`VulnerabilityID`はグローバルIDです。文字列としてエンコードされます。

`VulnerabilityID`の例: `"gid://gitlab/Vulnerability/1"`。

### `WikiPageMetaID`

`WikiPageMetaID`はグローバルIDです。文字列としてエンコードされます。

`WikiPageMetaID`の例: `"gid://gitlab/WikiPage::Meta/1"`。

### `WorkItemID`

`WorkItemID`はグローバルIDです。文字列としてエンコードされます。

`WorkItemID`の例: `"gid://gitlab/WorkItem/1"`。

イシューから作業アイテムに移行する間、この型では一時的に`IssueID`をサポートします（例: `"gid://gitlab/Issue/1"`）。この動作は、将来予告なしに削除される予定です。

### `WorkItemsParentID`

`WorkItemsParentID`はグローバルIDです。文字列としてエンコードされます。

`WorkItemsParentID`の例: `"gid://gitlab/WorkItems::Parent/1"`。

### `WorkItemsRelatedWorkItemLinkID`

`WorkItemsRelatedWorkItemLinkID`はグローバルIDです。文字列としてエンコードされます。

`WorkItemsRelatedWorkItemLinkID`の例: `"gid://gitlab/WorkItems::RelatedWorkItemLink/1"`。

### `WorkItemsTypeID`

`WorkItemsTypeID`はグローバルIDです。文字列としてエンコードされます。

`WorkItemsTypeID`の例: `"gid://gitlab/WorkItems::Type/1"`。

## 抽象型

抽象型（共用体とインターフェース）は、同じスキーマにより複数の具象型のうちいずれかの型の値を表すことができるようにする手段です。

- [`Union`](https://graphql.org/learn/schema/#union-types)（共用体）は、可能性のある複数の型の集合です。これらの型に共通のフィールドがないこともあります。
- [`Interface`](https://graphql.org/learn/schema/#interfaces)（インターフェース）は、定義済みのフィールドの集合です。インターフェースを型により実装（`implement`）することが可能です。実装型では、そのセット内のすべてのフィールドが含まれることが保証されます。1つの型で複数のインターフェースを実装できます。

抽象型の使用について詳しくは、[GraphQLのドキュメント](https://graphql.org/learn/)を参照してください。

### 共用体

#### `CiJobTokenScopeTarget`

CI_JOB_TOKEN許可リストエントリのターゲットであるオブジェクトを表します。

次のいずれかになります。

- [`CiJobTokenAccessibleGroup`](#cijobtokenaccessiblegroup)
- [`CiJobTokenAccessibleProject`](#cijobtokenaccessibleproject)

#### `CiRunnerCloudProvisioning`

Runnerクラウドプロビジョニングで使用される情報。

次のいずれかになります。

- [`CiRunnerGkeProvisioning`](#cirunnergkeprovisioning)
- [`CiRunnerGoogleCloudProvisioning`](#cirunnergooglecloudprovisioning)

#### `DependencyLinkMetadata`

依存関係リンクに関連付けられているメタデータを表します。

次のいずれかになります。

- [`NugetDependencyLinkMetadata`](#nugetdependencylinkmetadata)

#### `EventTargetType`

イベントのサブジェクトとなることのできるオブジェクトを表します。

次のいずれかになります。

- [`Design`](#design)
- [`Issue`](#issue)
- [`MergeRequest`](#mergerequest)
- [`Milestone`](#milestone)
- [`Note`](#note)
- [`Project`](#project)
- [`Snippet`](#snippet)
- [`UserCore`](#usercore)
- [`WikiPage`](#wikipage)

#### `ExpressionValue`

式の値の型として可能なものを表します。

次のいずれかになります。

- [`BooleanExpression`](#booleanexpression)
- [`IntegerExpression`](#integerexpression)
- [`StringExpression`](#stringexpression)

#### `GoogleCloudArtifactRegistryArtifact`

Google Artifact Registryアーティファクトの基本型。

次のいずれかになります。

- [`GoogleCloudArtifactRegistryDockerImage`](#googlecloudartifactregistrydockerimage)

#### `GoogleCloudArtifactRegistryArtifactDetails`

Google Artifact Registryアーティファクトの詳細型。

次のいずれかになります。

- [`GoogleCloudArtifactRegistryDockerImageDetails`](#googlecloudartifactregistrydockerimagedetails)

#### `Issuable`

イシューが可能なものを表します。

次のいずれかになります。

- [`Epic`](#epic)
- [`Issue`](#issue)
- [`MergeRequest`](#mergerequest)
- [`WorkItem`](#workitem)

#### `JobNeedUnion`

次のいずれかになります。

- [`CiBuildNeed`](#cibuildneed)
- [`CiJob`](#cijob)

#### `NoteableType`

ノートをサポートするオブジェクトを表します。

次のいずれかになります。

- [`Design`](#design)
- [`Issue`](#issue)
- [`MergeRequest`](#mergerequest)

#### `PackageMetadata`

パッケージに関連付けられているメタデータを表します。

次のいずれかになります。

- [`ComposerMetadata`](#composermetadata)
- [`ConanMetadata`](#conanmetadata)
- [`MavenMetadata`](#mavenmetadata)
- [`NugetMetadata`](#nugetmetadata)
- [`PypiMetadata`](#pypimetadata)
- [`TerraformModuleMetadata`](#terraformmodulemetadata)

#### `Registrable`

次のいずれかになります。

- [`CiSecureFileRegistry`](#cisecurefileregistry)
- [`ContainerRepositoryRegistry`](#containerrepositoryregistry)
- [`DependencyProxyBlobRegistry`](#dependencyproxyblobregistry)
- [`DependencyProxyManifestRegistry`](#dependencyproxymanifestregistry)
- [`DesignManagementRepositoryRegistry`](#designmanagementrepositoryregistry)
- [`GroupWikiRepositoryRegistry`](#groupwikirepositoryregistry)
- [`JobArtifactRegistry`](#jobartifactregistry)
- [`LfsObjectRegistry`](#lfsobjectregistry)
- [`MergeRequestDiffRegistry`](#mergerequestdiffregistry)
- [`PackageFileRegistry`](#packagefileregistry)
- [`PagesDeploymentRegistry`](#pagesdeploymentregistry)
- [`PipelineArtifactRegistry`](#pipelineartifactregistry)
- [`ProjectWikiRepositoryRegistry`](#projectwikirepositoryregistry)
- [`SnippetRepositoryRegistry`](#snippetrepositoryregistry)
- [`TerraformStateVersionRegistry`](#terraformstateversionregistry)
- [`UploadRegistry`](#uploadregistry)

#### `SecurityPolicySource`

ポリシーソースを表します。そのフィールドは、ソース型に応じて異なります。

次のいずれかになります。

- [`GroupSecurityPolicySource`](#groupsecuritypolicysource)
- [`ProjectSecurityPolicySource`](#projectsecuritypolicysource)

#### `VulnerabilityDetail`

脆弱性の詳細フィールドを表します。データを含むフィールドは、脆弱性の詳細タイプに応じて異なります。

次のいずれかになります。

- [`VulnerabilityDetailBase`](#vulnerabilitydetailbase)
- [`VulnerabilityDetailBoolean`](#vulnerabilitydetailboolean)
- [`VulnerabilityDetailCode`](#vulnerabilitydetailcode)
- [`VulnerabilityDetailCodeFlows`](#vulnerabilitydetailcodeflows)
- [`VulnerabilityDetailCommit`](#vulnerabilitydetailcommit)
- [`VulnerabilityDetailDiff`](#vulnerabilitydetaildiff)
- [`VulnerabilityDetailFileLocation`](#vulnerabilitydetailfilelocation)
- [`VulnerabilityDetailInt`](#vulnerabilitydetailint)
- [`VulnerabilityDetailList`](#vulnerabilitydetaillist)
- [`VulnerabilityDetailMarkdown`](#vulnerabilitydetailmarkdown)
- [`VulnerabilityDetailModuleLocation`](#vulnerabilitydetailmodulelocation)
- [`VulnerabilityDetailNamedList`](#vulnerabilitydetailnamedlist)
- [`VulnerabilityDetailTable`](#vulnerabilitydetailtable)
- [`VulnerabilityDetailText`](#vulnerabilitydetailtext)
- [`VulnerabilityDetailUrl`](#vulnerabilitydetailurl)

#### `VulnerabilityLocation`

脆弱性の場所を表します。データを含むフィールドは、脆弱性レポートのタイプに応じて異なります。

次のいずれかになります。

- [`VulnerabilityLocationClusterImageScanning`](#vulnerabilitylocationclusterimagescanning)
- [`VulnerabilityLocationContainerScanning`](#vulnerabilitylocationcontainerscanning)
- [`VulnerabilityLocationCoverageFuzzing`](#vulnerabilitylocationcoveragefuzzing)
- [`VulnerabilityLocationDast`](#vulnerabilitylocationdast)
- [`VulnerabilityLocationDependencyScanning`](#vulnerabilitylocationdependencyscanning)
- [`VulnerabilityLocationGeneric`](#vulnerabilitylocationgeneric)
- [`VulnerabilityLocationSast`](#vulnerabilitylocationsast)
- [`VulnerabilityLocationSecretDetection`](#vulnerabilitylocationsecretdetection)

### インターフェース

#### `AccessLevelInterface`

実装:

- [`ContainerProtectionAccessLevel`](#containerprotectionaccesslevel)
- [`ContainerProtectionTagRule`](#containerprotectiontagrule)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="accesslevelinterfaceminimumaccesslevelfordelete"></a>`minimumAccessLevelForDelete` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナリポジトリからコンテナイメージタグを削除するために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグを削除できます。 |
| <a id="accesslevelinterfaceminimumaccesslevelforpush"></a>`minimumAccessLevelForPush` {{< icon name="warning-solid" >}} | [`ContainerProtectionTagRuleAccessLevel`](#containerprotectiontagruleaccesslevel) | GitLab 17.8で**導入**。**状態**: 実験。コンテナイメージタグをコンテナリポジトリにプッシュするために必要な最小GitLabアクセスレベル。有効な値には`MAINTAINER`、`OWNER`、または`ADMIN`が含まれます。値が`nil`の場合、最小アクセスレベルは適用されません。デフォルトでは、デベロッパーロール以上のユーザーがタグをプッシュできます。 |

#### `AlertManagementIntegration`

実装:

- [`AlertManagementHttpIntegration`](#alertmanagementhttpintegration)
- [`AlertManagementPrometheusIntegration`](#alertmanagementprometheusintegration)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementintegrationactive"></a>`active` | [`Boolean`](#boolean) | エンドポイントが現在アラートを受け入れているかどうか。 |
| <a id="alertmanagementintegrationapiurl"></a>`apiUrl` | [`String`](#string) | メトリクスダッシュボードのデータを設定するために、PrometheusメトリクスをクエリできるURL。 |
| <a id="alertmanagementintegrationid"></a>`id` | [`ID!`](#id) | インテグレーションのID。 |
| <a id="alertmanagementintegrationname"></a>`name` | [`String`](#string) | インテグレーションの名前。 |
| <a id="alertmanagementintegrationtoken"></a>`token` | [`String`](#string) | アラート通知リクエストを認証するために使用するトークン。 |
| <a id="alertmanagementintegrationtype"></a>`type` | [`AlertManagementIntegrationType!`](#alertmanagementintegrationtype) | インテグレーションのタイプ。 |
| <a id="alertmanagementintegrationurl"></a>`url` | [`String`](#string) | アラート通知を受け入れるエンドポイント。 |

#### `AmazonS3ConfigurationInterface`

実装:

- [`AmazonS3ConfigurationType`](#amazons3configurationtype)
- [`InstanceAmazonS3ConfigurationType`](#instanceamazons3configurationtype)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="amazons3configurationinterfaceaccesskeyxid"></a>`accessKeyXid` | [`String!`](#string) | Amazon S3アカウントのアクセスキーID。 |
| <a id="amazons3configurationinterfaceawsregion"></a>`awsRegion` | [`String!`](#string) | バケットを作成するAWSリージョン。 |
| <a id="amazons3configurationinterfacebucketname"></a>`bucketName` | [`String!`](#string) | 監査イベントが記録されるバケットの名前。 |
| <a id="amazons3configurationinterfaceid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="amazons3configurationinterfacename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

#### `AuditEventStreamingDestinationInterface`

実装:

- [`GroupAuditEventStreamingDestination`](#groupauditeventstreamingdestination)
- [`InstanceAuditEventStreamingDestination`](#instanceauditeventstreamingdestination)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="auditeventstreamingdestinationinterfacecategory"></a>`category` | [`String!`](#string) | 監査イベントの送信先外部宛先のカテゴリ。 |
| <a id="auditeventstreamingdestinationinterfaceconfig"></a>`config` | [`JSON!`](#json) | 外部宛先の設定。 |
| <a id="auditeventstreamingdestinationinterfaceeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="auditeventstreamingdestinationinterfaceid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="auditeventstreamingdestinationinterfacename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="auditeventstreamingdestinationinterfacesecrettoken"></a>`secretToken` | [`String!`](#string) | 宛先のシークレットトークン。httpカテゴリでのみ空でない値になります。 |

#### `BaseDiscussionInterface`

実装:

- [`AbuseReportDiscussion`](#abusereportdiscussion)
- [`Discussion`](#discussion)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="basediscussioninterfacecreatedat"></a>`createdAt` | [`Time!`](#time) | ディスカッションの作成時のタイムスタンプ。 |
| <a id="basediscussioninterfaceid"></a>`id` | [`DiscussionID!`](#discussionid) | ディスカッションのID。 |
| <a id="basediscussioninterfacereplyid"></a>`replyId` | [`DiscussionID!`](#discussionid) | ディスカッションへの返信に使用するID。 |
| <a id="basediscussioninterfaceresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="basediscussioninterfaceresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="basediscussioninterfaceresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="basediscussioninterfaceresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |

#### `BaseHeaderInterface`

実装:

- [`AuditEventStreamingHeader`](#auditeventstreamingheader)
- [`AuditEventsStreamingInstanceHeader`](#auditeventsstreaminginstanceheader)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="baseheaderinterfaceactive"></a>`active` | [`Boolean!`](#boolean) | ヘッダーがアクティブかどうか。 |
| <a id="baseheaderinterfaceid"></a>`id` | [`ID!`](#id) | ヘッダーのID。 |
| <a id="baseheaderinterfacekey"></a>`key` | [`String!`](#string) | ヘッダーのキー。 |
| <a id="baseheaderinterfacevalue"></a>`value` | [`String!`](#string) | ヘッダーの値。 |

#### `BaseNoteInterface`

実装:

- [`AbuseReportNote`](#abusereportnote)
- [`Note`](#note)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="basenoteinterfaceauthor"></a>`author` | [`UserCore`](#usercore) | ノートを書いたユーザー。 |
| <a id="basenoteinterfaceawardemoji"></a>`awardEmoji` | [`AwardEmojiConnection`](#awardemojiconnection) | ノートに関連付けられている絵文字リアクションのリスト。（[接続](#connections)を参照） |
| <a id="basenoteinterfacebody"></a>`body` | [`String!`](#string) | ノートの内容。 |
| <a id="basenoteinterfacebodyfirstlinehtml"></a>`bodyFirstLineHtml` | [`String!`](#string) | ノートの内容の最初の行。 |
| <a id="basenoteinterfacebodyhtml"></a>`bodyHtml` | [`String`](#string) | ノートの内容のGitLab Flavored Markdownレンダリング。 |
| <a id="basenoteinterfacecreatedat"></a>`createdAt` | [`Time!`](#time) | ノートの作成時のタイムスタンプ。 |
| <a id="basenoteinterfacelasteditedat"></a>`lastEditedAt` | [`Time`](#time) | ノートが最後に編集された時点のタイムスタンプ。 |
| <a id="basenoteinterfacelasteditedby"></a>`lastEditedBy` | [`UserCore`](#usercore) | ノートを最後に編集したユーザー。 |
| <a id="basenoteinterfaceresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="basenoteinterfaceresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="basenoteinterfaceresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="basenoteinterfaceresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |
| <a id="basenoteinterfaceupdatedat"></a>`updatedAt` | [`Time!`](#time) | ノートの最後のアクティビティーのタイムスタンプ。 |
| <a id="basenoteinterfaceurl"></a>`url` | [`String`](#string) | Web UIでノートを表示するURL。 |

#### `CiVariable`

実装:

- [`CiGroupVariable`](#cigroupvariable)
- [`CiInstanceVariable`](#ciinstancevariable)
- [`CiManualVariable`](#cimanualvariable)
- [`CiProjectVariable`](#ciprojectvariable)
- [`PipelineScheduleVariable`](#pipelineschedulevariable)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="civariableid"></a>`id` | [`ID!`](#id) | 変数のID。 |
| <a id="civariablekey"></a>`key` | [`String`](#string) | 変数の名前。 |
| <a id="civariableraw"></a>`raw` | [`Boolean`](#boolean) | 変数がrawかどうかを示します。 |
| <a id="civariablevalue"></a>`value` | [`String`](#string) | 変数の値。 |
| <a id="civariablevariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

#### `CommitSignature`

コミットの署名情報を表します。

実装:

- [`GpgSignature`](#gpgsignature)
- [`SshSignature`](#sshsignature)
- [`X509Signature`](#x509signature)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitsignaturecommitsha"></a>`commitSha` | [`String`](#string) | 関連するコミットのSHA。 |
| <a id="commitsignatureproject"></a>`project` | [`Project`](#project) | 関連するコミットのプロジェクト。 |
| <a id="commitsignatureverificationstatus"></a>`verificationStatus` | [`VerificationStatus`](#verificationstatus) | 関連するキーまたは証明書の検証状態を示します。 |

#### `CurrentUserTodos`

実装:

- [`BoardEpic`](#boardepic)
- [`Design`](#design)
- [`Epic`](#epic)
- [`EpicIssue`](#epicissue)
- [`Issue`](#issue)
- [`MergeRequest`](#mergerequest)
- [`WorkItemWidgetCurrentUserTodos`](#workitemwidgetcurrentusertodos)

##### 引数のあるフィールド

###### `CurrentUserTodos.currentUserTodos`

現在のユーザーのto-doアイテム。

[`TodoConnection!`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="currentusertodoscurrentusertodosstate"></a>`state` | [`TodoStateEnum`](#todostateenum) | to-doアイテムの状態。 |

#### `DesignFields`

実装:

- [`Design`](#design)
- [`DesignAtVersion`](#designatversion)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="designfieldsdiffrefs"></a>`diffRefs` | [`DiffRefs!`](#diffrefs) | デザインの差分refs。 |
| <a id="designfieldsevent"></a>`event` | [`DesignVersionEvent!`](#designversionevent) | デザインが現在のバージョンでどう変更されたか。 |
| <a id="designfieldsfilename"></a>`filename` | [`String!`](#string) | デザインのファイル名。 |
| <a id="designfieldsfullpath"></a>`fullPath` | [`ID!`](#id) | デザインファイルのフルパス。 |
| <a id="designfieldsid"></a>`id` | [`ID!`](#id) | デザインのID。 |
| <a id="designfieldsimage"></a>`image` | [`String!`](#string) | フルサイズ画像のURL。 |
| <a id="designfieldsimagev432x230"></a>`imageV432x230` | [`String`](#string) | 432×230の範囲内に収まるようにサイズ変更されたデザインのURL。画像が生成されていない場合、これは`null`になります。 |
| <a id="designfieldsissue"></a>`issue` | [`Issue!`](#issue) | デザインが属するイシュー。 |
| <a id="designfieldsnotescount"></a>`notesCount` | [`Int!`](#int) | デザインのユーザー作成ノートの総数。 |
| <a id="designfieldsproject"></a>`project` | [`Project!`](#project) | デザインが属するプロジェクト。 |

#### `Entry`

実装:

- [`Blob`](#blob)
- [`Submodule`](#submodule)
- [`TreeEntry`](#treeentry)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="entryflatpath"></a>`flatPath` | [`String!`](#string) | エントリのフラットパス。 |
| <a id="entryid"></a>`id` | [`ID!`](#id) | エントリのID。 |
| <a id="entryname"></a>`name` | [`String!`](#string) | エントリの名前。 |
| <a id="entrypath"></a>`path` | [`String!`](#string) | エントリのパス。 |
| <a id="entrysha"></a>`sha` | [`String!`](#string) | エントリのSHA。 |
| <a id="entrytype"></a>`type` | [`EntryType!`](#entrytype) | ツリーエントリのタイプ。 |

#### `Eventable`

実装:

- [`BoardEpic`](#boardepic)
- [`Epic`](#epic)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="eventableevents"></a>`events` | [`EventConnection`](#eventconnection) | オブジェクトに関連付けられているイベントのリスト。（[接続](#connections)を参照） |

#### `ExpressionInterface`

すべての式の共通フィールドを定義します。

実装:

- [`BooleanExpression`](#booleanexpression)
- [`IntegerExpression`](#integerexpression)
- [`StringExpression`](#stringexpression)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="expressioninterfacefield"></a>`field` | [`String!`](#string) | 式が適用されるフィールド。 |
| <a id="expressioninterfaceoperator"></a>`operator` | [`String!`](#string) | 式の演算子。 |

#### `ExternalAuditEventDestinationInterface`

実装:

- [`ExternalAuditEventDestination`](#externalauditeventdestination)
- [`InstanceExternalAuditEventDestination`](#instanceexternalauditeventdestination)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="externalauditeventdestinationinterfacedestinationurl"></a>`destinationUrl` | [`String!`](#string) | 監査イベント送信先の外部宛先。 |
| <a id="externalauditeventdestinationinterfaceeventtypefilters"></a>`eventTypeFilters` | [`[String!]!`](#string) | ストリーミング用に追加されたイベントタイプフィルターのリスト。 |
| <a id="externalauditeventdestinationinterfaceid"></a>`id` | [`ID!`](#id) | 宛先のID。 |
| <a id="externalauditeventdestinationinterfacename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |
| <a id="externalauditeventdestinationinterfaceverificationtoken"></a>`verificationToken` | [`String!`](#string) | イベントのソースを検証するための検証トークン。 |

#### `GoogleCloudLoggingConfigurationInterface`

実装:

- [`GoogleCloudLoggingConfigurationType`](#googlecloudloggingconfigurationtype)
- [`InstanceGoogleCloudLoggingConfigurationType`](#instancegooglecloudloggingconfigurationtype)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudloggingconfigurationinterfaceclientemail"></a>`clientEmail` | [`String!`](#string) | クライアントのメール。 |
| <a id="googlecloudloggingconfigurationinterfacegoogleprojectidname"></a>`googleProjectIdName` | [`String!`](#string) | GoogleプロジェクトID。 |
| <a id="googlecloudloggingconfigurationinterfaceid"></a>`id` | [`ID!`](#id) | 設定のID。 |
| <a id="googlecloudloggingconfigurationinterfacelogidname"></a>`logIdName` | [`String!`](#string) | ログID。 |
| <a id="googlecloudloggingconfigurationinterfacename"></a>`name` | [`String!`](#string) | 監査イベントの外部送信先の名前。 |

#### `LabelInterface`

実装:

- [`AbuseReportLabel`](#abusereportlabel)
- [`Label`](#label)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="labelinterfacecolor"></a>`color` | [`String!`](#string) | ラベルの背景色。 |
| <a id="labelinterfacecreatedat"></a>`createdAt` | [`Time!`](#time) | ラベルが作成された日時。 |
| <a id="labelinterfacedescription"></a>`description` | [`String`](#string) | ラベルの説明（Markdownをキャッシュ用にHTMLとしてレンダリング）。 |
| <a id="labelinterfacetextcolor"></a>`textColor` | [`String!`](#string) | ラベルのテキストの色。 |
| <a id="labelinterfacetitle"></a>`title` | [`String!`](#string) | ラベルの内容。 |
| <a id="labelinterfaceupdatedat"></a>`updatedAt` | [`Time!`](#time) | ラベルが最後に更新された日時。 |

#### `MemberInterface`

実装:

- [`GroupMember`](#groupmember)
- [`PendingGroupMember`](#pendinggroupmember)
- [`PendingProjectMember`](#pendingprojectmember)
- [`ProjectMember`](#projectmember)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberinterfaceaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="memberinterfacecreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="memberinterfacecreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="memberinterfaceexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="memberinterfaceid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="memberinterfaceupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="memberinterfaceuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |

##### 引数のあるフィールド

###### `MemberInterface.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="memberinterfacemergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

#### `NoteableInterface`

実装:

- [`AlertManagementAlert`](#alertmanagementalert)
- [`BoardEpic`](#boardepic)
- [`Design`](#design)
- [`Epic`](#epic)
- [`EpicIssue`](#epicissue)
- [`Issue`](#issue)
- [`MergeRequest`](#mergerequest)
- [`Snippet`](#snippet)
- [`Vulnerability`](#vulnerability)
- [`WikiPage`](#wikipage)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="noteableinterfacecommenters"></a>`commenters` | [`UserCoreConnection!`](#usercoreconnection) | noteableについてのすべてのコメンター。（[接続](#connections)を参照） |
| <a id="noteableinterfacediscussions"></a>`discussions` | [`DiscussionConnection!`](#discussionconnection) | noteable（ノート可能）に対するすべてのディスカッション。（[接続](#connections)を参照） |

##### 引数のあるフィールド

###### `NoteableInterface.notes`

このnoteableに関するすべてのノート。

[`NoteConnection!`](#noteconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="noteableinterfacenotesfilter"></a>`filter` | [`NotesFilterType`](#notesfiltertype) | ノートコレクションのタイプ: ALL_NOTES、ONLY_COMMENTS、ONLY_ACTIVITY。 |

#### `OrchestrationPolicy`

実装:

- [`ApprovalPolicy`](#approvalpolicy)
- [`PipelineExecutionPolicy`](#pipelineexecutionpolicy)
- [`ScanExecutionPolicy`](#scanexecutionpolicy)
- [`ScanResultPolicy`](#scanresultpolicy)
- [`VulnerabilityManagementPolicy`](#vulnerabilitymanagementpolicy)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="orchestrationpolicydescription"></a>`description` | [`String!`](#string) | ポリシーの説明。 |
| <a id="orchestrationpolicyeditpath"></a>`editPath` | [`String!`](#string) | ポリシー編集ページのURL。 |
| <a id="orchestrationpolicyenabled"></a>`enabled` | [`Boolean!`](#boolean) | ポリシーが有効かどうかを示します。 |
| <a id="orchestrationpolicyname"></a>`name` | [`String!`](#string) | ポリシーの名前。 |
| <a id="orchestrationpolicypolicyscope"></a>`policyScope` | [`PolicyScope`](#policyscope) | ポリシーのスコープ。 |
| <a id="orchestrationpolicyupdatedat"></a>`updatedAt` | [`Time!`](#time) | ポリシーYAMLの最終更新時のタイムスタンプ。 |
| <a id="orchestrationpolicyyaml"></a>`yaml` | [`String!`](#string) | ポリシーのYAML定義。 |

#### `PackageFileMetadata`

パッケージファイルに関連付けられているメタデータを表します。

実装:

- [`ConanFileMetadata`](#conanfilemetadata)
- [`HelmFileMetadata`](#helmfilemetadata)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="packagefilemetadatacreatedat"></a>`createdAt` | [`Time!`](#time) | 作成日。 |
| <a id="packagefilemetadataupdatedat"></a>`updatedAt` | [`Time!`](#time) | 最新更新日。 |

#### `PendingMemberInterface`

実装:

- [`PendingGroupMember`](#pendinggroupmember)
- [`PendingProjectMember`](#pendingprojectmember)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingmemberinterfaceaccesslevel"></a>`accessLevel` | [`AccessLevel`](#accesslevel) | GitLab::アクセスレベル。 |
| <a id="pendingmemberinterfaceapproved"></a>`approved` | [`Boolean`](#boolean) | 保留中のメンバーが承認されたかどうか。 |
| <a id="pendingmemberinterfaceavatarurl"></a>`avatarUrl` | [`String`](#string) | 保留中のメンバーのアバターの画像ファイルのURL。 |
| <a id="pendingmemberinterfacecreatedat"></a>`createdAt` | [`Time`](#time) | メンバーシップ作成の日時。 |
| <a id="pendingmemberinterfacecreatedby"></a>`createdBy` | [`UserCore`](#usercore) | メンバーシップを承認したユーザー。 |
| <a id="pendingmemberinterfaceemail"></a>`email` | [`String`](#string) | 保留中のメンバーの公開メール。 |
| <a id="pendingmemberinterfaceexpiresat"></a>`expiresAt` | [`Time`](#time) | メンバーシップの期限切れ日時。 |
| <a id="pendingmemberinterfaceid"></a>`id` | [`ID!`](#id) | メンバーのID。 |
| <a id="pendingmemberinterfaceinvited"></a>`invited` | [`Boolean`](#boolean) | 保留中のメンバーが招待されたかどうか。 |
| <a id="pendingmemberinterfacename"></a>`name` | [`String`](#string) | 保留中のメンバーの名前。 |
| <a id="pendingmemberinterfaceupdatedat"></a>`updatedAt` | [`Time`](#time) | メンバーシップの最終更新日時。 |
| <a id="pendingmemberinterfaceuser"></a>`user` | [`UserCore`](#usercore) | メンバーオブジェクトに関連付けられているユーザー。 |
| <a id="pendingmemberinterfaceusername"></a>`username` | [`String`](#string) | 保留中のメンバーのユーザー名。 |
| <a id="pendingmemberinterfaceweburl"></a>`webUrl` | [`String`](#string) | 保留中のメンバーのWeb URL。 |

##### 引数のあるフィールド

###### `PendingMemberInterface.mergeRequestInteraction`

マージリクエストを検索します。

[`UserMergeRequestInteraction`](#usermergerequestinteraction)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pendingmemberinterfacemergerequestinteractionid"></a>`id` | [`MergeRequestID!`](#mergerequestid) | マージリクエストのグローバルID。 |

#### `ResolvableInterface`

実装:

- [`AbuseReportDiscussion`](#abusereportdiscussion)
- [`AbuseReportNote`](#abusereportnote)
- [`Discussion`](#discussion)
- [`Note`](#note)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="resolvableinterfaceresolvable"></a>`resolvable` | [`Boolean!`](#boolean) | オブジェクトを解決できるかどうかを示します。 |
| <a id="resolvableinterfaceresolved"></a>`resolved` | [`Boolean!`](#boolean) | オブジェクトが解決済みかどうかを示します。 |
| <a id="resolvableinterfaceresolvedat"></a>`resolvedAt` | [`Time`](#time) | オブジェクト解決時のタイムスタンプ。 |
| <a id="resolvableinterfaceresolvedby"></a>`resolvedBy` | [`UserCore`](#usercore) | オブジェクトを解決したユーザー。 |

#### `RoleInterface`

実装:

- [`AdminMemberRole`](#adminmemberrole)
- [`MemberRole`](#memberrole)
- [`StandardRole`](#standardrole)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="roleinterfacedescription"></a>`description` | [`String`](#string) | ロールの説明。 |
| <a id="roleinterfacedetailspath"></a>`detailsPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.4で**導入**。**状態**: 実験。ロールの詳細WebページのURLパス。 |
| <a id="roleinterfaceid"></a>`id` | [`ID!`](#id) | ロールID。 |
| <a id="roleinterfacememberscount"></a>`membersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.3で**導入**。**状態**: 実験。ロールがグループまたはプロジェクトメンバーに直接割り当てられた回数。 |
| <a id="roleinterfacename"></a>`name` | [`String`](#string) | ロール名。 |
| <a id="roleinterfaceuserscount"></a>`usersCount` {{< icon name="warning-solid" >}} | [`Int`](#int) | GitLab 17.5で**導入**。**状態**: 実験。少なくとも1つのグループまたはプロジェクトでロールが直接割り当てられているユーザーの数。 |

#### `Service`

実装:

- [`BaseService`](#baseservice)
- [`JiraService`](#jiraservice)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="serviceactive"></a>`active` | [`Boolean`](#boolean) | サービスがアクティブかどうかを示します。 |
| <a id="serviceservicetype"></a>`serviceType` | [`ServiceType`](#servicetype) | サービスのタイプ。 |
| <a id="servicetype"></a>`type` | [`String`](#string) | サービスのクラス名。 |

#### `TerraformModuleMetadataSharedFields`

実装:

- [`TerraformModuleMetadataExample`](#terraformmodulemetadataexample)
- [`TerraformModuleMetadataRoot`](#terraformmodulemetadataroot)
- [`TerraformModuleMetadataSubmodule`](#terraformmodulemetadatasubmodule)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="terraformmodulemetadatasharedfieldsinputs"></a>`inputs` | [`[TerraformModuleMetadataInput!]`](#terraformmodulemetadatainput) | モジュールのインプット。 |
| <a id="terraformmodulemetadatasharedfieldsoutputs"></a>`outputs` | [`[TerraformModuleMetadataOutput!]`](#terraformmodulemetadataoutput) | モジュールの出力。 |
| <a id="terraformmodulemetadatasharedfieldsreadme"></a>`readme` | [`String`](#string) | Readmeデータ。 |
| <a id="terraformmodulemetadatasharedfieldsreadmehtml"></a>`readmeHtml` | [`String`](#string) | `readme`のGitLab Flavored Markdownレンダリング。 |

#### `TimeboxReportInterface`

実装:

- [`Iteration`](#iteration)
- [`Milestone`](#milestone)

##### 引数のあるフィールド

###### `TimeboxReportInterface.report`

タイムボックスに関する、履歴として正確なレポート。

[`TimeboxReport`](#timeboxreport)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timeboxreportinterfacereportfullpath"></a>`fullPath` | [`String`](#string) | レポートのスコープとして使用されるプロジェクトまたはグループのフルパス。例: `gitlab-org`、`gitlab-org/gitlab`。 |

#### `Todoable`

実装:

- [`AddOnUser`](#addonuser)
- [`AlertManagementAlert`](#alertmanagementalert)
- [`AutocompletedUser`](#autocompleteduser)
- [`BoardEpic`](#boardepic)
- [`Commit`](#commit)
- [`CurrentUser`](#currentuser)
- [`Design`](#design)
- [`Epic`](#epic)
- [`EpicIssue`](#epicissue)
- [`Group`](#group)
- [`Issue`](#issue)
- [`Key`](#key)
- [`MergeRequest`](#mergerequest)
- [`MergeRequestAssignee`](#mergerequestassignee)
- [`MergeRequestAuthor`](#mergerequestauthor)
- [`MergeRequestParticipant`](#mergerequestparticipant)
- [`MergeRequestReviewer`](#mergerequestreviewer)
- [`Namespace`](#namespace)
- [`Project`](#project)
- [`UserCore`](#usercore)
- [`Vulnerability`](#vulnerability)
- [`WikiPage`](#wikipage)
- [`WorkItem`](#workitem)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="todoablename"></a>`name` | [`String`](#string) | オブジェクトの名前またはタイトル。 |
| <a id="todoableweburl"></a>`webUrl` | [`String`](#string) | オブジェクトのURL。 |

#### `User`

GitLabユーザーの表現。

実装:

- [`AddOnUser`](#addonuser)
- [`AutocompletedUser`](#autocompleteduser)
- [`CurrentUser`](#currentuser)
- [`MergeRequestAssignee`](#mergerequestassignee)
- [`MergeRequestAuthor`](#mergerequestauthor)
- [`MergeRequestParticipant`](#mergerequestparticipant)
- [`MergeRequestReviewer`](#mergerequestreviewer)
- [`UserCore`](#usercore)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="useractive"></a>`active` | [`Boolean`](#boolean) | ユーザーがアクティブかどうかを示します。 |
| <a id="useravatarurl"></a>`avatarUrl` | [`String`](#string) | ユーザーのアバターのURL。 |
| <a id="userbio"></a>`bio` | [`String`](#string) | ユーザーの経歴。 |
| <a id="userbot"></a>`bot` | [`Boolean!`](#boolean) | ユーザーがボットかどうかを示します。 |
| <a id="usercallouts"></a>`callouts` | [`UserCalloutConnection`](#usercalloutconnection) | ユーザーに属するユーザーコールアウト。（[接続](#connections)を参照） |
| <a id="usercommitemail"></a>`commitEmail` | [`String`](#string) | ユーザーのデフォルトのコミットメール。 |
| <a id="usercreatedat"></a>`createdAt` | [`Time`](#time) | ユーザー作成時のタイムスタンプ。 |
| <a id="userdiscord"></a>`discord` | [`String`](#string) | ユーザーのDiscord ID。 |
| <a id="useremail"></a>`email` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 13.7で**非推奨**になりました。名前が変更されました。[`User.publicEmail`](#userpublicemail)を使用してください。 |
| <a id="useremails"></a>`emails` | [`EmailConnection`](#emailconnection) | ユーザーのメールアドレス。（[接続](#connections)を参照） |
| <a id="usergitpodenabled"></a>`gitpodEnabled` | [`Boolean`](#boolean) | Gitpodがユーザーレベルで有効になっているかどうか。 |
| <a id="usergroupcount"></a>`groupCount` | [`Int`](#int) | ユーザーのグループ数。 |
| <a id="usergroupmemberships"></a>`groupMemberships` | [`GroupMemberConnection`](#groupmemberconnection) | ユーザーのグループメンバーシップ。（[接続](#connections)を参照） |
| <a id="userhuman"></a>`human` | [`Boolean`](#boolean) | ユーザーが標準ユーザーかどうかを示します。 |
| <a id="userid"></a>`id` | [`UserID!`](#userid) | ユーザーのグローバルID。 |
| <a id="useride"></a>`ide` | [`Ide`](#ide) | IDEの設定。 |
| <a id="userjobtitle"></a>`jobTitle` | [`String`](#string) | ユーザーの役職。 |
| <a id="userlastactivityon"></a>`lastActivityOn` | [`Date`](#date) | ユーザーが最後に何らかのアクションを実行した日付。 |
| <a id="userlinkedin"></a>`linkedin` | [`String`](#string) | ユーザーのLinkedInプロフィール名。 |
| <a id="userlocation"></a>`location` | [`String`](#string) | ユーザーの所在地。 |
| <a id="username"></a>`name` | [`String!`](#string) | 人間が判読できるユーザー名。ユーザーがプロジェクトボットであり、かつリクエスタにプロジェクト表示の権限がない場合は`****`を返します。 |
| <a id="usernamespace"></a>`namespace` | [`Namespace`](#namespace) | ユーザーの個人ネームスペース。 |
| <a id="usernamespacecommitemails"></a>`namespaceCommitEmails` | [`NamespaceCommitEmailConnection`](#namespacecommitemailconnection) | ユーザーのカスタムネームスペースコミットメール。（[接続](#connections)を参照） |
| <a id="userorganization"></a>`organization` | [`String`](#string) | ユーザーが誰を代表するか、または誰のために働いているか。 |
| <a id="userpreferencesgitpodpath"></a>`preferencesGitpodPath` | [`String`](#string) | ユーザープリファレンスのGitpodセクションのWebパス。 |
| <a id="userprofileenablegitpodpath"></a>`profileEnableGitpodPath` | [`String`](#string) | ユーザーに対してGitpodを有効にするためのWebパス。 |
| <a id="userprojectmemberships"></a>`projectMemberships` | [`ProjectMemberConnection`](#projectmemberconnection) | ユーザーのプロジェクトメンバーシップ。（[接続](#connections)を参照） |
| <a id="userpronouns"></a>`pronouns` | [`String`](#string) | ユーザーの代名詞。 |
| <a id="userpublicemail"></a>`publicEmail` | [`String`](#string) | ユーザーの公開メールアドレス。 |
| <a id="usersavedreplies"></a>`savedReplies` | [`SavedReplyConnection`](#savedreplyconnection) | ユーザーが作成した保存済み返信。（[接続](#connections)を参照） |
| <a id="userstate"></a>`state` | [`UserState!`](#userstate) | ユーザーの状態。 |
| <a id="userstatus"></a>`status` | [`UserStatus`](#userstatus) | ユーザー状態。 |
| <a id="usertwitter"></a>`twitter` | [`String`](#string) | ユーザーのX（旧Twitter）ユーザー名。 |
| <a id="usertype"></a>`type` | [`UserType!`](#usertype) | ユーザーのタイプ。 |
| <a id="useruserpermissions"></a>`userPermissions` | [`UserPermissions!`](#userpermissions) | リソースに対する現在のユーザーの権限。 |
| <a id="useruserpreferences"></a>`userPreferences` | [`UserPreferences`](#userpreferences) | ユーザーのプリファレンス。 |
| <a id="userusername"></a>`username` | [`String!`](#string) | ユーザーのユーザー名。GitLabインスタンス内で固有。 |
| <a id="userwebpath"></a>`webPath` | [`String!`](#string) | ユーザーのWebパス。 |
| <a id="userweburl"></a>`webUrl` | [`String!`](#string) | ユーザーのWeb URL。 |

##### 引数のあるフィールド

###### `User.assignedMergeRequests`

ユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userassignedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="userassignedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="userassignedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="userassignedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="userassignedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="userassignedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="userassignedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="userassignedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="userassignedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="userassignedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="userassignedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="userassignedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="userassignedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="userassignedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="userassignedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="userassignedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="userassignedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="userassignedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="userassignedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="userassignedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="userassignedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="userassignedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="userassignedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="userassignedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="userassignedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="userassignedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="userassignedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="userassignedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="userassignedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="userassignedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="userassignedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="userassignedmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="userassignedmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="userassignedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="userassignedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="userassignedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="userassignedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="userassignedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="userassignedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="userassignedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="userassignedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

###### `User.authoredMergeRequests`

ユーザーが作成したマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userauthoredmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="userauthoredmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="userauthoredmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="userauthoredmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="userauthoredmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="userauthoredmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="userauthoredmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="userauthoredmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="userauthoredmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="userauthoredmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="userauthoredmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="userauthoredmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="userauthoredmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="userauthoredmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="userauthoredmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="userauthoredmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="userauthoredmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="userauthoredmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="userauthoredmergerequestsincludeassigned"></a>`includeAssigned` | [`Boolean`](#boolean) | ユーザーが割り当てられているマージリクエストを含めます。 |
| <a id="userauthoredmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="userauthoredmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="userauthoredmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="userauthoredmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="userauthoredmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="userauthoredmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="userauthoredmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="userauthoredmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="userauthoredmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="userauthoredmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="userauthoredmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="userauthoredmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="userauthoredmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="userauthoredmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="userauthoredmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="userauthoredmergerequestsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | レビュアーのユーザー名。 |
| <a id="userauthoredmergerequestsreviewerwildcardid"></a>`reviewerWildcardId` | [`ReviewerWildcardId`](#reviewerwildcardid) | レビュアーの有無でフィルタリングします。reviewerUsernameと互換性がありません。 |
| <a id="userauthoredmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="userauthoredmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="userauthoredmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="userauthoredmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="userauthoredmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="userauthoredmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="userauthoredmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="userauthoredmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

###### `User.contributedProjects`

ユーザーがコントリビュートしたプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usercontributedprojectsincludepersonal"></a>`includePersonal` | [`Boolean`](#boolean) | 個人用プロジェクトを含めます。 |
| <a id="usercontributedprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="usercontributedprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="usercontributedprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="usercontributedprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | コントリビュートされたプロジェクトをソートします。 |

###### `User.groups`

ユーザーがアクセスできるグループ。

[`GroupConnection`](#groupconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usergroupspermissionscope"></a>`permissionScope` | [`GroupPermission`](#grouppermission) | ユーザーに付与されているグループに対する権限でフィルタリングします。 |
| <a id="usergroupssearch"></a>`search` | [`String`](#string) | グループ名またはパスで検索します。 |
| <a id="usergroupssort"></a>`sort` | [`GroupSort`](#groupsort) | 指定された条件でグループをソートします。 |

###### `User.organizations`

ユーザーがアクセスできる組織。

{{< details >}}GitLab 16.6で**導入**。**状態**: 実験。{{< /details >}}

[`OrganizationConnection`](#organizationconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userorganizationssearch"></a>`search` | [`String`](#string) | 組織名またはパスに対して実行できる検索クエリ。 |
| <a id="userorganizationssoloowned"></a>`soloOwned` | [`Boolean`](#boolean) | trueの場合、ユーザーが単独で所有する組織だけが返されます。 |

###### `User.reviewRequestedMergeRequests`

レビューのためにユーザーに割り当てられたマージリクエスト。

[`MergeRequestConnection`](#mergerequestconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userreviewrequestedmergerequestsapproved"></a>`approved` | [`Boolean`](#boolean) | 結果を承認済みマージリクエストに制限します。機能フラグ`mr_approved_filter`が有効になっている場合にのみ使用できます。 |
| <a id="userreviewrequestedmergerequestsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | 承認者のユーザー名。 |
| <a id="userreviewrequestedmergerequestsapprover"></a>`approver` | [`[String!]`](#string) | 承認者である可能性があるユーザー名。 |
| <a id="userreviewrequestedmergerequestsassigneeusername"></a>`assigneeUsername` | [`String`](#string) | 割り当て先ユーザーのユーザー名。 |
| <a id="userreviewrequestedmergerequestsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | マージリクエストに割り当てられたユーザーのユーザー名。 |
| <a id="userreviewrequestedmergerequestsassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先の有無でフィルタリングします。assigneeUsernamesともassigneeUsernameとも互換性がありません。 |
| <a id="userreviewrequestedmergerequestsauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名。 |
| <a id="userreviewrequestedmergerequestsblobpath"></a>`blobPath` {{< icon name="warning-solid" >}} | [`String`](#string) | GitLab 17.7で**導入**。**状態**: 実験。マージリクエストで変更されたblobのパス。state、targetBranches、およびcreatedAfterの引数が必須です。機能フラグ`filter_blob_path`が有効になっている場合にのみ使用できます。 |
| <a id="userreviewrequestedmergerequestscreatedafter"></a>`createdAfter` | [`Time`](#time) | 指定タイムスタンプより後に作成されたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestscreatedbefore"></a>`createdBefore` | [`Time`](#time) | 指定タイムスタンプより前に作成されたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsdeployedafter"></a>`deployedAfter` | [`Time`](#time) | 指定タイムスタンプより後にデプロイされたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsdeployedbefore"></a>`deployedBefore` | [`Time`](#time) | 指定タイムスタンプより前にデプロイされたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsdeploymentid"></a>`deploymentId` | [`String`](#string) | デプロイのID。 |
| <a id="userreviewrequestedmergerequestsdraft"></a>`draft` | [`Boolean`](#boolean) | 結果を下書きマージリクエストに制限します。 |
| <a id="userreviewrequestedmergerequestsenvironmentname"></a>`environmentName` | [`String`](#string) | マージリクエストのデプロイ先環境。 |
| <a id="userreviewrequestedmergerequestsgroupid"></a>`groupId` | [`GroupID`](#groupid) | 作成されたマージリクエストが属するグループのグローバルID。サブグループ内のマージリクエストが含まれます。 |
| <a id="userreviewrequestedmergerequestsiids"></a>`iids` | [`[String!]`](#string) | マージリクエストのIIDの配列（`[1, 2]`など）。 |
| <a id="userreviewrequestedmergerequestsin"></a>`in` | [`[IssuableSearchableField!]`](#issuablesearchablefield) | 検索を実行するフィールドを指定します。デフォルトは`[TITLE, DESCRIPTION]`です。`search`引数が必要です。 |
| <a id="userreviewrequestedmergerequestsincludearchived"></a>`includeArchived` | [`Boolean`](#boolean) | アーカイブされたプロジェクトからのマージリクエスト。 |
| <a id="userreviewrequestedmergerequestslabelname"></a>`labelName` | [`[String]`](#string) | マージリクエストに適用されるラベル。 |
| <a id="userreviewrequestedmergerequestslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | GitLab 17.1で**非推奨**になりました。`labelName`を使用してください。 |
| <a id="userreviewrequestedmergerequestsmergedafter"></a>`mergedAfter` | [`Time`](#time) | 指定日付より後にマージされたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsmergedbefore"></a>`mergedBefore` | [`Time`](#time) | 指定日付より前にマージされたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsmergedby"></a>`mergedBy` | [`String`](#string) | マージしたユーザー名。 |
| <a id="userreviewrequestedmergerequestsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトル。milestoneWildcardIdと互換性がありません。 |
| <a id="userreviewrequestedmergerequestsmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでイシューをフィルタリングします。milestoneTitleと互換性がありません。 |
| <a id="userreviewrequestedmergerequestsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 自分のリアクション絵文字でフィルタリングします。 |
| <a id="userreviewrequestedmergerequestsnot"></a>`not` | [`MergeRequestsResolverNegatedParams`](#mergerequestsresolvernegatedparams) | 否定条件となる引数リスト。警告: この引数は実験段階であり、将来変更される可能性があります。 |
| <a id="userreviewrequestedmergerequestsor"></a>`or` | [`UnionedMergeRequestFilterInput`](#unionedmergerequestfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="userreviewrequestedmergerequestsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | 作成されたマージリクエストが属するプロジェクトのグローバルID。projectPathと互換性がありません。 |
| <a id="userreviewrequestedmergerequestsprojectpath"></a>`projectPath` | [`String`](#string) | 作成されたマージリクエストが属するプロジェクトのフルパス。projectIdと互換性がありません。 |
| <a id="userreviewrequestedmergerequestsreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="userreviewrequestedmergerequestsreviewstate"></a>`reviewState` {{< icon name="warning-solid" >}} | [`MergeRequestReviewState`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態。 |
| <a id="userreviewrequestedmergerequestsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | GitLab 17.0で**導入**。**状態**: 実験。マージリクエストのレビュアーの状態（複数）。 |
| <a id="userreviewrequestedmergerequestssearch"></a>`search` | [`String`](#string) | タイトルまたは説明の検索クエリ。 |
| <a id="userreviewrequestedmergerequestssort"></a>`sort` | [`MergeRequestSort`](#mergerequestsort) | マージリクエストを条件でソートします。 |
| <a id="userreviewrequestedmergerequestssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ソースブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがソースとして含まれます。 |
| <a id="userreviewrequestedmergerequestsstate"></a>`state` | [`MergeRequestState`](#mergerequeststate) | マージリクエストの状態。指定した場合、解決済みのマージリクエストすべてに状態が含まれます。 |
| <a id="userreviewrequestedmergerequestssubscribed"></a>`subscribed` | [`SubscriptionStatus`](#subscriptionstatus) | 現在のユーザーがサブスクライブしているマージリクエスト。 |
| <a id="userreviewrequestedmergerequeststargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ターゲットブランチ名の配列。解決済みのマージリクエストには、すべて、これらのブランチのいずれかがターゲットとして含まれます。 |
| <a id="userreviewrequestedmergerequestsupdatedafter"></a>`updatedAfter` | [`Time`](#time) | 指定タイムスタンプより後に更新されたマージリクエスト。 |
| <a id="userreviewrequestedmergerequestsupdatedbefore"></a>`updatedBefore` | [`Time`](#time) | 指定タイムスタンプより前に更新されたマージリクエスト。 |

###### `User.savedReply`

ユーザーが作成した保存済み返信。

[`SavedReply`](#savedreply)を返します。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usersavedreplyid"></a>`id` | [`UsersSavedReplyID!`](#userssavedreplyid) | 保存済み返信のID。 |

###### `User.snippets`

ユーザーが作成したスニペット。

[`SnippetConnection`](#snippetconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usersnippetsids"></a>`ids` | [`[SnippetID!]`](#snippetid) | グローバルスニペットIDの配列。例: `gid://gitlab/ProjectSnippet/1`。 |
| <a id="usersnippetstype"></a>`type` | [`TypeEnum`](#typeenum) | スニペットのタイプ。 |
| <a id="usersnippetsvisibility"></a>`visibility` | [`VisibilityScopesEnum`](#visibilityscopesenum) | スニペットの表示レベル。 |

###### `User.starredProjects`

ユーザーがお気に入り登録したプロジェクト。

[`ProjectConnection`](#projectconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="userstarredprojectsminaccesslevel"></a>`minAccessLevel` | [`AccessLevelEnum`](#accesslevelenum) | 現在のユーザーに付与されているアクセスレベルが指定されたアクセスレベル以上であるプロジェクトのみを返します。 |
| <a id="userstarredprojectsprogramminglanguagename"></a>`programmingLanguageName` | [`String`](#string) | プロジェクトをプログラミング言語名でフィルタリングします（大文字と小文字は区別されません）。cssやrubyなど。 |
| <a id="userstarredprojectssearch"></a>`search` | [`String`](#string) | 検索クエリ。 |
| <a id="userstarredprojectssort"></a>`sort` | [`ProjectSort`](#projectsort) | 指定ソート順でお気に入りプロジェクトを一覧表示します。 |

###### `User.timelogs`

ユーザーがログに記録した時刻。

[`TimelogConnection`](#timelogconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usertimelogsenddate"></a>`endDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がendDate以前であるものを一覧表示します。 |
| <a id="usertimelogsendtime"></a>`endTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がendTime以前であるものを一覧表示します。 |
| <a id="usertimelogsgroupid"></a>`groupId` | [`GroupID`](#groupid) | グループのタイムログを一覧表示します。 |
| <a id="usertimelogsprojectid"></a>`projectId` | [`ProjectID`](#projectid) | プロジェクトのタイムログを一覧表示します。 |
| <a id="usertimelogssort"></a>`sort` | [`TimelogSort`](#timelogsort) | タイムログを特定の順序で一覧表示します。 |
| <a id="usertimelogsstartdate"></a>`startDate` | [`Time`](#time) | 日付範囲内のタイムログのうち、ログに記録された日付がstartDate以後であるものを一覧表示します。 |
| <a id="usertimelogsstarttime"></a>`startTime` | [`Time`](#time) | 時刻範囲内のタイムログのうち、ログに記録された時刻がstartTime以後であるものを一覧表示します。 |
| <a id="usertimelogsusername"></a>`username` | [`String`](#string) | ユーザーのタイムログを一覧表示します。 |

###### `User.todos`

ユーザーのto-doアイテム。

[`TodoConnection`](#todoconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="usertodosaction"></a>`action` | [`[TodoActionEnum!]`](#todoactionenum) | フィルタリングするアクション。 |
| <a id="usertodosauthorid"></a>`authorId` | [`[ID!]`](#id) | 作成者のID。 |
| <a id="usertodosgroupid"></a>`groupId` | [`[ID!]`](#id) | グループのID。 |
| <a id="usertodosissnoozed"></a>`isSnoozed` | [`Boolean`](#boolean) | To Doアイテムがスヌーズされているかどうか。 |
| <a id="usertodosprojectid"></a>`projectId` | [`[ID!]`](#id) | プロジェクトのID。 |
| <a id="usertodossort"></a>`sort` | [`TodoSort`](#todosort) | 指定された条件でtodoをソートします。 |
| <a id="usertodosstate"></a>`state` | [`[TodoStateEnum!]`](#todostateenum) | todoの状態。 |
| <a id="usertodostype"></a>`type` | [`[TodoTargetEnum!]`](#todotargetenum) | todoのタイプ。 |

###### `User.userAchievements`

ユーザーのアチーブメント。`achievements`機能フラグが有効になっているネームスペースについてのみ返されます。

{{< details >}}GitLab 15.10で**導入**。**状態**: 実験。{{< /details >}}

[`UserAchievementConnection`](#userachievementconnection)を返します。

このフィールドは[接続](#connections)を返します。`before: String`、`after: String`、`first: Int`、`last: Int`の4つを、標準[ページネーション引数](#pagination-arguments)として受け入れます。

\#######引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="useruserachievementsincludehidden"></a>`includeHidden` | [`Boolean`](#boolean) | プロファイルから隠されたアチーブメントを結果に含めるかどうかを示します。 |

#### `WorkItemCustomFieldValue`

実装:

- [`WorkItemNumberFieldValue`](#workitemnumberfieldvalue)
- [`WorkItemSelectFieldValue`](#workitemselectfieldvalue)
- [`WorkItemTextFieldValue`](#workitemtextfieldvalue)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemcustomfieldvaluecustomfield"></a>`customField` | [`CustomField!`](#customfield) | カスタムフィールド値に関連付けられているカスタムフィールド。 |

#### `WorkItemWidget`

実装:

- [`WorkItemWidgetAssignees`](#workitemwidgetassignees)
- [`WorkItemWidgetAwardEmoji`](#workitemwidgetawardemoji)
- [`WorkItemWidgetColor`](#workitemwidgetcolor)
- [`WorkItemWidgetCrmContacts`](#workitemwidgetcrmcontacts)
- [`WorkItemWidgetCurrentUserTodos`](#workitemwidgetcurrentusertodos)
- [`WorkItemWidgetCustomFields`](#workitemwidgetcustomfields)
- [`WorkItemWidgetDescription`](#workitemwidgetdescription)
- [`WorkItemWidgetDesigns`](#workitemwidgetdesigns)
- [`WorkItemWidgetDevelopment`](#workitemwidgetdevelopment)
- [`WorkItemWidgetEmailParticipants`](#workitemwidgetemailparticipants)
- [`WorkItemWidgetErrorTracking`](#workitemwidgeterrortracking)
- [`WorkItemWidgetHealthStatus`](#workitemwidgethealthstatus)
- [`WorkItemWidgetHierarchy`](#workitemwidgethierarchy)
- [`WorkItemWidgetIteration`](#workitemwidgetiteration)
- [`WorkItemWidgetLabels`](#workitemwidgetlabels)
- [`WorkItemWidgetLinkedItems`](#workitemwidgetlinkeditems)
- [`WorkItemWidgetLinkedResources`](#workitemwidgetlinkedresources)
- [`WorkItemWidgetMilestone`](#workitemwidgetmilestone)
- [`WorkItemWidgetNotes`](#workitemwidgetnotes)
- [`WorkItemWidgetNotifications`](#workitemwidgetnotifications)
- [`WorkItemWidgetParticipants`](#workitemwidgetparticipants)
- [`WorkItemWidgetProgress`](#workitemwidgetprogress)
- [`WorkItemWidgetRequirementLegacy`](#workitemwidgetrequirementlegacy)
- [`WorkItemWidgetStartAndDueDate`](#workitemwidgetstartandduedate)
- [`WorkItemWidgetStatus`](#workitemwidgetstatus)
- [`WorkItemWidgetTestReports`](#workitemwidgettestreports)
- [`WorkItemWidgetTimeTracking`](#workitemwidgettimetracking)
- [`WorkItemWidgetVerificationStatus`](#workitemwidgetverificationstatus)
- [`WorkItemWidgetVulnerabilities`](#workitemwidgetvulnerabilities)
- [`WorkItemWidgetWeight`](#workitemwidgetweight)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgettype"></a>`type` | [`WorkItemWidgetType`](#workitemwidgettype) | ウィジェットのタイプ。 |

#### `WorkItemWidgetDefinition`

実装:

- [`WorkItemWidgetDefinitionAssignees`](#workitemwidgetdefinitionassignees)
- [`WorkItemWidgetDefinitionCustomFields`](#workitemwidgetdefinitioncustomfields)
- [`WorkItemWidgetDefinitionGeneric`](#workitemwidgetdefinitiongeneric)
- [`WorkItemWidgetDefinitionHierarchy`](#workitemwidgetdefinitionhierarchy)
- [`WorkItemWidgetDefinitionLabels`](#workitemwidgetdefinitionlabels)
- [`WorkItemWidgetDefinitionStatus`](#workitemwidgetdefinitionstatus)
- [`WorkItemWidgetDefinitionWeight`](#workitemwidgetdefinitionweight)

##### フィールド

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdefinitiontype"></a>`type` | [`WorkItemWidgetType!`](#workitemwidgettype) | ウィジェットのタイプ。 |

## インプット型

引数として使用できる型（スカラー型もすべて引数として使用できます）。

ここでは、一般的な用途のインプット型のみ示します。変異インプット型については、上記の関連変異型を参照してください。

### `AiAdditionalContextInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiadditionalcontextinputcategory"></a>`category` | [`AiAdditionalContextCategory!`](#aiadditionalcontextcategory) | 追加コンテキストのカテゴリ。 |
| <a id="aiadditionalcontextinputcontent"></a>`content` | [`String!`](#string) | 追加コンテキストのコンテンツ。 |
| <a id="aiadditionalcontextinputid"></a>`id` | [`String!`](#string) | 追加コンテキストのID。 |
| <a id="aiadditionalcontextinputmetadata"></a>`metadata` | [`JSON`](#json) | 追加コンテキストのメタデータ。 |

### `AiChatInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aichatinputadditionalcontext"></a>`additionalContext` | [`[AiAdditionalContextInput!]`](#aiadditionalcontextinput) | チャットに渡する追加コンテキスト。 |
| <a id="aichatinputagentversionid"></a>`agentVersionId` | [`AiAgentVersionID`](#aiagentversionid) | チャットに応答するエージェントバージョンのグローバルID。 |
| <a id="aichatinputcontent"></a>`content` | [`String!`](#string) | メッセージの内容。 |
| <a id="aichatinputcurrentfile"></a>`currentFile` | [`AiCurrentFileInput`](#aicurrentfileinput) | 追加のコンテキストのために渡すことができる、現在選択されているテキストに関する情報。 |
| <a id="aichatinputnamespaceid"></a>`namespaceId` | [`NamespaceID`](#namespaceid) | ユーザー操作の対象となるネームスペースのグローバルID。 |
| <a id="aichatinputresourceid"></a>`resourceId` | [`AiModelID`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiCurrentFileInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aicurrentfileinputcontentabovecursor"></a>`contentAboveCursor` | [`String`](#string) | カーソルの上のコンテンツ。 |
| <a id="aicurrentfileinputcontentbelowcursor"></a>`contentBelowCursor` | [`String`](#string) | カーソルの下のコンテンツ。 |
| <a id="aicurrentfileinputfilename"></a>`fileName` | [`String!`](#string) | ファイル名。 |
| <a id="aicurrentfileinputselectedtext"></a>`selectedText` | [`String!`](#string) | 選択されたテキスト。 |

### `AiDescriptionComposerInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aidescriptioncomposerinputdescription"></a>`description` | [`String!`](#string) | 現在の説明。 |
| <a id="aidescriptioncomposerinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |
| <a id="aidescriptioncomposerinputsourcebranch"></a>`sourceBranch` | [`String`](#string) | 変更のソースブランチ。 |
| <a id="aidescriptioncomposerinputsourceprojectid"></a>`sourceProjectId` | [`ID`](#id) | 変更元プロジェクトのID。 |
| <a id="aidescriptioncomposerinputtargetbranch"></a>`targetBranch` | [`String`](#string) | 変更をマージする先のターゲットブランチ。 |
| <a id="aidescriptioncomposerinputtitle"></a>`title` | [`String!`](#string) | 現在のマージリクエストのタイトル。 |
| <a id="aidescriptioncomposerinputuserprompt"></a>`userPrompt` | [`String!`](#string) | ユーザーからのプロンプト。 |

### `AiExplainVulnerabilityInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aiexplainvulnerabilityinputincludesourcecode"></a>`includeSourceCode` | [`Boolean`](#boolean) | AIプロンプトに脆弱性のソースコードを含めます。 |
| <a id="aiexplainvulnerabilityinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiGenerateCommitMessageInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aigeneratecommitmessageinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiGenerateCubeQueryInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aigeneratecubequeryinputquestion"></a>`question` | [`String!`](#string) | プロジェクトのデータについての質問。 |
| <a id="aigeneratecubequeryinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiGenerateDescriptionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aigeneratedescriptioninputcontent"></a>`content` | [`String!`](#string) | メッセージの内容。 |
| <a id="aigeneratedescriptioninputdescriptiontemplatename"></a>`descriptionTemplateName` | [`String`](#string) | メッセージの生成に使用する説明テンプレートの名前。 |
| <a id="aigeneratedescriptioninputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiMeasureCommentTemperatureInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aimeasurecommenttemperatureinputcontent"></a>`content` | [`String!`](#string) | メッセージの内容。 |
| <a id="aimeasurecommenttemperatureinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiResolveVulnerabilityInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="airesolvevulnerabilityinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |
| <a id="airesolvevulnerabilityinputvulnerablemergerequestid"></a>`vulnerableMergeRequestId` | [`MergeRequestID`](#mergerequestid) | 脆弱性の修正を含むマージリクエストが対象とするマージリクエストのグローバルID。 |

### `AiSummarizeCommentsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aisummarizecommentsinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AiSummarizeNewMergeRequestInput`

2つのブランチに基づいて新しいマージリクエストを要約します。`null`機能フラグが無効になっている場合、`add_ai_summary_for_new_mr`を返します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aisummarizenewmergerequestinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |
| <a id="aisummarizenewmergerequestinputsourcebranch"></a>`sourceBranch` | [`String!`](#string) | 変更のソースブランチ。 |
| <a id="aisummarizenewmergerequestinputsourceprojectid"></a>`sourceProjectId` | [`ID`](#id) | 変更元プロジェクトのID。 |
| <a id="aisummarizenewmergerequestinputtargetbranch"></a>`targetBranch` | [`String!`](#string) | 変更をマージする先のターゲットブランチ。 |

### `AiSummarizeReviewInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="aisummarizereviewinputresourceid"></a>`resourceId` | [`AiModelID!`](#aimodelid) | 変異対象リソースのグローバルID。 |

### `AlertManagementPayloadAlertFieldInput`

HTTPインテグレーションのカスタムマッピング属性に変更を加える際に利用できるフィールド。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="alertmanagementpayloadalertfieldinputfieldname"></a>`fieldName` | [`AlertManagementPayloadAlertFieldName!`](#alertmanagementpayloadalertfieldname) | GitLabアラートフィールド名。 |
| <a id="alertmanagementpayloadalertfieldinputlabel"></a>`label` | [`String`](#string) | 人間が判読できるペイロードパスのラベル。 |
| <a id="alertmanagementpayloadalertfieldinputpath"></a>`path` | [`[PayloadAlertFieldPathSegment!]!`](#payloadalertfieldpathsegment) | ペイロードJSON内の値へのパス。 |
| <a id="alertmanagementpayloadalertfieldinputtype"></a>`type` | [`AlertManagementPayloadAlertFieldType!`](#alertmanagementpayloadalertfieldtype) | 解析された値の型。 |

### `BoardIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="boardissueinputassigneeusername"></a>`assigneeUsername` | [`[String]`](#string) | 割り当て先ユーザー名でフィルタリングします。 |
| <a id="boardissueinputassigneewildcardid"></a>`assigneeWildcardId` | [`AssigneeWildcardId`](#assigneewildcardid) | 割り当て先のワイルドカードでフィルタリングします。assigneeUsernameともassigneeUsernamesとも互換性がありません。 |
| <a id="boardissueinputauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名でフィルタリングします。 |
| <a id="boardissueinputconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密性でフィルタリングします。 |
| <a id="boardissueinputcustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="boardissueinputepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="boardissueinputepicwildcardid"></a>`epicWildcardId` | [`EpicWildcardId`](#epicwildcardid) | エピックIDのワイルドカードでフィルタリングします。epicIdと互換性がありません。 |
| <a id="boardissueinputhealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatusFilter`](#healthstatusfilter) | イシューのヘルスステータス。「none」と「any」の値がサポートされています。 |
| <a id="boardissueinputiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="boardissueinputiterationcadenceid"></a>`iterationCadenceId` | [`[IterationsCadenceID!]`](#iterationscadenceid) | イテレーションケイデンスIDのリストでフィルタリングします。 |
| <a id="boardissueinputiterationid"></a>`iterationId` | [`[IterationID!]`](#iterationid) | イテレーションIDのリストでフィルタリングします。iterationWildcardId と互換性がありません。 |
| <a id="boardissueinputiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="boardissueinputiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="boardissueinputlabelname"></a>`labelName` | [`[String]`](#string) | ラベル名でフィルタリングします。 |
| <a id="boardissueinputmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトルでフィルタリングします。 |
| <a id="boardissueinputmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。 |
| <a id="boardissueinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="boardissueinputnot"></a>`not` | [`NegatedBoardIssueInput`](#negatedboardissueinput) | 否定条件となる引数リスト。 |
| <a id="boardissueinputor"></a>`or` | [`UnionedIssueFilterInput`](#unionedissuefilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="boardissueinputreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="boardissueinputsearch"></a>`search` | [`String`](#string) | イシューのタイトルまたは説明の検索クエリ。 |
| <a id="boardissueinputtypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシューのタイプでフィルタリングします。 |
| <a id="boardissueinputweight"></a>`weight` | [`String`](#string) | ウェイトでフィルタリングします。 |
| <a id="boardissueinputweightwildcardid"></a>`weightWildcardId` | [`WeightWildcardId`](#weightwildcardid) | ウェイトIDのワイルドカードでフィルタリングします。weightと互換性がありません。 |

### `BranchProtectionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="branchprotectioninputallowforcepush"></a>`allowForcePush` | [`Boolean`](#boolean) | ブランチルールターゲットへの書き込みアクセス権のあるユーザーが、変更を強制プッシュできるようにします。 |
| <a id="branchprotectioninputcodeownerapprovalrequired"></a>`codeOwnerApprovalRequired` | [`Boolean`](#boolean) | マージを許可する前にコードオーナーの承認を強制します。 |
| <a id="branchprotectioninputmergeaccesslevels"></a>`mergeAccessLevels` | [`[MergeAccessLevelInput!]`](#mergeaccesslevelinput) | だれがブランチルールターゲットの中にマージできるかに関する詳細。 |
| <a id="branchprotectioninputpushaccesslevels"></a>`pushAccessLevels` | [`[PushAccessLevelInput!]`](#pushaccesslevelinput) | だれがブランチルールターゲットにプッシュできるかに関する詳細。 |

### `CiInputsInputType`

インプットを定義するための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="ciinputsinputtypedestroy"></a>`destroy` | [`Boolean`](#boolean) | これを`true`に設定すると、インプットが削除されます。 |
| <a id="ciinputsinputtypeid"></a>`id` {{< icon name="warning-solid" >}} | [`CiPipelineScheduleInputID`](#cipipelinescheduleinputid) | **非推奨: ****状態**: 実験。GitLab 17.11で導入。 |
| <a id="ciinputsinputtypename"></a>`name` | [`String!`](#string) | インプットの名前。 |
| <a id="ciinputsinputtypevalue"></a>`value` | [`CiInputsValueInputType!`](#ciinputsvalueinputtype) | インプットの値。 |

### `CiVariableInput`

CI/CD変数を定義するための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="civariableinputkey"></a>`key` | [`String!`](#string) | 変数の名前。 |
| <a id="civariableinputvalue"></a>`value` | [`String!`](#string) | 変数の値。 |
| <a id="civariableinputvariabletype"></a>`variableType` | [`CiVariableType`](#civariabletype) | 変数の型。 |

### `CommitAction`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="commitactionaction"></a>`action` | [`CommitActionMode!`](#commitactionmode) | 実行するアクション: create、delete、move、update、またはchmod。 |
| <a id="commitactioncontent"></a>`content` | [`String`](#string) | ファイルの内容。 |
| <a id="commitactionencoding"></a>`encoding` | [`CommitEncoding`](#commitencoding) | ファイルのエンコード。デフォルトはテキストです。 |
| <a id="commitactionexecutefilemode"></a>`executeFilemode` | [`Boolean`](#boolean) | ファイルの実行フラグを有効/無効にします。 |
| <a id="commitactionfilepath"></a>`filePath` | [`String!`](#string) | ファイルのフルパス。 |
| <a id="commitactionlastcommitid"></a>`lastCommitId` | [`String`](#string) | 既知の最新のファイルコミットID。 |
| <a id="commitactionpreviouspath"></a>`previousPath` | [`String`](#string) | 移動されるファイルの元のフルパス。 |

### `ComplianceFrameworkFilters`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceframeworkfiltersid"></a>`id` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | コンプライアンスフレームワークのID。 |
| <a id="complianceframeworkfiltersids"></a>`ids` | [`[ComplianceManagementFrameworkID!]`](#compliancemanagementframeworkid) | コンプライアンスフレームワークのID（複数）。 |
| <a id="complianceframeworkfiltersnot"></a>`not` | [`NegatedComplianceFrameworkFilters`](#negatedcomplianceframeworkfilters) | 否定条件となるコンプライアンスフレームワークのフィルターインプット。 |
| <a id="complianceframeworkfilterspresencefilter"></a>`presenceFilter` | [`ComplianceFrameworkPresenceFilter`](#complianceframeworkpresencefilter) | プロジェクトのコンプライアンスフレームワークの有無をチェックします。「none」と「any」の値がサポートされています。 |

### `ComplianceFrameworkInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceframeworkinputcolor"></a>`color` | [`String`](#string) | コンプライアンスフレームワークの新しい色の16進数形式表記。例: #FCA121。 |
| <a id="complianceframeworkinputdefault"></a>`default` | [`Boolean`](#boolean) | コンプライアンスフレームワークをグループのデフォルトフレームワークとして設定します。 |
| <a id="complianceframeworkinputdescription"></a>`description` | [`String`](#string) | コンプライアンスフレームワークの新しい説明。 |
| <a id="complianceframeworkinputname"></a>`name` | [`String`](#string) | コンプライアンスフレームワークの新しい名前。 |
| <a id="complianceframeworkinputpipelineconfigurationfullpath"></a>`pipelineConfigurationFullPath` {{< icon name="warning-solid" >}} | [`String`](#string) | **非推奨: **代わりにパイプライン実行ポリシーを使用してください。GitLab 17.4で非推奨になりました。 |

### `ComplianceRequirementInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementinputcompliancerequirementscontrols"></a>`complianceRequirementsControls` | [`[ComplianceRequirementsControlInput!]`](#compliancerequirementscontrolinput) | コンプライアンス要件のコンプライアンスコントロール。 |
| <a id="compliancerequirementinputdescription"></a>`description` | [`String`](#string) | コンプライアンス要件の新しい説明。 |
| <a id="compliancerequirementinputname"></a>`name` | [`String`](#string) | コンプライアンス要件の新しい名前。 |

### `ComplianceRequirementsControlInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancerequirementscontrolinputcontroltype"></a>`controlType` | [`String`](#string) | コンプライアンスコントロールのタイプ。 |
| <a id="compliancerequirementscontrolinputexpression"></a>`expression` | [`String`](#string) | コンプライアンスコントロールの式。 |
| <a id="compliancerequirementscontrolinputexternalurl"></a>`externalUrl` | [`String`](#string) | 外部コントロールのURL。 |
| <a id="compliancerequirementscontrolinputname"></a>`name` | [`String!`](#string) | コンプライアンス要件コントロールの新しい名前。 |
| <a id="compliancerequirementscontrolinputsecrettoken"></a>`secretToken` | [`String`](#string) | 外部コントロールのシークレットトークン。 |

### `ComplianceStandardsAdherenceInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancestandardsadherenceinputcheckname"></a>`checkName` | [`ComplianceStandardsAdherenceCheckName`](#compliancestandardsadherencecheckname) | コンプライアンス規格のチェックの名前。 |
| <a id="compliancestandardsadherenceinputprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | コンプライアンス規格準拠をプロジェクトでフィルタリングします。 |
| <a id="compliancestandardsadherenceinputstandard"></a>`standard` | [`ComplianceStandardsAdherenceStandard`](#compliancestandardsadherencestandard) | コンプライアンス規格の名前。 |

### `ComplianceStandardsProjectAdherenceInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="compliancestandardsprojectadherenceinputcheckname"></a>`checkName` | [`ComplianceStandardsAdherenceCheckName`](#compliancestandardsadherencecheckname) | コンプライアンス規格のチェックの名前。 |
| <a id="compliancestandardsprojectadherenceinputstandard"></a>`standard` | [`ComplianceStandardsAdherenceStandard`](#compliancestandardsadherencestandard) | コンプライアンス規格の名前。 |

### `ComplianceViolationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceviolationinputmergedafter"></a>`mergedAfter` | [`Date`](#date) | この日付以降にマージされたマージリクエスト。 |
| <a id="complianceviolationinputmergedbefore"></a>`mergedBefore` | [`Date`](#date) | この日付以前にマージされたマージリクエスト。 |
| <a id="complianceviolationinputprojectids"></a>`projectIds` | [`[ProjectID!]`](#projectid) | コンプライアンス違反をプロジェクトでフィルタリングします。 |
| <a id="complianceviolationinputtargetbranch"></a>`targetBranch` | [`String`](#string) | コンプライアンス違反をターゲットブランチでフィルタリングします。 |

### `ComplianceViolationProjectInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="complianceviolationprojectinputmergedafter"></a>`mergedAfter` | [`Date`](#date) | この日付以降にマージされたマージリクエスト。 |
| <a id="complianceviolationprojectinputmergedbefore"></a>`mergedBefore` | [`Date`](#date) | この日付以前にマージされたマージリクエスト。 |
| <a id="complianceviolationprojectinputtargetbranch"></a>`targetBranch` | [`String`](#string) | コンプライアンス違反をターゲットブランチでフィルタリングします。 |

### `CustomFieldSelectOptionInput`

カスタムフィールド選択オプションの属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="customfieldselectoptioninputid"></a>`id` | [`IssuablesCustomFieldSelectOptionID`](#issuablescustomfieldselectoptionid) | 更新するカスタムフィールド選択オプションのグローバルID。指定されていない場合は、新しいレコードを作成します。 |
| <a id="customfieldselectoptioninputvalue"></a>`value` | [`String!`](#string) | カスタムフィールド選択オプションの値。 |

### `DastProfileCadenceInput`

DASTプロファイルケイデンスを表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilecadenceinputduration"></a>`duration` | [`Int`](#int) | DASTプロファイルケイデンスの期間。 |
| <a id="dastprofilecadenceinputunit"></a>`unit` | [`DastProfileCadenceUnit`](#dastprofilecadenceunit) | DASTプロファイルケイデンスの期間の単位。 |

### `DastProfileScheduleInput`

DASTプロファイルスケジュールのインプット型。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastprofilescheduleinputactive"></a>`active` | [`Boolean`](#boolean) | DASTプロファイルスケジュールの状態。 |
| <a id="dastprofilescheduleinputcadence"></a>`cadence` | [`DastProfileCadenceInput`](#dastprofilecadenceinput) | DASTプロファイルケイデンスのケイデンス。 |
| <a id="dastprofilescheduleinputstartsat"></a>`startsAt` | [`Time`](#time) | Dastプロファイルスケジュールの開始時刻。 |
| <a id="dastprofilescheduleinputtimezone"></a>`timezone` | [`String`](#string) | DASTプロファイルスケジュールの開始時刻のタイムゾーン。 |

### `DastSiteProfileAuthInput`

DastSiteProfile認証のインプット型。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="dastsiteprofileauthinputenabled"></a>`enabled` | [`Boolean`](#boolean) | 認証が有効かどうかを示します。 |
| <a id="dastsiteprofileauthinputpassword"></a>`password` | [`String`](#string) | ターゲットでの認証用パスワード。 |
| <a id="dastsiteprofileauthinputpasswordfield"></a>`passwordField` | [`String`](#string) | サインインHTMLフォームのパスワードフィールドの名前。 |
| <a id="dastsiteprofileauthinputsubmitfield"></a>`submitField` | [`String`](#string) | サインインHTMLフォームのサインイン送信ボタンの名前またはID。 |
| <a id="dastsiteprofileauthinputurl"></a>`url` | [`String`](#string) | ターゲットウェブサイト上のサインインHTMLフォームを含むページのURL。 |
| <a id="dastsiteprofileauthinputusername"></a>`username` | [`String`](#string) | ターゲット認証用のユーザー名。 |
| <a id="dastsiteprofileauthinputusernamefield"></a>`usernameField` | [`String`](#string) | サインインHTMLフォームのユーザー名フィールドの名前。 |

### `DeploymentsOrderByInput`

デプロイを特定のフィールドによって並べ替えるための値。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="deploymentsorderbyinputcreatedat"></a>`createdAt` | [`SortDirectionEnum`](#sortdirectionenum) | 作成時刻で並べ替え。 |
| <a id="deploymentsorderbyinputfinishedat"></a>`finishedAt` | [`SortDirectionEnum`](#sortdirectionenum) | 終了時刻で並べ替え。 |

### `DiffImagePositionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffimagepositioninputbasesha"></a>`baseSha` | [`String`](#string) | コメントが作成されたブランチのマージベース。 |
| <a id="diffimagepositioninputheadsha"></a>`headSha` | [`String!`](#string) | コメントが作成された時点のHEADのSHA。 |
| <a id="diffimagepositioninputheight"></a>`height` | [`Int!`](#int) | 画像の合計高さ。 |
| <a id="diffimagepositioninputpaths"></a>`paths` | [`DiffPathsInput!`](#diffpathsinput) | 変更されたファイルのパス。このインプットのプロパティはどちらもオプションですが、少なくとも1つは必須です。 |
| <a id="diffimagepositioninputstartsha"></a>`startSha` | [`String!`](#string) | 比較対象となるブランチのSHA。 |
| <a id="diffimagepositioninputwidth"></a>`width` | [`Int!`](#int) | 画像の合計幅。 |
| <a id="diffimagepositioninputx"></a>`x` | [`Int!`](#int) | ノートのX位置。 |
| <a id="diffimagepositioninputy"></a>`y` | [`Int!`](#int) | ノートのY位置。 |

### `DiffPathsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffpathsinputnewpath"></a>`newPath` | [`String`](#string) | HEAD SHAのファイルのパス。 |
| <a id="diffpathsinputoldpath"></a>`oldPath` | [`String`](#string) | 開始SHAのファイルのパス。 |

### `DiffPositionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="diffpositioninputbasesha"></a>`baseSha` | [`String`](#string) | コメントが作成されたブランチのマージベース。 |
| <a id="diffpositioninputheadsha"></a>`headSha` | [`String!`](#string) | コメントが作成された時点のHEADのSHA。 |
| <a id="diffpositioninputnewline"></a>`newLine` | [`Int`](#int) | 変更されたHEAD SHAの行。このフィールドの使い方について詳しくは、[REST APIのドキュメント](https://docs.gitlab.com/ee/api/discussions.html#create-a-new-thread-in-the-merge-request-diff)を参照してください。 |
| <a id="diffpositioninputoldline"></a>`oldLine` | [`Int`](#int) | 変更された開始SHAの行。このフィールドの使い方について詳しくは、[REST APIのドキュメント](https://docs.gitlab.com/ee/api/discussions.html#create-a-new-thread-in-the-merge-request-diff)を参照してください。 |
| <a id="diffpositioninputpaths"></a>`paths` | [`DiffPathsInput!`](#diffpathsinput) | 変更されたファイルのパス。このインプットのプロパティはどちらもオプションですが、少なくとも1つは必須です。 |
| <a id="diffpositioninputstartsha"></a>`startSha` | [`String!`](#string) | 比較対象となるブランチのSHA。 |

### `DoraProjectFilterInput`

DORAメトリクスについてプロジェクトを集計するためのフィルターパラメータ。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="doraprojectfilterinputtopic"></a>`topic` | [`[String!]`](#string) | プロジェクトをトピックでフィルタリングします。 |

### `EpicFilters`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epicfiltersauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名でフィルタリングします。 |
| <a id="epicfiltersconfidential"></a>`confidential` | [`Boolean`](#boolean) | 機密性でフィルタリングします。 |
| <a id="epicfilterscustomfield"></a>`customField` {{< icon name="warning-solid" >}} | [`[WorkItemWidgetCustomFieldFilterInputType!]`](#workitemwidgetcustomfieldfilterinputtype) | **非推奨: ****状態**: 実験。GitLab 17.10で導入。 |
| <a id="epicfilterslabelname"></a>`labelName` | [`[String]`](#string) | ラベル名でフィルタリングします。 |
| <a id="epicfiltersmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="epicfiltersnot"></a>`not` | [`NegatedEpicBoardIssueInput`](#negatedepicboardissueinput) | 否定条件となるエピック引数。 |
| <a id="epicfiltersor"></a>`or` | [`UnionedEpicFilterInput`](#unionedepicfilterinput) | 引数のリストのインクルーシブOR結合。 |
| <a id="epicfilterssearch"></a>`search` | [`String`](#string) | エピックのタイトルまたは説明の検索クエリ。 |

### `EpicTreeNodeFieldsInputType`

Epic Treeのノード。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="epictreenodefieldsinputtypeadjacentreferenceid"></a>`adjacentReferenceId` | [`EpicTreeSortingID`](#epictreesortingid) | エピックまたはイシューの切り替え相手のエピックイシューまたはイシューのID。 |
| <a id="epictreenodefieldsinputtypeid"></a>`id` | [`EpicTreeSortingID!`](#epictreesortingid) | 移動するエピックイシューまたはエピックのID。 |
| <a id="epictreenodefieldsinputtypenewparentid"></a>`newParentId` | [`EpicID`](#epicid) | 新しい親エピックのID。 |
| <a id="epictreenodefieldsinputtyperelativeposition"></a>`relativePosition` | [`MoveType`](#movetype) | スイッチのタイプ。有効な値は`after`または`before`です。 |

### `EscalationRuleInput`

エスカレーションルールを表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="escalationruleinputelapsedtimeseconds"></a>`elapsedTimeSeconds` | [`Int!`](#int) | ルールがアクティブになるまでの秒数。 |
| <a id="escalationruleinputoncallscheduleiid"></a>`oncallScheduleIid` | [`ID`](#id) | 通知するオンコールスケジュール。 |
| <a id="escalationruleinputstatus"></a>`status` | [`EscalationRuleStatus!`](#escalationrulestatus) | ルールがアクティブになるのを防ぐために必要な状態。 |
| <a id="escalationruleinputusername"></a>`username` | [`String`](#string) | 通知するユーザーのユーザー名。 |

### `GoogleCloudNodePool`

GKEでノードプールを定義するための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudnodepoolimagetype"></a>`imageType` | [`GoogleCloudImage!`](#googlecloudimage) | プールで使用する画像。 |
| <a id="googlecloudnodepoollabels"></a>`labels` | [`[GoogleCloudNodePoolLabel!]`](#googlecloudnodepoollabel) | Runnerのノードプールのラベル。 |
| <a id="googlecloudnodepoolmachinetype"></a>`machineType` | [`GoogleCloudMachineType!`](#googlecloudmachinetype) | 使用するマシンタイプ。 |
| <a id="googlecloudnodepoolname"></a>`name` | [`String!`](#string) | ノードプールの名前。 |
| <a id="googlecloudnodepoolnodecount"></a>`nodeCount` | [`Int!`](#int) | プールのノード数。 |

### `GoogleCloudNodePoolLabel`

GKEクラスターのノードプールのラベル。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="googlecloudnodepoollabelkey"></a>`key` | [`String!`](#string) | ラベルのキー。 |
| <a id="googlecloudnodepoollabelvalue"></a>`value` | [`String!`](#string) | ラベルの値。 |

### `GroupProjectRequirementComplianceStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="groupprojectrequirementcompliancestatusinputframeworkid"></a>`frameworkId` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | コンプライアンス要件状態をコンプライアンスフレームワークでフィルタリングします。 |
| <a id="groupprojectrequirementcompliancestatusinputprojectid"></a>`projectId` | [`ProjectID`](#projectid) | コンプライアンス要件状態をプロジェクトでフィルタリングします。 |
| <a id="groupprojectrequirementcompliancestatusinputrequirementid"></a>`requirementId` | [`ComplianceManagementComplianceFrameworkComplianceRequirementID`](#compliancemanagementcomplianceframeworkcompliancerequirementid) | コンプライアンス要件状態をコンプライアンス要件でフィルタリングします。 |

### `JiraUsersMappingInputType`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="jirausersmappinginputtypegitlabid"></a>`gitlabId` | [`Int`](#int) | GitLabユーザーのID。 |
| <a id="jirausersmappinginputtypejiraaccountid"></a>`jiraAccountId` | [`String!`](#string) | ユーザーのJiraアカウントID。 |

### `MergeAccessLevelInput`

どのユーザーロール、ユーザー、またはグループを保護ブランチにマージできるかを定義します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergeaccesslevelinputaccesslevel"></a>`accessLevel` | [`Int`](#int) | アクションの実行を許可されているアクセスレベル。 |
| <a id="mergeaccesslevelinputgroupid"></a>`groupId` | [`GroupID`](#groupid) | アクセスレベルに関連付けられているグループ。 |
| <a id="mergeaccesslevelinputuserid"></a>`userId` | [`UserID`](#userid) | アクセスレベルに関連付けられているユーザー。 |

### `MergeRequestsResolverNegatedParams`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="mergerequestsresolvernegatedparamsapprovedby"></a>`approvedBy` | [`[String!]`](#string) | ここに指定する配列内のユーザー名によって承認されているものを除外するよう、マージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamsassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | ここに指定する配列内のユーザー名に割り当てられているものを除外するよう、マージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamsauthorusername"></a>`authorUsername` | [`String`](#string) | ここに指定するユーザーが作成したものを除外するよう、マージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamslabelname"></a>`labelName` | [`[String!]`](#string) | ここに指定する配列に含まれる文字列をラベルとするものを除外するよう、マージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamslabels"></a>`labels` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | **非推奨: **`labelName`を使用してください。GitLab 17.7で非推奨になりました。 |
| <a id="mergerequestsresolvernegatedparamsmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | ここに指定するマイルストーンに含まれないマージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamsmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 認証済みユーザーからここに指定するリアクションがないマージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamsreleasetag"></a>`releaseTag` | [`String`](#string) | ここに指定するリリースタグがないマージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamsreviewstates"></a>`reviewStates` {{< icon name="warning-solid" >}} | [`[MergeRequestReviewState!]`](#mergerequestreviewstate) | **非推奨: ****状態**: 実験。GitLab 17.9で導入。 |
| <a id="mergerequestsresolvernegatedparamsreviewerusername"></a>`reviewerUsername` | [`String`](#string) | ここに指定するユーザーによってレビューされていないマージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamssourcebranches"></a>`sourceBranches` | [`[String!]`](#string) | ここに指定する配列に含まれるソースブランチ名を除外するよう、マージリクエストをフィルタリングします。 |
| <a id="mergerequestsresolvernegatedparamstargetbranches"></a>`targetBranches` | [`[String!]`](#string) | ここに指定する配列に含まれるターゲットブランチ名を除外するよう、マージリクエストをフィルタリングします。 |

### `MonthSelectionInput`

プロダクト分析の使用状況データをクエリするための年と月のインプット。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="monthselectioninputmonth"></a>`month` | [`Int!`](#int) | 返す期間の月。 |
| <a id="monthselectioninputyear"></a>`year` | [`Int!`](#int) | 返す期間の年。 |

### `NegatedBoardIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedboardissueinputassigneeusername"></a>`assigneeUsername` | [`[String]`](#string) | 割り当て先ユーザー名でフィルタリングします。 |
| <a id="negatedboardissueinputauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名でフィルタリングします。 |
| <a id="negatedboardissueinputepicid"></a>`epicId` {{< icon name="warning-solid" >}} | [`EpicID`](#epicid) | **非推奨: **これはWorkItem hierarchyWidgetに置き換えられる予定です。GitLab 17.5で非推奨になりました。 |
| <a id="negatedboardissueinputhealthstatusfilter"></a>`healthStatusFilter` | [`HealthStatus`](#healthstatus) | イシューに適用されないヘルスステータス。ヘルスステータスが設定されていないイシューを含めます。 |
| <a id="negatedboardissueinputiids"></a>`iids` | [`[String!]`](#string) | イシューのIIDのリスト。例: `["1", "2"]`。 |
| <a id="negatedboardissueinputiterationid"></a>`iterationId` | [`[IterationID!]`](#iterationid) | イテレーションIDのリストでフィルタリングします。iterationWildcardId と互換性がありません。 |
| <a id="negatedboardissueinputiterationtitle"></a>`iterationTitle` | [`String`](#string) | イテレーションのタイトルでフィルタリングします。 |
| <a id="negatedboardissueinputiterationwildcardid"></a>`iterationWildcardId` | [`NegatedIterationWildcardId`](#negatediterationwildcardid) | イテレーションIDのワイルドカードでフィルタリングします。 |
| <a id="negatedboardissueinputlabelname"></a>`labelName` | [`[String]`](#string) | ラベル名でフィルタリングします。 |
| <a id="negatedboardissueinputmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | マイルストーンのタイトルでフィルタリングします。 |
| <a id="negatedboardissueinputmilestonewildcardid"></a>`milestoneWildcardId` | [`MilestoneWildcardId`](#milestonewildcardid) | マイルストーンIDのワイルドカードでフィルタリングします。 |
| <a id="negatedboardissueinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |
| <a id="negatedboardissueinputreleasetag"></a>`releaseTag` | [`String`](#string) | リリースタグでフィルタリングします。 |
| <a id="negatedboardissueinputtypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシューのタイプでフィルタリングします。 |
| <a id="negatedboardissueinputweight"></a>`weight` | [`String`](#string) | ウェイトでフィルタリングします。 |

### `NegatedComplianceFrameworkFilters`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedcomplianceframeworkfiltersid"></a>`id` | [`ComplianceManagementFrameworkID`](#compliancemanagementframeworkid) | コンプライアンスフレームワークのID。 |
| <a id="negatedcomplianceframeworkfiltersids"></a>`ids` | [`[ComplianceManagementFrameworkID!]`](#compliancemanagementframeworkid) | コンプライアンスフレームワークのID（複数）。 |

### `NegatedEpicBoardIssueInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedepicboardissueinputauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名でフィルタリングします。 |
| <a id="negatedepicboardissueinputlabelname"></a>`labelName` | [`[String]`](#string) | ラベル名でフィルタリングします。 |
| <a id="negatedepicboardissueinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。ワイルドカード値「NONE」と「ANY」がサポートされています。 |

### `NegatedEpicFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedepicfilterinputauthorusername"></a>`authorUsername` | [`String`](#string) | 作成者のユーザー名でフィルタリングします。 |
| <a id="negatedepicfilterinputlabelname"></a>`labelName` | [`[String]`](#string) | ラベル名でフィルタリングします。 |
| <a id="negatedepicfilterinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |

### `NegatedIssueFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedissuefilterinputassigneeid"></a>`assigneeId` | [`String`](#string) | イシューに割り当てられていないユーザーのID。 |
| <a id="negatedissuefilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューに割り当てられていないユーザーのユーザー名。 |
| <a id="negatedissuefilterinputauthorusername"></a>`authorUsername` | [`[String!]`](#string) | イシューを作成したのではないユーザーのユーザー名。 |
| <a id="negatedissuefilterinputepicid"></a>`epicId` | [`String`](#string) | イシューに関連付けられていないエピックの ID。 |
| <a id="negatedissuefilterinputhealthstatusfilter"></a>`healthStatusFilter` | [`[HealthStatus!]`](#healthstatus) | イシューに適用されないヘルスステータス。ヘルスステータスが設定されていないイシューを含めます。 |
| <a id="negatedissuefilterinputiids"></a>`iids` | [`[String!]`](#string) | 除外するイシューのIIDのリスト。例: `[1, 2]`。 |
| <a id="negatedissuefilterinputiterationid"></a>`iterationId` | [`[ID!]`](#id) | イシューに適用されないイテレーショングローバルIDのリスト。 |
| <a id="negatedissuefilterinputiterationwildcardid"></a>`iterationWildcardId` | [`IterationWildcardId`](#iterationwildcardid) | 否定イテレーションIDワイルドカードでフィルタリングします。 |
| <a id="negatedissuefilterinputlabelname"></a>`labelName` | [`[String!]`](#string) | イシューに適用されないラベル。 |
| <a id="negatedissuefilterinputmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | イシューに適用されないマイルストーン。 |
| <a id="negatedissuefilterinputmilestonewildcardid"></a>`milestoneWildcardId` | [`NegatedMilestoneWildcardId`](#negatedmilestonewildcardid) | 否定マイルストーンのワイルドカード値でフィルタリングします。 |
| <a id="negatedissuefilterinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="negatedissuefilterinputreleasetag"></a>`releaseTag` | [`[String!]`](#string) | イシューのマイルストーンに関連付けられていないリリースタグ。親がグループの場合、無視されます。 |
| <a id="negatedissuefilterinputtypes"></a>`types` | [`[IssueType!]`](#issuetype) | 指定されたイシュータイプでイシューを除外します。 |
| <a id="negatedissuefilterinputweight"></a>`weight` | [`String`](#string) | イシューに適用されないウェイト。 |

### `NegatedValueStreamAnalyticsIssuableFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedvaluestreamanalyticsissuablefilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | イシューまたはマージリクエストに割り当てられていないユーザーのユーザー名。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputauthorusername"></a>`authorUsername` | [`String`](#string) | イシューまたはマージリクエストを作成したのではないユーザーのユーザー名。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputepicid"></a>`epicId` | [`ID`](#id) | イシューに関連付けられていないエピックの ID。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputiterationid"></a>`iterationId` | [`ID`](#id) | イシューに適用されないイテレーショングローバルIDのリスト。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputlabelnames"></a>`labelNames` | [`[String!]`](#string) | イシューまたはマージリクエストに適用されないラベル。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputmilestonetitle"></a>`milestoneTitle` | [`String`](#string) | イシューまたはマージリクエストに適用されていマイルストーン。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーが適用したリアクション絵文字でフィルタリングします。 |
| <a id="negatedvaluestreamanalyticsissuablefilterinputweight"></a>`weight` | [`Int`](#int) | イシューに適用されないウェイト。このフィルターをマージリクエストに基づくステージで使用することはサポートされていません。 |

### `NegatedWorkItemFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="negatedworkitemfilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | 作業アイテムに割り当てられていないユーザーのユーザー名。 |
| <a id="negatedworkitemfilterinputauthorusername"></a>`authorUsername` | [`[String!]`](#string) | 作業アイテムを作成したのではないユーザーのユーザー名。 |
| <a id="negatedworkitemfilterinputlabelname"></a>`labelName` | [`[String!]`](#string) | 作業アイテムに適用されないラベル。 |
| <a id="negatedworkitemfilterinputmilestonetitle"></a>`milestoneTitle` | [`[String!]`](#string) | 作業アイテムに適用されないマイルストーン。 |
| <a id="negatedworkitemfilterinputmilestonewildcardid"></a>`milestoneWildcardId` | [`NegatedMilestoneWildcardId`](#negatedmilestonewildcardid) | 否定マイルストーンのワイルドカード値でフィルタリングします。 |
| <a id="negatedworkitemfilterinputmyreactionemoji"></a>`myReactionEmoji` | [`String`](#string) | 現在のユーザーによって適用されないリアクション絵文字でフィルタリングします。 |

### `OncallRotationActivePeriodInputType`

オンコールローテーションのアクティブ期間の時間範囲。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallrotationactiveperiodinputtypeendtime"></a>`endTime` | [`String!`](#string) | ローテーションアクティブ期間の終了時刻（24時間形式）。例: 「18:30」。 |
| <a id="oncallrotationactiveperiodinputtypestarttime"></a>`startTime` | [`String!`](#string) | ローテーションアクティブ期間の開始時刻（24時間形式）。例: 「18:30」。 |

### `OncallRotationDateInputType`

オンコールローテーションの日付インプット型。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallrotationdateinputtypedate"></a>`date` | [`String!`](#string) | 日付データのうち日付部分（YYYY-MM-DDの形式）。 |
| <a id="oncallrotationdateinputtypetime"></a>`time` | [`String!`](#string) | 日付データのうち時刻部分（24時間HH:MM形式）。 |

### `OncallRotationLengthInputType`

オンコールローテーションのローテーション長。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncallrotationlengthinputtypelength"></a>`length` | [`Int!`](#int) | オンコールローテーションのローテーション長。 |
| <a id="oncallrotationlengthinputtypeunit"></a>`unit` | [`OncallRotationUnitEnum!`](#oncallrotationunitenum) | オンコールローテーションのローテーション長の単位。 |

### `OncallUserInputType`

ローテーションユーザーとカラーパレット。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="oncalluserinputtypecolorpalette"></a>`colorPalette` | [`DataVisualizationColorEnum`](#datavisualizationcolorenum) | DataVisualizationColorEnum の値。オンコールユーザーに割り当てるカラーパレットによる色。 |
| <a id="oncalluserinputtypecolorweight"></a>`colorWeight` | [`DataVisualizationWeightEnum`](#datavisualizationweightenum) | オンコールユーザーに割り当てる色のウェイト。GitLabでオンコールスケジュールを表示するには、500 未満の値を指定しないようにしてください。500〜950の値であれば、十分なコントラストを確保できます。 |
| <a id="oncalluserinputtypeusername"></a>`username` | [`String!`](#string) | オンコールローテーションに参加するユーザーのユーザー名。例: `"user_one"`。 |

### `PipelineScheduleVariableInput`

パイプラインスケジュール変数の属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pipelineschedulevariableinputdestroy"></a>`destroy` | [`Boolean`](#boolean) | 変数を破棄するブール値オプション。 |
| <a id="pipelineschedulevariableinputid"></a>`id` | [`CiPipelineScheduleVariableID`](#cipipelineschedulevariableid) | 変更対象変数のID。 |
| <a id="pipelineschedulevariableinputkey"></a>`key` | [`String!`](#string) | 変数の名前。 |
| <a id="pipelineschedulevariableinputvalue"></a>`value` | [`String!`](#string) | 変数の値。 |
| <a id="pipelineschedulevariableinputvariabletype"></a>`variableType` | [`CiVariableType!`](#civariabletype) | 変数の型。 |

### `ProjectComplianceControlStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="projectcompliancecontrolstatusinputcompliancerequirementid"></a>`complianceRequirementId` | [`ComplianceManagementComplianceFrameworkComplianceRequirementID`](#compliancemanagementcomplianceframeworkcompliancerequirementid) | 状態のコンプライアンス要件ID。 |

### `PushAccessLevelInput`

どのユーザーロール、ユーザー、デプロイキー、またはグループが保護ブランチにプッシュできるかを定義します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="pushaccesslevelinputaccesslevel"></a>`accessLevel` | [`Int`](#int) | アクションの実行を許可されているアクセスレベル。 |
| <a id="pushaccesslevelinputdeploykeyid"></a>`deployKeyId` | [`DeployKeyID`](#deploykeyid) | アクセスレベルに割り当てられているデプロイキー。 |
| <a id="pushaccesslevelinputgroupid"></a>`groupId` | [`GroupID`](#groupid) | アクセスレベルに関連付けられているグループ。 |
| <a id="pushaccesslevelinputuserid"></a>`userId` | [`UserID`](#userid) | アクセスレベルに関連付けられているユーザー。 |

### `ReleaseAssetLinkInput`

リリースアセットリンクに変更を加える際に使用できるフィールド。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetlinkinputdirectassetpath"></a>`directAssetPath` | [`String`](#string) | ダイレクトアセットリンクの相対パス。 |
| <a id="releaseassetlinkinputlinktype"></a>`linkType` | [`ReleaseAssetLinkType`](#releaseassetlinktype) | アセットリンクのタイプ。 |
| <a id="releaseassetlinkinputname"></a>`name` | [`String!`](#string) | アセットリンクの名前。 |
| <a id="releaseassetlinkinputurl"></a>`url` | [`String!`](#string) | アセットリンクのURL。 |

### `ReleaseAssetsInput`

リリースアセットに変更を加える際に使用できるフィールド。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="releaseassetsinputlinks"></a>`links` | [`[ReleaseAssetLinkInput!]`](#releaseassetlinkinput) | リリースに関連付けるアセットリンクのリスト。 |

### `RequirementLegacyFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="requirementlegacyfilterinputlegacyiids"></a>`legacyIids` | [`[String!]!`](#string) | 作業アイテムのレガシー要件IIDのリスト。例: `["1", "2"]`。 |

### `SastCiConfigurationAnalyzersEntityInput`

SAST CI設定の中でのアナライザーエンティティを表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationanalyzersentityinputenabled"></a>`enabled` | [`Boolean!`](#boolean) | アナライザーの状態。 |
| <a id="sastciconfigurationanalyzersentityinputname"></a>`name` | [`String!`](#string) | アナライザーの名前。 |
| <a id="sastciconfigurationanalyzersentityinputvariables"></a>`variables` | [`[SastCiConfigurationEntityInput!]`](#sastciconfigurationentityinput) | アナライザーの変数のリスト。 |

### `SastCiConfigurationEntityInput`

SAST CI設定の中でのエンティティを表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationentityinputdefaultvalue"></a>`defaultValue` | [`String!`](#string) | 値が空の場合に使用されるデフォルト値。 |
| <a id="sastciconfigurationentityinputfield"></a>`field` | [`String!`](#string) | エンティティのCIキーワード。 |
| <a id="sastciconfigurationentityinputvalue"></a>`value` | [`String!`](#string) | エンティティの現在の値。 |

### `SastCiConfigurationInput`

SASTのCI設定を表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="sastciconfigurationinputanalyzers"></a>`analyzers` | [`[SastCiConfigurationAnalyzersEntityInput!]`](#sastciconfigurationanalyzersentityinput) | SAST設定のためのアナライザーと関連変数のリスト。 |
| <a id="sastciconfigurationinputglobal"></a>`global` | [`[SastCiConfigurationEntityInput!]`](#sastciconfigurationentityinput) | SAST設定に関連するグローバルエンティティのリスト。 |
| <a id="sastciconfigurationinputpipeline"></a>`pipeline` | [`[SastCiConfigurationEntityInput!]`](#sastciconfigurationentityinput) | SAST設定に関連するパイプラインエンティティのリスト。 |

### `SnippetBlobActionInputType`

スニペットファイルに対して実行するアクションを表します。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="snippetblobactioninputtypeaction"></a>`action` | [`SnippetBlobActionEnum!`](#snippetblobactionenum) | インプットアクションのタイプ。 |
| <a id="snippetblobactioninputtypecontent"></a>`content` | [`String`](#string) | スニペットファイルの内容。 |
| <a id="snippetblobactioninputtypefilepath"></a>`filePath` | [`String!`](#string) | スニペットファイルのパス。 |
| <a id="snippetblobactioninputtypepreviouspath"></a>`previousPath` | [`String`](#string) | スニペットファイルの以前のパス。 |

### `Timeframe`

2つの日付の間の範囲（両端を含む）として定義された期間。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="timeframeend"></a>`end` | [`Date!`](#date) | 範囲の終了。 |
| <a id="timeframestart"></a>`start` | [`Date!`](#date) | 範囲の開始。 |

### `TrackingEventInput`

追跡イベントを定義するための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="trackingeventinputaction"></a>`action` | [`String!`](#string) | イベントアクション。 |
| <a id="trackingeventinputcategory"></a>`category` | [`String!`](#string) | イベントのカテゴリ。 |
| <a id="trackingeventinputextra"></a>`extra` | [`JSON`](#json) | イベントの追加メタデータ。 |
| <a id="trackingeventinputlabel"></a>`label` | [`String`](#string) | イベントラベル。 |
| <a id="trackingeventinputproperty"></a>`property` | [`String`](#string) | イベントプロパティ。 |
| <a id="trackingeventinputvalue"></a>`value` | [`String`](#string) | イベント値。 |

### `UnionedEpicFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unionedepicfilterinputauthorusername"></a>`authorUsername` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | **非推奨: **代わりにauthorUsernamesを使用してください。GitLab 16.6で非推奨になりました。 |
| <a id="unionedepicfilterinputauthorusernames"></a>`authorUsernames` | [`[String!]`](#string) | ここに指定するユーザーのいずれかが作成したエピックをフィルタリングします。 |
| <a id="unionedepicfilterinputlabelname"></a>`labelName` {{< icon name="warning-solid" >}} | [`[String!]`](#string) | **非推奨: **代わりにlabelNamesを使用してください。GitLab 16.6で非推奨になりました。 |
| <a id="unionedepicfilterinputlabelnames"></a>`labelNames` | [`[String!]`](#string) | ここに指定する文字列の少なくとも1つをラベルとするエピックをフィルタリングします。 |

### `UnionedIssueFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unionedissuefilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | ここに指定するユーザーの少なくとも1人に割り当てられているイシューをフィルタリングします。 |
| <a id="unionedissuefilterinputauthorusernames"></a>`authorUsernames` | [`[String!]`](#string) | ここに指定するユーザーのいずれかが作成したイシューをフィルタリングします。 |
| <a id="unionedissuefilterinputlabelnames"></a>`labelNames` | [`[String!]`](#string) | ここに指定する文字列の少なくとも1つをラベルとするイシューをフィルタリングします。 |

### `UnionedMergeRequestFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unionedmergerequestfilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | ここに指定するユーザーの少なくとも1人に割り当てられているMRをフィルタリングします。 |

### `UnionedWorkItemFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="unionedworkitemfilterinputassigneeusernames"></a>`assigneeUsernames` | [`[String!]`](#string) | ここに指定するユーザーの少なくとも1人に割り当てられている作業アイテムをフィルタリングします。 |
| <a id="unionedworkitemfilterinputauthorusernames"></a>`authorUsernames` | [`[String!]`](#string) | ここに指定するユーザーのいずれかが作成した作業アイテムをフィルタリングします。 |
| <a id="unionedworkitemfilterinputlabelnames"></a>`labelNames` | [`[String!]`](#string) | ここに指定する文字列の少なくとも1つをラベルとする作業アイテムをフィルタリングします。 |

### `UpdateDiffImagePositionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="updatediffimagepositioninputheight"></a>`height` | [`Int`](#int) | 画像の合計高さ。 |
| <a id="updatediffimagepositioninputwidth"></a>`width` | [`Int`](#int) | 画像の合計幅。 |
| <a id="updatediffimagepositioninputx"></a>`x` | [`Int`](#int) | ノートのX位置。 |
| <a id="updatediffimagepositioninputy"></a>`y` | [`Int`](#int) | ノートのY位置。 |

### `ValueStreamSettingInput`

バリューストリーム設定のための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamsettinginputprojectidsfilter"></a>`projectIdsFilter` | [`[ProjectID!]`](#projectid) | バリューストリームデータをフィルタリングするために使用されるプロジェクトのグローバルID。 |

### `ValueStreamStageInput`

バリューストリームステージの属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="valuestreamstageinputcustom"></a>`custom` | [`Boolean`](#boolean) | ステージがカスタマイズされているかどうか。falseの場合、組み込みのデフォルトステージが名前で割り当てられます。 |
| <a id="valuestreamstageinputendeventidentifier"></a>`endEventIdentifier` | [`ValueStreamStageEvent`](#valuestreamstageevent) | 終了イベントの識別子。 |
| <a id="valuestreamstageinputendeventlabelid"></a>`endEventLabelId` | [`LabelID`](#labelid) | 終了イベント識別子に関連付けられているラベルID。 |
| <a id="valuestreamstageinputhidden"></a>`hidden` | [`Boolean`](#boolean) | ステージが非表示かどうか。 |
| <a id="valuestreamstageinputname"></a>`name` | [`String!`](#string) | ステージの名前。 |
| <a id="valuestreamstageinputstarteventidentifier"></a>`startEventIdentifier` | [`ValueStreamStageEvent`](#valuestreamstageevent) | 開始イベントの識別子。 |
| <a id="valuestreamstageinputstarteventlabelid"></a>`startEventLabelId` | [`LabelID`](#labelid) | 開始イベント識別子に関連付けられているラベルID。 |

### `VerificationStatusFilterInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="verificationstatusfilterinputverificationstatus"></a>`verificationStatus` | [`RequirementStatusFilter!`](#requirementstatusfilter) | 作業アイテムの検証状態。 |

### `VerificationStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="verificationstatusinputverificationstatus"></a>`verificationStatus` | [`TestReportState!`](#testreportstate) | 作業アイテムの検証状態。 |

### `VulnerabilityIdentifierInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityidentifierinputexternalid"></a>`externalId` | [`String`](#string) | 脆弱性識別子の外部ID。 |
| <a id="vulnerabilityidentifierinputexternaltype"></a>`externalType` | [`String`](#string) | 脆弱性識別子の外部タイプ。 |
| <a id="vulnerabilityidentifierinputname"></a>`name` | [`String!`](#string) | 脆弱性識別子の名前。 |
| <a id="vulnerabilityidentifierinputurl"></a>`url` | [`String!`](#string) | 脆弱性識別子のURL。 |

### `VulnerabilityScannerInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityscannerinputid"></a>`id` | [`String!`](#string) | スキャナーを識別する一意のID。 |
| <a id="vulnerabilityscannerinputname"></a>`name` | [`String!`](#string) | アナライザーを識別するための人間が読める値であり、固有である必要はありません。 |
| <a id="vulnerabilityscannerinputurl"></a>`url` | [`String!`](#string) | アナライザーに関する詳細情報へのリンク。 |
| <a id="vulnerabilityscannerinputvendor"></a>`vendor` | [`VulnerabilityScannerVendorInput`](#vulnerabilityscannervendorinput) | スキャナーのベンダー/メンテナーに関する情報。 |
| <a id="vulnerabilityscannerinputversion"></a>`version` | [`String!`](#string) | スキャナーのバージョン。 |

### `VulnerabilityScannerVendorInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="vulnerabilityscannervendorinputname"></a>`name` | [`String!`](#string) | ベンダー/メンテナーの名前。 |

### `WorkItemConvertTaskInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemconverttaskinputlinenumberend"></a>`lineNumberEnd` | [`Int!`](#int) | リストアイテムタスクを定義するMarkdownソースの最後の行。 |
| <a id="workitemconverttaskinputlinenumberstart"></a>`lineNumberStart` | [`Int!`](#int) | リストアイテムタスクを定義するMarkdownソースの最初の行。 |
| <a id="workitemconverttaskinputlockversion"></a>`lockVersion` | [`Int!`](#int) | 説明にタスクが含まれる作業アイテムの現在のロックバージョン。 |
| <a id="workitemconverttaskinputtitle"></a>`title` | [`String!`](#string) | 置き換える元タスクのフル文字列。作成する作業アイテムの新しいタイトル。 |
| <a id="workitemconverttaskinputworkitemtypeid"></a>`workItemTypeId` | [`WorkItemsTypeID!`](#workitemstypeid) | 新しい作業アイテムを作成するために使用される作業アイテムタイプのグローバルID。 |

### `WorkItemDescriptionTemplateContentInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemdescriptiontemplatecontentinputname"></a>`name` | [`String!`](#string) | 説明テンプレートの名前。 |
| <a id="workitemdescriptiontemplatecontentinputprojectid"></a>`projectId` | [`Int!`](#int) | テンプレートが属するプロジェクトのID。 |

### `WorkItemResolveDiscussionsInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemresolvediscussionsinputdiscussionid"></a>`discussionId` | [`String`](#string) | 解決するディスカッションのID。 |
| <a id="workitemresolvediscussionsinputnoteableid"></a>`noteableId` | [`NoteableID!`](#noteableid) | 作業アイテム作成時にディスカッションが解決されることになるnoteableのグローバルID。現時点でサポートされるのは`MergeRequestID`だけです。 |

### `WorkItemWidgetAssigneesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetassigneesinputassigneeids"></a>`assigneeIds` | [`[UserID!]!`](#userid) | 担当者のグローバルID。 |

### `WorkItemWidgetAwardEmojiUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetawardemojiupdateinputaction"></a>`action` | [`WorkItemAwardEmojiUpdateAction!`](#workitemawardemojiupdateaction) | 更新のためのアクション。 |
| <a id="workitemwidgetawardemojiupdateinputname"></a>`name` | [`String!`](#string) | 絵文字の名前。 |

### `WorkItemWidgetColorInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcolorinputcolor"></a>`color` | [`Color!`](#color) | 作業アイテムの色。 |

### `WorkItemWidgetCrmContactsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcrmcontactscreateinputcontactids"></a>`contactIds` | [`[CustomerRelationsContactID!]!`](#customerrelationscontactid) | 設定するCRM連絡先ID。 |

### `WorkItemWidgetCrmContactsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcrmcontactsupdateinputcontactids"></a>`contactIds` | [`[CustomerRelationsContactID!]!`](#customerrelationscontactid) | 設定するCRM連絡先ID。デフォルトでは、既存の連絡先を置き換えます。 |
| <a id="workitemwidgetcrmcontactsupdateinputoperationmode"></a>`operationMode` | [`MutationOperationMode`](#mutationoperationmode) | 操作モードを設定します。 |

### `WorkItemWidgetCurrentUserTodosInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcurrentusertodosinputaction"></a>`action` | [`WorkItemTodoUpdateAction!`](#workitemtodoupdateaction) | 更新のためのアクション。 |
| <a id="workitemwidgetcurrentusertodosinputtodoid"></a>`todoId` | [`TodoID`](#todoid) | To DoのグローバルID。これが存在しない場合、作業アイテムのすべてのTo Doが更新されます。 |

### `WorkItemWidgetCustomFieldFilterInputType`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcustomfieldfilterinputtypecustomfieldid"></a>`customFieldId` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |
| <a id="workitemwidgetcustomfieldfilterinputtypeselectedoptionids"></a>`selectedOptionIds` | [`[IssuablesCustomFieldSelectOptionID!]`](#issuablescustomfieldselectoptionid) | 選択型のカスタムフィールドの選択されたオプションのグローバルID。 |

### `WorkItemWidgetCustomFieldValueInputType`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetcustomfieldvalueinputtypecustomfieldid"></a>`customFieldId` | [`IssuablesCustomFieldID!`](#issuablescustomfieldid) | カスタムフィールドのグローバルID。 |
| <a id="workitemwidgetcustomfieldvalueinputtypenumbervalue"></a>`numberValue` | [`Float`](#float) | 数値型カスタムフィールドの値。 |
| <a id="workitemwidgetcustomfieldvalueinputtypeselectedoptionids"></a>`selectedOptionIds` | [`[IssuablesCustomFieldSelectOptionID!]`](#issuablescustomfieldselectoptionid) | 選択型のカスタムフィールドの選択されたオプションのグローバルID。 |
| <a id="workitemwidgetcustomfieldvalueinputtypetextvalue"></a>`textValue` | [`String`](#string) | テキスト型カスタムフィールドの値。 |

### `WorkItemWidgetDescriptionInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetdescriptioninputdescription"></a>`description` | [`String!`](#string) | 作業アイテムの説明。 |

### `WorkItemWidgetHealthStatusInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethealthstatusinputhealthstatus"></a>`healthStatus` | [`HealthStatus`](#healthstatus) | 作業アイテムに割り当てるヘルスステータス。 |

### `WorkItemWidgetHierarchyCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethierarchycreateinputparentid"></a>`parentId` | [`WorkItemID`](#workitemid) | 親作業アイテムのグローバルID。 |

### `WorkItemWidgetHierarchyUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgethierarchyupdateinputadjacentworkitemid"></a>`adjacentWorkItemId` | [`WorkItemID`](#workitemid) | 切り替える相手の作業アイテムのID。 |
| <a id="workitemwidgethierarchyupdateinputchildrenids"></a>`childrenIds` | [`[WorkItemID!]`](#workitemid) | 子作業アイテムのグローバルID。 |
| <a id="workitemwidgethierarchyupdateinputparentid"></a>`parentId` | [`WorkItemID`](#workitemid) | 親作業アイテムのグローバルID。`null`を使用すると、関連付けが削除されます。 |
| <a id="workitemwidgethierarchyupdateinputrelativeposition"></a>`relativePosition` | [`RelativePositionType`](#relativepositiontype) | スイッチのタイプ。有効な値は`BEFORE`または`AFTER`です。 |

### `WorkItemWidgetIterationInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetiterationinputiterationid"></a>`iterationId` | [`IterationID`](#iterationid) | 作業アイテムに割り当てるイテレーション。 |

### `WorkItemWidgetLabelsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlabelscreateinputlabelids"></a>`labelIds` | [`[LabelID!]!`](#labelid) | 作業アイテムに追加するラベルのID。 |

### `WorkItemWidgetLabelsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlabelsupdateinputaddlabelids"></a>`addLabelIds` | [`[LabelID!]`](#labelid) | 作業アイテムに追加するラベルのグローバルID。 |
| <a id="workitemwidgetlabelsupdateinputremovelabelids"></a>`removeLabelIds` | [`[LabelID!]`](#labelid) | 作業アイテムから削除するラベルのグローバルID。 |

### `WorkItemWidgetLinkedItemsCreateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetlinkeditemscreateinputlinktype"></a>`linkType` | [`WorkItemRelatedLinkType`](#workitemrelatedlinktype) | リンクのタイプ。デフォルトは`RELATED`です。 |
| <a id="workitemwidgetlinkeditemscreateinputworkitemsids"></a>`workItemsIds` | [`[WorkItemID!]!`](#workitemid) | リンクするアイテムのグローバルID。指定できるIDの最大数: 10。 |

### `WorkItemWidgetMilestoneInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetmilestoneinputmilestoneid"></a>`milestoneId` | [`MilestoneID`](#milestoneid) | 作業アイテムに割り当てるマイルストーン。 |

### `WorkItemWidgetNotesInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotesinputdiscussionlocked"></a>`discussionLocked` | [`Boolean!`](#boolean) | 作業アイテムのノートウィジェットのディスカッションロック属性。 |

### `WorkItemWidgetNotificationsUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetnotificationsupdateinputsubscribed"></a>`subscribed` | [`Boolean!`](#boolean) | 目的とするサブスクリプションの状態。 |

### `WorkItemWidgetProgressInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetprogressinputcurrentvalue"></a>`currentValue` | [`Int!`](#int) | 作業アイテムの現在の進捗状況値。 |
| <a id="workitemwidgetprogressinputendvalue"></a>`endValue` | [`Int`](#int) | 作業アイテムの終了値。 |
| <a id="workitemwidgetprogressinputstartvalue"></a>`startValue` | [`Int`](#int) | 作業アイテムの開始値。 |

### `WorkItemWidgetStartAndDueDateUpdateInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetstartandduedateupdateinputduedate"></a>`dueDate` | [`Date`](#date) | 作業アイテムの期限。 |
| <a id="workitemwidgetstartandduedateupdateinputisfixed"></a>`isFixed` | [`Boolean`](#boolean) | 作業アイテムが固定日付を使用しているかどうかを示します。 |
| <a id="workitemwidgetstartandduedateupdateinputstartdate"></a>`startDate` | [`Date`](#date) | 作業アイテムの開始日。 |

### `WorkItemWidgetTimeTrackingInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgettimetrackinginputtimeestimate"></a>`timeEstimate` | [`String`](#string) | 作業アイテムの見積もり時間（人間が読める形式）。例: 1時間30分。 |
| <a id="workitemwidgettimetrackinginputtimelog"></a>`timelog` | [`WorkItemWidgetTimeTrackingTimelogInput`](#workitemwidgettimetrackingtimeloginput) | 作業アイテムに費やされた時間のタイムログデータ。 |

### `WorkItemWidgetTimeTrackingTimelogInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgettimetrackingtimeloginputspentat"></a>`spentAt` | [`Time`](#time) | 追跡対象時間が費やされた時点のタイムスタンプ。指定されていない場合は、現在のタイムスタンプに設定されます。 |
| <a id="workitemwidgettimetrackingtimeloginputsummary"></a>`summary` | [`String`](#string) | かかった時間の概要。 |
| <a id="workitemwidgettimetrackingtimeloginputtimespent"></a>`timeSpent` | [`String!`](#string) | 費やされた時間（人間が読める形式）。例: 1時間30分。 |

### `WorkItemWidgetWeightInput`

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workitemwidgetweightinputweight"></a>`weight` | [`Int`](#int) | 作業アイテムのウェイト。 |

### `WorkspaceVariableInput`

ワークスペースに注入する変数を定義するための属性。

#### 引数

| 名前 | 型 | 説明 |
| ---- | ---- | ----------- |
| <a id="workspacevariableinputkey"></a>`key` | [`String!`](#string) | ワークスペース変数の名前。 |
| <a id="workspacevariableinputtype"></a>`type` {{< icon name="warning-solid" >}} | [`WorkspaceVariableInputType`](#workspacevariableinputtype) | **非推奨: **代わりに、`variableType`を使用してください。GitLab 17.9で非推奨になりました。 |
| <a id="workspacevariableinputvalue"></a>`value` | [`String!`](#string) | 変数の値。 |
| <a id="workspacevariableinputvariabletype"></a>`variableType` | [`WorkspaceVariableType`](#workspacevariabletype) | ワークスペースに注入する変数の型。 |
