# frozen_string_literal: true

class ScheduleVulnerabilityArchival < Gitlab::Database::Migration[2.3]
  disable_ddl_transaction!
  restrict_gitlab_migration gitlab_schema: :gitlab_main
  milestone '18.1'

  def up
    return unless Gitlab.com?

    Vulnerabilities::Archival::ScheduleWorker.perform_async
  end

  def down
    # no-op
  end
end
