# frozen_string_literal: true

module Gitlab
  module BackgroundMigration
    # This batched background migration is EE-only.
    # See: ee/lib/ee/gitlab/background_migration/delete_expired_vulnerability_exports.rb
    class DeleteExpiredVulnerabilityExports < BatchedMigrationJob
      feature_category :vulnerability_management

      def perform
        # No-op in FOSS
      end
    end
  end
end

Gitlab::BackgroundMigration::DeleteExpiredVulnerabilityExports.prepend_mod
